# Contributing to the Eclipse Signalling Engineering Toolbox project

## Developer resources

The source code for Eclipse SET is hosted on the Eclipse Foundation's GitLab instance:

* https://gitlab.eclipse.org/eclipse/set

The project is split into four major components:

* https://gitlab.eclipse.org/eclipse/set/set Contains the primary source code of the Eclipse Signalling Engineering Toolbox.
* https://gitlab.eclipse.org/eclipse/set/browser Contains the CEF-based browser integration for SWT used to display web components.
* https://gitlab.eclipse.org/eclipse/set/model Contains the baseline PlanPro EMF data model used by the Toolbox for loading PlanPro files. 
* https://gitlab.eclipse.org/eclipse/set/toolbox-model Contains a specialized adapted PlanPro EMF data model internallly used by the Toolbox.

For detailed build instructions see [BUILD_INSTRUCTIONS.md](BUILD_INSTRUCTIONS.md).

## Reporting issues and feature requests

Please file all issues and feature requests under the main SET repository, even if it is with a specific component:

* https://gitlab.eclipse.org/eclipse/set/set/-/issues

## Contributing code changes

If you intend to contribute code changes, please use a GitLab Merge Request 

* https://gitlab.eclipse.org/groups/eclipse/set/-/merge_requests

Before contributing significant changes, please file an issue first. This allows us to discuss the merit of the contribution before you spend time on a feature that ends up being out of scope for the project. 

## Terms of Use

This repository is subject to the Terms of Use of the Eclipse Foundation

* https://www.eclipse.org/legal/termsofuse.php

## Eclipse Development Process

This Eclipse Foundation open project is governed by the Eclipse Foundation
Development Process and operates under the terms of the Eclipse IP Policy.

* https://eclipse.org/projects/dev_process
* https://www.eclipse.org/org/documents/Eclipse_IP_Policy.pdf

## Eclipse Contributor Agreement

In order to be able to contribute to Eclipse Foundation projects you must
electronically sign the Eclipse Contributor Agreement (ECA).

* https://www.eclipse.org/legal/ECA.php

The ECA provides the Eclipse Foundation with a permanent record that you agree
that each of your contributions will comply with the commitments documented in
the Developer Certificate of Origin (DCO). Having an ECA on file associated with
the email address matching the "Author" field of your contribution's Git commits
fulfills the DCO's requirement that you sign-off on your contributions.

For more information, please see the Eclipse Committer Handbook:
https://www.eclipse.org/projects/handbook/#resources-commit

## Contact

Contact the project developers via the project's "dev" list or by filing an issue in the GitLab mentioned above.

* https://accounts.eclipse.org/mailing-list/set-dev