/**
 * /**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.provider;

import java.util.ArrayList;
import java.util.Collection;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.edit.provider.ChangeNotifier;
import org.eclipse.emf.edit.provider.ComposeableAdapterFactory;
import org.eclipse.emf.edit.provider.ComposedAdapterFactory;
import org.eclipse.emf.edit.provider.IChangeNotifier;
import org.eclipse.emf.edit.provider.IDisposable;
import org.eclipse.emf.edit.provider.IEditingDomainItemProvider;
import org.eclipse.emf.edit.provider.IItemLabelProvider;
import org.eclipse.emf.edit.provider.IItemPropertySource;
import org.eclipse.emf.edit.provider.INotifyChangedListener;
import org.eclipse.emf.edit.provider.IStructuredItemContentProvider;
import org.eclipse.emf.edit.provider.ITreeItemContentProvider;

import org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.util.Signalbegriffe_Ril_301AdapterFactory;

/**
 * This is the factory that is used to provide the interfaces needed to support Viewers.
 * The adapters generated by this factory convert EMF adapter notifications into calls to {@link #fireNotifyChanged fireNotifyChanged}.
 * The adapters also support Eclipse property sheets.
 * Note that most of the adapters are shared among multiple instances.
 * <!-- begin-user-doc -->
 * <!-- end-user-doc -->
 * @generated
 */
public class Signalbegriffe_Ril_301ItemProviderAdapterFactory extends Signalbegriffe_Ril_301AdapterFactory implements ComposeableAdapterFactory, IChangeNotifier, IDisposable {
	/**
	 * This keeps track of the root adapter factory that delegates to this adapter factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected ComposedAdapterFactory parentAdapterFactory;

	/**
	 * This is used to implement {@link org.eclipse.emf.edit.provider.IChangeNotifier}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected IChangeNotifier changeNotifier = new ChangeNotifier();

	/**
	 * This keeps track of all the supported types checked by {@link #isFactoryForType isFactoryForType}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Collection<Object> supportedTypes = new ArrayList<Object>();

	/**
	 * This constructs an instance.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Signalbegriffe_Ril_301ItemProviderAdapterFactory() {
		supportedTypes.add(IEditingDomainItemProvider.class);
		supportedTypes.add(IStructuredItemContentProvider.class);
		supportedTypes.add(ITreeItemContentProvider.class);
		supportedTypes.add(IItemLabelProvider.class);
		supportedTypes.add(IItemPropertySource.class);
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.BSVAUES} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected BSVAUESItemProvider bsvauesItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.BSVAUES}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createBSVAUESAdapter() {
		if (bsvauesItemProvider == null) {
			bsvauesItemProvider = new BSVAUESItemProvider(this);
		}

		return bsvauesItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.BSVRVA} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected BSVRVAItemProvider bsvrvaItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.BSVRVA}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createBSVRVAAdapter() {
		if (bsvrvaItemProvider == null) {
			bsvrvaItemProvider = new BSVRVAItemProvider(this);
		}

		return bsvrvaItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.BSWdh} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected BSWdhItemProvider bsWdhItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.BSWdh}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createBSWdhAdapter() {
		if (bsWdhItemProvider == null) {
			bsWdhItemProvider = new BSWdhItemProvider(this);
		}

		return bsWdhItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.BSZBSBer} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected BSZBSBerItemProvider bszbsBerItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.BSZBSBer}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createBSZBSBerAdapter() {
		if (bszbsBerItemProvider == null) {
			bszbsBerItemProvider = new BSZBSBerItemProvider(this);
		}

		return bszbsBerItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.BSZusatz} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected BSZusatzItemProvider bsZusatzItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.BSZusatz}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createBSZusatzAdapter() {
		if (bsZusatzItemProvider == null) {
			bsZusatzItemProvider = new BSZusatzItemProvider(this);
		}

		return bsZusatzItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Bue00Lp} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Bue00LpItemProvider bue00LpItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Bue00Lp}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createBue00LpAdapter() {
		if (bue00LpItemProvider == null) {
			bue00LpItemProvider = new Bue00LpItemProvider(this);
		}

		return bue00LpItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Bue01Lp} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Bue01LpItemProvider bue01LpItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Bue01Lp}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createBue01LpAdapter() {
		if (bue01LpItemProvider == null) {
			bue01LpItemProvider = new Bue01LpItemProvider(this);
		}

		return bue01LpItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Bue01S} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Bue01SItemProvider bue01SItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Bue01S}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createBue01SAdapter() {
		if (bue01SItemProvider == null) {
			bue01SItemProvider = new Bue01SItemProvider(this);
		}

		return bue01SItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Bue02Lp} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Bue02LpItemProvider bue02LpItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Bue02Lp}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createBue02LpAdapter() {
		if (bue02LpItemProvider == null) {
			bue02LpItemProvider = new Bue02LpItemProvider(this);
		}

		return bue02LpItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Bue02S} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Bue02SItemProvider bue02SItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Bue02S}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createBue02SAdapter() {
		if (bue02SItemProvider == null) {
			bue02SItemProvider = new Bue02SItemProvider(this);
		}

		return bue02SItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Bue10LpBli} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Bue10LpBliItemProvider bue10LpBliItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Bue10LpBli}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createBue10LpBliAdapter() {
		if (bue10LpBliItemProvider == null) {
			bue10LpBliItemProvider = new Bue10LpBliItemProvider(this);
		}

		return bue10LpBliItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Bue11LpBli} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Bue11LpBliItemProvider bue11LpBliItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Bue11LpBli}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createBue11LpBliAdapter() {
		if (bue11LpBliItemProvider == null) {
			bue11LpBliItemProvider = new Bue11LpBliItemProvider(this);
		}

		return bue11LpBliItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Bue11SBli} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Bue11SBliItemProvider bue11SBliItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Bue11SBli}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createBue11SBliAdapter() {
		if (bue11SBliItemProvider == null) {
			bue11SBliItemProvider = new Bue11SBliItemProvider(this);
		}

		return bue11SBliItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Bue12LpSt} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Bue12LpStItemProvider bue12LpStItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Bue12LpSt}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createBue12LpStAdapter() {
		if (bue12LpStItemProvider == null) {
			bue12LpStItemProvider = new Bue12LpStItemProvider(this);
		}

		return bue12LpStItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Bue12SSt} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Bue12SStItemProvider bue12SStItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Bue12SSt}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createBue12SStAdapter() {
		if (bue12SStItemProvider == null) {
			bue12SStItemProvider = new Bue12SStItemProvider(this);
		}

		return bue12SStItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Bue2} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Bue2ItemProvider bue2ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Bue2}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createBue2Adapter() {
		if (bue2ItemProvider == null) {
			bue2ItemProvider = new Bue2ItemProvider(this);
		}

		return bue2ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Bue21R} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Bue21RItemProvider bue21RItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Bue21R}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createBue21RAdapter() {
		if (bue21RItemProvider == null) {
			bue21RItemProvider = new Bue21RItemProvider(this);
		}

		return bue21RItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Bue22R} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Bue22RItemProvider bue22RItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Bue22R}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createBue22RAdapter() {
		if (bue22RItemProvider == null) {
			bue22RItemProvider = new Bue22RItemProvider(this);
		}

		return bue22RItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Bue23R} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Bue23RItemProvider bue23RItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Bue23R}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createBue23RAdapter() {
		if (bue23RItemProvider == null) {
			bue23RItemProvider = new Bue23RItemProvider(this);
		}

		return bue23RItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Bue3} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Bue3ItemProvider bue3ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Bue3}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createBue3Adapter() {
		if (bue3ItemProvider == null) {
			bue3ItemProvider = new Bue3ItemProvider(this);
		}

		return bue3ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Bue4} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Bue4ItemProvider bue4ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Bue4}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createBue4Adapter() {
		if (bue4ItemProvider == null) {
			bue4ItemProvider = new Bue4ItemProvider(this);
		}

		return bue4ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Bue5} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Bue5ItemProvider bue5ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Bue5}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createBue5Adapter() {
		if (bue5ItemProvider == null) {
			bue5ItemProvider = new Bue5ItemProvider(this);
		}

		return bue5ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.BueAT} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected BueATItemProvider bueATItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.BueAT}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createBueATAdapter() {
		if (bueATItemProvider == null) {
			bueATItemProvider = new BueATItemProvider(this);
		}

		return bueATItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.BueATZusatz} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected BueATZusatzItemProvider bueATZusatzItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.BueATZusatz}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createBueATZusatzAdapter() {
		if (bueATZusatzItemProvider == null) {
			bueATZusatzItemProvider = new BueATZusatzItemProvider(this);
		}

		return bueATZusatzItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.BueKT} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected BueKTItemProvider bueKTItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.BueKT}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createBueKTAdapter() {
		if (bueKTItemProvider == null) {
			bueKTItemProvider = new BueKTItemProvider(this);
		}

		return bueKTItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.El1} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected El1ItemProvider el1ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.El1}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createEl1Adapter() {
		if (el1ItemProvider == null) {
			el1ItemProvider = new El1ItemProvider(this);
		}

		return el1ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.El1v} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected El1vItemProvider el1vItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.El1v}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createEl1vAdapter() {
		if (el1vItemProvider == null) {
			el1vItemProvider = new El1vItemProvider(this);
		}

		return el1vItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.El2} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected El2ItemProvider el2ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.El2}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createEl2Adapter() {
		if (el2ItemProvider == null) {
			el2ItemProvider = new El2ItemProvider(this);
		}

		return el2ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.El3} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected El3ItemProvider el3ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.El3}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createEl3Adapter() {
		if (el3ItemProvider == null) {
			el3ItemProvider = new El3ItemProvider(this);
		}

		return el3ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.El4} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected El4ItemProvider el4ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.El4}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createEl4Adapter() {
		if (el4ItemProvider == null) {
			el4ItemProvider = new El4ItemProvider(this);
		}

		return el4ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.El5} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected El5ItemProvider el5ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.El5}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createEl5Adapter() {
		if (el5ItemProvider == null) {
			el5ItemProvider = new El5ItemProvider(this);
		}

		return el5ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.El6} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected El6ItemProvider el6ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.El6}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createEl6Adapter() {
		if (el6ItemProvider == null) {
			el6ItemProvider = new El6ItemProvider(this);
		}

		return el6ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.ElPfB} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected ElPfBItemProvider elPfBItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.ElPfB}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createElPfBAdapter() {
		if (elPfBItemProvider == null) {
			elPfBItemProvider = new ElPfBItemProvider(this);
		}

		return elPfBItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.ElPfL} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected ElPfLItemProvider elPfLItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.ElPfL}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createElPfLAdapter() {
		if (elPfLItemProvider == null) {
			elPfLItemProvider = new ElPfLItemProvider(this);
		}

		return elPfLItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.ElPfO} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected ElPfOItemProvider elPfOItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.ElPfO}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createElPfOAdapter() {
		if (elPfOItemProvider == null) {
			elPfOItemProvider = new ElPfOItemProvider(this);
		}

		return elPfOItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.ElPfR} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected ElPfRItemProvider elPfRItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.ElPfR}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createElPfRAdapter() {
		if (elPfRItemProvider == null) {
			elPfRItemProvider = new ElPfRItemProvider(this);
		}

		return elPfRItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.ElTAC} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected ElTACItemProvider elTACItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.ElTAC}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createElTACAdapter() {
		if (elTACItemProvider == null) {
			elTACItemProvider = new ElTACItemProvider(this);
		}

		return elTACItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.ElTDC} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected ElTDCItemProvider elTDCItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.ElTDC}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createElTDCAdapter() {
		if (elTDCItemProvider == null) {
			elTDCItemProvider = new ElTDCItemProvider(this);
		}

		return elTDCItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Hl1} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Hl1ItemProvider hl1ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Hl1}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createHl1Adapter() {
		if (hl1ItemProvider == null) {
			hl1ItemProvider = new Hl1ItemProvider(this);
		}

		return hl1ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Hl10} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Hl10ItemProvider hl10ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Hl10}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createHl10Adapter() {
		if (hl10ItemProvider == null) {
			hl10ItemProvider = new Hl10ItemProvider(this);
		}

		return hl10ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Hl11} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Hl11ItemProvider hl11ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Hl11}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createHl11Adapter() {
		if (hl11ItemProvider == null) {
			hl11ItemProvider = new Hl11ItemProvider(this);
		}

		return hl11ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Hl12a} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Hl12aItemProvider hl12aItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Hl12a}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createHl12aAdapter() {
		if (hl12aItemProvider == null) {
			hl12aItemProvider = new Hl12aItemProvider(this);
		}

		return hl12aItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Hl12b} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Hl12bItemProvider hl12bItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Hl12b}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createHl12bAdapter() {
		if (hl12bItemProvider == null) {
			hl12bItemProvider = new Hl12bItemProvider(this);
		}

		return hl12bItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Hl2} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Hl2ItemProvider hl2ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Hl2}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createHl2Adapter() {
		if (hl2ItemProvider == null) {
			hl2ItemProvider = new Hl2ItemProvider(this);
		}

		return hl2ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Hl3a} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Hl3aItemProvider hl3aItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Hl3a}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createHl3aAdapter() {
		if (hl3aItemProvider == null) {
			hl3aItemProvider = new Hl3aItemProvider(this);
		}

		return hl3aItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Hl3b} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Hl3bItemProvider hl3bItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Hl3b}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createHl3bAdapter() {
		if (hl3bItemProvider == null) {
			hl3bItemProvider = new Hl3bItemProvider(this);
		}

		return hl3bItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Hl4} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Hl4ItemProvider hl4ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Hl4}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createHl4Adapter() {
		if (hl4ItemProvider == null) {
			hl4ItemProvider = new Hl4ItemProvider(this);
		}

		return hl4ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Hl5} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Hl5ItemProvider hl5ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Hl5}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createHl5Adapter() {
		if (hl5ItemProvider == null) {
			hl5ItemProvider = new Hl5ItemProvider(this);
		}

		return hl5ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Hl6a} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Hl6aItemProvider hl6aItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Hl6a}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createHl6aAdapter() {
		if (hl6aItemProvider == null) {
			hl6aItemProvider = new Hl6aItemProvider(this);
		}

		return hl6aItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Hl6b} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Hl6bItemProvider hl6bItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Hl6b}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createHl6bAdapter() {
		if (hl6bItemProvider == null) {
			hl6bItemProvider = new Hl6bItemProvider(this);
		}

		return hl6bItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Hl7} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Hl7ItemProvider hl7ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Hl7}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createHl7Adapter() {
		if (hl7ItemProvider == null) {
			hl7ItemProvider = new Hl7ItemProvider(this);
		}

		return hl7ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Hl8} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Hl8ItemProvider hl8ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Hl8}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createHl8Adapter() {
		if (hl8ItemProvider == null) {
			hl8ItemProvider = new Hl8ItemProvider(this);
		}

		return hl8ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Hl9a} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Hl9aItemProvider hl9aItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Hl9a}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createHl9aAdapter() {
		if (hl9aItemProvider == null) {
			hl9aItemProvider = new Hl9aItemProvider(this);
		}

		return hl9aItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Hl9b} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Hl9bItemProvider hl9bItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Hl9b}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createHl9bAdapter() {
		if (hl9bItemProvider == null) {
			hl9bItemProvider = new Hl9bItemProvider(this);
		}

		return hl9bItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Hp0} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Hp0ItemProvider hp0ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Hp0}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createHp0Adapter() {
		if (hp0ItemProvider == null) {
			hp0ItemProvider = new Hp0ItemProvider(this);
		}

		return hp0ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Hp02Lp} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Hp02LpItemProvider hp02LpItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Hp02Lp}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createHp02LpAdapter() {
		if (hp02LpItemProvider == null) {
			hp02LpItemProvider = new Hp02LpItemProvider(this);
		}

		return hp02LpItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Hp1} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Hp1ItemProvider hp1ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Hp1}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createHp1Adapter() {
		if (hp1ItemProvider == null) {
			hp1ItemProvider = new Hp1ItemProvider(this);
		}

		return hp1ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Hp2} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Hp2ItemProvider hp2ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Hp2}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createHp2Adapter() {
		if (hp2ItemProvider == null) {
			hp2ItemProvider = new Hp2ItemProvider(this);
		}

		return hp2ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Kl} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected KlItemProvider klItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Kl}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createKlAdapter() {
		if (klItemProvider == null) {
			klItemProvider = new KlItemProvider(this);
		}

		return klItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Ks1} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Ks1ItemProvider ks1ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Ks1}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createKs1Adapter() {
		if (ks1ItemProvider == null) {
			ks1ItemProvider = new Ks1ItemProvider(this);
		}

		return ks1ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Ks2} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Ks2ItemProvider ks2ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Ks2}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createKs2Adapter() {
		if (ks2ItemProvider == null) {
			ks2ItemProvider = new Ks2ItemProvider(this);
		}

		return ks2ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Lf1} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Lf1ItemProvider lf1ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Lf1}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createLf1Adapter() {
		if (lf1ItemProvider == null) {
			lf1ItemProvider = new Lf1ItemProvider(this);
		}

		return lf1ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Lf12} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Lf12ItemProvider lf12ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Lf12}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createLf12Adapter() {
		if (lf12ItemProvider == null) {
			lf12ItemProvider = new Lf12ItemProvider(this);
		}

		return lf12ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Lf1Wdh} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Lf1WdhItemProvider lf1WdhItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Lf1Wdh}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createLf1WdhAdapter() {
		if (lf1WdhItemProvider == null) {
			lf1WdhItemProvider = new Lf1WdhItemProvider(this);
		}

		return lf1WdhItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Lf2} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Lf2ItemProvider lf2ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Lf2}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createLf2Adapter() {
		if (lf2ItemProvider == null) {
			lf2ItemProvider = new Lf2ItemProvider(this);
		}

		return lf2ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Lf3} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Lf3ItemProvider lf3ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Lf3}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createLf3Adapter() {
		if (lf3ItemProvider == null) {
			lf3ItemProvider = new Lf3ItemProvider(this);
		}

		return lf3ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Lf4DS} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Lf4DSItemProvider lf4DSItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Lf4DS}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createLf4DSAdapter() {
		if (lf4DSItemProvider == null) {
			lf4DSItemProvider = new Lf4DSItemProvider(this);
		}

		return lf4DSItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Lf4DV} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Lf4DVItemProvider lf4DVItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Lf4DV}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createLf4DVAdapter() {
		if (lf4DVItemProvider == null) {
			lf4DVItemProvider = new Lf4DVItemProvider(this);
		}

		return lf4DVItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Lf5DS} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Lf5DSItemProvider lf5DSItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Lf5DS}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createLf5DSAdapter() {
		if (lf5DSItemProvider == null) {
			lf5DSItemProvider = new Lf5DSItemProvider(this);
		}

		return lf5DSItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Lf5DV} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Lf5DVItemProvider lf5DVItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Lf5DV}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createLf5DVAdapter() {
		if (lf5DVItemProvider == null) {
			lf5DVItemProvider = new Lf5DVItemProvider(this);
		}

		return lf5DVItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Lf6} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Lf6ItemProvider lf6ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Lf6}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createLf6Adapter() {
		if (lf6ItemProvider == null) {
			lf6ItemProvider = new Lf6ItemProvider(this);
		}

		return lf6ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Lf7} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Lf7ItemProvider lf7ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Lf7}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createLf7Adapter() {
		if (lf7ItemProvider == null) {
			lf7ItemProvider = new Lf7ItemProvider(this);
		}

		return lf7ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.LfPfL} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected LfPfLItemProvider lfPfLItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.LfPfL}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createLfPfLAdapter() {
		if (lfPfLItemProvider == null) {
			lfPfLItemProvider = new LfPfLItemProvider(this);
		}

		return lfPfLItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.LfPfR} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected LfPfRItemProvider lfPfRItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.LfPfR}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createLfPfRAdapter() {
		if (lfPfRItemProvider == null) {
			lfPfRItemProvider = new LfPfRItemProvider(this);
		}

		return lfPfRItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.MsGeD} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected MsGeDItemProvider msGeDItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.MsGeD}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createMsGeDAdapter() {
		if (msGeDItemProvider == null) {
			msGeDItemProvider = new MsGeDItemProvider(this);
		}

		return msGeDItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.MsRt} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected MsRtItemProvider msRtItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.MsRt}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createMsRtAdapter() {
		if (msRtItemProvider == null) {
			msRtItemProvider = new MsRtItemProvider(this);
		}

		return msRtItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.MsSkGe} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected MsSkGeItemProvider msSkGeItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.MsSkGe}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createMsSkGeAdapter() {
		if (msSkGeItemProvider == null) {
			msSkGeItemProvider = new MsSkGeItemProvider(this);
		}

		return msSkGeItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.MsSkRt} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected MsSkRtItemProvider msSkRtItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.MsSkRt}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createMsSkRtAdapter() {
		if (msSkRtItemProvider == null) {
			msSkRtItemProvider = new MsSkRtItemProvider(this);
		}

		return msSkRtItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.MsUESWdh} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected MsUESWdhItemProvider msUESWdhItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.MsUESWdh}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createMsUESWdhAdapter() {
		if (msUESWdhItemProvider == null) {
			msUESWdhItemProvider = new MsUESWdhItemProvider(this);
		}

		return msUESWdhItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.MsVw} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected MsVwItemProvider msVwItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.MsVw}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createMsVwAdapter() {
		if (msVwItemProvider == null) {
			msVwItemProvider = new MsVwItemProvider(this);
		}

		return msVwItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.MsWs2swP} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected MsWs2swPItemProvider msWs2swPItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.MsWs2swP}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createMsWs2swPAdapter() {
		if (msWs2swPItemProvider == null) {
			msWs2swPItemProvider = new MsWs2swPItemProvider(this);
		}

		return msWs2swPItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.MsWsGeWs} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected MsWsGeWsItemProvider msWsGeWsItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.MsWsGeWs}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createMsWsGeWsAdapter() {
		if (msWsGeWsItemProvider == null) {
			msWsGeWsItemProvider = new MsWsGeWsItemProvider(this);
		}

		return msWsGeWsItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.MsWsRtWs} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected MsWsRtWsItemProvider msWsRtWsItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.MsWsRtWs}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createMsWsRtWsAdapter() {
		if (msWsRtWsItemProvider == null) {
			msWsRtWsItemProvider = new MsWsRtWsItemProvider(this);
		}

		return msWsRtWsItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.MsWsSwWs} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected MsWsSwWsItemProvider msWsSwWsItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.MsWsSwWs}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createMsWsSwWsAdapter() {
		if (msWsSwWsItemProvider == null) {
			msWsSwWsItemProvider = new MsWsSwWsItemProvider(this);
		}

		return msWsSwWsItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Ne1} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Ne1ItemProvider ne1ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Ne1}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createNe1Adapter() {
		if (ne1ItemProvider == null) {
			ne1ItemProvider = new Ne1ItemProvider(this);
		}

		return ne1ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Ne12} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Ne12ItemProvider ne12ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Ne12}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createNe12Adapter() {
		if (ne12ItemProvider == null) {
			ne12ItemProvider = new Ne12ItemProvider(this);
		}

		return ne12ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Ne13a} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Ne13aItemProvider ne13aItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Ne13a}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createNe13aAdapter() {
		if (ne13aItemProvider == null) {
			ne13aItemProvider = new Ne13aItemProvider(this);
		}

		return ne13aItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Ne13b} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Ne13bItemProvider ne13bItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Ne13b}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createNe13bAdapter() {
		if (ne13bItemProvider == null) {
			ne13bItemProvider = new Ne13bItemProvider(this);
		}

		return ne13bItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Ne14} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Ne14ItemProvider ne14ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Ne14}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createNe14Adapter() {
		if (ne14ItemProvider == null) {
			ne14ItemProvider = new Ne14ItemProvider(this);
		}

		return ne14ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Ne2} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Ne2ItemProvider ne2ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Ne2}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createNe2Adapter() {
		if (ne2ItemProvider == null) {
			ne2ItemProvider = new Ne2ItemProvider(this);
		}

		return ne2ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Ne2VRVA} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Ne2VRVAItemProvider ne2VRVAItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Ne2VRVA}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createNe2VRVAAdapter() {
		if (ne2VRVAItemProvider == null) {
			ne2VRVAItemProvider = new Ne2VRVAItemProvider(this);
		}

		return ne2VRVAItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Ne31str} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Ne31strItemProvider ne31strItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Ne31str}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createNe31strAdapter() {
		if (ne31strItemProvider == null) {
			ne31strItemProvider = new Ne31strItemProvider(this);
		}

		return ne31strItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Ne32str} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Ne32strItemProvider ne32strItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Ne32str}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createNe32strAdapter() {
		if (ne32strItemProvider == null) {
			ne32strItemProvider = new Ne32strItemProvider(this);
		}

		return ne32strItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Ne33str} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Ne33strItemProvider ne33strItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Ne33str}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createNe33strAdapter() {
		if (ne33strItemProvider == null) {
			ne33strItemProvider = new Ne33strItemProvider(this);
		}

		return ne33strItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Ne34str} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Ne34strItemProvider ne34strItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Ne34str}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createNe34strAdapter() {
		if (ne34strItemProvider == null) {
			ne34strItemProvider = new Ne34strItemProvider(this);
		}

		return ne34strItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Ne35str} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Ne35strItemProvider ne35strItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Ne35str}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createNe35strAdapter() {
		if (ne35strItemProvider == null) {
			ne35strItemProvider = new Ne35strItemProvider(this);
		}

		return ne35strItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Ne4} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Ne4ItemProvider ne4ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Ne4}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createNe4Adapter() {
		if (ne4ItemProvider == null) {
			ne4ItemProvider = new Ne4ItemProvider(this);
		}

		return ne4ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Ne5} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Ne5ItemProvider ne5ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Ne5}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createNe5Adapter() {
		if (ne5ItemProvider == null) {
			ne5ItemProvider = new Ne5ItemProvider(this);
		}

		return ne5ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Ne6} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Ne6ItemProvider ne6ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Ne6}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createNe6Adapter() {
		if (ne6ItemProvider == null) {
			ne6ItemProvider = new Ne6ItemProvider(this);
		}

		return ne6ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Ne7a} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Ne7aItemProvider ne7aItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Ne7a}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createNe7aAdapter() {
		if (ne7aItemProvider == null) {
			ne7aItemProvider = new Ne7aItemProvider(this);
		}

		return ne7aItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Ne7b} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Ne7bItemProvider ne7bItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Ne7b}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createNe7bAdapter() {
		if (ne7bItemProvider == null) {
			ne7bItemProvider = new Ne7bItemProvider(this);
		}

		return ne7bItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.OzAutoET} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected OzAutoETItemProvider ozAutoETItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.OzAutoET}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createOzAutoETAdapter() {
		if (ozAutoETItemProvider == null) {
			ozAutoETItemProvider = new OzAutoETItemProvider(this);
		}

		return ozAutoETItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.OzAutoHET} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected OzAutoHETItemProvider ozAutoHETItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.OzAutoHET}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createOzAutoHETAdapter() {
		if (ozAutoHETItemProvider == null) {
			ozAutoHETItemProvider = new OzAutoHETItemProvider(this);
		}

		return ozAutoHETItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.OzBk} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected OzBkItemProvider ozBkItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.OzBk}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createOzBkAdapter() {
		if (ozBkItemProvider == null) {
			ozBkItemProvider = new OzBkItemProvider(this);
		}

		return ozBkItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.OzET} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected OzETItemProvider ozETItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.OzET}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createOzETAdapter() {
		if (ozETItemProvider == null) {
			ozETItemProvider = new OzETItemProvider(this);
		}

		return ozETItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.OzFa} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected OzFaItemProvider ozFaItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.OzFa}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createOzFaAdapter() {
		if (ozFaItemProvider == null) {
			ozFaItemProvider = new OzFaItemProvider(this);
		}

		return ozFaItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.OzFak} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected OzFakItemProvider ozFakItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.OzFak}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createOzFakAdapter() {
		if (ozFakItemProvider == null) {
			ozFakItemProvider = new OzFakItemProvider(this);
		}

		return ozFakItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.OzGSMR} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected OzGSMRItemProvider ozGSMRItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.OzGSMR}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createOzGSMRAdapter() {
		if (ozGSMRItemProvider == null) {
			ozGSMRItemProvider = new OzGSMRItemProvider(this);
		}

		return ozGSMRItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.OzHET} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected OzHETItemProvider ozHETItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.OzHET}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createOzHETAdapter() {
		if (ozHETItemProvider == null) {
			ozHETItemProvider = new OzHETItemProvider(this);
		}

		return ozHETItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.OzHM} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected OzHMItemProvider ozHMItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.OzHM}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createOzHMAdapter() {
		if (ozHMItemProvider == null) {
			ozHMItemProvider = new OzHMItemProvider(this);
		}

		return ozHMItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.OzICE} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected OzICEItemProvider ozICEItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.OzICE}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createOzICEAdapter() {
		if (ozICEItemProvider == null) {
			ozICEItemProvider = new OzICEItemProvider(this);
		}

		return ozICEItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.OzLZBBer} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected OzLZBBerItemProvider ozLZBBerItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.OzLZBBer}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createOzLZBBerAdapter() {
		if (ozLZBBerItemProvider == null) {
			ozLZBBerItemProvider = new OzLZBBerItemProvider(this);
		}

		return ozLZBBerItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.OzOBGrenze} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected OzOBGrenzeItemProvider ozOBGrenzeItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.OzOBGrenze}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createOzOBGrenzeAdapter() {
		if (ozOBGrenzeItemProvider == null) {
			ozOBGrenzeItemProvider = new OzOBGrenzeItemProvider(this);
		}

		return ozOBGrenzeItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.OzPZBBUE} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected OzPZBBUEItemProvider ozPZBBUEItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.OzPZBBUE}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createOzPZBBUEAdapter() {
		if (ozPZBBUEItemProvider == null) {
			ozPZBBUEItemProvider = new OzPZBBUEItemProvider(this);
		}

		return ozPZBBUEItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.OzZf} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected OzZfItemProvider ozZfItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.OzZf}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createOzZfAdapter() {
		if (ozZfItemProvider == null) {
			ozZfItemProvider = new OzZfItemProvider(this);
		}

		return ozZfItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.OzZugl} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected OzZuglItemProvider ozZuglItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.OzZugl}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createOzZuglAdapter() {
		if (ozZuglItemProvider == null) {
			ozZuglItemProvider = new OzZuglItemProvider(this);
		}

		return ozZuglItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Pf2} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Pf2ItemProvider pf2ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Pf2}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createPf2Adapter() {
		if (pf2ItemProvider == null) {
			pf2ItemProvider = new Pf2ItemProvider(this);
		}

		return pf2ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Ra10} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Ra10ItemProvider ra10ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Ra10}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createRa10Adapter() {
		if (ra10ItemProvider == null) {
			ra10ItemProvider = new Ra10ItemProvider(this);
		}

		return ra10ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Ra11} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Ra11ItemProvider ra11ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Ra11}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createRa11Adapter() {
		if (ra11ItemProvider == null) {
			ra11ItemProvider = new Ra11ItemProvider(this);
		}

		return ra11ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Ra11b} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Ra11bItemProvider ra11bItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Ra11b}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createRa11bAdapter() {
		if (ra11bItemProvider == null) {
			ra11bItemProvider = new Ra11bItemProvider(this);
		}

		return ra11bItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Ra12} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Ra12ItemProvider ra12ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Ra12}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createRa12Adapter() {
		if (ra12ItemProvider == null) {
			ra12ItemProvider = new Ra12ItemProvider(this);
		}

		return ra12ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Ra13} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Ra13ItemProvider ra13ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Ra13}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createRa13Adapter() {
		if (ra13ItemProvider == null) {
			ra13ItemProvider = new Ra13ItemProvider(this);
		}

		return ra13ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Sh0} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Sh0ItemProvider sh0ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Sh0}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createSh0Adapter() {
		if (sh0ItemProvider == null) {
			sh0ItemProvider = new Sh0ItemProvider(this);
		}

		return sh0ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Sh1} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Sh1ItemProvider sh1ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Sh1}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createSh1Adapter() {
		if (sh1ItemProvider == null) {
			sh1ItemProvider = new Sh1ItemProvider(this);
		}

		return sh1ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Sh2} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Sh2ItemProvider sh2ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Sh2}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createSh2Adapter() {
		if (sh2ItemProvider == null) {
			sh2ItemProvider = new Sh2ItemProvider(this);
		}

		return sh2ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Sk1} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Sk1ItemProvider sk1ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Sk1}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createSk1Adapter() {
		if (sk1ItemProvider == null) {
			sk1ItemProvider = new Sk1ItemProvider(this);
		}

		return sk1ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Sk2} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Sk2ItemProvider sk2ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Sk2}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createSk2Adapter() {
		if (sk2ItemProvider == null) {
			sk2ItemProvider = new Sk2ItemProvider(this);
		}

		return sk2ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.So1} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected So1ItemProvider so1ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.So1}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createSo1Adapter() {
		if (so1ItemProvider == null) {
			so1ItemProvider = new So1ItemProvider(this);
		}

		return so1ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.So106} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected So106ItemProvider so106ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.So106}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createSo106Adapter() {
		if (so106ItemProvider == null) {
			so106ItemProvider = new So106ItemProvider(this);
		}

		return so106ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.So14} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected So14ItemProvider so14ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.So14}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createSo14Adapter() {
		if (so14ItemProvider == null) {
			so14ItemProvider = new So14ItemProvider(this);
		}

		return so14ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.So15} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected So15ItemProvider so15ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.So15}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createSo15Adapter() {
		if (so15ItemProvider == null) {
			so15ItemProvider = new So15ItemProvider(this);
		}

		return so15ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.So191P} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected So191PItemProvider so191PItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.So191P}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createSo191PAdapter() {
		if (so191PItemProvider == null) {
			so191PItemProvider = new So191PItemProvider(this);
		}

		return so191PItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.So192P} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected So192PItemProvider so192PItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.So192P}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createSo192PAdapter() {
		if (so192PItemProvider == null) {
			so192PItemProvider = new So192PItemProvider(this);
		}

		return so192PItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.So193P} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected So193PItemProvider so193PItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.So193P}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createSo193PAdapter() {
		if (so193PItemProvider == null) {
			so193PItemProvider = new So193PItemProvider(this);
		}

		return so193PItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.So20} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected So20ItemProvider so20ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.So20}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createSo20Adapter() {
		if (so20ItemProvider == null) {
			so20ItemProvider = new So20ItemProvider(this);
		}

		return so20ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Sv0} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Sv0ItemProvider sv0ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Sv0}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createSv0Adapter() {
		if (sv0ItemProvider == null) {
			sv0ItemProvider = new Sv0ItemProvider(this);
		}

		return sv0ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Sv1} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Sv1ItemProvider sv1ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Sv1}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createSv1Adapter() {
		if (sv1ItemProvider == null) {
			sv1ItemProvider = new Sv1ItemProvider(this);
		}

		return sv1ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Sv2} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Sv2ItemProvider sv2ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Sv2}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createSv2Adapter() {
		if (sv2ItemProvider == null) {
			sv2ItemProvider = new Sv2ItemProvider(this);
		}

		return sv2ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Sv3} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Sv3ItemProvider sv3ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Sv3}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createSv3Adapter() {
		if (sv3ItemProvider == null) {
			sv3ItemProvider = new Sv3ItemProvider(this);
		}

		return sv3ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Sv4} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Sv4ItemProvider sv4ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Sv4}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createSv4Adapter() {
		if (sv4ItemProvider == null) {
			sv4ItemProvider = new Sv4ItemProvider(this);
		}

		return sv4ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Sv5} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Sv5ItemProvider sv5ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Sv5}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createSv5Adapter() {
		if (sv5ItemProvider == null) {
			sv5ItemProvider = new Sv5ItemProvider(this);
		}

		return sv5ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Sv6} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Sv6ItemProvider sv6ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Sv6}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createSv6Adapter() {
		if (sv6ItemProvider == null) {
			sv6ItemProvider = new Sv6ItemProvider(this);
		}

		return sv6ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.SvWPf} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected SvWPfItemProvider svWPfItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.SvWPf}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createSvWPfAdapter() {
		if (svWPfItemProvider == null) {
			svWPfItemProvider = new SvWPfItemProvider(this);
		}

		return svWPfItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Ts1} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Ts1ItemProvider ts1ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Ts1}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createTs1Adapter() {
		if (ts1ItemProvider == null) {
			ts1ItemProvider = new Ts1ItemProvider(this);
		}

		return ts1ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Ts2} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Ts2ItemProvider ts2ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Ts2}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createTs2Adapter() {
		if (ts2ItemProvider == null) {
			ts2ItemProvider = new Ts2ItemProvider(this);
		}

		return ts2ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Ts3} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Ts3ItemProvider ts3ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Ts3}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createTs3Adapter() {
		if (ts3ItemProvider == null) {
			ts3ItemProvider = new Ts3ItemProvider(this);
		}

		return ts3ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Ukr} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected UkrItemProvider ukrItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Ukr}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createUkrAdapter() {
		if (ukrItemProvider == null) {
			ukrItemProvider = new UkrItemProvider(this);
		}

		return ukrItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Vr0} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Vr0ItemProvider vr0ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Vr0}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createVr0Adapter() {
		if (vr0ItemProvider == null) {
			vr0ItemProvider = new Vr0ItemProvider(this);
		}

		return vr0ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Vr1} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Vr1ItemProvider vr1ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Vr1}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createVr1Adapter() {
		if (vr1ItemProvider == null) {
			vr1ItemProvider = new Vr1ItemProvider(this);
		}

		return vr1ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Vr2} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Vr2ItemProvider vr2ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Vr2}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createVr2Adapter() {
		if (vr2ItemProvider == null) {
			vr2ItemProvider = new Vr2ItemProvider(this);
		}

		return vr2ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Wn1} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Wn1ItemProvider wn1ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Wn1}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createWn1Adapter() {
		if (wn1ItemProvider == null) {
			wn1ItemProvider = new Wn1ItemProvider(this);
		}

		return wn1ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Wn2} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Wn2ItemProvider wn2ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Wn2}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createWn2Adapter() {
		if (wn2ItemProvider == null) {
			wn2ItemProvider = new Wn2ItemProvider(this);
		}

		return wn2ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Wn3} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Wn3ItemProvider wn3ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Wn3}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createWn3Adapter() {
		if (wn3ItemProvider == null) {
			wn3ItemProvider = new Wn3ItemProvider(this);
		}

		return wn3ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Wn4} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Wn4ItemProvider wn4ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Wn4}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createWn4Adapter() {
		if (wn4ItemProvider == null) {
			wn4ItemProvider = new Wn4ItemProvider(this);
		}

		return wn4ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Wn5} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Wn5ItemProvider wn5ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Wn5}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createWn5Adapter() {
		if (wn5ItemProvider == null) {
			wn5ItemProvider = new Wn5ItemProvider(this);
		}

		return wn5ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Wn6} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Wn6ItemProvider wn6ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Wn6}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createWn6Adapter() {
		if (wn6ItemProvider == null) {
			wn6ItemProvider = new Wn6ItemProvider(this);
		}

		return wn6ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Wn7} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Wn7ItemProvider wn7ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Wn7}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createWn7Adapter() {
		if (wn7ItemProvider == null) {
			wn7ItemProvider = new Wn7ItemProvider(this);
		}

		return wn7ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Wvs} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected WvsItemProvider wvsItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Wvs}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createWvsAdapter() {
		if (wvsItemProvider == null) {
			wvsItemProvider = new WvsItemProvider(this);
		}

		return wvsItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.ZlO} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected ZlOItemProvider zlOItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.ZlO}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createZlOAdapter() {
		if (zlOItemProvider == null) {
			zlOItemProvider = new ZlOItemProvider(this);
		}

		return zlOItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.ZlU} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected ZlUItemProvider zlUItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.ZlU}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createZlUAdapter() {
		if (zlUItemProvider == null) {
			zlUItemProvider = new ZlUItemProvider(this);
		}

		return zlUItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Zp10} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Zp10ItemProvider zp10ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Zp10}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createZp10Adapter() {
		if (zp10ItemProvider == null) {
			zp10ItemProvider = new Zp10ItemProvider(this);
		}

		return zp10ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Zp10Ls} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Zp10LsItemProvider zp10LsItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Zp10Ls}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createZp10LsAdapter() {
		if (zp10LsItemProvider == null) {
			zp10LsItemProvider = new Zp10LsItemProvider(this);
		}

		return zp10LsItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Zp6} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Zp6ItemProvider zp6ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Zp6}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createZp6Adapter() {
		if (zp6ItemProvider == null) {
			zp6ItemProvider = new Zp6ItemProvider(this);
		}

		return zp6ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Zp7} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Zp7ItemProvider zp7ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Zp7}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createZp7Adapter() {
		if (zp7ItemProvider == null) {
			zp7ItemProvider = new Zp7ItemProvider(this);
		}

		return zp7ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Zp8} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Zp8ItemProvider zp8ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Zp8}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createZp8Adapter() {
		if (zp8ItemProvider == null) {
			zp8ItemProvider = new Zp8ItemProvider(this);
		}

		return zp8ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Zp9} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Zp9ItemProvider zp9ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Zp9}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createZp9Adapter() {
		if (zp9ItemProvider == null) {
			zp9ItemProvider = new Zp9ItemProvider(this);
		}

		return zp9ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Zp9Ls} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Zp9LsItemProvider zp9LsItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Zp9Ls}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createZp9LsAdapter() {
		if (zp9LsItemProvider == null) {
			zp9LsItemProvider = new Zp9LsItemProvider(this);
		}

		return zp9LsItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Zs1} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Zs1ItemProvider zs1ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Zs1}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createZs1Adapter() {
		if (zs1ItemProvider == null) {
			zs1ItemProvider = new Zs1ItemProvider(this);
		}

		return zs1ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Zs10} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Zs10ItemProvider zs10ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Zs10}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createZs10Adapter() {
		if (zs10ItemProvider == null) {
			zs10ItemProvider = new Zs10ItemProvider(this);
		}

		return zs10ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Zs103} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Zs103ItemProvider zs103ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Zs103}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createZs103Adapter() {
		if (zs103ItemProvider == null) {
			zs103ItemProvider = new Zs103ItemProvider(this);
		}

		return zs103ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Zs12} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Zs12ItemProvider zs12ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Zs12}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createZs12Adapter() {
		if (zs12ItemProvider == null) {
			zs12ItemProvider = new Zs12ItemProvider(this);
		}

		return zs12ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Zs13} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Zs13ItemProvider zs13ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Zs13}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createZs13Adapter() {
		if (zs13ItemProvider == null) {
			zs13ItemProvider = new Zs13ItemProvider(this);
		}

		return zs13ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Zs1A} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Zs1AItemProvider zs1AItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Zs1A}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createZs1AAdapter() {
		if (zs1AItemProvider == null) {
			zs1AItemProvider = new Zs1AItemProvider(this);
		}

		return zs1AItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Zs2} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Zs2ItemProvider zs2ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Zs2}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createZs2Adapter() {
		if (zs2ItemProvider == null) {
			zs2ItemProvider = new Zs2ItemProvider(this);
		}

		return zs2ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Zs2v} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Zs2vItemProvider zs2vItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Zs2v}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createZs2vAdapter() {
		if (zs2vItemProvider == null) {
			zs2vItemProvider = new Zs2vItemProvider(this);
		}

		return zs2vItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Zs3} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Zs3ItemProvider zs3ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Zs3}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createZs3Adapter() {
		if (zs3ItemProvider == null) {
			zs3ItemProvider = new Zs3ItemProvider(this);
		}

		return zs3ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Zs3v} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Zs3vItemProvider zs3vItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Zs3v}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createZs3vAdapter() {
		if (zs3vItemProvider == null) {
			zs3vItemProvider = new Zs3vItemProvider(this);
		}

		return zs3vItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Zs6} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Zs6ItemProvider zs6ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Zs6}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createZs6Adapter() {
		if (zs6ItemProvider == null) {
			zs6ItemProvider = new Zs6ItemProvider(this);
		}

		return zs6ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Zs7} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Zs7ItemProvider zs7ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Zs7}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createZs7Adapter() {
		if (zs7ItemProvider == null) {
			zs7ItemProvider = new Zs7ItemProvider(this);
		}

		return zs7ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Zs8} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Zs8ItemProvider zs8ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Zs8}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createZs8Adapter() {
		if (zs8ItemProvider == null) {
			zs8ItemProvider = new Zs8ItemProvider(this);
		}

		return zs8ItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Zs8A} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Zs8AItemProvider zs8AItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Zs8A}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createZs8AAdapter() {
		if (zs8AItemProvider == null) {
			zs8AItemProvider = new Zs8AItemProvider(this);
		}

		return zs8AItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Zs9} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Zs9ItemProvider zs9ItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.set.toolboxmodel.Signalbegriffe_Ril_301.Zs9}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createZs9Adapter() {
		if (zs9ItemProvider == null) {
			zs9ItemProvider = new Zs9ItemProvider(this);
		}

		return zs9ItemProvider;
	}

	/**
	 * This returns the root adapter factory that contains this factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public ComposeableAdapterFactory getRootAdapterFactory() {
		return parentAdapterFactory == null ? this : parentAdapterFactory.getRootAdapterFactory();
	}

	/**
	 * This sets the composed adapter factory that contains this factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory) {
		this.parentAdapterFactory = parentAdapterFactory;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean isFactoryForType(Object type) {
		return supportedTypes.contains(type) || super.isFactoryForType(type);
	}

	/**
	 * This implementation substitutes the factory itself as the key for the adapter.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter adapt(Notifier notifier, Object type) {
		return super.adapt(notifier, this);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object adapt(Object object, Object type) {
		if (isFactoryForType(type)) {
			Object adapter = super.adapt(object, type);
			if (!(type instanceof Class<?>) || (((Class<?>)type).isInstance(adapter))) {
				return adapter;
			}
		}

		return null;
	}

	/**
	 * This adds a listener.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void addListener(INotifyChangedListener notifyChangedListener) {
		changeNotifier.addListener(notifyChangedListener);
	}

	/**
	 * This removes a listener.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void removeListener(INotifyChangedListener notifyChangedListener) {
		changeNotifier.removeListener(notifyChangedListener);
	}

	/**
	 * This delegates to {@link #changeNotifier} and to {@link #parentAdapterFactory}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void fireNotifyChanged(Notification notification) {
		changeNotifier.fireNotifyChanged(notification);

		if (parentAdapterFactory != null) {
			parentAdapterFactory.fireNotifyChanged(notification);
		}
	}

	/**
	 * This disposes all of the item providers created by this factory. 
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void dispose() {
		if (bsvauesItemProvider != null) bsvauesItemProvider.dispose();
		if (bsvrvaItemProvider != null) bsvrvaItemProvider.dispose();
		if (bsWdhItemProvider != null) bsWdhItemProvider.dispose();
		if (bszbsBerItemProvider != null) bszbsBerItemProvider.dispose();
		if (bsZusatzItemProvider != null) bsZusatzItemProvider.dispose();
		if (bue00LpItemProvider != null) bue00LpItemProvider.dispose();
		if (bue01LpItemProvider != null) bue01LpItemProvider.dispose();
		if (bue01SItemProvider != null) bue01SItemProvider.dispose();
		if (bue02LpItemProvider != null) bue02LpItemProvider.dispose();
		if (bue02SItemProvider != null) bue02SItemProvider.dispose();
		if (bue10LpBliItemProvider != null) bue10LpBliItemProvider.dispose();
		if (bue11LpBliItemProvider != null) bue11LpBliItemProvider.dispose();
		if (bue11SBliItemProvider != null) bue11SBliItemProvider.dispose();
		if (bue12LpStItemProvider != null) bue12LpStItemProvider.dispose();
		if (bue12SStItemProvider != null) bue12SStItemProvider.dispose();
		if (bue2ItemProvider != null) bue2ItemProvider.dispose();
		if (bue21RItemProvider != null) bue21RItemProvider.dispose();
		if (bue22RItemProvider != null) bue22RItemProvider.dispose();
		if (bue23RItemProvider != null) bue23RItemProvider.dispose();
		if (bue3ItemProvider != null) bue3ItemProvider.dispose();
		if (bue4ItemProvider != null) bue4ItemProvider.dispose();
		if (bue5ItemProvider != null) bue5ItemProvider.dispose();
		if (bueATItemProvider != null) bueATItemProvider.dispose();
		if (bueATZusatzItemProvider != null) bueATZusatzItemProvider.dispose();
		if (bueKTItemProvider != null) bueKTItemProvider.dispose();
		if (el1ItemProvider != null) el1ItemProvider.dispose();
		if (el1vItemProvider != null) el1vItemProvider.dispose();
		if (el2ItemProvider != null) el2ItemProvider.dispose();
		if (el3ItemProvider != null) el3ItemProvider.dispose();
		if (el4ItemProvider != null) el4ItemProvider.dispose();
		if (el5ItemProvider != null) el5ItemProvider.dispose();
		if (el6ItemProvider != null) el6ItemProvider.dispose();
		if (elPfBItemProvider != null) elPfBItemProvider.dispose();
		if (elPfLItemProvider != null) elPfLItemProvider.dispose();
		if (elPfOItemProvider != null) elPfOItemProvider.dispose();
		if (elPfRItemProvider != null) elPfRItemProvider.dispose();
		if (elTACItemProvider != null) elTACItemProvider.dispose();
		if (elTDCItemProvider != null) elTDCItemProvider.dispose();
		if (hl1ItemProvider != null) hl1ItemProvider.dispose();
		if (hl10ItemProvider != null) hl10ItemProvider.dispose();
		if (hl11ItemProvider != null) hl11ItemProvider.dispose();
		if (hl12aItemProvider != null) hl12aItemProvider.dispose();
		if (hl12bItemProvider != null) hl12bItemProvider.dispose();
		if (hl2ItemProvider != null) hl2ItemProvider.dispose();
		if (hl3aItemProvider != null) hl3aItemProvider.dispose();
		if (hl3bItemProvider != null) hl3bItemProvider.dispose();
		if (hl4ItemProvider != null) hl4ItemProvider.dispose();
		if (hl5ItemProvider != null) hl5ItemProvider.dispose();
		if (hl6aItemProvider != null) hl6aItemProvider.dispose();
		if (hl6bItemProvider != null) hl6bItemProvider.dispose();
		if (hl7ItemProvider != null) hl7ItemProvider.dispose();
		if (hl8ItemProvider != null) hl8ItemProvider.dispose();
		if (hl9aItemProvider != null) hl9aItemProvider.dispose();
		if (hl9bItemProvider != null) hl9bItemProvider.dispose();
		if (hp0ItemProvider != null) hp0ItemProvider.dispose();
		if (hp02LpItemProvider != null) hp02LpItemProvider.dispose();
		if (hp1ItemProvider != null) hp1ItemProvider.dispose();
		if (hp2ItemProvider != null) hp2ItemProvider.dispose();
		if (klItemProvider != null) klItemProvider.dispose();
		if (ks1ItemProvider != null) ks1ItemProvider.dispose();
		if (ks2ItemProvider != null) ks2ItemProvider.dispose();
		if (lf1ItemProvider != null) lf1ItemProvider.dispose();
		if (lf12ItemProvider != null) lf12ItemProvider.dispose();
		if (lf1WdhItemProvider != null) lf1WdhItemProvider.dispose();
		if (lf2ItemProvider != null) lf2ItemProvider.dispose();
		if (lf3ItemProvider != null) lf3ItemProvider.dispose();
		if (lf4DSItemProvider != null) lf4DSItemProvider.dispose();
		if (lf4DVItemProvider != null) lf4DVItemProvider.dispose();
		if (lf5DSItemProvider != null) lf5DSItemProvider.dispose();
		if (lf5DVItemProvider != null) lf5DVItemProvider.dispose();
		if (lf6ItemProvider != null) lf6ItemProvider.dispose();
		if (lf7ItemProvider != null) lf7ItemProvider.dispose();
		if (lfPfLItemProvider != null) lfPfLItemProvider.dispose();
		if (lfPfRItemProvider != null) lfPfRItemProvider.dispose();
		if (msGeDItemProvider != null) msGeDItemProvider.dispose();
		if (msRtItemProvider != null) msRtItemProvider.dispose();
		if (msSkGeItemProvider != null) msSkGeItemProvider.dispose();
		if (msSkRtItemProvider != null) msSkRtItemProvider.dispose();
		if (msUESWdhItemProvider != null) msUESWdhItemProvider.dispose();
		if (msVwItemProvider != null) msVwItemProvider.dispose();
		if (msWs2swPItemProvider != null) msWs2swPItemProvider.dispose();
		if (msWsGeWsItemProvider != null) msWsGeWsItemProvider.dispose();
		if (msWsRtWsItemProvider != null) msWsRtWsItemProvider.dispose();
		if (msWsSwWsItemProvider != null) msWsSwWsItemProvider.dispose();
		if (ne1ItemProvider != null) ne1ItemProvider.dispose();
		if (ne12ItemProvider != null) ne12ItemProvider.dispose();
		if (ne13aItemProvider != null) ne13aItemProvider.dispose();
		if (ne13bItemProvider != null) ne13bItemProvider.dispose();
		if (ne14ItemProvider != null) ne14ItemProvider.dispose();
		if (ne2ItemProvider != null) ne2ItemProvider.dispose();
		if (ne2VRVAItemProvider != null) ne2VRVAItemProvider.dispose();
		if (ne31strItemProvider != null) ne31strItemProvider.dispose();
		if (ne32strItemProvider != null) ne32strItemProvider.dispose();
		if (ne33strItemProvider != null) ne33strItemProvider.dispose();
		if (ne34strItemProvider != null) ne34strItemProvider.dispose();
		if (ne35strItemProvider != null) ne35strItemProvider.dispose();
		if (ne4ItemProvider != null) ne4ItemProvider.dispose();
		if (ne5ItemProvider != null) ne5ItemProvider.dispose();
		if (ne6ItemProvider != null) ne6ItemProvider.dispose();
		if (ne7aItemProvider != null) ne7aItemProvider.dispose();
		if (ne7bItemProvider != null) ne7bItemProvider.dispose();
		if (ozAutoETItemProvider != null) ozAutoETItemProvider.dispose();
		if (ozAutoHETItemProvider != null) ozAutoHETItemProvider.dispose();
		if (ozBkItemProvider != null) ozBkItemProvider.dispose();
		if (ozETItemProvider != null) ozETItemProvider.dispose();
		if (ozFaItemProvider != null) ozFaItemProvider.dispose();
		if (ozFakItemProvider != null) ozFakItemProvider.dispose();
		if (ozGSMRItemProvider != null) ozGSMRItemProvider.dispose();
		if (ozHETItemProvider != null) ozHETItemProvider.dispose();
		if (ozHMItemProvider != null) ozHMItemProvider.dispose();
		if (ozICEItemProvider != null) ozICEItemProvider.dispose();
		if (ozLZBBerItemProvider != null) ozLZBBerItemProvider.dispose();
		if (ozOBGrenzeItemProvider != null) ozOBGrenzeItemProvider.dispose();
		if (ozPZBBUEItemProvider != null) ozPZBBUEItemProvider.dispose();
		if (ozZfItemProvider != null) ozZfItemProvider.dispose();
		if (ozZuglItemProvider != null) ozZuglItemProvider.dispose();
		if (pf2ItemProvider != null) pf2ItemProvider.dispose();
		if (ra10ItemProvider != null) ra10ItemProvider.dispose();
		if (ra11ItemProvider != null) ra11ItemProvider.dispose();
		if (ra11bItemProvider != null) ra11bItemProvider.dispose();
		if (ra12ItemProvider != null) ra12ItemProvider.dispose();
		if (ra13ItemProvider != null) ra13ItemProvider.dispose();
		if (sh0ItemProvider != null) sh0ItemProvider.dispose();
		if (sh1ItemProvider != null) sh1ItemProvider.dispose();
		if (sh2ItemProvider != null) sh2ItemProvider.dispose();
		if (sk1ItemProvider != null) sk1ItemProvider.dispose();
		if (sk2ItemProvider != null) sk2ItemProvider.dispose();
		if (so1ItemProvider != null) so1ItemProvider.dispose();
		if (so106ItemProvider != null) so106ItemProvider.dispose();
		if (so14ItemProvider != null) so14ItemProvider.dispose();
		if (so15ItemProvider != null) so15ItemProvider.dispose();
		if (so191PItemProvider != null) so191PItemProvider.dispose();
		if (so192PItemProvider != null) so192PItemProvider.dispose();
		if (so193PItemProvider != null) so193PItemProvider.dispose();
		if (so20ItemProvider != null) so20ItemProvider.dispose();
		if (sv0ItemProvider != null) sv0ItemProvider.dispose();
		if (sv1ItemProvider != null) sv1ItemProvider.dispose();
		if (sv2ItemProvider != null) sv2ItemProvider.dispose();
		if (sv3ItemProvider != null) sv3ItemProvider.dispose();
		if (sv4ItemProvider != null) sv4ItemProvider.dispose();
		if (sv5ItemProvider != null) sv5ItemProvider.dispose();
		if (sv6ItemProvider != null) sv6ItemProvider.dispose();
		if (svWPfItemProvider != null) svWPfItemProvider.dispose();
		if (ts1ItemProvider != null) ts1ItemProvider.dispose();
		if (ts2ItemProvider != null) ts2ItemProvider.dispose();
		if (ts3ItemProvider != null) ts3ItemProvider.dispose();
		if (ukrItemProvider != null) ukrItemProvider.dispose();
		if (vr0ItemProvider != null) vr0ItemProvider.dispose();
		if (vr1ItemProvider != null) vr1ItemProvider.dispose();
		if (vr2ItemProvider != null) vr2ItemProvider.dispose();
		if (wn1ItemProvider != null) wn1ItemProvider.dispose();
		if (wn2ItemProvider != null) wn2ItemProvider.dispose();
		if (wn3ItemProvider != null) wn3ItemProvider.dispose();
		if (wn4ItemProvider != null) wn4ItemProvider.dispose();
		if (wn5ItemProvider != null) wn5ItemProvider.dispose();
		if (wn6ItemProvider != null) wn6ItemProvider.dispose();
		if (wn7ItemProvider != null) wn7ItemProvider.dispose();
		if (wvsItemProvider != null) wvsItemProvider.dispose();
		if (zlOItemProvider != null) zlOItemProvider.dispose();
		if (zlUItemProvider != null) zlUItemProvider.dispose();
		if (zp10ItemProvider != null) zp10ItemProvider.dispose();
		if (zp10LsItemProvider != null) zp10LsItemProvider.dispose();
		if (zp6ItemProvider != null) zp6ItemProvider.dispose();
		if (zp7ItemProvider != null) zp7ItemProvider.dispose();
		if (zp8ItemProvider != null) zp8ItemProvider.dispose();
		if (zp9ItemProvider != null) zp9ItemProvider.dispose();
		if (zp9LsItemProvider != null) zp9LsItemProvider.dispose();
		if (zs1ItemProvider != null) zs1ItemProvider.dispose();
		if (zs10ItemProvider != null) zs10ItemProvider.dispose();
		if (zs103ItemProvider != null) zs103ItemProvider.dispose();
		if (zs12ItemProvider != null) zs12ItemProvider.dispose();
		if (zs13ItemProvider != null) zs13ItemProvider.dispose();
		if (zs1AItemProvider != null) zs1AItemProvider.dispose();
		if (zs2ItemProvider != null) zs2ItemProvider.dispose();
		if (zs2vItemProvider != null) zs2vItemProvider.dispose();
		if (zs3ItemProvider != null) zs3ItemProvider.dispose();
		if (zs3vItemProvider != null) zs3vItemProvider.dispose();
		if (zs6ItemProvider != null) zs6ItemProvider.dispose();
		if (zs7ItemProvider != null) zs7ItemProvider.dispose();
		if (zs8ItemProvider != null) zs8ItemProvider.dispose();
		if (zs8AItemProvider != null) zs8AItemProvider.dispose();
		if (zs9ItemProvider != null) zs9ItemProvider.dispose();
	}

}
