/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.ATO;

import org.eclipse.emf.ecore.EFactory;

/**
 * <!-- begin-user-doc -->
 * The <b>Factory</b> for the model.
 * It provides a create method for each non-abstract class of the model.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.ATO.ATOPackage
 * @generated
 */
public interface ATOFactory extends EFactory {
	/**
	 * The singleton instance of the factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	ATOFactory eINSTANCE = org.eclipse.set.toolboxmodel.ATO.impl.ATOFactoryImpl.init();

	/**
	 * Returns a new object of class '<em>Abstand ATO Halt Vor Eo AType Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Abstand ATO Halt Vor Eo AType Class</em>'.
	 * @generated
	 */
	Abstand_ATO_Halt_Vor_EoA_TypeClass createAbstand_ATO_Halt_Vor_EoA_TypeClass();

	/**
	 * Returns a new object of class '<em>ATO Segment Profile</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ATO Segment Profile</em>'.
	 * @generated
	 */
	ATO_Segment_Profile createATO_Segment_Profile();

	/**
	 * Returns a new object of class '<em>ATO Segment Profile Bezeichnung Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ATO Segment Profile Bezeichnung Attribute Group</em>'.
	 * @generated
	 */
	ATO_Segment_Profile_Bezeichnung_AttributeGroup createATO_Segment_Profile_Bezeichnung_AttributeGroup();

	/**
	 * Returns a new object of class '<em>ATO Timing Point</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ATO Timing Point</em>'.
	 * @generated
	 */
	ATO_Timing_Point createATO_Timing_Point();

	/**
	 * Returns a new object of class '<em>ATO Timing Point Allg Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ATO Timing Point Allg Attribute Group</em>'.
	 * @generated
	 */
	ATO_Timing_Point_Allg_AttributeGroup createATO_Timing_Point_Allg_AttributeGroup();

	/**
	 * Returns a new object of class '<em>ATO Timing Point Bezeichnung Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ATO Timing Point Bezeichnung Attribute Group</em>'.
	 * @generated
	 */
	ATO_Timing_Point_Bezeichnung_AttributeGroup createATO_Timing_Point_Bezeichnung_AttributeGroup();

	/**
	 * Returns a new object of class '<em>ATO TS Instanz</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ATO TS Instanz</em>'.
	 * @generated
	 */
	ATO_TS_Instanz createATO_TS_Instanz();

	/**
	 * Returns a new object of class '<em>ATO TS Instanz Adresse Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ATO TS Instanz Adresse Attribute Group</em>'.
	 * @generated
	 */
	ATO_TS_Instanz_Adresse_AttributeGroup createATO_TS_Instanz_Adresse_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Bezeichnung ATO TP Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bezeichnung ATO TP Type Class</em>'.
	 * @generated
	 */
	Bezeichnung_ATO_TP_TypeClass createBezeichnung_ATO_TP_TypeClass();

	/**
	 * Returns a new object of class '<em>Erreichungstoleranz Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Erreichungstoleranz Type Class</em>'.
	 * @generated
	 */
	Erreichungstoleranz_TypeClass createErreichungstoleranz_TypeClass();

	/**
	 * Returns a new object of class '<em>Haltetoleranz Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Haltetoleranz Type Class</em>'.
	 * @generated
	 */
	Haltetoleranz_TypeClass createHaltetoleranz_TypeClass();

	/**
	 * Returns a new object of class '<em>NID ATOTS Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>NID ATOTS Type Class</em>'.
	 * @generated
	 */
	NID_ATOTS_TypeClass createNID_ATOTS_TypeClass();

	/**
	 * Returns a new object of class '<em>NID CATOTS Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>NID CATOTS Type Class</em>'.
	 * @generated
	 */
	NID_C_ATOTS_TypeClass createNID_C_ATOTS_TypeClass();

	/**
	 * Returns a new object of class '<em>NID SP Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>NID SP Type Class</em>'.
	 * @generated
	 */
	NID_SP_TypeClass createNID_SP_TypeClass();

	/**
	 * Returns a new object of class '<em>NID TP Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>NID TP Type Class</em>'.
	 * @generated
	 */
	NID_TP_TypeClass createNID_TP_TypeClass();

	/**
	 * Returns the package supported by this factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the package supported by this factory.
	 * @generated
	 */
	ATOPackage getATOPackage();

} //ATOFactory
