/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Ansteuerung_Element;

import org.eclipse.emf.ecore.EFactory;

/**
 * <!-- begin-user-doc -->
 * The <b>Factory</b> for the model.
 * It provides a create method for each non-abstract class of the model.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Ansteuerung_ElementPackage
 * @generated
 */
public interface Ansteuerung_ElementFactory extends EFactory {
	/**
	 * The singleton instance of the factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	Ansteuerung_ElementFactory eINSTANCE = org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementFactoryImpl.init();

	/**
	 * Returns a new object of class '<em>AEA Allg Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>AEA Allg Attribute Group</em>'.
	 * @generated
	 */
	AEA_Allg_AttributeGroup createAEA_Allg_AttributeGroup();

	/**
	 * Returns a new object of class '<em>AEA Energieversorgung Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>AEA Energieversorgung Attribute Group</em>'.
	 * @generated
	 */
	AEA_Energieversorgung_AttributeGroup createAEA_Energieversorgung_AttributeGroup();

	/**
	 * Returns a new object of class '<em>AEA GFK IP Adressblock Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>AEA GFK IP Adressblock Attribute Group</em>'.
	 * @generated
	 */
	AEA_GFK_IP_Adressblock_AttributeGroup createAEA_GFK_IP_Adressblock_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Aussenelementansteuerung</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Aussenelementansteuerung</em>'.
	 * @generated
	 */
	Aussenelementansteuerung createAussenelementansteuerung();

	/**
	 * Returns a new object of class '<em>Aussenelementansteuerung Art Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Aussenelementansteuerung Art Type Class</em>'.
	 * @generated
	 */
	Aussenelementansteuerung_Art_TypeClass createAussenelementansteuerung_Art_TypeClass();

	/**
	 * Returns a new object of class '<em>Aussenelementansteuerung Bezeichnung Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Aussenelementansteuerung Bezeichnung Attribute Group</em>'.
	 * @generated
	 */
	Aussenelementansteuerung_Bezeichnung_AttributeGroup createAussenelementansteuerung_Bezeichnung_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Bandbreite Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bandbreite Type Class</em>'.
	 * @generated
	 */
	Bandbreite_TypeClass createBandbreite_TypeClass();

	/**
	 * Returns a new object of class '<em>Bauart Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bauart Type Class</em>'.
	 * @generated
	 */
	Bauart_TypeClass createBauart_TypeClass();

	/**
	 * Returns a new object of class '<em>Bezeichnung AEA Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bezeichnung AEA Type Class</em>'.
	 * @generated
	 */
	Bezeichnung_AEA_TypeClass createBezeichnung_AEA_TypeClass();

	/**
	 * Returns a new object of class '<em>Bezeichnung ESTW ZE Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bezeichnung ESTW ZE Type Class</em>'.
	 * @generated
	 */
	Bezeichnung_ESTW_ZE_TypeClass createBezeichnung_ESTW_ZE_TypeClass();

	/**
	 * Returns a new object of class '<em>Bezeichnung Stellwerk Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bezeichnung Stellwerk Type Class</em>'.
	 * @generated
	 */
	Bezeichnung_Stellwerk_TypeClass createBezeichnung_Stellwerk_TypeClass();

	/**
	 * Returns a new object of class '<em>Bezeichnung TSO Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bezeichnung TSO Type Class</em>'.
	 * @generated
	 */
	Bezeichnung_TSO_TypeClass createBezeichnung_TSO_TypeClass();

	/**
	 * Returns a new object of class '<em>Energieversorgung Art Ersatz Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Energieversorgung Art Ersatz Type Class</em>'.
	 * @generated
	 */
	Energieversorgung_Art_Ersatz_TypeClass createEnergieversorgung_Art_Ersatz_TypeClass();

	/**
	 * Returns a new object of class '<em>Energieversorgung Art Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Energieversorgung Art Type Class</em>'.
	 * @generated
	 */
	Energieversorgung_Art_TypeClass createEnergieversorgung_Art_TypeClass();

	/**
	 * Returns a new object of class '<em>ESTW ZE Energieversorgung Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ESTW ZE Energieversorgung Attribute Group</em>'.
	 * @generated
	 */
	ESTW_ZE_Energieversorgung_AttributeGroup createESTW_ZE_Energieversorgung_AttributeGroup();

	/**
	 * Returns a new object of class '<em>ESTW Zentraleinheit</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ESTW Zentraleinheit</em>'.
	 * @generated
	 */
	ESTW_Zentraleinheit createESTW_Zentraleinheit();

	/**
	 * Returns a new object of class '<em>ESTW Zentraleinheit Allg Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ESTW Zentraleinheit Allg Attribute Group</em>'.
	 * @generated
	 */
	ESTW_Zentraleinheit_Allg_AttributeGroup createESTW_Zentraleinheit_Allg_AttributeGroup();

	/**
	 * Returns a new object of class '<em>ESTW Zentraleinheit Bezeichnung Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ESTW Zentraleinheit Bezeichnung Attribute Group</em>'.
	 * @generated
	 */
	ESTW_Zentraleinheit_Bezeichnung_AttributeGroup createESTW_Zentraleinheit_Bezeichnung_AttributeGroup();

	/**
	 * Returns a new object of class '<em>GFK Kategorie Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>GFK Kategorie Type Class</em>'.
	 * @generated
	 */
	GFK_Kategorie_TypeClass createGFK_Kategorie_TypeClass();

	/**
	 * Returns a new object of class '<em>Hersteller Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Hersteller Type Class</em>'.
	 * @generated
	 */
	Hersteller_TypeClass createHersteller_TypeClass();

	/**
	 * Returns a new object of class '<em>IP Adressblock Blau Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>IP Adressblock Blau Type Class</em>'.
	 * @generated
	 */
	IP_Adressblock_Blau_TypeClass createIP_Adressblock_Blau_TypeClass();

	/**
	 * Returns a new object of class '<em>IP Adressblock Blau V4 Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>IP Adressblock Blau V4 Type Class</em>'.
	 * @generated
	 */
	IP_Adressblock_Blau_V4_TypeClass createIP_Adressblock_Blau_V4_TypeClass();

	/**
	 * Returns a new object of class '<em>IP Adressblock Blau V6 Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>IP Adressblock Blau V6 Type Class</em>'.
	 * @generated
	 */
	IP_Adressblock_Blau_V6_TypeClass createIP_Adressblock_Blau_V6_TypeClass();

	/**
	 * Returns a new object of class '<em>IP Adressblock Grau Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>IP Adressblock Grau Type Class</em>'.
	 * @generated
	 */
	IP_Adressblock_Grau_TypeClass createIP_Adressblock_Grau_TypeClass();

	/**
	 * Returns a new object of class '<em>IP Adressblock Grau V4 Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>IP Adressblock Grau V4 Type Class</em>'.
	 * @generated
	 */
	IP_Adressblock_Grau_V4_TypeClass createIP_Adressblock_Grau_V4_TypeClass();

	/**
	 * Returns a new object of class '<em>IP Adressblock Grau V6 Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>IP Adressblock Grau V6 Type Class</em>'.
	 * @generated
	 */
	IP_Adressblock_Grau_V6_TypeClass createIP_Adressblock_Grau_V6_TypeClass();

	/**
	 * Returns a new object of class '<em>Medium Art Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Medium Art Type Class</em>'.
	 * @generated
	 */
	Medium_Art_TypeClass createMedium_Art_TypeClass();

	/**
	 * Returns a new object of class '<em>Netz Art Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Netz Art Type Class</em>'.
	 * @generated
	 */
	Netz_Art_TypeClass createNetz_Art_TypeClass();

	/**
	 * Returns a new object of class '<em>Regionalbereich Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Regionalbereich Type Class</em>'.
	 * @generated
	 */
	Regionalbereich_TypeClass createRegionalbereich_TypeClass();

	/**
	 * Returns a new object of class '<em>Standort Beschreibung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Standort Beschreibung Type Class</em>'.
	 * @generated
	 */
	Standort_Beschreibung_TypeClass createStandort_Beschreibung_TypeClass();

	/**
	 * Returns a new object of class '<em>Stell Bereich</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Stell Bereich</em>'.
	 * @generated
	 */
	Stell_Bereich createStell_Bereich();

	/**
	 * Returns a new object of class '<em>Stellelement</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Stellelement</em>'.
	 * @generated
	 */
	Stellelement createStellelement();

	/**
	 * Returns a new object of class '<em>Technik Art Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Technik Art Type Class</em>'.
	 * @generated
	 */
	Technik_Art_TypeClass createTechnik_Art_TypeClass();

	/**
	 * Returns a new object of class '<em>Technik Beschreibung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Technik Beschreibung Type Class</em>'.
	 * @generated
	 */
	Technik_Beschreibung_TypeClass createTechnik_Beschreibung_TypeClass();

	/**
	 * Returns a new object of class '<em>Technik Standort</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Technik Standort</em>'.
	 * @generated
	 */
	Technik_Standort createTechnik_Standort();

	/**
	 * Returns a new object of class '<em>Technik Standort Bezeichnung Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Technik Standort Bezeichnung Attribute Group</em>'.
	 * @generated
	 */
	Technik_Standort_Bezeichnung_AttributeGroup createTechnik_Standort_Bezeichnung_AttributeGroup();

	/**
	 * Returns a new object of class '<em>TSO IP AB Teilsystem Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>TSO IP AB Teilsystem Attribute Group</em>'.
	 * @generated
	 */
	TSO_IP_AB_Teilsystem_AttributeGroup createTSO_IP_AB_Teilsystem_AttributeGroup();

	/**
	 * Returns a new object of class '<em>TSO IP Adressblock Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>TSO IP Adressblock Attribute Group</em>'.
	 * @generated
	 */
	TSO_IP_Adressblock_AttributeGroup createTSO_IP_Adressblock_AttributeGroup();

	/**
	 * Returns a new object of class '<em>TSO Teilsystem Art Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>TSO Teilsystem Art Type Class</em>'.
	 * @generated
	 */
	TSO_Teilsystem_Art_TypeClass createTSO_Teilsystem_Art_TypeClass();

	/**
	 * Returns a new object of class '<em>Tueranschlag Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Tueranschlag Type Class</em>'.
	 * @generated
	 */
	Tueranschlag_TypeClass createTueranschlag_TypeClass();

	/**
	 * Returns a new object of class '<em>Uebertragungsweg</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Uebertragungsweg</em>'.
	 * @generated
	 */
	Uebertragungsweg createUebertragungsweg();

	/**
	 * Returns a new object of class '<em>Uebertragungsweg Art Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Uebertragungsweg Art Type Class</em>'.
	 * @generated
	 */
	Uebertragungsweg_Art_TypeClass createUebertragungsweg_Art_TypeClass();

	/**
	 * Returns a new object of class '<em>Uebertragungsweg Technik Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Uebertragungsweg Technik Attribute Group</em>'.
	 * @generated
	 */
	Uebertragungsweg_Technik_AttributeGroup createUebertragungsweg_Technik_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Unterbringung</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Unterbringung</em>'.
	 * @generated
	 */
	Unterbringung createUnterbringung();

	/**
	 * Returns a new object of class '<em>Unterbringung Allg Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Unterbringung Allg Attribute Group</em>'.
	 * @generated
	 */
	Unterbringung_Allg_AttributeGroup createUnterbringung_Allg_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Unterbringung Art Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Unterbringung Art Type Class</em>'.
	 * @generated
	 */
	Unterbringung_Art_TypeClass createUnterbringung_Art_TypeClass();

	/**
	 * Returns a new object of class '<em>Unterbringung Befestigung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Unterbringung Befestigung Type Class</em>'.
	 * @generated
	 */
	Unterbringung_Befestigung_TypeClass createUnterbringung_Befestigung_TypeClass();

	/**
	 * Returns a new object of class '<em>Unterbringung Polygonzug Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Unterbringung Polygonzug Type Class</em>'.
	 * @generated
	 */
	Unterbringung_Polygonzug_TypeClass createUnterbringung_Polygonzug_TypeClass();

	/**
	 * Returns a new object of class '<em>Zusatzinformation Stellwerk Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Zusatzinformation Stellwerk Type Class</em>'.
	 * @generated
	 */
	Zusatzinformation_Stellwerk_TypeClass createZusatzinformation_Stellwerk_TypeClass();

	/**
	 * Returns the package supported by this factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the package supported by this factory.
	 * @generated
	 */
	Ansteuerung_ElementPackage getAnsteuerung_ElementPackage();

} //Ansteuerung_ElementFactory
