/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Ansteuerung_Element;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>ENUM Medium Art</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Ansteuerung_ElementPackage#getENUMMediumArt()
 * @model extendedMetaData="name='ENUMMedium_Art'"
 * @generated
 */
public enum ENUMMediumArt implements Enumerator {
	/**
	 * The '<em><b>ENUM Medium Art Kupfer ADO8</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_MEDIUM_ART_KUPFER_ADO8_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_MEDIUM_ART_KUPFER_ADO8(0, "ENUMMedium_Art_Kupfer_ADO8", "Kupfer_ADO8"),

	/**
	 * The '<em><b>ENUM Medium Art Kupfer KAG</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_MEDIUM_ART_KUPFER_KAG_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_MEDIUM_ART_KUPFER_KAG(1, "ENUMMedium_Art_Kupfer_KAG", "Kupfer_KAG"),

	/**
	 * The '<em><b>ENUM Medium Art Kupfer LSA Plus</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_MEDIUM_ART_KUPFER_LSA_PLUS_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_MEDIUM_ART_KUPFER_LSA_PLUS(2, "ENUMMedium_Art_Kupfer_LSA_Plus", "Kupfer_LSA_Plus"),

	/**
	 * The '<em><b>ENUM Medium Art Kupfer RJ45</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_MEDIUM_ART_KUPFER_RJ45_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_MEDIUM_ART_KUPFER_RJ45(3, "ENUMMedium_Art_Kupfer_RJ45", "Kupfer_RJ45"),

	/**
	 * The '<em><b>ENUM Medium Art LWL DIN</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_MEDIUM_ART_LWL_DIN_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_MEDIUM_ART_LWL_DIN(4, "ENUMMedium_Art_LWL_DIN", "LWL_DIN"),

	/**
	 * The '<em><b>ENUM Medium Art LWL E2000</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_MEDIUM_ART_LWL_E2000_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_MEDIUM_ART_LWL_E2000(5, "ENUMMedium_Art_LWL_E2000", "LWL_E2000"),

	/**
	 * The '<em><b>ENUM Medium Art LWL SC LC</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_MEDIUM_ART_LWL_SC_LC_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_MEDIUM_ART_LWL_SC_LC(6, "ENUMMedium_Art_LWL_SC_LC", "LWL_SC_LC"),

	/**
	 * The '<em><b>ENUM Medium Art sonstige</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_MEDIUM_ART_SONSTIGE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_MEDIUM_ART_SONSTIGE(7, "ENUMMedium_Art_sonstige", "sonstige");

	/**
	 * The '<em><b>ENUM Medium Art Kupfer ADO8</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_MEDIUM_ART_KUPFER_ADO8
	 * @model name="ENUMMedium_Art_Kupfer_ADO8" literal="Kupfer_ADO8"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_MEDIUM_ART_KUPFER_ADO8_VALUE = 0;

	/**
	 * The '<em><b>ENUM Medium Art Kupfer KAG</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_MEDIUM_ART_KUPFER_KAG
	 * @model name="ENUMMedium_Art_Kupfer_KAG" literal="Kupfer_KAG"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_MEDIUM_ART_KUPFER_KAG_VALUE = 1;

	/**
	 * The '<em><b>ENUM Medium Art Kupfer LSA Plus</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_MEDIUM_ART_KUPFER_LSA_PLUS
	 * @model name="ENUMMedium_Art_Kupfer_LSA_Plus" literal="Kupfer_LSA_Plus"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_MEDIUM_ART_KUPFER_LSA_PLUS_VALUE = 2;

	/**
	 * The '<em><b>ENUM Medium Art Kupfer RJ45</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_MEDIUM_ART_KUPFER_RJ45
	 * @model name="ENUMMedium_Art_Kupfer_RJ45" literal="Kupfer_RJ45"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_MEDIUM_ART_KUPFER_RJ45_VALUE = 3;

	/**
	 * The '<em><b>ENUM Medium Art LWL DIN</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_MEDIUM_ART_LWL_DIN
	 * @model name="ENUMMedium_Art_LWL_DIN" literal="LWL_DIN"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_MEDIUM_ART_LWL_DIN_VALUE = 4;

	/**
	 * The '<em><b>ENUM Medium Art LWL E2000</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_MEDIUM_ART_LWL_E2000
	 * @model name="ENUMMedium_Art_LWL_E2000" literal="LWL_E2000"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_MEDIUM_ART_LWL_E2000_VALUE = 5;

	/**
	 * The '<em><b>ENUM Medium Art LWL SC LC</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_MEDIUM_ART_LWL_SC_LC
	 * @model name="ENUMMedium_Art_LWL_SC_LC" literal="LWL_SC_LC"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_MEDIUM_ART_LWL_SC_LC_VALUE = 6;

	/**
	 * The '<em><b>ENUM Medium Art sonstige</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_MEDIUM_ART_SONSTIGE
	 * @model name="ENUMMedium_Art_sonstige" literal="sonstige"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_MEDIUM_ART_SONSTIGE_VALUE = 7;

	/**
	 * An array of all the '<em><b>ENUM Medium Art</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static final ENUMMediumArt[] VALUES_ARRAY =
		new ENUMMediumArt[] {
			ENUM_MEDIUM_ART_KUPFER_ADO8,
			ENUM_MEDIUM_ART_KUPFER_KAG,
			ENUM_MEDIUM_ART_KUPFER_LSA_PLUS,
			ENUM_MEDIUM_ART_KUPFER_RJ45,
			ENUM_MEDIUM_ART_LWL_DIN,
			ENUM_MEDIUM_ART_LWL_E2000,
			ENUM_MEDIUM_ART_LWL_SC_LC,
			ENUM_MEDIUM_ART_SONSTIGE,
		};

	/**
	 * A public read-only list of all the '<em><b>ENUM Medium Art</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static final List<ENUMMediumArt> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

	/**
	 * Returns the '<em><b>ENUM Medium Art</b></em>' literal with the specified literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param literal the literal.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMMediumArt get(String literal) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMMediumArt result = VALUES_ARRAY[i];
			if (result.toString().equals(literal)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Medium Art</b></em>' literal with the specified name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param name the name.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMMediumArt getByName(String name) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMMediumArt result = VALUES_ARRAY[i];
			if (result.getName().equals(name)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Medium Art</b></em>' literal with the specified integer value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the integer value.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMMediumArt get(int value) {
		switch (value) {
			case ENUM_MEDIUM_ART_KUPFER_ADO8_VALUE: return ENUM_MEDIUM_ART_KUPFER_ADO8;
			case ENUM_MEDIUM_ART_KUPFER_KAG_VALUE: return ENUM_MEDIUM_ART_KUPFER_KAG;
			case ENUM_MEDIUM_ART_KUPFER_LSA_PLUS_VALUE: return ENUM_MEDIUM_ART_KUPFER_LSA_PLUS;
			case ENUM_MEDIUM_ART_KUPFER_RJ45_VALUE: return ENUM_MEDIUM_ART_KUPFER_RJ45;
			case ENUM_MEDIUM_ART_LWL_DIN_VALUE: return ENUM_MEDIUM_ART_LWL_DIN;
			case ENUM_MEDIUM_ART_LWL_E2000_VALUE: return ENUM_MEDIUM_ART_LWL_E2000;
			case ENUM_MEDIUM_ART_LWL_SC_LC_VALUE: return ENUM_MEDIUM_ART_LWL_SC_LC;
			case ENUM_MEDIUM_ART_SONSTIGE_VALUE: return ENUM_MEDIUM_ART_SONSTIGE;
			default: return null;
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final int value;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String name;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String literal;

	/**
	 * Only this class can construct instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private ENUMMediumArt(int value, String name, String literal) {
		this.value = value;
		this.name = name;
		this.literal = literal;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public int getValue() {
	  return value;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getName() {
	  return name;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getLiteral() {
	  return literal;
	}

	/**
	 * Returns the literal value of the enumerator, which is its string representation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		return literal;
	}
	
} //ENUMMediumArt
