/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Ansteuerung_Element;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>ENUM Tueranschlag</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Ansteuerung_ElementPackage#getENUMTueranschlag()
 * @model extendedMetaData="name='ENUMTueranschlag'"
 * @generated
 */
public enum ENUMTueranschlag implements Enumerator {
	/**
	 * The '<em><b>ENUM Tueranschlag abnehmbar</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TUERANSCHLAG_ABNEHMBAR_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_TUERANSCHLAG_ABNEHMBAR(0, "ENUMTueranschlag_abnehmbar", "abnehmbar"),

	/**
	 * The '<em><b>ENUM Tueranschlag beidseitig</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TUERANSCHLAG_BEIDSEITIG_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_TUERANSCHLAG_BEIDSEITIG(1, "ENUMTueranschlag_beidseitig", "beidseitig"),

	/**
	 * The '<em><b>ENUM Tueranschlag links</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TUERANSCHLAG_LINKS_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_TUERANSCHLAG_LINKS(2, "ENUMTueranschlag_links", "links"),

	/**
	 * The '<em><b>ENUM Tueranschlag oben</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TUERANSCHLAG_OBEN_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_TUERANSCHLAG_OBEN(3, "ENUMTueranschlag_oben", "oben"),

	/**
	 * The '<em><b>ENUM Tueranschlag rechts</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TUERANSCHLAG_RECHTS_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_TUERANSCHLAG_RECHTS(4, "ENUMTueranschlag_rechts", "rechts"),

	/**
	 * The '<em><b>ENUM Tueranschlag sonstige</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TUERANSCHLAG_SONSTIGE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_TUERANSCHLAG_SONSTIGE(5, "ENUMTueranschlag_sonstige", "sonstige"),

	/**
	 * The '<em><b>ENUM Tueranschlag unten</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TUERANSCHLAG_UNTEN_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_TUERANSCHLAG_UNTEN(6, "ENUMTueranschlag_unten", "unten");

	/**
	 * The '<em><b>ENUM Tueranschlag abnehmbar</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TUERANSCHLAG_ABNEHMBAR
	 * @model name="ENUMTueranschlag_abnehmbar" literal="abnehmbar"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_TUERANSCHLAG_ABNEHMBAR_VALUE = 0;

	/**
	 * The '<em><b>ENUM Tueranschlag beidseitig</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TUERANSCHLAG_BEIDSEITIG
	 * @model name="ENUMTueranschlag_beidseitig" literal="beidseitig"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_TUERANSCHLAG_BEIDSEITIG_VALUE = 1;

	/**
	 * The '<em><b>ENUM Tueranschlag links</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TUERANSCHLAG_LINKS
	 * @model name="ENUMTueranschlag_links" literal="links"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_TUERANSCHLAG_LINKS_VALUE = 2;

	/**
	 * The '<em><b>ENUM Tueranschlag oben</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TUERANSCHLAG_OBEN
	 * @model name="ENUMTueranschlag_oben" literal="oben"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_TUERANSCHLAG_OBEN_VALUE = 3;

	/**
	 * The '<em><b>ENUM Tueranschlag rechts</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TUERANSCHLAG_RECHTS
	 * @model name="ENUMTueranschlag_rechts" literal="rechts"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_TUERANSCHLAG_RECHTS_VALUE = 4;

	/**
	 * The '<em><b>ENUM Tueranschlag sonstige</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TUERANSCHLAG_SONSTIGE
	 * @model name="ENUMTueranschlag_sonstige" literal="sonstige"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_TUERANSCHLAG_SONSTIGE_VALUE = 5;

	/**
	 * The '<em><b>ENUM Tueranschlag unten</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TUERANSCHLAG_UNTEN
	 * @model name="ENUMTueranschlag_unten" literal="unten"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_TUERANSCHLAG_UNTEN_VALUE = 6;

	/**
	 * An array of all the '<em><b>ENUM Tueranschlag</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static final ENUMTueranschlag[] VALUES_ARRAY =
		new ENUMTueranschlag[] {
			ENUM_TUERANSCHLAG_ABNEHMBAR,
			ENUM_TUERANSCHLAG_BEIDSEITIG,
			ENUM_TUERANSCHLAG_LINKS,
			ENUM_TUERANSCHLAG_OBEN,
			ENUM_TUERANSCHLAG_RECHTS,
			ENUM_TUERANSCHLAG_SONSTIGE,
			ENUM_TUERANSCHLAG_UNTEN,
		};

	/**
	 * A public read-only list of all the '<em><b>ENUM Tueranschlag</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static final List<ENUMTueranschlag> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

	/**
	 * Returns the '<em><b>ENUM Tueranschlag</b></em>' literal with the specified literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param literal the literal.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMTueranschlag get(String literal) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMTueranschlag result = VALUES_ARRAY[i];
			if (result.toString().equals(literal)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Tueranschlag</b></em>' literal with the specified name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param name the name.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMTueranschlag getByName(String name) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMTueranschlag result = VALUES_ARRAY[i];
			if (result.getName().equals(name)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Tueranschlag</b></em>' literal with the specified integer value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the integer value.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMTueranschlag get(int value) {
		switch (value) {
			case ENUM_TUERANSCHLAG_ABNEHMBAR_VALUE: return ENUM_TUERANSCHLAG_ABNEHMBAR;
			case ENUM_TUERANSCHLAG_BEIDSEITIG_VALUE: return ENUM_TUERANSCHLAG_BEIDSEITIG;
			case ENUM_TUERANSCHLAG_LINKS_VALUE: return ENUM_TUERANSCHLAG_LINKS;
			case ENUM_TUERANSCHLAG_OBEN_VALUE: return ENUM_TUERANSCHLAG_OBEN;
			case ENUM_TUERANSCHLAG_RECHTS_VALUE: return ENUM_TUERANSCHLAG_RECHTS;
			case ENUM_TUERANSCHLAG_SONSTIGE_VALUE: return ENUM_TUERANSCHLAG_SONSTIGE;
			case ENUM_TUERANSCHLAG_UNTEN_VALUE: return ENUM_TUERANSCHLAG_UNTEN;
			default: return null;
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final int value;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String name;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String literal;

	/**
	 * Only this class can construct instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private ENUMTueranschlag(int value, String name, String literal) {
		this.value = value;
		this.name = name;
		this.literal = literal;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public int getValue() {
	  return value;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getName() {
	  return name;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getLiteral() {
	  return literal;
	}

	/**
	 * Returns the literal value of the enumerator, which is its string representation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		return literal;
	}
	
} //ENUMTueranschlag
