/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Ansteuerung_Element;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>ENUM Unterbringung Befestigung</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Ansteuerung_ElementPackage#getENUMUnterbringungBefestigung()
 * @model extendedMetaData="name='ENUMUnterbringung_Befestigung'"
 * @generated
 */
public enum ENUMUnterbringungBefestigung implements Enumerator {
	/**
	 * The '<em><b>ENUM Unterbringung Befestigung Fundament</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_UNTERBRINGUNG_BEFESTIGUNG_FUNDAMENT_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_UNTERBRINGUNG_BEFESTIGUNG_FUNDAMENT(0, "ENUMUnterbringung_Befestigung_Fundament", "Fundament"),

	/**
	 * The '<em><b>ENUM Unterbringung Befestigung Gebaeude</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_UNTERBRINGUNG_BEFESTIGUNG_GEBAEUDE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_UNTERBRINGUNG_BEFESTIGUNG_GEBAEUDE(1, "ENUMUnterbringung_Befestigung_Gebaeude", "Gebaeude"),

	/**
	 * The '<em><b>ENUM Unterbringung Befestigung Mauer</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_UNTERBRINGUNG_BEFESTIGUNG_MAUER_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_UNTERBRINGUNG_BEFESTIGUNG_MAUER(2, "ENUMUnterbringung_Befestigung_Mauer", "Mauer"),

	/**
	 * The '<em><b>ENUM Unterbringung Befestigung Pfosten</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_UNTERBRINGUNG_BEFESTIGUNG_PFOSTEN_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_UNTERBRINGUNG_BEFESTIGUNG_PFOSTEN(3, "ENUMUnterbringung_Befestigung_Pfosten", "Pfosten"),

	/**
	 * The '<em><b>ENUM Unterbringung Befestigung Signalausleger</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_UNTERBRINGUNG_BEFESTIGUNG_SIGNALAUSLEGER_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_UNTERBRINGUNG_BEFESTIGUNG_SIGNALAUSLEGER(4, "ENUMUnterbringung_Befestigung_Signalausleger", "Signalausleger"),

	/**
	 * The '<em><b>ENUM Unterbringung Befestigung Signalbruecke</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_UNTERBRINGUNG_BEFESTIGUNG_SIGNALBRUECKE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_UNTERBRINGUNG_BEFESTIGUNG_SIGNALBRUECKE(5, "ENUMUnterbringung_Befestigung_Signalbruecke", "Signalbruecke"),

	/**
	 * The '<em><b>ENUM Unterbringung Befestigung Signalmast</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_UNTERBRINGUNG_BEFESTIGUNG_SIGNALMAST_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_UNTERBRINGUNG_BEFESTIGUNG_SIGNALMAST(6, "ENUMUnterbringung_Befestigung_Signalmast", "Signalmast"),

	/**
	 * The '<em><b>ENUM Unterbringung Befestigung sonstige</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_UNTERBRINGUNG_BEFESTIGUNG_SONSTIGE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_UNTERBRINGUNG_BEFESTIGUNG_SONSTIGE(7, "ENUMUnterbringung_Befestigung_sonstige", "sonstige");

	/**
	 * The '<em><b>ENUM Unterbringung Befestigung Fundament</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_UNTERBRINGUNG_BEFESTIGUNG_FUNDAMENT
	 * @model name="ENUMUnterbringung_Befestigung_Fundament" literal="Fundament"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_UNTERBRINGUNG_BEFESTIGUNG_FUNDAMENT_VALUE = 0;

	/**
	 * The '<em><b>ENUM Unterbringung Befestigung Gebaeude</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_UNTERBRINGUNG_BEFESTIGUNG_GEBAEUDE
	 * @model name="ENUMUnterbringung_Befestigung_Gebaeude" literal="Gebaeude"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_UNTERBRINGUNG_BEFESTIGUNG_GEBAEUDE_VALUE = 1;

	/**
	 * The '<em><b>ENUM Unterbringung Befestigung Mauer</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_UNTERBRINGUNG_BEFESTIGUNG_MAUER
	 * @model name="ENUMUnterbringung_Befestigung_Mauer" literal="Mauer"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_UNTERBRINGUNG_BEFESTIGUNG_MAUER_VALUE = 2;

	/**
	 * The '<em><b>ENUM Unterbringung Befestigung Pfosten</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_UNTERBRINGUNG_BEFESTIGUNG_PFOSTEN
	 * @model name="ENUMUnterbringung_Befestigung_Pfosten" literal="Pfosten"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_UNTERBRINGUNG_BEFESTIGUNG_PFOSTEN_VALUE = 3;

	/**
	 * The '<em><b>ENUM Unterbringung Befestigung Signalausleger</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_UNTERBRINGUNG_BEFESTIGUNG_SIGNALAUSLEGER
	 * @model name="ENUMUnterbringung_Befestigung_Signalausleger" literal="Signalausleger"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_UNTERBRINGUNG_BEFESTIGUNG_SIGNALAUSLEGER_VALUE = 4;

	/**
	 * The '<em><b>ENUM Unterbringung Befestigung Signalbruecke</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_UNTERBRINGUNG_BEFESTIGUNG_SIGNALBRUECKE
	 * @model name="ENUMUnterbringung_Befestigung_Signalbruecke" literal="Signalbruecke"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_UNTERBRINGUNG_BEFESTIGUNG_SIGNALBRUECKE_VALUE = 5;

	/**
	 * The '<em><b>ENUM Unterbringung Befestigung Signalmast</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_UNTERBRINGUNG_BEFESTIGUNG_SIGNALMAST
	 * @model name="ENUMUnterbringung_Befestigung_Signalmast" literal="Signalmast"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_UNTERBRINGUNG_BEFESTIGUNG_SIGNALMAST_VALUE = 6;

	/**
	 * The '<em><b>ENUM Unterbringung Befestigung sonstige</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_UNTERBRINGUNG_BEFESTIGUNG_SONSTIGE
	 * @model name="ENUMUnterbringung_Befestigung_sonstige" literal="sonstige"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_UNTERBRINGUNG_BEFESTIGUNG_SONSTIGE_VALUE = 7;

	/**
	 * An array of all the '<em><b>ENUM Unterbringung Befestigung</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static final ENUMUnterbringungBefestigung[] VALUES_ARRAY =
		new ENUMUnterbringungBefestigung[] {
			ENUM_UNTERBRINGUNG_BEFESTIGUNG_FUNDAMENT,
			ENUM_UNTERBRINGUNG_BEFESTIGUNG_GEBAEUDE,
			ENUM_UNTERBRINGUNG_BEFESTIGUNG_MAUER,
			ENUM_UNTERBRINGUNG_BEFESTIGUNG_PFOSTEN,
			ENUM_UNTERBRINGUNG_BEFESTIGUNG_SIGNALAUSLEGER,
			ENUM_UNTERBRINGUNG_BEFESTIGUNG_SIGNALBRUECKE,
			ENUM_UNTERBRINGUNG_BEFESTIGUNG_SIGNALMAST,
			ENUM_UNTERBRINGUNG_BEFESTIGUNG_SONSTIGE,
		};

	/**
	 * A public read-only list of all the '<em><b>ENUM Unterbringung Befestigung</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static final List<ENUMUnterbringungBefestigung> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

	/**
	 * Returns the '<em><b>ENUM Unterbringung Befestigung</b></em>' literal with the specified literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param literal the literal.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMUnterbringungBefestigung get(String literal) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMUnterbringungBefestigung result = VALUES_ARRAY[i];
			if (result.toString().equals(literal)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Unterbringung Befestigung</b></em>' literal with the specified name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param name the name.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMUnterbringungBefestigung getByName(String name) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMUnterbringungBefestigung result = VALUES_ARRAY[i];
			if (result.getName().equals(name)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Unterbringung Befestigung</b></em>' literal with the specified integer value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the integer value.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMUnterbringungBefestigung get(int value) {
		switch (value) {
			case ENUM_UNTERBRINGUNG_BEFESTIGUNG_FUNDAMENT_VALUE: return ENUM_UNTERBRINGUNG_BEFESTIGUNG_FUNDAMENT;
			case ENUM_UNTERBRINGUNG_BEFESTIGUNG_GEBAEUDE_VALUE: return ENUM_UNTERBRINGUNG_BEFESTIGUNG_GEBAEUDE;
			case ENUM_UNTERBRINGUNG_BEFESTIGUNG_MAUER_VALUE: return ENUM_UNTERBRINGUNG_BEFESTIGUNG_MAUER;
			case ENUM_UNTERBRINGUNG_BEFESTIGUNG_PFOSTEN_VALUE: return ENUM_UNTERBRINGUNG_BEFESTIGUNG_PFOSTEN;
			case ENUM_UNTERBRINGUNG_BEFESTIGUNG_SIGNALAUSLEGER_VALUE: return ENUM_UNTERBRINGUNG_BEFESTIGUNG_SIGNALAUSLEGER;
			case ENUM_UNTERBRINGUNG_BEFESTIGUNG_SIGNALBRUECKE_VALUE: return ENUM_UNTERBRINGUNG_BEFESTIGUNG_SIGNALBRUECKE;
			case ENUM_UNTERBRINGUNG_BEFESTIGUNG_SIGNALMAST_VALUE: return ENUM_UNTERBRINGUNG_BEFESTIGUNG_SIGNALMAST;
			case ENUM_UNTERBRINGUNG_BEFESTIGUNG_SONSTIGE_VALUE: return ENUM_UNTERBRINGUNG_BEFESTIGUNG_SONSTIGE;
			default: return null;
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final int value;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String name;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String literal;

	/**
	 * Only this class can construct instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private ENUMUnterbringungBefestigung(int value, String name, String literal) {
		this.value = value;
		this.name = name;
		this.literal = literal;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public int getValue() {
	  return value;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getName() {
	  return name;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getLiteral() {
	  return literal;
	}

	/**
	 * Returns the literal value of the enumerator, which is its string representation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		return literal;
	}
	
} //ENUMUnterbringungBefestigung
