/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Bahnsteig;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>ENUM Bahnsteig Zugang Art</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Bahnsteig.BahnsteigPackage#getENUMBahnsteigZugangArt()
 * @model extendedMetaData="name='ENUMBahnsteig_Zugang_Art'"
 * @generated
 */
public enum ENUMBahnsteigZugangArt implements Enumerator {
	/**
	 * The '<em><b>ENUM Bahnsteig Zugang Art Aufzug</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BAHNSTEIG_ZUGANG_ART_AUFZUG_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_BAHNSTEIG_ZUGANG_ART_AUFZUG(0, "ENUMBahnsteig_Zugang_Art_Aufzug", "Aufzug"),

	/**
	 * The '<em><b>ENUM Bahnsteig Zugang Art Empfangsgebäude</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BAHNSTEIG_ZUGANG_ART_EMPFANGSGEBÄUDE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_BAHNSTEIG_ZUGANG_ART_EMPFANGSGEBÄUDE(1, "ENUMBahnsteig_Zugang_Art_Empfangsgebäude", "Empfangsgeb\u00e4ude"),

	/**
	 * The '<em><b>ENUM Bahnsteig Zugang Art Rampe</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BAHNSTEIG_ZUGANG_ART_RAMPE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_BAHNSTEIG_ZUGANG_ART_RAMPE(2, "ENUMBahnsteig_Zugang_Art_Rampe", "Rampe"),

	/**
	 * The '<em><b>ENUM Bahnsteig Zugang Art sonstige</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BAHNSTEIG_ZUGANG_ART_SONSTIGE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_BAHNSTEIG_ZUGANG_ART_SONSTIGE(3, "ENUMBahnsteig_Zugang_Art_sonstige", "sonstige"),

	/**
	 * The '<em><b>ENUM Bahnsteig Zugang Art Treppe</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BAHNSTEIG_ZUGANG_ART_TREPPE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_BAHNSTEIG_ZUGANG_ART_TREPPE(4, "ENUMBahnsteig_Zugang_Art_Treppe", "Treppe"),

	/**
	 * The '<em><b>ENUM Bahnsteig Zugang Art tResi</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BAHNSTEIG_ZUGANG_ART_TRESI_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_BAHNSTEIG_ZUGANG_ART_TRESI(5, "ENUMBahnsteig_Zugang_Art_tResi", "tResi"),

	/**
	 * The '<em><b>ENUM Bahnsteig Zugang Art Weg</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BAHNSTEIG_ZUGANG_ART_WEG_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_BAHNSTEIG_ZUGANG_ART_WEG(6, "ENUMBahnsteig_Zugang_Art_Weg", "Weg");

	/**
	 * The '<em><b>ENUM Bahnsteig Zugang Art Aufzug</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BAHNSTEIG_ZUGANG_ART_AUFZUG
	 * @model name="ENUMBahnsteig_Zugang_Art_Aufzug" literal="Aufzug"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_BAHNSTEIG_ZUGANG_ART_AUFZUG_VALUE = 0;

	/**
	 * The '<em><b>ENUM Bahnsteig Zugang Art Empfangsgebäude</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BAHNSTEIG_ZUGANG_ART_EMPFANGSGEBÄUDE
	 * @model name="ENUMBahnsteig_Zugang_Art_Empfangsgebäude" literal="Empfangsgeb\344ude"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_BAHNSTEIG_ZUGANG_ART_EMPFANGSGEBÄUDE_VALUE = 1;

	/**
	 * The '<em><b>ENUM Bahnsteig Zugang Art Rampe</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BAHNSTEIG_ZUGANG_ART_RAMPE
	 * @model name="ENUMBahnsteig_Zugang_Art_Rampe" literal="Rampe"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_BAHNSTEIG_ZUGANG_ART_RAMPE_VALUE = 2;

	/**
	 * The '<em><b>ENUM Bahnsteig Zugang Art sonstige</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BAHNSTEIG_ZUGANG_ART_SONSTIGE
	 * @model name="ENUMBahnsteig_Zugang_Art_sonstige" literal="sonstige"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_BAHNSTEIG_ZUGANG_ART_SONSTIGE_VALUE = 3;

	/**
	 * The '<em><b>ENUM Bahnsteig Zugang Art Treppe</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BAHNSTEIG_ZUGANG_ART_TREPPE
	 * @model name="ENUMBahnsteig_Zugang_Art_Treppe" literal="Treppe"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_BAHNSTEIG_ZUGANG_ART_TREPPE_VALUE = 4;

	/**
	 * The '<em><b>ENUM Bahnsteig Zugang Art tResi</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BAHNSTEIG_ZUGANG_ART_TRESI
	 * @model name="ENUMBahnsteig_Zugang_Art_tResi" literal="tResi"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_BAHNSTEIG_ZUGANG_ART_TRESI_VALUE = 5;

	/**
	 * The '<em><b>ENUM Bahnsteig Zugang Art Weg</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BAHNSTEIG_ZUGANG_ART_WEG
	 * @model name="ENUMBahnsteig_Zugang_Art_Weg" literal="Weg"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_BAHNSTEIG_ZUGANG_ART_WEG_VALUE = 6;

	/**
	 * An array of all the '<em><b>ENUM Bahnsteig Zugang Art</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static final ENUMBahnsteigZugangArt[] VALUES_ARRAY =
		new ENUMBahnsteigZugangArt[] {
			ENUM_BAHNSTEIG_ZUGANG_ART_AUFZUG,
			ENUM_BAHNSTEIG_ZUGANG_ART_EMPFANGSGEBÄUDE,
			ENUM_BAHNSTEIG_ZUGANG_ART_RAMPE,
			ENUM_BAHNSTEIG_ZUGANG_ART_SONSTIGE,
			ENUM_BAHNSTEIG_ZUGANG_ART_TREPPE,
			ENUM_BAHNSTEIG_ZUGANG_ART_TRESI,
			ENUM_BAHNSTEIG_ZUGANG_ART_WEG,
		};

	/**
	 * A public read-only list of all the '<em><b>ENUM Bahnsteig Zugang Art</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static final List<ENUMBahnsteigZugangArt> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

	/**
	 * Returns the '<em><b>ENUM Bahnsteig Zugang Art</b></em>' literal with the specified literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param literal the literal.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMBahnsteigZugangArt get(String literal) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMBahnsteigZugangArt result = VALUES_ARRAY[i];
			if (result.toString().equals(literal)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Bahnsteig Zugang Art</b></em>' literal with the specified name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param name the name.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMBahnsteigZugangArt getByName(String name) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMBahnsteigZugangArt result = VALUES_ARRAY[i];
			if (result.getName().equals(name)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Bahnsteig Zugang Art</b></em>' literal with the specified integer value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the integer value.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMBahnsteigZugangArt get(int value) {
		switch (value) {
			case ENUM_BAHNSTEIG_ZUGANG_ART_AUFZUG_VALUE: return ENUM_BAHNSTEIG_ZUGANG_ART_AUFZUG;
			case ENUM_BAHNSTEIG_ZUGANG_ART_EMPFANGSGEBÄUDE_VALUE: return ENUM_BAHNSTEIG_ZUGANG_ART_EMPFANGSGEBÄUDE;
			case ENUM_BAHNSTEIG_ZUGANG_ART_RAMPE_VALUE: return ENUM_BAHNSTEIG_ZUGANG_ART_RAMPE;
			case ENUM_BAHNSTEIG_ZUGANG_ART_SONSTIGE_VALUE: return ENUM_BAHNSTEIG_ZUGANG_ART_SONSTIGE;
			case ENUM_BAHNSTEIG_ZUGANG_ART_TREPPE_VALUE: return ENUM_BAHNSTEIG_ZUGANG_ART_TREPPE;
			case ENUM_BAHNSTEIG_ZUGANG_ART_TRESI_VALUE: return ENUM_BAHNSTEIG_ZUGANG_ART_TRESI;
			case ENUM_BAHNSTEIG_ZUGANG_ART_WEG_VALUE: return ENUM_BAHNSTEIG_ZUGANG_ART_WEG;
			default: return null;
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final int value;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String name;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String literal;

	/**
	 * Only this class can construct instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private ENUMBahnsteigZugangArt(int value, String name, String literal) {
		this.value = value;
		this.name = name;
		this.literal = literal;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public int getValue() {
	  return value;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getName() {
	  return name;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getLiteral() {
	  return literal;
	}

	/**
	 * Returns the literal value of the enumerator, which is its string representation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		return literal;
	}
	
} //ENUMBahnsteigZugangArt
