/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Bahnuebergang;

import org.eclipse.emf.ecore.EFactory;

/**
 * <!-- begin-user-doc -->
 * The <b>Factory</b> for the model.
 * It provides a create method for each non-abstract class of the model.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Bahnuebergang.BahnuebergangPackage
 * @generated
 */
public interface BahnuebergangFactory extends EFactory {
	/**
	 * The singleton instance of the factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	BahnuebergangFactory eINSTANCE = org.eclipse.set.toolboxmodel.Bahnuebergang.impl.BahnuebergangFactoryImpl.init();

	/**
	 * Returns a new object of class '<em>Abstand Gehweg Fahrbahn Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Abstand Gehweg Fahrbahn Type Class</em>'.
	 * @generated
	 */
	Abstand_Gehweg_Fahrbahn_TypeClass createAbstand_Gehweg_Fahrbahn_TypeClass();

	/**
	 * Returns a new object of class '<em>Akustik Fussgaenger Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Akustik Fussgaenger Type Class</em>'.
	 * @generated
	 */
	Akustik_Fussgaenger_TypeClass createAkustik_Fussgaenger_TypeClass();

	/**
	 * Returns a new object of class '<em>Ausrichtung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Ausrichtung Type Class</em>'.
	 * @generated
	 */
	Ausrichtung_TypeClass createAusrichtung_TypeClass();

	/**
	 * Returns a new object of class '<em>Ausrichtung Winkel Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Ausrichtung Winkel Type Class</em>'.
	 * @generated
	 */
	Ausrichtung_Winkel_TypeClass createAusrichtung_Winkel_TypeClass();

	/**
	 * Returns a new object of class '<em>Auto Het Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Auto Het Type Class</em>'.
	 * @generated
	 */
	Auto_Het_TypeClass createAuto_Het_TypeClass();

	/**
	 * Returns a new object of class '<em>Baulast Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Baulast Type Class</em>'.
	 * @generated
	 */
	Baulast_TypeClass createBaulast_TypeClass();

	/**
	 * Returns a new object of class '<em>Baumprofil Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Baumprofil Type Class</em>'.
	 * @generated
	 */
	Baumprofil_TypeClass createBaumprofil_TypeClass();

	/**
	 * Returns a new object of class '<em>Beeinflussung Strassenverkehr Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Beeinflussung Strassenverkehr Type Class</em>'.
	 * @generated
	 */
	Beeinflussung_Strassenverkehr_TypeClass createBeeinflussung_Strassenverkehr_TypeClass();

	/**
	 * Returns a new object of class '<em>Bez Schrankenantrieb Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bez Schrankenantrieb Type Class</em>'.
	 * @generated
	 */
	Bez_Schrankenantrieb_TypeClass createBez_Schrankenantrieb_TypeClass();

	/**
	 * Returns a new object of class '<em>Bezeichnung BUE GFR Eckpunkt Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bezeichnung BUE GFR Eckpunkt Type Class</em>'.
	 * @generated
	 */
	Bezeichnung_BUE_GFR_Eckpunkt_TypeClass createBezeichnung_BUE_GFR_Eckpunkt_TypeClass();

	/**
	 * Returns a new object of class '<em>Bezeichnung GFR Element Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bezeichnung GFR Element Type Class</em>'.
	 * @generated
	 */
	Bezeichnung_GFR_Element_TypeClass createBezeichnung_GFR_Element_TypeClass();

	/**
	 * Returns a new object of class '<em>Bezeichnung GFR Tripelspiegel Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bezeichnung GFR Tripelspiegel Type Class</em>'.
	 * @generated
	 */
	Bezeichnung_GFR_Tripelspiegel_TypeClass createBezeichnung_GFR_Tripelspiegel_TypeClass();

	/**
	 * Returns a new object of class '<em>Bezeichnung Verkehrszeichen Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bezeichnung Verkehrszeichen Type Class</em>'.
	 * @generated
	 */
	Bezeichnung_Verkehrszeichen_TypeClass createBezeichnung_Verkehrszeichen_TypeClass();

	/**
	 * Returns a new object of class '<em>Blitzpfeil Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Blitzpfeil Type Class</em>'.
	 * @generated
	 */
	Blitzpfeil_TypeClass createBlitzpfeil_TypeClass();

	/**
	 * Returns a new object of class '<em>BUE Abhaengigkeit Fue Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>BUE Abhaengigkeit Fue Attribute Group</em>'.
	 * @generated
	 */
	BUE_Abhaengigkeit_Fue_AttributeGroup createBUE_Abhaengigkeit_Fue_AttributeGroup();

	/**
	 * Returns a new object of class '<em>BUE Anlage</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>BUE Anlage</em>'.
	 * @generated
	 */
	BUE_Anlage createBUE_Anlage();

	/**
	 * Returns a new object of class '<em>BUE Anlage Allg Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>BUE Anlage Allg Attribute Group</em>'.
	 * @generated
	 */
	BUE_Anlage_Allg_AttributeGroup createBUE_Anlage_Allg_AttributeGroup();

	/**
	 * Returns a new object of class '<em>BUE Anlage Fuss Rad Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>BUE Anlage Fuss Rad Attribute Group</em>'.
	 * @generated
	 */
	BUE_Anlage_Fuss_Rad_AttributeGroup createBUE_Anlage_Fuss_Rad_AttributeGroup();

	/**
	 * Returns a new object of class '<em>BUE Anlage Strasse</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>BUE Anlage Strasse</em>'.
	 * @generated
	 */
	BUE_Anlage_Strasse createBUE_Anlage_Strasse();

	/**
	 * Returns a new object of class '<em>BUE Anlage Strasse Allg Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>BUE Anlage Strasse Allg Attribute Group</em>'.
	 * @generated
	 */
	BUE_Anlage_Strasse_Allg_AttributeGroup createBUE_Anlage_Strasse_Allg_AttributeGroup();

	/**
	 * Returns a new object of class '<em>BUE Anlage V</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>BUE Anlage V</em>'.
	 * @generated
	 */
	BUE_Anlage_V createBUE_Anlage_V();

	/**
	 * Returns a new object of class '<em>BUE Anlage VAllg Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>BUE Anlage VAllg Attribute Group</em>'.
	 * @generated
	 */
	BUE_Anlage_V_Allg_AttributeGroup createBUE_Anlage_V_Allg_AttributeGroup();

	/**
	 * Returns a new object of class '<em>BUE Ausschaltung</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>BUE Ausschaltung</em>'.
	 * @generated
	 */
	BUE_Ausschaltung createBUE_Ausschaltung();

	/**
	 * Returns a new object of class '<em>BUE Bauart Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>BUE Bauart Type Class</em>'.
	 * @generated
	 */
	BUE_Bauart_TypeClass createBUE_Bauart_TypeClass();

	/**
	 * Returns a new object of class '<em>BUE Bedien Anz Element Allg Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>BUE Bedien Anz Element Allg Attribute Group</em>'.
	 * @generated
	 */
	BUE_Bedien_Anz_Element_Allg_AttributeGroup createBUE_Bedien_Anz_Element_Allg_AttributeGroup();

	/**
	 * Returns a new object of class '<em>BUE Bedien Anzeige Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>BUE Bedien Anzeige Element</em>'.
	 * @generated
	 */
	BUE_Bedien_Anzeige_Element createBUE_Bedien_Anzeige_Element();

	/**
	 * Returns a new object of class '<em>BUE Buestra Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>BUE Buestra Type Class</em>'.
	 * @generated
	 */
	BUE_Buestra_TypeClass createBUE_Buestra_TypeClass();

	/**
	 * Returns a new object of class '<em>BUE Deckendes Signal Zuordnung</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>BUE Deckendes Signal Zuordnung</em>'.
	 * @generated
	 */
	BUE_Deckendes_Signal_Zuordnung createBUE_Deckendes_Signal_Zuordnung();

	/**
	 * Returns a new object of class '<em>BUE Einschaltung</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>BUE Einschaltung</em>'.
	 * @generated
	 */
	BUE_Einschaltung createBUE_Einschaltung();

	/**
	 * Returns a new object of class '<em>BUE Einschaltung Hp Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>BUE Einschaltung Hp Attribute Group</em>'.
	 * @generated
	 */
	BUE_Einschaltung_Hp_AttributeGroup createBUE_Einschaltung_Hp_AttributeGroup();

	/**
	 * Returns a new object of class '<em>BUE Einschaltung Zuordnung</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>BUE Einschaltung Zuordnung</em>'.
	 * @generated
	 */
	BUE_Einschaltung_Zuordnung createBUE_Einschaltung_Zuordnung();

	/**
	 * Returns a new object of class '<em>BUE Funktionsueberwachung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>BUE Funktionsueberwachung Type Class</em>'.
	 * @generated
	 */
	BUE_Funktionsueberwachung_TypeClass createBUE_Funktionsueberwachung_TypeClass();

	/**
	 * Returns a new object of class '<em>BUE Gefahrraum Eckpunkt</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>BUE Gefahrraum Eckpunkt</em>'.
	 * @generated
	 */
	BUE_Gefahrraum_Eckpunkt createBUE_Gefahrraum_Eckpunkt();

	/**
	 * Returns a new object of class '<em>BUE Gefahrraum Eckpunkt Bezeichnung Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>BUE Gefahrraum Eckpunkt Bezeichnung Attribute Group</em>'.
	 * @generated
	 */
	BUE_Gefahrraum_Eckpunkt_Bezeichnung_AttributeGroup createBUE_Gefahrraum_Eckpunkt_Bezeichnung_AttributeGroup();

	/**
	 * Returns a new object of class '<em>BUE Gleisbezogener Gefahrraum</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>BUE Gleisbezogener Gefahrraum</em>'.
	 * @generated
	 */
	BUE_Gleisbezogener_Gefahrraum createBUE_Gleisbezogener_Gefahrraum();

	/**
	 * Returns a new object of class '<em>BUE Handschalteinrichtung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>BUE Handschalteinrichtung Type Class</em>'.
	 * @generated
	 */
	BUE_Handschalteinrichtung_TypeClass createBUE_Handschalteinrichtung_TypeClass();

	/**
	 * Returns a new object of class '<em>BUE Kante</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>BUE Kante</em>'.
	 * @generated
	 */
	BUE_Kante createBUE_Kante();

	/**
	 * Returns a new object of class '<em>BUE Kreuzungsplan</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>BUE Kreuzungsplan</em>'.
	 * @generated
	 */
	BUE_Kreuzungsplan createBUE_Kreuzungsplan();

	/**
	 * Returns a new object of class '<em>BUE Kreuzungsplan Koordinaten Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>BUE Kreuzungsplan Koordinaten Attribute Group</em>'.
	 * @generated
	 */
	BUE_Kreuzungsplan_Koordinaten_AttributeGroup createBUE_Kreuzungsplan_Koordinaten_AttributeGroup();

	/**
	 * Returns a new object of class '<em>BUE Mit GFR Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>BUE Mit GFR Type Class</em>'.
	 * @generated
	 */
	BUE_Mit_GFR_TypeClass createBUE_Mit_GFR_TypeClass();

	/**
	 * Returns a new object of class '<em>BUE Nachlaufzeit Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>BUE Nachlaufzeit Type Class</em>'.
	 * @generated
	 */
	BUE_Nachlaufzeit_TypeClass createBUE_Nachlaufzeit_TypeClass();

	/**
	 * Returns a new object of class '<em>BUE Neigung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>BUE Neigung Type Class</em>'.
	 * @generated
	 */
	BUE_Neigung_TypeClass createBUE_Neigung_TypeClass();

	/**
	 * Returns a new object of class '<em>BUE Schnittstelle</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>BUE Schnittstelle</em>'.
	 * @generated
	 */
	BUE_Schnittstelle createBUE_Schnittstelle();

	/**
	 * Returns a new object of class '<em>BUE Schnittstelle Allg Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>BUE Schnittstelle Allg Attribute Group</em>'.
	 * @generated
	 */
	BUE_Schnittstelle_Allg_AttributeGroup createBUE_Schnittstelle_Allg_AttributeGroup();

	/**
	 * Returns a new object of class '<em>BUE Sicherungsart Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>BUE Sicherungsart Type Class</em>'.
	 * @generated
	 */
	BUE_Sicherungsart_TypeClass createBUE_Sicherungsart_TypeClass();

	/**
	 * Returns a new object of class '<em>BUE Sicherungszeit Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>BUE Sicherungszeit Type Class</em>'.
	 * @generated
	 */
	BUE_Sicherungszeit_TypeClass createBUE_Sicherungszeit_TypeClass();

	/**
	 * Returns a new object of class '<em>BUE Spezifisches Signal</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>BUE Spezifisches Signal</em>'.
	 * @generated
	 */
	BUE_Spezifisches_Signal createBUE_Spezifisches_Signal();

	/**
	 * Returns a new object of class '<em>BUE Strasse Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>BUE Strasse Type Class</em>'.
	 * @generated
	 */
	BUE_Strasse_TypeClass createBUE_Strasse_TypeClass();

	/**
	 * Returns a new object of class '<em>BUE Technik Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>BUE Technik Type Class</em>'.
	 * @generated
	 */
	BUE_Technik_TypeClass createBUE_Technik_TypeClass();

	/**
	 * Returns a new object of class '<em>BUE Vorlaufzeit Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>BUE Vorlaufzeit Type Class</em>'.
	 * @generated
	 */
	BUE_Vorlaufzeit_TypeClass createBUE_Vorlaufzeit_TypeClass();

	/**
	 * Returns a new object of class '<em>BUE WS Fstr Zuordnung</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>BUE WS Fstr Zuordnung</em>'.
	 * @generated
	 */
	BUE_WS_Fstr_Zuordnung createBUE_WS_Fstr_Zuordnung();

	/**
	 * Returns a new object of class '<em>Einschaltverz Errechnet Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Einschaltverz Errechnet Type Class</em>'.
	 * @generated
	 */
	Einschaltverz_Errechnet_TypeClass createEinschaltverz_Errechnet_TypeClass();

	/**
	 * Returns a new object of class '<em>Einschaltverz Gewaehlt Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Einschaltverz Gewaehlt Type Class</em>'.
	 * @generated
	 */
	Einschaltverz_Gewaehlt_TypeClass createEinschaltverz_Gewaehlt_TypeClass();

	/**
	 * Returns a new object of class '<em>Ersatzstecker Gleisbezogen Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Ersatzstecker Gleisbezogen Type Class</em>'.
	 * @generated
	 */
	Ersatzstecker_Gleisbezogen_TypeClass createErsatzstecker_Gleisbezogen_TypeClass();

	/**
	 * Returns a new object of class '<em>Fahrbahn Befestigung Gleis Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fahrbahn Befestigung Gleis Type Class</em>'.
	 * @generated
	 */
	Fahrbahn_Befestigung_Gleis_TypeClass createFahrbahn_Befestigung_Gleis_TypeClass();

	/**
	 * Returns a new object of class '<em>Fahrbahn Befestigung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fahrbahn Befestigung Type Class</em>'.
	 * @generated
	 */
	Fahrbahn_Befestigung_TypeClass createFahrbahn_Befestigung_TypeClass();

	/**
	 * Returns a new object of class '<em>Fahrbahn Breite Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fahrbahn Breite Type Class</em>'.
	 * @generated
	 */
	Fahrbahn_Breite_TypeClass createFahrbahn_Breite_TypeClass();

	/**
	 * Returns a new object of class '<em>Fue Schaltfall Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fue Schaltfall Type Class</em>'.
	 * @generated
	 */
	Fue_Schaltfall_TypeClass createFue_Schaltfall_TypeClass();

	/**
	 * Returns a new object of class '<em>Fuss Radweg Art Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fuss Radweg Art Type Class</em>'.
	 * @generated
	 */
	Fuss_Radweg_Art_TypeClass createFuss_Radweg_Art_TypeClass();

	/**
	 * Returns a new object of class '<em>Fuss Radweg Seite Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fuss Radweg Seite Type Class</em>'.
	 * @generated
	 */
	Fuss_Radweg_Seite_TypeClass createFuss_Radweg_Seite_TypeClass();

	/**
	 * Returns a new object of class '<em>GFR Anlage</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>GFR Anlage</em>'.
	 * @generated
	 */
	GFR_Anlage createGFR_Anlage();

	/**
	 * Returns a new object of class '<em>GFR Anlage Allg Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>GFR Anlage Allg Attribute Group</em>'.
	 * @generated
	 */
	GFR_Anlage_Allg_AttributeGroup createGFR_Anlage_Allg_AttributeGroup();

	/**
	 * Returns a new object of class '<em>GFR Art Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>GFR Art Type Class</em>'.
	 * @generated
	 */
	GFR_Art_TypeClass createGFR_Art_TypeClass();

	/**
	 * Returns a new object of class '<em>GFR Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>GFR Element</em>'.
	 * @generated
	 */
	GFR_Element createGFR_Element();

	/**
	 * Returns a new object of class '<em>GFR Element Bezeichnung Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>GFR Element Bezeichnung Attribute Group</em>'.
	 * @generated
	 */
	GFR_Element_Bezeichnung_AttributeGroup createGFR_Element_Bezeichnung_AttributeGroup();

	/**
	 * Returns a new object of class '<em>GFR Neigung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>GFR Neigung Type Class</em>'.
	 * @generated
	 */
	GFR_Neigung_TypeClass createGFR_Neigung_TypeClass();

	/**
	 * Returns a new object of class '<em>GFR Tripelspiegel</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>GFR Tripelspiegel</em>'.
	 * @generated
	 */
	GFR_Tripelspiegel createGFR_Tripelspiegel();

	/**
	 * Returns a new object of class '<em>GFR Tripelspiegel Allg Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>GFR Tripelspiegel Allg Attribute Group</em>'.
	 * @generated
	 */
	GFR_Tripelspiegel_Allg_AttributeGroup createGFR_Tripelspiegel_Allg_AttributeGroup();

	/**
	 * Returns a new object of class '<em>GFR Tripelspiegel Bezeichnung Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>GFR Tripelspiegel Bezeichnung Attribute Group</em>'.
	 * @generated
	 */
	GFR_Tripelspiegel_Bezeichnung_AttributeGroup createGFR_Tripelspiegel_Bezeichnung_AttributeGroup();

	/**
	 * Returns a new object of class '<em>GFR Typ Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>GFR Typ Type Class</em>'.
	 * @generated
	 */
	GFR_Typ_TypeClass createGFR_Typ_TypeClass();

	/**
	 * Returns a new object of class '<em>Gitterbehang Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Gitterbehang Type Class</em>'.
	 * @generated
	 */
	Gitterbehang_TypeClass createGitterbehang_TypeClass();

	/**
	 * Returns a new object of class '<em>Gleis Am Bue Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Gleis Am Bue Type Class</em>'.
	 * @generated
	 */
	Gleis_Am_Bue_TypeClass createGleis_Am_Bue_TypeClass();

	/**
	 * Returns a new object of class '<em>Haltezeit Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Haltezeit Type Class</em>'.
	 * @generated
	 */
	Haltezeit_TypeClass createHaltezeit_TypeClass();

	/**
	 * Returns a new object of class '<em>Hersteller Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Hersteller Type Class</em>'.
	 * @generated
	 */
	Hersteller_TypeClass createHersteller_TypeClass();

	/**
	 * Returns a new object of class '<em>Hp Ersatzstecker Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Hp Ersatzstecker Type Class</em>'.
	 * @generated
	 */
	Hp_Ersatzstecker_TypeClass createHp_Ersatzstecker_TypeClass();

	/**
	 * Returns a new object of class '<em>Klassifizierung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Klassifizierung Type Class</em>'.
	 * @generated
	 */
	Klassifizierung_TypeClass createKlassifizierung_TypeClass();

	/**
	 * Returns a new object of class '<em>Kontrastblende Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Kontrastblende Type Class</em>'.
	 * @generated
	 */
	Kontrastblende_TypeClass createKontrastblende_TypeClass();

	/**
	 * Returns a new object of class '<em>Kreuzungswinkel Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Kreuzungswinkel Type Class</em>'.
	 * @generated
	 */
	Kreuzungswinkel_TypeClass createKreuzungswinkel_TypeClass();

	/**
	 * Returns a new object of class '<em>Kurzzugschaltung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Kurzzugschaltung Type Class</em>'.
	 * @generated
	 */
	Kurzzugschaltung_TypeClass createKurzzugschaltung_TypeClass();

	/**
	 * Returns a new object of class '<em>Lagerung Art Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Lagerung Art Type Class</em>'.
	 * @generated
	 */
	Lagerung_Art_TypeClass createLagerung_Art_TypeClass();

	/**
	 * Returns a new object of class '<em>LFUE Impuls Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>LFUE Impuls Type Class</em>'.
	 * @generated
	 */
	LFUE_Impuls_TypeClass createLFUE_Impuls_TypeClass();

	/**
	 * Returns a new object of class '<em>Lieferlaenge Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Lieferlaenge Type Class</em>'.
	 * @generated
	 */
	Lieferlaenge_TypeClass createLieferlaenge_TypeClass();

	/**
	 * Returns a new object of class '<em>Montage Ausgleichsgewichte Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Montage Ausgleichsgewichte Type Class</em>'.
	 * @generated
	 */
	Montage_Ausgleichsgewichte_TypeClass createMontage_Ausgleichsgewichte_TypeClass();

	/**
	 * Returns a new object of class '<em>Montage Besonders Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Montage Besonders Type Class</em>'.
	 * @generated
	 */
	Montage_Besonders_TypeClass createMontage_Besonders_TypeClass();

	/**
	 * Returns a new object of class '<em>Montagehoehe Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Montagehoehe Type Class</em>'.
	 * @generated
	 */
	Montagehoehe_TypeClass createMontagehoehe_TypeClass();

	/**
	 * Returns a new object of class '<em>Optik Durchmesser Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Optik Durchmesser Type Class</em>'.
	 * @generated
	 */
	Optik_Durchmesser_TypeClass createOptik_Durchmesser_TypeClass();

	/**
	 * Returns a new object of class '<em>Optik Symbolmaske Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Optik Symbolmaske Type Class</em>'.
	 * @generated
	 */
	Optik_Symbolmaske_TypeClass createOptik_Symbolmaske_TypeClass();

	/**
	 * Returns a new object of class '<em>Pegel Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Pegel Type Class</em>'.
	 * @generated
	 */
	Pegel_TypeClass createPegel_TypeClass();

	/**
	 * Returns a new object of class '<em>Pixel Koordinate XType Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Pixel Koordinate XType Class</em>'.
	 * @generated
	 */
	Pixel_Koordinate_X_TypeClass createPixel_Koordinate_X_TypeClass();

	/**
	 * Returns a new object of class '<em>Pixel Koordinate YType Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Pixel Koordinate YType Class</em>'.
	 * @generated
	 */
	Pixel_Koordinate_Y_TypeClass createPixel_Koordinate_Y_TypeClass();

	/**
	 * Returns a new object of class '<em>Raeumstrecke DAB Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Raeumstrecke DAB Type Class</em>'.
	 * @generated
	 */
	Raeumstrecke_DAB_TypeClass createRaeumstrecke_DAB_TypeClass();

	/**
	 * Returns a new object of class '<em>Raeumstrecke DBK Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Raeumstrecke DBK Type Class</em>'.
	 * @generated
	 */
	Raeumstrecke_DBK_TypeClass createRaeumstrecke_DBK_TypeClass();

	/**
	 * Returns a new object of class '<em>Raeumstrecke DCK Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Raeumstrecke DCK Type Class</em>'.
	 * @generated
	 */
	Raeumstrecke_DCK_TypeClass createRaeumstrecke_DCK_TypeClass();

	/**
	 * Returns a new object of class '<em>Raeumstrecke DSK Strich Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Raeumstrecke DSK Strich Type Class</em>'.
	 * @generated
	 */
	Raeumstrecke_DSK_Strich_TypeClass createRaeumstrecke_DSK_Strich_TypeClass();

	/**
	 * Returns a new object of class '<em>Raeumstrecke Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Raeumstrecke Type Class</em>'.
	 * @generated
	 */
	Raeumstrecke_TypeClass createRaeumstrecke_TypeClass();

	/**
	 * Returns a new object of class '<em>Richtungspfeil Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Richtungspfeil Type Class</em>'.
	 * @generated
	 */
	Richtungspfeil_TypeClass createRichtungspfeil_TypeClass();

	/**
	 * Returns a new object of class '<em>SA Schrankenbaum Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>SA Schrankenbaum Attribute Group</em>'.
	 * @generated
	 */
	SA_Schrankenbaum_AttributeGroup createSA_Schrankenbaum_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Schaltgruppe Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Schaltgruppe Type Class</em>'.
	 * @generated
	 */
	Schaltgruppe_TypeClass createSchaltgruppe_TypeClass();

	/**
	 * Returns a new object of class '<em>Schaltmittel Fstr Zuordnung</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Schaltmittel Fstr Zuordnung</em>'.
	 * @generated
	 */
	Schaltmittel_Fstr_Zuordnung createSchaltmittel_Fstr_Zuordnung();

	/**
	 * Returns a new object of class '<em>Schrankenantrieb</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Schrankenantrieb</em>'.
	 * @generated
	 */
	Schrankenantrieb createSchrankenantrieb();

	/**
	 * Returns a new object of class '<em>Schrankenantrieb Allg Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Schrankenantrieb Allg Attribute Group</em>'.
	 * @generated
	 */
	Schrankenantrieb_Allg_AttributeGroup createSchrankenantrieb_Allg_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Schrankenantrieb Bezeichnung Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Schrankenantrieb Bezeichnung Attribute Group</em>'.
	 * @generated
	 */
	Schrankenantrieb_Bezeichnung_AttributeGroup createSchrankenantrieb_Bezeichnung_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Schutzbuegel Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Schutzbuegel Type Class</em>'.
	 * @generated
	 */
	Schutzbuegel_TypeClass createSchutzbuegel_TypeClass();

	/**
	 * Returns a new object of class '<em>Sicherheitsabstand Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Sicherheitsabstand Type Class</em>'.
	 * @generated
	 */
	Sicherheitsabstand_TypeClass createSicherheitsabstand_TypeClass();

	/**
	 * Returns a new object of class '<em>Signalverz Errechnet Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Signalverz Errechnet Type Class</em>'.
	 * @generated
	 */
	Signalverz_Errechnet_TypeClass createSignalverz_Errechnet_TypeClass();

	/**
	 * Returns a new object of class '<em>Signalverz Gewaehlt Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Signalverz Gewaehlt Type Class</em>'.
	 * @generated
	 */
	Signalverz_Gewaehlt_TypeClass createSignalverz_Gewaehlt_TypeClass();

	/**
	 * Returns a new object of class '<em>Sperrlaenge Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Sperrlaenge Type Class</em>'.
	 * @generated
	 */
	Sperrlaenge_TypeClass createSperrlaenge_TypeClass();

	/**
	 * Returns a new object of class '<em>Sperrstrecke Fussgaenger Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Sperrstrecke Fussgaenger Type Class</em>'.
	 * @generated
	 */
	Sperrstrecke_Fussgaenger_TypeClass createSperrstrecke_Fussgaenger_TypeClass();

	/**
	 * Returns a new object of class '<em>Sperrstrecke Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Sperrstrecke Type Class</em>'.
	 * @generated
	 */
	Sperrstrecke_TypeClass createSperrstrecke_TypeClass();

	/**
	 * Returns a new object of class '<em>Stoerhalt Haltfall Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Stoerhalt Haltfall Type Class</em>'.
	 * @generated
	 */
	Stoerhalt_Haltfall_TypeClass createStoerhalt_Haltfall_TypeClass();

	/**
	 * Returns a new object of class '<em>Stoerhalt Merkhinweis Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Stoerhalt Merkhinweis Type Class</em>'.
	 * @generated
	 */
	Stoerhalt_Merkhinweis_TypeClass createStoerhalt_Merkhinweis_TypeClass();

	/**
	 * Returns a new object of class '<em>Teilsperrstrecke Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Teilsperrstrecke Type Class</em>'.
	 * @generated
	 */
	Teilsperrstrecke_TypeClass createTeilsperrstrecke_TypeClass();

	/**
	 * Returns a new object of class '<em>Teilvorgabezeit Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Teilvorgabezeit Type Class</em>'.
	 * @generated
	 */
	Teilvorgabezeit_TypeClass createTeilvorgabezeit_TypeClass();

	/**
	 * Returns a new object of class '<em>Tragkopf Verstellbar Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Tragkopf Verstellbar Type Class</em>'.
	 * @generated
	 */
	Tragkopf_Verstellbar_TypeClass createTragkopf_Verstellbar_TypeClass();

	/**
	 * Returns a new object of class '<em>VMax Schiene Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>VMax Schiene Type Class</em>'.
	 * @generated
	 */
	V_Max_Schiene_TypeClass createV_Max_Schiene_TypeClass();

	/**
	 * Returns a new object of class '<em>VMax Strasse Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>VMax Strasse Type Class</em>'.
	 * @generated
	 */
	V_Max_Strasse_TypeClass createV_Max_Strasse_TypeClass();

	/**
	 * Returns a new object of class '<em>VMin Fussweg Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>VMin Fussweg Type Class</em>'.
	 * @generated
	 */
	V_Min_Fussweg_TypeClass createV_Min_Fussweg_TypeClass();

	/**
	 * Returns a new object of class '<em>VMin Schiene Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>VMin Schiene Type Class</em>'.
	 * @generated
	 */
	V_Min_Schiene_TypeClass createV_Min_Schiene_TypeClass();

	/**
	 * Returns a new object of class '<em>VMin Strasse Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>VMin Strasse Type Class</em>'.
	 * @generated
	 */
	V_Min_Strasse_TypeClass createV_Min_Strasse_TypeClass();

	/**
	 * Returns a new object of class '<em>Verkehrszeichen</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Verkehrszeichen</em>'.
	 * @generated
	 */
	Verkehrszeichen createVerkehrszeichen();

	/**
	 * Returns a new object of class '<em>Verkehrszeichen Allg Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Verkehrszeichen Allg Attribute Group</em>'.
	 * @generated
	 */
	Verkehrszeichen_Allg_AttributeGroup createVerkehrszeichen_Allg_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Verkehrszeichen Andreaskreuz Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Verkehrszeichen Andreaskreuz Attribute Group</em>'.
	 * @generated
	 */
	Verkehrszeichen_Andreaskreuz_AttributeGroup createVerkehrszeichen_Andreaskreuz_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Verkehrszeichen Bezeichnung Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Verkehrszeichen Bezeichnung Attribute Group</em>'.
	 * @generated
	 */
	Verkehrszeichen_Bezeichnung_AttributeGroup createVerkehrszeichen_Bezeichnung_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Verkehrszeichen Lz Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Verkehrszeichen Lz Attribute Group</em>'.
	 * @generated
	 */
	Verkehrszeichen_Lz_AttributeGroup createVerkehrszeichen_Lz_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Vorgeschaltet Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Vorgeschaltet Type Class</em>'.
	 * @generated
	 */
	Vorgeschaltet_TypeClass createVorgeschaltet_TypeClass();

	/**
	 * Returns a new object of class '<em>Vz Sperrstrecke Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Vz Sperrstrecke Attribute Group</em>'.
	 * @generated
	 */
	Vz_Sperrstrecke_AttributeGroup createVz_Sperrstrecke_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Vz Sperrstrecke Schranke Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Vz Sperrstrecke Schranke Attribute Group</em>'.
	 * @generated
	 */
	Vz_Sperrstrecke_Schranke_AttributeGroup createVz_Sperrstrecke_Schranke_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Vz Sperrstrecke Vorgeschaltet Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Vz Sperrstrecke Vorgeschaltet Attribute Group</em>'.
	 * @generated
	 */
	Vz_Sperrstrecke_Vorgeschaltet_AttributeGroup createVz_Sperrstrecke_Vorgeschaltet_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Winkel Alpha Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Winkel Alpha Type Class</em>'.
	 * @generated
	 */
	Winkel_Alpha_TypeClass createWinkel_Alpha_TypeClass();

	/**
	 * Returns a new object of class '<em>Zeitueberschreitungsmeldung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Zeitueberschreitungsmeldung Type Class</em>'.
	 * @generated
	 */
	Zeitueberschreitungsmeldung_TypeClass createZeitueberschreitungsmeldung_TypeClass();

	/**
	 * Returns a new object of class '<em>Zusatzschild Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Zusatzschild Type Class</em>'.
	 * @generated
	 */
	Zusatzschild_TypeClass createZusatzschild_TypeClass();

	/**
	 * Returns the package supported by this factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the package supported by this factory.
	 * @generated
	 */
	BahnuebergangPackage getBahnuebergangPackage();

} //BahnuebergangFactory
