/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Bahnuebergang;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>ENUMBUE Funktionsueberwachung</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Bahnuebergang.BahnuebergangPackage#getENUMBUEFunktionsueberwachung()
 * @model extendedMetaData="name='ENUMBUE_Funktionsueberwachung'"
 * @generated
 */
public enum ENUMBUEFunktionsueberwachung implements Enumerator {
	/**
	 * The '<em><b>ENUMBUE Funktionsueberwachung FS Ue B</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_FUNKTIONSUEBERWACHUNG_FS_UE_B_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBUE_FUNKTIONSUEBERWACHUNG_FS_UE_B(0, "ENUMBUE_Funktionsueberwachung_FSUe_B", "FSUe_B"),

	/**
	 * The '<em><b>ENUMBUE Funktionsueberwachung FS Ue E</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_FUNKTIONSUEBERWACHUNG_FS_UE_E_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBUE_FUNKTIONSUEBERWACHUNG_FS_UE_E(1, "ENUMBUE_Funktionsueberwachung_FSUe_E", "FSUe_E"),

	/**
	 * The '<em><b>ENUMBUE Funktionsueberwachung FS Ue S</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_FUNKTIONSUEBERWACHUNG_FS_UE_S_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBUE_FUNKTIONSUEBERWACHUNG_FS_UE_S(2, "ENUMBUE_Funktionsueberwachung_FSUe_S", "FSUe_S"),

	/**
	 * The '<em><b>ENUMBUE Funktionsueberwachung Fü</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_FUNKTIONSUEBERWACHUNG_FÜ_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBUE_FUNKTIONSUEBERWACHUNG_FÜ(3, "ENUMBUE_Funktionsueberwachung_Fü", "F\u00fc"),

	/**
	 * The '<em><b>ENUMBUE Funktionsueberwachung Hp</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_FUNKTIONSUEBERWACHUNG_HP_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBUE_FUNKTIONSUEBERWACHUNG_HP(4, "ENUMBUE_Funktionsueberwachung_Hp", "Hp"),

	/**
	 * The '<em><b>ENUMBUE Funktionsueberwachung Us</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_FUNKTIONSUEBERWACHUNG_US_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBUE_FUNKTIONSUEBERWACHUNG_US(5, "ENUMBUE_Funktionsueberwachung_Us", "\u00dcs"),

	/**
	 * The '<em><b>ENUMBUE Funktionsueberwachung Us OE</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_FUNKTIONSUEBERWACHUNG_US_OE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBUE_FUNKTIONSUEBERWACHUNG_US_OE(6, "ENUMBUE_Funktionsueberwachung_UsOE", "\u00dcsOE");

	/**
	 * The '<em><b>ENUMBUE Funktionsueberwachung FS Ue B</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_FUNKTIONSUEBERWACHUNG_FS_UE_B
	 * @model name="ENUMBUE_Funktionsueberwachung_FSUe_B" literal="FSUe_B"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBUE_FUNKTIONSUEBERWACHUNG_FS_UE_B_VALUE = 0;

	/**
	 * The '<em><b>ENUMBUE Funktionsueberwachung FS Ue E</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_FUNKTIONSUEBERWACHUNG_FS_UE_E
	 * @model name="ENUMBUE_Funktionsueberwachung_FSUe_E" literal="FSUe_E"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBUE_FUNKTIONSUEBERWACHUNG_FS_UE_E_VALUE = 1;

	/**
	 * The '<em><b>ENUMBUE Funktionsueberwachung FS Ue S</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_FUNKTIONSUEBERWACHUNG_FS_UE_S
	 * @model name="ENUMBUE_Funktionsueberwachung_FSUe_S" literal="FSUe_S"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBUE_FUNKTIONSUEBERWACHUNG_FS_UE_S_VALUE = 2;

	/**
	 * The '<em><b>ENUMBUE Funktionsueberwachung Fü</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_FUNKTIONSUEBERWACHUNG_FÜ
	 * @model name="ENUMBUE_Funktionsueberwachung_Fü" literal="F\374"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBUE_FUNKTIONSUEBERWACHUNG_FÜ_VALUE = 3;

	/**
	 * The '<em><b>ENUMBUE Funktionsueberwachung Hp</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_FUNKTIONSUEBERWACHUNG_HP
	 * @model name="ENUMBUE_Funktionsueberwachung_Hp" literal="Hp"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBUE_FUNKTIONSUEBERWACHUNG_HP_VALUE = 4;

	/**
	 * The '<em><b>ENUMBUE Funktionsueberwachung Us</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_FUNKTIONSUEBERWACHUNG_US
	 * @model name="ENUMBUE_Funktionsueberwachung_Us" literal="\334s"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBUE_FUNKTIONSUEBERWACHUNG_US_VALUE = 5;

	/**
	 * The '<em><b>ENUMBUE Funktionsueberwachung Us OE</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_FUNKTIONSUEBERWACHUNG_US_OE
	 * @model name="ENUMBUE_Funktionsueberwachung_UsOE" literal="\334sOE"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBUE_FUNKTIONSUEBERWACHUNG_US_OE_VALUE = 6;

	/**
	 * An array of all the '<em><b>ENUMBUE Funktionsueberwachung</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static final ENUMBUEFunktionsueberwachung[] VALUES_ARRAY =
		new ENUMBUEFunktionsueberwachung[] {
			ENUMBUE_FUNKTIONSUEBERWACHUNG_FS_UE_B,
			ENUMBUE_FUNKTIONSUEBERWACHUNG_FS_UE_E,
			ENUMBUE_FUNKTIONSUEBERWACHUNG_FS_UE_S,
			ENUMBUE_FUNKTIONSUEBERWACHUNG_FÜ,
			ENUMBUE_FUNKTIONSUEBERWACHUNG_HP,
			ENUMBUE_FUNKTIONSUEBERWACHUNG_US,
			ENUMBUE_FUNKTIONSUEBERWACHUNG_US_OE,
		};

	/**
	 * A public read-only list of all the '<em><b>ENUMBUE Funktionsueberwachung</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static final List<ENUMBUEFunktionsueberwachung> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

	/**
	 * Returns the '<em><b>ENUMBUE Funktionsueberwachung</b></em>' literal with the specified literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param literal the literal.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMBUEFunktionsueberwachung get(String literal) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMBUEFunktionsueberwachung result = VALUES_ARRAY[i];
			if (result.toString().equals(literal)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUMBUE Funktionsueberwachung</b></em>' literal with the specified name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param name the name.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMBUEFunktionsueberwachung getByName(String name) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMBUEFunktionsueberwachung result = VALUES_ARRAY[i];
			if (result.getName().equals(name)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUMBUE Funktionsueberwachung</b></em>' literal with the specified integer value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the integer value.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMBUEFunktionsueberwachung get(int value) {
		switch (value) {
			case ENUMBUE_FUNKTIONSUEBERWACHUNG_FS_UE_B_VALUE: return ENUMBUE_FUNKTIONSUEBERWACHUNG_FS_UE_B;
			case ENUMBUE_FUNKTIONSUEBERWACHUNG_FS_UE_E_VALUE: return ENUMBUE_FUNKTIONSUEBERWACHUNG_FS_UE_E;
			case ENUMBUE_FUNKTIONSUEBERWACHUNG_FS_UE_S_VALUE: return ENUMBUE_FUNKTIONSUEBERWACHUNG_FS_UE_S;
			case ENUMBUE_FUNKTIONSUEBERWACHUNG_FÜ_VALUE: return ENUMBUE_FUNKTIONSUEBERWACHUNG_FÜ;
			case ENUMBUE_FUNKTIONSUEBERWACHUNG_HP_VALUE: return ENUMBUE_FUNKTIONSUEBERWACHUNG_HP;
			case ENUMBUE_FUNKTIONSUEBERWACHUNG_US_VALUE: return ENUMBUE_FUNKTIONSUEBERWACHUNG_US;
			case ENUMBUE_FUNKTIONSUEBERWACHUNG_US_OE_VALUE: return ENUMBUE_FUNKTIONSUEBERWACHUNG_US_OE;
			default: return null;
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final int value;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String name;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String literal;

	/**
	 * Only this class can construct instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private ENUMBUEFunktionsueberwachung(int value, String name, String literal) {
		this.value = value;
		this.name = name;
		this.literal = literal;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public int getValue() {
	  return value;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getName() {
	  return name;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getLiteral() {
	  return literal;
	}

	/**
	 * Returns the literal value of the enumerator, which is its string representation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		return literal;
	}
	
} //ENUMBUEFunktionsueberwachung
