/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Bahnuebergang;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>ENUMBUE Sicherungsart</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Bahnuebergang.BahnuebergangPackage#getENUMBUESicherungsart()
 * @model extendedMetaData="name='ENUMBUE_Sicherungsart'"
 * @generated
 */
public enum ENUMBUESicherungsart implements Enumerator {
	/**
	 * The '<em><b>ENUMBUE Sicherungsart A</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_SICHERUNGSART_A_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBUE_SICHERUNGSART_A(0, "ENUMBUE_Sicherungsart_A", "A"),

	/**
	 * The '<em><b>ENUMBUE Sicherungsart Aund Lf</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_SICHERUNGSART_AUND_LF_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBUE_SICHERUNGSART_AUND_LF(1, "ENUMBUE_Sicherungsart_A_und_Lf", "A_und_Lf"),

	/**
	 * The '<em><b>ENUMBUE Sicherungsart Aund Sprechverbindung</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_SICHERUNGSART_AUND_SPRECHVERBINDUNG_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBUE_SICHERUNGSART_AUND_SPRECHVERBINDUNG(2, "ENUMBUE_Sicherungsart_A_und_Sprechverbindung", "A_und_Sprechverbindung"),

	/**
	 * The '<em><b>ENUMBUE Sicherungsart Anrufschranke und Sprechverbindung</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_SICHERUNGSART_ANRUFSCHRANKE_UND_SPRECHVERBINDUNG_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBUE_SICHERUNGSART_ANRUFSCHRANKE_UND_SPRECHVERBINDUNG(3, "ENUMBUE_Sicherungsart_Anrufschranke_und_Sprechverbindung", "Anrufschranke_und_Sprechverbindung"),

	/**
	 * The '<em><b>ENUMBUE Sicherungsart bg BUe</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_SICHERUNGSART_BG_BUE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBUE_SICHERUNGSART_BG_BUE(4, "ENUMBUE_Sicherungsart_bgBUe", "bgBUe"),

	/**
	 * The '<em><b>ENUMBUE Sicherungsart Lz</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_SICHERUNGSART_LZ_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBUE_SICHERUNGSART_LZ(5, "ENUMBUE_Sicherungsart_Lz", "Lz"),

	/**
	 * The '<em><b>ENUMBUE Sicherungsart Lz F</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_SICHERUNGSART_LZ_F_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBUE_SICHERUNGSART_LZ_F(6, "ENUMBUE_Sicherungsart_LzF", "LzF"),

	/**
	 * The '<em><b>ENUMBUE Sicherungsart Lz H</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_SICHERUNGSART_LZ_H_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBUE_SICHERUNGSART_LZ_H(7, "ENUMBUE_Sicherungsart_LzH", "LzH"),

	/**
	 * The '<em><b>ENUMBUE Sicherungsart Lz H2F</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_SICHERUNGSART_LZ_H2F_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBUE_SICHERUNGSART_LZ_H2F(8, "ENUMBUE_Sicherungsart_LzH_2F", "LzH_2F"),

	/**
	 * The '<em><b>ENUMBUE Sicherungsart Lz HF</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_SICHERUNGSART_LZ_HF_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBUE_SICHERUNGSART_LZ_HF(9, "ENUMBUE_Sicherungsart_LzH_F", "LzH_F"),

	/**
	 * The '<em><b>ENUMBUE Sicherungsart Lz HH</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_SICHERUNGSART_LZ_HH_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBUE_SICHERUNGSART_LZ_HH(10, "ENUMBUE_Sicherungsart_LzHH", "LzHH"),

	/**
	 * The '<em><b>ENUMBUE Sicherungsart Lz HH 2F</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_SICHERUNGSART_LZ_HH_2F_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBUE_SICHERUNGSART_LZ_HH_2F(11, "ENUMBUE_Sicherungsart_LzHH_2F", "LzHH_2F"),

	/**
	 * The '<em><b>ENUMBUE Sicherungsart Lz HH F</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_SICHERUNGSART_LZ_HH_F_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBUE_SICHERUNGSART_LZ_HH_F(12, "ENUMBUE_Sicherungsart_LzHH_F", "LzHH_F"),

	/**
	 * The '<em><b>ENUMBUE Sicherungsart Lz V</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_SICHERUNGSART_LZ_V_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBUE_SICHERUNGSART_LZ_V(13, "ENUMBUE_Sicherungsart_LzV", "LzV"),

	/**
	 * The '<em><b>ENUMBUE Sicherungsart P</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_SICHERUNGSART_P_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBUE_SICHERUNGSART_P(14, "ENUMBUE_Sicherungsart_P", "P"),

	/**
	 * The '<em><b>ENUMBUE Sicherungsart Pund Lf</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_SICHERUNGSART_PUND_LF_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBUE_SICHERUNGSART_PUND_LF(15, "ENUMBUE_Sicherungsart_P_und_Lf", "P_und_Lf"),

	/**
	 * The '<em><b>ENUMBUE Sicherungsart Pund U</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_SICHERUNGSART_PUND_U_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBUE_SICHERUNGSART_PUND_U(16, "ENUMBUE_Sicherungsart_P_und_U", "P_und_U"),

	/**
	 * The '<em><b>ENUMBUE Sicherungsart schluesselabhaengig</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_SICHERUNGSART_SCHLUESSELABHAENGIG_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBUE_SICHERUNGSART_SCHLUESSELABHAENGIG(17, "ENUMBUE_Sicherungsart_schluesselabhaengig", "schluesselabhaengig"),

	/**
	 * The '<em><b>ENUMBUE Sicherungsart sonstige</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_SICHERUNGSART_SONSTIGE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBUE_SICHERUNGSART_SONSTIGE(18, "ENUMBUE_Sicherungsart_sonstige", "sonstige"),

	/**
	 * The '<em><b>ENUMBUE Sicherungsart Ue</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_SICHERUNGSART_UE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBUE_SICHERUNGSART_UE(19, "ENUMBUE_Sicherungsart_Ue", "Ue"),

	/**
	 * The '<em><b>ENUMBUE Sicherungsart Ue und A</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_SICHERUNGSART_UE_UND_A_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBUE_SICHERUNGSART_UE_UND_A(20, "ENUMBUE_Sicherungsart_Ue_und_A", "Ue_und_A"),

	/**
	 * The '<em><b>ENUMBUE Sicherungsart Ue und P</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_SICHERUNGSART_UE_UND_P_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBUE_SICHERUNGSART_UE_UND_P(21, "ENUMBUE_Sicherungsart_Ue_und_P", "Ue_und_P"),

	/**
	 * The '<em><b>ENUMBUE Sicherungsart Ue und U</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_SICHERUNGSART_UE_UND_U_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBUE_SICHERUNGSART_UE_UND_U(22, "ENUMBUE_Sicherungsart_Ue_und_U", "Ue_und_U");

	/**
	 * The '<em><b>ENUMBUE Sicherungsart A</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_SICHERUNGSART_A
	 * @model name="ENUMBUE_Sicherungsart_A" literal="A"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBUE_SICHERUNGSART_A_VALUE = 0;

	/**
	 * The '<em><b>ENUMBUE Sicherungsart Aund Lf</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_SICHERUNGSART_AUND_LF
	 * @model name="ENUMBUE_Sicherungsart_A_und_Lf" literal="A_und_Lf"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBUE_SICHERUNGSART_AUND_LF_VALUE = 1;

	/**
	 * The '<em><b>ENUMBUE Sicherungsart Aund Sprechverbindung</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_SICHERUNGSART_AUND_SPRECHVERBINDUNG
	 * @model name="ENUMBUE_Sicherungsart_A_und_Sprechverbindung" literal="A_und_Sprechverbindung"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBUE_SICHERUNGSART_AUND_SPRECHVERBINDUNG_VALUE = 2;

	/**
	 * The '<em><b>ENUMBUE Sicherungsart Anrufschranke und Sprechverbindung</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_SICHERUNGSART_ANRUFSCHRANKE_UND_SPRECHVERBINDUNG
	 * @model name="ENUMBUE_Sicherungsart_Anrufschranke_und_Sprechverbindung" literal="Anrufschranke_und_Sprechverbindung"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBUE_SICHERUNGSART_ANRUFSCHRANKE_UND_SPRECHVERBINDUNG_VALUE = 3;

	/**
	 * The '<em><b>ENUMBUE Sicherungsart bg BUe</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_SICHERUNGSART_BG_BUE
	 * @model name="ENUMBUE_Sicherungsart_bgBUe" literal="bgBUe"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBUE_SICHERUNGSART_BG_BUE_VALUE = 4;

	/**
	 * The '<em><b>ENUMBUE Sicherungsart Lz</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_SICHERUNGSART_LZ
	 * @model name="ENUMBUE_Sicherungsart_Lz" literal="Lz"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBUE_SICHERUNGSART_LZ_VALUE = 5;

	/**
	 * The '<em><b>ENUMBUE Sicherungsart Lz F</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_SICHERUNGSART_LZ_F
	 * @model name="ENUMBUE_Sicherungsart_LzF" literal="LzF"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBUE_SICHERUNGSART_LZ_F_VALUE = 6;

	/**
	 * The '<em><b>ENUMBUE Sicherungsart Lz H</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_SICHERUNGSART_LZ_H
	 * @model name="ENUMBUE_Sicherungsart_LzH" literal="LzH"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBUE_SICHERUNGSART_LZ_H_VALUE = 7;

	/**
	 * The '<em><b>ENUMBUE Sicherungsart Lz H2F</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_SICHERUNGSART_LZ_H2F
	 * @model name="ENUMBUE_Sicherungsart_LzH_2F" literal="LzH_2F"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBUE_SICHERUNGSART_LZ_H2F_VALUE = 8;

	/**
	 * The '<em><b>ENUMBUE Sicherungsart Lz HF</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_SICHERUNGSART_LZ_HF
	 * @model name="ENUMBUE_Sicherungsart_LzH_F" literal="LzH_F"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBUE_SICHERUNGSART_LZ_HF_VALUE = 9;

	/**
	 * The '<em><b>ENUMBUE Sicherungsart Lz HH</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_SICHERUNGSART_LZ_HH
	 * @model name="ENUMBUE_Sicherungsart_LzHH" literal="LzHH"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBUE_SICHERUNGSART_LZ_HH_VALUE = 10;

	/**
	 * The '<em><b>ENUMBUE Sicherungsart Lz HH 2F</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_SICHERUNGSART_LZ_HH_2F
	 * @model name="ENUMBUE_Sicherungsart_LzHH_2F" literal="LzHH_2F"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBUE_SICHERUNGSART_LZ_HH_2F_VALUE = 11;

	/**
	 * The '<em><b>ENUMBUE Sicherungsart Lz HH F</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_SICHERUNGSART_LZ_HH_F
	 * @model name="ENUMBUE_Sicherungsart_LzHH_F" literal="LzHH_F"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBUE_SICHERUNGSART_LZ_HH_F_VALUE = 12;

	/**
	 * The '<em><b>ENUMBUE Sicherungsart Lz V</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_SICHERUNGSART_LZ_V
	 * @model name="ENUMBUE_Sicherungsart_LzV" literal="LzV"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBUE_SICHERUNGSART_LZ_V_VALUE = 13;

	/**
	 * The '<em><b>ENUMBUE Sicherungsart P</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_SICHERUNGSART_P
	 * @model name="ENUMBUE_Sicherungsart_P" literal="P"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBUE_SICHERUNGSART_P_VALUE = 14;

	/**
	 * The '<em><b>ENUMBUE Sicherungsart Pund Lf</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_SICHERUNGSART_PUND_LF
	 * @model name="ENUMBUE_Sicherungsart_P_und_Lf" literal="P_und_Lf"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBUE_SICHERUNGSART_PUND_LF_VALUE = 15;

	/**
	 * The '<em><b>ENUMBUE Sicherungsart Pund U</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_SICHERUNGSART_PUND_U
	 * @model name="ENUMBUE_Sicherungsart_P_und_U" literal="P_und_U"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBUE_SICHERUNGSART_PUND_U_VALUE = 16;

	/**
	 * The '<em><b>ENUMBUE Sicherungsart schluesselabhaengig</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_SICHERUNGSART_SCHLUESSELABHAENGIG
	 * @model name="ENUMBUE_Sicherungsart_schluesselabhaengig" literal="schluesselabhaengig"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBUE_SICHERUNGSART_SCHLUESSELABHAENGIG_VALUE = 17;

	/**
	 * The '<em><b>ENUMBUE Sicherungsart sonstige</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_SICHERUNGSART_SONSTIGE
	 * @model name="ENUMBUE_Sicherungsart_sonstige" literal="sonstige"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBUE_SICHERUNGSART_SONSTIGE_VALUE = 18;

	/**
	 * The '<em><b>ENUMBUE Sicherungsart Ue</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_SICHERUNGSART_UE
	 * @model name="ENUMBUE_Sicherungsart_Ue" literal="Ue"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBUE_SICHERUNGSART_UE_VALUE = 19;

	/**
	 * The '<em><b>ENUMBUE Sicherungsart Ue und A</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_SICHERUNGSART_UE_UND_A
	 * @model name="ENUMBUE_Sicherungsart_Ue_und_A" literal="Ue_und_A"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBUE_SICHERUNGSART_UE_UND_A_VALUE = 20;

	/**
	 * The '<em><b>ENUMBUE Sicherungsart Ue und P</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_SICHERUNGSART_UE_UND_P
	 * @model name="ENUMBUE_Sicherungsart_Ue_und_P" literal="Ue_und_P"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBUE_SICHERUNGSART_UE_UND_P_VALUE = 21;

	/**
	 * The '<em><b>ENUMBUE Sicherungsart Ue und U</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBUE_SICHERUNGSART_UE_UND_U
	 * @model name="ENUMBUE_Sicherungsart_Ue_und_U" literal="Ue_und_U"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBUE_SICHERUNGSART_UE_UND_U_VALUE = 22;

	/**
	 * An array of all the '<em><b>ENUMBUE Sicherungsart</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static final ENUMBUESicherungsart[] VALUES_ARRAY =
		new ENUMBUESicherungsart[] {
			ENUMBUE_SICHERUNGSART_A,
			ENUMBUE_SICHERUNGSART_AUND_LF,
			ENUMBUE_SICHERUNGSART_AUND_SPRECHVERBINDUNG,
			ENUMBUE_SICHERUNGSART_ANRUFSCHRANKE_UND_SPRECHVERBINDUNG,
			ENUMBUE_SICHERUNGSART_BG_BUE,
			ENUMBUE_SICHERUNGSART_LZ,
			ENUMBUE_SICHERUNGSART_LZ_F,
			ENUMBUE_SICHERUNGSART_LZ_H,
			ENUMBUE_SICHERUNGSART_LZ_H2F,
			ENUMBUE_SICHERUNGSART_LZ_HF,
			ENUMBUE_SICHERUNGSART_LZ_HH,
			ENUMBUE_SICHERUNGSART_LZ_HH_2F,
			ENUMBUE_SICHERUNGSART_LZ_HH_F,
			ENUMBUE_SICHERUNGSART_LZ_V,
			ENUMBUE_SICHERUNGSART_P,
			ENUMBUE_SICHERUNGSART_PUND_LF,
			ENUMBUE_SICHERUNGSART_PUND_U,
			ENUMBUE_SICHERUNGSART_SCHLUESSELABHAENGIG,
			ENUMBUE_SICHERUNGSART_SONSTIGE,
			ENUMBUE_SICHERUNGSART_UE,
			ENUMBUE_SICHERUNGSART_UE_UND_A,
			ENUMBUE_SICHERUNGSART_UE_UND_P,
			ENUMBUE_SICHERUNGSART_UE_UND_U,
		};

	/**
	 * A public read-only list of all the '<em><b>ENUMBUE Sicherungsart</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static final List<ENUMBUESicherungsart> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

	/**
	 * Returns the '<em><b>ENUMBUE Sicherungsart</b></em>' literal with the specified literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param literal the literal.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMBUESicherungsart get(String literal) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMBUESicherungsart result = VALUES_ARRAY[i];
			if (result.toString().equals(literal)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUMBUE Sicherungsart</b></em>' literal with the specified name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param name the name.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMBUESicherungsart getByName(String name) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMBUESicherungsart result = VALUES_ARRAY[i];
			if (result.getName().equals(name)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUMBUE Sicherungsart</b></em>' literal with the specified integer value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the integer value.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMBUESicherungsart get(int value) {
		switch (value) {
			case ENUMBUE_SICHERUNGSART_A_VALUE: return ENUMBUE_SICHERUNGSART_A;
			case ENUMBUE_SICHERUNGSART_AUND_LF_VALUE: return ENUMBUE_SICHERUNGSART_AUND_LF;
			case ENUMBUE_SICHERUNGSART_AUND_SPRECHVERBINDUNG_VALUE: return ENUMBUE_SICHERUNGSART_AUND_SPRECHVERBINDUNG;
			case ENUMBUE_SICHERUNGSART_ANRUFSCHRANKE_UND_SPRECHVERBINDUNG_VALUE: return ENUMBUE_SICHERUNGSART_ANRUFSCHRANKE_UND_SPRECHVERBINDUNG;
			case ENUMBUE_SICHERUNGSART_BG_BUE_VALUE: return ENUMBUE_SICHERUNGSART_BG_BUE;
			case ENUMBUE_SICHERUNGSART_LZ_VALUE: return ENUMBUE_SICHERUNGSART_LZ;
			case ENUMBUE_SICHERUNGSART_LZ_F_VALUE: return ENUMBUE_SICHERUNGSART_LZ_F;
			case ENUMBUE_SICHERUNGSART_LZ_H_VALUE: return ENUMBUE_SICHERUNGSART_LZ_H;
			case ENUMBUE_SICHERUNGSART_LZ_H2F_VALUE: return ENUMBUE_SICHERUNGSART_LZ_H2F;
			case ENUMBUE_SICHERUNGSART_LZ_HF_VALUE: return ENUMBUE_SICHERUNGSART_LZ_HF;
			case ENUMBUE_SICHERUNGSART_LZ_HH_VALUE: return ENUMBUE_SICHERUNGSART_LZ_HH;
			case ENUMBUE_SICHERUNGSART_LZ_HH_2F_VALUE: return ENUMBUE_SICHERUNGSART_LZ_HH_2F;
			case ENUMBUE_SICHERUNGSART_LZ_HH_F_VALUE: return ENUMBUE_SICHERUNGSART_LZ_HH_F;
			case ENUMBUE_SICHERUNGSART_LZ_V_VALUE: return ENUMBUE_SICHERUNGSART_LZ_V;
			case ENUMBUE_SICHERUNGSART_P_VALUE: return ENUMBUE_SICHERUNGSART_P;
			case ENUMBUE_SICHERUNGSART_PUND_LF_VALUE: return ENUMBUE_SICHERUNGSART_PUND_LF;
			case ENUMBUE_SICHERUNGSART_PUND_U_VALUE: return ENUMBUE_SICHERUNGSART_PUND_U;
			case ENUMBUE_SICHERUNGSART_SCHLUESSELABHAENGIG_VALUE: return ENUMBUE_SICHERUNGSART_SCHLUESSELABHAENGIG;
			case ENUMBUE_SICHERUNGSART_SONSTIGE_VALUE: return ENUMBUE_SICHERUNGSART_SONSTIGE;
			case ENUMBUE_SICHERUNGSART_UE_VALUE: return ENUMBUE_SICHERUNGSART_UE;
			case ENUMBUE_SICHERUNGSART_UE_UND_A_VALUE: return ENUMBUE_SICHERUNGSART_UE_UND_A;
			case ENUMBUE_SICHERUNGSART_UE_UND_P_VALUE: return ENUMBUE_SICHERUNGSART_UE_UND_P;
			case ENUMBUE_SICHERUNGSART_UE_UND_U_VALUE: return ENUMBUE_SICHERUNGSART_UE_UND_U;
			default: return null;
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final int value;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String name;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String literal;

	/**
	 * Only this class can construct instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private ENUMBUESicherungsart(int value, String name, String literal) {
		this.value = value;
		this.name = name;
		this.literal = literal;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public int getValue() {
	  return value;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getName() {
	  return name;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getLiteral() {
	  return literal;
	}

	/**
	 * Returns the literal value of the enumerator, which is its string representation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		return literal;
	}
	
} //ENUMBUESicherungsart
