/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Bahnuebergang;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>ENUM Fuss Radweg Art</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Bahnuebergang.BahnuebergangPackage#getENUMFussRadwegArt()
 * @model extendedMetaData="name='ENUMFuss_Radweg_Art'"
 * @generated
 */
public enum ENUMFussRadwegArt implements Enumerator {
	/**
	 * The '<em><b>ENUM Fuss Radweg Art Fuss Radweg abgesetzt</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FUSS_RADWEG_ART_FUSS_RADWEG_ABGESETZT_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_FUSS_RADWEG_ART_FUSS_RADWEG_ABGESETZT(0, "ENUMFuss_Radweg_Art_Fuss_Radweg_abgesetzt", "Fuss_Radweg_abgesetzt"),

	/**
	 * The '<em><b>ENUM Fuss Radweg Art Fuss Radweg parallel</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FUSS_RADWEG_ART_FUSS_RADWEG_PARALLEL_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_FUSS_RADWEG_ART_FUSS_RADWEG_PARALLEL(1, "ENUMFuss_Radweg_Art_Fuss_Radweg_parallel", "Fuss_Radweg_parallel"),

	/**
	 * The '<em><b>ENUM Fuss Radweg Art Fussweg abgesetzt</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FUSS_RADWEG_ART_FUSSWEG_ABGESETZT_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_FUSS_RADWEG_ART_FUSSWEG_ABGESETZT(2, "ENUMFuss_Radweg_Art_Fussweg_abgesetzt", "Fussweg_abgesetzt"),

	/**
	 * The '<em><b>ENUM Fuss Radweg Art Fussweg parallel</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FUSS_RADWEG_ART_FUSSWEG_PARALLEL_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_FUSS_RADWEG_ART_FUSSWEG_PARALLEL(3, "ENUMFuss_Radweg_Art_Fussweg_parallel", "Fussweg_parallel"),

	/**
	 * The '<em><b>ENUM Fuss Radweg Art Radweg abgesetzt</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FUSS_RADWEG_ART_RADWEG_ABGESETZT_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_FUSS_RADWEG_ART_RADWEG_ABGESETZT(4, "ENUMFuss_Radweg_Art_Radweg_abgesetzt", "Radweg_abgesetzt"),

	/**
	 * The '<em><b>ENUM Fuss Radweg Art Radweg parallel</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FUSS_RADWEG_ART_RADWEG_PARALLEL_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_FUSS_RADWEG_ART_RADWEG_PARALLEL(5, "ENUMFuss_Radweg_Art_Radweg_parallel", "Radweg_parallel"),

	/**
	 * The '<em><b>ENUM Fuss Radweg Art sonstige</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FUSS_RADWEG_ART_SONSTIGE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_FUSS_RADWEG_ART_SONSTIGE(6, "ENUMFuss_Radweg_Art_sonstige", "sonstige");

	/**
	 * The '<em><b>ENUM Fuss Radweg Art Fuss Radweg abgesetzt</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FUSS_RADWEG_ART_FUSS_RADWEG_ABGESETZT
	 * @model name="ENUMFuss_Radweg_Art_Fuss_Radweg_abgesetzt" literal="Fuss_Radweg_abgesetzt"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_FUSS_RADWEG_ART_FUSS_RADWEG_ABGESETZT_VALUE = 0;

	/**
	 * The '<em><b>ENUM Fuss Radweg Art Fuss Radweg parallel</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FUSS_RADWEG_ART_FUSS_RADWEG_PARALLEL
	 * @model name="ENUMFuss_Radweg_Art_Fuss_Radweg_parallel" literal="Fuss_Radweg_parallel"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_FUSS_RADWEG_ART_FUSS_RADWEG_PARALLEL_VALUE = 1;

	/**
	 * The '<em><b>ENUM Fuss Radweg Art Fussweg abgesetzt</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FUSS_RADWEG_ART_FUSSWEG_ABGESETZT
	 * @model name="ENUMFuss_Radweg_Art_Fussweg_abgesetzt" literal="Fussweg_abgesetzt"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_FUSS_RADWEG_ART_FUSSWEG_ABGESETZT_VALUE = 2;

	/**
	 * The '<em><b>ENUM Fuss Radweg Art Fussweg parallel</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FUSS_RADWEG_ART_FUSSWEG_PARALLEL
	 * @model name="ENUMFuss_Radweg_Art_Fussweg_parallel" literal="Fussweg_parallel"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_FUSS_RADWEG_ART_FUSSWEG_PARALLEL_VALUE = 3;

	/**
	 * The '<em><b>ENUM Fuss Radweg Art Radweg abgesetzt</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FUSS_RADWEG_ART_RADWEG_ABGESETZT
	 * @model name="ENUMFuss_Radweg_Art_Radweg_abgesetzt" literal="Radweg_abgesetzt"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_FUSS_RADWEG_ART_RADWEG_ABGESETZT_VALUE = 4;

	/**
	 * The '<em><b>ENUM Fuss Radweg Art Radweg parallel</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FUSS_RADWEG_ART_RADWEG_PARALLEL
	 * @model name="ENUMFuss_Radweg_Art_Radweg_parallel" literal="Radweg_parallel"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_FUSS_RADWEG_ART_RADWEG_PARALLEL_VALUE = 5;

	/**
	 * The '<em><b>ENUM Fuss Radweg Art sonstige</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FUSS_RADWEG_ART_SONSTIGE
	 * @model name="ENUMFuss_Radweg_Art_sonstige" literal="sonstige"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_FUSS_RADWEG_ART_SONSTIGE_VALUE = 6;

	/**
	 * An array of all the '<em><b>ENUM Fuss Radweg Art</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static final ENUMFussRadwegArt[] VALUES_ARRAY =
		new ENUMFussRadwegArt[] {
			ENUM_FUSS_RADWEG_ART_FUSS_RADWEG_ABGESETZT,
			ENUM_FUSS_RADWEG_ART_FUSS_RADWEG_PARALLEL,
			ENUM_FUSS_RADWEG_ART_FUSSWEG_ABGESETZT,
			ENUM_FUSS_RADWEG_ART_FUSSWEG_PARALLEL,
			ENUM_FUSS_RADWEG_ART_RADWEG_ABGESETZT,
			ENUM_FUSS_RADWEG_ART_RADWEG_PARALLEL,
			ENUM_FUSS_RADWEG_ART_SONSTIGE,
		};

	/**
	 * A public read-only list of all the '<em><b>ENUM Fuss Radweg Art</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static final List<ENUMFussRadwegArt> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

	/**
	 * Returns the '<em><b>ENUM Fuss Radweg Art</b></em>' literal with the specified literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param literal the literal.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMFussRadwegArt get(String literal) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMFussRadwegArt result = VALUES_ARRAY[i];
			if (result.toString().equals(literal)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Fuss Radweg Art</b></em>' literal with the specified name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param name the name.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMFussRadwegArt getByName(String name) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMFussRadwegArt result = VALUES_ARRAY[i];
			if (result.getName().equals(name)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Fuss Radweg Art</b></em>' literal with the specified integer value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the integer value.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMFussRadwegArt get(int value) {
		switch (value) {
			case ENUM_FUSS_RADWEG_ART_FUSS_RADWEG_ABGESETZT_VALUE: return ENUM_FUSS_RADWEG_ART_FUSS_RADWEG_ABGESETZT;
			case ENUM_FUSS_RADWEG_ART_FUSS_RADWEG_PARALLEL_VALUE: return ENUM_FUSS_RADWEG_ART_FUSS_RADWEG_PARALLEL;
			case ENUM_FUSS_RADWEG_ART_FUSSWEG_ABGESETZT_VALUE: return ENUM_FUSS_RADWEG_ART_FUSSWEG_ABGESETZT;
			case ENUM_FUSS_RADWEG_ART_FUSSWEG_PARALLEL_VALUE: return ENUM_FUSS_RADWEG_ART_FUSSWEG_PARALLEL;
			case ENUM_FUSS_RADWEG_ART_RADWEG_ABGESETZT_VALUE: return ENUM_FUSS_RADWEG_ART_RADWEG_ABGESETZT;
			case ENUM_FUSS_RADWEG_ART_RADWEG_PARALLEL_VALUE: return ENUM_FUSS_RADWEG_ART_RADWEG_PARALLEL;
			case ENUM_FUSS_RADWEG_ART_SONSTIGE_VALUE: return ENUM_FUSS_RADWEG_ART_SONSTIGE;
			default: return null;
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final int value;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String name;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String literal;

	/**
	 * Only this class can construct instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private ENUMFussRadwegArt(int value, String name, String literal) {
		this.value = value;
		this.name = name;
		this.literal = literal;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public int getValue() {
	  return value;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getName() {
	  return name;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getLiteral() {
	  return literal;
	}

	/**
	 * Returns the literal value of the enumerator, which is its string representation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		return literal;
	}
	
} //ENUMFussRadwegArt
