/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Bahnuebergang;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>ENUM Richtungspfeil</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Bahnuebergang.BahnuebergangPackage#getENUMRichtungspfeil()
 * @model extendedMetaData="name='ENUMRichtungspfeil'"
 * @generated
 */
public enum ENUMRichtungspfeil implements Enumerator {
	/**
	 * The '<em><b>ENUM Richtungspfeil linksweisend</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_RICHTUNGSPFEIL_LINKSWEISEND_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_RICHTUNGSPFEIL_LINKSWEISEND(0, "ENUMRichtungspfeil_linksweisend", "linksweisend"),

	/**
	 * The '<em><b>ENUM Richtungspfeil rechtsweisend</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_RICHTUNGSPFEIL_RECHTSWEISEND_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_RICHTUNGSPFEIL_RECHTSWEISEND(1, "ENUMRichtungspfeil_rechtsweisend", "rechtsweisend"),

	/**
	 * The '<em><b>ENUM Richtungspfeil Richtung Gefahrenstelle links</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_RICHTUNGSPFEIL_RICHTUNG_GEFAHRENSTELLE_LINKS_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_RICHTUNGSPFEIL_RICHTUNG_GEFAHRENSTELLE_LINKS(2, "ENUMRichtungspfeil_Richtung_Gefahrenstelle_links", "Richtung_Gefahrenstelle_links"),

	/**
	 * The '<em><b>ENUM Richtungspfeil Richtung Gefahrenstelle rechts</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_RICHTUNGSPFEIL_RICHTUNG_GEFAHRENSTELLE_RECHTS_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_RICHTUNGSPFEIL_RICHTUNG_GEFAHRENSTELLE_RECHTS(3, "ENUMRichtungspfeil_Richtung_Gefahrenstelle_rechts", "Richtung_Gefahrenstelle_rechts"),

	/**
	 * The '<em><b>ENUM Richtungspfeil sonstige</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_RICHTUNGSPFEIL_SONSTIGE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_RICHTUNGSPFEIL_SONSTIGE(4, "ENUMRichtungspfeil_sonstige", "sonstige");

	/**
	 * The '<em><b>ENUM Richtungspfeil linksweisend</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_RICHTUNGSPFEIL_LINKSWEISEND
	 * @model name="ENUMRichtungspfeil_linksweisend" literal="linksweisend"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_RICHTUNGSPFEIL_LINKSWEISEND_VALUE = 0;

	/**
	 * The '<em><b>ENUM Richtungspfeil rechtsweisend</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_RICHTUNGSPFEIL_RECHTSWEISEND
	 * @model name="ENUMRichtungspfeil_rechtsweisend" literal="rechtsweisend"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_RICHTUNGSPFEIL_RECHTSWEISEND_VALUE = 1;

	/**
	 * The '<em><b>ENUM Richtungspfeil Richtung Gefahrenstelle links</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_RICHTUNGSPFEIL_RICHTUNG_GEFAHRENSTELLE_LINKS
	 * @model name="ENUMRichtungspfeil_Richtung_Gefahrenstelle_links" literal="Richtung_Gefahrenstelle_links"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_RICHTUNGSPFEIL_RICHTUNG_GEFAHRENSTELLE_LINKS_VALUE = 2;

	/**
	 * The '<em><b>ENUM Richtungspfeil Richtung Gefahrenstelle rechts</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_RICHTUNGSPFEIL_RICHTUNG_GEFAHRENSTELLE_RECHTS
	 * @model name="ENUMRichtungspfeil_Richtung_Gefahrenstelle_rechts" literal="Richtung_Gefahrenstelle_rechts"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_RICHTUNGSPFEIL_RICHTUNG_GEFAHRENSTELLE_RECHTS_VALUE = 3;

	/**
	 * The '<em><b>ENUM Richtungspfeil sonstige</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_RICHTUNGSPFEIL_SONSTIGE
	 * @model name="ENUMRichtungspfeil_sonstige" literal="sonstige"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_RICHTUNGSPFEIL_SONSTIGE_VALUE = 4;

	/**
	 * An array of all the '<em><b>ENUM Richtungspfeil</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static final ENUMRichtungspfeil[] VALUES_ARRAY =
		new ENUMRichtungspfeil[] {
			ENUM_RICHTUNGSPFEIL_LINKSWEISEND,
			ENUM_RICHTUNGSPFEIL_RECHTSWEISEND,
			ENUM_RICHTUNGSPFEIL_RICHTUNG_GEFAHRENSTELLE_LINKS,
			ENUM_RICHTUNGSPFEIL_RICHTUNG_GEFAHRENSTELLE_RECHTS,
			ENUM_RICHTUNGSPFEIL_SONSTIGE,
		};

	/**
	 * A public read-only list of all the '<em><b>ENUM Richtungspfeil</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static final List<ENUMRichtungspfeil> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

	/**
	 * Returns the '<em><b>ENUM Richtungspfeil</b></em>' literal with the specified literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param literal the literal.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMRichtungspfeil get(String literal) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMRichtungspfeil result = VALUES_ARRAY[i];
			if (result.toString().equals(literal)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Richtungspfeil</b></em>' literal with the specified name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param name the name.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMRichtungspfeil getByName(String name) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMRichtungspfeil result = VALUES_ARRAY[i];
			if (result.getName().equals(name)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Richtungspfeil</b></em>' literal with the specified integer value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the integer value.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMRichtungspfeil get(int value) {
		switch (value) {
			case ENUM_RICHTUNGSPFEIL_LINKSWEISEND_VALUE: return ENUM_RICHTUNGSPFEIL_LINKSWEISEND;
			case ENUM_RICHTUNGSPFEIL_RECHTSWEISEND_VALUE: return ENUM_RICHTUNGSPFEIL_RECHTSWEISEND;
			case ENUM_RICHTUNGSPFEIL_RICHTUNG_GEFAHRENSTELLE_LINKS_VALUE: return ENUM_RICHTUNGSPFEIL_RICHTUNG_GEFAHRENSTELLE_LINKS;
			case ENUM_RICHTUNGSPFEIL_RICHTUNG_GEFAHRENSTELLE_RECHTS_VALUE: return ENUM_RICHTUNGSPFEIL_RICHTUNG_GEFAHRENSTELLE_RECHTS;
			case ENUM_RICHTUNGSPFEIL_SONSTIGE_VALUE: return ENUM_RICHTUNGSPFEIL_SONSTIGE;
			default: return null;
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final int value;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String name;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String literal;

	/**
	 * Only this class can construct instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private ENUMRichtungspfeil(int value, String name, String literal) {
		this.value = value;
		this.name = name;
		this.literal = literal;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public int getValue() {
	  return value;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getName() {
	  return name;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getLiteral() {
	  return literal;
	}

	/**
	 * Returns the literal value of the enumerator, which is its string representation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		return literal;
	}
	
} //ENUMRichtungspfeil
