/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Balisentechnik_ETCS;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>ENUMDP Typ ESG</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Balisentechnik_ETCSPackage#getENUMDPTypESG()
 * @model extendedMetaData="name='ENUMDP_Typ_ESG'"
 * @generated
 */
public enum ENUMDPTypESG implements Enumerator {
	/**
	 * The '<em><b>ENUMDP Typ ESG AA</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_AA_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ESG_AA(0, "ENUMDP_Typ_ESG_AA", "AA"),

	/**
	 * The '<em><b>ENUMDP Typ ESG AB</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_AB_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ESG_AB(1, "ENUMDP_Typ_ESG_AB", "AB"),

	/**
	 * The '<em><b>ENUMDP Typ ESG AE E</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_AE_E_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ESG_AE_E(2, "ENUMDP_Typ_ESG_AE_E", "AE-E"),

	/**
	 * The '<em><b>ENUMDP Typ ESG AE L</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_AE_L_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ESG_AE_L(3, "ENUMDP_Typ_ESG_AE_L", "AE-L"),

	/**
	 * The '<em><b>ENUMDP Typ ESG AG E</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_AG_E_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ESG_AG_E(4, "ENUMDP_Typ_ESG_AG_E", "AG-E"),

	/**
	 * The '<em><b>ENUMDP Typ ESG AG L</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_AG_L_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ESG_AG_L(5, "ENUMDP_Typ_ESG_AG_L", "AG-L"),

	/**
	 * The '<em><b>ENUMDP Typ ESG AH</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_AH_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ESG_AH(6, "ENUMDP_Typ_ESG_AH", "AH"),

	/**
	 * The '<em><b>ENUMDP Typ ESG AM</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_AM_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ESG_AM(7, "ENUMDP_Typ_ESG_AM", "AM"),

	/**
	 * The '<em><b>ENUMDP Typ ESG AR</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_AR_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ESG_AR(8, "ENUMDP_Typ_ESG_AR", "AR"),

	/**
	 * The '<em><b>ENUMDP Typ ESG AS</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_AS_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ESG_AS(9, "ENUMDP_Typ_ESG_AS", "AS"),

	/**
	 * The '<em><b>ENUMDP Typ ESG AT</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_AT_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ESG_AT(10, "ENUMDP_Typ_ESG_AT", "AT"),

	/**
	 * The '<em><b>ENUMDP Typ ESG ATS</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_ATS_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ESG_ATS(11, "ENUMDP_Typ_ESG_ATS", "ATS"),

	/**
	 * The '<em><b>ENUMDP Typ ESG AV E</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_AV_E_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ESG_AV_E(12, "ENUMDP_Typ_ESG_AV_E", "AV-E"),

	/**
	 * The '<em><b>ENUMDP Typ ESG AV L</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_AV_L_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ESG_AV_L(13, "ENUMDP_Typ_ESG_AV_L", "AV-L"),

	/**
	 * The '<em><b>ENUMDP Typ ESG AW</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_AW_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ESG_AW(14, "ENUMDP_Typ_ESG_AW", "AW"),

	/**
	 * The '<em><b>ENUMDP Typ ESG AWP</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_AWP_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ESG_AWP(15, "ENUMDP_Typ_ESG_AWP", "AWP"),

	/**
	 * The '<em><b>ENUMDP Typ ESG BMI</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_BMI_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ESG_BMI(16, "ENUMDP_Typ_ESG_BMI", "BMI"),

	/**
	 * The '<em><b>ENUMDP Typ ESG BPI</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_BPI_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ESG_BPI(17, "ENUMDP_Typ_ESG_BPI", "BPI"),

	/**
	 * The '<em><b>ENUMDP Typ ESG BRI</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_BRI_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ESG_BRI(18, "ENUMDP_Typ_ESG_BRI", "BRI"),

	/**
	 * The '<em><b>ENUMDP Typ ESG BW</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_BW_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ESG_BW(19, "ENUMDP_Typ_ESG_BW", "BW"),

	/**
	 * The '<em><b>ENUMDP Typ ESG EA</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_EA_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ESG_EA(20, "ENUMDP_Typ_ESG_EA", "EA"),

	/**
	 * The '<em><b>ENUMDP Typ ESG EF</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_EF_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ESG_EF(21, "ENUMDP_Typ_ESG_EF", "EF"),

	/**
	 * The '<em><b>ENUMDP Typ ESG EH</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_EH_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ESG_EH(22, "ENUMDP_Typ_ESG_EH", "EH"),

	/**
	 * The '<em><b>ENUMDP Typ ESG EM</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_EM_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ESG_EM(23, "ENUMDP_Typ_ESG_EM", "EM"),

	/**
	 * The '<em><b>ENUMDP Typ ESG EP</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_EP_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ESG_EP(24, "ENUMDP_Typ_ESG_EP", "EP"),

	/**
	 * The '<em><b>ENUMDP Typ ESG GLI</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_GLI_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ESG_GLI(25, "ENUMDP_Typ_ESG_GLI", "GLI"),

	/**
	 * The '<em><b>ENUMDP Typ ESG HG</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_HG_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ESG_HG(26, "ENUMDP_Typ_ESG_HG", "HG"),

	/**
	 * The '<em><b>ENUMDP Typ ESG HS</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_HS_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ESG_HS(27, "ENUMDP_Typ_ESG_HS", "HS"),

	/**
	 * The '<em><b>ENUMDP Typ ESG HV</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_HV_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ESG_HV(28, "ENUMDP_Typ_ESG_HV", "HV"),

	/**
	 * The '<em><b>ENUMDP Typ ESG LF S</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_LF_S_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ESG_LF_S(29, "ENUMDP_Typ_ESG_LF_S", "LF-S"),

	/**
	 * The '<em><b>ENUMDP Typ ESG LF V</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_LF_V_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ESG_LF_V(30, "ENUMDP_Typ_ESG_LF_V", "LF-V"),

	/**
	 * The '<em><b>ENUMDP Typ ESG LFI</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_LFI_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ESG_LFI(31, "ENUMDP_Typ_ESG_LFI", "LFI"),

	/**
	 * The '<em><b>ENUMDP Typ ESG LG S</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_LG_S_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ESG_LG_S(32, "ENUMDP_Typ_ESG_LG_S", "LG-S"),

	/**
	 * The '<em><b>ENUMDP Typ ESG LG V</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_LG_V_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ESG_LG_V(33, "ENUMDP_Typ_ESG_LG_V", "LG-V"),

	/**
	 * The '<em><b>ENUMDP Typ ESG LR S</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_LR_S_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ESG_LR_S(34, "ENUMDP_Typ_ESG_LR_S", "LR-S"),

	/**
	 * The '<em><b>ENUMDP Typ ESG LR V</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_LR_V_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ESG_LR_V(35, "ENUMDP_Typ_ESG_LR_V", "LR-V"),

	/**
	 * The '<em><b>ENUMDP Typ ESG MG</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_MG_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ESG_MG(36, "ENUMDP_Typ_ESG_MG", "MG"),

	/**
	 * The '<em><b>ENUMDP Typ ESG MH</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_MH_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ESG_MH(37, "ENUMDP_Typ_ESG_MH", "MH"),

	/**
	 * The '<em><b>ENUMDP Typ ESG MP</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_MP_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ESG_MP(38, "ENUMDP_Typ_ESG_MP", "MP"),

	/**
	 * The '<em><b>ENUMDP Typ ESG MS</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_MS_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ESG_MS(39, "ENUMDP_Typ_ESG_MS", "MS"),

	/**
	 * The '<em><b>ENUMDP Typ ESG MV</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_MV_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ESG_MV(40, "ENUMDP_Typ_ESG_MV", "MV"),

	/**
	 * The '<em><b>ENUMDP Typ ESG NV</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_NV_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ESG_NV(41, "ENUMDP_Typ_ESG_NV", "NV"),

	/**
	 * The '<em><b>ENUMDP Typ ESG SK</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_SK_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ESG_SK(42, "ENUMDP_Typ_ESG_SK", "SK"),

	/**
	 * The '<em><b>ENUMDP Typ ESG SN</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_SN_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ESG_SN(43, "ENUMDP_Typ_ESG_SN", "SN"),

	/**
	 * The '<em><b>ENUMDP Typ ESG SP</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_SP_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ESG_SP(44, "ENUMDP_Typ_ESG_SP", "SP"),

	/**
	 * The '<em><b>ENUMDP Typ ESG ST</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_ST_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ESG_ST(45, "ENUMDP_Typ_ESG_ST", "ST"),

	/**
	 * The '<em><b>ENUMDP Typ ESG TE E</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_TE_E_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ESG_TE_E(46, "ENUMDP_Typ_ESG_TE_E", "TE-E"),

	/**
	 * The '<em><b>ENUMDP Typ ESG TE L</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_TE_L_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ESG_TE_L(47, "ENUMDP_Typ_ESG_TE_L", "TE-L"),

	/**
	 * The '<em><b>ENUMDP Typ ESG TG E</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_TG_E_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ESG_TG_E(48, "ENUMDP_Typ_ESG_TG_E", "TG-E"),

	/**
	 * The '<em><b>ENUMDP Typ ESG TG L</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_TG_L_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ESG_TG_L(49, "ENUMDP_Typ_ESG_TG_L", "TG-L"),

	/**
	 * The '<em><b>ENUMDP Typ ESG TM E</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_TM_E_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ESG_TM_E(50, "ENUMDP_Typ_ESG_TM_E", "TM-E"),

	/**
	 * The '<em><b>ENUMDP Typ ESG TM L</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_TM_L_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ESG_TM_L(51, "ENUMDP_Typ_ESG_TM_L", "TM-L"),

	/**
	 * The '<em><b>ENUMDP Typ ESG TP</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_TP_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ESG_TP(52, "ENUMDP_Typ_ESG_TP", "TP"),

	/**
	 * The '<em><b>ENUMDP Typ ESG TV E</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_TV_E_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ESG_TV_E(53, "ENUMDP_Typ_ESG_TV_E", "TV-E"),

	/**
	 * The '<em><b>ENUMDP Typ ESG TV L</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_TV_L_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ESG_TV_L(54, "ENUMDP_Typ_ESG_TV_L", "TV-L"),

	/**
	 * The '<em><b>ENUMDP Typ ESG VP</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_VP_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ESG_VP(55, "ENUMDP_Typ_ESG_VP", "VP"),

	/**
	 * The '<em><b>ENUMDP Typ ESG VS</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_VS_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ESG_VS(56, "ENUMDP_Typ_ESG_VS", "VS"),

	/**
	 * The '<em><b>ENUMDP Typ ESG VW</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_VW_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ESG_VW(57, "ENUMDP_Typ_ESG_VW", "VW");

	/**
	 * The '<em><b>ENUMDP Typ ESG AA</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_AA
	 * @model name="ENUMDP_Typ_ESG_AA" literal="AA"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ESG_AA_VALUE = 0;

	/**
	 * The '<em><b>ENUMDP Typ ESG AB</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_AB
	 * @model name="ENUMDP_Typ_ESG_AB" literal="AB"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ESG_AB_VALUE = 1;

	/**
	 * The '<em><b>ENUMDP Typ ESG AE E</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_AE_E
	 * @model name="ENUMDP_Typ_ESG_AE_E" literal="AE-E"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ESG_AE_E_VALUE = 2;

	/**
	 * The '<em><b>ENUMDP Typ ESG AE L</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_AE_L
	 * @model name="ENUMDP_Typ_ESG_AE_L" literal="AE-L"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ESG_AE_L_VALUE = 3;

	/**
	 * The '<em><b>ENUMDP Typ ESG AG E</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_AG_E
	 * @model name="ENUMDP_Typ_ESG_AG_E" literal="AG-E"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ESG_AG_E_VALUE = 4;

	/**
	 * The '<em><b>ENUMDP Typ ESG AG L</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_AG_L
	 * @model name="ENUMDP_Typ_ESG_AG_L" literal="AG-L"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ESG_AG_L_VALUE = 5;

	/**
	 * The '<em><b>ENUMDP Typ ESG AH</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_AH
	 * @model name="ENUMDP_Typ_ESG_AH" literal="AH"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ESG_AH_VALUE = 6;

	/**
	 * The '<em><b>ENUMDP Typ ESG AM</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_AM
	 * @model name="ENUMDP_Typ_ESG_AM" literal="AM"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ESG_AM_VALUE = 7;

	/**
	 * The '<em><b>ENUMDP Typ ESG AR</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_AR
	 * @model name="ENUMDP_Typ_ESG_AR" literal="AR"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ESG_AR_VALUE = 8;

	/**
	 * The '<em><b>ENUMDP Typ ESG AS</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_AS
	 * @model name="ENUMDP_Typ_ESG_AS" literal="AS"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ESG_AS_VALUE = 9;

	/**
	 * The '<em><b>ENUMDP Typ ESG AT</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_AT
	 * @model name="ENUMDP_Typ_ESG_AT" literal="AT"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ESG_AT_VALUE = 10;

	/**
	 * The '<em><b>ENUMDP Typ ESG ATS</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_ATS
	 * @model name="ENUMDP_Typ_ESG_ATS" literal="ATS"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ESG_ATS_VALUE = 11;

	/**
	 * The '<em><b>ENUMDP Typ ESG AV E</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_AV_E
	 * @model name="ENUMDP_Typ_ESG_AV_E" literal="AV-E"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ESG_AV_E_VALUE = 12;

	/**
	 * The '<em><b>ENUMDP Typ ESG AV L</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_AV_L
	 * @model name="ENUMDP_Typ_ESG_AV_L" literal="AV-L"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ESG_AV_L_VALUE = 13;

	/**
	 * The '<em><b>ENUMDP Typ ESG AW</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_AW
	 * @model name="ENUMDP_Typ_ESG_AW" literal="AW"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ESG_AW_VALUE = 14;

	/**
	 * The '<em><b>ENUMDP Typ ESG AWP</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_AWP
	 * @model name="ENUMDP_Typ_ESG_AWP" literal="AWP"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ESG_AWP_VALUE = 15;

	/**
	 * The '<em><b>ENUMDP Typ ESG BMI</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_BMI
	 * @model name="ENUMDP_Typ_ESG_BMI" literal="BMI"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ESG_BMI_VALUE = 16;

	/**
	 * The '<em><b>ENUMDP Typ ESG BPI</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_BPI
	 * @model name="ENUMDP_Typ_ESG_BPI" literal="BPI"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ESG_BPI_VALUE = 17;

	/**
	 * The '<em><b>ENUMDP Typ ESG BRI</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_BRI
	 * @model name="ENUMDP_Typ_ESG_BRI" literal="BRI"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ESG_BRI_VALUE = 18;

	/**
	 * The '<em><b>ENUMDP Typ ESG BW</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_BW
	 * @model name="ENUMDP_Typ_ESG_BW" literal="BW"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ESG_BW_VALUE = 19;

	/**
	 * The '<em><b>ENUMDP Typ ESG EA</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_EA
	 * @model name="ENUMDP_Typ_ESG_EA" literal="EA"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ESG_EA_VALUE = 20;

	/**
	 * The '<em><b>ENUMDP Typ ESG EF</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_EF
	 * @model name="ENUMDP_Typ_ESG_EF" literal="EF"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ESG_EF_VALUE = 21;

	/**
	 * The '<em><b>ENUMDP Typ ESG EH</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_EH
	 * @model name="ENUMDP_Typ_ESG_EH" literal="EH"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ESG_EH_VALUE = 22;

	/**
	 * The '<em><b>ENUMDP Typ ESG EM</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_EM
	 * @model name="ENUMDP_Typ_ESG_EM" literal="EM"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ESG_EM_VALUE = 23;

	/**
	 * The '<em><b>ENUMDP Typ ESG EP</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_EP
	 * @model name="ENUMDP_Typ_ESG_EP" literal="EP"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ESG_EP_VALUE = 24;

	/**
	 * The '<em><b>ENUMDP Typ ESG GLI</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_GLI
	 * @model name="ENUMDP_Typ_ESG_GLI" literal="GLI"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ESG_GLI_VALUE = 25;

	/**
	 * The '<em><b>ENUMDP Typ ESG HG</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_HG
	 * @model name="ENUMDP_Typ_ESG_HG" literal="HG"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ESG_HG_VALUE = 26;

	/**
	 * The '<em><b>ENUMDP Typ ESG HS</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_HS
	 * @model name="ENUMDP_Typ_ESG_HS" literal="HS"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ESG_HS_VALUE = 27;

	/**
	 * The '<em><b>ENUMDP Typ ESG HV</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_HV
	 * @model name="ENUMDP_Typ_ESG_HV" literal="HV"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ESG_HV_VALUE = 28;

	/**
	 * The '<em><b>ENUMDP Typ ESG LF S</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_LF_S
	 * @model name="ENUMDP_Typ_ESG_LF_S" literal="LF-S"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ESG_LF_S_VALUE = 29;

	/**
	 * The '<em><b>ENUMDP Typ ESG LF V</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_LF_V
	 * @model name="ENUMDP_Typ_ESG_LF_V" literal="LF-V"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ESG_LF_V_VALUE = 30;

	/**
	 * The '<em><b>ENUMDP Typ ESG LFI</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_LFI
	 * @model name="ENUMDP_Typ_ESG_LFI" literal="LFI"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ESG_LFI_VALUE = 31;

	/**
	 * The '<em><b>ENUMDP Typ ESG LG S</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_LG_S
	 * @model name="ENUMDP_Typ_ESG_LG_S" literal="LG-S"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ESG_LG_S_VALUE = 32;

	/**
	 * The '<em><b>ENUMDP Typ ESG LG V</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_LG_V
	 * @model name="ENUMDP_Typ_ESG_LG_V" literal="LG-V"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ESG_LG_V_VALUE = 33;

	/**
	 * The '<em><b>ENUMDP Typ ESG LR S</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_LR_S
	 * @model name="ENUMDP_Typ_ESG_LR_S" literal="LR-S"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ESG_LR_S_VALUE = 34;

	/**
	 * The '<em><b>ENUMDP Typ ESG LR V</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_LR_V
	 * @model name="ENUMDP_Typ_ESG_LR_V" literal="LR-V"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ESG_LR_V_VALUE = 35;

	/**
	 * The '<em><b>ENUMDP Typ ESG MG</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_MG
	 * @model name="ENUMDP_Typ_ESG_MG" literal="MG"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ESG_MG_VALUE = 36;

	/**
	 * The '<em><b>ENUMDP Typ ESG MH</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_MH
	 * @model name="ENUMDP_Typ_ESG_MH" literal="MH"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ESG_MH_VALUE = 37;

	/**
	 * The '<em><b>ENUMDP Typ ESG MP</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_MP
	 * @model name="ENUMDP_Typ_ESG_MP" literal="MP"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ESG_MP_VALUE = 38;

	/**
	 * The '<em><b>ENUMDP Typ ESG MS</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_MS
	 * @model name="ENUMDP_Typ_ESG_MS" literal="MS"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ESG_MS_VALUE = 39;

	/**
	 * The '<em><b>ENUMDP Typ ESG MV</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_MV
	 * @model name="ENUMDP_Typ_ESG_MV" literal="MV"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ESG_MV_VALUE = 40;

	/**
	 * The '<em><b>ENUMDP Typ ESG NV</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_NV
	 * @model name="ENUMDP_Typ_ESG_NV" literal="NV"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ESG_NV_VALUE = 41;

	/**
	 * The '<em><b>ENUMDP Typ ESG SK</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_SK
	 * @model name="ENUMDP_Typ_ESG_SK" literal="SK"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ESG_SK_VALUE = 42;

	/**
	 * The '<em><b>ENUMDP Typ ESG SN</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_SN
	 * @model name="ENUMDP_Typ_ESG_SN" literal="SN"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ESG_SN_VALUE = 43;

	/**
	 * The '<em><b>ENUMDP Typ ESG SP</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_SP
	 * @model name="ENUMDP_Typ_ESG_SP" literal="SP"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ESG_SP_VALUE = 44;

	/**
	 * The '<em><b>ENUMDP Typ ESG ST</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_ST
	 * @model name="ENUMDP_Typ_ESG_ST" literal="ST"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ESG_ST_VALUE = 45;

	/**
	 * The '<em><b>ENUMDP Typ ESG TE E</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_TE_E
	 * @model name="ENUMDP_Typ_ESG_TE_E" literal="TE-E"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ESG_TE_E_VALUE = 46;

	/**
	 * The '<em><b>ENUMDP Typ ESG TE L</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_TE_L
	 * @model name="ENUMDP_Typ_ESG_TE_L" literal="TE-L"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ESG_TE_L_VALUE = 47;

	/**
	 * The '<em><b>ENUMDP Typ ESG TG E</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_TG_E
	 * @model name="ENUMDP_Typ_ESG_TG_E" literal="TG-E"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ESG_TG_E_VALUE = 48;

	/**
	 * The '<em><b>ENUMDP Typ ESG TG L</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_TG_L
	 * @model name="ENUMDP_Typ_ESG_TG_L" literal="TG-L"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ESG_TG_L_VALUE = 49;

	/**
	 * The '<em><b>ENUMDP Typ ESG TM E</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_TM_E
	 * @model name="ENUMDP_Typ_ESG_TM_E" literal="TM-E"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ESG_TM_E_VALUE = 50;

	/**
	 * The '<em><b>ENUMDP Typ ESG TM L</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_TM_L
	 * @model name="ENUMDP_Typ_ESG_TM_L" literal="TM-L"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ESG_TM_L_VALUE = 51;

	/**
	 * The '<em><b>ENUMDP Typ ESG TP</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_TP
	 * @model name="ENUMDP_Typ_ESG_TP" literal="TP"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ESG_TP_VALUE = 52;

	/**
	 * The '<em><b>ENUMDP Typ ESG TV E</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_TV_E
	 * @model name="ENUMDP_Typ_ESG_TV_E" literal="TV-E"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ESG_TV_E_VALUE = 53;

	/**
	 * The '<em><b>ENUMDP Typ ESG TV L</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_TV_L
	 * @model name="ENUMDP_Typ_ESG_TV_L" literal="TV-L"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ESG_TV_L_VALUE = 54;

	/**
	 * The '<em><b>ENUMDP Typ ESG VP</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_VP
	 * @model name="ENUMDP_Typ_ESG_VP" literal="VP"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ESG_VP_VALUE = 55;

	/**
	 * The '<em><b>ENUMDP Typ ESG VS</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_VS
	 * @model name="ENUMDP_Typ_ESG_VS" literal="VS"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ESG_VS_VALUE = 56;

	/**
	 * The '<em><b>ENUMDP Typ ESG VW</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ESG_VW
	 * @model name="ENUMDP_Typ_ESG_VW" literal="VW"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ESG_VW_VALUE = 57;

	/**
	 * An array of all the '<em><b>ENUMDP Typ ESG</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static final ENUMDPTypESG[] VALUES_ARRAY =
		new ENUMDPTypESG[] {
			ENUMDP_TYP_ESG_AA,
			ENUMDP_TYP_ESG_AB,
			ENUMDP_TYP_ESG_AE_E,
			ENUMDP_TYP_ESG_AE_L,
			ENUMDP_TYP_ESG_AG_E,
			ENUMDP_TYP_ESG_AG_L,
			ENUMDP_TYP_ESG_AH,
			ENUMDP_TYP_ESG_AM,
			ENUMDP_TYP_ESG_AR,
			ENUMDP_TYP_ESG_AS,
			ENUMDP_TYP_ESG_AT,
			ENUMDP_TYP_ESG_ATS,
			ENUMDP_TYP_ESG_AV_E,
			ENUMDP_TYP_ESG_AV_L,
			ENUMDP_TYP_ESG_AW,
			ENUMDP_TYP_ESG_AWP,
			ENUMDP_TYP_ESG_BMI,
			ENUMDP_TYP_ESG_BPI,
			ENUMDP_TYP_ESG_BRI,
			ENUMDP_TYP_ESG_BW,
			ENUMDP_TYP_ESG_EA,
			ENUMDP_TYP_ESG_EF,
			ENUMDP_TYP_ESG_EH,
			ENUMDP_TYP_ESG_EM,
			ENUMDP_TYP_ESG_EP,
			ENUMDP_TYP_ESG_GLI,
			ENUMDP_TYP_ESG_HG,
			ENUMDP_TYP_ESG_HS,
			ENUMDP_TYP_ESG_HV,
			ENUMDP_TYP_ESG_LF_S,
			ENUMDP_TYP_ESG_LF_V,
			ENUMDP_TYP_ESG_LFI,
			ENUMDP_TYP_ESG_LG_S,
			ENUMDP_TYP_ESG_LG_V,
			ENUMDP_TYP_ESG_LR_S,
			ENUMDP_TYP_ESG_LR_V,
			ENUMDP_TYP_ESG_MG,
			ENUMDP_TYP_ESG_MH,
			ENUMDP_TYP_ESG_MP,
			ENUMDP_TYP_ESG_MS,
			ENUMDP_TYP_ESG_MV,
			ENUMDP_TYP_ESG_NV,
			ENUMDP_TYP_ESG_SK,
			ENUMDP_TYP_ESG_SN,
			ENUMDP_TYP_ESG_SP,
			ENUMDP_TYP_ESG_ST,
			ENUMDP_TYP_ESG_TE_E,
			ENUMDP_TYP_ESG_TE_L,
			ENUMDP_TYP_ESG_TG_E,
			ENUMDP_TYP_ESG_TG_L,
			ENUMDP_TYP_ESG_TM_E,
			ENUMDP_TYP_ESG_TM_L,
			ENUMDP_TYP_ESG_TP,
			ENUMDP_TYP_ESG_TV_E,
			ENUMDP_TYP_ESG_TV_L,
			ENUMDP_TYP_ESG_VP,
			ENUMDP_TYP_ESG_VS,
			ENUMDP_TYP_ESG_VW,
		};

	/**
	 * A public read-only list of all the '<em><b>ENUMDP Typ ESG</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static final List<ENUMDPTypESG> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

	/**
	 * Returns the '<em><b>ENUMDP Typ ESG</b></em>' literal with the specified literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param literal the literal.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMDPTypESG get(String literal) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMDPTypESG result = VALUES_ARRAY[i];
			if (result.toString().equals(literal)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUMDP Typ ESG</b></em>' literal with the specified name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param name the name.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMDPTypESG getByName(String name) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMDPTypESG result = VALUES_ARRAY[i];
			if (result.getName().equals(name)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUMDP Typ ESG</b></em>' literal with the specified integer value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the integer value.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMDPTypESG get(int value) {
		switch (value) {
			case ENUMDP_TYP_ESG_AA_VALUE: return ENUMDP_TYP_ESG_AA;
			case ENUMDP_TYP_ESG_AB_VALUE: return ENUMDP_TYP_ESG_AB;
			case ENUMDP_TYP_ESG_AE_E_VALUE: return ENUMDP_TYP_ESG_AE_E;
			case ENUMDP_TYP_ESG_AE_L_VALUE: return ENUMDP_TYP_ESG_AE_L;
			case ENUMDP_TYP_ESG_AG_E_VALUE: return ENUMDP_TYP_ESG_AG_E;
			case ENUMDP_TYP_ESG_AG_L_VALUE: return ENUMDP_TYP_ESG_AG_L;
			case ENUMDP_TYP_ESG_AH_VALUE: return ENUMDP_TYP_ESG_AH;
			case ENUMDP_TYP_ESG_AM_VALUE: return ENUMDP_TYP_ESG_AM;
			case ENUMDP_TYP_ESG_AR_VALUE: return ENUMDP_TYP_ESG_AR;
			case ENUMDP_TYP_ESG_AS_VALUE: return ENUMDP_TYP_ESG_AS;
			case ENUMDP_TYP_ESG_AT_VALUE: return ENUMDP_TYP_ESG_AT;
			case ENUMDP_TYP_ESG_ATS_VALUE: return ENUMDP_TYP_ESG_ATS;
			case ENUMDP_TYP_ESG_AV_E_VALUE: return ENUMDP_TYP_ESG_AV_E;
			case ENUMDP_TYP_ESG_AV_L_VALUE: return ENUMDP_TYP_ESG_AV_L;
			case ENUMDP_TYP_ESG_AW_VALUE: return ENUMDP_TYP_ESG_AW;
			case ENUMDP_TYP_ESG_AWP_VALUE: return ENUMDP_TYP_ESG_AWP;
			case ENUMDP_TYP_ESG_BMI_VALUE: return ENUMDP_TYP_ESG_BMI;
			case ENUMDP_TYP_ESG_BPI_VALUE: return ENUMDP_TYP_ESG_BPI;
			case ENUMDP_TYP_ESG_BRI_VALUE: return ENUMDP_TYP_ESG_BRI;
			case ENUMDP_TYP_ESG_BW_VALUE: return ENUMDP_TYP_ESG_BW;
			case ENUMDP_TYP_ESG_EA_VALUE: return ENUMDP_TYP_ESG_EA;
			case ENUMDP_TYP_ESG_EF_VALUE: return ENUMDP_TYP_ESG_EF;
			case ENUMDP_TYP_ESG_EH_VALUE: return ENUMDP_TYP_ESG_EH;
			case ENUMDP_TYP_ESG_EM_VALUE: return ENUMDP_TYP_ESG_EM;
			case ENUMDP_TYP_ESG_EP_VALUE: return ENUMDP_TYP_ESG_EP;
			case ENUMDP_TYP_ESG_GLI_VALUE: return ENUMDP_TYP_ESG_GLI;
			case ENUMDP_TYP_ESG_HG_VALUE: return ENUMDP_TYP_ESG_HG;
			case ENUMDP_TYP_ESG_HS_VALUE: return ENUMDP_TYP_ESG_HS;
			case ENUMDP_TYP_ESG_HV_VALUE: return ENUMDP_TYP_ESG_HV;
			case ENUMDP_TYP_ESG_LF_S_VALUE: return ENUMDP_TYP_ESG_LF_S;
			case ENUMDP_TYP_ESG_LF_V_VALUE: return ENUMDP_TYP_ESG_LF_V;
			case ENUMDP_TYP_ESG_LFI_VALUE: return ENUMDP_TYP_ESG_LFI;
			case ENUMDP_TYP_ESG_LG_S_VALUE: return ENUMDP_TYP_ESG_LG_S;
			case ENUMDP_TYP_ESG_LG_V_VALUE: return ENUMDP_TYP_ESG_LG_V;
			case ENUMDP_TYP_ESG_LR_S_VALUE: return ENUMDP_TYP_ESG_LR_S;
			case ENUMDP_TYP_ESG_LR_V_VALUE: return ENUMDP_TYP_ESG_LR_V;
			case ENUMDP_TYP_ESG_MG_VALUE: return ENUMDP_TYP_ESG_MG;
			case ENUMDP_TYP_ESG_MH_VALUE: return ENUMDP_TYP_ESG_MH;
			case ENUMDP_TYP_ESG_MP_VALUE: return ENUMDP_TYP_ESG_MP;
			case ENUMDP_TYP_ESG_MS_VALUE: return ENUMDP_TYP_ESG_MS;
			case ENUMDP_TYP_ESG_MV_VALUE: return ENUMDP_TYP_ESG_MV;
			case ENUMDP_TYP_ESG_NV_VALUE: return ENUMDP_TYP_ESG_NV;
			case ENUMDP_TYP_ESG_SK_VALUE: return ENUMDP_TYP_ESG_SK;
			case ENUMDP_TYP_ESG_SN_VALUE: return ENUMDP_TYP_ESG_SN;
			case ENUMDP_TYP_ESG_SP_VALUE: return ENUMDP_TYP_ESG_SP;
			case ENUMDP_TYP_ESG_ST_VALUE: return ENUMDP_TYP_ESG_ST;
			case ENUMDP_TYP_ESG_TE_E_VALUE: return ENUMDP_TYP_ESG_TE_E;
			case ENUMDP_TYP_ESG_TE_L_VALUE: return ENUMDP_TYP_ESG_TE_L;
			case ENUMDP_TYP_ESG_TG_E_VALUE: return ENUMDP_TYP_ESG_TG_E;
			case ENUMDP_TYP_ESG_TG_L_VALUE: return ENUMDP_TYP_ESG_TG_L;
			case ENUMDP_TYP_ESG_TM_E_VALUE: return ENUMDP_TYP_ESG_TM_E;
			case ENUMDP_TYP_ESG_TM_L_VALUE: return ENUMDP_TYP_ESG_TM_L;
			case ENUMDP_TYP_ESG_TP_VALUE: return ENUMDP_TYP_ESG_TP;
			case ENUMDP_TYP_ESG_TV_E_VALUE: return ENUMDP_TYP_ESG_TV_E;
			case ENUMDP_TYP_ESG_TV_L_VALUE: return ENUMDP_TYP_ESG_TV_L;
			case ENUMDP_TYP_ESG_VP_VALUE: return ENUMDP_TYP_ESG_VP;
			case ENUMDP_TYP_ESG_VS_VALUE: return ENUMDP_TYP_ESG_VS;
			case ENUMDP_TYP_ESG_VW_VALUE: return ENUMDP_TYP_ESG_VW;
			default: return null;
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final int value;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String name;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String literal;

	/**
	 * Only this class can construct instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private ENUMDPTypESG(int value, String name, String literal) {
		this.value = value;
		this.name = name;
		this.literal = literal;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public int getValue() {
	  return value;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getName() {
	  return name;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getLiteral() {
	  return literal;
	}

	/**
	 * Returns the literal value of the enumerator, which is its string representation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		return literal;
	}
	
} //ENUMDPTypESG
