/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Balisentechnik_ETCS;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>ENUMDP Typ ZBS</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Balisentechnik_ETCSPackage#getENUMDPTypZBS()
 * @model extendedMetaData="name='ENUMDP_Typ_ZBS'"
 * @generated
 */
public enum ENUMDPTypZBS implements Enumerator {
	/**
	 * The '<em><b>ENUMDP Typ ZBS RBE</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ZBS_RBE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ZBS_RBE(0, "ENUMDP_Typ_ZBS_RBE", "RBE"),

	/**
	 * The '<em><b>ENUMDP Typ ZBS RS</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ZBS_RS_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ZBS_RS(1, "ENUMDP_Typ_ZBS_RS", "RS"),

	/**
	 * The '<em><b>ENUMDP Typ ZBS RSp</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ZBS_RSP_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ZBS_RSP(2, "ENUMDP_Typ_ZBS_RSp", "RSp"),

	/**
	 * The '<em><b>ENUMDP Typ ZBS sonstige</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ZBS_SONSTIGE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ZBS_SONSTIGE(3, "ENUMDP_Typ_ZBS_sonstige", "sonstige"),

	/**
	 * The '<em><b>ENUMDP Typ ZBS ZA</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ZBS_ZA_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ZBS_ZA(4, "ENUMDP_Typ_ZBS_ZA", "ZA"),

	/**
	 * The '<em><b>ENUMDP Typ ZBS ZBb P</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ZBS_ZBB_P_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ZBS_ZBB_P(5, "ENUMDP_Typ_ZBS_ZBbP", "ZBbP"),

	/**
	 * The '<em><b>ENUMDP Typ ZBS ZBP</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ZBS_ZBP_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ZBS_ZBP(6, "ENUMDP_Typ_ZBS_ZBP", "ZBP"),

	/**
	 * The '<em><b>ENUMDP Typ ZBS ZF</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ZBS_ZF_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ZBS_ZF(7, "ENUMDP_Typ_ZBS_ZF", "ZF"),

	/**
	 * The '<em><b>ENUMDP Typ ZBS ZH</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ZBS_ZH_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ZBS_ZH(8, "ENUMDP_Typ_ZBS_ZH", "ZH"),

	/**
	 * The '<em><b>ENUMDP Typ ZBS ZHF</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ZBS_ZHF_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ZBS_ZHF(9, "ENUMDP_Typ_ZBS_ZHF", "ZHF"),

	/**
	 * The '<em><b>ENUMDP Typ ZBS ZLi H</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ZBS_ZLI_H_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ZBS_ZLI_H(10, "ENUMDP_Typ_ZBS_ZLiH", "ZLiH"),

	/**
	 * The '<em><b>ENUMDP Typ ZBS ZLi V</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ZBS_ZLI_V_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ZBS_ZLI_V(11, "ENUMDP_Typ_ZBS_ZLiV", "ZLiV"),

	/**
	 * The '<em><b>ENUMDP Typ ZBS ZO</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ZBS_ZO_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ZBS_ZO(12, "ENUMDP_Typ_ZBS_ZO", "ZO"),

	/**
	 * The '<em><b>ENUMDP Typ ZBS ZRE 1</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ZBS_ZRE_1_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ZBS_ZRE_1(13, "ENUMDP_Typ_ZBS_ZRE_1", "ZRE_1"),

	/**
	 * The '<em><b>ENUMDP Typ ZBS ZRE 2</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ZBS_ZRE_2_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ZBS_ZRE_2(14, "ENUMDP_Typ_ZBS_ZRE_2", "ZRE_2"),

	/**
	 * The '<em><b>ENUMDP Typ ZBS ZRH</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ZBS_ZRH_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ZBS_ZRH(15, "ENUMDP_Typ_ZBS_ZRH", "ZRH"),

	/**
	 * The '<em><b>ENUMDP Typ ZBS ZRHF</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ZBS_ZRHF_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ZBS_ZRHF(16, "ENUMDP_Typ_ZBS_ZRHF", "ZRHF"),

	/**
	 * The '<em><b>ENUMDP Typ ZBS ZR La</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ZBS_ZR_LA_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ZBS_ZR_LA(17, "ENUMDP_Typ_ZBS_ZRLa", "ZRLa"),

	/**
	 * The '<em><b>ENUMDP Typ ZBS ZRV</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ZBS_ZRV_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ZBS_ZRV(18, "ENUMDP_Typ_ZBS_ZRV", "ZRV"),

	/**
	 * The '<em><b>ENUMDP Typ ZBS ZU</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ZBS_ZU_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ZBS_ZU(19, "ENUMDP_Typ_ZBS_ZU", "Z\u00dc"),

	/**
	 * The '<em><b>ENUMDP Typ ZBS ZV</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ZBS_ZV_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMDP_TYP_ZBS_ZV(20, "ENUMDP_Typ_ZBS_ZV", "ZV");

	/**
	 * The '<em><b>ENUMDP Typ ZBS RBE</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ZBS_RBE
	 * @model name="ENUMDP_Typ_ZBS_RBE" literal="RBE"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ZBS_RBE_VALUE = 0;

	/**
	 * The '<em><b>ENUMDP Typ ZBS RS</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ZBS_RS
	 * @model name="ENUMDP_Typ_ZBS_RS" literal="RS"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ZBS_RS_VALUE = 1;

	/**
	 * The '<em><b>ENUMDP Typ ZBS RSp</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ZBS_RSP
	 * @model name="ENUMDP_Typ_ZBS_RSp" literal="RSp"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ZBS_RSP_VALUE = 2;

	/**
	 * The '<em><b>ENUMDP Typ ZBS sonstige</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ZBS_SONSTIGE
	 * @model name="ENUMDP_Typ_ZBS_sonstige" literal="sonstige"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ZBS_SONSTIGE_VALUE = 3;

	/**
	 * The '<em><b>ENUMDP Typ ZBS ZA</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ZBS_ZA
	 * @model name="ENUMDP_Typ_ZBS_ZA" literal="ZA"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ZBS_ZA_VALUE = 4;

	/**
	 * The '<em><b>ENUMDP Typ ZBS ZBb P</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ZBS_ZBB_P
	 * @model name="ENUMDP_Typ_ZBS_ZBbP" literal="ZBbP"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ZBS_ZBB_P_VALUE = 5;

	/**
	 * The '<em><b>ENUMDP Typ ZBS ZBP</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ZBS_ZBP
	 * @model name="ENUMDP_Typ_ZBS_ZBP" literal="ZBP"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ZBS_ZBP_VALUE = 6;

	/**
	 * The '<em><b>ENUMDP Typ ZBS ZF</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ZBS_ZF
	 * @model name="ENUMDP_Typ_ZBS_ZF" literal="ZF"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ZBS_ZF_VALUE = 7;

	/**
	 * The '<em><b>ENUMDP Typ ZBS ZH</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ZBS_ZH
	 * @model name="ENUMDP_Typ_ZBS_ZH" literal="ZH"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ZBS_ZH_VALUE = 8;

	/**
	 * The '<em><b>ENUMDP Typ ZBS ZHF</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ZBS_ZHF
	 * @model name="ENUMDP_Typ_ZBS_ZHF" literal="ZHF"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ZBS_ZHF_VALUE = 9;

	/**
	 * The '<em><b>ENUMDP Typ ZBS ZLi H</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ZBS_ZLI_H
	 * @model name="ENUMDP_Typ_ZBS_ZLiH" literal="ZLiH"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ZBS_ZLI_H_VALUE = 10;

	/**
	 * The '<em><b>ENUMDP Typ ZBS ZLi V</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ZBS_ZLI_V
	 * @model name="ENUMDP_Typ_ZBS_ZLiV" literal="ZLiV"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ZBS_ZLI_V_VALUE = 11;

	/**
	 * The '<em><b>ENUMDP Typ ZBS ZO</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ZBS_ZO
	 * @model name="ENUMDP_Typ_ZBS_ZO" literal="ZO"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ZBS_ZO_VALUE = 12;

	/**
	 * The '<em><b>ENUMDP Typ ZBS ZRE 1</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ZBS_ZRE_1
	 * @model name="ENUMDP_Typ_ZBS_ZRE_1" literal="ZRE_1"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ZBS_ZRE_1_VALUE = 13;

	/**
	 * The '<em><b>ENUMDP Typ ZBS ZRE 2</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ZBS_ZRE_2
	 * @model name="ENUMDP_Typ_ZBS_ZRE_2" literal="ZRE_2"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ZBS_ZRE_2_VALUE = 14;

	/**
	 * The '<em><b>ENUMDP Typ ZBS ZRH</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ZBS_ZRH
	 * @model name="ENUMDP_Typ_ZBS_ZRH" literal="ZRH"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ZBS_ZRH_VALUE = 15;

	/**
	 * The '<em><b>ENUMDP Typ ZBS ZRHF</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ZBS_ZRHF
	 * @model name="ENUMDP_Typ_ZBS_ZRHF" literal="ZRHF"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ZBS_ZRHF_VALUE = 16;

	/**
	 * The '<em><b>ENUMDP Typ ZBS ZR La</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ZBS_ZR_LA
	 * @model name="ENUMDP_Typ_ZBS_ZRLa" literal="ZRLa"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ZBS_ZR_LA_VALUE = 17;

	/**
	 * The '<em><b>ENUMDP Typ ZBS ZRV</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ZBS_ZRV
	 * @model name="ENUMDP_Typ_ZBS_ZRV" literal="ZRV"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ZBS_ZRV_VALUE = 18;

	/**
	 * The '<em><b>ENUMDP Typ ZBS ZU</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ZBS_ZU
	 * @model name="ENUMDP_Typ_ZBS_ZU" literal="Z\334"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ZBS_ZU_VALUE = 19;

	/**
	 * The '<em><b>ENUMDP Typ ZBS ZV</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMDP_TYP_ZBS_ZV
	 * @model name="ENUMDP_Typ_ZBS_ZV" literal="ZV"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMDP_TYP_ZBS_ZV_VALUE = 20;

	/**
	 * An array of all the '<em><b>ENUMDP Typ ZBS</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static final ENUMDPTypZBS[] VALUES_ARRAY =
		new ENUMDPTypZBS[] {
			ENUMDP_TYP_ZBS_RBE,
			ENUMDP_TYP_ZBS_RS,
			ENUMDP_TYP_ZBS_RSP,
			ENUMDP_TYP_ZBS_SONSTIGE,
			ENUMDP_TYP_ZBS_ZA,
			ENUMDP_TYP_ZBS_ZBB_P,
			ENUMDP_TYP_ZBS_ZBP,
			ENUMDP_TYP_ZBS_ZF,
			ENUMDP_TYP_ZBS_ZH,
			ENUMDP_TYP_ZBS_ZHF,
			ENUMDP_TYP_ZBS_ZLI_H,
			ENUMDP_TYP_ZBS_ZLI_V,
			ENUMDP_TYP_ZBS_ZO,
			ENUMDP_TYP_ZBS_ZRE_1,
			ENUMDP_TYP_ZBS_ZRE_2,
			ENUMDP_TYP_ZBS_ZRH,
			ENUMDP_TYP_ZBS_ZRHF,
			ENUMDP_TYP_ZBS_ZR_LA,
			ENUMDP_TYP_ZBS_ZRV,
			ENUMDP_TYP_ZBS_ZU,
			ENUMDP_TYP_ZBS_ZV,
		};

	/**
	 * A public read-only list of all the '<em><b>ENUMDP Typ ZBS</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static final List<ENUMDPTypZBS> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

	/**
	 * Returns the '<em><b>ENUMDP Typ ZBS</b></em>' literal with the specified literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param literal the literal.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMDPTypZBS get(String literal) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMDPTypZBS result = VALUES_ARRAY[i];
			if (result.toString().equals(literal)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUMDP Typ ZBS</b></em>' literal with the specified name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param name the name.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMDPTypZBS getByName(String name) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMDPTypZBS result = VALUES_ARRAY[i];
			if (result.getName().equals(name)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUMDP Typ ZBS</b></em>' literal with the specified integer value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the integer value.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMDPTypZBS get(int value) {
		switch (value) {
			case ENUMDP_TYP_ZBS_RBE_VALUE: return ENUMDP_TYP_ZBS_RBE;
			case ENUMDP_TYP_ZBS_RS_VALUE: return ENUMDP_TYP_ZBS_RS;
			case ENUMDP_TYP_ZBS_RSP_VALUE: return ENUMDP_TYP_ZBS_RSP;
			case ENUMDP_TYP_ZBS_SONSTIGE_VALUE: return ENUMDP_TYP_ZBS_SONSTIGE;
			case ENUMDP_TYP_ZBS_ZA_VALUE: return ENUMDP_TYP_ZBS_ZA;
			case ENUMDP_TYP_ZBS_ZBB_P_VALUE: return ENUMDP_TYP_ZBS_ZBB_P;
			case ENUMDP_TYP_ZBS_ZBP_VALUE: return ENUMDP_TYP_ZBS_ZBP;
			case ENUMDP_TYP_ZBS_ZF_VALUE: return ENUMDP_TYP_ZBS_ZF;
			case ENUMDP_TYP_ZBS_ZH_VALUE: return ENUMDP_TYP_ZBS_ZH;
			case ENUMDP_TYP_ZBS_ZHF_VALUE: return ENUMDP_TYP_ZBS_ZHF;
			case ENUMDP_TYP_ZBS_ZLI_H_VALUE: return ENUMDP_TYP_ZBS_ZLI_H;
			case ENUMDP_TYP_ZBS_ZLI_V_VALUE: return ENUMDP_TYP_ZBS_ZLI_V;
			case ENUMDP_TYP_ZBS_ZO_VALUE: return ENUMDP_TYP_ZBS_ZO;
			case ENUMDP_TYP_ZBS_ZRE_1_VALUE: return ENUMDP_TYP_ZBS_ZRE_1;
			case ENUMDP_TYP_ZBS_ZRE_2_VALUE: return ENUMDP_TYP_ZBS_ZRE_2;
			case ENUMDP_TYP_ZBS_ZRH_VALUE: return ENUMDP_TYP_ZBS_ZRH;
			case ENUMDP_TYP_ZBS_ZRHF_VALUE: return ENUMDP_TYP_ZBS_ZRHF;
			case ENUMDP_TYP_ZBS_ZR_LA_VALUE: return ENUMDP_TYP_ZBS_ZR_LA;
			case ENUMDP_TYP_ZBS_ZRV_VALUE: return ENUMDP_TYP_ZBS_ZRV;
			case ENUMDP_TYP_ZBS_ZU_VALUE: return ENUMDP_TYP_ZBS_ZU;
			case ENUMDP_TYP_ZBS_ZV_VALUE: return ENUMDP_TYP_ZBS_ZV;
			default: return null;
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final int value;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String name;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String literal;

	/**
	 * Only this class can construct instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private ENUMDPTypZBS(int value, String name, String literal) {
		this.value = value;
		this.name = name;
		this.literal = literal;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public int getValue() {
	  return value;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getName() {
	  return name;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getLiteral() {
	  return literal;
	}

	/**
	 * Returns the literal value of the enumerator, which is its string representation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		return literal;
	}
	
} //ENUMDPTypZBS
