/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Balisentechnik_ETCS;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>ENUMFTZBS Typ</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Balisentechnik_ETCSPackage#getENUMFTZBSTyp()
 * @model extendedMetaData="name='ENUMFT_ZBS_Typ'"
 * @generated
 */
public enum ENUMFTZBSTyp implements Enumerator {
	/**
	 * The '<em><b>ENUMFT ZBS Typ Null</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMFT_ZBS_TYP_NULL_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMFT_ZBS_TYP_NULL(0, "ENUMFT_ZBS_Typ_Null", "Null"),

	/**
	 * The '<em><b>ENUMFT ZBS Typ RBE</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMFT_ZBS_TYP_RBE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMFT_ZBS_TYP_RBE(1, "ENUMFT_ZBS_Typ_RBE", "RBE"),

	/**
	 * The '<em><b>ENUMFT ZBS Typ RS</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMFT_ZBS_TYP_RS_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMFT_ZBS_TYP_RS(2, "ENUMFT_ZBS_Typ_RS", "RS"),

	/**
	 * The '<em><b>ENUMFT ZBS Typ RSp</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMFT_ZBS_TYP_RSP_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMFT_ZBS_TYP_RSP(3, "ENUMFT_ZBS_Typ_RSp", "RSp"),

	/**
	 * The '<em><b>ENUMFT ZBS Typ sonstige</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMFT_ZBS_TYP_SONSTIGE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMFT_ZBS_TYP_SONSTIGE(4, "ENUMFT_ZBS_Typ_sonstige", "sonstige"),

	/**
	 * The '<em><b>ENUMFT ZBS Typ ZA</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMFT_ZBS_TYP_ZA_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMFT_ZBS_TYP_ZA(5, "ENUMFT_ZBS_Typ_ZA", "ZA"),

	/**
	 * The '<em><b>ENUMFT ZBS Typ ZBb P</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMFT_ZBS_TYP_ZBB_P_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMFT_ZBS_TYP_ZBB_P(6, "ENUMFT_ZBS_Typ_ZBbP", "ZBbP"),

	/**
	 * The '<em><b>ENUMFT ZBS Typ ZBP</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMFT_ZBS_TYP_ZBP_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMFT_ZBS_TYP_ZBP(7, "ENUMFT_ZBS_Typ_ZBP", "ZBP"),

	/**
	 * The '<em><b>ENUMFT ZBS Typ ZF</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMFT_ZBS_TYP_ZF_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMFT_ZBS_TYP_ZF(8, "ENUMFT_ZBS_Typ_ZF", "ZF"),

	/**
	 * The '<em><b>ENUMFT ZBS Typ ZH</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMFT_ZBS_TYP_ZH_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMFT_ZBS_TYP_ZH(9, "ENUMFT_ZBS_Typ_ZH", "ZH"),

	/**
	 * The '<em><b>ENUMFT ZBS Typ ZHF</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMFT_ZBS_TYP_ZHF_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMFT_ZBS_TYP_ZHF(10, "ENUMFT_ZBS_Typ_ZHF", "ZHF"),

	/**
	 * The '<em><b>ENUMFT ZBS Typ ZLi H</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMFT_ZBS_TYP_ZLI_H_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMFT_ZBS_TYP_ZLI_H(11, "ENUMFT_ZBS_Typ_ZLiH", "ZLiH"),

	/**
	 * The '<em><b>ENUMFT ZBS Typ ZLi V</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMFT_ZBS_TYP_ZLI_V_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMFT_ZBS_TYP_ZLI_V(12, "ENUMFT_ZBS_Typ_ZLiV", "ZLiV"),

	/**
	 * The '<em><b>ENUMFT ZBS Typ ZO</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMFT_ZBS_TYP_ZO_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMFT_ZBS_TYP_ZO(13, "ENUMFT_ZBS_Typ_ZO", "ZO"),

	/**
	 * The '<em><b>ENUMFT ZBS Typ ZRE</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMFT_ZBS_TYP_ZRE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMFT_ZBS_TYP_ZRE(14, "ENUMFT_ZBS_Typ_ZRE", "ZRE"),

	/**
	 * The '<em><b>ENUMFT ZBS Typ ZRH</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMFT_ZBS_TYP_ZRH_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMFT_ZBS_TYP_ZRH(15, "ENUMFT_ZBS_Typ_ZRH", "ZRH"),

	/**
	 * The '<em><b>ENUMFT ZBS Typ ZRHF</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMFT_ZBS_TYP_ZRHF_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMFT_ZBS_TYP_ZRHF(16, "ENUMFT_ZBS_Typ_ZRHF", "ZRHF"),

	/**
	 * The '<em><b>ENUMFT ZBS Typ ZR La</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMFT_ZBS_TYP_ZR_LA_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMFT_ZBS_TYP_ZR_LA(17, "ENUMFT_ZBS_Typ_ZRLa", "ZRLa"),

	/**
	 * The '<em><b>ENUMFT ZBS Typ ZRV</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMFT_ZBS_TYP_ZRV_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMFT_ZBS_TYP_ZRV(18, "ENUMFT_ZBS_Typ_ZRV", "ZRV"),

	/**
	 * The '<em><b>ENUMFT ZBS Typ ZU</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMFT_ZBS_TYP_ZU_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMFT_ZBS_TYP_ZU(19, "ENUMFT_ZBS_Typ_ZU", "Z\u00dc"),

	/**
	 * The '<em><b>ENUMFT ZBS Typ ZV</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMFT_ZBS_TYP_ZV_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMFT_ZBS_TYP_ZV(20, "ENUMFT_ZBS_Typ_ZV", "ZV");

	/**
	 * The '<em><b>ENUMFT ZBS Typ Null</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMFT_ZBS_TYP_NULL
	 * @model name="ENUMFT_ZBS_Typ_Null" literal="Null"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMFT_ZBS_TYP_NULL_VALUE = 0;

	/**
	 * The '<em><b>ENUMFT ZBS Typ RBE</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMFT_ZBS_TYP_RBE
	 * @model name="ENUMFT_ZBS_Typ_RBE" literal="RBE"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMFT_ZBS_TYP_RBE_VALUE = 1;

	/**
	 * The '<em><b>ENUMFT ZBS Typ RS</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMFT_ZBS_TYP_RS
	 * @model name="ENUMFT_ZBS_Typ_RS" literal="RS"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMFT_ZBS_TYP_RS_VALUE = 2;

	/**
	 * The '<em><b>ENUMFT ZBS Typ RSp</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMFT_ZBS_TYP_RSP
	 * @model name="ENUMFT_ZBS_Typ_RSp" literal="RSp"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMFT_ZBS_TYP_RSP_VALUE = 3;

	/**
	 * The '<em><b>ENUMFT ZBS Typ sonstige</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMFT_ZBS_TYP_SONSTIGE
	 * @model name="ENUMFT_ZBS_Typ_sonstige" literal="sonstige"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMFT_ZBS_TYP_SONSTIGE_VALUE = 4;

	/**
	 * The '<em><b>ENUMFT ZBS Typ ZA</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMFT_ZBS_TYP_ZA
	 * @model name="ENUMFT_ZBS_Typ_ZA" literal="ZA"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMFT_ZBS_TYP_ZA_VALUE = 5;

	/**
	 * The '<em><b>ENUMFT ZBS Typ ZBb P</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMFT_ZBS_TYP_ZBB_P
	 * @model name="ENUMFT_ZBS_Typ_ZBbP" literal="ZBbP"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMFT_ZBS_TYP_ZBB_P_VALUE = 6;

	/**
	 * The '<em><b>ENUMFT ZBS Typ ZBP</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMFT_ZBS_TYP_ZBP
	 * @model name="ENUMFT_ZBS_Typ_ZBP" literal="ZBP"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMFT_ZBS_TYP_ZBP_VALUE = 7;

	/**
	 * The '<em><b>ENUMFT ZBS Typ ZF</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMFT_ZBS_TYP_ZF
	 * @model name="ENUMFT_ZBS_Typ_ZF" literal="ZF"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMFT_ZBS_TYP_ZF_VALUE = 8;

	/**
	 * The '<em><b>ENUMFT ZBS Typ ZH</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMFT_ZBS_TYP_ZH
	 * @model name="ENUMFT_ZBS_Typ_ZH" literal="ZH"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMFT_ZBS_TYP_ZH_VALUE = 9;

	/**
	 * The '<em><b>ENUMFT ZBS Typ ZHF</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMFT_ZBS_TYP_ZHF
	 * @model name="ENUMFT_ZBS_Typ_ZHF" literal="ZHF"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMFT_ZBS_TYP_ZHF_VALUE = 10;

	/**
	 * The '<em><b>ENUMFT ZBS Typ ZLi H</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMFT_ZBS_TYP_ZLI_H
	 * @model name="ENUMFT_ZBS_Typ_ZLiH" literal="ZLiH"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMFT_ZBS_TYP_ZLI_H_VALUE = 11;

	/**
	 * The '<em><b>ENUMFT ZBS Typ ZLi V</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMFT_ZBS_TYP_ZLI_V
	 * @model name="ENUMFT_ZBS_Typ_ZLiV" literal="ZLiV"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMFT_ZBS_TYP_ZLI_V_VALUE = 12;

	/**
	 * The '<em><b>ENUMFT ZBS Typ ZO</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMFT_ZBS_TYP_ZO
	 * @model name="ENUMFT_ZBS_Typ_ZO" literal="ZO"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMFT_ZBS_TYP_ZO_VALUE = 13;

	/**
	 * The '<em><b>ENUMFT ZBS Typ ZRE</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMFT_ZBS_TYP_ZRE
	 * @model name="ENUMFT_ZBS_Typ_ZRE" literal="ZRE"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMFT_ZBS_TYP_ZRE_VALUE = 14;

	/**
	 * The '<em><b>ENUMFT ZBS Typ ZRH</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMFT_ZBS_TYP_ZRH
	 * @model name="ENUMFT_ZBS_Typ_ZRH" literal="ZRH"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMFT_ZBS_TYP_ZRH_VALUE = 15;

	/**
	 * The '<em><b>ENUMFT ZBS Typ ZRHF</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMFT_ZBS_TYP_ZRHF
	 * @model name="ENUMFT_ZBS_Typ_ZRHF" literal="ZRHF"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMFT_ZBS_TYP_ZRHF_VALUE = 16;

	/**
	 * The '<em><b>ENUMFT ZBS Typ ZR La</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMFT_ZBS_TYP_ZR_LA
	 * @model name="ENUMFT_ZBS_Typ_ZRLa" literal="ZRLa"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMFT_ZBS_TYP_ZR_LA_VALUE = 17;

	/**
	 * The '<em><b>ENUMFT ZBS Typ ZRV</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMFT_ZBS_TYP_ZRV
	 * @model name="ENUMFT_ZBS_Typ_ZRV" literal="ZRV"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMFT_ZBS_TYP_ZRV_VALUE = 18;

	/**
	 * The '<em><b>ENUMFT ZBS Typ ZU</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMFT_ZBS_TYP_ZU
	 * @model name="ENUMFT_ZBS_Typ_ZU" literal="Z\334"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMFT_ZBS_TYP_ZU_VALUE = 19;

	/**
	 * The '<em><b>ENUMFT ZBS Typ ZV</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMFT_ZBS_TYP_ZV
	 * @model name="ENUMFT_ZBS_Typ_ZV" literal="ZV"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMFT_ZBS_TYP_ZV_VALUE = 20;

	/**
	 * An array of all the '<em><b>ENUMFTZBS Typ</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static final ENUMFTZBSTyp[] VALUES_ARRAY =
		new ENUMFTZBSTyp[] {
			ENUMFT_ZBS_TYP_NULL,
			ENUMFT_ZBS_TYP_RBE,
			ENUMFT_ZBS_TYP_RS,
			ENUMFT_ZBS_TYP_RSP,
			ENUMFT_ZBS_TYP_SONSTIGE,
			ENUMFT_ZBS_TYP_ZA,
			ENUMFT_ZBS_TYP_ZBB_P,
			ENUMFT_ZBS_TYP_ZBP,
			ENUMFT_ZBS_TYP_ZF,
			ENUMFT_ZBS_TYP_ZH,
			ENUMFT_ZBS_TYP_ZHF,
			ENUMFT_ZBS_TYP_ZLI_H,
			ENUMFT_ZBS_TYP_ZLI_V,
			ENUMFT_ZBS_TYP_ZO,
			ENUMFT_ZBS_TYP_ZRE,
			ENUMFT_ZBS_TYP_ZRH,
			ENUMFT_ZBS_TYP_ZRHF,
			ENUMFT_ZBS_TYP_ZR_LA,
			ENUMFT_ZBS_TYP_ZRV,
			ENUMFT_ZBS_TYP_ZU,
			ENUMFT_ZBS_TYP_ZV,
		};

	/**
	 * A public read-only list of all the '<em><b>ENUMFTZBS Typ</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static final List<ENUMFTZBSTyp> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

	/**
	 * Returns the '<em><b>ENUMFTZBS Typ</b></em>' literal with the specified literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param literal the literal.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMFTZBSTyp get(String literal) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMFTZBSTyp result = VALUES_ARRAY[i];
			if (result.toString().equals(literal)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUMFTZBS Typ</b></em>' literal with the specified name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param name the name.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMFTZBSTyp getByName(String name) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMFTZBSTyp result = VALUES_ARRAY[i];
			if (result.getName().equals(name)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUMFTZBS Typ</b></em>' literal with the specified integer value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the integer value.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMFTZBSTyp get(int value) {
		switch (value) {
			case ENUMFT_ZBS_TYP_NULL_VALUE: return ENUMFT_ZBS_TYP_NULL;
			case ENUMFT_ZBS_TYP_RBE_VALUE: return ENUMFT_ZBS_TYP_RBE;
			case ENUMFT_ZBS_TYP_RS_VALUE: return ENUMFT_ZBS_TYP_RS;
			case ENUMFT_ZBS_TYP_RSP_VALUE: return ENUMFT_ZBS_TYP_RSP;
			case ENUMFT_ZBS_TYP_SONSTIGE_VALUE: return ENUMFT_ZBS_TYP_SONSTIGE;
			case ENUMFT_ZBS_TYP_ZA_VALUE: return ENUMFT_ZBS_TYP_ZA;
			case ENUMFT_ZBS_TYP_ZBB_P_VALUE: return ENUMFT_ZBS_TYP_ZBB_P;
			case ENUMFT_ZBS_TYP_ZBP_VALUE: return ENUMFT_ZBS_TYP_ZBP;
			case ENUMFT_ZBS_TYP_ZF_VALUE: return ENUMFT_ZBS_TYP_ZF;
			case ENUMFT_ZBS_TYP_ZH_VALUE: return ENUMFT_ZBS_TYP_ZH;
			case ENUMFT_ZBS_TYP_ZHF_VALUE: return ENUMFT_ZBS_TYP_ZHF;
			case ENUMFT_ZBS_TYP_ZLI_H_VALUE: return ENUMFT_ZBS_TYP_ZLI_H;
			case ENUMFT_ZBS_TYP_ZLI_V_VALUE: return ENUMFT_ZBS_TYP_ZLI_V;
			case ENUMFT_ZBS_TYP_ZO_VALUE: return ENUMFT_ZBS_TYP_ZO;
			case ENUMFT_ZBS_TYP_ZRE_VALUE: return ENUMFT_ZBS_TYP_ZRE;
			case ENUMFT_ZBS_TYP_ZRH_VALUE: return ENUMFT_ZBS_TYP_ZRH;
			case ENUMFT_ZBS_TYP_ZRHF_VALUE: return ENUMFT_ZBS_TYP_ZRHF;
			case ENUMFT_ZBS_TYP_ZR_LA_VALUE: return ENUMFT_ZBS_TYP_ZR_LA;
			case ENUMFT_ZBS_TYP_ZRV_VALUE: return ENUMFT_ZBS_TYP_ZRV;
			case ENUMFT_ZBS_TYP_ZU_VALUE: return ENUMFT_ZBS_TYP_ZU;
			case ENUMFT_ZBS_TYP_ZV_VALUE: return ENUMFT_ZBS_TYP_ZV;
			default: return null;
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final int value;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String name;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String literal;

	/**
	 * Only this class can construct instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private ENUMFTZBSTyp(int value, String name, String literal) {
		this.value = value;
		this.name = name;
		this.literal = literal;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public int getValue() {
	  return value;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getName() {
	  return name;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getLiteral() {
	  return literal;
	}

	/**
	 * Returns the literal value of the enumerator, which is its string representation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		return literal;
	}
	
} //ENUMFTZBSTyp
