/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Balisentechnik_ETCS;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>ENUMMLEVELTR</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Balisentechnik_ETCSPackage#getENUMMLEVELTR()
 * @model extendedMetaData="name='ENUMM_LEVELTR'"
 * @generated
 */
public enum ENUMMLEVELTR implements Enumerator {
	/**
	 * The '<em><b>ENUMM LEVELTR L0</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMM_LEVELTR_L0_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMM_LEVELTR_L0(0, "ENUMM_LEVELTR_L0", "L0"),

	/**
	 * The '<em><b>ENUMM LEVELTR L1</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMM_LEVELTR_L1_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMM_LEVELTR_L1(1, "ENUMM_LEVELTR_L1", "L1"),

	/**
	 * The '<em><b>ENUMM LEVELTR L2</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMM_LEVELTR_L2_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMM_LEVELTR_L2(2, "ENUMM_LEVELTR_L2", "L2"),

	/**
	 * The '<em><b>ENUMM LEVELTR L3</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMM_LEVELTR_L3_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMM_LEVELTR_L3(3, "ENUMM_LEVELTR_L3", "L3"),

	/**
	 * The '<em><b>ENUMM LEVELTR sonstige</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMM_LEVELTR_SONSTIGE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMM_LEVELTR_SONSTIGE(4, "ENUMM_LEVELTR_sonstige", "sonstige"),

	/**
	 * The '<em><b>ENUMM LEVELTR STM</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMM_LEVELTR_STM_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMM_LEVELTR_STM(5, "ENUMM_LEVELTR_STM", "STM");

	/**
	 * The '<em><b>ENUMM LEVELTR L0</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMM_LEVELTR_L0
	 * @model literal="L0"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMM_LEVELTR_L0_VALUE = 0;

	/**
	 * The '<em><b>ENUMM LEVELTR L1</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMM_LEVELTR_L1
	 * @model literal="L1"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMM_LEVELTR_L1_VALUE = 1;

	/**
	 * The '<em><b>ENUMM LEVELTR L2</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMM_LEVELTR_L2
	 * @model literal="L2"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMM_LEVELTR_L2_VALUE = 2;

	/**
	 * The '<em><b>ENUMM LEVELTR L3</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMM_LEVELTR_L3
	 * @model literal="L3"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMM_LEVELTR_L3_VALUE = 3;

	/**
	 * The '<em><b>ENUMM LEVELTR sonstige</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMM_LEVELTR_SONSTIGE
	 * @model name="ENUMM_LEVELTR_sonstige" literal="sonstige"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMM_LEVELTR_SONSTIGE_VALUE = 4;

	/**
	 * The '<em><b>ENUMM LEVELTR STM</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMM_LEVELTR_STM
	 * @model literal="STM"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMM_LEVELTR_STM_VALUE = 5;

	/**
	 * An array of all the '<em><b>ENUMMLEVELTR</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static final ENUMMLEVELTR[] VALUES_ARRAY =
		new ENUMMLEVELTR[] {
			ENUMM_LEVELTR_L0,
			ENUMM_LEVELTR_L1,
			ENUMM_LEVELTR_L2,
			ENUMM_LEVELTR_L3,
			ENUMM_LEVELTR_SONSTIGE,
			ENUMM_LEVELTR_STM,
		};

	/**
	 * A public read-only list of all the '<em><b>ENUMMLEVELTR</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static final List<ENUMMLEVELTR> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

	/**
	 * Returns the '<em><b>ENUMMLEVELTR</b></em>' literal with the specified literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param literal the literal.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMMLEVELTR get(String literal) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMMLEVELTR result = VALUES_ARRAY[i];
			if (result.toString().equals(literal)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUMMLEVELTR</b></em>' literal with the specified name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param name the name.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMMLEVELTR getByName(String name) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMMLEVELTR result = VALUES_ARRAY[i];
			if (result.getName().equals(name)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUMMLEVELTR</b></em>' literal with the specified integer value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the integer value.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMMLEVELTR get(int value) {
		switch (value) {
			case ENUMM_LEVELTR_L0_VALUE: return ENUMM_LEVELTR_L0;
			case ENUMM_LEVELTR_L1_VALUE: return ENUMM_LEVELTR_L1;
			case ENUMM_LEVELTR_L2_VALUE: return ENUMM_LEVELTR_L2;
			case ENUMM_LEVELTR_L3_VALUE: return ENUMM_LEVELTR_L3;
			case ENUMM_LEVELTR_SONSTIGE_VALUE: return ENUMM_LEVELTR_SONSTIGE;
			case ENUMM_LEVELTR_STM_VALUE: return ENUMM_LEVELTR_STM;
			default: return null;
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final int value;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String name;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String literal;

	/**
	 * Only this class can construct instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private ENUMMLEVELTR(int value, String name, String literal) {
		this.value = value;
		this.name = name;
		this.literal = literal;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public int getValue() {
	  return value;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getName() {
	  return name;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getLiteral() {
	  return literal;
	}

	/**
	 * Returns the literal value of the enumerator, which is its string representation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		return literal;
	}
	
} //ENUMMLEVELTR
