/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Balisentechnik_ETCS;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>ENUMNIDSTM</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Balisentechnik_ETCSPackage#getENUMNIDSTM()
 * @model extendedMetaData="name='ENUMNID_STM'"
 * @generated
 */
public enum ENUMNIDSTM implements Enumerator {
	/**
	 * The '<em><b>ENUMNID STM ATB</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMNID_STM_ATB_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMNID_STM_ATB(0, "ENUMNID_STM_ATB", "ATB"),

	/**
	 * The '<em><b>ENUMNID STM Crocodile</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMNID_STM_CROCODILE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMNID_STM_CROCODILE(1, "ENUMNID_STM_Crocodile", "Crocodile"),

	/**
	 * The '<em><b>ENUMNID STM EBICAB 900 Poland </b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMNID_STM_EBICAB_900_POLAND__VALUE
	 * @generated
	 * @ordered
	 */
	ENUMNID_STM_EBICAB_900_POLAND_(2, "ENUMNID_STM_EBICAB_900__Poland_", "EBICAB 900 (Poland)"),

	/**
	 * The '<em><b>ENUMNID STM HVB</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMNID_STM_HVB_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMNID_STM_HVB(3, "ENUMNID_STM_HVB", "HVB"),

	/**
	 * The '<em><b>ENUMNID STM INDUSI</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMNID_STM_INDUSI_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMNID_STM_INDUSI(4, "ENUMNID_STM_INDUSI", "INDUSI"),

	/**
	 * The '<em><b>ENUMNID STM LS</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMNID_STM_LS_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMNID_STM_LS(5, "ENUMNID_STM_LS", "LS"),

	/**
	 * The '<em><b>ENUMNID STM MEMOR IIP</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMNID_STM_MEMOR_IIP_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMNID_STM_MEMOR_IIP(6, "ENUMNID_STM_MEMOR_IIP", "MEMOR II+"),

	/**
	 * The '<em><b>ENUMNID STM PZB LZB</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMNID_STM_PZB_LZB_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMNID_STM_PZB_LZB(7, "ENUMNID_STM_PZB_LZB", "PZB/LZB"),

	/**
	 * The '<em><b>ENUMNID STM RPS</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMNID_STM_RPS_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMNID_STM_RPS(8, "ENUMNID_STM_RPS", "RPS"),

	/**
	 * The '<em><b>ENUMNID STM SHP</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMNID_STM_SHP_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMNID_STM_SHP(9, "ENUMNID_STM_SHP", "SHP"),

	/**
	 * The '<em><b>ENUMNID STM sonstige</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMNID_STM_SONSTIGE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMNID_STM_SONSTIGE(10, "ENUMNID_STM_sonstige", "sonstige"),

	/**
	 * The '<em><b>ENUMNID STM TBL 1</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMNID_STM_TBL_1_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMNID_STM_TBL_1(11, "ENUMNID_STM_TBL_1", "TBL 1"),

	/**
	 * The '<em><b>ENUMNID STM TBL 1P</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMNID_STM_TBL_1P_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMNID_STM_TBL_1P(12, "ENUMNID_STM_TBL_1P", "TBL 1+"),

	/**
	 * The '<em><b>ENUMNID STM TBL 23</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMNID_STM_TBL_23_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMNID_STM_TBL_23(13, "ENUMNID_STM_TBL_2_3", "TBL 2/3"),

	/**
	 * The '<em><b>ENUMNID STM TVM</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMNID_STM_TVM_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMNID_STM_TVM(14, "ENUMNID_STM_TVM", "TVM"),

	/**
	 * The '<em><b>ENUMNID STM ZUB121 Signum</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMNID_STM_ZUB121_SIGNUM_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMNID_STM_ZUB121_SIGNUM(15, "ENUMNID_STM_ZUB121_Signum", "ZUB121/Signum"),

	/**
	 * The '<em><b>ENUMNID STM ZUB123</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMNID_STM_ZUB123_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMNID_STM_ZUB123(16, "ENUMNID_STM_ZUB123", "ZUB123");

	/**
	 * The '<em><b>ENUMNID STM ATB</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMNID_STM_ATB
	 * @model literal="ATB"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMNID_STM_ATB_VALUE = 0;

	/**
	 * The '<em><b>ENUMNID STM Crocodile</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMNID_STM_CROCODILE
	 * @model name="ENUMNID_STM_Crocodile" literal="Crocodile"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMNID_STM_CROCODILE_VALUE = 1;

	/**
	 * The '<em><b>ENUMNID STM EBICAB 900 Poland </b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMNID_STM_EBICAB_900_POLAND_
	 * @model name="ENUMNID_STM_EBICAB_900__Poland_" literal="EBICAB 900 (Poland)"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMNID_STM_EBICAB_900_POLAND__VALUE = 2;

	/**
	 * The '<em><b>ENUMNID STM HVB</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMNID_STM_HVB
	 * @model literal="HVB"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMNID_STM_HVB_VALUE = 3;

	/**
	 * The '<em><b>ENUMNID STM INDUSI</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMNID_STM_INDUSI
	 * @model literal="INDUSI"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMNID_STM_INDUSI_VALUE = 4;

	/**
	 * The '<em><b>ENUMNID STM LS</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMNID_STM_LS
	 * @model literal="LS"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMNID_STM_LS_VALUE = 5;

	/**
	 * The '<em><b>ENUMNID STM MEMOR IIP</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMNID_STM_MEMOR_IIP
	 * @model literal="MEMOR II+"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMNID_STM_MEMOR_IIP_VALUE = 6;

	/**
	 * The '<em><b>ENUMNID STM PZB LZB</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMNID_STM_PZB_LZB
	 * @model literal="PZB/LZB"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMNID_STM_PZB_LZB_VALUE = 7;

	/**
	 * The '<em><b>ENUMNID STM RPS</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMNID_STM_RPS
	 * @model literal="RPS"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMNID_STM_RPS_VALUE = 8;

	/**
	 * The '<em><b>ENUMNID STM SHP</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMNID_STM_SHP
	 * @model literal="SHP"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMNID_STM_SHP_VALUE = 9;

	/**
	 * The '<em><b>ENUMNID STM sonstige</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMNID_STM_SONSTIGE
	 * @model name="ENUMNID_STM_sonstige" literal="sonstige"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMNID_STM_SONSTIGE_VALUE = 10;

	/**
	 * The '<em><b>ENUMNID STM TBL 1</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMNID_STM_TBL_1
	 * @model literal="TBL 1"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMNID_STM_TBL_1_VALUE = 11;

	/**
	 * The '<em><b>ENUMNID STM TBL 1P</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMNID_STM_TBL_1P
	 * @model literal="TBL 1+"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMNID_STM_TBL_1P_VALUE = 12;

	/**
	 * The '<em><b>ENUMNID STM TBL 23</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMNID_STM_TBL_23
	 * @model name="ENUMNID_STM_TBL_2_3" literal="TBL 2/3"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMNID_STM_TBL_23_VALUE = 13;

	/**
	 * The '<em><b>ENUMNID STM TVM</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMNID_STM_TVM
	 * @model literal="TVM"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMNID_STM_TVM_VALUE = 14;

	/**
	 * The '<em><b>ENUMNID STM ZUB121 Signum</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMNID_STM_ZUB121_SIGNUM
	 * @model name="ENUMNID_STM_ZUB121_Signum" literal="ZUB121/Signum"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMNID_STM_ZUB121_SIGNUM_VALUE = 15;

	/**
	 * The '<em><b>ENUMNID STM ZUB123</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMNID_STM_ZUB123
	 * @model literal="ZUB123"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMNID_STM_ZUB123_VALUE = 16;

	/**
	 * An array of all the '<em><b>ENUMNIDSTM</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static final ENUMNIDSTM[] VALUES_ARRAY =
		new ENUMNIDSTM[] {
			ENUMNID_STM_ATB,
			ENUMNID_STM_CROCODILE,
			ENUMNID_STM_EBICAB_900_POLAND_,
			ENUMNID_STM_HVB,
			ENUMNID_STM_INDUSI,
			ENUMNID_STM_LS,
			ENUMNID_STM_MEMOR_IIP,
			ENUMNID_STM_PZB_LZB,
			ENUMNID_STM_RPS,
			ENUMNID_STM_SHP,
			ENUMNID_STM_SONSTIGE,
			ENUMNID_STM_TBL_1,
			ENUMNID_STM_TBL_1P,
			ENUMNID_STM_TBL_23,
			ENUMNID_STM_TVM,
			ENUMNID_STM_ZUB121_SIGNUM,
			ENUMNID_STM_ZUB123,
		};

	/**
	 * A public read-only list of all the '<em><b>ENUMNIDSTM</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static final List<ENUMNIDSTM> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

	/**
	 * Returns the '<em><b>ENUMNIDSTM</b></em>' literal with the specified literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param literal the literal.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMNIDSTM get(String literal) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMNIDSTM result = VALUES_ARRAY[i];
			if (result.toString().equals(literal)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUMNIDSTM</b></em>' literal with the specified name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param name the name.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMNIDSTM getByName(String name) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMNIDSTM result = VALUES_ARRAY[i];
			if (result.getName().equals(name)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUMNIDSTM</b></em>' literal with the specified integer value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the integer value.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMNIDSTM get(int value) {
		switch (value) {
			case ENUMNID_STM_ATB_VALUE: return ENUMNID_STM_ATB;
			case ENUMNID_STM_CROCODILE_VALUE: return ENUMNID_STM_CROCODILE;
			case ENUMNID_STM_EBICAB_900_POLAND__VALUE: return ENUMNID_STM_EBICAB_900_POLAND_;
			case ENUMNID_STM_HVB_VALUE: return ENUMNID_STM_HVB;
			case ENUMNID_STM_INDUSI_VALUE: return ENUMNID_STM_INDUSI;
			case ENUMNID_STM_LS_VALUE: return ENUMNID_STM_LS;
			case ENUMNID_STM_MEMOR_IIP_VALUE: return ENUMNID_STM_MEMOR_IIP;
			case ENUMNID_STM_PZB_LZB_VALUE: return ENUMNID_STM_PZB_LZB;
			case ENUMNID_STM_RPS_VALUE: return ENUMNID_STM_RPS;
			case ENUMNID_STM_SHP_VALUE: return ENUMNID_STM_SHP;
			case ENUMNID_STM_SONSTIGE_VALUE: return ENUMNID_STM_SONSTIGE;
			case ENUMNID_STM_TBL_1_VALUE: return ENUMNID_STM_TBL_1;
			case ENUMNID_STM_TBL_1P_VALUE: return ENUMNID_STM_TBL_1P;
			case ENUMNID_STM_TBL_23_VALUE: return ENUMNID_STM_TBL_23;
			case ENUMNID_STM_TVM_VALUE: return ENUMNID_STM_TVM;
			case ENUMNID_STM_ZUB121_SIGNUM_VALUE: return ENUMNID_STM_ZUB121_SIGNUM;
			case ENUMNID_STM_ZUB123_VALUE: return ENUMNID_STM_ZUB123;
			default: return null;
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final int value;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String name;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String literal;

	/**
	 * Only this class can construct instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private ENUMNIDSTM(int value, String name, String literal) {
		this.value = value;
		this.name = name;
		this.literal = literal;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public int getValue() {
	  return value;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getName() {
	  return name;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getLiteral() {
	  return literal;
	}

	/**
	 * Returns the literal value of the enumerator, which is its string representation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		return literal;
	}
	
} //ENUMNIDSTM
