/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Balisentechnik_ETCS;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>ENUM Spannung Art</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Balisentechnik_ETCSPackage#getENUMSpannungArt()
 * @model extendedMetaData="name='ENUMSpannung_Art'"
 * @generated
 */
public enum ENUMSpannungArt implements Enumerator {
	/**
	 * The '<em><b>ENUM Spannung Art AC 110</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SPANNUNG_ART_AC_110_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_SPANNUNG_ART_AC_110(0, "ENUMSpannung_Art_AC_110", "AC 110"),

	/**
	 * The '<em><b>ENUM Spannung Art AC 230</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SPANNUNG_ART_AC_230_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_SPANNUNG_ART_AC_230(1, "ENUMSpannung_Art_AC_230", "AC 230"),

	/**
	 * The '<em><b>ENUM Spannung Art AC 400</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SPANNUNG_ART_AC_400_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_SPANNUNG_ART_AC_400(2, "ENUMSpannung_Art_AC_400", "AC 400"),

	/**
	 * The '<em><b>ENUM Spannung Art DC 110</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SPANNUNG_ART_DC_110_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_SPANNUNG_ART_DC_110(3, "ENUMSpannung_Art_DC_110", "DC 110"),

	/**
	 * The '<em><b>ENUM Spannung Art DC 136</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SPANNUNG_ART_DC_136_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_SPANNUNG_ART_DC_136(4, "ENUMSpannung_Art_DC_136", "DC 136"),

	/**
	 * The '<em><b>ENUM Spannung Art DC 24</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SPANNUNG_ART_DC_24_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_SPANNUNG_ART_DC_24(5, "ENUMSpannung_Art_DC_24", "DC 24"),

	/**
	 * The '<em><b>ENUM Spannung Art DC 36</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SPANNUNG_ART_DC_36_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_SPANNUNG_ART_DC_36(6, "ENUMSpannung_Art_DC_36", "DC 36"),

	/**
	 * The '<em><b>ENUM Spannung Art DC 48</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SPANNUNG_ART_DC_48_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_SPANNUNG_ART_DC_48(7, "ENUMSpannung_Art_DC_48", "DC 48"),

	/**
	 * The '<em><b>ENUM Spannung Art DC 60</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SPANNUNG_ART_DC_60_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_SPANNUNG_ART_DC_60(8, "ENUMSpannung_Art_DC_60", "DC 60");

	/**
	 * The '<em><b>ENUM Spannung Art AC 110</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SPANNUNG_ART_AC_110
	 * @model name="ENUMSpannung_Art_AC_110" literal="AC 110"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_SPANNUNG_ART_AC_110_VALUE = 0;

	/**
	 * The '<em><b>ENUM Spannung Art AC 230</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SPANNUNG_ART_AC_230
	 * @model name="ENUMSpannung_Art_AC_230" literal="AC 230"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_SPANNUNG_ART_AC_230_VALUE = 1;

	/**
	 * The '<em><b>ENUM Spannung Art AC 400</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SPANNUNG_ART_AC_400
	 * @model name="ENUMSpannung_Art_AC_400" literal="AC 400"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_SPANNUNG_ART_AC_400_VALUE = 2;

	/**
	 * The '<em><b>ENUM Spannung Art DC 110</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SPANNUNG_ART_DC_110
	 * @model name="ENUMSpannung_Art_DC_110" literal="DC 110"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_SPANNUNG_ART_DC_110_VALUE = 3;

	/**
	 * The '<em><b>ENUM Spannung Art DC 136</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SPANNUNG_ART_DC_136
	 * @model name="ENUMSpannung_Art_DC_136" literal="DC 136"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_SPANNUNG_ART_DC_136_VALUE = 4;

	/**
	 * The '<em><b>ENUM Spannung Art DC 24</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SPANNUNG_ART_DC_24
	 * @model name="ENUMSpannung_Art_DC_24" literal="DC 24"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_SPANNUNG_ART_DC_24_VALUE = 5;

	/**
	 * The '<em><b>ENUM Spannung Art DC 36</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SPANNUNG_ART_DC_36
	 * @model name="ENUMSpannung_Art_DC_36" literal="DC 36"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_SPANNUNG_ART_DC_36_VALUE = 6;

	/**
	 * The '<em><b>ENUM Spannung Art DC 48</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SPANNUNG_ART_DC_48
	 * @model name="ENUMSpannung_Art_DC_48" literal="DC 48"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_SPANNUNG_ART_DC_48_VALUE = 7;

	/**
	 * The '<em><b>ENUM Spannung Art DC 60</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SPANNUNG_ART_DC_60
	 * @model name="ENUMSpannung_Art_DC_60" literal="DC 60"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_SPANNUNG_ART_DC_60_VALUE = 8;

	/**
	 * An array of all the '<em><b>ENUM Spannung Art</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static final ENUMSpannungArt[] VALUES_ARRAY =
		new ENUMSpannungArt[] {
			ENUM_SPANNUNG_ART_AC_110,
			ENUM_SPANNUNG_ART_AC_230,
			ENUM_SPANNUNG_ART_AC_400,
			ENUM_SPANNUNG_ART_DC_110,
			ENUM_SPANNUNG_ART_DC_136,
			ENUM_SPANNUNG_ART_DC_24,
			ENUM_SPANNUNG_ART_DC_36,
			ENUM_SPANNUNG_ART_DC_48,
			ENUM_SPANNUNG_ART_DC_60,
		};

	/**
	 * A public read-only list of all the '<em><b>ENUM Spannung Art</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static final List<ENUMSpannungArt> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

	/**
	 * Returns the '<em><b>ENUM Spannung Art</b></em>' literal with the specified literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param literal the literal.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMSpannungArt get(String literal) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMSpannungArt result = VALUES_ARRAY[i];
			if (result.toString().equals(literal)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Spannung Art</b></em>' literal with the specified name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param name the name.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMSpannungArt getByName(String name) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMSpannungArt result = VALUES_ARRAY[i];
			if (result.getName().equals(name)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Spannung Art</b></em>' literal with the specified integer value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the integer value.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMSpannungArt get(int value) {
		switch (value) {
			case ENUM_SPANNUNG_ART_AC_110_VALUE: return ENUM_SPANNUNG_ART_AC_110;
			case ENUM_SPANNUNG_ART_AC_230_VALUE: return ENUM_SPANNUNG_ART_AC_230;
			case ENUM_SPANNUNG_ART_AC_400_VALUE: return ENUM_SPANNUNG_ART_AC_400;
			case ENUM_SPANNUNG_ART_DC_110_VALUE: return ENUM_SPANNUNG_ART_DC_110;
			case ENUM_SPANNUNG_ART_DC_136_VALUE: return ENUM_SPANNUNG_ART_DC_136;
			case ENUM_SPANNUNG_ART_DC_24_VALUE: return ENUM_SPANNUNG_ART_DC_24;
			case ENUM_SPANNUNG_ART_DC_36_VALUE: return ENUM_SPANNUNG_ART_DC_36;
			case ENUM_SPANNUNG_ART_DC_48_VALUE: return ENUM_SPANNUNG_ART_DC_48;
			case ENUM_SPANNUNG_ART_DC_60_VALUE: return ENUM_SPANNUNG_ART_DC_60;
			default: return null;
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final int value;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String name;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String literal;

	/**
	 * Only this class can construct instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private ENUMSpannungArt(int value, String name, String literal) {
		this.value = value;
		this.name = name;
		this.literal = literal;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public int getValue() {
	  return value;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getName() {
	  return name;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getLiteral() {
	  return literal;
	}

	/**
	 * Returns the literal value of the enumerator, which is its string representation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		return literal;
	}
	
} //ENUMSpannungArt
