/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.BasisTypen;

import org.eclipse.emf.ecore.EFactory;

/**
 * <!-- begin-user-doc -->
 * The <b>Factory</b> for the model.
 * It provides a create method for each non-abstract class of the model.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.BasisTypen.BasisTypenPackage
 * @generated
 */
public interface BasisTypenFactory extends EFactory {
	/**
	 * The singleton instance of the factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	BasisTypenFactory eINSTANCE = org.eclipse.set.toolboxmodel.BasisTypen.impl.BasisTypenFactoryImpl.init();

	/**
	 * Returns a new object of class '<em>Bezeichnung Aussenanlage Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bezeichnung Aussenanlage Type Class</em>'.
	 * @generated
	 */
	Bezeichnung_Aussenanlage_TypeClass createBezeichnung_Aussenanlage_TypeClass();

	/**
	 * Returns a new object of class '<em>Bezeichnung Element Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bezeichnung Element Attribute Group</em>'.
	 * @generated
	 */
	Bezeichnung_Element_AttributeGroup createBezeichnung_Element_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Bezeichnung Lageplan Kurz Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bezeichnung Lageplan Kurz Type Class</em>'.
	 * @generated
	 */
	Bezeichnung_Lageplan_Kurz_TypeClass createBezeichnung_Lageplan_Kurz_TypeClass();

	/**
	 * Returns a new object of class '<em>Bezeichnung Lageplan Lang Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bezeichnung Lageplan Lang Type Class</em>'.
	 * @generated
	 */
	Bezeichnung_Lageplan_Lang_TypeClass createBezeichnung_Lageplan_Lang_TypeClass();

	/**
	 * Returns a new object of class '<em>Bezeichnung Tabelle Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bezeichnung Tabelle Type Class</em>'.
	 * @generated
	 */
	Bezeichnung_Tabelle_TypeClass createBezeichnung_Tabelle_TypeClass();

	/**
	 * Returns a new object of class '<em>Datum Auslieferung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Datum Auslieferung Type Class</em>'.
	 * @generated
	 */
	Datum_Auslieferung_TypeClass createDatum_Auslieferung_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Bearbeitungsvermerk Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Bearbeitungsvermerk Type Class</em>'.
	 * @generated
	 */
	ID_Bearbeitungsvermerk_TypeClass createID_Bearbeitungsvermerk_TypeClass();

	/**
	 * Returns a new object of class '<em>Kennzahl Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Kennzahl Type Class</em>'.
	 * @generated
	 */
	Kennzahl_TypeClass createKennzahl_TypeClass();

	/**
	 * Returns a new object of class '<em>Oertlicher Elementname Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Oertlicher Elementname Type Class</em>'.
	 * @generated
	 */
	Oertlicher_Elementname_TypeClass createOertlicher_Elementname_TypeClass();

	/**
	 * Returns a new object of class '<em>Pruefmerkmale Daten Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Pruefmerkmale Daten Attribute Group</em>'.
	 * @generated
	 */
	Pruefmerkmale_Daten_AttributeGroup createPruefmerkmale_Daten_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Pruefsumme Art Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Pruefsumme Art Type Class</em>'.
	 * @generated
	 */
	Pruefsumme_Art_TypeClass createPruefsumme_Art_TypeClass();

	/**
	 * Returns a new object of class '<em>Pruefsumme Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Pruefsumme Type Class</em>'.
	 * @generated
	 */
	Pruefsumme_TypeClass createPruefsumme_TypeClass();

	/**
	 * Returns a new object of class '<em>Version Auslieferung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Version Auslieferung Type Class</em>'.
	 * @generated
	 */
	Version_Auslieferung_TypeClass createVersion_Auslieferung_TypeClass();

	/**
	 * Returns a new object of class '<em>Zeiger Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Zeiger Type Class</em>'.
	 * @generated
	 */
	Zeiger_TypeClass createZeiger_TypeClass();

	/**
	 * Returns the package supported by this factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the package supported by this factory.
	 * @generated
	 */
	BasisTypenPackage getBasisTypenPackage();

} //BasisTypenFactory
