/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.BasisTypen;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>ENUM Anwendungssystem</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.BasisTypen.BasisTypenPackage#getENUMAnwendungssystem()
 * @model extendedMetaData="name='ENUMAnwendungssystem'"
 * @generated
 */
public enum ENUMAnwendungssystem implements Enumerator {
	/**
	 * The '<em><b>ENUM Anwendungssystem ESG</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANWENDUNGSSYSTEM_ESG_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_ANWENDUNGSSYSTEM_ESG(0, "ENUMAnwendungssystem_ESG", "ESG"),

	/**
	 * The '<em><b>ENUM Anwendungssystem GNT</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANWENDUNGSSYSTEM_GNT_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_ANWENDUNGSSYSTEM_GNT(1, "ENUMAnwendungssystem_GNT", "GNT"),

	/**
	 * The '<em><b>ENUM Anwendungssystem L2</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANWENDUNGSSYSTEM_L2_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_ANWENDUNGSSYSTEM_L2(2, "ENUMAnwendungssystem_L2", "L2"),

	/**
	 * The '<em><b>ENUM Anwendungssystem L2o S</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANWENDUNGSSYSTEM_L2O_S_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_ANWENDUNGSSYSTEM_L2O_S(3, "ENUMAnwendungssystem_L2oS", "L2oS"),

	/**
	 * The '<em><b>ENUM Anwendungssystem LZB</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANWENDUNGSSYSTEM_LZB_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_ANWENDUNGSSYSTEM_LZB(4, "ENUMAnwendungssystem_LZB", "LZB"),

	/**
	 * The '<em><b>ENUM Anwendungssystem ohne</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANWENDUNGSSYSTEM_OHNE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_ANWENDUNGSSYSTEM_OHNE(5, "ENUMAnwendungssystem_ohne", "ohne"),

	/**
	 * The '<em><b>ENUM Anwendungssystem PZB</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANWENDUNGSSYSTEM_PZB_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_ANWENDUNGSSYSTEM_PZB(6, "ENUMAnwendungssystem_PZB", "PZB"),

	/**
	 * The '<em><b>ENUM Anwendungssystem sonstige</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANWENDUNGSSYSTEM_SONSTIGE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_ANWENDUNGSSYSTEM_SONSTIGE(7, "ENUMAnwendungssystem_sonstige", "sonstige"),

	/**
	 * The '<em><b>ENUM Anwendungssystem ZBS</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANWENDUNGSSYSTEM_ZBS_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_ANWENDUNGSSYSTEM_ZBS(8, "ENUMAnwendungssystem_ZBS", "ZBS");

	/**
	 * The '<em><b>ENUM Anwendungssystem ESG</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANWENDUNGSSYSTEM_ESG
	 * @model name="ENUMAnwendungssystem_ESG" literal="ESG"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_ANWENDUNGSSYSTEM_ESG_VALUE = 0;

	/**
	 * The '<em><b>ENUM Anwendungssystem GNT</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANWENDUNGSSYSTEM_GNT
	 * @model name="ENUMAnwendungssystem_GNT" literal="GNT"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_ANWENDUNGSSYSTEM_GNT_VALUE = 1;

	/**
	 * The '<em><b>ENUM Anwendungssystem L2</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANWENDUNGSSYSTEM_L2
	 * @model name="ENUMAnwendungssystem_L2" literal="L2"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_ANWENDUNGSSYSTEM_L2_VALUE = 2;

	/**
	 * The '<em><b>ENUM Anwendungssystem L2o S</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANWENDUNGSSYSTEM_L2O_S
	 * @model name="ENUMAnwendungssystem_L2oS" literal="L2oS"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_ANWENDUNGSSYSTEM_L2O_S_VALUE = 3;

	/**
	 * The '<em><b>ENUM Anwendungssystem LZB</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANWENDUNGSSYSTEM_LZB
	 * @model name="ENUMAnwendungssystem_LZB" literal="LZB"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_ANWENDUNGSSYSTEM_LZB_VALUE = 4;

	/**
	 * The '<em><b>ENUM Anwendungssystem ohne</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANWENDUNGSSYSTEM_OHNE
	 * @model name="ENUMAnwendungssystem_ohne" literal="ohne"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_ANWENDUNGSSYSTEM_OHNE_VALUE = 5;

	/**
	 * The '<em><b>ENUM Anwendungssystem PZB</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANWENDUNGSSYSTEM_PZB
	 * @model name="ENUMAnwendungssystem_PZB" literal="PZB"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_ANWENDUNGSSYSTEM_PZB_VALUE = 6;

	/**
	 * The '<em><b>ENUM Anwendungssystem sonstige</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANWENDUNGSSYSTEM_SONSTIGE
	 * @model name="ENUMAnwendungssystem_sonstige" literal="sonstige"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_ANWENDUNGSSYSTEM_SONSTIGE_VALUE = 7;

	/**
	 * The '<em><b>ENUM Anwendungssystem ZBS</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANWENDUNGSSYSTEM_ZBS
	 * @model name="ENUMAnwendungssystem_ZBS" literal="ZBS"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_ANWENDUNGSSYSTEM_ZBS_VALUE = 8;

	/**
	 * An array of all the '<em><b>ENUM Anwendungssystem</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static final ENUMAnwendungssystem[] VALUES_ARRAY =
		new ENUMAnwendungssystem[] {
			ENUM_ANWENDUNGSSYSTEM_ESG,
			ENUM_ANWENDUNGSSYSTEM_GNT,
			ENUM_ANWENDUNGSSYSTEM_L2,
			ENUM_ANWENDUNGSSYSTEM_L2O_S,
			ENUM_ANWENDUNGSSYSTEM_LZB,
			ENUM_ANWENDUNGSSYSTEM_OHNE,
			ENUM_ANWENDUNGSSYSTEM_PZB,
			ENUM_ANWENDUNGSSYSTEM_SONSTIGE,
			ENUM_ANWENDUNGSSYSTEM_ZBS,
		};

	/**
	 * A public read-only list of all the '<em><b>ENUM Anwendungssystem</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static final List<ENUMAnwendungssystem> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

	/**
	 * Returns the '<em><b>ENUM Anwendungssystem</b></em>' literal with the specified literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param literal the literal.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMAnwendungssystem get(String literal) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMAnwendungssystem result = VALUES_ARRAY[i];
			if (result.toString().equals(literal)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Anwendungssystem</b></em>' literal with the specified name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param name the name.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMAnwendungssystem getByName(String name) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMAnwendungssystem result = VALUES_ARRAY[i];
			if (result.getName().equals(name)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Anwendungssystem</b></em>' literal with the specified integer value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the integer value.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMAnwendungssystem get(int value) {
		switch (value) {
			case ENUM_ANWENDUNGSSYSTEM_ESG_VALUE: return ENUM_ANWENDUNGSSYSTEM_ESG;
			case ENUM_ANWENDUNGSSYSTEM_GNT_VALUE: return ENUM_ANWENDUNGSSYSTEM_GNT;
			case ENUM_ANWENDUNGSSYSTEM_L2_VALUE: return ENUM_ANWENDUNGSSYSTEM_L2;
			case ENUM_ANWENDUNGSSYSTEM_L2O_S_VALUE: return ENUM_ANWENDUNGSSYSTEM_L2O_S;
			case ENUM_ANWENDUNGSSYSTEM_LZB_VALUE: return ENUM_ANWENDUNGSSYSTEM_LZB;
			case ENUM_ANWENDUNGSSYSTEM_OHNE_VALUE: return ENUM_ANWENDUNGSSYSTEM_OHNE;
			case ENUM_ANWENDUNGSSYSTEM_PZB_VALUE: return ENUM_ANWENDUNGSSYSTEM_PZB;
			case ENUM_ANWENDUNGSSYSTEM_SONSTIGE_VALUE: return ENUM_ANWENDUNGSSYSTEM_SONSTIGE;
			case ENUM_ANWENDUNGSSYSTEM_ZBS_VALUE: return ENUM_ANWENDUNGSSYSTEM_ZBS;
			default: return null;
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final int value;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String name;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String literal;

	/**
	 * Only this class can construct instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private ENUMAnwendungssystem(int value, String name, String literal) {
		this.value = value;
		this.name = name;
		this.literal = literal;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public int getValue() {
	  return value;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getName() {
	  return name;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getLiteral() {
	  return literal;
	}

	/**
	 * Returns the literal value of the enumerator, which is its string representation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		return literal;
	}
	
} //ENUMAnwendungssystem
