/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Basisobjekte;

import org.eclipse.emf.ecore.EFactory;

/**
 * <!-- begin-user-doc -->
 * The <b>Factory</b> for the model.
 * It provides a create method for each non-abstract class of the model.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Basisobjekte.BasisobjektePackage
 * @generated
 */
public interface BasisobjekteFactory extends EFactory {
	/**
	 * The singleton instance of the factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	BasisobjekteFactory eINSTANCE = org.eclipse.set.toolboxmodel.Basisobjekte.impl.BasisobjekteFactoryImpl.init();

	/**
	 * Returns a new object of class '<em>Abstand Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Abstand Type Class</em>'.
	 * @generated
	 */
	Abstand_TypeClass createAbstand_TypeClass();

	/**
	 * Returns a new object of class '<em>Anhang</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Anhang</em>'.
	 * @generated
	 */
	Anhang createAnhang();

	/**
	 * Returns a new object of class '<em>Anhang Allg Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Anhang Allg Attribute Group</em>'.
	 * @generated
	 */
	Anhang_Allg_AttributeGroup createAnhang_Allg_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Anhang Art Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Anhang Art Type Class</em>'.
	 * @generated
	 */
	Anhang_Art_TypeClass createAnhang_Art_TypeClass();

	/**
	 * Returns a new object of class '<em>Basis Objekt Allg Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Basis Objekt Allg Attribute Group</em>'.
	 * @generated
	 */
	Basis_Objekt_Allg_AttributeGroup createBasis_Objekt_Allg_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Bearbeitungsvermerk</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bearbeitungsvermerk</em>'.
	 * @generated
	 */
	Bearbeitungsvermerk createBearbeitungsvermerk();

	/**
	 * Returns a new object of class '<em>Bearbeitungsvermerk Allg Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bearbeitungsvermerk Allg Attribute Group</em>'.
	 * @generated
	 */
	Bearbeitungsvermerk_Allg_AttributeGroup createBearbeitungsvermerk_Allg_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Bearbeitungsvermerk Rolle Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bearbeitungsvermerk Rolle Type Class</em>'.
	 * @generated
	 */
	Bearbeitungsvermerk_Rolle_TypeClass createBearbeitungsvermerk_Rolle_TypeClass();

	/**
	 * Returns a new object of class '<em>Begrenzung AType Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Begrenzung AType Class</em>'.
	 * @generated
	 */
	Begrenzung_A_TypeClass createBegrenzung_A_TypeClass();

	/**
	 * Returns a new object of class '<em>Begrenzung BType Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Begrenzung BType Class</em>'.
	 * @generated
	 */
	Begrenzung_B_TypeClass createBegrenzung_B_TypeClass();

	/**
	 * Returns a new object of class '<em>Bereich Objekt Teilbereich Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bereich Objekt Teilbereich Attribute Group</em>'.
	 * @generated
	 */
	Bereich_Objekt_Teilbereich_AttributeGroup createBereich_Objekt_Teilbereich_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Beschreibung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Beschreibung Type Class</em>'.
	 * @generated
	 */
	Beschreibung_TypeClass createBeschreibung_TypeClass();

	/**
	 * Returns a new object of class '<em>Bestandsrelevanz Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bestandsrelevanz Type Class</em>'.
	 * @generated
	 */
	Bestandsrelevanz_TypeClass createBestandsrelevanz_TypeClass();

	/**
	 * Returns a new object of class '<em>Bestandsschutz Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bestandsschutz Type Class</em>'.
	 * @generated
	 */
	Bestandsschutz_TypeClass createBestandsschutz_TypeClass();

	/**
	 * Returns a new object of class '<em>BV Darstellung In Plan Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>BV Darstellung In Plan Type Class</em>'.
	 * @generated
	 */
	BV_Darstellung_In_Plan_TypeClass createBV_Darstellung_In_Plan_TypeClass();

	/**
	 * Returns a new object of class '<em>BV Kategorie Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>BV Kategorie Type Class</em>'.
	 * @generated
	 */
	BV_Kategorie_TypeClass createBV_Kategorie_TypeClass();

	/**
	 * Returns a new object of class '<em>Dateiname Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Dateiname Type Class</em>'.
	 * @generated
	 */
	Dateiname_TypeClass createDateiname_TypeClass();

	/**
	 * Returns a new object of class '<em>Dateityp Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Dateityp Type Class</em>'.
	 * @generated
	 */
	Dateityp_TypeClass createDateityp_TypeClass();

	/**
	 * Returns a new object of class '<em>Datum Regelwerk Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Datum Regelwerk Type Class</em>'.
	 * @generated
	 */
	Datum_Regelwerk_TypeClass createDatum_Regelwerk_TypeClass();

	/**
	 * Returns a new object of class '<em>DB GDI Referenz Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>DB GDI Referenz Type Class</em>'.
	 * @generated
	 */
	DB_GDI_Referenz_TypeClass createDB_GDI_Referenz_TypeClass();

	/**
	 * Returns a new object of class '<em>Identitaet Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Identitaet Type Class</em>'.
	 * @generated
	 */
	Identitaet_TypeClass createIdentitaet_TypeClass();

	/**
	 * Returns a new object of class '<em>Km Massgebend Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Km Massgebend Type Class</em>'.
	 * @generated
	 */
	Km_Massgebend_TypeClass createKm_Massgebend_TypeClass();

	/**
	 * Returns a new object of class '<em>Kommentar Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Kommentar Type Class</em>'.
	 * @generated
	 */
	Kommentar_TypeClass createKommentar_TypeClass();

	/**
	 * Returns a new object of class '<em>Kurztext Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Kurztext Type Class</em>'.
	 * @generated
	 */
	Kurztext_TypeClass createKurztext_TypeClass();

	/**
	 * Returns a new object of class '<em>Lieferobjekt</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Lieferobjekt</em>'.
	 * @generated
	 */
	Lieferobjekt createLieferobjekt();

	/**
	 * Returns a new object of class '<em>LO Ausgabestand Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>LO Ausgabestand Type Class</em>'.
	 * @generated
	 */
	LO_Ausgabestand_TypeClass createLO_Ausgabestand_TypeClass();

	/**
	 * Returns a new object of class '<em>LO Datum Herstellung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>LO Datum Herstellung Type Class</em>'.
	 * @generated
	 */
	LO_Datum_Herstellung_TypeClass createLO_Datum_Herstellung_TypeClass();

	/**
	 * Returns a new object of class '<em>LO DB Freigabe Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>LO DB Freigabe Type Class</em>'.
	 * @generated
	 */
	LO_DB_Freigabe_TypeClass createLO_DB_Freigabe_TypeClass();

	/**
	 * Returns a new object of class '<em>LO EMA Nr Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>LO EMA Nr Type Class</em>'.
	 * @generated
	 */
	LO_EMA_Nr_TypeClass createLO_EMA_Nr_TypeClass();

	/**
	 * Returns a new object of class '<em>LO Ersatz Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>LO Ersatz Type Class</em>'.
	 * @generated
	 */
	LO_Ersatz_TypeClass createLO_Ersatz_TypeClass();

	/**
	 * Returns a new object of class '<em>LO Firmensachnummer Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>LO Firmensachnummer Type Class</em>'.
	 * @generated
	 */
	LO_Firmensachnummer_TypeClass createLO_Firmensachnummer_TypeClass();

	/**
	 * Returns a new object of class '<em>LO Material Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>LO Material Attribute Group</em>'.
	 * @generated
	 */
	LO_Material_AttributeGroup createLO_Material_AttributeGroup();

	/**
	 * Returns a new object of class '<em>LO Seriennummer Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>LO Seriennummer Type Class</em>'.
	 * @generated
	 */
	LO_Seriennummer_TypeClass createLO_Seriennummer_TypeClass();

	/**
	 * Returns a new object of class '<em>LST Objekt Art Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>LST Objekt Art Type Class</em>'.
	 * @generated
	 */
	LST_Objekt_Art_TypeClass createLST_Objekt_Art_TypeClass();

	/**
	 * Returns a new object of class '<em>Objektreferenzen Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Objektreferenzen Attribute Group</em>'.
	 * @generated
	 */
	Objektreferenzen_AttributeGroup createObjektreferenzen_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Objektzustand Besonders Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Objektzustand Besonders Type Class</em>'.
	 * @generated
	 */
	Objektzustand_Besonders_TypeClass createObjektzustand_Besonders_TypeClass();

	/**
	 * Returns a new object of class '<em>Proxy Objekt</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Proxy Objekt</em>'.
	 * @generated
	 */
	Proxy_Objekt createProxy_Objekt();

	/**
	 * Returns a new object of class '<em>Punkt Objekt Strecke Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Punkt Objekt Strecke Attribute Group</em>'.
	 * @generated
	 */
	Punkt_Objekt_Strecke_AttributeGroup createPunkt_Objekt_Strecke_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Punkt Objekt TOP Kante Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Punkt Objekt TOP Kante Attribute Group</em>'.
	 * @generated
	 */
	Punkt_Objekt_TOP_Kante_AttributeGroup createPunkt_Objekt_TOP_Kante_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Richtungsbezug Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Richtungsbezug Type Class</em>'.
	 * @generated
	 */
	Richtungsbezug_TypeClass createRichtungsbezug_TypeClass();

	/**
	 * Returns a new object of class '<em>Seitliche Lage Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Seitliche Lage Type Class</em>'.
	 * @generated
	 */
	Seitliche_Lage_TypeClass createSeitliche_Lage_TypeClass();

	/**
	 * Returns a new object of class '<em>Seitlicher Abstand Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Seitlicher Abstand Type Class</em>'.
	 * @generated
	 */
	Seitlicher_Abstand_TypeClass createSeitlicher_Abstand_TypeClass();

	/**
	 * Returns a new object of class '<em>Strecke Km Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Strecke Km Type Class</em>'.
	 * @generated
	 */
	Strecke_Km_TypeClass createStrecke_Km_TypeClass();

	/**
	 * Returns a new object of class '<em>Technischer Platz Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Technischer Platz Type Class</em>'.
	 * @generated
	 */
	Technischer_Platz_TypeClass createTechnischer_Platz_TypeClass();

	/**
	 * Returns a new object of class '<em>Wirkrichtung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Wirkrichtung Type Class</em>'.
	 * @generated
	 */
	Wirkrichtung_TypeClass createWirkrichtung_TypeClass();

	/**
	 * Returns a new object of class '<em>Zeit Bearbeitungsvermerk Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Zeit Bearbeitungsvermerk Type Class</em>'.
	 * @generated
	 */
	Zeit_Bearbeitungsvermerk_TypeClass createZeit_Bearbeitungsvermerk_TypeClass();

	/**
	 * Returns the package supported by this factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the package supported by this factory.
	 * @generated
	 */
	BasisobjektePackage getBasisobjektePackage();

} //BasisobjekteFactory
