/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Basisobjekte;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>ENUM Anhang Art</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Basisobjekte.BasisobjektePackage#getENUMAnhangArt()
 * @model extendedMetaData="name='ENUMAnhang_Art'"
 * @generated
 */
public enum ENUMAnhangArt implements Enumerator {
	/**
	 * The '<em><b>ENUM Anhang Art Abnahmeniederschrift</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_ABNAHMENIEDERSCHRIFT_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_ANHANG_ART_ABNAHMENIEDERSCHRIFT(0, "ENUMAnhang_Art_Abnahmeniederschrift", "Abnahmeniederschrift"),

	/**
	 * The '<em><b>ENUM Anhang Art Anbindung IB2</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_ANBINDUNG_IB2_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_ANHANG_ART_ANBINDUNG_IB2(1, "ENUMAnhang_Art_Anbindung_IB2", "Anbindung_IB2"),

	/**
	 * The '<em><b>ENUM Anhang Art Anbindung IB3</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_ANBINDUNG_IB3_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_ANHANG_ART_ANBINDUNG_IB3(2, "ENUMAnhang_Art_Anbindung_IB3", "Anbindung_IB3"),

	/**
	 * The '<em><b>ENUM Anhang Art BAST</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_BAST_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_ANHANG_ART_BAST(3, "ENUMAnhang_Art_BAST", "BAST"),

	/**
	 * The '<em><b>ENUM Anhang Art BELU</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_BELU_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_ANHANG_ART_BELU(4, "ENUMAnhang_Art_BELU", "BELU"),

	/**
	 * The '<em><b>ENUM Anhang Art Benutzeroberflaeche</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_BENUTZEROBERFLAECHE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_ANHANG_ART_BENUTZEROBERFLAECHE(5, "ENUMAnhang_Art_Benutzeroberflaeche", "Benutzeroberflaeche"),

	/**
	 * The '<em><b>ENUM Anhang Art Bestaetig Gleichstellung</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_BESTAETIG_GLEICHSTELLUNG_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_ANHANG_ART_BESTAETIG_GLEICHSTELLUNG(6, "ENUMAnhang_Art_Bestaetig_Gleichstellung", "Bestaetig_Gleichstellung"),

	/**
	 * The '<em><b>ENUM Anhang Art Bestaetig Qualitaetspruefung</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_BESTAETIG_QUALITAETSPRUEFUNG_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_ANHANG_ART_BESTAETIG_QUALITAETSPRUEFUNG(7, "ENUMAnhang_Art_Bestaetig_Qualitaetspruefung", "Bestaetig_Qualitaetspruefung"),

	/**
	 * The '<em><b>ENUM Anhang Art Bestaetig Uebernahme</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_BESTAETIG_UEBERNAHME_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_ANHANG_ART_BESTAETIG_UEBERNAHME(8, "ENUMAnhang_Art_Bestaetig_Uebernahme", "Bestaetig_Uebernahme"),

	/**
	 * The '<em><b>ENUM Anhang Art Freigabe Bvb</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_FREIGABE_BVB_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_ANHANG_ART_FREIGABE_BVB(9, "ENUMAnhang_Art_Freigabe_Bvb", "Freigabe_Bvb"),

	/**
	 * The '<em><b>ENUM Anhang Art Genehmigung AG Bh Bhv</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_GENEHMIGUNG_AG_BH_BHV_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_ANHANG_ART_GENEHMIGUNG_AG_BH_BHV(10, "ENUMAnhang_Art_Genehmigung_AG_Bh_Bhv", "Genehmigung_AG_Bh_Bhv"),

	/**
	 * The '<em><b>ENUM Anhang Art Material Besonders</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_MATERIAL_BESONDERS_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_ANHANG_ART_MATERIAL_BESONDERS(11, "ENUMAnhang_Art_Material_Besonders", "Material_Besonders"),

	/**
	 * The '<em><b>ENUM Anhang Art Uebertragungswegeplan</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_UEBERTRAGUNGSWEGEPLAN_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_ANHANG_ART_UEBERTRAGUNGSWEGEPLAN(12, "ENUMAnhang_Art_Uebertragungswegeplan", "Uebertragungswegeplan"),

	/**
	 * The '<em><b>ENUM Anhang Art DWS</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_DWS_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_ANHANG_ART_DWS(13, "ENUMAnhang_Art_DWS", "DWS"),

	/**
	 * The '<em><b>ENUM Anhang Art Erlaeuterungsbericht</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_ERLAEUTERUNGSBERICHT_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_ANHANG_ART_ERLAEUTERUNGSBERICHT(14, "ENUMAnhang_Art_Erlaeuterungsbericht", "Erlaeuterungsbericht"),

	/**
	 * The '<em><b>ENUM Anhang Art GEO</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_GEO_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_ANHANG_ART_GEO(15, "ENUMAnhang_Art_GEO", "GEO"),

	/**
	 * The '<em><b>ENUM Anhang Art INA</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_INA_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_ANHANG_ART_INA(16, "ENUMAnhang_Art_INA", "INA"),

	/**
	 * The '<em><b>ENUM Anhang Art Moebelaufstellplan Aufriss</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_MOEBELAUFSTELLPLAN_AUFRISS_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_ANHANG_ART_MOEBELAUFSTELLPLAN_AUFRISS(17, "ENUMAnhang_Art_Moebelaufstellplan_Aufriss", "Moebelaufstellplan_Aufriss"),

	/**
	 * The '<em><b>ENUM Anhang Art Moebelaufstellplan Grundriss</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_MOEBELAUFSTELLPLAN_GRUNDRISS_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_ANHANG_ART_MOEBELAUFSTELLPLAN_GRUNDRISS(18, "ENUMAnhang_Art_Moebelaufstellplan_Grundriss", "Moebelaufstellplan_Grundriss"),

	/**
	 * The '<em><b>ENUM Anhang Art Monitoraufteilung</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_MONITORAUFTEILUNG_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_ANHANG_ART_MONITORAUFTEILUNG(19, "ENUMAnhang_Art_Monitoraufteilung", "Monitoraufteilung"),

	/**
	 * The '<em><b>ENUM Anhang Art Planverzeichnis</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_PLANVERZEICHNIS_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_ANHANG_ART_PLANVERZEICHNIS(20, "ENUMAnhang_Art_Planverzeichnis", "Planverzeichnis"),

	/**
	 * The '<em><b>ENUM Anhang Art Pruefbericht</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_PRUEFBERICHT_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_ANHANG_ART_PRUEFBERICHT(21, "ENUMAnhang_Art_Pruefbericht", "Pruefbericht"),

	/**
	 * The '<em><b>ENUM Anhang Art Raumplan Bedienraeume</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_RAUMPLAN_BEDIENRAEUME_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_ANHANG_ART_RAUMPLAN_BEDIENRAEUME(22, "ENUMAnhang_Art_Raumplan_Bedienraeume", "Raumplan_Bedienraeume"),

	/**
	 * The '<em><b>ENUM Anhang Art Raumplan Rechnerraeume</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_RAUMPLAN_RECHNERRAEUME_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_ANHANG_ART_RAUMPLAN_RECHNERRAEUME(23, "ENUMAnhang_Art_Raumplan_Rechnerraeume", "Raumplan_Rechnerraeume"),

	/**
	 * The '<em><b>ENUM Anhang Art Regelwerksstand Besonders</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_REGELWERKSSTAND_BESONDERS_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_ANHANG_ART_REGELWERKSSTAND_BESONDERS(24, "ENUMAnhang_Art_Regelwerksstand_Besonders", "Regelwerksstand_Besonders"),

	/**
	 * The '<em><b>ENUM Anhang Art Richtungssinn</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_RICHTUNGSSINN_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_ANHANG_ART_RICHTUNGSSINN(25, "ENUMAnhang_Art_Richtungssinn", "Richtungssinn"),

	/**
	 * The '<em><b>ENUM Anhang Art sonstige</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_SONSTIGE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_ANHANG_ART_SONSTIGE(26, "ENUMAnhang_Art_sonstige", "sonstige"),

	/**
	 * The '<em><b>ENUM Anhang Art Steuerbezirksuebersicht</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_STEUERBEZIRKSUEBERSICHT_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_ANHANG_ART_STEUERBEZIRKSUEBERSICHT(27, "ENUMAnhang_Art_Steuerbezirksuebersicht", "Steuerbezirksuebersicht"),

	/**
	 * The '<em><b>ENUM Anhang Art Ui G</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_UI_G_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_ANHANG_ART_UI_G(28, "ENUMAnhang_Art_UiG", "UiG"),

	/**
	 * The '<em><b>ENUM Anhang Art Vorgabe</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_VORGABE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_ANHANG_ART_VORGABE(29, "ENUMAnhang_Art_Vorgabe", "Vorgabe"),

	/**
	 * The '<em><b>ENUM Anhang Art Vorgabe GBT</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_VORGABE_GBT_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_ANHANG_ART_VORGABE_GBT(30, "ENUMAnhang_Art_Vorgabe_GBT", "Vorgabe_GBT"),

	/**
	 * The '<em><b>ENUM Anhang Art Vz G</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_VZ_G_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_ANHANG_ART_VZ_G(31, "ENUMAnhang_Art_VzG", "VzG"),

	/**
	 * The '<em><b>ENUM Anhang Art Zi E</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_ZI_E_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_ANHANG_ART_ZI_E(32, "ENUMAnhang_Art_ZiE", "ZiE"),

	/**
	 * The '<em><b>ENUM Anhang Art ZN Raumplan Bedienraum</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_ZN_RAUMPLAN_BEDIENRAUM_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_ANHANG_ART_ZN_RAUMPLAN_BEDIENRAUM(33, "ENUMAnhang_Art_ZN_Raumplan_Bedienraum", "ZN_Raumplan_Bedienraum"),

	/**
	 * The '<em><b>ENUM Anhang Art ZN Raumplan Rechnerraum</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_ZN_RAUMPLAN_RECHNERRAUM_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_ANHANG_ART_ZN_RAUMPLAN_RECHNERRAUM(34, "ENUMAnhang_Art_ZN_Raumplan_Rechnerraum", "ZN_Raumplan_Rechnerraum");

	/**
	 * The '<em><b>ENUM Anhang Art Abnahmeniederschrift</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_ABNAHMENIEDERSCHRIFT
	 * @model name="ENUMAnhang_Art_Abnahmeniederschrift" literal="Abnahmeniederschrift"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_ANHANG_ART_ABNAHMENIEDERSCHRIFT_VALUE = 0;

	/**
	 * The '<em><b>ENUM Anhang Art Anbindung IB2</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_ANBINDUNG_IB2
	 * @model name="ENUMAnhang_Art_Anbindung_IB2" literal="Anbindung_IB2"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_ANHANG_ART_ANBINDUNG_IB2_VALUE = 1;

	/**
	 * The '<em><b>ENUM Anhang Art Anbindung IB3</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_ANBINDUNG_IB3
	 * @model name="ENUMAnhang_Art_Anbindung_IB3" literal="Anbindung_IB3"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_ANHANG_ART_ANBINDUNG_IB3_VALUE = 2;

	/**
	 * The '<em><b>ENUM Anhang Art BAST</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_BAST
	 * @model name="ENUMAnhang_Art_BAST" literal="BAST"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_ANHANG_ART_BAST_VALUE = 3;

	/**
	 * The '<em><b>ENUM Anhang Art BELU</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_BELU
	 * @model name="ENUMAnhang_Art_BELU" literal="BELU"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_ANHANG_ART_BELU_VALUE = 4;

	/**
	 * The '<em><b>ENUM Anhang Art Benutzeroberflaeche</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_BENUTZEROBERFLAECHE
	 * @model name="ENUMAnhang_Art_Benutzeroberflaeche" literal="Benutzeroberflaeche"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_ANHANG_ART_BENUTZEROBERFLAECHE_VALUE = 5;

	/**
	 * The '<em><b>ENUM Anhang Art Bestaetig Gleichstellung</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_BESTAETIG_GLEICHSTELLUNG
	 * @model name="ENUMAnhang_Art_Bestaetig_Gleichstellung" literal="Bestaetig_Gleichstellung"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_ANHANG_ART_BESTAETIG_GLEICHSTELLUNG_VALUE = 6;

	/**
	 * The '<em><b>ENUM Anhang Art Bestaetig Qualitaetspruefung</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_BESTAETIG_QUALITAETSPRUEFUNG
	 * @model name="ENUMAnhang_Art_Bestaetig_Qualitaetspruefung" literal="Bestaetig_Qualitaetspruefung"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_ANHANG_ART_BESTAETIG_QUALITAETSPRUEFUNG_VALUE = 7;

	/**
	 * The '<em><b>ENUM Anhang Art Bestaetig Uebernahme</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_BESTAETIG_UEBERNAHME
	 * @model name="ENUMAnhang_Art_Bestaetig_Uebernahme" literal="Bestaetig_Uebernahme"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_ANHANG_ART_BESTAETIG_UEBERNAHME_VALUE = 8;

	/**
	 * The '<em><b>ENUM Anhang Art Freigabe Bvb</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_FREIGABE_BVB
	 * @model name="ENUMAnhang_Art_Freigabe_Bvb" literal="Freigabe_Bvb"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_ANHANG_ART_FREIGABE_BVB_VALUE = 9;

	/**
	 * The '<em><b>ENUM Anhang Art Genehmigung AG Bh Bhv</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_GENEHMIGUNG_AG_BH_BHV
	 * @model name="ENUMAnhang_Art_Genehmigung_AG_Bh_Bhv" literal="Genehmigung_AG_Bh_Bhv"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_ANHANG_ART_GENEHMIGUNG_AG_BH_BHV_VALUE = 10;

	/**
	 * The '<em><b>ENUM Anhang Art Material Besonders</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_MATERIAL_BESONDERS
	 * @model name="ENUMAnhang_Art_Material_Besonders" literal="Material_Besonders"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_ANHANG_ART_MATERIAL_BESONDERS_VALUE = 11;

	/**
	 * The '<em><b>ENUM Anhang Art Uebertragungswegeplan</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_UEBERTRAGUNGSWEGEPLAN
	 * @model name="ENUMAnhang_Art_Uebertragungswegeplan" literal="Uebertragungswegeplan"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_ANHANG_ART_UEBERTRAGUNGSWEGEPLAN_VALUE = 12;

	/**
	 * The '<em><b>ENUM Anhang Art DWS</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_DWS
	 * @model name="ENUMAnhang_Art_DWS" literal="DWS"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_ANHANG_ART_DWS_VALUE = 13;

	/**
	 * The '<em><b>ENUM Anhang Art Erlaeuterungsbericht</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_ERLAEUTERUNGSBERICHT
	 * @model name="ENUMAnhang_Art_Erlaeuterungsbericht" literal="Erlaeuterungsbericht"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_ANHANG_ART_ERLAEUTERUNGSBERICHT_VALUE = 14;

	/**
	 * The '<em><b>ENUM Anhang Art GEO</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_GEO
	 * @model name="ENUMAnhang_Art_GEO" literal="GEO"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_ANHANG_ART_GEO_VALUE = 15;

	/**
	 * The '<em><b>ENUM Anhang Art INA</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_INA
	 * @model name="ENUMAnhang_Art_INA" literal="INA"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_ANHANG_ART_INA_VALUE = 16;

	/**
	 * The '<em><b>ENUM Anhang Art Moebelaufstellplan Aufriss</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_MOEBELAUFSTELLPLAN_AUFRISS
	 * @model name="ENUMAnhang_Art_Moebelaufstellplan_Aufriss" literal="Moebelaufstellplan_Aufriss"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_ANHANG_ART_MOEBELAUFSTELLPLAN_AUFRISS_VALUE = 17;

	/**
	 * The '<em><b>ENUM Anhang Art Moebelaufstellplan Grundriss</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_MOEBELAUFSTELLPLAN_GRUNDRISS
	 * @model name="ENUMAnhang_Art_Moebelaufstellplan_Grundriss" literal="Moebelaufstellplan_Grundriss"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_ANHANG_ART_MOEBELAUFSTELLPLAN_GRUNDRISS_VALUE = 18;

	/**
	 * The '<em><b>ENUM Anhang Art Monitoraufteilung</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_MONITORAUFTEILUNG
	 * @model name="ENUMAnhang_Art_Monitoraufteilung" literal="Monitoraufteilung"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_ANHANG_ART_MONITORAUFTEILUNG_VALUE = 19;

	/**
	 * The '<em><b>ENUM Anhang Art Planverzeichnis</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_PLANVERZEICHNIS
	 * @model name="ENUMAnhang_Art_Planverzeichnis" literal="Planverzeichnis"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_ANHANG_ART_PLANVERZEICHNIS_VALUE = 20;

	/**
	 * The '<em><b>ENUM Anhang Art Pruefbericht</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_PRUEFBERICHT
	 * @model name="ENUMAnhang_Art_Pruefbericht" literal="Pruefbericht"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_ANHANG_ART_PRUEFBERICHT_VALUE = 21;

	/**
	 * The '<em><b>ENUM Anhang Art Raumplan Bedienraeume</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_RAUMPLAN_BEDIENRAEUME
	 * @model name="ENUMAnhang_Art_Raumplan_Bedienraeume" literal="Raumplan_Bedienraeume"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_ANHANG_ART_RAUMPLAN_BEDIENRAEUME_VALUE = 22;

	/**
	 * The '<em><b>ENUM Anhang Art Raumplan Rechnerraeume</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_RAUMPLAN_RECHNERRAEUME
	 * @model name="ENUMAnhang_Art_Raumplan_Rechnerraeume" literal="Raumplan_Rechnerraeume"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_ANHANG_ART_RAUMPLAN_RECHNERRAEUME_VALUE = 23;

	/**
	 * The '<em><b>ENUM Anhang Art Regelwerksstand Besonders</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_REGELWERKSSTAND_BESONDERS
	 * @model name="ENUMAnhang_Art_Regelwerksstand_Besonders" literal="Regelwerksstand_Besonders"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_ANHANG_ART_REGELWERKSSTAND_BESONDERS_VALUE = 24;

	/**
	 * The '<em><b>ENUM Anhang Art Richtungssinn</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_RICHTUNGSSINN
	 * @model name="ENUMAnhang_Art_Richtungssinn" literal="Richtungssinn"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_ANHANG_ART_RICHTUNGSSINN_VALUE = 25;

	/**
	 * The '<em><b>ENUM Anhang Art sonstige</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_SONSTIGE
	 * @model name="ENUMAnhang_Art_sonstige" literal="sonstige"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_ANHANG_ART_SONSTIGE_VALUE = 26;

	/**
	 * The '<em><b>ENUM Anhang Art Steuerbezirksuebersicht</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_STEUERBEZIRKSUEBERSICHT
	 * @model name="ENUMAnhang_Art_Steuerbezirksuebersicht" literal="Steuerbezirksuebersicht"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_ANHANG_ART_STEUERBEZIRKSUEBERSICHT_VALUE = 27;

	/**
	 * The '<em><b>ENUM Anhang Art Ui G</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_UI_G
	 * @model name="ENUMAnhang_Art_UiG" literal="UiG"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_ANHANG_ART_UI_G_VALUE = 28;

	/**
	 * The '<em><b>ENUM Anhang Art Vorgabe</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_VORGABE
	 * @model name="ENUMAnhang_Art_Vorgabe" literal="Vorgabe"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_ANHANG_ART_VORGABE_VALUE = 29;

	/**
	 * The '<em><b>ENUM Anhang Art Vorgabe GBT</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_VORGABE_GBT
	 * @model name="ENUMAnhang_Art_Vorgabe_GBT" literal="Vorgabe_GBT"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_ANHANG_ART_VORGABE_GBT_VALUE = 30;

	/**
	 * The '<em><b>ENUM Anhang Art Vz G</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_VZ_G
	 * @model name="ENUMAnhang_Art_VzG" literal="VzG"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_ANHANG_ART_VZ_G_VALUE = 31;

	/**
	 * The '<em><b>ENUM Anhang Art Zi E</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_ZI_E
	 * @model name="ENUMAnhang_Art_ZiE" literal="ZiE"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_ANHANG_ART_ZI_E_VALUE = 32;

	/**
	 * The '<em><b>ENUM Anhang Art ZN Raumplan Bedienraum</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_ZN_RAUMPLAN_BEDIENRAUM
	 * @model name="ENUMAnhang_Art_ZN_Raumplan_Bedienraum" literal="ZN_Raumplan_Bedienraum"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_ANHANG_ART_ZN_RAUMPLAN_BEDIENRAUM_VALUE = 33;

	/**
	 * The '<em><b>ENUM Anhang Art ZN Raumplan Rechnerraum</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_ANHANG_ART_ZN_RAUMPLAN_RECHNERRAUM
	 * @model name="ENUMAnhang_Art_ZN_Raumplan_Rechnerraum" literal="ZN_Raumplan_Rechnerraum"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_ANHANG_ART_ZN_RAUMPLAN_RECHNERRAUM_VALUE = 34;

	/**
	 * An array of all the '<em><b>ENUM Anhang Art</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static final ENUMAnhangArt[] VALUES_ARRAY =
		new ENUMAnhangArt[] {
			ENUM_ANHANG_ART_ABNAHMENIEDERSCHRIFT,
			ENUM_ANHANG_ART_ANBINDUNG_IB2,
			ENUM_ANHANG_ART_ANBINDUNG_IB3,
			ENUM_ANHANG_ART_BAST,
			ENUM_ANHANG_ART_BELU,
			ENUM_ANHANG_ART_BENUTZEROBERFLAECHE,
			ENUM_ANHANG_ART_BESTAETIG_GLEICHSTELLUNG,
			ENUM_ANHANG_ART_BESTAETIG_QUALITAETSPRUEFUNG,
			ENUM_ANHANG_ART_BESTAETIG_UEBERNAHME,
			ENUM_ANHANG_ART_FREIGABE_BVB,
			ENUM_ANHANG_ART_GENEHMIGUNG_AG_BH_BHV,
			ENUM_ANHANG_ART_MATERIAL_BESONDERS,
			ENUM_ANHANG_ART_UEBERTRAGUNGSWEGEPLAN,
			ENUM_ANHANG_ART_DWS,
			ENUM_ANHANG_ART_ERLAEUTERUNGSBERICHT,
			ENUM_ANHANG_ART_GEO,
			ENUM_ANHANG_ART_INA,
			ENUM_ANHANG_ART_MOEBELAUFSTELLPLAN_AUFRISS,
			ENUM_ANHANG_ART_MOEBELAUFSTELLPLAN_GRUNDRISS,
			ENUM_ANHANG_ART_MONITORAUFTEILUNG,
			ENUM_ANHANG_ART_PLANVERZEICHNIS,
			ENUM_ANHANG_ART_PRUEFBERICHT,
			ENUM_ANHANG_ART_RAUMPLAN_BEDIENRAEUME,
			ENUM_ANHANG_ART_RAUMPLAN_RECHNERRAEUME,
			ENUM_ANHANG_ART_REGELWERKSSTAND_BESONDERS,
			ENUM_ANHANG_ART_RICHTUNGSSINN,
			ENUM_ANHANG_ART_SONSTIGE,
			ENUM_ANHANG_ART_STEUERBEZIRKSUEBERSICHT,
			ENUM_ANHANG_ART_UI_G,
			ENUM_ANHANG_ART_VORGABE,
			ENUM_ANHANG_ART_VORGABE_GBT,
			ENUM_ANHANG_ART_VZ_G,
			ENUM_ANHANG_ART_ZI_E,
			ENUM_ANHANG_ART_ZN_RAUMPLAN_BEDIENRAUM,
			ENUM_ANHANG_ART_ZN_RAUMPLAN_RECHNERRAUM,
		};

	/**
	 * A public read-only list of all the '<em><b>ENUM Anhang Art</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static final List<ENUMAnhangArt> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

	/**
	 * Returns the '<em><b>ENUM Anhang Art</b></em>' literal with the specified literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param literal the literal.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMAnhangArt get(String literal) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMAnhangArt result = VALUES_ARRAY[i];
			if (result.toString().equals(literal)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Anhang Art</b></em>' literal with the specified name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param name the name.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMAnhangArt getByName(String name) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMAnhangArt result = VALUES_ARRAY[i];
			if (result.getName().equals(name)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Anhang Art</b></em>' literal with the specified integer value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the integer value.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMAnhangArt get(int value) {
		switch (value) {
			case ENUM_ANHANG_ART_ABNAHMENIEDERSCHRIFT_VALUE: return ENUM_ANHANG_ART_ABNAHMENIEDERSCHRIFT;
			case ENUM_ANHANG_ART_ANBINDUNG_IB2_VALUE: return ENUM_ANHANG_ART_ANBINDUNG_IB2;
			case ENUM_ANHANG_ART_ANBINDUNG_IB3_VALUE: return ENUM_ANHANG_ART_ANBINDUNG_IB3;
			case ENUM_ANHANG_ART_BAST_VALUE: return ENUM_ANHANG_ART_BAST;
			case ENUM_ANHANG_ART_BELU_VALUE: return ENUM_ANHANG_ART_BELU;
			case ENUM_ANHANG_ART_BENUTZEROBERFLAECHE_VALUE: return ENUM_ANHANG_ART_BENUTZEROBERFLAECHE;
			case ENUM_ANHANG_ART_BESTAETIG_GLEICHSTELLUNG_VALUE: return ENUM_ANHANG_ART_BESTAETIG_GLEICHSTELLUNG;
			case ENUM_ANHANG_ART_BESTAETIG_QUALITAETSPRUEFUNG_VALUE: return ENUM_ANHANG_ART_BESTAETIG_QUALITAETSPRUEFUNG;
			case ENUM_ANHANG_ART_BESTAETIG_UEBERNAHME_VALUE: return ENUM_ANHANG_ART_BESTAETIG_UEBERNAHME;
			case ENUM_ANHANG_ART_FREIGABE_BVB_VALUE: return ENUM_ANHANG_ART_FREIGABE_BVB;
			case ENUM_ANHANG_ART_GENEHMIGUNG_AG_BH_BHV_VALUE: return ENUM_ANHANG_ART_GENEHMIGUNG_AG_BH_BHV;
			case ENUM_ANHANG_ART_MATERIAL_BESONDERS_VALUE: return ENUM_ANHANG_ART_MATERIAL_BESONDERS;
			case ENUM_ANHANG_ART_UEBERTRAGUNGSWEGEPLAN_VALUE: return ENUM_ANHANG_ART_UEBERTRAGUNGSWEGEPLAN;
			case ENUM_ANHANG_ART_DWS_VALUE: return ENUM_ANHANG_ART_DWS;
			case ENUM_ANHANG_ART_ERLAEUTERUNGSBERICHT_VALUE: return ENUM_ANHANG_ART_ERLAEUTERUNGSBERICHT;
			case ENUM_ANHANG_ART_GEO_VALUE: return ENUM_ANHANG_ART_GEO;
			case ENUM_ANHANG_ART_INA_VALUE: return ENUM_ANHANG_ART_INA;
			case ENUM_ANHANG_ART_MOEBELAUFSTELLPLAN_AUFRISS_VALUE: return ENUM_ANHANG_ART_MOEBELAUFSTELLPLAN_AUFRISS;
			case ENUM_ANHANG_ART_MOEBELAUFSTELLPLAN_GRUNDRISS_VALUE: return ENUM_ANHANG_ART_MOEBELAUFSTELLPLAN_GRUNDRISS;
			case ENUM_ANHANG_ART_MONITORAUFTEILUNG_VALUE: return ENUM_ANHANG_ART_MONITORAUFTEILUNG;
			case ENUM_ANHANG_ART_PLANVERZEICHNIS_VALUE: return ENUM_ANHANG_ART_PLANVERZEICHNIS;
			case ENUM_ANHANG_ART_PRUEFBERICHT_VALUE: return ENUM_ANHANG_ART_PRUEFBERICHT;
			case ENUM_ANHANG_ART_RAUMPLAN_BEDIENRAEUME_VALUE: return ENUM_ANHANG_ART_RAUMPLAN_BEDIENRAEUME;
			case ENUM_ANHANG_ART_RAUMPLAN_RECHNERRAEUME_VALUE: return ENUM_ANHANG_ART_RAUMPLAN_RECHNERRAEUME;
			case ENUM_ANHANG_ART_REGELWERKSSTAND_BESONDERS_VALUE: return ENUM_ANHANG_ART_REGELWERKSSTAND_BESONDERS;
			case ENUM_ANHANG_ART_RICHTUNGSSINN_VALUE: return ENUM_ANHANG_ART_RICHTUNGSSINN;
			case ENUM_ANHANG_ART_SONSTIGE_VALUE: return ENUM_ANHANG_ART_SONSTIGE;
			case ENUM_ANHANG_ART_STEUERBEZIRKSUEBERSICHT_VALUE: return ENUM_ANHANG_ART_STEUERBEZIRKSUEBERSICHT;
			case ENUM_ANHANG_ART_UI_G_VALUE: return ENUM_ANHANG_ART_UI_G;
			case ENUM_ANHANG_ART_VORGABE_VALUE: return ENUM_ANHANG_ART_VORGABE;
			case ENUM_ANHANG_ART_VORGABE_GBT_VALUE: return ENUM_ANHANG_ART_VORGABE_GBT;
			case ENUM_ANHANG_ART_VZ_G_VALUE: return ENUM_ANHANG_ART_VZ_G;
			case ENUM_ANHANG_ART_ZI_E_VALUE: return ENUM_ANHANG_ART_ZI_E;
			case ENUM_ANHANG_ART_ZN_RAUMPLAN_BEDIENRAUM_VALUE: return ENUM_ANHANG_ART_ZN_RAUMPLAN_BEDIENRAUM;
			case ENUM_ANHANG_ART_ZN_RAUMPLAN_RECHNERRAUM_VALUE: return ENUM_ANHANG_ART_ZN_RAUMPLAN_RECHNERRAUM;
			default: return null;
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final int value;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String name;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String literal;

	/**
	 * Only this class can construct instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private ENUMAnhangArt(int value, String name, String literal) {
		this.value = value;
		this.name = name;
		this.literal = literal;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public int getValue() {
	  return value;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getName() {
	  return name;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getLiteral() {
	  return literal;
	}

	/**
	 * Returns the literal value of the enumerator, which is its string representation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		return literal;
	}
	
} //ENUMAnhangArt
