/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Basisobjekte;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>ENUMBV Darstellung In Plan</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Basisobjekte.BasisobjektePackage#getENUMBVDarstellungInPlan()
 * @model extendedMetaData="name='ENUMBV_Darstellung_In_Plan'"
 * @generated
 */
public enum ENUMBVDarstellungInPlan implements Enumerator {
	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Anlagentabelle Transition</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_ANLAGENTABELLE_TRANSITION_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_ANLAGENTABELLE_TRANSITION(0, "ENUMBV_Darstellung_In_Plan_Anlagentabelle_Transition", "Anlagentabelle Transition"),

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Balisenprüfprotokoll</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_BALISENPRÜFPROTOKOLL_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_BALISENPRÜFPROTOKOLL(1, "ENUMBV_Darstellung_In_Plan_Balisenprüfprotokoll", "Balisenpr\u00fcfprotokoll"),

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Bedieneinrichtungstabelle BU</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_BEDIENEINRICHTUNGSTABELLE_BU_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_BEDIENEINRICHTUNGSTABELLE_BU(2, "ENUMBV_Darstellung_In_Plan_Bedieneinrichtungstabelle_BU", "Bedieneinrichtungstabelle B\u00dc"),

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Bedieneinrichtungstabelle Stw</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_BEDIENEINRICHTUNGSTABELLE_STW_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_BEDIENEINRICHTUNGSTABELLE_STW(3, "ENUMBV_Darstellung_In_Plan_Bedieneinrichtungstabelle_Stw", "Bedieneinrichtungstabelle Stw"),

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan BU Abhängigkeitstabelle</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_BU_ABHÄNGIGKEITSTABELLE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_BU_ABHÄNGIGKEITSTABELLE(4, "ENUMBV_Darstellung_In_Plan_BU_Abhängigkeitstabelle", "B\u00dc-Abh\u00e4ngigkeitstabelle"),

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan BU Kabellage und Ubersichtsplan</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_BU_KABELLAGE_UND_UBERSICHTSPLAN_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_BU_KABELLAGE_UND_UBERSICHTSPLAN(5, "ENUMBV_Darstellung_In_Plan_BU_Kabellage__und_Ubersichtsplan", "B\u00dc-Kabellage- und \u00dcbersichtsplan"),

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan BU Kabelübersichtsplan</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_BU_KABELÜBERSICHTSPLAN_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_BU_KABELÜBERSICHTSPLAN(6, "ENUMBV_Darstellung_In_Plan_BU_Kabelübersichtsplan", "B\u00dc-Kabel\u00fcbersichtsplan"),

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan BU Lageplan ntg</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_BU_LAGEPLAN_NTG_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_BU_LAGEPLAN_NTG(7, "ENUMBV_Darstellung_In_Plan_BU_Lageplan_ntg", "B\u00dc-Lageplan ntg"),

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Deadlock Tabelle</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_DEADLOCK_TABELLE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_DEADLOCK_TABELLE(8, "ENUMBV_Darstellung_In_Plan_Deadlock_Tabelle", "Deadlock-Tabelle"),

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Durchrutschweg und Gefahrpunkttabelle</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_DURCHRUTSCHWEG_UND_GEFAHRPUNKTTABELLE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_DURCHRUTSCHWEG_UND_GEFAHRPUNKTTABELLE(9, "ENUMBV_Darstellung_In_Plan_Durchrutschweg__und_Gefahrpunkttabelle", "Durchrutschweg- und Gefahrpunkttabelle"),

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Elementansteuertabelle</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_ELEMENTANSTEUERTABELLE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_ELEMENTANSTEUERTABELLE(10, "ENUMBV_Darstellung_In_Plan_Elementansteuertabelle", "Elementansteuertabelle"),

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan ESG Datenpunkttabelle 1</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_ESG_DATENPUNKTTABELLE_1_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_ESG_DATENPUNKTTABELLE_1(11, "ENUMBV_Darstellung_In_Plan_ESG_Datenpunkttabelle_1", "ESG-Datenpunkttabelle 1"),

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan ESG Datenpunkttabelle 2</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_ESG_DATENPUNKTTABELLE_2_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_ESG_DATENPUNKTTABELLE_2(12, "ENUMBV_Darstellung_In_Plan_ESG_Datenpunkttabelle_2", "ESG-Datenpunkttabelle 2"),

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan ESG Datenpunkttabelle 3</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_ESG_DATENPUNKTTABELLE_3_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_ESG_DATENPUNKTTABELLE_3(13, "ENUMBV_Darstellung_In_Plan_ESG_Datenpunkttabelle_3", "ESG-Datenpunkttabelle 3"),

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan ETCS Melde und Kommandoanschaltung Signale Muka Signale </b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_ETCS_MELDE_UND_KOMMANDOANSCHALTUNG_SIGNALE_MUKA_SIGNALE__VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_ETCS_MELDE_UND_KOMMANDOANSCHALTUNG_SIGNALE_MUKA_SIGNALE_(14, "ENUMBV_Darstellung_In_Plan_ETCS_Melde__und_Kommandoanschaltung_Signale__Muka_Signale_", "ETCS Melde- und Kommandoanschaltung Signale (Muka Signale)"),

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan ETCS Melde und Kommandoanschaltung Weichen Muka Weichen </b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_ETCS_MELDE_UND_KOMMANDOANSCHALTUNG_WEICHEN_MUKA_WEICHEN__VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_ETCS_MELDE_UND_KOMMANDOANSCHALTUNG_WEICHEN_MUKA_WEICHEN_(15, "ENUMBV_Darstellung_In_Plan_ETCS_Melde__und_Kommandoanschaltung_Weichen__Muka_Weichen_", "ETCS Melde- und Kommandoanschaltung Weichen (Muka Weichen)"),

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan ETCS Datenpunkttabelle</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_ETCS_DATENPUNKTTABELLE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_ETCS_DATENPUNKTTABELLE(16, "ENUMBV_Darstellung_In_Plan_ETCS_Datenpunkttabelle", "ETCS-Datenpunkttabelle"),

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Flankenschutztabelle</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_FLANKENSCHUTZTABELLE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_FLANKENSCHUTZTABELLE(17, "ENUMBV_Darstellung_In_Plan_Flankenschutztabelle", "Flankenschutztabelle"),

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Freimeldetabelle</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_FREIMELDETABELLE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_FREIMELDETABELLE(18, "ENUMBV_Darstellung_In_Plan_Freimeldetabelle", "Freimeldetabelle"),

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan GFR Plan</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_GFR_PLAN_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_GFR_PLAN(19, "ENUMBV_Darstellung_In_Plan_GFR_Plan", "GFR-Plan"),

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Gleisfreimeldeplan für Gleisstromkreise</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_GLEISFREIMELDEPLAN_FÜR_GLEISSTROMKREISE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_GLEISFREIMELDEPLAN_FÜR_GLEISSTROMKREISE(20, "ENUMBV_Darstellung_In_Plan_Gleisfreimeldeplan_für_Gleisstromkreise", "Gleisfreimeldeplan f\u00fcr Gleisstromkreise"),

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Gleismagnettabelle</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_GLEISMAGNETTABELLE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_GLEISMAGNETTABELLE(21, "ENUMBV_Darstellung_In_Plan_Gleismagnettabelle", "Gleismagnettabelle"),

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Gleisschaltmitteltabelle</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_GLEISSCHALTMITTELTABELLE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_GLEISSCHALTMITTELTABELLE(22, "ENUMBV_Darstellung_In_Plan_Gleisschaltmitteltabelle", "Gleisschaltmitteltabelle"),

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Inselgleistabelle</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_INSELGLEISTABELLE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_INSELGLEISTABELLE(23, "ENUMBV_Darstellung_In_Plan_Inselgleistabelle", "Inselgleistabelle"),

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Kabellageplan</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_KABELLAGEPLAN_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_KABELLAGEPLAN(24, "ENUMBV_Darstellung_In_Plan_Kabellageplan", "Kabellageplan"),

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Kabelübersichtsplan</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_KABELÜBERSICHTSPLAN_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_KABELÜBERSICHTSPLAN(25, "ENUMBV_Darstellung_In_Plan_Kabelübersichtsplan", "Kabel\u00fcbersichtsplan"),

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan LEU Tabelle</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_LEU_TABELLE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_LEU_TABELLE(26, "ENUMBV_Darstellung_In_Plan_LEU_Tabelle", "LEU-Tabelle"),

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Meldedrucktabelle</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_MELDEDRUCKTABELLE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_MELDEDRUCKTABELLE(27, "ENUMBV_Darstellung_In_Plan_Meldedrucktabelle", "Meldedrucktabelle"),

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Nahbedienungstabelle</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_NAHBEDIENUNGSTABELLE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_NAHBEDIENUNGSTABELLE(28, "ENUMBV_Darstellung_In_Plan_Nahbedienungstabelle", "Nahbedienungstabelle"),

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Rangierstraßentabelle</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_RANGIERSTRASSENTABELLE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_RANGIERSTRASSENTABELLE(29, "ENUMBV_Darstellung_In_Plan_Rangierstraßentabelle", "Rangierstra\u00dfentabelle"),

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Schlosstabelle</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_SCHLOSSTABELLE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_SCHLOSSTABELLE(30, "ENUMBV_Darstellung_In_Plan_Schlosstabelle", "Schlosstabelle"),

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Sicherungstechnischer Kreuzungsplan</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_SICHERUNGSTECHNISCHER_KREUZUNGSPLAN_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_SICHERUNGSTECHNISCHER_KREUZUNGSPLAN(31, "ENUMBV_Darstellung_In_Plan_Sicherungstechnischer_Kreuzungsplan", "Sicherungstechnischer Kreuzungsplan"),

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Sicherungstechnischer Lageplan</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_SICHERUNGSTECHNISCHER_LAGEPLAN_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_SICHERUNGSTECHNISCHER_LAGEPLAN(32, "ENUMBV_Darstellung_In_Plan_Sicherungstechnischer_Lageplan", "Sicherungstechnischer Lageplan"),

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Sicherungstechnischer Ubersichtsplan</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_SICHERUNGSTECHNISCHER_UBERSICHTSPLAN_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_SICHERUNGSTECHNISCHER_UBERSICHTSPLAN(33, "ENUMBV_Darstellung_In_Plan_Sicherungstechnischer_Ubersichtsplan", "Sicherungstechnischer \u00dcbersichtsplan"),

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Sicherungstechnischer Ubersichtsplan BU</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_SICHERUNGSTECHNISCHER_UBERSICHTSPLAN_BU_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_SICHERUNGSTECHNISCHER_UBERSICHTSPLAN_BU(34, "ENUMBV_Darstellung_In_Plan_Sicherungstechnischer_Ubersichtsplan_BU", "Sicherungstechnischer \u00dcbersichtsplan B\u00dc"),

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Signal und Schutzstreckentabelle</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_SIGNAL_UND_SCHUTZSTRECKENTABELLE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_SIGNAL_UND_SCHUTZSTRECKENTABELLE(35, "ENUMBV_Darstellung_In_Plan_Signal__und_Schutzstreckentabelle", "Signal- und Schutzstreckentabelle"),

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Signaltabelle</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_SIGNALTABELLE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_SIGNALTABELLE(36, "ENUMBV_Darstellung_In_Plan_Signaltabelle", "Signaltabelle"),

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan sonstige</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_SONSTIGE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_SONSTIGE(37, "ENUMBV_Darstellung_In_Plan_sonstige", "sonstige"),

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Stammkabelübersichtsplan</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_STAMMKABELÜBERSICHTSPLAN_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_STAMMKABELÜBERSICHTSPLAN(38, "ENUMBV_Darstellung_In_Plan_Stammkabelübersichtsplan", "Stammkabel\u00fcbersichtsplan"),

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Statische Streckeneigenschaften</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_STATISCHE_STRECKENEIGENSCHAFTEN_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_STATISCHE_STRECKENEIGENSCHAFTEN(39, "ENUMBV_Darstellung_In_Plan_Statische_Streckeneigenschaften", "Statische Streckeneigenschaften"),

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Streckenblocktabelle</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_STRECKENBLOCKTABELLE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_STRECKENBLOCKTABELLE(40, "ENUMBV_Darstellung_In_Plan_Streckenblocktabelle", "Streckenblocktabelle"),

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Tabelle der aneinandergereihten Fahrstraßen</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_TABELLE_DER_ANEINANDERGEREIHTEN_FAHRSTRASSEN_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_TABELLE_DER_ANEINANDERGEREIHTEN_FAHRSTRASSEN(41, "ENUMBV_Darstellung_In_Plan_Tabelle_der_aneinandergereihten_Fahrstraßen", "Tabelle der aneinandergereihten Fahrstra\u00dfen"),

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Tabelle der ATO Segment Profiles</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_TABELLE_DER_ATO_SEGMENT_PROFILES_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_TABELLE_DER_ATO_SEGMENT_PROFILES(42, "ENUMBV_Darstellung_In_Plan_Tabelle_der_ATO_Segment_Profiles", "Tabelle der ATO Segment Profiles"),

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Tabelle der ATO Timing Points</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_TABELLE_DER_ATO_TIMING_POINTS_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_TABELLE_DER_ATO_TIMING_POINTS(43, "ENUMBV_Darstellung_In_Plan_Tabelle_der_ATO_Timing_Points", "Tabelle der ATO Timing Points"),

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Tabelle der ATO TS Instanzen</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_TABELLE_DER_ATO_TS_INSTANZEN_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_TABELLE_DER_ATO_TS_INSTANZEN(44, "ENUMBV_Darstellung_In_Plan_Tabelle_der_ATO_TS_Instanzen", "Tabelle der ATO-TS Instanzen"),

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Tabelle der Ein und Ausstiege</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_TABELLE_DER_EIN_UND_AUSSTIEGE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_TABELLE_DER_EIN_UND_AUSSTIEGE(45, "ENUMBV_Darstellung_In_Plan_Tabelle_der_Ein__und_Ausstiege", "Tabelle der Ein- und Ausstiege"),

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Tabelle der Technik und Bedienstandorte</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_TABELLE_DER_TECHNIK_UND_BEDIENSTANDORTE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_TABELLE_DER_TECHNIK_UND_BEDIENSTANDORTE(46, "ENUMBV_Darstellung_In_Plan_Tabelle_der_Technik__und_Bedienstandorte", "Tabelle der Technik- und Bedienstandorte"),

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Ubertragungswegtabelle</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_UBERTRAGUNGSWEGTABELLE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_UBERTRAGUNGSWEGTABELLE(47, "ENUMBV_Darstellung_In_Plan_Ubertragungswegtabelle", "\u00dcbertragungswegtabelle"),

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Weichenlaufkettentabelle</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_WEICHENLAUFKETTENTABELLE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_WEICHENLAUFKETTENTABELLE(48, "ENUMBV_Darstellung_In_Plan_Weichenlaufkettentabelle", "Weichenlaufkettentabelle"),

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Weichentabelle</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_WEICHENTABELLE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_WEICHENTABELLE(49, "ENUMBV_Darstellung_In_Plan_Weichentabelle", "Weichentabelle"),

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan ZBS Datenpunkttabelle 1</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_ZBS_DATENPUNKTTABELLE_1_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_ZBS_DATENPUNKTTABELLE_1(50, "ENUMBV_Darstellung_In_Plan_ZBS_Datenpunkttabelle_1", "ZBS-Datenpunkttabelle 1"),

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan ZBS Datenpunkttabelle 2</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_ZBS_DATENPUNKTTABELLE_2_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_ZBS_DATENPUNKTTABELLE_2(51, "ENUMBV_Darstellung_In_Plan_ZBS_Datenpunkttabelle_2", "ZBS-Datenpunkttabelle 2"),

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan ZBS Datenpunkttabelle 3</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_ZBS_DATENPUNKTTABELLE_3_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_ZBS_DATENPUNKTTABELLE_3(52, "ENUMBV_Darstellung_In_Plan_ZBS_Datenpunkttabelle_3", "ZBS-Datenpunkttabelle 3"),

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan ZL Anstoßtabelle</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_ZL_ANSTOSSTABELLE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_ZL_ANSTOSSTABELLE(53, "ENUMBV_Darstellung_In_Plan_ZL_Anstoßtabelle", "ZL-Ansto\u00dftabelle"),

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan ZLV Bus Ubersichtsplan</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_ZLV_BUS_UBERSICHTSPLAN_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_ZLV_BUS_UBERSICHTSPLAN(54, "ENUMBV_Darstellung_In_Plan_ZLV_Bus_Ubersichtsplan", "ZLV-Bus-\u00dcbersichtsplan"),

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan ZN Tabelle</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_ZN_TABELLE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_ZN_TABELLE(55, "ENUMBV_Darstellung_In_Plan_ZN_Tabelle", "ZN-Tabelle"),

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan ZN Ubersichtsplan</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_ZN_UBERSICHTSPLAN_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_ZN_UBERSICHTSPLAN(56, "ENUMBV_Darstellung_In_Plan_ZN_Ubersichtsplan", "ZN-\u00dcbersichtsplan"),

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Zugstraßentabelle</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_ZUGSTRASSENTABELLE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_ZUGSTRASSENTABELLE(57, "ENUMBV_Darstellung_In_Plan_Zugstraßentabelle", "Zugstra\u00dfentabelle"),

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Zwieschutzweichentabelle</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_ZWIESCHUTZWEICHENTABELLE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMBV_DARSTELLUNG_IN_PLAN_ZWIESCHUTZWEICHENTABELLE(58, "ENUMBV_Darstellung_In_Plan_Zwieschutzweichentabelle", "Zwieschutzweichentabelle");

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Anlagentabelle Transition</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_ANLAGENTABELLE_TRANSITION
	 * @model name="ENUMBV_Darstellung_In_Plan_Anlagentabelle_Transition" literal="Anlagentabelle Transition"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_ANLAGENTABELLE_TRANSITION_VALUE = 0;

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Balisenprüfprotokoll</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_BALISENPRÜFPROTOKOLL
	 * @model name="ENUMBV_Darstellung_In_Plan_Balisenprüfprotokoll" literal="Balisenpr\374fprotokoll"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_BALISENPRÜFPROTOKOLL_VALUE = 1;

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Bedieneinrichtungstabelle BU</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_BEDIENEINRICHTUNGSTABELLE_BU
	 * @model name="ENUMBV_Darstellung_In_Plan_Bedieneinrichtungstabelle_BU" literal="Bedieneinrichtungstabelle B\334"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_BEDIENEINRICHTUNGSTABELLE_BU_VALUE = 2;

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Bedieneinrichtungstabelle Stw</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_BEDIENEINRICHTUNGSTABELLE_STW
	 * @model name="ENUMBV_Darstellung_In_Plan_Bedieneinrichtungstabelle_Stw" literal="Bedieneinrichtungstabelle Stw"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_BEDIENEINRICHTUNGSTABELLE_STW_VALUE = 3;

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan BU Abhängigkeitstabelle</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_BU_ABHÄNGIGKEITSTABELLE
	 * @model name="ENUMBV_Darstellung_In_Plan_BU_Abhängigkeitstabelle" literal="B\334-Abh\344ngigkeitstabelle"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_BU_ABHÄNGIGKEITSTABELLE_VALUE = 4;

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan BU Kabellage und Ubersichtsplan</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_BU_KABELLAGE_UND_UBERSICHTSPLAN
	 * @model name="ENUMBV_Darstellung_In_Plan_BU_Kabellage__und_Ubersichtsplan" literal="B\334-Kabellage- und \334bersichtsplan"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_BU_KABELLAGE_UND_UBERSICHTSPLAN_VALUE = 5;

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan BU Kabelübersichtsplan</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_BU_KABELÜBERSICHTSPLAN
	 * @model name="ENUMBV_Darstellung_In_Plan_BU_Kabelübersichtsplan" literal="B\334-Kabel\374bersichtsplan"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_BU_KABELÜBERSICHTSPLAN_VALUE = 6;

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan BU Lageplan ntg</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_BU_LAGEPLAN_NTG
	 * @model name="ENUMBV_Darstellung_In_Plan_BU_Lageplan_ntg" literal="B\334-Lageplan ntg"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_BU_LAGEPLAN_NTG_VALUE = 7;

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Deadlock Tabelle</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_DEADLOCK_TABELLE
	 * @model name="ENUMBV_Darstellung_In_Plan_Deadlock_Tabelle" literal="Deadlock-Tabelle"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_DEADLOCK_TABELLE_VALUE = 8;

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Durchrutschweg und Gefahrpunkttabelle</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_DURCHRUTSCHWEG_UND_GEFAHRPUNKTTABELLE
	 * @model name="ENUMBV_Darstellung_In_Plan_Durchrutschweg__und_Gefahrpunkttabelle" literal="Durchrutschweg- und Gefahrpunkttabelle"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_DURCHRUTSCHWEG_UND_GEFAHRPUNKTTABELLE_VALUE = 9;

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Elementansteuertabelle</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_ELEMENTANSTEUERTABELLE
	 * @model name="ENUMBV_Darstellung_In_Plan_Elementansteuertabelle" literal="Elementansteuertabelle"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_ELEMENTANSTEUERTABELLE_VALUE = 10;

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan ESG Datenpunkttabelle 1</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_ESG_DATENPUNKTTABELLE_1
	 * @model name="ENUMBV_Darstellung_In_Plan_ESG_Datenpunkttabelle_1" literal="ESG-Datenpunkttabelle 1"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_ESG_DATENPUNKTTABELLE_1_VALUE = 11;

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan ESG Datenpunkttabelle 2</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_ESG_DATENPUNKTTABELLE_2
	 * @model name="ENUMBV_Darstellung_In_Plan_ESG_Datenpunkttabelle_2" literal="ESG-Datenpunkttabelle 2"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_ESG_DATENPUNKTTABELLE_2_VALUE = 12;

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan ESG Datenpunkttabelle 3</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_ESG_DATENPUNKTTABELLE_3
	 * @model name="ENUMBV_Darstellung_In_Plan_ESG_Datenpunkttabelle_3" literal="ESG-Datenpunkttabelle 3"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_ESG_DATENPUNKTTABELLE_3_VALUE = 13;

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan ETCS Melde und Kommandoanschaltung Signale Muka Signale </b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_ETCS_MELDE_UND_KOMMANDOANSCHALTUNG_SIGNALE_MUKA_SIGNALE_
	 * @model name="ENUMBV_Darstellung_In_Plan_ETCS_Melde__und_Kommandoanschaltung_Signale__Muka_Signale_" literal="ETCS Melde- und Kommandoanschaltung Signale (Muka Signale)"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_ETCS_MELDE_UND_KOMMANDOANSCHALTUNG_SIGNALE_MUKA_SIGNALE__VALUE = 14;

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan ETCS Melde und Kommandoanschaltung Weichen Muka Weichen </b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_ETCS_MELDE_UND_KOMMANDOANSCHALTUNG_WEICHEN_MUKA_WEICHEN_
	 * @model name="ENUMBV_Darstellung_In_Plan_ETCS_Melde__und_Kommandoanschaltung_Weichen__Muka_Weichen_" literal="ETCS Melde- und Kommandoanschaltung Weichen (Muka Weichen)"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_ETCS_MELDE_UND_KOMMANDOANSCHALTUNG_WEICHEN_MUKA_WEICHEN__VALUE = 15;

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan ETCS Datenpunkttabelle</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_ETCS_DATENPUNKTTABELLE
	 * @model name="ENUMBV_Darstellung_In_Plan_ETCS_Datenpunkttabelle" literal="ETCS-Datenpunkttabelle"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_ETCS_DATENPUNKTTABELLE_VALUE = 16;

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Flankenschutztabelle</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_FLANKENSCHUTZTABELLE
	 * @model name="ENUMBV_Darstellung_In_Plan_Flankenschutztabelle" literal="Flankenschutztabelle"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_FLANKENSCHUTZTABELLE_VALUE = 17;

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Freimeldetabelle</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_FREIMELDETABELLE
	 * @model name="ENUMBV_Darstellung_In_Plan_Freimeldetabelle" literal="Freimeldetabelle"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_FREIMELDETABELLE_VALUE = 18;

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan GFR Plan</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_GFR_PLAN
	 * @model name="ENUMBV_Darstellung_In_Plan_GFR_Plan" literal="GFR-Plan"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_GFR_PLAN_VALUE = 19;

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Gleisfreimeldeplan für Gleisstromkreise</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_GLEISFREIMELDEPLAN_FÜR_GLEISSTROMKREISE
	 * @model name="ENUMBV_Darstellung_In_Plan_Gleisfreimeldeplan_für_Gleisstromkreise" literal="Gleisfreimeldeplan f\374r Gleisstromkreise"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_GLEISFREIMELDEPLAN_FÜR_GLEISSTROMKREISE_VALUE = 20;

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Gleismagnettabelle</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_GLEISMAGNETTABELLE
	 * @model name="ENUMBV_Darstellung_In_Plan_Gleismagnettabelle" literal="Gleismagnettabelle"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_GLEISMAGNETTABELLE_VALUE = 21;

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Gleisschaltmitteltabelle</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_GLEISSCHALTMITTELTABELLE
	 * @model name="ENUMBV_Darstellung_In_Plan_Gleisschaltmitteltabelle" literal="Gleisschaltmitteltabelle"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_GLEISSCHALTMITTELTABELLE_VALUE = 22;

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Inselgleistabelle</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_INSELGLEISTABELLE
	 * @model name="ENUMBV_Darstellung_In_Plan_Inselgleistabelle" literal="Inselgleistabelle"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_INSELGLEISTABELLE_VALUE = 23;

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Kabellageplan</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_KABELLAGEPLAN
	 * @model name="ENUMBV_Darstellung_In_Plan_Kabellageplan" literal="Kabellageplan"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_KABELLAGEPLAN_VALUE = 24;

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Kabelübersichtsplan</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_KABELÜBERSICHTSPLAN
	 * @model name="ENUMBV_Darstellung_In_Plan_Kabelübersichtsplan" literal="Kabel\374bersichtsplan"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_KABELÜBERSICHTSPLAN_VALUE = 25;

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan LEU Tabelle</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_LEU_TABELLE
	 * @model name="ENUMBV_Darstellung_In_Plan_LEU_Tabelle" literal="LEU-Tabelle"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_LEU_TABELLE_VALUE = 26;

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Meldedrucktabelle</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_MELDEDRUCKTABELLE
	 * @model name="ENUMBV_Darstellung_In_Plan_Meldedrucktabelle" literal="Meldedrucktabelle"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_MELDEDRUCKTABELLE_VALUE = 27;

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Nahbedienungstabelle</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_NAHBEDIENUNGSTABELLE
	 * @model name="ENUMBV_Darstellung_In_Plan_Nahbedienungstabelle" literal="Nahbedienungstabelle"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_NAHBEDIENUNGSTABELLE_VALUE = 28;

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Rangierstraßentabelle</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_RANGIERSTRASSENTABELLE
	 * @model name="ENUMBV_Darstellung_In_Plan_Rangierstraßentabelle" literal="Rangierstra\337entabelle"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_RANGIERSTRASSENTABELLE_VALUE = 29;

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Schlosstabelle</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_SCHLOSSTABELLE
	 * @model name="ENUMBV_Darstellung_In_Plan_Schlosstabelle" literal="Schlosstabelle"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_SCHLOSSTABELLE_VALUE = 30;

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Sicherungstechnischer Kreuzungsplan</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_SICHERUNGSTECHNISCHER_KREUZUNGSPLAN
	 * @model name="ENUMBV_Darstellung_In_Plan_Sicherungstechnischer_Kreuzungsplan" literal="Sicherungstechnischer Kreuzungsplan"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_SICHERUNGSTECHNISCHER_KREUZUNGSPLAN_VALUE = 31;

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Sicherungstechnischer Lageplan</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_SICHERUNGSTECHNISCHER_LAGEPLAN
	 * @model name="ENUMBV_Darstellung_In_Plan_Sicherungstechnischer_Lageplan" literal="Sicherungstechnischer Lageplan"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_SICHERUNGSTECHNISCHER_LAGEPLAN_VALUE = 32;

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Sicherungstechnischer Ubersichtsplan</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_SICHERUNGSTECHNISCHER_UBERSICHTSPLAN
	 * @model name="ENUMBV_Darstellung_In_Plan_Sicherungstechnischer_Ubersichtsplan" literal="Sicherungstechnischer \334bersichtsplan"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_SICHERUNGSTECHNISCHER_UBERSICHTSPLAN_VALUE = 33;

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Sicherungstechnischer Ubersichtsplan BU</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_SICHERUNGSTECHNISCHER_UBERSICHTSPLAN_BU
	 * @model name="ENUMBV_Darstellung_In_Plan_Sicherungstechnischer_Ubersichtsplan_BU" literal="Sicherungstechnischer \334bersichtsplan B\334"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_SICHERUNGSTECHNISCHER_UBERSICHTSPLAN_BU_VALUE = 34;

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Signal und Schutzstreckentabelle</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_SIGNAL_UND_SCHUTZSTRECKENTABELLE
	 * @model name="ENUMBV_Darstellung_In_Plan_Signal__und_Schutzstreckentabelle" literal="Signal- und Schutzstreckentabelle"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_SIGNAL_UND_SCHUTZSTRECKENTABELLE_VALUE = 35;

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Signaltabelle</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_SIGNALTABELLE
	 * @model name="ENUMBV_Darstellung_In_Plan_Signaltabelle" literal="Signaltabelle"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_SIGNALTABELLE_VALUE = 36;

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan sonstige</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_SONSTIGE
	 * @model name="ENUMBV_Darstellung_In_Plan_sonstige" literal="sonstige"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_SONSTIGE_VALUE = 37;

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Stammkabelübersichtsplan</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_STAMMKABELÜBERSICHTSPLAN
	 * @model name="ENUMBV_Darstellung_In_Plan_Stammkabelübersichtsplan" literal="Stammkabel\374bersichtsplan"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_STAMMKABELÜBERSICHTSPLAN_VALUE = 38;

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Statische Streckeneigenschaften</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_STATISCHE_STRECKENEIGENSCHAFTEN
	 * @model name="ENUMBV_Darstellung_In_Plan_Statische_Streckeneigenschaften" literal="Statische Streckeneigenschaften"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_STATISCHE_STRECKENEIGENSCHAFTEN_VALUE = 39;

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Streckenblocktabelle</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_STRECKENBLOCKTABELLE
	 * @model name="ENUMBV_Darstellung_In_Plan_Streckenblocktabelle" literal="Streckenblocktabelle"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_STRECKENBLOCKTABELLE_VALUE = 40;

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Tabelle der aneinandergereihten Fahrstraßen</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_TABELLE_DER_ANEINANDERGEREIHTEN_FAHRSTRASSEN
	 * @model name="ENUMBV_Darstellung_In_Plan_Tabelle_der_aneinandergereihten_Fahrstraßen" literal="Tabelle der aneinandergereihten Fahrstra\337en"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_TABELLE_DER_ANEINANDERGEREIHTEN_FAHRSTRASSEN_VALUE = 41;

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Tabelle der ATO Segment Profiles</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_TABELLE_DER_ATO_SEGMENT_PROFILES
	 * @model name="ENUMBV_Darstellung_In_Plan_Tabelle_der_ATO_Segment_Profiles" literal="Tabelle der ATO Segment Profiles"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_TABELLE_DER_ATO_SEGMENT_PROFILES_VALUE = 42;

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Tabelle der ATO Timing Points</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_TABELLE_DER_ATO_TIMING_POINTS
	 * @model name="ENUMBV_Darstellung_In_Plan_Tabelle_der_ATO_Timing_Points" literal="Tabelle der ATO Timing Points"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_TABELLE_DER_ATO_TIMING_POINTS_VALUE = 43;

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Tabelle der ATO TS Instanzen</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_TABELLE_DER_ATO_TS_INSTANZEN
	 * @model name="ENUMBV_Darstellung_In_Plan_Tabelle_der_ATO_TS_Instanzen" literal="Tabelle der ATO-TS Instanzen"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_TABELLE_DER_ATO_TS_INSTANZEN_VALUE = 44;

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Tabelle der Ein und Ausstiege</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_TABELLE_DER_EIN_UND_AUSSTIEGE
	 * @model name="ENUMBV_Darstellung_In_Plan_Tabelle_der_Ein__und_Ausstiege" literal="Tabelle der Ein- und Ausstiege"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_TABELLE_DER_EIN_UND_AUSSTIEGE_VALUE = 45;

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Tabelle der Technik und Bedienstandorte</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_TABELLE_DER_TECHNIK_UND_BEDIENSTANDORTE
	 * @model name="ENUMBV_Darstellung_In_Plan_Tabelle_der_Technik__und_Bedienstandorte" literal="Tabelle der Technik- und Bedienstandorte"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_TABELLE_DER_TECHNIK_UND_BEDIENSTANDORTE_VALUE = 46;

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Ubertragungswegtabelle</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_UBERTRAGUNGSWEGTABELLE
	 * @model name="ENUMBV_Darstellung_In_Plan_Ubertragungswegtabelle" literal="\334bertragungswegtabelle"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_UBERTRAGUNGSWEGTABELLE_VALUE = 47;

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Weichenlaufkettentabelle</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_WEICHENLAUFKETTENTABELLE
	 * @model name="ENUMBV_Darstellung_In_Plan_Weichenlaufkettentabelle" literal="Weichenlaufkettentabelle"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_WEICHENLAUFKETTENTABELLE_VALUE = 48;

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Weichentabelle</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_WEICHENTABELLE
	 * @model name="ENUMBV_Darstellung_In_Plan_Weichentabelle" literal="Weichentabelle"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_WEICHENTABELLE_VALUE = 49;

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan ZBS Datenpunkttabelle 1</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_ZBS_DATENPUNKTTABELLE_1
	 * @model name="ENUMBV_Darstellung_In_Plan_ZBS_Datenpunkttabelle_1" literal="ZBS-Datenpunkttabelle 1"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_ZBS_DATENPUNKTTABELLE_1_VALUE = 50;

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan ZBS Datenpunkttabelle 2</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_ZBS_DATENPUNKTTABELLE_2
	 * @model name="ENUMBV_Darstellung_In_Plan_ZBS_Datenpunkttabelle_2" literal="ZBS-Datenpunkttabelle 2"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_ZBS_DATENPUNKTTABELLE_2_VALUE = 51;

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan ZBS Datenpunkttabelle 3</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_ZBS_DATENPUNKTTABELLE_3
	 * @model name="ENUMBV_Darstellung_In_Plan_ZBS_Datenpunkttabelle_3" literal="ZBS-Datenpunkttabelle 3"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_ZBS_DATENPUNKTTABELLE_3_VALUE = 52;

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan ZL Anstoßtabelle</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_ZL_ANSTOSSTABELLE
	 * @model name="ENUMBV_Darstellung_In_Plan_ZL_Anstoßtabelle" literal="ZL-Ansto\337tabelle"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_ZL_ANSTOSSTABELLE_VALUE = 53;

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan ZLV Bus Ubersichtsplan</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_ZLV_BUS_UBERSICHTSPLAN
	 * @model name="ENUMBV_Darstellung_In_Plan_ZLV_Bus_Ubersichtsplan" literal="ZLV-Bus-\334bersichtsplan"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_ZLV_BUS_UBERSICHTSPLAN_VALUE = 54;

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan ZN Tabelle</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_ZN_TABELLE
	 * @model name="ENUMBV_Darstellung_In_Plan_ZN_Tabelle" literal="ZN-Tabelle"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_ZN_TABELLE_VALUE = 55;

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan ZN Ubersichtsplan</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_ZN_UBERSICHTSPLAN
	 * @model name="ENUMBV_Darstellung_In_Plan_ZN_Ubersichtsplan" literal="ZN-\334bersichtsplan"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_ZN_UBERSICHTSPLAN_VALUE = 56;

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Zugstraßentabelle</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_ZUGSTRASSENTABELLE
	 * @model name="ENUMBV_Darstellung_In_Plan_Zugstraßentabelle" literal="Zugstra\337entabelle"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_ZUGSTRASSENTABELLE_VALUE = 57;

	/**
	 * The '<em><b>ENUMBV Darstellung In Plan Zwieschutzweichentabelle</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMBV_DARSTELLUNG_IN_PLAN_ZWIESCHUTZWEICHENTABELLE
	 * @model name="ENUMBV_Darstellung_In_Plan_Zwieschutzweichentabelle" literal="Zwieschutzweichentabelle"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMBV_DARSTELLUNG_IN_PLAN_ZWIESCHUTZWEICHENTABELLE_VALUE = 58;

	/**
	 * An array of all the '<em><b>ENUMBV Darstellung In Plan</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static final ENUMBVDarstellungInPlan[] VALUES_ARRAY =
		new ENUMBVDarstellungInPlan[] {
			ENUMBV_DARSTELLUNG_IN_PLAN_ANLAGENTABELLE_TRANSITION,
			ENUMBV_DARSTELLUNG_IN_PLAN_BALISENPRÜFPROTOKOLL,
			ENUMBV_DARSTELLUNG_IN_PLAN_BEDIENEINRICHTUNGSTABELLE_BU,
			ENUMBV_DARSTELLUNG_IN_PLAN_BEDIENEINRICHTUNGSTABELLE_STW,
			ENUMBV_DARSTELLUNG_IN_PLAN_BU_ABHÄNGIGKEITSTABELLE,
			ENUMBV_DARSTELLUNG_IN_PLAN_BU_KABELLAGE_UND_UBERSICHTSPLAN,
			ENUMBV_DARSTELLUNG_IN_PLAN_BU_KABELÜBERSICHTSPLAN,
			ENUMBV_DARSTELLUNG_IN_PLAN_BU_LAGEPLAN_NTG,
			ENUMBV_DARSTELLUNG_IN_PLAN_DEADLOCK_TABELLE,
			ENUMBV_DARSTELLUNG_IN_PLAN_DURCHRUTSCHWEG_UND_GEFAHRPUNKTTABELLE,
			ENUMBV_DARSTELLUNG_IN_PLAN_ELEMENTANSTEUERTABELLE,
			ENUMBV_DARSTELLUNG_IN_PLAN_ESG_DATENPUNKTTABELLE_1,
			ENUMBV_DARSTELLUNG_IN_PLAN_ESG_DATENPUNKTTABELLE_2,
			ENUMBV_DARSTELLUNG_IN_PLAN_ESG_DATENPUNKTTABELLE_3,
			ENUMBV_DARSTELLUNG_IN_PLAN_ETCS_MELDE_UND_KOMMANDOANSCHALTUNG_SIGNALE_MUKA_SIGNALE_,
			ENUMBV_DARSTELLUNG_IN_PLAN_ETCS_MELDE_UND_KOMMANDOANSCHALTUNG_WEICHEN_MUKA_WEICHEN_,
			ENUMBV_DARSTELLUNG_IN_PLAN_ETCS_DATENPUNKTTABELLE,
			ENUMBV_DARSTELLUNG_IN_PLAN_FLANKENSCHUTZTABELLE,
			ENUMBV_DARSTELLUNG_IN_PLAN_FREIMELDETABELLE,
			ENUMBV_DARSTELLUNG_IN_PLAN_GFR_PLAN,
			ENUMBV_DARSTELLUNG_IN_PLAN_GLEISFREIMELDEPLAN_FÜR_GLEISSTROMKREISE,
			ENUMBV_DARSTELLUNG_IN_PLAN_GLEISMAGNETTABELLE,
			ENUMBV_DARSTELLUNG_IN_PLAN_GLEISSCHALTMITTELTABELLE,
			ENUMBV_DARSTELLUNG_IN_PLAN_INSELGLEISTABELLE,
			ENUMBV_DARSTELLUNG_IN_PLAN_KABELLAGEPLAN,
			ENUMBV_DARSTELLUNG_IN_PLAN_KABELÜBERSICHTSPLAN,
			ENUMBV_DARSTELLUNG_IN_PLAN_LEU_TABELLE,
			ENUMBV_DARSTELLUNG_IN_PLAN_MELDEDRUCKTABELLE,
			ENUMBV_DARSTELLUNG_IN_PLAN_NAHBEDIENUNGSTABELLE,
			ENUMBV_DARSTELLUNG_IN_PLAN_RANGIERSTRASSENTABELLE,
			ENUMBV_DARSTELLUNG_IN_PLAN_SCHLOSSTABELLE,
			ENUMBV_DARSTELLUNG_IN_PLAN_SICHERUNGSTECHNISCHER_KREUZUNGSPLAN,
			ENUMBV_DARSTELLUNG_IN_PLAN_SICHERUNGSTECHNISCHER_LAGEPLAN,
			ENUMBV_DARSTELLUNG_IN_PLAN_SICHERUNGSTECHNISCHER_UBERSICHTSPLAN,
			ENUMBV_DARSTELLUNG_IN_PLAN_SICHERUNGSTECHNISCHER_UBERSICHTSPLAN_BU,
			ENUMBV_DARSTELLUNG_IN_PLAN_SIGNAL_UND_SCHUTZSTRECKENTABELLE,
			ENUMBV_DARSTELLUNG_IN_PLAN_SIGNALTABELLE,
			ENUMBV_DARSTELLUNG_IN_PLAN_SONSTIGE,
			ENUMBV_DARSTELLUNG_IN_PLAN_STAMMKABELÜBERSICHTSPLAN,
			ENUMBV_DARSTELLUNG_IN_PLAN_STATISCHE_STRECKENEIGENSCHAFTEN,
			ENUMBV_DARSTELLUNG_IN_PLAN_STRECKENBLOCKTABELLE,
			ENUMBV_DARSTELLUNG_IN_PLAN_TABELLE_DER_ANEINANDERGEREIHTEN_FAHRSTRASSEN,
			ENUMBV_DARSTELLUNG_IN_PLAN_TABELLE_DER_ATO_SEGMENT_PROFILES,
			ENUMBV_DARSTELLUNG_IN_PLAN_TABELLE_DER_ATO_TIMING_POINTS,
			ENUMBV_DARSTELLUNG_IN_PLAN_TABELLE_DER_ATO_TS_INSTANZEN,
			ENUMBV_DARSTELLUNG_IN_PLAN_TABELLE_DER_EIN_UND_AUSSTIEGE,
			ENUMBV_DARSTELLUNG_IN_PLAN_TABELLE_DER_TECHNIK_UND_BEDIENSTANDORTE,
			ENUMBV_DARSTELLUNG_IN_PLAN_UBERTRAGUNGSWEGTABELLE,
			ENUMBV_DARSTELLUNG_IN_PLAN_WEICHENLAUFKETTENTABELLE,
			ENUMBV_DARSTELLUNG_IN_PLAN_WEICHENTABELLE,
			ENUMBV_DARSTELLUNG_IN_PLAN_ZBS_DATENPUNKTTABELLE_1,
			ENUMBV_DARSTELLUNG_IN_PLAN_ZBS_DATENPUNKTTABELLE_2,
			ENUMBV_DARSTELLUNG_IN_PLAN_ZBS_DATENPUNKTTABELLE_3,
			ENUMBV_DARSTELLUNG_IN_PLAN_ZL_ANSTOSSTABELLE,
			ENUMBV_DARSTELLUNG_IN_PLAN_ZLV_BUS_UBERSICHTSPLAN,
			ENUMBV_DARSTELLUNG_IN_PLAN_ZN_TABELLE,
			ENUMBV_DARSTELLUNG_IN_PLAN_ZN_UBERSICHTSPLAN,
			ENUMBV_DARSTELLUNG_IN_PLAN_ZUGSTRASSENTABELLE,
			ENUMBV_DARSTELLUNG_IN_PLAN_ZWIESCHUTZWEICHENTABELLE,
		};

	/**
	 * A public read-only list of all the '<em><b>ENUMBV Darstellung In Plan</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static final List<ENUMBVDarstellungInPlan> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

	/**
	 * Returns the '<em><b>ENUMBV Darstellung In Plan</b></em>' literal with the specified literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param literal the literal.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMBVDarstellungInPlan get(String literal) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMBVDarstellungInPlan result = VALUES_ARRAY[i];
			if (result.toString().equals(literal)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUMBV Darstellung In Plan</b></em>' literal with the specified name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param name the name.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMBVDarstellungInPlan getByName(String name) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMBVDarstellungInPlan result = VALUES_ARRAY[i];
			if (result.getName().equals(name)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUMBV Darstellung In Plan</b></em>' literal with the specified integer value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the integer value.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMBVDarstellungInPlan get(int value) {
		switch (value) {
			case ENUMBV_DARSTELLUNG_IN_PLAN_ANLAGENTABELLE_TRANSITION_VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_ANLAGENTABELLE_TRANSITION;
			case ENUMBV_DARSTELLUNG_IN_PLAN_BALISENPRÜFPROTOKOLL_VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_BALISENPRÜFPROTOKOLL;
			case ENUMBV_DARSTELLUNG_IN_PLAN_BEDIENEINRICHTUNGSTABELLE_BU_VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_BEDIENEINRICHTUNGSTABELLE_BU;
			case ENUMBV_DARSTELLUNG_IN_PLAN_BEDIENEINRICHTUNGSTABELLE_STW_VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_BEDIENEINRICHTUNGSTABELLE_STW;
			case ENUMBV_DARSTELLUNG_IN_PLAN_BU_ABHÄNGIGKEITSTABELLE_VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_BU_ABHÄNGIGKEITSTABELLE;
			case ENUMBV_DARSTELLUNG_IN_PLAN_BU_KABELLAGE_UND_UBERSICHTSPLAN_VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_BU_KABELLAGE_UND_UBERSICHTSPLAN;
			case ENUMBV_DARSTELLUNG_IN_PLAN_BU_KABELÜBERSICHTSPLAN_VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_BU_KABELÜBERSICHTSPLAN;
			case ENUMBV_DARSTELLUNG_IN_PLAN_BU_LAGEPLAN_NTG_VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_BU_LAGEPLAN_NTG;
			case ENUMBV_DARSTELLUNG_IN_PLAN_DEADLOCK_TABELLE_VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_DEADLOCK_TABELLE;
			case ENUMBV_DARSTELLUNG_IN_PLAN_DURCHRUTSCHWEG_UND_GEFAHRPUNKTTABELLE_VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_DURCHRUTSCHWEG_UND_GEFAHRPUNKTTABELLE;
			case ENUMBV_DARSTELLUNG_IN_PLAN_ELEMENTANSTEUERTABELLE_VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_ELEMENTANSTEUERTABELLE;
			case ENUMBV_DARSTELLUNG_IN_PLAN_ESG_DATENPUNKTTABELLE_1_VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_ESG_DATENPUNKTTABELLE_1;
			case ENUMBV_DARSTELLUNG_IN_PLAN_ESG_DATENPUNKTTABELLE_2_VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_ESG_DATENPUNKTTABELLE_2;
			case ENUMBV_DARSTELLUNG_IN_PLAN_ESG_DATENPUNKTTABELLE_3_VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_ESG_DATENPUNKTTABELLE_3;
			case ENUMBV_DARSTELLUNG_IN_PLAN_ETCS_MELDE_UND_KOMMANDOANSCHALTUNG_SIGNALE_MUKA_SIGNALE__VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_ETCS_MELDE_UND_KOMMANDOANSCHALTUNG_SIGNALE_MUKA_SIGNALE_;
			case ENUMBV_DARSTELLUNG_IN_PLAN_ETCS_MELDE_UND_KOMMANDOANSCHALTUNG_WEICHEN_MUKA_WEICHEN__VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_ETCS_MELDE_UND_KOMMANDOANSCHALTUNG_WEICHEN_MUKA_WEICHEN_;
			case ENUMBV_DARSTELLUNG_IN_PLAN_ETCS_DATENPUNKTTABELLE_VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_ETCS_DATENPUNKTTABELLE;
			case ENUMBV_DARSTELLUNG_IN_PLAN_FLANKENSCHUTZTABELLE_VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_FLANKENSCHUTZTABELLE;
			case ENUMBV_DARSTELLUNG_IN_PLAN_FREIMELDETABELLE_VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_FREIMELDETABELLE;
			case ENUMBV_DARSTELLUNG_IN_PLAN_GFR_PLAN_VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_GFR_PLAN;
			case ENUMBV_DARSTELLUNG_IN_PLAN_GLEISFREIMELDEPLAN_FÜR_GLEISSTROMKREISE_VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_GLEISFREIMELDEPLAN_FÜR_GLEISSTROMKREISE;
			case ENUMBV_DARSTELLUNG_IN_PLAN_GLEISMAGNETTABELLE_VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_GLEISMAGNETTABELLE;
			case ENUMBV_DARSTELLUNG_IN_PLAN_GLEISSCHALTMITTELTABELLE_VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_GLEISSCHALTMITTELTABELLE;
			case ENUMBV_DARSTELLUNG_IN_PLAN_INSELGLEISTABELLE_VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_INSELGLEISTABELLE;
			case ENUMBV_DARSTELLUNG_IN_PLAN_KABELLAGEPLAN_VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_KABELLAGEPLAN;
			case ENUMBV_DARSTELLUNG_IN_PLAN_KABELÜBERSICHTSPLAN_VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_KABELÜBERSICHTSPLAN;
			case ENUMBV_DARSTELLUNG_IN_PLAN_LEU_TABELLE_VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_LEU_TABELLE;
			case ENUMBV_DARSTELLUNG_IN_PLAN_MELDEDRUCKTABELLE_VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_MELDEDRUCKTABELLE;
			case ENUMBV_DARSTELLUNG_IN_PLAN_NAHBEDIENUNGSTABELLE_VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_NAHBEDIENUNGSTABELLE;
			case ENUMBV_DARSTELLUNG_IN_PLAN_RANGIERSTRASSENTABELLE_VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_RANGIERSTRASSENTABELLE;
			case ENUMBV_DARSTELLUNG_IN_PLAN_SCHLOSSTABELLE_VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_SCHLOSSTABELLE;
			case ENUMBV_DARSTELLUNG_IN_PLAN_SICHERUNGSTECHNISCHER_KREUZUNGSPLAN_VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_SICHERUNGSTECHNISCHER_KREUZUNGSPLAN;
			case ENUMBV_DARSTELLUNG_IN_PLAN_SICHERUNGSTECHNISCHER_LAGEPLAN_VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_SICHERUNGSTECHNISCHER_LAGEPLAN;
			case ENUMBV_DARSTELLUNG_IN_PLAN_SICHERUNGSTECHNISCHER_UBERSICHTSPLAN_VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_SICHERUNGSTECHNISCHER_UBERSICHTSPLAN;
			case ENUMBV_DARSTELLUNG_IN_PLAN_SICHERUNGSTECHNISCHER_UBERSICHTSPLAN_BU_VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_SICHERUNGSTECHNISCHER_UBERSICHTSPLAN_BU;
			case ENUMBV_DARSTELLUNG_IN_PLAN_SIGNAL_UND_SCHUTZSTRECKENTABELLE_VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_SIGNAL_UND_SCHUTZSTRECKENTABELLE;
			case ENUMBV_DARSTELLUNG_IN_PLAN_SIGNALTABELLE_VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_SIGNALTABELLE;
			case ENUMBV_DARSTELLUNG_IN_PLAN_SONSTIGE_VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_SONSTIGE;
			case ENUMBV_DARSTELLUNG_IN_PLAN_STAMMKABELÜBERSICHTSPLAN_VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_STAMMKABELÜBERSICHTSPLAN;
			case ENUMBV_DARSTELLUNG_IN_PLAN_STATISCHE_STRECKENEIGENSCHAFTEN_VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_STATISCHE_STRECKENEIGENSCHAFTEN;
			case ENUMBV_DARSTELLUNG_IN_PLAN_STRECKENBLOCKTABELLE_VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_STRECKENBLOCKTABELLE;
			case ENUMBV_DARSTELLUNG_IN_PLAN_TABELLE_DER_ANEINANDERGEREIHTEN_FAHRSTRASSEN_VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_TABELLE_DER_ANEINANDERGEREIHTEN_FAHRSTRASSEN;
			case ENUMBV_DARSTELLUNG_IN_PLAN_TABELLE_DER_ATO_SEGMENT_PROFILES_VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_TABELLE_DER_ATO_SEGMENT_PROFILES;
			case ENUMBV_DARSTELLUNG_IN_PLAN_TABELLE_DER_ATO_TIMING_POINTS_VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_TABELLE_DER_ATO_TIMING_POINTS;
			case ENUMBV_DARSTELLUNG_IN_PLAN_TABELLE_DER_ATO_TS_INSTANZEN_VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_TABELLE_DER_ATO_TS_INSTANZEN;
			case ENUMBV_DARSTELLUNG_IN_PLAN_TABELLE_DER_EIN_UND_AUSSTIEGE_VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_TABELLE_DER_EIN_UND_AUSSTIEGE;
			case ENUMBV_DARSTELLUNG_IN_PLAN_TABELLE_DER_TECHNIK_UND_BEDIENSTANDORTE_VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_TABELLE_DER_TECHNIK_UND_BEDIENSTANDORTE;
			case ENUMBV_DARSTELLUNG_IN_PLAN_UBERTRAGUNGSWEGTABELLE_VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_UBERTRAGUNGSWEGTABELLE;
			case ENUMBV_DARSTELLUNG_IN_PLAN_WEICHENLAUFKETTENTABELLE_VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_WEICHENLAUFKETTENTABELLE;
			case ENUMBV_DARSTELLUNG_IN_PLAN_WEICHENTABELLE_VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_WEICHENTABELLE;
			case ENUMBV_DARSTELLUNG_IN_PLAN_ZBS_DATENPUNKTTABELLE_1_VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_ZBS_DATENPUNKTTABELLE_1;
			case ENUMBV_DARSTELLUNG_IN_PLAN_ZBS_DATENPUNKTTABELLE_2_VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_ZBS_DATENPUNKTTABELLE_2;
			case ENUMBV_DARSTELLUNG_IN_PLAN_ZBS_DATENPUNKTTABELLE_3_VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_ZBS_DATENPUNKTTABELLE_3;
			case ENUMBV_DARSTELLUNG_IN_PLAN_ZL_ANSTOSSTABELLE_VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_ZL_ANSTOSSTABELLE;
			case ENUMBV_DARSTELLUNG_IN_PLAN_ZLV_BUS_UBERSICHTSPLAN_VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_ZLV_BUS_UBERSICHTSPLAN;
			case ENUMBV_DARSTELLUNG_IN_PLAN_ZN_TABELLE_VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_ZN_TABELLE;
			case ENUMBV_DARSTELLUNG_IN_PLAN_ZN_UBERSICHTSPLAN_VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_ZN_UBERSICHTSPLAN;
			case ENUMBV_DARSTELLUNG_IN_PLAN_ZUGSTRASSENTABELLE_VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_ZUGSTRASSENTABELLE;
			case ENUMBV_DARSTELLUNG_IN_PLAN_ZWIESCHUTZWEICHENTABELLE_VALUE: return ENUMBV_DARSTELLUNG_IN_PLAN_ZWIESCHUTZWEICHENTABELLE;
			default: return null;
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final int value;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String name;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String literal;

	/**
	 * Only this class can construct instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private ENUMBVDarstellungInPlan(int value, String name, String literal) {
		this.value = value;
		this.name = name;
		this.literal = literal;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public int getValue() {
	  return value;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getName() {
	  return name;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getLiteral() {
	  return literal;
	}

	/**
	 * Returns the literal value of the enumerator, which is its string representation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		return literal;
	}
	
} //ENUMBVDarstellungInPlan
