/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Basisobjekte;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>ENUM Dateityp</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Basisobjekte.BasisobjektePackage#getENUMDateityp()
 * @model extendedMetaData="name='ENUMDateityp'"
 * @generated
 */
public enum ENUMDateityp implements Enumerator {
	/**
	 * The '<em><b>ENUM Dateityp jpg</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_DATEITYP_JPG_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_DATEITYP_JPG(0, "ENUMDateityp_jpg", "jpg"),

	/**
	 * The '<em><b>ENUM Dateityp mpeg</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_DATEITYP_MPEG_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_DATEITYP_MPEG(1, "ENUMDateityp_mpeg", "mpeg"),

	/**
	 * The '<em><b>ENUM Dateityp pdf</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_DATEITYP_PDF_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_DATEITYP_PDF(2, "ENUMDateityp_pdf", "pdf"),

	/**
	 * The '<em><b>ENUM Dateityp png</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_DATEITYP_PNG_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_DATEITYP_PNG(3, "ENUMDateityp_png", "png"),

	/**
	 * The '<em><b>ENUM Dateityp tif</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_DATEITYP_TIF_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_DATEITYP_TIF(4, "ENUMDateityp_tif", "tif");

	/**
	 * The '<em><b>ENUM Dateityp jpg</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_DATEITYP_JPG
	 * @model name="ENUMDateityp_jpg" literal="jpg"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_DATEITYP_JPG_VALUE = 0;

	/**
	 * The '<em><b>ENUM Dateityp mpeg</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_DATEITYP_MPEG
	 * @model name="ENUMDateityp_mpeg" literal="mpeg"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_DATEITYP_MPEG_VALUE = 1;

	/**
	 * The '<em><b>ENUM Dateityp pdf</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_DATEITYP_PDF
	 * @model name="ENUMDateityp_pdf" literal="pdf"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_DATEITYP_PDF_VALUE = 2;

	/**
	 * The '<em><b>ENUM Dateityp png</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_DATEITYP_PNG
	 * @model name="ENUMDateityp_png" literal="png"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_DATEITYP_PNG_VALUE = 3;

	/**
	 * The '<em><b>ENUM Dateityp tif</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_DATEITYP_TIF
	 * @model name="ENUMDateityp_tif" literal="tif"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_DATEITYP_TIF_VALUE = 4;

	/**
	 * An array of all the '<em><b>ENUM Dateityp</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static final ENUMDateityp[] VALUES_ARRAY =
		new ENUMDateityp[] {
			ENUM_DATEITYP_JPG,
			ENUM_DATEITYP_MPEG,
			ENUM_DATEITYP_PDF,
			ENUM_DATEITYP_PNG,
			ENUM_DATEITYP_TIF,
		};

	/**
	 * A public read-only list of all the '<em><b>ENUM Dateityp</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static final List<ENUMDateityp> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

	/**
	 * Returns the '<em><b>ENUM Dateityp</b></em>' literal with the specified literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param literal the literal.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMDateityp get(String literal) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMDateityp result = VALUES_ARRAY[i];
			if (result.toString().equals(literal)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Dateityp</b></em>' literal with the specified name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param name the name.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMDateityp getByName(String name) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMDateityp result = VALUES_ARRAY[i];
			if (result.getName().equals(name)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Dateityp</b></em>' literal with the specified integer value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the integer value.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMDateityp get(int value) {
		switch (value) {
			case ENUM_DATEITYP_JPG_VALUE: return ENUM_DATEITYP_JPG;
			case ENUM_DATEITYP_MPEG_VALUE: return ENUM_DATEITYP_MPEG;
			case ENUM_DATEITYP_PDF_VALUE: return ENUM_DATEITYP_PDF;
			case ENUM_DATEITYP_PNG_VALUE: return ENUM_DATEITYP_PNG;
			case ENUM_DATEITYP_TIF_VALUE: return ENUM_DATEITYP_TIF;
			default: return null;
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final int value;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String name;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String literal;

	/**
	 * Only this class can construct instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private ENUMDateityp(int value, String name, String literal) {
		this.value = value;
		this.name = name;
		this.literal = literal;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public int getValue() {
	  return value;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getName() {
	  return name;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getLiteral() {
	  return literal;
	}

	/**
	 * Returns the literal value of the enumerator, which is its string representation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		return literal;
	}
	
} //ENUMDateityp
