/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Basisobjekte;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>ENUM Objektzustand Besonders</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Basisobjekte.BasisobjektePackage#getENUMObjektzustandBesonders()
 * @model extendedMetaData="name='ENUMObjektzustand_Besonders'"
 * @generated
 */
public enum ENUMObjektzustandBesonders implements Enumerator {
	/**
	 * The '<em><b>ENUM Objektzustand Besonders am Standort angesteuert nicht gueltig</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OBJEKTZUSTAND_BESONDERS_AM_STANDORT_ANGESTEUERT_NICHT_GUELTIG_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OBJEKTZUSTAND_BESONDERS_AM_STANDORT_ANGESTEUERT_NICHT_GUELTIG(0, "ENUMObjektzustand_Besonders_am_Standort_angesteuert_nicht_gueltig", "am_Standort_angesteuert_nicht_gueltig"),

	/**
	 * The '<em><b>ENUM Objektzustand Besonders am Standort angesteuert ungueltig abgedeckt</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OBJEKTZUSTAND_BESONDERS_AM_STANDORT_ANGESTEUERT_UNGUELTIG_ABGEDECKT_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OBJEKTZUSTAND_BESONDERS_AM_STANDORT_ANGESTEUERT_UNGUELTIG_ABGEDECKT(1, "ENUMObjektzustand_Besonders_am_Standort_angesteuert_ungueltig_abgedeckt", "am_Standort_angesteuert_ungueltig_abgedeckt"),

	/**
	 * The '<em><b>ENUM Objektzustand Besonders am Standort nicht angesteuert ungueltig</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OBJEKTZUSTAND_BESONDERS_AM_STANDORT_NICHT_ANGESTEUERT_UNGUELTIG_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OBJEKTZUSTAND_BESONDERS_AM_STANDORT_NICHT_ANGESTEUERT_UNGUELTIG(2, "ENUMObjektzustand_Besonders_am_Standort_nicht_angesteuert_ungueltig", "am_Standort_nicht_angesteuert_ungueltig"),

	/**
	 * The '<em><b>ENUM Objektzustand Besonders am Standort nicht angesteuert vorbereitend</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OBJEKTZUSTAND_BESONDERS_AM_STANDORT_NICHT_ANGESTEUERT_VORBEREITEND_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OBJEKTZUSTAND_BESONDERS_AM_STANDORT_NICHT_ANGESTEUERT_VORBEREITEND(3, "ENUMObjektzustand_Besonders_am_Standort_nicht_angesteuert_vorbereitend", "am_Standort_nicht_angesteuert_vorbereitend"),

	/**
	 * The '<em><b>ENUM Objektzustand Besonders sonstige</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OBJEKTZUSTAND_BESONDERS_SONSTIGE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OBJEKTZUSTAND_BESONDERS_SONSTIGE(4, "ENUMObjektzustand_Besonders_sonstige", "sonstige"),

	/**
	 * The '<em><b>ENUM Objektzustand Besonders standortfern angesteuert ungueltig</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OBJEKTZUSTAND_BESONDERS_STANDORTFERN_ANGESTEUERT_UNGUELTIG_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OBJEKTZUSTAND_BESONDERS_STANDORTFERN_ANGESTEUERT_UNGUELTIG(5, "ENUMObjektzustand_Besonders_standortfern_angesteuert_ungueltig", "standortfern_angesteuert_ungueltig"),

	/**
	 * The '<em><b>ENUM Objektzustand Besonders standortfern nicht angesteuert ungueltig</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OBJEKTZUSTAND_BESONDERS_STANDORTFERN_NICHT_ANGESTEUERT_UNGUELTIG_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OBJEKTZUSTAND_BESONDERS_STANDORTFERN_NICHT_ANGESTEUERT_UNGUELTIG(6, "ENUMObjektzustand_Besonders_standortfern_nicht_angesteuert_ungueltig", "standortfern_nicht_angesteuert_ungueltig");

	/**
	 * The '<em><b>ENUM Objektzustand Besonders am Standort angesteuert nicht gueltig</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OBJEKTZUSTAND_BESONDERS_AM_STANDORT_ANGESTEUERT_NICHT_GUELTIG
	 * @model name="ENUMObjektzustand_Besonders_am_Standort_angesteuert_nicht_gueltig" literal="am_Standort_angesteuert_nicht_gueltig"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OBJEKTZUSTAND_BESONDERS_AM_STANDORT_ANGESTEUERT_NICHT_GUELTIG_VALUE = 0;

	/**
	 * The '<em><b>ENUM Objektzustand Besonders am Standort angesteuert ungueltig abgedeckt</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OBJEKTZUSTAND_BESONDERS_AM_STANDORT_ANGESTEUERT_UNGUELTIG_ABGEDECKT
	 * @model name="ENUMObjektzustand_Besonders_am_Standort_angesteuert_ungueltig_abgedeckt" literal="am_Standort_angesteuert_ungueltig_abgedeckt"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OBJEKTZUSTAND_BESONDERS_AM_STANDORT_ANGESTEUERT_UNGUELTIG_ABGEDECKT_VALUE = 1;

	/**
	 * The '<em><b>ENUM Objektzustand Besonders am Standort nicht angesteuert ungueltig</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OBJEKTZUSTAND_BESONDERS_AM_STANDORT_NICHT_ANGESTEUERT_UNGUELTIG
	 * @model name="ENUMObjektzustand_Besonders_am_Standort_nicht_angesteuert_ungueltig" literal="am_Standort_nicht_angesteuert_ungueltig"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OBJEKTZUSTAND_BESONDERS_AM_STANDORT_NICHT_ANGESTEUERT_UNGUELTIG_VALUE = 2;

	/**
	 * The '<em><b>ENUM Objektzustand Besonders am Standort nicht angesteuert vorbereitend</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OBJEKTZUSTAND_BESONDERS_AM_STANDORT_NICHT_ANGESTEUERT_VORBEREITEND
	 * @model name="ENUMObjektzustand_Besonders_am_Standort_nicht_angesteuert_vorbereitend" literal="am_Standort_nicht_angesteuert_vorbereitend"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OBJEKTZUSTAND_BESONDERS_AM_STANDORT_NICHT_ANGESTEUERT_VORBEREITEND_VALUE = 3;

	/**
	 * The '<em><b>ENUM Objektzustand Besonders sonstige</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OBJEKTZUSTAND_BESONDERS_SONSTIGE
	 * @model name="ENUMObjektzustand_Besonders_sonstige" literal="sonstige"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OBJEKTZUSTAND_BESONDERS_SONSTIGE_VALUE = 4;

	/**
	 * The '<em><b>ENUM Objektzustand Besonders standortfern angesteuert ungueltig</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OBJEKTZUSTAND_BESONDERS_STANDORTFERN_ANGESTEUERT_UNGUELTIG
	 * @model name="ENUMObjektzustand_Besonders_standortfern_angesteuert_ungueltig" literal="standortfern_angesteuert_ungueltig"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OBJEKTZUSTAND_BESONDERS_STANDORTFERN_ANGESTEUERT_UNGUELTIG_VALUE = 5;

	/**
	 * The '<em><b>ENUM Objektzustand Besonders standortfern nicht angesteuert ungueltig</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OBJEKTZUSTAND_BESONDERS_STANDORTFERN_NICHT_ANGESTEUERT_UNGUELTIG
	 * @model name="ENUMObjektzustand_Besonders_standortfern_nicht_angesteuert_ungueltig" literal="standortfern_nicht_angesteuert_ungueltig"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OBJEKTZUSTAND_BESONDERS_STANDORTFERN_NICHT_ANGESTEUERT_UNGUELTIG_VALUE = 6;

	/**
	 * An array of all the '<em><b>ENUM Objektzustand Besonders</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static final ENUMObjektzustandBesonders[] VALUES_ARRAY =
		new ENUMObjektzustandBesonders[] {
			ENUM_OBJEKTZUSTAND_BESONDERS_AM_STANDORT_ANGESTEUERT_NICHT_GUELTIG,
			ENUM_OBJEKTZUSTAND_BESONDERS_AM_STANDORT_ANGESTEUERT_UNGUELTIG_ABGEDECKT,
			ENUM_OBJEKTZUSTAND_BESONDERS_AM_STANDORT_NICHT_ANGESTEUERT_UNGUELTIG,
			ENUM_OBJEKTZUSTAND_BESONDERS_AM_STANDORT_NICHT_ANGESTEUERT_VORBEREITEND,
			ENUM_OBJEKTZUSTAND_BESONDERS_SONSTIGE,
			ENUM_OBJEKTZUSTAND_BESONDERS_STANDORTFERN_ANGESTEUERT_UNGUELTIG,
			ENUM_OBJEKTZUSTAND_BESONDERS_STANDORTFERN_NICHT_ANGESTEUERT_UNGUELTIG,
		};

	/**
	 * A public read-only list of all the '<em><b>ENUM Objektzustand Besonders</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static final List<ENUMObjektzustandBesonders> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

	/**
	 * Returns the '<em><b>ENUM Objektzustand Besonders</b></em>' literal with the specified literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param literal the literal.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMObjektzustandBesonders get(String literal) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMObjektzustandBesonders result = VALUES_ARRAY[i];
			if (result.toString().equals(literal)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Objektzustand Besonders</b></em>' literal with the specified name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param name the name.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMObjektzustandBesonders getByName(String name) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMObjektzustandBesonders result = VALUES_ARRAY[i];
			if (result.getName().equals(name)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Objektzustand Besonders</b></em>' literal with the specified integer value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the integer value.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMObjektzustandBesonders get(int value) {
		switch (value) {
			case ENUM_OBJEKTZUSTAND_BESONDERS_AM_STANDORT_ANGESTEUERT_NICHT_GUELTIG_VALUE: return ENUM_OBJEKTZUSTAND_BESONDERS_AM_STANDORT_ANGESTEUERT_NICHT_GUELTIG;
			case ENUM_OBJEKTZUSTAND_BESONDERS_AM_STANDORT_ANGESTEUERT_UNGUELTIG_ABGEDECKT_VALUE: return ENUM_OBJEKTZUSTAND_BESONDERS_AM_STANDORT_ANGESTEUERT_UNGUELTIG_ABGEDECKT;
			case ENUM_OBJEKTZUSTAND_BESONDERS_AM_STANDORT_NICHT_ANGESTEUERT_UNGUELTIG_VALUE: return ENUM_OBJEKTZUSTAND_BESONDERS_AM_STANDORT_NICHT_ANGESTEUERT_UNGUELTIG;
			case ENUM_OBJEKTZUSTAND_BESONDERS_AM_STANDORT_NICHT_ANGESTEUERT_VORBEREITEND_VALUE: return ENUM_OBJEKTZUSTAND_BESONDERS_AM_STANDORT_NICHT_ANGESTEUERT_VORBEREITEND;
			case ENUM_OBJEKTZUSTAND_BESONDERS_SONSTIGE_VALUE: return ENUM_OBJEKTZUSTAND_BESONDERS_SONSTIGE;
			case ENUM_OBJEKTZUSTAND_BESONDERS_STANDORTFERN_ANGESTEUERT_UNGUELTIG_VALUE: return ENUM_OBJEKTZUSTAND_BESONDERS_STANDORTFERN_ANGESTEUERT_UNGUELTIG;
			case ENUM_OBJEKTZUSTAND_BESONDERS_STANDORTFERN_NICHT_ANGESTEUERT_UNGUELTIG_VALUE: return ENUM_OBJEKTZUSTAND_BESONDERS_STANDORTFERN_NICHT_ANGESTEUERT_UNGUELTIG;
			default: return null;
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final int value;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String name;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String literal;

	/**
	 * Only this class can construct instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private ENUMObjektzustandBesonders(int value, String name, String literal) {
		this.value = value;
		this.name = name;
		this.literal = literal;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public int getValue() {
	  return value;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getName() {
	  return name;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getLiteral() {
	  return literal;
	}

	/**
	 * Returns the literal value of the enumerator, which is its string representation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		return literal;
	}
	
} //ENUMObjektzustandBesonders
