/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Bedienung;

import org.eclipse.emf.ecore.EFactory;

/**
 * <!-- begin-user-doc -->
 * The <b>Factory</b> for the model.
 * It provides a create method for each non-abstract class of the model.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Bedienung.BedienungPackage
 * @generated
 */
public interface BedienungFactory extends EFactory {
	/**
	 * The singleton instance of the factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	BedienungFactory eINSTANCE = org.eclipse.set.toolboxmodel.Bedienung.impl.BedienungFactoryImpl.init();

	/**
	 * Returns a new object of class '<em>AWert Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>AWert Type Class</em>'.
	 * @generated
	 */
	A_Wert_TypeClass createA_Wert_TypeClass();

	/**
	 * Returns a new object of class '<em>Anbindung IB2 Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Anbindung IB2 Type Class</em>'.
	 * @generated
	 */
	Anbindung_IB2_TypeClass createAnbindung_IB2_TypeClass();

	/**
	 * Returns a new object of class '<em>Anbindung IB3 Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Anbindung IB3 Type Class</em>'.
	 * @generated
	 */
	Anbindung_IB3_TypeClass createAnbindung_IB3_TypeClass();

	/**
	 * Returns a new object of class '<em>BWert Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>BWert Type Class</em>'.
	 * @generated
	 */
	B_Wert_TypeClass createB_Wert_TypeClass();

	/**
	 * Returns a new object of class '<em>Bedien Anrueckabschnitt</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bedien Anrueckabschnitt</em>'.
	 * @generated
	 */
	Bedien_Anrueckabschnitt createBedien_Anrueckabschnitt();

	/**
	 * Returns a new object of class '<em>Bedien Anrueckabschnitt Bezeichnung Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bedien Anrueckabschnitt Bezeichnung Attribute Group</em>'.
	 * @generated
	 */
	Bedien_Anrueckabschnitt_Bezeichnung_AttributeGroup createBedien_Anrueckabschnitt_Bezeichnung_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Bedien Anzeige Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bedien Anzeige Element</em>'.
	 * @generated
	 */
	Bedien_Anzeige_Element createBedien_Anzeige_Element();

	/**
	 * Returns a new object of class '<em>Bedien Anzeige Element Allg Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bedien Anzeige Element Allg Attribute Group</em>'.
	 * @generated
	 */
	Bedien_Anzeige_Element_Allg_AttributeGroup createBedien_Anzeige_Element_Allg_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Bedien Anzeige Element Bezeichnung Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bedien Anzeige Element Bezeichnung Attribute Group</em>'.
	 * @generated
	 */
	Bedien_Anzeige_Element_Bezeichnung_AttributeGroup createBedien_Anzeige_Element_Bezeichnung_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Bedien Bezirk</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bedien Bezirk</em>'.
	 * @generated
	 */
	Bedien_Bezirk createBedien_Bezirk();

	/**
	 * Returns a new object of class '<em>Bedien Bezirk Adressformel Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bedien Bezirk Adressformel Attribute Group</em>'.
	 * @generated
	 */
	Bedien_Bezirk_Adressformel_AttributeGroup createBedien_Bezirk_Adressformel_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Bedien Bezirk Allg Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bedien Bezirk Allg Attribute Group</em>'.
	 * @generated
	 */
	Bedien_Bezirk_Allg_AttributeGroup createBedien_Bezirk_Allg_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Bedien Bezirk Anhaenge Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bedien Bezirk Anhaenge Attribute Group</em>'.
	 * @generated
	 */
	Bedien_Bezirk_Anhaenge_AttributeGroup createBedien_Bezirk_Anhaenge_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Bedien Einricht Bauart Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bedien Einricht Bauart Type Class</em>'.
	 * @generated
	 */
	Bedien_Einricht_Bauart_TypeClass createBedien_Einricht_Bauart_TypeClass();

	/**
	 * Returns a new object of class '<em>Bedien Einricht Oertl Bez Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bedien Einricht Oertl Bez Type Class</em>'.
	 * @generated
	 */
	Bedien_Einricht_Oertl_Bez_TypeClass createBedien_Einricht_Oertl_Bez_TypeClass();

	/**
	 * Returns a new object of class '<em>Bedien Einricht Oertlich Allg Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bedien Einricht Oertlich Allg Attribute Group</em>'.
	 * @generated
	 */
	Bedien_Einricht_Oertlich_Allg_AttributeGroup createBedien_Einricht_Oertlich_Allg_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Bedien Einrichtung Oertlich</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bedien Einrichtung Oertlich</em>'.
	 * @generated
	 */
	Bedien_Einrichtung_Oertlich createBedien_Einrichtung_Oertlich();

	/**
	 * Returns a new object of class '<em>Bedien Einrichtung Oertlich Bezeichnung Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bedien Einrichtung Oertlich Bezeichnung Attribute Group</em>'.
	 * @generated
	 */
	Bedien_Einrichtung_Oertlich_Bezeichnung_AttributeGroup createBedien_Einrichtung_Oertlich_Bezeichnung_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Bedien GBT</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bedien GBT</em>'.
	 * @generated
	 */
	Bedien_GBT createBedien_GBT();

	/**
	 * Returns a new object of class '<em>Bedien GBT Allg Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bedien GBT Allg Attribute Group</em>'.
	 * @generated
	 */
	Bedien_GBT_Allg_AttributeGroup createBedien_GBT_Allg_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Bedien Oberflaeche</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bedien Oberflaeche</em>'.
	 * @generated
	 */
	Bedien_Oberflaeche createBedien_Oberflaeche();

	/**
	 * Returns a new object of class '<em>Bedien Oberflaeche Anhaenge Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bedien Oberflaeche Anhaenge Attribute Group</em>'.
	 * @generated
	 */
	Bedien_Oberflaeche_Anhaenge_AttributeGroup createBedien_Oberflaeche_Anhaenge_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Bedien Oberflaeche Bild</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bedien Oberflaeche Bild</em>'.
	 * @generated
	 */
	Bedien_Oberflaeche_Bild createBedien_Oberflaeche_Bild();

	/**
	 * Returns a new object of class '<em>Bedien Oberflaeche Bild Allg Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bedien Oberflaeche Bild Allg Attribute Group</em>'.
	 * @generated
	 */
	Bedien_Oberflaeche_Bild_Allg_AttributeGroup createBedien_Oberflaeche_Bild_Allg_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Bedien Oertlichkeit</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bedien Oertlichkeit</em>'.
	 * @generated
	 */
	Bedien_Oertlichkeit createBedien_Oertlichkeit();

	/**
	 * Returns a new object of class '<em>Bedien Oertlichkeit Kennzahlen Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bedien Oertlichkeit Kennzahlen Attribute Group</em>'.
	 * @generated
	 */
	Bedien_Oertlichkeit_Kennzahlen_AttributeGroup createBedien_Oertlichkeit_Kennzahlen_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Bedien Platz</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bedien Platz</em>'.
	 * @generated
	 */
	Bedien_Platz createBedien_Platz();

	/**
	 * Returns a new object of class '<em>Bedien Platz Allg Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bedien Platz Allg Attribute Group</em>'.
	 * @generated
	 */
	Bedien_Platz_Allg_AttributeGroup createBedien_Platz_Allg_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Bedien Platz Art Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bedien Platz Art Type Class</em>'.
	 * @generated
	 */
	Bedien_Platz_Art_TypeClass createBedien_Platz_Art_TypeClass();

	/**
	 * Returns a new object of class '<em>Bedien Standort</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bedien Standort</em>'.
	 * @generated
	 */
	Bedien_Standort createBedien_Standort();

	/**
	 * Returns a new object of class '<em>Bedien Standort Bezeichnung Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bedien Standort Bezeichnung Attribute Group</em>'.
	 * @generated
	 */
	Bedien_Standort_Bezeichnung_AttributeGroup createBedien_Standort_Bezeichnung_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Bedien Zentrale</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bedien Zentrale</em>'.
	 * @generated
	 */
	Bedien_Zentrale createBedien_Zentrale();

	/**
	 * Returns a new object of class '<em>Bedien Zentrale Bezeichnung Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bedien Zentrale Bezeichnung Attribute Group</em>'.
	 * @generated
	 */
	Bedien_Zentrale_Bezeichnung_AttributeGroup createBedien_Zentrale_Bezeichnung_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Bedienplatzbezeichnung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bedienplatzbezeichnung Type Class</em>'.
	 * @generated
	 */
	Bedienplatzbezeichnung_TypeClass createBedienplatzbezeichnung_TypeClass();

	/**
	 * Returns a new object of class '<em>Bedienplatznummer Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bedienplatznummer Type Class</em>'.
	 * @generated
	 */
	Bedienplatznummer_TypeClass createBedienplatznummer_TypeClass();

	/**
	 * Returns a new object of class '<em>Bedienraumnummer Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bedienraumnummer Type Class</em>'.
	 * @generated
	 */
	Bedienraumnummer_TypeClass createBedienraumnummer_TypeClass();

	/**
	 * Returns a new object of class '<em>Betriebsstellenbezeichner Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Betriebsstellenbezeichner Type Class</em>'.
	 * @generated
	 */
	Betriebsstellenbezeichner_TypeClass createBetriebsstellenbezeichner_TypeClass();

	/**
	 * Returns a new object of class '<em>Bez Bed Anrueckabschnitt Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bez Bed Anrueckabschnitt Type Class</em>'.
	 * @generated
	 */
	Bez_Bed_Anrueckabschnitt_TypeClass createBez_Bed_Anrueckabschnitt_TypeClass();

	/**
	 * Returns a new object of class '<em>Bez Bed Anzeige Element Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bez Bed Anzeige Element Type Class</em>'.
	 * @generated
	 */
	Bez_Bed_Anzeige_Element_TypeClass createBez_Bed_Anzeige_Element_TypeClass();

	/**
	 * Returns a new object of class '<em>Bez Bed Zentrale Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bez Bed Zentrale Type Class</em>'.
	 * @generated
	 */
	Bez_Bed_Zentrale_TypeClass createBez_Bed_Zentrale_TypeClass();

	/**
	 * Returns a new object of class '<em>Bezeichnung BSO Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bezeichnung BSO Type Class</em>'.
	 * @generated
	 */
	Bezeichnung_BSO_TypeClass createBezeichnung_BSO_TypeClass();

	/**
	 * Returns a new object of class '<em>BSO IP AB Teilsystem Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>BSO IP AB Teilsystem Attribute Group</em>'.
	 * @generated
	 */
	BSO_IP_AB_Teilsystem_AttributeGroup createBSO_IP_AB_Teilsystem_AttributeGroup();

	/**
	 * Returns a new object of class '<em>BSO IP Adressblock Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>BSO IP Adressblock Attribute Group</em>'.
	 * @generated
	 */
	BSO_IP_Adressblock_AttributeGroup createBSO_IP_Adressblock_AttributeGroup();

	/**
	 * Returns a new object of class '<em>BSO Teilsystem Art Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>BSO Teilsystem Art Type Class</em>'.
	 * @generated
	 */
	BSO_Teilsystem_Art_TypeClass createBSO_Teilsystem_Art_TypeClass();

	/**
	 * Returns a new object of class '<em>CWert Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>CWert Type Class</em>'.
	 * @generated
	 */
	C_Wert_TypeClass createC_Wert_TypeClass();

	/**
	 * Returns a new object of class '<em>DD Wert Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>DD Wert Type Class</em>'.
	 * @generated
	 */
	DD_Wert_TypeClass createDD_Wert_TypeClass();

	/**
	 * Returns a new object of class '<em>Hersteller Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Hersteller Type Class</em>'.
	 * @generated
	 */
	Hersteller_TypeClass createHersteller_TypeClass();

	/**
	 * Returns a new object of class '<em>Hupe Anschaltzeit Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Hupe Anschaltzeit Type Class</em>'.
	 * @generated
	 */
	Hupe_Anschaltzeit_TypeClass createHupe_Anschaltzeit_TypeClass();

	/**
	 * Returns a new object of class '<em>IP Adressblock Blau Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>IP Adressblock Blau Type Class</em>'.
	 * @generated
	 */
	IP_Adressblock_Blau_TypeClass createIP_Adressblock_Blau_TypeClass();

	/**
	 * Returns a new object of class '<em>IP Adressblock Blau V4 Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>IP Adressblock Blau V4 Type Class</em>'.
	 * @generated
	 */
	IP_Adressblock_Blau_V4_TypeClass createIP_Adressblock_Blau_V4_TypeClass();

	/**
	 * Returns a new object of class '<em>IP Adressblock Blau V6 Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>IP Adressblock Blau V6 Type Class</em>'.
	 * @generated
	 */
	IP_Adressblock_Blau_V6_TypeClass createIP_Adressblock_Blau_V6_TypeClass();

	/**
	 * Returns a new object of class '<em>IP Adressblock Grau Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>IP Adressblock Grau Type Class</em>'.
	 * @generated
	 */
	IP_Adressblock_Grau_TypeClass createIP_Adressblock_Grau_TypeClass();

	/**
	 * Returns a new object of class '<em>IP Adressblock Grau V4 Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>IP Adressblock Grau V4 Type Class</em>'.
	 * @generated
	 */
	IP_Adressblock_Grau_V4_TypeClass createIP_Adressblock_Grau_V4_TypeClass();

	/**
	 * Returns a new object of class '<em>IP Adressblock Grau V6 Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>IP Adressblock Grau V6 Type Class</em>'.
	 * @generated
	 */
	IP_Adressblock_Grau_V6_TypeClass createIP_Adressblock_Grau_V6_TypeClass();

	/**
	 * Returns a new object of class '<em>Kennzahl Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Kennzahl Type Class</em>'.
	 * @generated
	 */
	Kennzahl_TypeClass createKennzahl_TypeClass();

	/**
	 * Returns a new object of class '<em>Melder Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Melder Type Class</em>'.
	 * @generated
	 */
	Melder_TypeClass createMelder_TypeClass();

	/**
	 * Returns a new object of class '<em>Oberflaeche Bildart Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Oberflaeche Bildart Type Class</em>'.
	 * @generated
	 */
	Oberflaeche_Bildart_TypeClass createOberflaeche_Bildart_TypeClass();

	/**
	 * Returns a new object of class '<em>Oberflaeche Zustaendigkeit Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Oberflaeche Zustaendigkeit Type Class</em>'.
	 * @generated
	 */
	Oberflaeche_Zustaendigkeit_TypeClass createOberflaeche_Zustaendigkeit_TypeClass();

	/**
	 * Returns a new object of class '<em>Regionalbereich Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Regionalbereich Type Class</em>'.
	 * @generated
	 */
	Regionalbereich_TypeClass createRegionalbereich_TypeClass();

	/**
	 * Returns a new object of class '<em>Rueckschauzeit Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Rueckschauzeit Type Class</em>'.
	 * @generated
	 */
	Rueckschauzeit_TypeClass createRueckschauzeit_TypeClass();

	/**
	 * Returns a new object of class '<em>Schalter Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Schalter Type Class</em>'.
	 * @generated
	 */
	Schalter_TypeClass createSchalter_TypeClass();

	/**
	 * Returns a new object of class '<em>Schrankreihe Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Schrankreihe Type Class</em>'.
	 * @generated
	 */
	Schrankreihe_TypeClass createSchrankreihe_TypeClass();

	/**
	 * Returns a new object of class '<em>Steuerbezirksname Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Steuerbezirksname Type Class</em>'.
	 * @generated
	 */
	Steuerbezirksname_TypeClass createSteuerbezirksname_TypeClass();

	/**
	 * Returns a new object of class '<em>Steuerbezirksnummer Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Steuerbezirksnummer Type Class</em>'.
	 * @generated
	 */
	Steuerbezirksnummer_TypeClass createSteuerbezirksnummer_TypeClass();

	/**
	 * Returns a new object of class '<em>Taste Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Taste Type Class</em>'.
	 * @generated
	 */
	Taste_TypeClass createTaste_TypeClass();

	/**
	 * Returns a new object of class '<em>Vorschauzeit Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Vorschauzeit Type Class</em>'.
	 * @generated
	 */
	Vorschauzeit_TypeClass createVorschauzeit_TypeClass();

	/**
	 * Returns a new object of class '<em>XWert Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>XWert Type Class</em>'.
	 * @generated
	 */
	X_Wert_TypeClass createX_Wert_TypeClass();

	/**
	 * Returns a new object of class '<em>YWert Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>YWert Type Class</em>'.
	 * @generated
	 */
	Y_Wert_TypeClass createY_Wert_TypeClass();

	/**
	 * Returns a new object of class '<em>YY Wert Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>YY Wert Type Class</em>'.
	 * @generated
	 */
	YY_Wert_TypeClass createYY_Wert_TypeClass();

	/**
	 * Returns the package supported by this factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the package supported by this factory.
	 * @generated
	 */
	BedienungPackage getBedienungPackage();

} //BedienungFactory
