/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Bedienung;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>ENUM Bedien Einricht Bauart</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Bedienung.BedienungPackage#getENUMBedienEinrichtBauart()
 * @model extendedMetaData="name='ENUMBedien_Einricht_Bauart'"
 * @generated
 */
public enum ENUMBedienEinrichtBauart implements Enumerator {
	/**
	 * The '<em><b>ENUM Bedien Einricht Bauart Bedienpult</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BEDIEN_EINRICHT_BAUART_BEDIENPULT_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_BEDIEN_EINRICHT_BAUART_BEDIENPULT(0, "ENUMBedien_Einricht_Bauart_Bedienpult", "Bedienpult"),

	/**
	 * The '<em><b>ENUM Bedien Einricht Bauart Bediensaeule</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BEDIEN_EINRICHT_BAUART_BEDIENSAEULE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_BEDIEN_EINRICHT_BAUART_BEDIENSAEULE(1, "ENUMBedien_Einricht_Bauart_Bediensaeule", "Bediensaeule"),

	/**
	 * The '<em><b>ENUM Bedien Einricht Bauart Bedientablett</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BEDIEN_EINRICHT_BAUART_BEDIENTABLETT_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_BEDIEN_EINRICHT_BAUART_BEDIENTABLETT(2, "ENUMBedien_Einricht_Bauart_Bedientablett", "Bedientablett"),

	/**
	 * The '<em><b>ENUM Bedien Einricht Bauart Bedientafel</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BEDIEN_EINRICHT_BAUART_BEDIENTAFEL_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_BEDIEN_EINRICHT_BAUART_BEDIENTAFEL(3, "ENUMBedien_Einricht_Bauart_Bedientafel", "Bedientafel"),

	/**
	 * The '<em><b>ENUM Bedien Einricht Bauart sonstige</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BEDIEN_EINRICHT_BAUART_SONSTIGE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_BEDIEN_EINRICHT_BAUART_SONSTIGE(4, "ENUMBedien_Einricht_Bauart_sonstige", "sonstige"),

	/**
	 * The '<em><b>ENUM Bedien Einricht Bauart Stellpult</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BEDIEN_EINRICHT_BAUART_STELLPULT_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_BEDIEN_EINRICHT_BAUART_STELLPULT(5, "ENUMBedien_Einricht_Bauart_Stellpult", "Stellpult"),

	/**
	 * The '<em><b>ENUM Bedien Einricht Bauart Stelltisch</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BEDIEN_EINRICHT_BAUART_STELLTISCH_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_BEDIEN_EINRICHT_BAUART_STELLTISCH(6, "ENUMBedien_Einricht_Bauart_Stelltisch", "Stelltisch");

	/**
	 * The '<em><b>ENUM Bedien Einricht Bauart Bedienpult</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BEDIEN_EINRICHT_BAUART_BEDIENPULT
	 * @model name="ENUMBedien_Einricht_Bauart_Bedienpult" literal="Bedienpult"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_BEDIEN_EINRICHT_BAUART_BEDIENPULT_VALUE = 0;

	/**
	 * The '<em><b>ENUM Bedien Einricht Bauart Bediensaeule</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BEDIEN_EINRICHT_BAUART_BEDIENSAEULE
	 * @model name="ENUMBedien_Einricht_Bauart_Bediensaeule" literal="Bediensaeule"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_BEDIEN_EINRICHT_BAUART_BEDIENSAEULE_VALUE = 1;

	/**
	 * The '<em><b>ENUM Bedien Einricht Bauart Bedientablett</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BEDIEN_EINRICHT_BAUART_BEDIENTABLETT
	 * @model name="ENUMBedien_Einricht_Bauart_Bedientablett" literal="Bedientablett"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_BEDIEN_EINRICHT_BAUART_BEDIENTABLETT_VALUE = 2;

	/**
	 * The '<em><b>ENUM Bedien Einricht Bauart Bedientafel</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BEDIEN_EINRICHT_BAUART_BEDIENTAFEL
	 * @model name="ENUMBedien_Einricht_Bauart_Bedientafel" literal="Bedientafel"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_BEDIEN_EINRICHT_BAUART_BEDIENTAFEL_VALUE = 3;

	/**
	 * The '<em><b>ENUM Bedien Einricht Bauart sonstige</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BEDIEN_EINRICHT_BAUART_SONSTIGE
	 * @model name="ENUMBedien_Einricht_Bauart_sonstige" literal="sonstige"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_BEDIEN_EINRICHT_BAUART_SONSTIGE_VALUE = 4;

	/**
	 * The '<em><b>ENUM Bedien Einricht Bauart Stellpult</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BEDIEN_EINRICHT_BAUART_STELLPULT
	 * @model name="ENUMBedien_Einricht_Bauart_Stellpult" literal="Stellpult"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_BEDIEN_EINRICHT_BAUART_STELLPULT_VALUE = 5;

	/**
	 * The '<em><b>ENUM Bedien Einricht Bauart Stelltisch</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BEDIEN_EINRICHT_BAUART_STELLTISCH
	 * @model name="ENUMBedien_Einricht_Bauart_Stelltisch" literal="Stelltisch"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_BEDIEN_EINRICHT_BAUART_STELLTISCH_VALUE = 6;

	/**
	 * An array of all the '<em><b>ENUM Bedien Einricht Bauart</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static final ENUMBedienEinrichtBauart[] VALUES_ARRAY =
		new ENUMBedienEinrichtBauart[] {
			ENUM_BEDIEN_EINRICHT_BAUART_BEDIENPULT,
			ENUM_BEDIEN_EINRICHT_BAUART_BEDIENSAEULE,
			ENUM_BEDIEN_EINRICHT_BAUART_BEDIENTABLETT,
			ENUM_BEDIEN_EINRICHT_BAUART_BEDIENTAFEL,
			ENUM_BEDIEN_EINRICHT_BAUART_SONSTIGE,
			ENUM_BEDIEN_EINRICHT_BAUART_STELLPULT,
			ENUM_BEDIEN_EINRICHT_BAUART_STELLTISCH,
		};

	/**
	 * A public read-only list of all the '<em><b>ENUM Bedien Einricht Bauart</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static final List<ENUMBedienEinrichtBauart> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

	/**
	 * Returns the '<em><b>ENUM Bedien Einricht Bauart</b></em>' literal with the specified literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param literal the literal.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMBedienEinrichtBauart get(String literal) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMBedienEinrichtBauart result = VALUES_ARRAY[i];
			if (result.toString().equals(literal)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Bedien Einricht Bauart</b></em>' literal with the specified name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param name the name.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMBedienEinrichtBauart getByName(String name) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMBedienEinrichtBauart result = VALUES_ARRAY[i];
			if (result.getName().equals(name)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Bedien Einricht Bauart</b></em>' literal with the specified integer value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the integer value.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMBedienEinrichtBauart get(int value) {
		switch (value) {
			case ENUM_BEDIEN_EINRICHT_BAUART_BEDIENPULT_VALUE: return ENUM_BEDIEN_EINRICHT_BAUART_BEDIENPULT;
			case ENUM_BEDIEN_EINRICHT_BAUART_BEDIENSAEULE_VALUE: return ENUM_BEDIEN_EINRICHT_BAUART_BEDIENSAEULE;
			case ENUM_BEDIEN_EINRICHT_BAUART_BEDIENTABLETT_VALUE: return ENUM_BEDIEN_EINRICHT_BAUART_BEDIENTABLETT;
			case ENUM_BEDIEN_EINRICHT_BAUART_BEDIENTAFEL_VALUE: return ENUM_BEDIEN_EINRICHT_BAUART_BEDIENTAFEL;
			case ENUM_BEDIEN_EINRICHT_BAUART_SONSTIGE_VALUE: return ENUM_BEDIEN_EINRICHT_BAUART_SONSTIGE;
			case ENUM_BEDIEN_EINRICHT_BAUART_STELLPULT_VALUE: return ENUM_BEDIEN_EINRICHT_BAUART_STELLPULT;
			case ENUM_BEDIEN_EINRICHT_BAUART_STELLTISCH_VALUE: return ENUM_BEDIEN_EINRICHT_BAUART_STELLTISCH;
			default: return null;
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final int value;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String name;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String literal;

	/**
	 * Only this class can construct instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private ENUMBedienEinrichtBauart(int value, String name, String literal) {
		this.value = value;
		this.name = name;
		this.literal = literal;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public int getValue() {
	  return value;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getName() {
	  return name;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getLiteral() {
	  return literal;
	}

	/**
	 * Returns the literal value of the enumerator, which is its string representation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		return literal;
	}
	
} //ENUMBedienEinrichtBauart
