/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Bedienung;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>ENUM Schalter</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Bedienung.BedienungPackage#getENUMSchalter()
 * @model extendedMetaData="name='ENUMSchalter'"
 * @generated
 */
public enum ENUMSchalter implements Enumerator {
	/**
	 * The '<em><b>ENUM Schalter Gefahrschalter</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SCHALTER_GEFAHRSCHALTER_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_SCHALTER_GEFAHRSCHALTER(0, "ENUMSchalter_Gefahrschalter", "Gefahrschalter"),

	/**
	 * The '<em><b>ENUM Schalter Nothaltschalter</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SCHALTER_NOTHALTSCHALTER_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_SCHALTER_NOTHALTSCHALTER(1, "ENUMSchalter_Nothaltschalter", "Nothaltschalter"),

	/**
	 * The '<em><b>ENUM Schalter Schalter ein aus</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SCHALTER_SCHALTER_EIN_AUS_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_SCHALTER_SCHALTER_EIN_AUS(2, "ENUMSchalter_Schalter_ein_aus", "Schalter_ein_aus"),

	/**
	 * The '<em><b>ENUM Schalter Schluesselschalter DB 21</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SCHALTER_SCHLUESSELSCHALTER_DB_21_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_SCHALTER_SCHLUESSELSCHALTER_DB_21(3, "ENUMSchalter_Schluesselschalter_DB_21", "Schluesselschalter_DB_21"),

	/**
	 * The '<em><b>ENUM Schalter Schluesselschalter Vierkant</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SCHALTER_SCHLUESSELSCHALTER_VIERKANT_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_SCHALTER_SCHLUESSELSCHALTER_VIERKANT(4, "ENUMSchalter_Schluesselschalter_Vierkant", "Schluesselschalter_Vierkant"),

	/**
	 * The '<em><b>ENUM Schalter sonstige</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SCHALTER_SONSTIGE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_SCHALTER_SONSTIGE(5, "ENUMSchalter_sonstige", "sonstige"),

	/**
	 * The '<em><b>ENUM Schalter Vorbereitungsmeldung</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SCHALTER_VORBEREITUNGSMELDUNG_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_SCHALTER_VORBEREITUNGSMELDUNG(6, "ENUMSchalter_Vorbereitungsmeldung", "Vorbereitungsmeldung"),

	/**
	 * The '<em><b>ENUM Schalter Zustimmungstaste</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SCHALTER_ZUSTIMMUNGSTASTE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_SCHALTER_ZUSTIMMUNGSTASTE(7, "ENUMSchalter_Zustimmungstaste", "Zustimmungstaste");

	/**
	 * The '<em><b>ENUM Schalter Gefahrschalter</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SCHALTER_GEFAHRSCHALTER
	 * @model name="ENUMSchalter_Gefahrschalter" literal="Gefahrschalter"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_SCHALTER_GEFAHRSCHALTER_VALUE = 0;

	/**
	 * The '<em><b>ENUM Schalter Nothaltschalter</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SCHALTER_NOTHALTSCHALTER
	 * @model name="ENUMSchalter_Nothaltschalter" literal="Nothaltschalter"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_SCHALTER_NOTHALTSCHALTER_VALUE = 1;

	/**
	 * The '<em><b>ENUM Schalter Schalter ein aus</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SCHALTER_SCHALTER_EIN_AUS
	 * @model name="ENUMSchalter_Schalter_ein_aus" literal="Schalter_ein_aus"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_SCHALTER_SCHALTER_EIN_AUS_VALUE = 2;

	/**
	 * The '<em><b>ENUM Schalter Schluesselschalter DB 21</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SCHALTER_SCHLUESSELSCHALTER_DB_21
	 * @model name="ENUMSchalter_Schluesselschalter_DB_21" literal="Schluesselschalter_DB_21"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_SCHALTER_SCHLUESSELSCHALTER_DB_21_VALUE = 3;

	/**
	 * The '<em><b>ENUM Schalter Schluesselschalter Vierkant</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SCHALTER_SCHLUESSELSCHALTER_VIERKANT
	 * @model name="ENUMSchalter_Schluesselschalter_Vierkant" literal="Schluesselschalter_Vierkant"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_SCHALTER_SCHLUESSELSCHALTER_VIERKANT_VALUE = 4;

	/**
	 * The '<em><b>ENUM Schalter sonstige</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SCHALTER_SONSTIGE
	 * @model name="ENUMSchalter_sonstige" literal="sonstige"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_SCHALTER_SONSTIGE_VALUE = 5;

	/**
	 * The '<em><b>ENUM Schalter Vorbereitungsmeldung</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SCHALTER_VORBEREITUNGSMELDUNG
	 * @model name="ENUMSchalter_Vorbereitungsmeldung" literal="Vorbereitungsmeldung"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_SCHALTER_VORBEREITUNGSMELDUNG_VALUE = 6;

	/**
	 * The '<em><b>ENUM Schalter Zustimmungstaste</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SCHALTER_ZUSTIMMUNGSTASTE
	 * @model name="ENUMSchalter_Zustimmungstaste" literal="Zustimmungstaste"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_SCHALTER_ZUSTIMMUNGSTASTE_VALUE = 7;

	/**
	 * An array of all the '<em><b>ENUM Schalter</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static final ENUMSchalter[] VALUES_ARRAY =
		new ENUMSchalter[] {
			ENUM_SCHALTER_GEFAHRSCHALTER,
			ENUM_SCHALTER_NOTHALTSCHALTER,
			ENUM_SCHALTER_SCHALTER_EIN_AUS,
			ENUM_SCHALTER_SCHLUESSELSCHALTER_DB_21,
			ENUM_SCHALTER_SCHLUESSELSCHALTER_VIERKANT,
			ENUM_SCHALTER_SONSTIGE,
			ENUM_SCHALTER_VORBEREITUNGSMELDUNG,
			ENUM_SCHALTER_ZUSTIMMUNGSTASTE,
		};

	/**
	 * A public read-only list of all the '<em><b>ENUM Schalter</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static final List<ENUMSchalter> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

	/**
	 * Returns the '<em><b>ENUM Schalter</b></em>' literal with the specified literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param literal the literal.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMSchalter get(String literal) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMSchalter result = VALUES_ARRAY[i];
			if (result.toString().equals(literal)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Schalter</b></em>' literal with the specified name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param name the name.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMSchalter getByName(String name) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMSchalter result = VALUES_ARRAY[i];
			if (result.getName().equals(name)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Schalter</b></em>' literal with the specified integer value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the integer value.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMSchalter get(int value) {
		switch (value) {
			case ENUM_SCHALTER_GEFAHRSCHALTER_VALUE: return ENUM_SCHALTER_GEFAHRSCHALTER;
			case ENUM_SCHALTER_NOTHALTSCHALTER_VALUE: return ENUM_SCHALTER_NOTHALTSCHALTER;
			case ENUM_SCHALTER_SCHALTER_EIN_AUS_VALUE: return ENUM_SCHALTER_SCHALTER_EIN_AUS;
			case ENUM_SCHALTER_SCHLUESSELSCHALTER_DB_21_VALUE: return ENUM_SCHALTER_SCHLUESSELSCHALTER_DB_21;
			case ENUM_SCHALTER_SCHLUESSELSCHALTER_VIERKANT_VALUE: return ENUM_SCHALTER_SCHLUESSELSCHALTER_VIERKANT;
			case ENUM_SCHALTER_SONSTIGE_VALUE: return ENUM_SCHALTER_SONSTIGE;
			case ENUM_SCHALTER_VORBEREITUNGSMELDUNG_VALUE: return ENUM_SCHALTER_VORBEREITUNGSMELDUNG;
			case ENUM_SCHALTER_ZUSTIMMUNGSTASTE_VALUE: return ENUM_SCHALTER_ZUSTIMMUNGSTASTE;
			default: return null;
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final int value;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String name;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String literal;

	/**
	 * Only this class can construct instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private ENUMSchalter(int value, String name, String literal) {
		this.value = value;
		this.name = name;
		this.literal = literal;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public int getValue() {
	  return value;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getName() {
	  return name;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getLiteral() {
	  return literal;
	}

	/**
	 * Returns the literal value of the enumerator, which is its string representation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		return literal;
	}
	
} //ENUMSchalter
