/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Bedienung;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>ENUM Taste</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Bedienung.BedienungPackage#getENUMTaste()
 * @model extendedMetaData="name='ENUMTaste'"
 * @generated
 */
public enum ENUMTaste implements Enumerator {
	/**
	 * The '<em><b>ENUM Taste Ausfahrgruppentaste ZP 910</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TASTE_AUSFAHRGRUPPENTASTE_ZP_910_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_TASTE_AUSFAHRGRUPPENTASTE_ZP_910(0, "ENUMTaste_Ausfahrgruppentaste_ZP_9_10", "Ausfahrgruppentaste_ZP_9_10"),

	/**
	 * The '<em><b>ENUM Taste Bedientaste ZP 10</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TASTE_BEDIENTASTE_ZP_10_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_TASTE_BEDIENTASTE_ZP_10(1, "ENUMTaste_Bedientaste_ZP_10", "Bedientaste_ZP_10"),

	/**
	 * The '<em><b>ENUM Taste Bedientaste ZP 9</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TASTE_BEDIENTASTE_ZP_9_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_TASTE_BEDIENTASTE_ZP_9(2, "ENUMTaste_Bedientaste_ZP_9", "Bedientaste_ZP_9"),

	/**
	 * The '<em><b>ENUM Taste Fahrstrassenanforderung</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TASTE_FAHRSTRASSENANFORDERUNG_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_TASTE_FAHRSTRASSENANFORDERUNG(3, "ENUMTaste_Fahrstrassenanforderung", "Fahrstrassenanforderung"),

	/**
	 * The '<em><b>ENUM Taste Fahrstrassenzustimmung</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TASTE_FAHRSTRASSENZUSTIMMUNG_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_TASTE_FAHRSTRASSENZUSTIMMUNG(4, "ENUMTaste_Fahrstrassenzustimmung", "Fahrstrassenzustimmung"),

	/**
	 * The '<em><b>ENUM Taste Freimeldetaste</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TASTE_FREIMELDETASTE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_TASTE_FREIMELDETASTE(5, "ENUMTaste_Freimeldetaste", "Freimeldetaste"),

	/**
	 * The '<em><b>ENUM Taste Gruppentaste</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TASTE_GRUPPENTASTE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_TASTE_GRUPPENTASTE(6, "ENUMTaste_Gruppentaste", "Gruppentaste"),

	/**
	 * The '<em><b>ENUM Taste Hilfstaste</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TASTE_HILFSTASTE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_TASTE_HILFSTASTE(7, "ENUMTaste_Hilfstaste", "Hilfstaste"),

	/**
	 * The '<em><b>ENUM Taste Loeschtaste</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TASTE_LOESCHTASTE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_TASTE_LOESCHTASTE(8, "ENUMTaste_Loeschtaste", "Loeschtaste"),

	/**
	 * The '<em><b>ENUM Taste Rueckgabetaste</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TASTE_RUECKGABETASTE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_TASTE_RUECKGABETASTE(9, "ENUMTaste_Rueckgabetaste", "Rueckgabetaste"),

	/**
	 * The '<em><b>ENUM Taste Schluesseltaste DB 21</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TASTE_SCHLUESSELTASTE_DB_21_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_TASTE_SCHLUESSELTASTE_DB_21(10, "ENUMTaste_Schluesseltaste_DB_21", "Schluesseltaste_DB_21"),

	/**
	 * The '<em><b>ENUM Taste Schluesseltaste Streckenschluessel</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TASTE_SCHLUESSELTASTE_STRECKENSCHLUESSEL_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_TASTE_SCHLUESSELTASTE_STRECKENSCHLUESSEL(11, "ENUMTaste_Schluesseltaste_Streckenschluessel", "Schluesseltaste_Streckenschluessel"),

	/**
	 * The '<em><b>ENUM Taste Schluesseltaste Vierkant</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TASTE_SCHLUESSELTASTE_VIERKANT_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_TASTE_SCHLUESSELTASTE_VIERKANT(12, "ENUMTaste_Schluesseltaste_Vierkant", "Schluesseltaste_Vierkant"),

	/**
	 * The '<em><b>ENUM Taste Signalanforderung</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TASTE_SIGNALANFORDERUNG_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_TASTE_SIGNALANFORDERUNG(13, "ENUMTaste_Signalanforderung", "Signalanforderung"),

	/**
	 * The '<em><b>ENUM Taste sonstige</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TASTE_SONSTIGE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_TASTE_SONSTIGE(14, "ENUMTaste_sonstige", "sonstige"),

	/**
	 * The '<em><b>ENUM Taste Umstelltaste</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TASTE_UMSTELLTASTE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_TASTE_UMSTELLTASTE(15, "ENUMTaste_Umstelltaste", "Umstelltaste"),

	/**
	 * The '<em><b>ENUM Taste Weichenauffahrtaste</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TASTE_WEICHENAUFFAHRTASTE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_TASTE_WEICHENAUFFAHRTASTE(16, "ENUMTaste_Weichenauffahrtaste", "Weichenauffahrtaste"),

	/**
	 * The '<em><b>ENUM Taste Zieltaste</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TASTE_ZIELTASTE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_TASTE_ZIELTASTE(17, "ENUMTaste_Zieltaste", "Zieltaste"),

	/**
	 * The '<em><b>ENUM Taste Zugfertigmeldetaste</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TASTE_ZUGFERTIGMELDETASTE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_TASTE_ZUGFERTIGMELDETASTE(18, "ENUMTaste_Zugfertigmeldetaste", "Zugfertigmeldetaste"),

	/**
	 * The '<em><b>ENUM Taste Zugschlussmeldung</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TASTE_ZUGSCHLUSSMELDUNG_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_TASTE_ZUGSCHLUSSMELDUNG(19, "ENUMTaste_Zugschlussmeldung", "Zugschlussmeldung"),

	/**
	 * The '<em><b>ENUM Taste Zustimmungsanforderung</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TASTE_ZUSTIMMUNGSANFORDERUNG_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_TASTE_ZUSTIMMUNGSANFORDERUNG(20, "ENUMTaste_Zustimmungsanforderung", "Zustimmungsanforderung");

	/**
	 * The '<em><b>ENUM Taste Ausfahrgruppentaste ZP 910</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TASTE_AUSFAHRGRUPPENTASTE_ZP_910
	 * @model name="ENUMTaste_Ausfahrgruppentaste_ZP_9_10" literal="Ausfahrgruppentaste_ZP_9_10"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_TASTE_AUSFAHRGRUPPENTASTE_ZP_910_VALUE = 0;

	/**
	 * The '<em><b>ENUM Taste Bedientaste ZP 10</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TASTE_BEDIENTASTE_ZP_10
	 * @model name="ENUMTaste_Bedientaste_ZP_10" literal="Bedientaste_ZP_10"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_TASTE_BEDIENTASTE_ZP_10_VALUE = 1;

	/**
	 * The '<em><b>ENUM Taste Bedientaste ZP 9</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TASTE_BEDIENTASTE_ZP_9
	 * @model name="ENUMTaste_Bedientaste_ZP_9" literal="Bedientaste_ZP_9"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_TASTE_BEDIENTASTE_ZP_9_VALUE = 2;

	/**
	 * The '<em><b>ENUM Taste Fahrstrassenanforderung</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TASTE_FAHRSTRASSENANFORDERUNG
	 * @model name="ENUMTaste_Fahrstrassenanforderung" literal="Fahrstrassenanforderung"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_TASTE_FAHRSTRASSENANFORDERUNG_VALUE = 3;

	/**
	 * The '<em><b>ENUM Taste Fahrstrassenzustimmung</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TASTE_FAHRSTRASSENZUSTIMMUNG
	 * @model name="ENUMTaste_Fahrstrassenzustimmung" literal="Fahrstrassenzustimmung"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_TASTE_FAHRSTRASSENZUSTIMMUNG_VALUE = 4;

	/**
	 * The '<em><b>ENUM Taste Freimeldetaste</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TASTE_FREIMELDETASTE
	 * @model name="ENUMTaste_Freimeldetaste" literal="Freimeldetaste"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_TASTE_FREIMELDETASTE_VALUE = 5;

	/**
	 * The '<em><b>ENUM Taste Gruppentaste</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TASTE_GRUPPENTASTE
	 * @model name="ENUMTaste_Gruppentaste" literal="Gruppentaste"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_TASTE_GRUPPENTASTE_VALUE = 6;

	/**
	 * The '<em><b>ENUM Taste Hilfstaste</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TASTE_HILFSTASTE
	 * @model name="ENUMTaste_Hilfstaste" literal="Hilfstaste"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_TASTE_HILFSTASTE_VALUE = 7;

	/**
	 * The '<em><b>ENUM Taste Loeschtaste</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TASTE_LOESCHTASTE
	 * @model name="ENUMTaste_Loeschtaste" literal="Loeschtaste"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_TASTE_LOESCHTASTE_VALUE = 8;

	/**
	 * The '<em><b>ENUM Taste Rueckgabetaste</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TASTE_RUECKGABETASTE
	 * @model name="ENUMTaste_Rueckgabetaste" literal="Rueckgabetaste"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_TASTE_RUECKGABETASTE_VALUE = 9;

	/**
	 * The '<em><b>ENUM Taste Schluesseltaste DB 21</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TASTE_SCHLUESSELTASTE_DB_21
	 * @model name="ENUMTaste_Schluesseltaste_DB_21" literal="Schluesseltaste_DB_21"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_TASTE_SCHLUESSELTASTE_DB_21_VALUE = 10;

	/**
	 * The '<em><b>ENUM Taste Schluesseltaste Streckenschluessel</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TASTE_SCHLUESSELTASTE_STRECKENSCHLUESSEL
	 * @model name="ENUMTaste_Schluesseltaste_Streckenschluessel" literal="Schluesseltaste_Streckenschluessel"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_TASTE_SCHLUESSELTASTE_STRECKENSCHLUESSEL_VALUE = 11;

	/**
	 * The '<em><b>ENUM Taste Schluesseltaste Vierkant</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TASTE_SCHLUESSELTASTE_VIERKANT
	 * @model name="ENUMTaste_Schluesseltaste_Vierkant" literal="Schluesseltaste_Vierkant"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_TASTE_SCHLUESSELTASTE_VIERKANT_VALUE = 12;

	/**
	 * The '<em><b>ENUM Taste Signalanforderung</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TASTE_SIGNALANFORDERUNG
	 * @model name="ENUMTaste_Signalanforderung" literal="Signalanforderung"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_TASTE_SIGNALANFORDERUNG_VALUE = 13;

	/**
	 * The '<em><b>ENUM Taste sonstige</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TASTE_SONSTIGE
	 * @model name="ENUMTaste_sonstige" literal="sonstige"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_TASTE_SONSTIGE_VALUE = 14;

	/**
	 * The '<em><b>ENUM Taste Umstelltaste</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TASTE_UMSTELLTASTE
	 * @model name="ENUMTaste_Umstelltaste" literal="Umstelltaste"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_TASTE_UMSTELLTASTE_VALUE = 15;

	/**
	 * The '<em><b>ENUM Taste Weichenauffahrtaste</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TASTE_WEICHENAUFFAHRTASTE
	 * @model name="ENUMTaste_Weichenauffahrtaste" literal="Weichenauffahrtaste"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_TASTE_WEICHENAUFFAHRTASTE_VALUE = 16;

	/**
	 * The '<em><b>ENUM Taste Zieltaste</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TASTE_ZIELTASTE
	 * @model name="ENUMTaste_Zieltaste" literal="Zieltaste"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_TASTE_ZIELTASTE_VALUE = 17;

	/**
	 * The '<em><b>ENUM Taste Zugfertigmeldetaste</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TASTE_ZUGFERTIGMELDETASTE
	 * @model name="ENUMTaste_Zugfertigmeldetaste" literal="Zugfertigmeldetaste"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_TASTE_ZUGFERTIGMELDETASTE_VALUE = 18;

	/**
	 * The '<em><b>ENUM Taste Zugschlussmeldung</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TASTE_ZUGSCHLUSSMELDUNG
	 * @model name="ENUMTaste_Zugschlussmeldung" literal="Zugschlussmeldung"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_TASTE_ZUGSCHLUSSMELDUNG_VALUE = 19;

	/**
	 * The '<em><b>ENUM Taste Zustimmungsanforderung</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TASTE_ZUSTIMMUNGSANFORDERUNG
	 * @model name="ENUMTaste_Zustimmungsanforderung" literal="Zustimmungsanforderung"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_TASTE_ZUSTIMMUNGSANFORDERUNG_VALUE = 20;

	/**
	 * An array of all the '<em><b>ENUM Taste</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static final ENUMTaste[] VALUES_ARRAY =
		new ENUMTaste[] {
			ENUM_TASTE_AUSFAHRGRUPPENTASTE_ZP_910,
			ENUM_TASTE_BEDIENTASTE_ZP_10,
			ENUM_TASTE_BEDIENTASTE_ZP_9,
			ENUM_TASTE_FAHRSTRASSENANFORDERUNG,
			ENUM_TASTE_FAHRSTRASSENZUSTIMMUNG,
			ENUM_TASTE_FREIMELDETASTE,
			ENUM_TASTE_GRUPPENTASTE,
			ENUM_TASTE_HILFSTASTE,
			ENUM_TASTE_LOESCHTASTE,
			ENUM_TASTE_RUECKGABETASTE,
			ENUM_TASTE_SCHLUESSELTASTE_DB_21,
			ENUM_TASTE_SCHLUESSELTASTE_STRECKENSCHLUESSEL,
			ENUM_TASTE_SCHLUESSELTASTE_VIERKANT,
			ENUM_TASTE_SIGNALANFORDERUNG,
			ENUM_TASTE_SONSTIGE,
			ENUM_TASTE_UMSTELLTASTE,
			ENUM_TASTE_WEICHENAUFFAHRTASTE,
			ENUM_TASTE_ZIELTASTE,
			ENUM_TASTE_ZUGFERTIGMELDETASTE,
			ENUM_TASTE_ZUGSCHLUSSMELDUNG,
			ENUM_TASTE_ZUSTIMMUNGSANFORDERUNG,
		};

	/**
	 * A public read-only list of all the '<em><b>ENUM Taste</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static final List<ENUMTaste> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

	/**
	 * Returns the '<em><b>ENUM Taste</b></em>' literal with the specified literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param literal the literal.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMTaste get(String literal) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMTaste result = VALUES_ARRAY[i];
			if (result.toString().equals(literal)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Taste</b></em>' literal with the specified name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param name the name.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMTaste getByName(String name) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMTaste result = VALUES_ARRAY[i];
			if (result.getName().equals(name)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Taste</b></em>' literal with the specified integer value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the integer value.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMTaste get(int value) {
		switch (value) {
			case ENUM_TASTE_AUSFAHRGRUPPENTASTE_ZP_910_VALUE: return ENUM_TASTE_AUSFAHRGRUPPENTASTE_ZP_910;
			case ENUM_TASTE_BEDIENTASTE_ZP_10_VALUE: return ENUM_TASTE_BEDIENTASTE_ZP_10;
			case ENUM_TASTE_BEDIENTASTE_ZP_9_VALUE: return ENUM_TASTE_BEDIENTASTE_ZP_9;
			case ENUM_TASTE_FAHRSTRASSENANFORDERUNG_VALUE: return ENUM_TASTE_FAHRSTRASSENANFORDERUNG;
			case ENUM_TASTE_FAHRSTRASSENZUSTIMMUNG_VALUE: return ENUM_TASTE_FAHRSTRASSENZUSTIMMUNG;
			case ENUM_TASTE_FREIMELDETASTE_VALUE: return ENUM_TASTE_FREIMELDETASTE;
			case ENUM_TASTE_GRUPPENTASTE_VALUE: return ENUM_TASTE_GRUPPENTASTE;
			case ENUM_TASTE_HILFSTASTE_VALUE: return ENUM_TASTE_HILFSTASTE;
			case ENUM_TASTE_LOESCHTASTE_VALUE: return ENUM_TASTE_LOESCHTASTE;
			case ENUM_TASTE_RUECKGABETASTE_VALUE: return ENUM_TASTE_RUECKGABETASTE;
			case ENUM_TASTE_SCHLUESSELTASTE_DB_21_VALUE: return ENUM_TASTE_SCHLUESSELTASTE_DB_21;
			case ENUM_TASTE_SCHLUESSELTASTE_STRECKENSCHLUESSEL_VALUE: return ENUM_TASTE_SCHLUESSELTASTE_STRECKENSCHLUESSEL;
			case ENUM_TASTE_SCHLUESSELTASTE_VIERKANT_VALUE: return ENUM_TASTE_SCHLUESSELTASTE_VIERKANT;
			case ENUM_TASTE_SIGNALANFORDERUNG_VALUE: return ENUM_TASTE_SIGNALANFORDERUNG;
			case ENUM_TASTE_SONSTIGE_VALUE: return ENUM_TASTE_SONSTIGE;
			case ENUM_TASTE_UMSTELLTASTE_VALUE: return ENUM_TASTE_UMSTELLTASTE;
			case ENUM_TASTE_WEICHENAUFFAHRTASTE_VALUE: return ENUM_TASTE_WEICHENAUFFAHRTASTE;
			case ENUM_TASTE_ZIELTASTE_VALUE: return ENUM_TASTE_ZIELTASTE;
			case ENUM_TASTE_ZUGFERTIGMELDETASTE_VALUE: return ENUM_TASTE_ZUGFERTIGMELDETASTE;
			case ENUM_TASTE_ZUGSCHLUSSMELDUNG_VALUE: return ENUM_TASTE_ZUGSCHLUSSMELDUNG;
			case ENUM_TASTE_ZUSTIMMUNGSANFORDERUNG_VALUE: return ENUM_TASTE_ZUSTIMMUNGSANFORDERUNG;
			default: return null;
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final int value;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String name;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String literal;

	/**
	 * Only this class can construct instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private ENUMTaste(int value, String name, String literal) {
		this.value = value;
		this.name = name;
		this.literal = literal;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public int getValue() {
	  return value;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getName() {
	  return name;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getLiteral() {
	  return literal;
	}

	/**
	 * Returns the literal value of the enumerator, which is its string representation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		return literal;
	}
	
} //ENUMTaste
