/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Bedienung;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>ENUMX Wert</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Bedienung.BedienungPackage#getENUMXWert()
 * @model extendedMetaData="name='ENUMX_Wert'"
 * @generated
 */
public enum ENUMXWert implements Enumerator {
	/**
	 * The '<em><b>ENUMX Wert 0</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMX_WERT_0_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMX_WERT_0(0, "ENUMX_Wert_0", "0"),

	/**
	 * The '<em><b>ENUMX Wert 1</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMX_WERT_1_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMX_WERT_1(1, "ENUMX_Wert_1", "1"),

	/**
	 * The '<em><b>ENUMX Wert 5</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMX_WERT_5_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMX_WERT_5(2, "ENUMX_Wert_5", "5"),

	/**
	 * The '<em><b>ENUMX Wert 8</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMX_WERT_8_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMX_WERT_8(3, "ENUMX_Wert_8", "8"),

	/**
	 * The '<em><b>ENUMX Wert 11</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMX_WERT_11_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMX_WERT_11(4, "ENUMX_Wert_11", "11"),

	/**
	 * The '<em><b>ENUMX Wert 12</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMX_WERT_12_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMX_WERT_12(5, "ENUMX_Wert_12", "12"),

	/**
	 * The '<em><b>ENUMX Wert 13</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMX_WERT_13_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMX_WERT_13(6, "ENUMX_Wert_13", "13"),

	/**
	 * The '<em><b>ENUMX Wert 15</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMX_WERT_15_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMX_WERT_15(7, "ENUMX_Wert_15", "15");

	/**
	 * The '<em><b>ENUMX Wert 0</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMX_WERT_0
	 * @model name="ENUMX_Wert_0" literal="0"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMX_WERT_0_VALUE = 0;

	/**
	 * The '<em><b>ENUMX Wert 1</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMX_WERT_1
	 * @model name="ENUMX_Wert_1" literal="1"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMX_WERT_1_VALUE = 1;

	/**
	 * The '<em><b>ENUMX Wert 5</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMX_WERT_5
	 * @model name="ENUMX_Wert_5" literal="5"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMX_WERT_5_VALUE = 2;

	/**
	 * The '<em><b>ENUMX Wert 8</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMX_WERT_8
	 * @model name="ENUMX_Wert_8" literal="8"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMX_WERT_8_VALUE = 3;

	/**
	 * The '<em><b>ENUMX Wert 11</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMX_WERT_11
	 * @model name="ENUMX_Wert_11" literal="11"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMX_WERT_11_VALUE = 4;

	/**
	 * The '<em><b>ENUMX Wert 12</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMX_WERT_12
	 * @model name="ENUMX_Wert_12" literal="12"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMX_WERT_12_VALUE = 5;

	/**
	 * The '<em><b>ENUMX Wert 13</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMX_WERT_13
	 * @model name="ENUMX_Wert_13" literal="13"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMX_WERT_13_VALUE = 6;

	/**
	 * The '<em><b>ENUMX Wert 15</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMX_WERT_15
	 * @model name="ENUMX_Wert_15" literal="15"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMX_WERT_15_VALUE = 7;

	/**
	 * An array of all the '<em><b>ENUMX Wert</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static final ENUMXWert[] VALUES_ARRAY =
		new ENUMXWert[] {
			ENUMX_WERT_0,
			ENUMX_WERT_1,
			ENUMX_WERT_5,
			ENUMX_WERT_8,
			ENUMX_WERT_11,
			ENUMX_WERT_12,
			ENUMX_WERT_13,
			ENUMX_WERT_15,
		};

	/**
	 * A public read-only list of all the '<em><b>ENUMX Wert</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static final List<ENUMXWert> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

	/**
	 * Returns the '<em><b>ENUMX Wert</b></em>' literal with the specified literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param literal the literal.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMXWert get(String literal) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMXWert result = VALUES_ARRAY[i];
			if (result.toString().equals(literal)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUMX Wert</b></em>' literal with the specified name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param name the name.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMXWert getByName(String name) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMXWert result = VALUES_ARRAY[i];
			if (result.getName().equals(name)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUMX Wert</b></em>' literal with the specified integer value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the integer value.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMXWert get(int value) {
		switch (value) {
			case ENUMX_WERT_0_VALUE: return ENUMX_WERT_0;
			case ENUMX_WERT_1_VALUE: return ENUMX_WERT_1;
			case ENUMX_WERT_5_VALUE: return ENUMX_WERT_5;
			case ENUMX_WERT_8_VALUE: return ENUMX_WERT_8;
			case ENUMX_WERT_11_VALUE: return ENUMX_WERT_11;
			case ENUMX_WERT_12_VALUE: return ENUMX_WERT_12;
			case ENUMX_WERT_13_VALUE: return ENUMX_WERT_13;
			case ENUMX_WERT_15_VALUE: return ENUMX_WERT_15;
			default: return null;
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final int value;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String name;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String literal;

	/**
	 * Only this class can construct instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private ENUMXWert(int value, String name, String literal) {
		this.value = value;
		this.name = name;
		this.literal = literal;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public int getValue() {
	  return value;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getName() {
	  return name;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getLiteral() {
	  return literal;
	}

	/**
	 * Returns the literal value of the enumerator, which is its string representation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		return literal;
	}
	
} //ENUMXWert
