/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Block;

import org.eclipse.emf.ecore.EFactory;

/**
 * <!-- begin-user-doc -->
 * The <b>Factory</b> for the model.
 * It provides a create method for each non-abstract class of the model.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Block.BlockPackage
 * @generated
 */
public interface BlockFactory extends EFactory {
	/**
	 * The singleton instance of the factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	BlockFactory eINSTANCE = org.eclipse.set.toolboxmodel.Block.impl.BlockFactoryImpl.init();

	/**
	 * Returns a new object of class '<em>Auto Erlaubnisholen Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Auto Erlaubnisholen Type Class</em>'.
	 * @generated
	 */
	Auto_Erlaubnisholen_TypeClass createAuto_Erlaubnisholen_TypeClass();

	/**
	 * Returns a new object of class '<em>Auto Erlaubnisruecklauf Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Auto Erlaubnisruecklauf Type Class</em>'.
	 * @generated
	 */
	Auto_Erlaubnisruecklauf_TypeClass createAuto_Erlaubnisruecklauf_TypeClass();

	/**
	 * Returns a new object of class '<em>Betriebsfuehrung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Betriebsfuehrung Type Class</em>'.
	 * @generated
	 */
	Betriebsfuehrung_TypeClass createBetriebsfuehrung_TypeClass();

	/**
	 * Returns a new object of class '<em>Block Anlage</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Block Anlage</em>'.
	 * @generated
	 */
	Block_Anlage createBlock_Anlage();

	/**
	 * Returns a new object of class '<em>Block Anlage Allg Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Block Anlage Allg Attribute Group</em>'.
	 * @generated
	 */
	Block_Anlage_Allg_AttributeGroup createBlock_Anlage_Allg_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Block Bauform Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Block Bauform Type Class</em>'.
	 * @generated
	 */
	Block_Bauform_TypeClass createBlock_Bauform_TypeClass();

	/**
	 * Returns a new object of class '<em>Block Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Block Element</em>'.
	 * @generated
	 */
	Block_Element createBlock_Element();

	/**
	 * Returns a new object of class '<em>Block Element Allg Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Block Element Allg Attribute Group</em>'.
	 * @generated
	 */
	Block_Element_Allg_AttributeGroup createBlock_Element_Allg_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Block Element Erlaubnis Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Block Element Erlaubnis Attribute Group</em>'.
	 * @generated
	 */
	Block_Element_Erlaubnis_AttributeGroup createBlock_Element_Erlaubnis_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Block Strecke</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Block Strecke</em>'.
	 * @generated
	 */
	Block_Strecke createBlock_Strecke();

	/**
	 * Returns a new object of class '<em>Block Strecke Allg Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Block Strecke Allg Attribute Group</em>'.
	 * @generated
	 */
	Block_Strecke_Allg_AttributeGroup createBlock_Strecke_Allg_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Bremsweg Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bremsweg Type Class</em>'.
	 * @generated
	 */
	Bremsweg_TypeClass createBremsweg_TypeClass();

	/**
	 * Returns a new object of class '<em>Erlaubnis Staendig Vorhanden Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Erlaubnis Staendig Vorhanden Type Class</em>'.
	 * @generated
	 */
	Erlaubnis_Staendig_Vorhanden_TypeClass createErlaubnis_Staendig_Vorhanden_TypeClass();

	/**
	 * Returns a new object of class '<em>Erlaubnisabgabespeicherung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Erlaubnisabgabespeicherung Type Class</em>'.
	 * @generated
	 */
	Erlaubnisabgabespeicherung_TypeClass createErlaubnisabgabespeicherung_TypeClass();

	/**
	 * Returns a new object of class '<em>Erlaubnisholen Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Erlaubnisholen Type Class</em>'.
	 * @generated
	 */
	Erlaubnisholen_TypeClass createErlaubnisholen_TypeClass();

	/**
	 * Returns a new object of class '<em>Rueckblockwecker Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Rueckblockwecker Type Class</em>'.
	 * @generated
	 */
	Rueckblockwecker_TypeClass createRueckblockwecker_TypeClass();

	/**
	 * Returns a new object of class '<em>Schaltung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Schaltung Type Class</em>'.
	 * @generated
	 */
	Schaltung_TypeClass createSchaltung_TypeClass();

	/**
	 * Returns a new object of class '<em>Schutzuebertrager Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Schutzuebertrager Type Class</em>'.
	 * @generated
	 */
	Schutzuebertrager_TypeClass createSchutzuebertrager_TypeClass();

	/**
	 * Returns a new object of class '<em>Strecke Art Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Strecke Art Type Class</em>'.
	 * @generated
	 */
	Strecke_Art_TypeClass createStrecke_Art_TypeClass();

	/**
	 * Returns a new object of class '<em>Streckengeschwindigkeit Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Streckengeschwindigkeit Type Class</em>'.
	 * @generated
	 */
	Streckengeschwindigkeit_TypeClass createStreckengeschwindigkeit_TypeClass();

	/**
	 * Returns a new object of class '<em>Traktion Art Elektrisch Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Traktion Art Elektrisch Type Class</em>'.
	 * @generated
	 */
	Traktion_Art_Elektrisch_TypeClass createTraktion_Art_Elektrisch_TypeClass();

	/**
	 * Returns a new object of class '<em>Vorblockwecker Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Vorblockwecker Type Class</em>'.
	 * @generated
	 */
	Vorblockwecker_TypeClass createVorblockwecker_TypeClass();

	/**
	 * Returns a new object of class '<em>Zugbeeinflussung Art Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Zugbeeinflussung Art Type Class</em>'.
	 * @generated
	 */
	Zugbeeinflussung_Art_TypeClass createZugbeeinflussung_Art_TypeClass();

	/**
	 * Returns a new object of class '<em>Zusatzinformation Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Zusatzinformation Type Class</em>'.
	 * @generated
	 */
	Zusatzinformation_TypeClass createZusatzinformation_TypeClass();

	/**
	 * Returns the package supported by this factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the package supported by this factory.
	 * @generated
	 */
	BlockPackage getBlockPackage();

} //BlockFactory
