/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Block;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>ENUM Betriebsfuehrung</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Block.BlockPackage#getENUMBetriebsfuehrung()
 * @model extendedMetaData="name='ENUMBetriebsfuehrung'"
 * @generated
 */
public enum ENUMBetriebsfuehrung implements Enumerator {
	/**
	 * The '<em><b>ENUM Betriebsfuehrung eingl</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BETRIEBSFUEHRUNG_EINGL_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_BETRIEBSFUEHRUNG_EINGL(0, "ENUMBetriebsfuehrung_eingl", "eingl"),

	/**
	 * The '<em><b>ENUM Betriebsfuehrung sonstige</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BETRIEBSFUEHRUNG_SONSTIGE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_BETRIEBSFUEHRUNG_SONSTIGE(1, "ENUMBetriebsfuehrung_sonstige", "sonstige"),

	/**
	 * The '<em><b>ENUM Betriebsfuehrung Stichstreckenblock</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BETRIEBSFUEHRUNG_STICHSTRECKENBLOCK_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_BETRIEBSFUEHRUNG_STICHSTRECKENBLOCK(2, "ENUMBetriebsfuehrung_Stichstreckenblock", "Stichstreckenblock"),

	/**
	 * The '<em><b>ENUM Betriebsfuehrung ZLB</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BETRIEBSFUEHRUNG_ZLB_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_BETRIEBSFUEHRUNG_ZLB(3, "ENUMBetriebsfuehrung_ZLB", "ZLB"),

	/**
	 * The '<em><b>ENUM Betriebsfuehrung zweigl</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BETRIEBSFUEHRUNG_ZWEIGL_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_BETRIEBSFUEHRUNG_ZWEIGL(4, "ENUMBetriebsfuehrung_zweigl", "zweigl"),

	/**
	 * The '<em><b>ENUM Betriebsfuehrung zweigl GWB</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BETRIEBSFUEHRUNG_ZWEIGL_GWB_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_BETRIEBSFUEHRUNG_ZWEIGL_GWB(5, "ENUMBetriebsfuehrung_zweigl_GWB", "zweigl_GWB");

	/**
	 * The '<em><b>ENUM Betriebsfuehrung eingl</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BETRIEBSFUEHRUNG_EINGL
	 * @model name="ENUMBetriebsfuehrung_eingl" literal="eingl"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_BETRIEBSFUEHRUNG_EINGL_VALUE = 0;

	/**
	 * The '<em><b>ENUM Betriebsfuehrung sonstige</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BETRIEBSFUEHRUNG_SONSTIGE
	 * @model name="ENUMBetriebsfuehrung_sonstige" literal="sonstige"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_BETRIEBSFUEHRUNG_SONSTIGE_VALUE = 1;

	/**
	 * The '<em><b>ENUM Betriebsfuehrung Stichstreckenblock</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BETRIEBSFUEHRUNG_STICHSTRECKENBLOCK
	 * @model name="ENUMBetriebsfuehrung_Stichstreckenblock" literal="Stichstreckenblock"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_BETRIEBSFUEHRUNG_STICHSTRECKENBLOCK_VALUE = 2;

	/**
	 * The '<em><b>ENUM Betriebsfuehrung ZLB</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BETRIEBSFUEHRUNG_ZLB
	 * @model name="ENUMBetriebsfuehrung_ZLB" literal="ZLB"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_BETRIEBSFUEHRUNG_ZLB_VALUE = 3;

	/**
	 * The '<em><b>ENUM Betriebsfuehrung zweigl</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BETRIEBSFUEHRUNG_ZWEIGL
	 * @model name="ENUMBetriebsfuehrung_zweigl" literal="zweigl"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_BETRIEBSFUEHRUNG_ZWEIGL_VALUE = 4;

	/**
	 * The '<em><b>ENUM Betriebsfuehrung zweigl GWB</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BETRIEBSFUEHRUNG_ZWEIGL_GWB
	 * @model name="ENUMBetriebsfuehrung_zweigl_GWB" literal="zweigl_GWB"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_BETRIEBSFUEHRUNG_ZWEIGL_GWB_VALUE = 5;

	/**
	 * An array of all the '<em><b>ENUM Betriebsfuehrung</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static final ENUMBetriebsfuehrung[] VALUES_ARRAY =
		new ENUMBetriebsfuehrung[] {
			ENUM_BETRIEBSFUEHRUNG_EINGL,
			ENUM_BETRIEBSFUEHRUNG_SONSTIGE,
			ENUM_BETRIEBSFUEHRUNG_STICHSTRECKENBLOCK,
			ENUM_BETRIEBSFUEHRUNG_ZLB,
			ENUM_BETRIEBSFUEHRUNG_ZWEIGL,
			ENUM_BETRIEBSFUEHRUNG_ZWEIGL_GWB,
		};

	/**
	 * A public read-only list of all the '<em><b>ENUM Betriebsfuehrung</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static final List<ENUMBetriebsfuehrung> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

	/**
	 * Returns the '<em><b>ENUM Betriebsfuehrung</b></em>' literal with the specified literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param literal the literal.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMBetriebsfuehrung get(String literal) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMBetriebsfuehrung result = VALUES_ARRAY[i];
			if (result.toString().equals(literal)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Betriebsfuehrung</b></em>' literal with the specified name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param name the name.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMBetriebsfuehrung getByName(String name) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMBetriebsfuehrung result = VALUES_ARRAY[i];
			if (result.getName().equals(name)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Betriebsfuehrung</b></em>' literal with the specified integer value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the integer value.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMBetriebsfuehrung get(int value) {
		switch (value) {
			case ENUM_BETRIEBSFUEHRUNG_EINGL_VALUE: return ENUM_BETRIEBSFUEHRUNG_EINGL;
			case ENUM_BETRIEBSFUEHRUNG_SONSTIGE_VALUE: return ENUM_BETRIEBSFUEHRUNG_SONSTIGE;
			case ENUM_BETRIEBSFUEHRUNG_STICHSTRECKENBLOCK_VALUE: return ENUM_BETRIEBSFUEHRUNG_STICHSTRECKENBLOCK;
			case ENUM_BETRIEBSFUEHRUNG_ZLB_VALUE: return ENUM_BETRIEBSFUEHRUNG_ZLB;
			case ENUM_BETRIEBSFUEHRUNG_ZWEIGL_VALUE: return ENUM_BETRIEBSFUEHRUNG_ZWEIGL;
			case ENUM_BETRIEBSFUEHRUNG_ZWEIGL_GWB_VALUE: return ENUM_BETRIEBSFUEHRUNG_ZWEIGL_GWB;
			default: return null;
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final int value;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String name;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String literal;

	/**
	 * Only this class can construct instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private ENUMBetriebsfuehrung(int value, String name, String literal) {
		this.value = value;
		this.name = name;
		this.literal = literal;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public int getValue() {
	  return value;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getName() {
	  return name;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getLiteral() {
	  return literal;
	}

	/**
	 * Returns the literal value of the enumerator, which is its string representation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		return literal;
	}
	
} //ENUMBetriebsfuehrung
