/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Block;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>ENUM Block Bauform</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Block.BlockPackage#getENUMBlockBauform()
 * @model extendedMetaData="name='ENUMBlock_Bauform'"
 * @generated
 */
public enum ENUMBlockBauform implements Enumerator {
	/**
	 * The '<em><b>ENUM Block Bauform AB64</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BLOCK_BAUFORM_AB64_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_BLOCK_BAUFORM_AB64(0, "ENUMBlock_Bauform_AB64", "AB64"),

	/**
	 * The '<em><b>ENUM Block Bauform AB70</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BLOCK_BAUFORM_AB70_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_BLOCK_BAUFORM_AB70(1, "ENUMBlock_Bauform_AB70", "AB70"),

	/**
	 * The '<em><b>ENUM Block Bauform Blockanpassung RB</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BLOCK_BAUFORM_BLOCKANPASSUNG_RB_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_BLOCK_BAUFORM_BLOCKANPASSUNG_RB(2, "ENUMBlock_Bauform_Blockanpassung_RB", "Blockanpassung_RB"),

	/**
	 * The '<em><b>ENUM Block Bauform DB Block</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BLOCK_BAUFORM_DB_BLOCK_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_BLOCK_BAUFORM_DB_BLOCK(3, "ENUMBlock_Bauform_DB_Block", "DB_Block"),

	/**
	 * The '<em><b>ENUM Block Bauform elektronischer Block EBL2000</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BLOCK_BAUFORM_ELEKTRONISCHER_BLOCK_EBL2000_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_BLOCK_BAUFORM_ELEKTRONISCHER_BLOCK_EBL2000(4, "ENUMBlock_Bauform_elektronischer_Block_EBL2000", "elektronischer_Block_EBL2000"),

	/**
	 * The '<em><b>ENUM Block Bauform ESTW Zentralblock</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BLOCK_BAUFORM_ESTW_ZENTRALBLOCK_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_BLOCK_BAUFORM_ESTW_ZENTRALBLOCK(5, "ENUMBlock_Bauform_ESTW_Zentralblock", "ESTW_Zentralblock"),

	/**
	 * The '<em><b>ENUM Block Bauform ESTW Zentralblock mit Sb Abschluss MCL84</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BLOCK_BAUFORM_ESTW_ZENTRALBLOCK_MIT_SB_ABSCHLUSS_MCL84_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_BLOCK_BAUFORM_ESTW_ZENTRALBLOCK_MIT_SB_ABSCHLUSS_MCL84(6, "ENUMBlock_Bauform_ESTW_Zentralblock_mit_Sb_Abschluss_MCL84", "ESTW_Zentralblock_mit_Sb_Abschluss_MCL84"),

	/**
	 * The '<em><b>ENUM Block Bauform ESTW Zentralblock mit Sb Abschluss SBL60</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BLOCK_BAUFORM_ESTW_ZENTRALBLOCK_MIT_SB_ABSCHLUSS_SBL60_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_BLOCK_BAUFORM_ESTW_ZENTRALBLOCK_MIT_SB_ABSCHLUSS_SBL60(7, "ENUMBlock_Bauform_ESTW_Zentralblock_mit_Sb_Abschluss_SBL60", "ESTW_Zentralblock_mit_Sb_Abschluss_SBL60"),

	/**
	 * The '<em><b>ENUM Block Bauform ESTW Zentralblock mit Sb Abschluss SBS59</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BLOCK_BAUFORM_ESTW_ZENTRALBLOCK_MIT_SB_ABSCHLUSS_SBS59_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_BLOCK_BAUFORM_ESTW_ZENTRALBLOCK_MIT_SB_ABSCHLUSS_SBS59(8, "ENUMBlock_Bauform_ESTW_Zentralblock_mit_Sb_Abschluss_SBS59", "ESTW_Zentralblock_mit_Sb_Abschluss_SBS59"),

	/**
	 * The '<em><b>ENUM Block Bauform ESTW Zentralblock mit Sb Abschluss SBS60</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BLOCK_BAUFORM_ESTW_ZENTRALBLOCK_MIT_SB_ABSCHLUSS_SBS60_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_BLOCK_BAUFORM_ESTW_ZENTRALBLOCK_MIT_SB_ABSCHLUSS_SBS60(9, "ENUMBlock_Bauform_ESTW_Zentralblock_mit_Sb_Abschluss_SBS60", "ESTW_Zentralblock_mit_Sb_Abschluss_SBS60"),

	/**
	 * The '<em><b>ENUM Block Bauform Felderblock</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BLOCK_BAUFORM_FELDERBLOCK_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_BLOCK_BAUFORM_FELDERBLOCK(10, "ENUMBlock_Bauform_Felderblock", "Felderblock"),

	/**
	 * The '<em><b>ENUM Block Bauform firmenneutrale Blockschnittstelle</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BLOCK_BAUFORM_FIRMENNEUTRALE_BLOCKSCHNITTSTELLE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_BLOCK_BAUFORM_FIRMENNEUTRALE_BLOCKSCHNITTSTELLE(11, "ENUMBlock_Bauform_firmenneutrale_Blockschnittstelle", "firmenneutrale_Blockschnittstelle"),

	/**
	 * The '<em><b>ENUM Block Bauform ILS Adapter</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BLOCK_BAUFORM_ILS_ADAPTER_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_BLOCK_BAUFORM_ILS_ADAPTER(12, "ENUMBlock_Bauform_ILS_Adapter", "ILS-Adapter"),

	/**
	 * The '<em><b>ENUM Block Bauform sonstige</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BLOCK_BAUFORM_SONSTIGE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_BLOCK_BAUFORM_SONSTIGE(13, "ENUMBlock_Bauform_sonstige", "sonstige"),

	/**
	 * The '<em><b>ENUM Block Bauform Selbstblock SBL60</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BLOCK_BAUFORM_SELBSTBLOCK_SBL60_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_BLOCK_BAUFORM_SELBSTBLOCK_SBL60(14, "ENUMBlock_Bauform_Selbstblock_SBL60", "Selbstblock_SBL60"),

	/**
	 * The '<em><b>ENUM Block Bauform Selbstblock SBS59</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BLOCK_BAUFORM_SELBSTBLOCK_SBS59_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_BLOCK_BAUFORM_SELBSTBLOCK_SBS59(15, "ENUMBlock_Bauform_Selbstblock_SBS59", "Selbstblock_SBS59"),

	/**
	 * The '<em><b>ENUM Block Bauform Selbstblock SBS60</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BLOCK_BAUFORM_SELBSTBLOCK_SBS60_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_BLOCK_BAUFORM_SELBSTBLOCK_SBS60(16, "ENUMBlock_Bauform_Selbstblock_SBS60", "Selbstblock_SBS60"),

	/**
	 * The '<em><b>ENUM Block Bauform Relaisblock RBII60</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BLOCK_BAUFORM_RELAISBLOCK_RBII60_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_BLOCK_BAUFORM_RELAISBLOCK_RBII60(17, "ENUMBlock_Bauform_Relaisblock_RBII60", "Relaisblock_RBII60"),

	/**
	 * The '<em><b>ENUM Block Bauform Relaisblock RBII Sp64b</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BLOCK_BAUFORM_RELAISBLOCK_RBII_SP64B_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_BLOCK_BAUFORM_RELAISBLOCK_RBII_SP64B(18, "ENUMBlock_Bauform_Relaisblock_RBIISp64b", "Relaisblock_RBIISp64b"),

	/**
	 * The '<em><b>ENUM Block Bauform Relaisblock RBIII Sp68</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BLOCK_BAUFORM_RELAISBLOCK_RBIII_SP68_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_BLOCK_BAUFORM_RELAISBLOCK_RBIII_SP68(19, "ENUMBlock_Bauform_Relaisblock_RBIIISp68", "Relaisblock_RBIIISp68"),

	/**
	 * The '<em><b>ENUM Block Bauform Zentralblock ZSB2000</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BLOCK_BAUFORM_ZENTRALBLOCK_ZSB2000_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_BLOCK_BAUFORM_ZENTRALBLOCK_ZSB2000(20, "ENUMBlock_Bauform_Zentralblock_ZSB2000", "Zentralblock_ZSB2000"),

	/**
	 * The '<em><b>ENUM Block Bauform Zentralblock ZBS600</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BLOCK_BAUFORM_ZENTRALBLOCK_ZBS600_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_BLOCK_BAUFORM_ZENTRALBLOCK_ZBS600(21, "ENUMBlock_Bauform_Zentralblock_ZBS600", "Zentralblock_ZBS600"),

	/**
	 * The '<em><b>ENUM Block Bauform Zentralblock ZBS65</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BLOCK_BAUFORM_ZENTRALBLOCK_ZBS65_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_BLOCK_BAUFORM_ZENTRALBLOCK_ZBS65(22, "ENUMBlock_Bauform_Zentralblock_ZBS65", "Zentralblock_ZBS65");

	/**
	 * The '<em><b>ENUM Block Bauform AB64</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BLOCK_BAUFORM_AB64
	 * @model name="ENUMBlock_Bauform_AB64" literal="AB64"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_BLOCK_BAUFORM_AB64_VALUE = 0;

	/**
	 * The '<em><b>ENUM Block Bauform AB70</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BLOCK_BAUFORM_AB70
	 * @model name="ENUMBlock_Bauform_AB70" literal="AB70"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_BLOCK_BAUFORM_AB70_VALUE = 1;

	/**
	 * The '<em><b>ENUM Block Bauform Blockanpassung RB</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BLOCK_BAUFORM_BLOCKANPASSUNG_RB
	 * @model name="ENUMBlock_Bauform_Blockanpassung_RB" literal="Blockanpassung_RB"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_BLOCK_BAUFORM_BLOCKANPASSUNG_RB_VALUE = 2;

	/**
	 * The '<em><b>ENUM Block Bauform DB Block</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BLOCK_BAUFORM_DB_BLOCK
	 * @model name="ENUMBlock_Bauform_DB_Block" literal="DB_Block"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_BLOCK_BAUFORM_DB_BLOCK_VALUE = 3;

	/**
	 * The '<em><b>ENUM Block Bauform elektronischer Block EBL2000</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BLOCK_BAUFORM_ELEKTRONISCHER_BLOCK_EBL2000
	 * @model name="ENUMBlock_Bauform_elektronischer_Block_EBL2000" literal="elektronischer_Block_EBL2000"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_BLOCK_BAUFORM_ELEKTRONISCHER_BLOCK_EBL2000_VALUE = 4;

	/**
	 * The '<em><b>ENUM Block Bauform ESTW Zentralblock</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BLOCK_BAUFORM_ESTW_ZENTRALBLOCK
	 * @model name="ENUMBlock_Bauform_ESTW_Zentralblock" literal="ESTW_Zentralblock"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_BLOCK_BAUFORM_ESTW_ZENTRALBLOCK_VALUE = 5;

	/**
	 * The '<em><b>ENUM Block Bauform ESTW Zentralblock mit Sb Abschluss MCL84</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BLOCK_BAUFORM_ESTW_ZENTRALBLOCK_MIT_SB_ABSCHLUSS_MCL84
	 * @model name="ENUMBlock_Bauform_ESTW_Zentralblock_mit_Sb_Abschluss_MCL84" literal="ESTW_Zentralblock_mit_Sb_Abschluss_MCL84"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_BLOCK_BAUFORM_ESTW_ZENTRALBLOCK_MIT_SB_ABSCHLUSS_MCL84_VALUE = 6;

	/**
	 * The '<em><b>ENUM Block Bauform ESTW Zentralblock mit Sb Abschluss SBL60</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BLOCK_BAUFORM_ESTW_ZENTRALBLOCK_MIT_SB_ABSCHLUSS_SBL60
	 * @model name="ENUMBlock_Bauform_ESTW_Zentralblock_mit_Sb_Abschluss_SBL60" literal="ESTW_Zentralblock_mit_Sb_Abschluss_SBL60"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_BLOCK_BAUFORM_ESTW_ZENTRALBLOCK_MIT_SB_ABSCHLUSS_SBL60_VALUE = 7;

	/**
	 * The '<em><b>ENUM Block Bauform ESTW Zentralblock mit Sb Abschluss SBS59</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BLOCK_BAUFORM_ESTW_ZENTRALBLOCK_MIT_SB_ABSCHLUSS_SBS59
	 * @model name="ENUMBlock_Bauform_ESTW_Zentralblock_mit_Sb_Abschluss_SBS59" literal="ESTW_Zentralblock_mit_Sb_Abschluss_SBS59"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_BLOCK_BAUFORM_ESTW_ZENTRALBLOCK_MIT_SB_ABSCHLUSS_SBS59_VALUE = 8;

	/**
	 * The '<em><b>ENUM Block Bauform ESTW Zentralblock mit Sb Abschluss SBS60</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BLOCK_BAUFORM_ESTW_ZENTRALBLOCK_MIT_SB_ABSCHLUSS_SBS60
	 * @model name="ENUMBlock_Bauform_ESTW_Zentralblock_mit_Sb_Abschluss_SBS60" literal="ESTW_Zentralblock_mit_Sb_Abschluss_SBS60"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_BLOCK_BAUFORM_ESTW_ZENTRALBLOCK_MIT_SB_ABSCHLUSS_SBS60_VALUE = 9;

	/**
	 * The '<em><b>ENUM Block Bauform Felderblock</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BLOCK_BAUFORM_FELDERBLOCK
	 * @model name="ENUMBlock_Bauform_Felderblock" literal="Felderblock"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_BLOCK_BAUFORM_FELDERBLOCK_VALUE = 10;

	/**
	 * The '<em><b>ENUM Block Bauform firmenneutrale Blockschnittstelle</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BLOCK_BAUFORM_FIRMENNEUTRALE_BLOCKSCHNITTSTELLE
	 * @model name="ENUMBlock_Bauform_firmenneutrale_Blockschnittstelle" literal="firmenneutrale_Blockschnittstelle"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_BLOCK_BAUFORM_FIRMENNEUTRALE_BLOCKSCHNITTSTELLE_VALUE = 11;

	/**
	 * The '<em><b>ENUM Block Bauform ILS Adapter</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BLOCK_BAUFORM_ILS_ADAPTER
	 * @model name="ENUMBlock_Bauform_ILS_Adapter" literal="ILS-Adapter"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_BLOCK_BAUFORM_ILS_ADAPTER_VALUE = 12;

	/**
	 * The '<em><b>ENUM Block Bauform sonstige</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BLOCK_BAUFORM_SONSTIGE
	 * @model name="ENUMBlock_Bauform_sonstige" literal="sonstige"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_BLOCK_BAUFORM_SONSTIGE_VALUE = 13;

	/**
	 * The '<em><b>ENUM Block Bauform Selbstblock SBL60</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BLOCK_BAUFORM_SELBSTBLOCK_SBL60
	 * @model name="ENUMBlock_Bauform_Selbstblock_SBL60" literal="Selbstblock_SBL60"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_BLOCK_BAUFORM_SELBSTBLOCK_SBL60_VALUE = 14;

	/**
	 * The '<em><b>ENUM Block Bauform Selbstblock SBS59</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BLOCK_BAUFORM_SELBSTBLOCK_SBS59
	 * @model name="ENUMBlock_Bauform_Selbstblock_SBS59" literal="Selbstblock_SBS59"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_BLOCK_BAUFORM_SELBSTBLOCK_SBS59_VALUE = 15;

	/**
	 * The '<em><b>ENUM Block Bauform Selbstblock SBS60</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BLOCK_BAUFORM_SELBSTBLOCK_SBS60
	 * @model name="ENUMBlock_Bauform_Selbstblock_SBS60" literal="Selbstblock_SBS60"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_BLOCK_BAUFORM_SELBSTBLOCK_SBS60_VALUE = 16;

	/**
	 * The '<em><b>ENUM Block Bauform Relaisblock RBII60</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BLOCK_BAUFORM_RELAISBLOCK_RBII60
	 * @model name="ENUMBlock_Bauform_Relaisblock_RBII60" literal="Relaisblock_RBII60"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_BLOCK_BAUFORM_RELAISBLOCK_RBII60_VALUE = 17;

	/**
	 * The '<em><b>ENUM Block Bauform Relaisblock RBII Sp64b</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BLOCK_BAUFORM_RELAISBLOCK_RBII_SP64B
	 * @model name="ENUMBlock_Bauform_Relaisblock_RBIISp64b" literal="Relaisblock_RBIISp64b"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_BLOCK_BAUFORM_RELAISBLOCK_RBII_SP64B_VALUE = 18;

	/**
	 * The '<em><b>ENUM Block Bauform Relaisblock RBIII Sp68</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BLOCK_BAUFORM_RELAISBLOCK_RBIII_SP68
	 * @model name="ENUMBlock_Bauform_Relaisblock_RBIIISp68" literal="Relaisblock_RBIIISp68"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_BLOCK_BAUFORM_RELAISBLOCK_RBIII_SP68_VALUE = 19;

	/**
	 * The '<em><b>ENUM Block Bauform Zentralblock ZSB2000</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BLOCK_BAUFORM_ZENTRALBLOCK_ZSB2000
	 * @model name="ENUMBlock_Bauform_Zentralblock_ZSB2000" literal="Zentralblock_ZSB2000"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_BLOCK_BAUFORM_ZENTRALBLOCK_ZSB2000_VALUE = 20;

	/**
	 * The '<em><b>ENUM Block Bauform Zentralblock ZBS600</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BLOCK_BAUFORM_ZENTRALBLOCK_ZBS600
	 * @model name="ENUMBlock_Bauform_Zentralblock_ZBS600" literal="Zentralblock_ZBS600"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_BLOCK_BAUFORM_ZENTRALBLOCK_ZBS600_VALUE = 21;

	/**
	 * The '<em><b>ENUM Block Bauform Zentralblock ZBS65</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_BLOCK_BAUFORM_ZENTRALBLOCK_ZBS65
	 * @model name="ENUMBlock_Bauform_Zentralblock_ZBS65" literal="Zentralblock_ZBS65"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_BLOCK_BAUFORM_ZENTRALBLOCK_ZBS65_VALUE = 22;

	/**
	 * An array of all the '<em><b>ENUM Block Bauform</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static final ENUMBlockBauform[] VALUES_ARRAY =
		new ENUMBlockBauform[] {
			ENUM_BLOCK_BAUFORM_AB64,
			ENUM_BLOCK_BAUFORM_AB70,
			ENUM_BLOCK_BAUFORM_BLOCKANPASSUNG_RB,
			ENUM_BLOCK_BAUFORM_DB_BLOCK,
			ENUM_BLOCK_BAUFORM_ELEKTRONISCHER_BLOCK_EBL2000,
			ENUM_BLOCK_BAUFORM_ESTW_ZENTRALBLOCK,
			ENUM_BLOCK_BAUFORM_ESTW_ZENTRALBLOCK_MIT_SB_ABSCHLUSS_MCL84,
			ENUM_BLOCK_BAUFORM_ESTW_ZENTRALBLOCK_MIT_SB_ABSCHLUSS_SBL60,
			ENUM_BLOCK_BAUFORM_ESTW_ZENTRALBLOCK_MIT_SB_ABSCHLUSS_SBS59,
			ENUM_BLOCK_BAUFORM_ESTW_ZENTRALBLOCK_MIT_SB_ABSCHLUSS_SBS60,
			ENUM_BLOCK_BAUFORM_FELDERBLOCK,
			ENUM_BLOCK_BAUFORM_FIRMENNEUTRALE_BLOCKSCHNITTSTELLE,
			ENUM_BLOCK_BAUFORM_ILS_ADAPTER,
			ENUM_BLOCK_BAUFORM_SONSTIGE,
			ENUM_BLOCK_BAUFORM_SELBSTBLOCK_SBL60,
			ENUM_BLOCK_BAUFORM_SELBSTBLOCK_SBS59,
			ENUM_BLOCK_BAUFORM_SELBSTBLOCK_SBS60,
			ENUM_BLOCK_BAUFORM_RELAISBLOCK_RBII60,
			ENUM_BLOCK_BAUFORM_RELAISBLOCK_RBII_SP64B,
			ENUM_BLOCK_BAUFORM_RELAISBLOCK_RBIII_SP68,
			ENUM_BLOCK_BAUFORM_ZENTRALBLOCK_ZSB2000,
			ENUM_BLOCK_BAUFORM_ZENTRALBLOCK_ZBS600,
			ENUM_BLOCK_BAUFORM_ZENTRALBLOCK_ZBS65,
		};

	/**
	 * A public read-only list of all the '<em><b>ENUM Block Bauform</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static final List<ENUMBlockBauform> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

	/**
	 * Returns the '<em><b>ENUM Block Bauform</b></em>' literal with the specified literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param literal the literal.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMBlockBauform get(String literal) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMBlockBauform result = VALUES_ARRAY[i];
			if (result.toString().equals(literal)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Block Bauform</b></em>' literal with the specified name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param name the name.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMBlockBauform getByName(String name) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMBlockBauform result = VALUES_ARRAY[i];
			if (result.getName().equals(name)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Block Bauform</b></em>' literal with the specified integer value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the integer value.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMBlockBauform get(int value) {
		switch (value) {
			case ENUM_BLOCK_BAUFORM_AB64_VALUE: return ENUM_BLOCK_BAUFORM_AB64;
			case ENUM_BLOCK_BAUFORM_AB70_VALUE: return ENUM_BLOCK_BAUFORM_AB70;
			case ENUM_BLOCK_BAUFORM_BLOCKANPASSUNG_RB_VALUE: return ENUM_BLOCK_BAUFORM_BLOCKANPASSUNG_RB;
			case ENUM_BLOCK_BAUFORM_DB_BLOCK_VALUE: return ENUM_BLOCK_BAUFORM_DB_BLOCK;
			case ENUM_BLOCK_BAUFORM_ELEKTRONISCHER_BLOCK_EBL2000_VALUE: return ENUM_BLOCK_BAUFORM_ELEKTRONISCHER_BLOCK_EBL2000;
			case ENUM_BLOCK_BAUFORM_ESTW_ZENTRALBLOCK_VALUE: return ENUM_BLOCK_BAUFORM_ESTW_ZENTRALBLOCK;
			case ENUM_BLOCK_BAUFORM_ESTW_ZENTRALBLOCK_MIT_SB_ABSCHLUSS_MCL84_VALUE: return ENUM_BLOCK_BAUFORM_ESTW_ZENTRALBLOCK_MIT_SB_ABSCHLUSS_MCL84;
			case ENUM_BLOCK_BAUFORM_ESTW_ZENTRALBLOCK_MIT_SB_ABSCHLUSS_SBL60_VALUE: return ENUM_BLOCK_BAUFORM_ESTW_ZENTRALBLOCK_MIT_SB_ABSCHLUSS_SBL60;
			case ENUM_BLOCK_BAUFORM_ESTW_ZENTRALBLOCK_MIT_SB_ABSCHLUSS_SBS59_VALUE: return ENUM_BLOCK_BAUFORM_ESTW_ZENTRALBLOCK_MIT_SB_ABSCHLUSS_SBS59;
			case ENUM_BLOCK_BAUFORM_ESTW_ZENTRALBLOCK_MIT_SB_ABSCHLUSS_SBS60_VALUE: return ENUM_BLOCK_BAUFORM_ESTW_ZENTRALBLOCK_MIT_SB_ABSCHLUSS_SBS60;
			case ENUM_BLOCK_BAUFORM_FELDERBLOCK_VALUE: return ENUM_BLOCK_BAUFORM_FELDERBLOCK;
			case ENUM_BLOCK_BAUFORM_FIRMENNEUTRALE_BLOCKSCHNITTSTELLE_VALUE: return ENUM_BLOCK_BAUFORM_FIRMENNEUTRALE_BLOCKSCHNITTSTELLE;
			case ENUM_BLOCK_BAUFORM_ILS_ADAPTER_VALUE: return ENUM_BLOCK_BAUFORM_ILS_ADAPTER;
			case ENUM_BLOCK_BAUFORM_SONSTIGE_VALUE: return ENUM_BLOCK_BAUFORM_SONSTIGE;
			case ENUM_BLOCK_BAUFORM_SELBSTBLOCK_SBL60_VALUE: return ENUM_BLOCK_BAUFORM_SELBSTBLOCK_SBL60;
			case ENUM_BLOCK_BAUFORM_SELBSTBLOCK_SBS59_VALUE: return ENUM_BLOCK_BAUFORM_SELBSTBLOCK_SBS59;
			case ENUM_BLOCK_BAUFORM_SELBSTBLOCK_SBS60_VALUE: return ENUM_BLOCK_BAUFORM_SELBSTBLOCK_SBS60;
			case ENUM_BLOCK_BAUFORM_RELAISBLOCK_RBII60_VALUE: return ENUM_BLOCK_BAUFORM_RELAISBLOCK_RBII60;
			case ENUM_BLOCK_BAUFORM_RELAISBLOCK_RBII_SP64B_VALUE: return ENUM_BLOCK_BAUFORM_RELAISBLOCK_RBII_SP64B;
			case ENUM_BLOCK_BAUFORM_RELAISBLOCK_RBIII_SP68_VALUE: return ENUM_BLOCK_BAUFORM_RELAISBLOCK_RBIII_SP68;
			case ENUM_BLOCK_BAUFORM_ZENTRALBLOCK_ZSB2000_VALUE: return ENUM_BLOCK_BAUFORM_ZENTRALBLOCK_ZSB2000;
			case ENUM_BLOCK_BAUFORM_ZENTRALBLOCK_ZBS600_VALUE: return ENUM_BLOCK_BAUFORM_ZENTRALBLOCK_ZBS600;
			case ENUM_BLOCK_BAUFORM_ZENTRALBLOCK_ZBS65_VALUE: return ENUM_BLOCK_BAUFORM_ZENTRALBLOCK_ZBS65;
			default: return null;
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final int value;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String name;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String literal;

	/**
	 * Only this class can construct instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private ENUMBlockBauform(int value, String name, String literal) {
		this.value = value;
		this.name = name;
		this.literal = literal;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public int getValue() {
	  return value;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getName() {
	  return name;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getLiteral() {
	  return literal;
	}

	/**
	 * Returns the literal value of the enumerator, which is its string representation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		return literal;
	}
	
} //ENUMBlockBauform
