/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Fahrstrasse;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>ENUM Fstr Zug Art</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Fahrstrasse.FahrstrassePackage#getENUMFstrZugArt()
 * @model extendedMetaData="name='ENUMFstr_Zug_Art'"
 * @generated
 */
public enum ENUMFstrZugArt implements Enumerator {
	/**
	 * The '<em><b>ENUM Fstr Zug Art B</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FSTR_ZUG_ART_B_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_FSTR_ZUG_ART_B(0, "ENUMFstr_Zug_Art_B", "B"),

	/**
	 * The '<em><b>ENUM Fstr Zug Art ZH</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FSTR_ZUG_ART_ZH_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_FSTR_ZUG_ART_ZH(1, "ENUMFstr_Zug_Art_ZH", "ZH"),

	/**
	 * The '<em><b>ENUM Fstr Zug Art ZR</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FSTR_ZUG_ART_ZR_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_FSTR_ZUG_ART_ZR(2, "ENUMFstr_Zug_Art_ZR", "ZR"),

	/**
	 * The '<em><b>ENUM Fstr Zug Art ZT</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FSTR_ZUG_ART_ZT_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_FSTR_ZUG_ART_ZT(3, "ENUMFstr_Zug_Art_ZT", "ZT"),

	/**
	 * The '<em><b>ENUM Fstr Zug Art ZTU</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FSTR_ZUG_ART_ZTU_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_FSTR_ZUG_ART_ZTU(4, "ENUMFstr_Zug_Art_ZTU", "ZTU"),

	/**
	 * The '<em><b>ENUM Fstr Zug Art ZU</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FSTR_ZUG_ART_ZU_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_FSTR_ZUG_ART_ZU(5, "ENUMFstr_Zug_Art_ZU", "ZU"),

	/**
	 * The '<em><b>ENUM Fstr Zug Art ZUH</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FSTR_ZUG_ART_ZUH_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_FSTR_ZUG_ART_ZUH(6, "ENUMFstr_Zug_Art_ZUH", "ZUH"),

	/**
	 * The '<em><b>ENUM Fstr Zug Art ZZ</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FSTR_ZUG_ART_ZZ_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_FSTR_ZUG_ART_ZZ(7, "ENUMFstr_Zug_Art_ZZ", "ZZ");

	/**
	 * The '<em><b>ENUM Fstr Zug Art B</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FSTR_ZUG_ART_B
	 * @model name="ENUMFstr_Zug_Art_B" literal="B"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_FSTR_ZUG_ART_B_VALUE = 0;

	/**
	 * The '<em><b>ENUM Fstr Zug Art ZH</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FSTR_ZUG_ART_ZH
	 * @model name="ENUMFstr_Zug_Art_ZH" literal="ZH"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_FSTR_ZUG_ART_ZH_VALUE = 1;

	/**
	 * The '<em><b>ENUM Fstr Zug Art ZR</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FSTR_ZUG_ART_ZR
	 * @model name="ENUMFstr_Zug_Art_ZR" literal="ZR"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_FSTR_ZUG_ART_ZR_VALUE = 2;

	/**
	 * The '<em><b>ENUM Fstr Zug Art ZT</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FSTR_ZUG_ART_ZT
	 * @model name="ENUMFstr_Zug_Art_ZT" literal="ZT"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_FSTR_ZUG_ART_ZT_VALUE = 3;

	/**
	 * The '<em><b>ENUM Fstr Zug Art ZTU</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FSTR_ZUG_ART_ZTU
	 * @model name="ENUMFstr_Zug_Art_ZTU" literal="ZTU"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_FSTR_ZUG_ART_ZTU_VALUE = 4;

	/**
	 * The '<em><b>ENUM Fstr Zug Art ZU</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FSTR_ZUG_ART_ZU
	 * @model name="ENUMFstr_Zug_Art_ZU" literal="ZU"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_FSTR_ZUG_ART_ZU_VALUE = 5;

	/**
	 * The '<em><b>ENUM Fstr Zug Art ZUH</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FSTR_ZUG_ART_ZUH
	 * @model name="ENUMFstr_Zug_Art_ZUH" literal="ZUH"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_FSTR_ZUG_ART_ZUH_VALUE = 6;

	/**
	 * The '<em><b>ENUM Fstr Zug Art ZZ</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FSTR_ZUG_ART_ZZ
	 * @model name="ENUMFstr_Zug_Art_ZZ" literal="ZZ"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_FSTR_ZUG_ART_ZZ_VALUE = 7;

	/**
	 * An array of all the '<em><b>ENUM Fstr Zug Art</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static final ENUMFstrZugArt[] VALUES_ARRAY =
		new ENUMFstrZugArt[] {
			ENUM_FSTR_ZUG_ART_B,
			ENUM_FSTR_ZUG_ART_ZH,
			ENUM_FSTR_ZUG_ART_ZR,
			ENUM_FSTR_ZUG_ART_ZT,
			ENUM_FSTR_ZUG_ART_ZTU,
			ENUM_FSTR_ZUG_ART_ZU,
			ENUM_FSTR_ZUG_ART_ZUH,
			ENUM_FSTR_ZUG_ART_ZZ,
		};

	/**
	 * A public read-only list of all the '<em><b>ENUM Fstr Zug Art</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static final List<ENUMFstrZugArt> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

	/**
	 * Returns the '<em><b>ENUM Fstr Zug Art</b></em>' literal with the specified literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param literal the literal.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMFstrZugArt get(String literal) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMFstrZugArt result = VALUES_ARRAY[i];
			if (result.toString().equals(literal)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Fstr Zug Art</b></em>' literal with the specified name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param name the name.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMFstrZugArt getByName(String name) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMFstrZugArt result = VALUES_ARRAY[i];
			if (result.getName().equals(name)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Fstr Zug Art</b></em>' literal with the specified integer value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the integer value.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMFstrZugArt get(int value) {
		switch (value) {
			case ENUM_FSTR_ZUG_ART_B_VALUE: return ENUM_FSTR_ZUG_ART_B;
			case ENUM_FSTR_ZUG_ART_ZH_VALUE: return ENUM_FSTR_ZUG_ART_ZH;
			case ENUM_FSTR_ZUG_ART_ZR_VALUE: return ENUM_FSTR_ZUG_ART_ZR;
			case ENUM_FSTR_ZUG_ART_ZT_VALUE: return ENUM_FSTR_ZUG_ART_ZT;
			case ENUM_FSTR_ZUG_ART_ZTU_VALUE: return ENUM_FSTR_ZUG_ART_ZTU;
			case ENUM_FSTR_ZUG_ART_ZU_VALUE: return ENUM_FSTR_ZUG_ART_ZU;
			case ENUM_FSTR_ZUG_ART_ZUH_VALUE: return ENUM_FSTR_ZUG_ART_ZUH;
			case ENUM_FSTR_ZUG_ART_ZZ_VALUE: return ENUM_FSTR_ZUG_ART_ZZ;
			default: return null;
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final int value;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String name;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String literal;

	/**
	 * Only this class can construct instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private ENUMFstrZugArt(int value, String name, String literal) {
		this.value = value;
		this.name = name;
		this.literal = literal;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public int getValue() {
	  return value;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getName() {
	  return name;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getLiteral() {
	  return literal;
	}

	/**
	 * Returns the literal value of the enumerator, which is its string representation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		return literal;
	}
	
} //ENUMFstrZugArt
