/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Fahrstrasse;

import org.eclipse.emf.ecore.EFactory;

/**
 * <!-- begin-user-doc -->
 * The <b>Factory</b> for the model.
 * It provides a create method for each non-abstract class of the model.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Fahrstrasse.FahrstrassePackage
 * @generated
 */
public interface FahrstrasseFactory extends EFactory {
	/**
	 * The singleton instance of the factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	FahrstrasseFactory eINSTANCE = org.eclipse.set.toolboxmodel.Fahrstrasse.impl.FahrstrasseFactoryImpl.init();

	/**
	 * Returns a new object of class '<em>Aufloesung Ssp Zielgleis Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Aufloesung Ssp Zielgleis Type Class</em>'.
	 * @generated
	 */
	Aufloesung_Ssp_Zielgleis_TypeClass createAufloesung_Ssp_Zielgleis_TypeClass();

	/**
	 * Returns a new object of class '<em>Aufloesung Verzoegerung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Aufloesung Verzoegerung Type Class</em>'.
	 * @generated
	 */
	Aufloesung_Verzoegerung_TypeClass createAufloesung_Verzoegerung_TypeClass();

	/**
	 * Returns a new object of class '<em>Automatische Einstellung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Automatische Einstellung Type Class</em>'.
	 * @generated
	 */
	Automatische_Einstellung_TypeClass createAutomatische_Einstellung_TypeClass();

	/**
	 * Returns a new object of class '<em>Bezeichnung Fstr DWeg Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bezeichnung Fstr DWeg Type Class</em>'.
	 * @generated
	 */
	Bezeichnung_Fstr_DWeg_TypeClass createBezeichnung_Fstr_DWeg_TypeClass();

	/**
	 * Returns a new object of class '<em>Bezeichnung Markanter Punkt Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bezeichnung Markanter Punkt Type Class</em>'.
	 * @generated
	 */
	Bezeichnung_Markanter_Punkt_TypeClass createBezeichnung_Markanter_Punkt_TypeClass();

	/**
	 * Returns a new object of class '<em>DWeg Reihenfolge Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>DWeg Reihenfolge Type Class</em>'.
	 * @generated
	 */
	DWeg_Reihenfolge_TypeClass createDWeg_Reihenfolge_TypeClass();

	/**
	 * Returns a new object of class '<em>DWeg VAufwertung Verzicht Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>DWeg VAufwertung Verzicht Type Class</em>'.
	 * @generated
	 */
	DWeg_V_Aufwertung_Verzicht_TypeClass createDWeg_V_Aufwertung_Verzicht_TypeClass();

	/**
	 * Returns a new object of class '<em>DWeg VType Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>DWeg VType Class</em>'.
	 * @generated
	 */
	DWeg_V_TypeClass createDWeg_V_TypeClass();

	/**
	 * Returns a new object of class '<em>DWeg Vorzug Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>DWeg Vorzug Type Class</em>'.
	 * @generated
	 */
	DWeg_Vorzug_TypeClass createDWeg_Vorzug_TypeClass();

	/**
	 * Returns a new object of class '<em>Element Verschluss Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Element Verschluss Type Class</em>'.
	 * @generated
	 */
	Element_Verschluss_TypeClass createElement_Verschluss_TypeClass();

	/**
	 * Returns a new object of class '<em>FBedienung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>FBedienung Type Class</em>'.
	 * @generated
	 */
	F_Bedienung_TypeClass createF_Bedienung_TypeClass();

	/**
	 * Returns a new object of class '<em>Fstr Abhaengigkeit</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fstr Abhaengigkeit</em>'.
	 * @generated
	 */
	Fstr_Abhaengigkeit createFstr_Abhaengigkeit();

	/**
	 * Returns a new object of class '<em>Fstr Abhaengigkeit Ssp Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fstr Abhaengigkeit Ssp Attribute Group</em>'.
	 * @generated
	 */
	Fstr_Abhaengigkeit_Ssp_AttributeGroup createFstr_Abhaengigkeit_Ssp_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Fstr Aneinander</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fstr Aneinander</em>'.
	 * @generated
	 */
	Fstr_Aneinander createFstr_Aneinander();

	/**
	 * Returns a new object of class '<em>Fstr Aneinander Bedienstring Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fstr Aneinander Bedienstring Type Class</em>'.
	 * @generated
	 */
	Fstr_Aneinander_Bedienstring_TypeClass createFstr_Aneinander_Bedienstring_TypeClass();

	/**
	 * Returns a new object of class '<em>Fstr Aneinander Zuordnung</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fstr Aneinander Zuordnung</em>'.
	 * @generated
	 */
	Fstr_Aneinander_Zuordnung createFstr_Aneinander_Zuordnung();

	/**
	 * Returns a new object of class '<em>Fstr Bedienstring Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fstr Bedienstring Type Class</em>'.
	 * @generated
	 */
	Fstr_Bedienstring_TypeClass createFstr_Bedienstring_TypeClass();

	/**
	 * Returns a new object of class '<em>Fstr DWeg</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fstr DWeg</em>'.
	 * @generated
	 */
	Fstr_DWeg createFstr_DWeg();

	/**
	 * Returns a new object of class '<em>Fstr DWeg Allg Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fstr DWeg Allg Attribute Group</em>'.
	 * @generated
	 */
	Fstr_DWeg_Allg_AttributeGroup createFstr_DWeg_Allg_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Fstr DWeg Bezeichnung Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fstr DWeg Bezeichnung Attribute Group</em>'.
	 * @generated
	 */
	Fstr_DWeg_Bezeichnung_AttributeGroup createFstr_DWeg_Bezeichnung_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Fstr DWeg Spezifisch Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fstr DWeg Spezifisch Attribute Group</em>'.
	 * @generated
	 */
	Fstr_DWeg_Spezifisch_AttributeGroup createFstr_DWeg_Spezifisch_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Fstr DWeg WKr</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fstr DWeg WKr</em>'.
	 * @generated
	 */
	Fstr_DWeg_W_Kr createFstr_DWeg_W_Kr();

	/**
	 * Returns a new object of class '<em>Fstr Fahrweg</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fstr Fahrweg</em>'.
	 * @generated
	 */
	Fstr_Fahrweg createFstr_Fahrweg();

	/**
	 * Returns a new object of class '<em>Fstr Mittel Art Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fstr Mittel Art Type Class</em>'.
	 * @generated
	 */
	Fstr_Mittel_Art_TypeClass createFstr_Mittel_Art_TypeClass();

	/**
	 * Returns a new object of class '<em>Fstr Mittel Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fstr Mittel Attribute Group</em>'.
	 * @generated
	 */
	Fstr_Mittel_AttributeGroup createFstr_Mittel_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Fstr Mittel VAufwertung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fstr Mittel VAufwertung Type Class</em>'.
	 * @generated
	 */
	Fstr_Mittel_V_Aufwertung_TypeClass createFstr_Mittel_V_Aufwertung_TypeClass();

	/**
	 * Returns a new object of class '<em>Fstr Nichthaltfall</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fstr Nichthaltfall</em>'.
	 * @generated
	 */
	Fstr_Nichthaltfall createFstr_Nichthaltfall();

	/**
	 * Returns a new object of class '<em>Fstr Rangier Art Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fstr Rangier Art Type Class</em>'.
	 * @generated
	 */
	Fstr_Rangier_Art_TypeClass createFstr_Rangier_Art_TypeClass();

	/**
	 * Returns a new object of class '<em>Fstr Rangier Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fstr Rangier Attribute Group</em>'.
	 * @generated
	 */
	Fstr_Rangier_AttributeGroup createFstr_Rangier_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Fstr Rangier Fla Zuordnung</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fstr Rangier Fla Zuordnung</em>'.
	 * @generated
	 */
	Fstr_Rangier_Fla_Zuordnung createFstr_Rangier_Fla_Zuordnung();

	/**
	 * Returns a new object of class '<em>Fstr Reihenfolge Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fstr Reihenfolge Type Class</em>'.
	 * @generated
	 */
	Fstr_Reihenfolge_TypeClass createFstr_Reihenfolge_TypeClass();

	/**
	 * Returns a new object of class '<em>Fstr Signalisierung</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fstr Signalisierung</em>'.
	 * @generated
	 */
	Fstr_Signalisierung createFstr_Signalisierung();

	/**
	 * Returns a new object of class '<em>Fstr Umfahrpunkt</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fstr Umfahrpunkt</em>'.
	 * @generated
	 */
	Fstr_Umfahrpunkt createFstr_Umfahrpunkt();

	/**
	 * Returns a new object of class '<em>Fstr VHg Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fstr VHg Type Class</em>'.
	 * @generated
	 */
	Fstr_V_Hg_TypeClass createFstr_V_Hg_TypeClass();

	/**
	 * Returns a new object of class '<em>Fstr VType Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fstr VType Class</em>'.
	 * @generated
	 */
	Fstr_V_TypeClass createFstr_V_TypeClass();

	/**
	 * Returns a new object of class '<em>Fstr Vsigabstand Verkuerzt Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fstr Vsigabstand Verkuerzt Type Class</em>'.
	 * @generated
	 */
	Fstr_Vsigabstand_Verkuerzt_TypeClass createFstr_Vsigabstand_Verkuerzt_TypeClass();

	/**
	 * Returns a new object of class '<em>Fstr Zug Art Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fstr Zug Art Type Class</em>'.
	 * @generated
	 */
	Fstr_Zug_Art_TypeClass createFstr_Zug_Art_TypeClass();

	/**
	 * Returns a new object of class '<em>Fstr Zug Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fstr Zug Attribute Group</em>'.
	 * @generated
	 */
	Fstr_Zug_AttributeGroup createFstr_Zug_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Fstr Zug DWeg Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fstr Zug DWeg Attribute Group</em>'.
	 * @generated
	 */
	Fstr_Zug_DWeg_AttributeGroup createFstr_Zug_DWeg_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Fstr Zug Rangier</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fstr Zug Rangier</em>'.
	 * @generated
	 */
	Fstr_Zug_Rangier createFstr_Zug_Rangier();

	/**
	 * Returns a new object of class '<em>Fstr Zug Rangier Allg Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fstr Zug Rangier Allg Attribute Group</em>'.
	 * @generated
	 */
	Fstr_Zug_Rangier_Allg_AttributeGroup createFstr_Zug_Rangier_Allg_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Laenge Soll Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Laenge Soll Type Class</em>'.
	 * @generated
	 */
	Laenge_Soll_TypeClass createLaenge_Soll_TypeClass();

	/**
	 * Returns a new object of class '<em>Markanter Punkt</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Markanter Punkt</em>'.
	 * @generated
	 */
	Markanter_Punkt createMarkanter_Punkt();

	/**
	 * Returns a new object of class '<em>Markanter Punkt Bezeichnung Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Markanter Punkt Bezeichnung Attribute Group</em>'.
	 * @generated
	 */
	Markanter_Punkt_Bezeichnung_AttributeGroup createMarkanter_Punkt_Bezeichnung_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Massgebende Neigung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Massgebende Neigung Type Class</em>'.
	 * @generated
	 */
	Massgebende_Neigung_TypeClass createMassgebende_Neigung_TypeClass();

	/**
	 * Returns a new object of class '<em>Rangier Gegenfahrtausschluss Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Rangier Gegenfahrtausschluss Type Class</em>'.
	 * @generated
	 */
	Rangier_Gegenfahrtausschluss_TypeClass createRangier_Gegenfahrtausschluss_TypeClass();

	/**
	 * Returns a new object of class '<em>Sonstiger Punkt</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Sonstiger Punkt</em>'.
	 * @generated
	 */
	Sonstiger_Punkt createSonstiger_Punkt();

	/**
	 * Returns a new object of class '<em>Start Signal Charakter Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Start Signal Charakter Type Class</em>'.
	 * @generated
	 */
	Start_Signal_Charakter_TypeClass createStart_Signal_Charakter_TypeClass();

	/**
	 * Returns the package supported by this factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the package supported by this factory.
	 * @generated
	 */
	FahrstrassePackage getFahrstrassePackage();

} //FahrstrasseFactory
