/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Flankenschutz;

import org.eclipse.emf.ecore.EFactory;

/**
 * <!-- begin-user-doc -->
 * The <b>Factory</b> for the model.
 * It provides a create method for each non-abstract class of the model.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Flankenschutz.FlankenschutzPackage
 * @generated
 */
public interface FlankenschutzFactory extends EFactory {
	/**
	 * The singleton instance of the factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	FlankenschutzFactory eINSTANCE = org.eclipse.set.toolboxmodel.Flankenschutz.impl.FlankenschutzFactoryImpl.init();

	/**
	 * Returns a new object of class '<em>EKW Kr Anteil Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>EKW Kr Anteil Type Class</em>'.
	 * @generated
	 */
	EKW_Kr_Anteil_TypeClass createEKW_Kr_Anteil_TypeClass();

	/**
	 * Returns a new object of class '<em>Fahrt Ueber Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fahrt Ueber Type Class</em>'.
	 * @generated
	 */
	Fahrt_Ueber_TypeClass createFahrt_Ueber_TypeClass();

	/**
	 * Returns a new object of class '<em>Fla Freimelde Zuordnung</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fla Freimelde Zuordnung</em>'.
	 * @generated
	 */
	Fla_Freimelde_Zuordnung createFla_Freimelde_Zuordnung();

	/**
	 * Returns a new object of class '<em>Fla Raum Freimeldung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fla Raum Freimeldung Type Class</em>'.
	 * @generated
	 */
	Fla_Raum_Freimeldung_TypeClass createFla_Raum_Freimeldung_TypeClass();

	/**
	 * Returns a new object of class '<em>Fla Schutz</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fla Schutz</em>'.
	 * @generated
	 */
	Fla_Schutz createFla_Schutz();

	/**
	 * Returns a new object of class '<em>Fla Schutz Anforderer Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fla Schutz Anforderer Attribute Group</em>'.
	 * @generated
	 */
	Fla_Schutz_Anforderer_AttributeGroup createFla_Schutz_Anforderer_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Fla Schutz Signal Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fla Schutz Signal Attribute Group</em>'.
	 * @generated
	 */
	Fla_Schutz_Signal_AttributeGroup createFla_Schutz_Signal_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Fla Schutz WGsp Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fla Schutz WGsp Attribute Group</em>'.
	 * @generated
	 */
	Fla_Schutz_W_Gsp_AttributeGroup createFla_Schutz_W_Gsp_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Fla Schutz Weitergabe Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fla Schutz Weitergabe Attribute Group</em>'.
	 * @generated
	 */
	Fla_Schutz_Weitergabe_AttributeGroup createFla_Schutz_Weitergabe_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Fla Signal Zielsperrung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fla Signal Zielsperrung Type Class</em>'.
	 * @generated
	 */
	Fla_Signal_Zielsperrung_TypeClass createFla_Signal_Zielsperrung_TypeClass();

	/**
	 * Returns a new object of class '<em>Fla Verzicht Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fla Verzicht Type Class</em>'.
	 * @generated
	 */
	Fla_Verzicht_TypeClass createFla_Verzicht_TypeClass();

	/**
	 * Returns a new object of class '<em>Fla WLage Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fla WLage Type Class</em>'.
	 * @generated
	 */
	Fla_W_Lage_TypeClass createFla_W_Lage_TypeClass();

	/**
	 * Returns a new object of class '<em>Fla Zwieschutz</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fla Zwieschutz</em>'.
	 * @generated
	 */
	Fla_Zwieschutz createFla_Zwieschutz();

	/**
	 * Returns a new object of class '<em>Fla Zwieschutz Element Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fla Zwieschutz Element Attribute Group</em>'.
	 * @generated
	 */
	Fla_Zwieschutz_Element_AttributeGroup createFla_Zwieschutz_Element_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Massnahme Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Massnahme Type Class</em>'.
	 * @generated
	 */
	Massnahme_TypeClass createMassnahme_TypeClass();

	/**
	 * Returns a new object of class '<em>Nachlaufverhinderung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Nachlaufverhinderung Type Class</em>'.
	 * @generated
	 */
	Nachlaufverhinderung_TypeClass createNachlaufverhinderung_TypeClass();

	/**
	 * Returns a new object of class '<em>Zwieschutz Art Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Zwieschutz Art Type Class</em>'.
	 * @generated
	 */
	Zwieschutz_Art_TypeClass createZwieschutz_Art_TypeClass();

	/**
	 * Returns the package supported by this factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the package supported by this factory.
	 * @generated
	 */
	FlankenschutzPackage getFlankenschutzPackage();

} //FlankenschutzFactory
