/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Geodaten;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>ENUM Oertlichkeit Art</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Geodaten.GeodatenPackage#getENUMOertlichkeitArt()
 * @model extendedMetaData="name='ENUMOertlichkeit_Art'"
 * @generated
 */
public enum ENUMOertlichkeitArt implements Enumerator {
	/**
	 * The '<em><b>ENUM Oertlichkeit Art Abzw</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_ABZW_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_ABZW(0, "ENUMOertlichkeit_Art_Abzw", "Abzw"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Abzw Anst</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_ABZW_ANST_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_ABZW_ANST(1, "ENUMOertlichkeit_Art_Abzw_Anst", "Abzw Anst"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Abzw Awanst</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_ABZW_AWANST_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_ABZW_AWANST(2, "ENUMOertlichkeit_Art_Abzw_Awanst", "Abzw Awanst"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Anst</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_ANST_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_ANST(3, "ENUMOertlichkeit_Art_Anst", "Anst"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Anst Bk</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_ANST_BK_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_ANST_BK(4, "ENUMOertlichkeit_Art_Anst_Bk", "Anst Bk"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Awanst</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_AWANST_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_AWANST(5, "ENUMOertlichkeit_Art_Awanst", "Awanst"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Awanst Bk</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_AWANST_BK_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_AWANST_BK(6, "ENUMOertlichkeit_Art_Awanst_Bk", "Awanst Bk"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Bf</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_BF_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_BF(7, "ENUMOertlichkeit_Art_Bf", "Bf"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Bf Abzw</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_BF_ABZW_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_BF_ABZW(8, "ENUMOertlichkeit_Art_Bf_Abzw", "Bf Abzw"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Bft</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_BFT_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_BFT(9, "ENUMOertlichkeit_Art_Bft", "Bft"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Bft Abzw</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_BFT_ABZW_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_BFT_ABZW(10, "ENUMOertlichkeit_Art_Bft_Abzw", "Bft Abzw"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Bk</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_BK_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_BK(11, "ENUMOertlichkeit_Art_Bk", "Bk"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art BSO</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_BSO_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_BSO(12, "ENUMOertlichkeit_Art_BSO", "BSO"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art BZ</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_BZ_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_BZ(13, "ENUMOertlichkeit_Art_BZ", "BZ"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Dkst</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_DKST_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_DKST(14, "ENUMOertlichkeit_Art_Dkst", "Dkst"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Gp</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_GP_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_GP(15, "ENUMOertlichkeit_Art_Gp", "Gp"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Hp</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_HP_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_HP(16, "ENUMOertlichkeit_Art_Hp", "Hp"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Hp Abzw</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_HP_ABZW_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_HP_ABZW(17, "ENUMOertlichkeit_Art_Hp_Abzw", "Hp Abzw"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Hp Abzw Anst</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_HP_ABZW_ANST_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_HP_ABZW_ANST(18, "ENUMOertlichkeit_Art_Hp_Abzw_Anst", "Hp Abzw Anst"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Hp Abzw Awanst</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_HP_ABZW_AWANST_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_HP_ABZW_AWANST(19, "ENUMOertlichkeit_Art_Hp_Abzw_Awanst", "Hp Abzw Awanst"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Hp Anst</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_HP_ANST_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_HP_ANST(20, "ENUMOertlichkeit_Art_Hp_Anst", "Hp Anst"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Hp Anst Bk</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_HP_ANST_BK_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_HP_ANST_BK(21, "ENUMOertlichkeit_Art_Hp_Anst_Bk", "Hp Anst Bk"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Hp Awanst</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_HP_AWANST_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_HP_AWANST(22, "ENUMOertlichkeit_Art_Hp_Awanst", "Hp Awanst"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Hp Awanst Bk</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_HP_AWANST_BK_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_HP_AWANST_BK(23, "ENUMOertlichkeit_Art_Hp_Awanst_Bk", "Hp Awanst Bk"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Hp Bft</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_HP_BFT_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_HP_BFT(24, "ENUMOertlichkeit_Art_Hp_Bft", "Hp Bft"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Hp Bk</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_HP_BK_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_HP_BK(25, "ENUMOertlichkeit_Art_Hp_Bk", "Hp Bk"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Hp Dkst</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_HP_DKST_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_HP_DKST(26, "ENUMOertlichkeit_Art_Hp_Dkst", "Hp Dkst"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Hp Ust</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_HP_UST_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_HP_UST(27, "ENUMOertlichkeit_Art_Hp_Ust", "Hp \u00dcst"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Hp Ust Anst</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_HP_UST_ANST_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_HP_UST_ANST(28, "ENUMOertlichkeit_Art_Hp_Ust_Anst", "Hp \u00dcst Anst"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Hp Ust Awanst</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_HP_UST_AWANST_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_HP_UST_AWANST(29, "ENUMOertlichkeit_Art_Hp_Ust_Awanst", "Hp \u00dcst Awanst"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art LGr</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_LGR_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_LGR(30, "ENUMOertlichkeit_Art_LGr", "LGr"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art NE Abzw</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_NE_ABZW_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_NE_ABZW(31, "ENUMOertlichkeit_Art_NE_Abzw", "NE-Abzw"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art NE Anst</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_NE_ANST_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_NE_ANST(32, "ENUMOertlichkeit_Art_NE_Anst", "NE-Anst"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art NE Awanst</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_NE_AWANST_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_NE_AWANST(33, "ENUMOertlichkeit_Art_NE_Awanst", "NE-Awanst"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art NE Bf</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_NE_BF_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_NE_BF(34, "ENUMOertlichkeit_Art_NE_Bf", "NE-Bf"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art NE Bft</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_NE_BFT_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_NE_BFT(35, "ENUMOertlichkeit_Art_NE_Bft", "NE-Bft"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art NE Bft Abzw</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_NE_BFT_ABZW_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_NE_BFT_ABZW(36, "ENUMOertlichkeit_Art_NE_Bft_Abzw", "NE-Bft Abzw"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art NE Bk</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_NE_BK_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_NE_BK(37, "ENUMOertlichkeit_Art_NE_Bk", "NE-Bk"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art NE Gp</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_NE_GP_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_NE_GP(38, "ENUMOertlichkeit_Art_NE_Gp", "NE-Gp"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art NE Hp</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_NE_HP_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_NE_HP(39, "ENUMOertlichkeit_Art_NE_Hp", "NE-Hp"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art NE Hp Abzw</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_NE_HP_ABZW_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_NE_HP_ABZW(40, "ENUMOertlichkeit_Art_NE_Hp_Abzw", "NE-Hp Abzw"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art NE Hp Anst</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_NE_HP_ANST_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_NE_HP_ANST(41, "ENUMOertlichkeit_Art_NE_Hp_Anst", "NE-Hp Anst"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art NE Hp Awanst</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_NE_HP_AWANST_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_NE_HP_AWANST(42, "ENUMOertlichkeit_Art_NE_Hp_Awanst", "NE-Hp Awanst"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art NE Hp Bk</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_NE_HP_BK_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_NE_HP_BK(43, "ENUMOertlichkeit_Art_NE_Hp_Bk", "NE-Hp Bk"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art NE LGr</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_NE_LGR_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_NE_LGR(44, "ENUMOertlichkeit_Art_NE_LGr", "NE-LGr"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art NE RB Gr</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_NE_RB_GR_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_NE_RB_GR(45, "ENUMOertlichkeit_Art_NE_RBGr", "NE-RBGr"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art NE Ust</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_NE_UST_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_NE_UST(46, "ENUMOertlichkeit_Art_NE_Ust", "NE-\u00dcst"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art PD Gr</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_PD_GR_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_PD_GR(47, "ENUMOertlichkeit_Art_PDGr", "PDGr"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art RB Gr</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_RB_GR_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_RB_GR(48, "ENUMOertlichkeit_Art_RBGr", "RBGr"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Sbk</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_SBK_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_SBK(49, "ENUMOertlichkeit_Art_Sbk", "Sbk"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art sonstige</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_SONSTIGE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_SONSTIGE(50, "ENUMOertlichkeit_Art_sonstige", "sonstige"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Strw</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_STRW_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_STRW(51, "ENUMOertlichkeit_Art_Strw", "Strw"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Ust</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_UST_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_UST(52, "ENUMOertlichkeit_Art_Ust", "\u00dcst"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Ust Anst</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_UST_ANST_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_UST_ANST(53, "ENUMOertlichkeit_Art_Ust_Anst", "\u00dcst Anst"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Ust Awanst</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_UST_AWANST_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_UST_AWANST(54, "ENUMOertlichkeit_Art_Ust_Awanst", "\u00dcst Awanst"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art vp Abzw</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_VP_ABZW_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_VP_ABZW(55, "ENUMOertlichkeit_Art_vp_Abzw", "vp-Abzw"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art vp Anst</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_VP_ANST_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_VP_ANST(56, "ENUMOertlichkeit_Art_vp_Anst", "vp-Anst"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art vp Awanst</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_VP_AWANST_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_VP_AWANST(57, "ENUMOertlichkeit_Art_vp_Awanst", "vp-Awanst"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art vp Bf</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_VP_BF_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_VP_BF(58, "ENUMOertlichkeit_Art_vp_Bf", "vp-Bf"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art vp Bft</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_VP_BFT_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_VP_BFT(59, "ENUMOertlichkeit_Art_vp_Bft", "vp-Bft"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art vp Bk</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_VP_BK_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_VP_BK(60, "ENUMOertlichkeit_Art_vp_Bk", "vp-Bk"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art vp Hp</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_VP_HP_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_VP_HP(61, "ENUMOertlichkeit_Art_vp_Hp", "vp-Hp"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art vp Hp Abzw</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_VP_HP_ABZW_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_VP_HP_ABZW(62, "ENUMOertlichkeit_Art_vp_Hp_Abzw", "vp-Hp Abzw"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art vp Hp Anst</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_VP_HP_ANST_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_VP_HP_ANST(63, "ENUMOertlichkeit_Art_vp_Hp_Anst", "vp-Hp Anst"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art vp Hp Anst Bk</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_VP_HP_ANST_BK_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_VP_HP_ANST_BK(64, "ENUMOertlichkeit_Art_vp_Hp_Anst_Bk", "vp-Hp Anst Bk"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art vp Hp Awanst</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_VP_HP_AWANST_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_VP_HP_AWANST(65, "ENUMOertlichkeit_Art_vp_Hp_Awanst", "vp-Hp Awanst"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art vp LGr</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_VP_LGR_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_VP_LGR(66, "ENUMOertlichkeit_Art_vp_LGr", "vp-LGr"),

	/**
	 * The '<em><b>ENUM Oertlichkeit Art vp RB Gr</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_VP_RB_GR_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_OERTLICHKEIT_ART_VP_RB_GR(67, "ENUMOertlichkeit_Art_vp_RBGr", "vp-RBGr");

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Abzw</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_ABZW
	 * @model name="ENUMOertlichkeit_Art_Abzw" literal="Abzw"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_ABZW_VALUE = 0;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Abzw Anst</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_ABZW_ANST
	 * @model name="ENUMOertlichkeit_Art_Abzw_Anst" literal="Abzw Anst"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_ABZW_ANST_VALUE = 1;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Abzw Awanst</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_ABZW_AWANST
	 * @model name="ENUMOertlichkeit_Art_Abzw_Awanst" literal="Abzw Awanst"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_ABZW_AWANST_VALUE = 2;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Anst</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_ANST
	 * @model name="ENUMOertlichkeit_Art_Anst" literal="Anst"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_ANST_VALUE = 3;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Anst Bk</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_ANST_BK
	 * @model name="ENUMOertlichkeit_Art_Anst_Bk" literal="Anst Bk"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_ANST_BK_VALUE = 4;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Awanst</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_AWANST
	 * @model name="ENUMOertlichkeit_Art_Awanst" literal="Awanst"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_AWANST_VALUE = 5;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Awanst Bk</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_AWANST_BK
	 * @model name="ENUMOertlichkeit_Art_Awanst_Bk" literal="Awanst Bk"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_AWANST_BK_VALUE = 6;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Bf</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_BF
	 * @model name="ENUMOertlichkeit_Art_Bf" literal="Bf"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_BF_VALUE = 7;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Bf Abzw</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_BF_ABZW
	 * @model name="ENUMOertlichkeit_Art_Bf_Abzw" literal="Bf Abzw"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_BF_ABZW_VALUE = 8;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Bft</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_BFT
	 * @model name="ENUMOertlichkeit_Art_Bft" literal="Bft"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_BFT_VALUE = 9;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Bft Abzw</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_BFT_ABZW
	 * @model name="ENUMOertlichkeit_Art_Bft_Abzw" literal="Bft Abzw"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_BFT_ABZW_VALUE = 10;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Bk</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_BK
	 * @model name="ENUMOertlichkeit_Art_Bk" literal="Bk"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_BK_VALUE = 11;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art BSO</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_BSO
	 * @model name="ENUMOertlichkeit_Art_BSO" literal="BSO"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_BSO_VALUE = 12;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art BZ</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_BZ
	 * @model name="ENUMOertlichkeit_Art_BZ" literal="BZ"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_BZ_VALUE = 13;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Dkst</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_DKST
	 * @model name="ENUMOertlichkeit_Art_Dkst" literal="Dkst"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_DKST_VALUE = 14;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Gp</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_GP
	 * @model name="ENUMOertlichkeit_Art_Gp" literal="Gp"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_GP_VALUE = 15;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Hp</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_HP
	 * @model name="ENUMOertlichkeit_Art_Hp" literal="Hp"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_HP_VALUE = 16;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Hp Abzw</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_HP_ABZW
	 * @model name="ENUMOertlichkeit_Art_Hp_Abzw" literal="Hp Abzw"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_HP_ABZW_VALUE = 17;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Hp Abzw Anst</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_HP_ABZW_ANST
	 * @model name="ENUMOertlichkeit_Art_Hp_Abzw_Anst" literal="Hp Abzw Anst"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_HP_ABZW_ANST_VALUE = 18;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Hp Abzw Awanst</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_HP_ABZW_AWANST
	 * @model name="ENUMOertlichkeit_Art_Hp_Abzw_Awanst" literal="Hp Abzw Awanst"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_HP_ABZW_AWANST_VALUE = 19;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Hp Anst</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_HP_ANST
	 * @model name="ENUMOertlichkeit_Art_Hp_Anst" literal="Hp Anst"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_HP_ANST_VALUE = 20;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Hp Anst Bk</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_HP_ANST_BK
	 * @model name="ENUMOertlichkeit_Art_Hp_Anst_Bk" literal="Hp Anst Bk"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_HP_ANST_BK_VALUE = 21;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Hp Awanst</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_HP_AWANST
	 * @model name="ENUMOertlichkeit_Art_Hp_Awanst" literal="Hp Awanst"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_HP_AWANST_VALUE = 22;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Hp Awanst Bk</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_HP_AWANST_BK
	 * @model name="ENUMOertlichkeit_Art_Hp_Awanst_Bk" literal="Hp Awanst Bk"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_HP_AWANST_BK_VALUE = 23;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Hp Bft</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_HP_BFT
	 * @model name="ENUMOertlichkeit_Art_Hp_Bft" literal="Hp Bft"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_HP_BFT_VALUE = 24;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Hp Bk</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_HP_BK
	 * @model name="ENUMOertlichkeit_Art_Hp_Bk" literal="Hp Bk"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_HP_BK_VALUE = 25;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Hp Dkst</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_HP_DKST
	 * @model name="ENUMOertlichkeit_Art_Hp_Dkst" literal="Hp Dkst"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_HP_DKST_VALUE = 26;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Hp Ust</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_HP_UST
	 * @model name="ENUMOertlichkeit_Art_Hp_Ust" literal="Hp \334st"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_HP_UST_VALUE = 27;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Hp Ust Anst</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_HP_UST_ANST
	 * @model name="ENUMOertlichkeit_Art_Hp_Ust_Anst" literal="Hp \334st Anst"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_HP_UST_ANST_VALUE = 28;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Hp Ust Awanst</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_HP_UST_AWANST
	 * @model name="ENUMOertlichkeit_Art_Hp_Ust_Awanst" literal="Hp \334st Awanst"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_HP_UST_AWANST_VALUE = 29;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art LGr</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_LGR
	 * @model name="ENUMOertlichkeit_Art_LGr" literal="LGr"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_LGR_VALUE = 30;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art NE Abzw</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_NE_ABZW
	 * @model name="ENUMOertlichkeit_Art_NE_Abzw" literal="NE-Abzw"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_NE_ABZW_VALUE = 31;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art NE Anst</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_NE_ANST
	 * @model name="ENUMOertlichkeit_Art_NE_Anst" literal="NE-Anst"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_NE_ANST_VALUE = 32;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art NE Awanst</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_NE_AWANST
	 * @model name="ENUMOertlichkeit_Art_NE_Awanst" literal="NE-Awanst"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_NE_AWANST_VALUE = 33;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art NE Bf</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_NE_BF
	 * @model name="ENUMOertlichkeit_Art_NE_Bf" literal="NE-Bf"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_NE_BF_VALUE = 34;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art NE Bft</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_NE_BFT
	 * @model name="ENUMOertlichkeit_Art_NE_Bft" literal="NE-Bft"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_NE_BFT_VALUE = 35;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art NE Bft Abzw</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_NE_BFT_ABZW
	 * @model name="ENUMOertlichkeit_Art_NE_Bft_Abzw" literal="NE-Bft Abzw"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_NE_BFT_ABZW_VALUE = 36;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art NE Bk</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_NE_BK
	 * @model name="ENUMOertlichkeit_Art_NE_Bk" literal="NE-Bk"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_NE_BK_VALUE = 37;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art NE Gp</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_NE_GP
	 * @model name="ENUMOertlichkeit_Art_NE_Gp" literal="NE-Gp"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_NE_GP_VALUE = 38;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art NE Hp</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_NE_HP
	 * @model name="ENUMOertlichkeit_Art_NE_Hp" literal="NE-Hp"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_NE_HP_VALUE = 39;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art NE Hp Abzw</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_NE_HP_ABZW
	 * @model name="ENUMOertlichkeit_Art_NE_Hp_Abzw" literal="NE-Hp Abzw"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_NE_HP_ABZW_VALUE = 40;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art NE Hp Anst</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_NE_HP_ANST
	 * @model name="ENUMOertlichkeit_Art_NE_Hp_Anst" literal="NE-Hp Anst"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_NE_HP_ANST_VALUE = 41;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art NE Hp Awanst</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_NE_HP_AWANST
	 * @model name="ENUMOertlichkeit_Art_NE_Hp_Awanst" literal="NE-Hp Awanst"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_NE_HP_AWANST_VALUE = 42;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art NE Hp Bk</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_NE_HP_BK
	 * @model name="ENUMOertlichkeit_Art_NE_Hp_Bk" literal="NE-Hp Bk"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_NE_HP_BK_VALUE = 43;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art NE LGr</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_NE_LGR
	 * @model name="ENUMOertlichkeit_Art_NE_LGr" literal="NE-LGr"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_NE_LGR_VALUE = 44;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art NE RB Gr</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_NE_RB_GR
	 * @model name="ENUMOertlichkeit_Art_NE_RBGr" literal="NE-RBGr"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_NE_RB_GR_VALUE = 45;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art NE Ust</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_NE_UST
	 * @model name="ENUMOertlichkeit_Art_NE_Ust" literal="NE-\334st"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_NE_UST_VALUE = 46;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art PD Gr</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_PD_GR
	 * @model name="ENUMOertlichkeit_Art_PDGr" literal="PDGr"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_PD_GR_VALUE = 47;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art RB Gr</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_RB_GR
	 * @model name="ENUMOertlichkeit_Art_RBGr" literal="RBGr"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_RB_GR_VALUE = 48;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Sbk</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_SBK
	 * @model name="ENUMOertlichkeit_Art_Sbk" literal="Sbk"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_SBK_VALUE = 49;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art sonstige</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_SONSTIGE
	 * @model name="ENUMOertlichkeit_Art_sonstige" literal="sonstige"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_SONSTIGE_VALUE = 50;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Strw</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_STRW
	 * @model name="ENUMOertlichkeit_Art_Strw" literal="Strw"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_STRW_VALUE = 51;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Ust</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_UST
	 * @model name="ENUMOertlichkeit_Art_Ust" literal="\334st"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_UST_VALUE = 52;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Ust Anst</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_UST_ANST
	 * @model name="ENUMOertlichkeit_Art_Ust_Anst" literal="\334st Anst"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_UST_ANST_VALUE = 53;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art Ust Awanst</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_UST_AWANST
	 * @model name="ENUMOertlichkeit_Art_Ust_Awanst" literal="\334st Awanst"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_UST_AWANST_VALUE = 54;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art vp Abzw</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_VP_ABZW
	 * @model name="ENUMOertlichkeit_Art_vp_Abzw" literal="vp-Abzw"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_VP_ABZW_VALUE = 55;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art vp Anst</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_VP_ANST
	 * @model name="ENUMOertlichkeit_Art_vp_Anst" literal="vp-Anst"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_VP_ANST_VALUE = 56;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art vp Awanst</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_VP_AWANST
	 * @model name="ENUMOertlichkeit_Art_vp_Awanst" literal="vp-Awanst"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_VP_AWANST_VALUE = 57;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art vp Bf</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_VP_BF
	 * @model name="ENUMOertlichkeit_Art_vp_Bf" literal="vp-Bf"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_VP_BF_VALUE = 58;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art vp Bft</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_VP_BFT
	 * @model name="ENUMOertlichkeit_Art_vp_Bft" literal="vp-Bft"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_VP_BFT_VALUE = 59;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art vp Bk</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_VP_BK
	 * @model name="ENUMOertlichkeit_Art_vp_Bk" literal="vp-Bk"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_VP_BK_VALUE = 60;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art vp Hp</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_VP_HP
	 * @model name="ENUMOertlichkeit_Art_vp_Hp" literal="vp-Hp"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_VP_HP_VALUE = 61;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art vp Hp Abzw</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_VP_HP_ABZW
	 * @model name="ENUMOertlichkeit_Art_vp_Hp_Abzw" literal="vp-Hp Abzw"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_VP_HP_ABZW_VALUE = 62;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art vp Hp Anst</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_VP_HP_ANST
	 * @model name="ENUMOertlichkeit_Art_vp_Hp_Anst" literal="vp-Hp Anst"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_VP_HP_ANST_VALUE = 63;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art vp Hp Anst Bk</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_VP_HP_ANST_BK
	 * @model name="ENUMOertlichkeit_Art_vp_Hp_Anst_Bk" literal="vp-Hp Anst Bk"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_VP_HP_ANST_BK_VALUE = 64;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art vp Hp Awanst</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_VP_HP_AWANST
	 * @model name="ENUMOertlichkeit_Art_vp_Hp_Awanst" literal="vp-Hp Awanst"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_VP_HP_AWANST_VALUE = 65;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art vp LGr</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_VP_LGR
	 * @model name="ENUMOertlichkeit_Art_vp_LGr" literal="vp-LGr"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_VP_LGR_VALUE = 66;

	/**
	 * The '<em><b>ENUM Oertlichkeit Art vp RB Gr</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_OERTLICHKEIT_ART_VP_RB_GR
	 * @model name="ENUMOertlichkeit_Art_vp_RBGr" literal="vp-RBGr"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_OERTLICHKEIT_ART_VP_RB_GR_VALUE = 67;

	/**
	 * An array of all the '<em><b>ENUM Oertlichkeit Art</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static final ENUMOertlichkeitArt[] VALUES_ARRAY =
		new ENUMOertlichkeitArt[] {
			ENUM_OERTLICHKEIT_ART_ABZW,
			ENUM_OERTLICHKEIT_ART_ABZW_ANST,
			ENUM_OERTLICHKEIT_ART_ABZW_AWANST,
			ENUM_OERTLICHKEIT_ART_ANST,
			ENUM_OERTLICHKEIT_ART_ANST_BK,
			ENUM_OERTLICHKEIT_ART_AWANST,
			ENUM_OERTLICHKEIT_ART_AWANST_BK,
			ENUM_OERTLICHKEIT_ART_BF,
			ENUM_OERTLICHKEIT_ART_BF_ABZW,
			ENUM_OERTLICHKEIT_ART_BFT,
			ENUM_OERTLICHKEIT_ART_BFT_ABZW,
			ENUM_OERTLICHKEIT_ART_BK,
			ENUM_OERTLICHKEIT_ART_BSO,
			ENUM_OERTLICHKEIT_ART_BZ,
			ENUM_OERTLICHKEIT_ART_DKST,
			ENUM_OERTLICHKEIT_ART_GP,
			ENUM_OERTLICHKEIT_ART_HP,
			ENUM_OERTLICHKEIT_ART_HP_ABZW,
			ENUM_OERTLICHKEIT_ART_HP_ABZW_ANST,
			ENUM_OERTLICHKEIT_ART_HP_ABZW_AWANST,
			ENUM_OERTLICHKEIT_ART_HP_ANST,
			ENUM_OERTLICHKEIT_ART_HP_ANST_BK,
			ENUM_OERTLICHKEIT_ART_HP_AWANST,
			ENUM_OERTLICHKEIT_ART_HP_AWANST_BK,
			ENUM_OERTLICHKEIT_ART_HP_BFT,
			ENUM_OERTLICHKEIT_ART_HP_BK,
			ENUM_OERTLICHKEIT_ART_HP_DKST,
			ENUM_OERTLICHKEIT_ART_HP_UST,
			ENUM_OERTLICHKEIT_ART_HP_UST_ANST,
			ENUM_OERTLICHKEIT_ART_HP_UST_AWANST,
			ENUM_OERTLICHKEIT_ART_LGR,
			ENUM_OERTLICHKEIT_ART_NE_ABZW,
			ENUM_OERTLICHKEIT_ART_NE_ANST,
			ENUM_OERTLICHKEIT_ART_NE_AWANST,
			ENUM_OERTLICHKEIT_ART_NE_BF,
			ENUM_OERTLICHKEIT_ART_NE_BFT,
			ENUM_OERTLICHKEIT_ART_NE_BFT_ABZW,
			ENUM_OERTLICHKEIT_ART_NE_BK,
			ENUM_OERTLICHKEIT_ART_NE_GP,
			ENUM_OERTLICHKEIT_ART_NE_HP,
			ENUM_OERTLICHKEIT_ART_NE_HP_ABZW,
			ENUM_OERTLICHKEIT_ART_NE_HP_ANST,
			ENUM_OERTLICHKEIT_ART_NE_HP_AWANST,
			ENUM_OERTLICHKEIT_ART_NE_HP_BK,
			ENUM_OERTLICHKEIT_ART_NE_LGR,
			ENUM_OERTLICHKEIT_ART_NE_RB_GR,
			ENUM_OERTLICHKEIT_ART_NE_UST,
			ENUM_OERTLICHKEIT_ART_PD_GR,
			ENUM_OERTLICHKEIT_ART_RB_GR,
			ENUM_OERTLICHKEIT_ART_SBK,
			ENUM_OERTLICHKEIT_ART_SONSTIGE,
			ENUM_OERTLICHKEIT_ART_STRW,
			ENUM_OERTLICHKEIT_ART_UST,
			ENUM_OERTLICHKEIT_ART_UST_ANST,
			ENUM_OERTLICHKEIT_ART_UST_AWANST,
			ENUM_OERTLICHKEIT_ART_VP_ABZW,
			ENUM_OERTLICHKEIT_ART_VP_ANST,
			ENUM_OERTLICHKEIT_ART_VP_AWANST,
			ENUM_OERTLICHKEIT_ART_VP_BF,
			ENUM_OERTLICHKEIT_ART_VP_BFT,
			ENUM_OERTLICHKEIT_ART_VP_BK,
			ENUM_OERTLICHKEIT_ART_VP_HP,
			ENUM_OERTLICHKEIT_ART_VP_HP_ABZW,
			ENUM_OERTLICHKEIT_ART_VP_HP_ANST,
			ENUM_OERTLICHKEIT_ART_VP_HP_ANST_BK,
			ENUM_OERTLICHKEIT_ART_VP_HP_AWANST,
			ENUM_OERTLICHKEIT_ART_VP_LGR,
			ENUM_OERTLICHKEIT_ART_VP_RB_GR,
		};

	/**
	 * A public read-only list of all the '<em><b>ENUM Oertlichkeit Art</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static final List<ENUMOertlichkeitArt> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

	/**
	 * Returns the '<em><b>ENUM Oertlichkeit Art</b></em>' literal with the specified literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param literal the literal.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMOertlichkeitArt get(String literal) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMOertlichkeitArt result = VALUES_ARRAY[i];
			if (result.toString().equals(literal)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Oertlichkeit Art</b></em>' literal with the specified name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param name the name.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMOertlichkeitArt getByName(String name) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMOertlichkeitArt result = VALUES_ARRAY[i];
			if (result.getName().equals(name)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Oertlichkeit Art</b></em>' literal with the specified integer value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the integer value.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMOertlichkeitArt get(int value) {
		switch (value) {
			case ENUM_OERTLICHKEIT_ART_ABZW_VALUE: return ENUM_OERTLICHKEIT_ART_ABZW;
			case ENUM_OERTLICHKEIT_ART_ABZW_ANST_VALUE: return ENUM_OERTLICHKEIT_ART_ABZW_ANST;
			case ENUM_OERTLICHKEIT_ART_ABZW_AWANST_VALUE: return ENUM_OERTLICHKEIT_ART_ABZW_AWANST;
			case ENUM_OERTLICHKEIT_ART_ANST_VALUE: return ENUM_OERTLICHKEIT_ART_ANST;
			case ENUM_OERTLICHKEIT_ART_ANST_BK_VALUE: return ENUM_OERTLICHKEIT_ART_ANST_BK;
			case ENUM_OERTLICHKEIT_ART_AWANST_VALUE: return ENUM_OERTLICHKEIT_ART_AWANST;
			case ENUM_OERTLICHKEIT_ART_AWANST_BK_VALUE: return ENUM_OERTLICHKEIT_ART_AWANST_BK;
			case ENUM_OERTLICHKEIT_ART_BF_VALUE: return ENUM_OERTLICHKEIT_ART_BF;
			case ENUM_OERTLICHKEIT_ART_BF_ABZW_VALUE: return ENUM_OERTLICHKEIT_ART_BF_ABZW;
			case ENUM_OERTLICHKEIT_ART_BFT_VALUE: return ENUM_OERTLICHKEIT_ART_BFT;
			case ENUM_OERTLICHKEIT_ART_BFT_ABZW_VALUE: return ENUM_OERTLICHKEIT_ART_BFT_ABZW;
			case ENUM_OERTLICHKEIT_ART_BK_VALUE: return ENUM_OERTLICHKEIT_ART_BK;
			case ENUM_OERTLICHKEIT_ART_BSO_VALUE: return ENUM_OERTLICHKEIT_ART_BSO;
			case ENUM_OERTLICHKEIT_ART_BZ_VALUE: return ENUM_OERTLICHKEIT_ART_BZ;
			case ENUM_OERTLICHKEIT_ART_DKST_VALUE: return ENUM_OERTLICHKEIT_ART_DKST;
			case ENUM_OERTLICHKEIT_ART_GP_VALUE: return ENUM_OERTLICHKEIT_ART_GP;
			case ENUM_OERTLICHKEIT_ART_HP_VALUE: return ENUM_OERTLICHKEIT_ART_HP;
			case ENUM_OERTLICHKEIT_ART_HP_ABZW_VALUE: return ENUM_OERTLICHKEIT_ART_HP_ABZW;
			case ENUM_OERTLICHKEIT_ART_HP_ABZW_ANST_VALUE: return ENUM_OERTLICHKEIT_ART_HP_ABZW_ANST;
			case ENUM_OERTLICHKEIT_ART_HP_ABZW_AWANST_VALUE: return ENUM_OERTLICHKEIT_ART_HP_ABZW_AWANST;
			case ENUM_OERTLICHKEIT_ART_HP_ANST_VALUE: return ENUM_OERTLICHKEIT_ART_HP_ANST;
			case ENUM_OERTLICHKEIT_ART_HP_ANST_BK_VALUE: return ENUM_OERTLICHKEIT_ART_HP_ANST_BK;
			case ENUM_OERTLICHKEIT_ART_HP_AWANST_VALUE: return ENUM_OERTLICHKEIT_ART_HP_AWANST;
			case ENUM_OERTLICHKEIT_ART_HP_AWANST_BK_VALUE: return ENUM_OERTLICHKEIT_ART_HP_AWANST_BK;
			case ENUM_OERTLICHKEIT_ART_HP_BFT_VALUE: return ENUM_OERTLICHKEIT_ART_HP_BFT;
			case ENUM_OERTLICHKEIT_ART_HP_BK_VALUE: return ENUM_OERTLICHKEIT_ART_HP_BK;
			case ENUM_OERTLICHKEIT_ART_HP_DKST_VALUE: return ENUM_OERTLICHKEIT_ART_HP_DKST;
			case ENUM_OERTLICHKEIT_ART_HP_UST_VALUE: return ENUM_OERTLICHKEIT_ART_HP_UST;
			case ENUM_OERTLICHKEIT_ART_HP_UST_ANST_VALUE: return ENUM_OERTLICHKEIT_ART_HP_UST_ANST;
			case ENUM_OERTLICHKEIT_ART_HP_UST_AWANST_VALUE: return ENUM_OERTLICHKEIT_ART_HP_UST_AWANST;
			case ENUM_OERTLICHKEIT_ART_LGR_VALUE: return ENUM_OERTLICHKEIT_ART_LGR;
			case ENUM_OERTLICHKEIT_ART_NE_ABZW_VALUE: return ENUM_OERTLICHKEIT_ART_NE_ABZW;
			case ENUM_OERTLICHKEIT_ART_NE_ANST_VALUE: return ENUM_OERTLICHKEIT_ART_NE_ANST;
			case ENUM_OERTLICHKEIT_ART_NE_AWANST_VALUE: return ENUM_OERTLICHKEIT_ART_NE_AWANST;
			case ENUM_OERTLICHKEIT_ART_NE_BF_VALUE: return ENUM_OERTLICHKEIT_ART_NE_BF;
			case ENUM_OERTLICHKEIT_ART_NE_BFT_VALUE: return ENUM_OERTLICHKEIT_ART_NE_BFT;
			case ENUM_OERTLICHKEIT_ART_NE_BFT_ABZW_VALUE: return ENUM_OERTLICHKEIT_ART_NE_BFT_ABZW;
			case ENUM_OERTLICHKEIT_ART_NE_BK_VALUE: return ENUM_OERTLICHKEIT_ART_NE_BK;
			case ENUM_OERTLICHKEIT_ART_NE_GP_VALUE: return ENUM_OERTLICHKEIT_ART_NE_GP;
			case ENUM_OERTLICHKEIT_ART_NE_HP_VALUE: return ENUM_OERTLICHKEIT_ART_NE_HP;
			case ENUM_OERTLICHKEIT_ART_NE_HP_ABZW_VALUE: return ENUM_OERTLICHKEIT_ART_NE_HP_ABZW;
			case ENUM_OERTLICHKEIT_ART_NE_HP_ANST_VALUE: return ENUM_OERTLICHKEIT_ART_NE_HP_ANST;
			case ENUM_OERTLICHKEIT_ART_NE_HP_AWANST_VALUE: return ENUM_OERTLICHKEIT_ART_NE_HP_AWANST;
			case ENUM_OERTLICHKEIT_ART_NE_HP_BK_VALUE: return ENUM_OERTLICHKEIT_ART_NE_HP_BK;
			case ENUM_OERTLICHKEIT_ART_NE_LGR_VALUE: return ENUM_OERTLICHKEIT_ART_NE_LGR;
			case ENUM_OERTLICHKEIT_ART_NE_RB_GR_VALUE: return ENUM_OERTLICHKEIT_ART_NE_RB_GR;
			case ENUM_OERTLICHKEIT_ART_NE_UST_VALUE: return ENUM_OERTLICHKEIT_ART_NE_UST;
			case ENUM_OERTLICHKEIT_ART_PD_GR_VALUE: return ENUM_OERTLICHKEIT_ART_PD_GR;
			case ENUM_OERTLICHKEIT_ART_RB_GR_VALUE: return ENUM_OERTLICHKEIT_ART_RB_GR;
			case ENUM_OERTLICHKEIT_ART_SBK_VALUE: return ENUM_OERTLICHKEIT_ART_SBK;
			case ENUM_OERTLICHKEIT_ART_SONSTIGE_VALUE: return ENUM_OERTLICHKEIT_ART_SONSTIGE;
			case ENUM_OERTLICHKEIT_ART_STRW_VALUE: return ENUM_OERTLICHKEIT_ART_STRW;
			case ENUM_OERTLICHKEIT_ART_UST_VALUE: return ENUM_OERTLICHKEIT_ART_UST;
			case ENUM_OERTLICHKEIT_ART_UST_ANST_VALUE: return ENUM_OERTLICHKEIT_ART_UST_ANST;
			case ENUM_OERTLICHKEIT_ART_UST_AWANST_VALUE: return ENUM_OERTLICHKEIT_ART_UST_AWANST;
			case ENUM_OERTLICHKEIT_ART_VP_ABZW_VALUE: return ENUM_OERTLICHKEIT_ART_VP_ABZW;
			case ENUM_OERTLICHKEIT_ART_VP_ANST_VALUE: return ENUM_OERTLICHKEIT_ART_VP_ANST;
			case ENUM_OERTLICHKEIT_ART_VP_AWANST_VALUE: return ENUM_OERTLICHKEIT_ART_VP_AWANST;
			case ENUM_OERTLICHKEIT_ART_VP_BF_VALUE: return ENUM_OERTLICHKEIT_ART_VP_BF;
			case ENUM_OERTLICHKEIT_ART_VP_BFT_VALUE: return ENUM_OERTLICHKEIT_ART_VP_BFT;
			case ENUM_OERTLICHKEIT_ART_VP_BK_VALUE: return ENUM_OERTLICHKEIT_ART_VP_BK;
			case ENUM_OERTLICHKEIT_ART_VP_HP_VALUE: return ENUM_OERTLICHKEIT_ART_VP_HP;
			case ENUM_OERTLICHKEIT_ART_VP_HP_ABZW_VALUE: return ENUM_OERTLICHKEIT_ART_VP_HP_ABZW;
			case ENUM_OERTLICHKEIT_ART_VP_HP_ANST_VALUE: return ENUM_OERTLICHKEIT_ART_VP_HP_ANST;
			case ENUM_OERTLICHKEIT_ART_VP_HP_ANST_BK_VALUE: return ENUM_OERTLICHKEIT_ART_VP_HP_ANST_BK;
			case ENUM_OERTLICHKEIT_ART_VP_HP_AWANST_VALUE: return ENUM_OERTLICHKEIT_ART_VP_HP_AWANST;
			case ENUM_OERTLICHKEIT_ART_VP_LGR_VALUE: return ENUM_OERTLICHKEIT_ART_VP_LGR;
			case ENUM_OERTLICHKEIT_ART_VP_RB_GR_VALUE: return ENUM_OERTLICHKEIT_ART_VP_RB_GR;
			default: return null;
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final int value;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String name;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String literal;

	/**
	 * Only this class can construct instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private ENUMOertlichkeitArt(int value, String name, String literal) {
		this.value = value;
		this.name = name;
		this.literal = literal;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public int getValue() {
	  return value;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getName() {
	  return name;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getLiteral() {
	  return literal;
	}

	/**
	 * Returns the literal value of the enumerator, which is its string representation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		return literal;
	}
	
} //ENUMOertlichkeitArt
