/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Geodaten;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>ENUM Ueberhoehungslinie Form</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Geodaten.GeodatenPackage#getENUMUeberhoehungslinieForm()
 * @model extendedMetaData="name='ENUMUeberhoehungslinie_Form'"
 * @generated
 */
public enum ENUMUeberhoehungslinieForm implements Enumerator {
	/**
	 * The '<em><b>ENUM Ueberhoehungslinie Form gleichbleibend</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_UEBERHOEHUNGSLINIE_FORM_GLEICHBLEIBEND_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_UEBERHOEHUNGSLINIE_FORM_GLEICHBLEIBEND(0, "ENUMUeberhoehungslinie_Form_gleichbleibend", "gleichbleibend"),

	/**
	 * The '<em><b>ENUM Ueberhoehungslinie Form Rampe Bloss</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_UEBERHOEHUNGSLINIE_FORM_RAMPE_BLOSS_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_UEBERHOEHUNGSLINIE_FORM_RAMPE_BLOSS(1, "ENUMUeberhoehungslinie_Form_Rampe_Bloss", "Rampe_Bloss"),

	/**
	 * The '<em><b>ENUM Ueberhoehungslinie Form Rampe gerade</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_UEBERHOEHUNGSLINIE_FORM_RAMPE_GERADE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_UEBERHOEHUNGSLINIE_FORM_RAMPE_GERADE(2, "ENUMUeberhoehungslinie_Form_Rampe_gerade", "Rampe_gerade"),

	/**
	 * The '<em><b>ENUM Ueberhoehungslinie Form Rampe S</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_UEBERHOEHUNGSLINIE_FORM_RAMPE_S_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_UEBERHOEHUNGSLINIE_FORM_RAMPE_S(3, "ENUMUeberhoehungslinie_Form_Rampe_S", "Rampe_S"),

	/**
	 * The '<em><b>ENUM Ueberhoehungslinie Form Schere Bloss</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_UEBERHOEHUNGSLINIE_FORM_SCHERE_BLOSS_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_UEBERHOEHUNGSLINIE_FORM_SCHERE_BLOSS(4, "ENUMUeberhoehungslinie_Form_Schere_Bloss", "Schere_Bloss"),

	/**
	 * The '<em><b>ENUM Ueberhoehungslinie Form Schere S</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_UEBERHOEHUNGSLINIE_FORM_SCHERE_S_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_UEBERHOEHUNGSLINIE_FORM_SCHERE_S(5, "ENUMUeberhoehungslinie_Form_Schere_S", "Schere_S");

	/**
	 * The '<em><b>ENUM Ueberhoehungslinie Form gleichbleibend</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_UEBERHOEHUNGSLINIE_FORM_GLEICHBLEIBEND
	 * @model name="ENUMUeberhoehungslinie_Form_gleichbleibend" literal="gleichbleibend"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_UEBERHOEHUNGSLINIE_FORM_GLEICHBLEIBEND_VALUE = 0;

	/**
	 * The '<em><b>ENUM Ueberhoehungslinie Form Rampe Bloss</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_UEBERHOEHUNGSLINIE_FORM_RAMPE_BLOSS
	 * @model name="ENUMUeberhoehungslinie_Form_Rampe_Bloss" literal="Rampe_Bloss"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_UEBERHOEHUNGSLINIE_FORM_RAMPE_BLOSS_VALUE = 1;

	/**
	 * The '<em><b>ENUM Ueberhoehungslinie Form Rampe gerade</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_UEBERHOEHUNGSLINIE_FORM_RAMPE_GERADE
	 * @model name="ENUMUeberhoehungslinie_Form_Rampe_gerade" literal="Rampe_gerade"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_UEBERHOEHUNGSLINIE_FORM_RAMPE_GERADE_VALUE = 2;

	/**
	 * The '<em><b>ENUM Ueberhoehungslinie Form Rampe S</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_UEBERHOEHUNGSLINIE_FORM_RAMPE_S
	 * @model name="ENUMUeberhoehungslinie_Form_Rampe_S" literal="Rampe_S"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_UEBERHOEHUNGSLINIE_FORM_RAMPE_S_VALUE = 3;

	/**
	 * The '<em><b>ENUM Ueberhoehungslinie Form Schere Bloss</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_UEBERHOEHUNGSLINIE_FORM_SCHERE_BLOSS
	 * @model name="ENUMUeberhoehungslinie_Form_Schere_Bloss" literal="Schere_Bloss"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_UEBERHOEHUNGSLINIE_FORM_SCHERE_BLOSS_VALUE = 4;

	/**
	 * The '<em><b>ENUM Ueberhoehungslinie Form Schere S</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_UEBERHOEHUNGSLINIE_FORM_SCHERE_S
	 * @model name="ENUMUeberhoehungslinie_Form_Schere_S" literal="Schere_S"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_UEBERHOEHUNGSLINIE_FORM_SCHERE_S_VALUE = 5;

	/**
	 * An array of all the '<em><b>ENUM Ueberhoehungslinie Form</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static final ENUMUeberhoehungslinieForm[] VALUES_ARRAY =
		new ENUMUeberhoehungslinieForm[] {
			ENUM_UEBERHOEHUNGSLINIE_FORM_GLEICHBLEIBEND,
			ENUM_UEBERHOEHUNGSLINIE_FORM_RAMPE_BLOSS,
			ENUM_UEBERHOEHUNGSLINIE_FORM_RAMPE_GERADE,
			ENUM_UEBERHOEHUNGSLINIE_FORM_RAMPE_S,
			ENUM_UEBERHOEHUNGSLINIE_FORM_SCHERE_BLOSS,
			ENUM_UEBERHOEHUNGSLINIE_FORM_SCHERE_S,
		};

	/**
	 * A public read-only list of all the '<em><b>ENUM Ueberhoehungslinie Form</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static final List<ENUMUeberhoehungslinieForm> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

	/**
	 * Returns the '<em><b>ENUM Ueberhoehungslinie Form</b></em>' literal with the specified literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param literal the literal.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMUeberhoehungslinieForm get(String literal) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMUeberhoehungslinieForm result = VALUES_ARRAY[i];
			if (result.toString().equals(literal)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Ueberhoehungslinie Form</b></em>' literal with the specified name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param name the name.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMUeberhoehungslinieForm getByName(String name) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMUeberhoehungslinieForm result = VALUES_ARRAY[i];
			if (result.getName().equals(name)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Ueberhoehungslinie Form</b></em>' literal with the specified integer value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the integer value.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMUeberhoehungslinieForm get(int value) {
		switch (value) {
			case ENUM_UEBERHOEHUNGSLINIE_FORM_GLEICHBLEIBEND_VALUE: return ENUM_UEBERHOEHUNGSLINIE_FORM_GLEICHBLEIBEND;
			case ENUM_UEBERHOEHUNGSLINIE_FORM_RAMPE_BLOSS_VALUE: return ENUM_UEBERHOEHUNGSLINIE_FORM_RAMPE_BLOSS;
			case ENUM_UEBERHOEHUNGSLINIE_FORM_RAMPE_GERADE_VALUE: return ENUM_UEBERHOEHUNGSLINIE_FORM_RAMPE_GERADE;
			case ENUM_UEBERHOEHUNGSLINIE_FORM_RAMPE_S_VALUE: return ENUM_UEBERHOEHUNGSLINIE_FORM_RAMPE_S;
			case ENUM_UEBERHOEHUNGSLINIE_FORM_SCHERE_BLOSS_VALUE: return ENUM_UEBERHOEHUNGSLINIE_FORM_SCHERE_BLOSS;
			case ENUM_UEBERHOEHUNGSLINIE_FORM_SCHERE_S_VALUE: return ENUM_UEBERHOEHUNGSLINIE_FORM_SCHERE_S;
			default: return null;
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final int value;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String name;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String literal;

	/**
	 * Only this class can construct instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private ENUMUeberhoehungslinieForm(int value, String name, String literal) {
		this.value = value;
		this.name = name;
		this.literal = literal;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public int getValue() {
	  return value;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getName() {
	  return name;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getLiteral() {
	  return literal;
	}

	/**
	 * Returns the literal value of the enumerator, which is its string representation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		return literal;
	}
	
} //ENUMUeberhoehungslinieForm
