/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Geodaten;

import org.eclipse.emf.ecore.EFactory;

/**
 * <!-- begin-user-doc -->
 * The <b>Factory</b> for the model.
 * It provides a create method for each non-abstract class of the model.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Geodaten.GeodatenPackage
 * @generated
 */
public interface GeodatenFactory extends EFactory {
	/**
	 * The singleton instance of the factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	GeodatenFactory eINSTANCE = org.eclipse.set.toolboxmodel.Geodaten.impl.GeodatenFactoryImpl.init();

	/**
	 * Returns a new object of class '<em>Anzeigegefuehrt ES Kategorie Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Anzeigegefuehrt ES Kategorie Type Class</em>'.
	 * @generated
	 */
	Anzeigegefuehrt_ES_Kategorie_TypeClass createAnzeigegefuehrt_ES_Kategorie_TypeClass();

	/**
	 * Returns a new object of class '<em>Bezeichnung Strecke Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bezeichnung Strecke Type Class</em>'.
	 * @generated
	 */
	Bezeichnung_Strecke_TypeClass createBezeichnung_Strecke_TypeClass();

	/**
	 * Returns a new object of class '<em>Bremsweg Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bremsweg Type Class</em>'.
	 * @generated
	 */
	Bremsweg_TypeClass createBremsweg_TypeClass();

	/**
	 * Returns a new object of class '<em>GEO Form Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>GEO Form Type Class</em>'.
	 * @generated
	 */
	GEO_Form_TypeClass createGEO_Form_TypeClass();

	/**
	 * Returns a new object of class '<em>GEO KAD Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>GEO KAD Type Class</em>'.
	 * @generated
	 */
	GEO_KAD_TypeClass createGEO_KAD_TypeClass();

	/**
	 * Returns a new object of class '<em>GEO Kante</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>GEO Kante</em>'.
	 * @generated
	 */
	GEO_Kante createGEO_Kante();

	/**
	 * Returns a new object of class '<em>GEO Kante Allg Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>GEO Kante Allg Attribute Group</em>'.
	 * @generated
	 */
	GEO_Kante_Allg_AttributeGroup createGEO_Kante_Allg_AttributeGroup();

	/**
	 * Returns a new object of class '<em>GEO Knoten</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>GEO Knoten</em>'.
	 * @generated
	 */
	GEO_Knoten createGEO_Knoten();

	/**
	 * Returns a new object of class '<em>GEO Koordinatensystem Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>GEO Koordinatensystem Type Class</em>'.
	 * @generated
	 */
	GEO_Koordinatensystem_TypeClass createGEO_Koordinatensystem_TypeClass();

	/**
	 * Returns a new object of class '<em>GEO Laenge Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>GEO Laenge Type Class</em>'.
	 * @generated
	 */
	GEO_Laenge_TypeClass createGEO_Laenge_TypeClass();

	/**
	 * Returns a new object of class '<em>GEO PAD Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>GEO PAD Type Class</em>'.
	 * @generated
	 */
	GEO_PAD_TypeClass createGEO_PAD_TypeClass();

	/**
	 * Returns a new object of class '<em>GEO Punkt</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>GEO Punkt</em>'.
	 * @generated
	 */
	GEO_Punkt createGEO_Punkt();

	/**
	 * Returns a new object of class '<em>GEO Punkt Allg Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>GEO Punkt Allg Attribute Group</em>'.
	 * @generated
	 */
	GEO_Punkt_Allg_AttributeGroup createGEO_Punkt_Allg_AttributeGroup();

	/**
	 * Returns a new object of class '<em>GEO Radius AType Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>GEO Radius AType Class</em>'.
	 * @generated
	 */
	GEO_Radius_A_TypeClass createGEO_Radius_A_TypeClass();

	/**
	 * Returns a new object of class '<em>GEO Radius BType Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>GEO Radius BType Class</em>'.
	 * @generated
	 */
	GEO_Radius_B_TypeClass createGEO_Radius_B_TypeClass();

	/**
	 * Returns a new object of class '<em>GEO Richtungswinkel Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>GEO Richtungswinkel Type Class</em>'.
	 * @generated
	 */
	GEO_Richtungswinkel_TypeClass createGEO_Richtungswinkel_TypeClass();

	/**
	 * Returns a new object of class '<em>Geschwindigkeit Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Geschwindigkeit Type Class</em>'.
	 * @generated
	 */
	Geschwindigkeit_TypeClass createGeschwindigkeit_TypeClass();

	/**
	 * Returns a new object of class '<em>Geschwindigkeitsprofil</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Geschwindigkeitsprofil</em>'.
	 * @generated
	 */
	Geschwindigkeitsprofil createGeschwindigkeitsprofil();

	/**
	 * Returns a new object of class '<em>Geschwindigkeitsprofil Allg Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Geschwindigkeitsprofil Allg Attribute Group</em>'.
	 * @generated
	 */
	Geschwindigkeitsprofil_Allg_AttributeGroup createGeschwindigkeitsprofil_Allg_AttributeGroup();

	/**
	 * Returns a new object of class '<em>GK XType Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>GK XType Class</em>'.
	 * @generated
	 */
	GK_X_TypeClass createGK_X_TypeClass();

	/**
	 * Returns a new object of class '<em>GK YType Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>GK YType Class</em>'.
	 * @generated
	 */
	GK_Y_TypeClass createGK_Y_TypeClass();

	/**
	 * Returns a new object of class '<em>GK ZType Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>GK ZType Class</em>'.
	 * @generated
	 */
	GK_Z_TypeClass createGK_Z_TypeClass();

	/**
	 * Returns a new object of class '<em>Hoehenlinie</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Hoehenlinie</em>'.
	 * @generated
	 */
	Hoehenlinie createHoehenlinie();

	/**
	 * Returns a new object of class '<em>Hoehenlinie Allg Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Hoehenlinie Allg Attribute Group</em>'.
	 * @generated
	 */
	Hoehenlinie_Allg_AttributeGroup createHoehenlinie_Allg_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Hoehenlinie Form Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Hoehenlinie Form Type Class</em>'.
	 * @generated
	 */
	Hoehenlinie_Form_TypeClass createHoehenlinie_Form_TypeClass();

	/**
	 * Returns a new object of class '<em>Hoehenlinie Laenge Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Hoehenlinie Laenge Type Class</em>'.
	 * @generated
	 */
	Hoehenlinie_Laenge_TypeClass createHoehenlinie_Laenge_TypeClass();

	/**
	 * Returns a new object of class '<em>Hoehenpunkt</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Hoehenpunkt</em>'.
	 * @generated
	 */
	Hoehenpunkt createHoehenpunkt();

	/**
	 * Returns a new object of class '<em>Hoehenpunkt Allg Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Hoehenpunkt Allg Attribute Group</em>'.
	 * @generated
	 */
	Hoehenpunkt_Allg_AttributeGroup createHoehenpunkt_Allg_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Hoehenpunkt Datum Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Hoehenpunkt Datum Type Class</em>'.
	 * @generated
	 */
	Hoehenpunkt_Datum_TypeClass createHoehenpunkt_Datum_TypeClass();

	/**
	 * Returns a new object of class '<em>Hoehenpunkt Hoehe Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Hoehenpunkt Hoehe Type Class</em>'.
	 * @generated
	 */
	Hoehenpunkt_Hoehe_TypeClass createHoehenpunkt_Hoehe_TypeClass();

	/**
	 * Returns a new object of class '<em>HSystem Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>HSystem Type Class</em>'.
	 * @generated
	 */
	HSystem_TypeClass createHSystem_TypeClass();

	/**
	 * Returns a new object of class '<em>Kantenname Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Kantenname Type Class</em>'.
	 * @generated
	 */
	Kantenname_TypeClass createKantenname_TypeClass();

	/**
	 * Returns a new object of class '<em>Knotenname Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Knotenname Type Class</em>'.
	 * @generated
	 */
	Knotenname_TypeClass createKnotenname_TypeClass();

	/**
	 * Returns a new object of class '<em>Neigung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Neigung Type Class</em>'.
	 * @generated
	 */
	Neigung_TypeClass createNeigung_TypeClass();

	/**
	 * Returns a new object of class '<em>Oertlichkeit</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Oertlichkeit</em>'.
	 * @generated
	 */
	Oertlichkeit createOertlichkeit();

	/**
	 * Returns a new object of class '<em>Oertlichkeit Abkuerzung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Oertlichkeit Abkuerzung Type Class</em>'.
	 * @generated
	 */
	Oertlichkeit_Abkuerzung_TypeClass createOertlichkeit_Abkuerzung_TypeClass();

	/**
	 * Returns a new object of class '<em>Oertlichkeit Allg Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Oertlichkeit Allg Attribute Group</em>'.
	 * @generated
	 */
	Oertlichkeit_Allg_AttributeGroup createOertlichkeit_Allg_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Oertlichkeit Art Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Oertlichkeit Art Type Class</em>'.
	 * @generated
	 */
	Oertlichkeit_Art_TypeClass createOertlichkeit_Art_TypeClass();

	/**
	 * Returns a new object of class '<em>Oertlichkeit Bezeichnung Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Oertlichkeit Bezeichnung Attribute Group</em>'.
	 * @generated
	 */
	Oertlichkeit_Bezeichnung_AttributeGroup createOertlichkeit_Bezeichnung_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Oertlichkeit Gueltig Ab Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Oertlichkeit Gueltig Ab Type Class</em>'.
	 * @generated
	 */
	Oertlichkeit_Gueltig_Ab_TypeClass createOertlichkeit_Gueltig_Ab_TypeClass();

	/**
	 * Returns a new object of class '<em>Oertlichkeit Gueltig Bis Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Oertlichkeit Gueltig Bis Type Class</em>'.
	 * @generated
	 */
	Oertlichkeit_Gueltig_Bis_TypeClass createOertlichkeit_Gueltig_Bis_TypeClass();

	/**
	 * Returns a new object of class '<em>Oertlichkeit Kurzname Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Oertlichkeit Kurzname Type Class</em>'.
	 * @generated
	 */
	Oertlichkeit_Kurzname_TypeClass createOertlichkeit_Kurzname_TypeClass();

	/**
	 * Returns a new object of class '<em>Oertlichkeit Langname Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Oertlichkeit Langname Type Class</em>'.
	 * @generated
	 */
	Oertlichkeit_Langname_TypeClass createOertlichkeit_Langname_TypeClass();

	/**
	 * Returns a new object of class '<em>Plan Quelle Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Plan Quelle Type Class</em>'.
	 * @generated
	 */
	Plan_Quelle_TypeClass createPlan_Quelle_TypeClass();

	/**
	 * Returns a new object of class '<em>Strecke</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Strecke</em>'.
	 * @generated
	 */
	Strecke createStrecke();

	/**
	 * Returns a new object of class '<em>Strecke Bezeichnung Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Strecke Bezeichnung Attribute Group</em>'.
	 * @generated
	 */
	Strecke_Bezeichnung_AttributeGroup createStrecke_Bezeichnung_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Strecke Bremsweg</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Strecke Bremsweg</em>'.
	 * @generated
	 */
	Strecke_Bremsweg createStrecke_Bremsweg();

	/**
	 * Returns a new object of class '<em>Strecke Meter Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Strecke Meter Type Class</em>'.
	 * @generated
	 */
	Strecke_Meter_TypeClass createStrecke_Meter_TypeClass();

	/**
	 * Returns a new object of class '<em>Strecke Punkt</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Strecke Punkt</em>'.
	 * @generated
	 */
	Strecke_Punkt createStrecke_Punkt();

	/**
	 * Returns a new object of class '<em>Strecke Richtung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Strecke Richtung Type Class</em>'.
	 * @generated
	 */
	Strecke_Richtung_TypeClass createStrecke_Richtung_TypeClass();

	/**
	 * Returns a new object of class '<em>TB Art Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>TB Art Type Class</em>'.
	 * @generated
	 */
	TB_Art_TypeClass createTB_Art_TypeClass();

	/**
	 * Returns a new object of class '<em>TB Beschreibung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>TB Beschreibung Type Class</em>'.
	 * @generated
	 */
	TB_Beschreibung_TypeClass createTB_Beschreibung_TypeClass();

	/**
	 * Returns a new object of class '<em>Technischer Bereich</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Technischer Bereich</em>'.
	 * @generated
	 */
	Technischer_Bereich createTechnischer_Bereich();

	/**
	 * Returns a new object of class '<em>Technischer Punkt</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Technischer Punkt</em>'.
	 * @generated
	 */
	Technischer_Punkt createTechnischer_Punkt();

	/**
	 * Returns a new object of class '<em>TOP Anschluss AType Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>TOP Anschluss AType Class</em>'.
	 * @generated
	 */
	TOP_Anschluss_A_TypeClass createTOP_Anschluss_A_TypeClass();

	/**
	 * Returns a new object of class '<em>TOP Anschluss BType Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>TOP Anschluss BType Class</em>'.
	 * @generated
	 */
	TOP_Anschluss_B_TypeClass createTOP_Anschluss_B_TypeClass();

	/**
	 * Returns a new object of class '<em>TOP Kante</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>TOP Kante</em>'.
	 * @generated
	 */
	TOP_Kante createTOP_Kante();

	/**
	 * Returns a new object of class '<em>TOP Kante Allg Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>TOP Kante Allg Attribute Group</em>'.
	 * @generated
	 */
	TOP_Kante_Allg_AttributeGroup createTOP_Kante_Allg_AttributeGroup();

	/**
	 * Returns a new object of class '<em>TOP Knoten</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>TOP Knoten</em>'.
	 * @generated
	 */
	TOP_Knoten createTOP_Knoten();

	/**
	 * Returns a new object of class '<em>TOP Laenge Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>TOP Laenge Type Class</em>'.
	 * @generated
	 */
	TOP_Laenge_TypeClass createTOP_Laenge_TypeClass();

	/**
	 * Returns a new object of class '<em>TP Art Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>TP Art Type Class</em>'.
	 * @generated
	 */
	TP_Art_TypeClass createTP_Art_TypeClass();

	/**
	 * Returns a new object of class '<em>TP Beschreibung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>TP Beschreibung Type Class</em>'.
	 * @generated
	 */
	TP_Beschreibung_TypeClass createTP_Beschreibung_TypeClass();

	/**
	 * Returns a new object of class '<em>Trasse Kante child Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Trasse Kante child Attribute Group</em>'.
	 * @generated
	 */
	Trasse_Kante_child_AttributeGroup createTrasse_Kante_child_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Ueberhoehung</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Ueberhoehung</em>'.
	 * @generated
	 */
	Ueberhoehung createUeberhoehung();

	/**
	 * Returns a new object of class '<em>Ueberhoehung Allg Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Ueberhoehung Allg Attribute Group</em>'.
	 * @generated
	 */
	Ueberhoehung_Allg_AttributeGroup createUeberhoehung_Allg_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Ueberhoehung Datum Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Ueberhoehung Datum Type Class</em>'.
	 * @generated
	 */
	Ueberhoehung_Datum_TypeClass createUeberhoehung_Datum_TypeClass();

	/**
	 * Returns a new object of class '<em>Ueberhoehung Hoehe Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Ueberhoehung Hoehe Type Class</em>'.
	 * @generated
	 */
	Ueberhoehung_Hoehe_TypeClass createUeberhoehung_Hoehe_TypeClass();

	/**
	 * Returns a new object of class '<em>Ueberhoehungslinie</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Ueberhoehungslinie</em>'.
	 * @generated
	 */
	Ueberhoehungslinie createUeberhoehungslinie();

	/**
	 * Returns a new object of class '<em>Ueberhoehungslinie Allg Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Ueberhoehungslinie Allg Attribute Group</em>'.
	 * @generated
	 */
	Ueberhoehungslinie_Allg_AttributeGroup createUeberhoehungslinie_Allg_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Ueberhoehungslinie Form Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Ueberhoehungslinie Form Type Class</em>'.
	 * @generated
	 */
	Ueberhoehungslinie_Form_TypeClass createUeberhoehungslinie_Form_TypeClass();

	/**
	 * Returns a new object of class '<em>Ueberhoehungslinie Laenge Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Ueberhoehungslinie Laenge Type Class</em>'.
	 * @generated
	 */
	Ueberhoehungslinie_Laenge_TypeClass createUeberhoehungslinie_Laenge_TypeClass();

	/**
	 * Returns a new object of class '<em>VProfil Art Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>VProfil Art Type Class</em>'.
	 * @generated
	 */
	V_Profil_Art_TypeClass createV_Profil_Art_TypeClass();

	/**
	 * Returns the package supported by this factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the package supported by this factory.
	 * @generated
	 */
	GeodatenPackage getGeodatenPackage();

} //GeodatenFactory
