/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Gleis;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>ENUM Lichtraumprofil</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Gleis.GleisPackage#getENUMLichtraumprofil()
 * @model extendedMetaData="name='ENUMLichtraumprofil'"
 * @generated
 */
public enum ENUMLichtraumprofil implements Enumerator {
	/**
	 * The '<em><b>ENUM Lichtraumprofil 1SMDR</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_LICHTRAUMPROFIL_1SMDR_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_LICHTRAUMPROFIL_1SMDR(0, "ENUMLichtraumprofil_1SMDR", "1SMDR"),

	/**
	 * The '<em><b>ENUM Lichtraumprofil GC</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_LICHTRAUMPROFIL_GC_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_LICHTRAUMPROFIL_GC(1, "ENUMLichtraumprofil_GC", "GC"),

	/**
	 * The '<em><b>ENUM Lichtraumprofil SBahn 80003</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_LICHTRAUMPROFIL_SBAHN_80003_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_LICHTRAUMPROFIL_SBAHN_80003(2, "ENUMLichtraumprofil_SBahn_80003", "SBahn_80003"),

	/**
	 * The '<em><b>ENUM Lichtraumprofil SBahn Berlin</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_LICHTRAUMPROFIL_SBAHN_BERLIN_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_LICHTRAUMPROFIL_SBAHN_BERLIN(3, "ENUMLichtraumprofil_SBahn_Berlin", "SBahn_Berlin"),

	/**
	 * The '<em><b>ENUM Lichtraumprofil sonstige</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_LICHTRAUMPROFIL_SONSTIGE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_LICHTRAUMPROFIL_SONSTIGE(4, "ENUMLichtraumprofil_sonstige", "sonstige");

	/**
	 * The '<em><b>ENUM Lichtraumprofil 1SMDR</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_LICHTRAUMPROFIL_1SMDR
	 * @model name="ENUMLichtraumprofil_1SMDR" literal="1SMDR"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_LICHTRAUMPROFIL_1SMDR_VALUE = 0;

	/**
	 * The '<em><b>ENUM Lichtraumprofil GC</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_LICHTRAUMPROFIL_GC
	 * @model name="ENUMLichtraumprofil_GC" literal="GC"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_LICHTRAUMPROFIL_GC_VALUE = 1;

	/**
	 * The '<em><b>ENUM Lichtraumprofil SBahn 80003</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_LICHTRAUMPROFIL_SBAHN_80003
	 * @model name="ENUMLichtraumprofil_SBahn_80003" literal="SBahn_80003"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_LICHTRAUMPROFIL_SBAHN_80003_VALUE = 2;

	/**
	 * The '<em><b>ENUM Lichtraumprofil SBahn Berlin</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_LICHTRAUMPROFIL_SBAHN_BERLIN
	 * @model name="ENUMLichtraumprofil_SBahn_Berlin" literal="SBahn_Berlin"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_LICHTRAUMPROFIL_SBAHN_BERLIN_VALUE = 3;

	/**
	 * The '<em><b>ENUM Lichtraumprofil sonstige</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_LICHTRAUMPROFIL_SONSTIGE
	 * @model name="ENUMLichtraumprofil_sonstige" literal="sonstige"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_LICHTRAUMPROFIL_SONSTIGE_VALUE = 4;

	/**
	 * An array of all the '<em><b>ENUM Lichtraumprofil</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static final ENUMLichtraumprofil[] VALUES_ARRAY =
		new ENUMLichtraumprofil[] {
			ENUM_LICHTRAUMPROFIL_1SMDR,
			ENUM_LICHTRAUMPROFIL_GC,
			ENUM_LICHTRAUMPROFIL_SBAHN_80003,
			ENUM_LICHTRAUMPROFIL_SBAHN_BERLIN,
			ENUM_LICHTRAUMPROFIL_SONSTIGE,
		};

	/**
	 * A public read-only list of all the '<em><b>ENUM Lichtraumprofil</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static final List<ENUMLichtraumprofil> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

	/**
	 * Returns the '<em><b>ENUM Lichtraumprofil</b></em>' literal with the specified literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param literal the literal.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMLichtraumprofil get(String literal) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMLichtraumprofil result = VALUES_ARRAY[i];
			if (result.toString().equals(literal)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Lichtraumprofil</b></em>' literal with the specified name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param name the name.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMLichtraumprofil getByName(String name) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMLichtraumprofil result = VALUES_ARRAY[i];
			if (result.getName().equals(name)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Lichtraumprofil</b></em>' literal with the specified integer value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the integer value.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMLichtraumprofil get(int value) {
		switch (value) {
			case ENUM_LICHTRAUMPROFIL_1SMDR_VALUE: return ENUM_LICHTRAUMPROFIL_1SMDR;
			case ENUM_LICHTRAUMPROFIL_GC_VALUE: return ENUM_LICHTRAUMPROFIL_GC;
			case ENUM_LICHTRAUMPROFIL_SBAHN_80003_VALUE: return ENUM_LICHTRAUMPROFIL_SBAHN_80003;
			case ENUM_LICHTRAUMPROFIL_SBAHN_BERLIN_VALUE: return ENUM_LICHTRAUMPROFIL_SBAHN_BERLIN;
			case ENUM_LICHTRAUMPROFIL_SONSTIGE_VALUE: return ENUM_LICHTRAUMPROFIL_SONSTIGE;
			default: return null;
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final int value;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String name;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String literal;

	/**
	 * Only this class can construct instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private ENUMLichtraumprofil(int value, String name, String literal) {
		this.value = value;
		this.name = name;
		this.literal = literal;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public int getValue() {
	  return value;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getName() {
	  return name;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getLiteral() {
	  return literal;
	}

	/**
	 * Returns the literal value of the enumerator, which is its string representation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		return literal;
	}
	
} //ENUMLichtraumprofil
