/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Gleis;

import org.eclipse.emf.ecore.EFactory;

/**
 * <!-- begin-user-doc -->
 * The <b>Factory</b> for the model.
 * It provides a create method for each non-abstract class of the model.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Gleis.GleisPackage
 * @generated
 */
public interface GleisFactory extends EFactory {
	/**
	 * The singleton instance of the factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	GleisFactory eINSTANCE = org.eclipse.set.toolboxmodel.Gleis.impl.GleisFactoryImpl.init();

	/**
	 * Returns a new object of class '<em>Baubereich Art Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Baubereich Art Type Class</em>'.
	 * @generated
	 */
	Baubereich_Art_TypeClass createBaubereich_Art_TypeClass();

	/**
	 * Returns a new object of class '<em>Bez Gleis Bezeichnung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bez Gleis Bezeichnung Type Class</em>'.
	 * @generated
	 */
	Bez_Gleis_Bezeichnung_TypeClass createBez_Gleis_Bezeichnung_TypeClass();

	/**
	 * Returns a new object of class '<em>Fahrstrom Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fahrstrom Type Class</em>'.
	 * @generated
	 */
	Fahrstrom_TypeClass createFahrstrom_TypeClass();

	/**
	 * Returns a new object of class '<em>Geschwindigkeit Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Geschwindigkeit Type Class</em>'.
	 * @generated
	 */
	Geschwindigkeit_TypeClass createGeschwindigkeit_TypeClass();

	/**
	 * Returns a new object of class '<em>Gleis Abschnitt</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Gleis Abschnitt</em>'.
	 * @generated
	 */
	Gleis_Abschnitt createGleis_Abschnitt();

	/**
	 * Returns a new object of class '<em>Gleis Art</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Gleis Art</em>'.
	 * @generated
	 */
	Gleis_Art createGleis_Art();

	/**
	 * Returns a new object of class '<em>Gleis Baubereich</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Gleis Baubereich</em>'.
	 * @generated
	 */
	Gleis_Baubereich createGleis_Baubereich();

	/**
	 * Returns a new object of class '<em>Gleis Bezeichnung</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Gleis Bezeichnung</em>'.
	 * @generated
	 */
	Gleis_Bezeichnung createGleis_Bezeichnung();

	/**
	 * Returns a new object of class '<em>Gleis Bezeichnung Bezeichnung Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Gleis Bezeichnung Bezeichnung Attribute Group</em>'.
	 * @generated
	 */
	Gleis_Bezeichnung_Bezeichnung_AttributeGroup createGleis_Bezeichnung_Bezeichnung_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Gleis Fahrbahn</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Gleis Fahrbahn</em>'.
	 * @generated
	 */
	Gleis_Fahrbahn createGleis_Fahrbahn();

	/**
	 * Returns a new object of class '<em>Gleis Lichtraum</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Gleis Lichtraum</em>'.
	 * @generated
	 */
	Gleis_Lichtraum createGleis_Lichtraum();

	/**
	 * Returns a new object of class '<em>Gleis Schaltgruppe</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Gleis Schaltgruppe</em>'.
	 * @generated
	 */
	Gleis_Schaltgruppe createGleis_Schaltgruppe();

	/**
	 * Returns a new object of class '<em>Gleisart Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Gleisart Type Class</em>'.
	 * @generated
	 */
	Gleisart_TypeClass createGleisart_TypeClass();

	/**
	 * Returns a new object of class '<em>Konstruktion Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Konstruktion Type Class</em>'.
	 * @generated
	 */
	Konstruktion_TypeClass createKonstruktion_TypeClass();

	/**
	 * Returns a new object of class '<em>Lichtraumprofil Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Lichtraumprofil Type Class</em>'.
	 * @generated
	 */
	Lichtraumprofil_TypeClass createLichtraumprofil_TypeClass();

	/**
	 * Returns the package supported by this factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the package supported by this factory.
	 * @generated
	 */
	GleisPackage getGleisPackage();

} //GleisFactory
