/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Layoutinformationen;

import org.eclipse.emf.ecore.EFactory;

/**
 * <!-- begin-user-doc -->
 * The <b>Factory</b> for the model.
 * It provides a create method for each non-abstract class of the model.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Layoutinformationen.LayoutinformationenPackage
 * @generated
 */
public interface LayoutinformationenFactory extends EFactory {
	/**
	 * The singleton instance of the factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	LayoutinformationenFactory eINSTANCE = org.eclipse.set.toolboxmodel.Layoutinformationen.impl.LayoutinformationenFactoryImpl.init();

	/**
	 * Returns a new object of class '<em>Bez Lageplan Blattschnitt Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bez Lageplan Blattschnitt Type Class</em>'.
	 * @generated
	 */
	Bez_Lageplan_Blattschnitt_TypeClass createBez_Lageplan_Blattschnitt_TypeClass();

	/**
	 * Returns a new object of class '<em>Bezeichnung Lageplan Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bezeichnung Lageplan Type Class</em>'.
	 * @generated
	 */
	Bezeichnung_Lageplan_TypeClass createBezeichnung_Lageplan_TypeClass();

	/**
	 * Returns a new object of class '<em>Darstellung GEO Punkt Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Darstellung GEO Punkt Type Class</em>'.
	 * @generated
	 */
	Darstellung_GEO_Punkt_TypeClass createDarstellung_GEO_Punkt_TypeClass();

	/**
	 * Returns a new object of class '<em>Darstellung Polygonzug Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Darstellung Polygonzug Type Class</em>'.
	 * @generated
	 */
	Darstellung_Polygonzug_TypeClass createDarstellung_Polygonzug_TypeClass();

	/**
	 * Returns a new object of class '<em>Darstellung Richtungswinkel Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Darstellung Richtungswinkel Type Class</em>'.
	 * @generated
	 */
	Darstellung_Richtungswinkel_TypeClass createDarstellung_Richtungswinkel_TypeClass();

	/**
	 * Returns a new object of class '<em>Document Root</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Document Root</em>'.
	 * @generated
	 */
	DocumentRoot createDocumentRoot();

	/**
	 * Returns a new object of class '<em>Element Position</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Element Position</em>'.
	 * @generated
	 */
	Element_Position createElement_Position();

	/**
	 * Returns a new object of class '<em>Element Position Allg Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Element Position Allg Attribute Group</em>'.
	 * @generated
	 */
	Element_Position_Allg_AttributeGroup createElement_Position_Allg_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Element Stil</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Element Stil</em>'.
	 * @generated
	 */
	Element_Stil createElement_Stil();

	/**
	 * Returns a new object of class '<em>Element Stil Allg Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Element Stil Allg Attribute Group</em>'.
	 * @generated
	 */
	Element_Stil_Allg_AttributeGroup createElement_Stil_Allg_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Fuellung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fuellung Type Class</em>'.
	 * @generated
	 */
	Fuellung_TypeClass createFuellung_TypeClass();

	/**
	 * Returns a new object of class '<em>Lageplan</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Lageplan</em>'.
	 * @generated
	 */
	Lageplan createLageplan();

	/**
	 * Returns a new object of class '<em>Lageplan Art Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Lageplan Art Type Class</em>'.
	 * @generated
	 */
	Lageplan_Art_TypeClass createLageplan_Art_TypeClass();

	/**
	 * Returns a new object of class '<em>Lageplan Bezeichnung Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Lageplan Bezeichnung Attribute Group</em>'.
	 * @generated
	 */
	Lageplan_Bezeichnung_AttributeGroup createLageplan_Bezeichnung_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Lageplan Blattschnitt</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Lageplan Blattschnitt</em>'.
	 * @generated
	 */
	Lageplan_Blattschnitt createLageplan_Blattschnitt();

	/**
	 * Returns a new object of class '<em>Lageplan Blattschnitt Bezeichnung Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Lageplan Blattschnitt Bezeichnung Attribute Group</em>'.
	 * @generated
	 */
	Lageplan_Blattschnitt_Bezeichnung_AttributeGroup createLageplan_Blattschnitt_Bezeichnung_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Lageplan Zustand</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Lageplan Zustand</em>'.
	 * @generated
	 */
	Lageplan_Zustand createLageplan_Zustand();

	/**
	 * Returns a new object of class '<em>Linie Art Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Linie Art Type Class</em>'.
	 * @generated
	 */
	Linie_Art_TypeClass createLinie_Art_TypeClass();

	/**
	 * Returns a new object of class '<em>Linie Farbwert Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Linie Farbwert Type Class</em>'.
	 * @generated
	 */
	Linie_Farbwert_TypeClass createLinie_Farbwert_TypeClass();

	/**
	 * Returns a new object of class '<em>Linie Subart Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Linie Subart Type Class</em>'.
	 * @generated
	 */
	Linie_Subart_TypeClass createLinie_Subart_TypeClass();

	/**
	 * Returns a new object of class '<em>Plan Pro Layoutinfo</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Plan Pro Layoutinfo</em>'.
	 * @generated
	 */
	PlanPro_Layoutinfo createPlanPro_Layoutinfo();

	/**
	 * Returns a new object of class '<em>Polygonzug Ausrichtung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Polygonzug Ausrichtung Type Class</em>'.
	 * @generated
	 */
	Polygonzug_Ausrichtung_TypeClass createPolygonzug_Ausrichtung_TypeClass();

	/**
	 * Returns a new object of class '<em>Polygonzug Blattschnitt Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Polygonzug Blattschnitt Type Class</em>'.
	 * @generated
	 */
	Polygonzug_Blattschnitt_TypeClass createPolygonzug_Blattschnitt_TypeClass();

	/**
	 * Returns a new object of class '<em>Referenz LST Zustand Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Referenz LST Zustand Type Class</em>'.
	 * @generated
	 */
	Referenz_LST_Zustand_TypeClass createReferenz_LST_Zustand_TypeClass();

	/**
	 * Returns a new object of class '<em>Referenz Objekt Darstellung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Referenz Objekt Darstellung Type Class</em>'.
	 * @generated
	 */
	Referenz_Objekt_Darstellung_TypeClass createReferenz_Objekt_Darstellung_TypeClass();

	/**
	 * Returns the package supported by this factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the package supported by this factory.
	 * @generated
	 */
	LayoutinformationenPackage getLayoutinformationenPackage();

} //LayoutinformationenFactory
