/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Medien_und_Trassen;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>ENUM Trasse Nutzer</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Medien_und_Trassen.Medien_und_TrassenPackage#getENUMTrasseNutzer()
 * @model extendedMetaData="name='ENUMTrasse_Nutzer'"
 * @generated
 */
public enum ENUMTrasseNutzer implements Enumerator {
	/**
	 * The '<em><b>ENUM Trasse Nutzer DB Energie</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TRASSE_NUTZER_DB_ENERGIE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_TRASSE_NUTZER_DB_ENERGIE(0, "ENUMTrasse_Nutzer_DB_Energie", "DB_Energie"),

	/**
	 * The '<em><b>ENUM Trasse Nutzer DB KT</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TRASSE_NUTZER_DB_KT_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_TRASSE_NUTZER_DB_KT(1, "ENUMTrasse_Nutzer_DB_KT", "DB_KT"),

	/**
	 * The '<em><b>ENUM Trasse Nutzer DB Netz</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TRASSE_NUTZER_DB_NETZ_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_TRASSE_NUTZER_DB_NETZ(2, "ENUMTrasse_Nutzer_DB_Netz", "DB_Netz"),

	/**
	 * The '<em><b>ENUM Trasse Nutzer DB Stu S</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TRASSE_NUTZER_DB_STU_S_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_TRASSE_NUTZER_DB_STU_S(3, "ENUMTrasse_Nutzer_DB_StuS", "DB_StuS"),

	/**
	 * The '<em><b>ENUM Trasse Nutzer Dritte</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TRASSE_NUTZER_DRITTE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_TRASSE_NUTZER_DRITTE(4, "ENUMTrasse_Nutzer_Dritte", "Dritte"),

	/**
	 * The '<em><b>ENUM Trasse Nutzer sonstige</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TRASSE_NUTZER_SONSTIGE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_TRASSE_NUTZER_SONSTIGE(5, "ENUMTrasse_Nutzer_sonstige", "sonstige"),

	/**
	 * The '<em><b>ENUM Trasse Nutzer unbekannt</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TRASSE_NUTZER_UNBEKANNT_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_TRASSE_NUTZER_UNBEKANNT(6, "ENUMTrasse_Nutzer_unbekannt", "unbekannt");

	/**
	 * The '<em><b>ENUM Trasse Nutzer DB Energie</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TRASSE_NUTZER_DB_ENERGIE
	 * @model name="ENUMTrasse_Nutzer_DB_Energie" literal="DB_Energie"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_TRASSE_NUTZER_DB_ENERGIE_VALUE = 0;

	/**
	 * The '<em><b>ENUM Trasse Nutzer DB KT</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TRASSE_NUTZER_DB_KT
	 * @model name="ENUMTrasse_Nutzer_DB_KT" literal="DB_KT"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_TRASSE_NUTZER_DB_KT_VALUE = 1;

	/**
	 * The '<em><b>ENUM Trasse Nutzer DB Netz</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TRASSE_NUTZER_DB_NETZ
	 * @model name="ENUMTrasse_Nutzer_DB_Netz" literal="DB_Netz"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_TRASSE_NUTZER_DB_NETZ_VALUE = 2;

	/**
	 * The '<em><b>ENUM Trasse Nutzer DB Stu S</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TRASSE_NUTZER_DB_STU_S
	 * @model name="ENUMTrasse_Nutzer_DB_StuS" literal="DB_StuS"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_TRASSE_NUTZER_DB_STU_S_VALUE = 3;

	/**
	 * The '<em><b>ENUM Trasse Nutzer Dritte</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TRASSE_NUTZER_DRITTE
	 * @model name="ENUMTrasse_Nutzer_Dritte" literal="Dritte"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_TRASSE_NUTZER_DRITTE_VALUE = 4;

	/**
	 * The '<em><b>ENUM Trasse Nutzer sonstige</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TRASSE_NUTZER_SONSTIGE
	 * @model name="ENUMTrasse_Nutzer_sonstige" literal="sonstige"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_TRASSE_NUTZER_SONSTIGE_VALUE = 5;

	/**
	 * The '<em><b>ENUM Trasse Nutzer unbekannt</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_TRASSE_NUTZER_UNBEKANNT
	 * @model name="ENUMTrasse_Nutzer_unbekannt" literal="unbekannt"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_TRASSE_NUTZER_UNBEKANNT_VALUE = 6;

	/**
	 * An array of all the '<em><b>ENUM Trasse Nutzer</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static final ENUMTrasseNutzer[] VALUES_ARRAY =
		new ENUMTrasseNutzer[] {
			ENUM_TRASSE_NUTZER_DB_ENERGIE,
			ENUM_TRASSE_NUTZER_DB_KT,
			ENUM_TRASSE_NUTZER_DB_NETZ,
			ENUM_TRASSE_NUTZER_DB_STU_S,
			ENUM_TRASSE_NUTZER_DRITTE,
			ENUM_TRASSE_NUTZER_SONSTIGE,
			ENUM_TRASSE_NUTZER_UNBEKANNT,
		};

	/**
	 * A public read-only list of all the '<em><b>ENUM Trasse Nutzer</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static final List<ENUMTrasseNutzer> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

	/**
	 * Returns the '<em><b>ENUM Trasse Nutzer</b></em>' literal with the specified literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param literal the literal.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMTrasseNutzer get(String literal) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMTrasseNutzer result = VALUES_ARRAY[i];
			if (result.toString().equals(literal)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Trasse Nutzer</b></em>' literal with the specified name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param name the name.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMTrasseNutzer getByName(String name) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMTrasseNutzer result = VALUES_ARRAY[i];
			if (result.getName().equals(name)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Trasse Nutzer</b></em>' literal with the specified integer value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the integer value.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMTrasseNutzer get(int value) {
		switch (value) {
			case ENUM_TRASSE_NUTZER_DB_ENERGIE_VALUE: return ENUM_TRASSE_NUTZER_DB_ENERGIE;
			case ENUM_TRASSE_NUTZER_DB_KT_VALUE: return ENUM_TRASSE_NUTZER_DB_KT;
			case ENUM_TRASSE_NUTZER_DB_NETZ_VALUE: return ENUM_TRASSE_NUTZER_DB_NETZ;
			case ENUM_TRASSE_NUTZER_DB_STU_S_VALUE: return ENUM_TRASSE_NUTZER_DB_STU_S;
			case ENUM_TRASSE_NUTZER_DRITTE_VALUE: return ENUM_TRASSE_NUTZER_DRITTE;
			case ENUM_TRASSE_NUTZER_SONSTIGE_VALUE: return ENUM_TRASSE_NUTZER_SONSTIGE;
			case ENUM_TRASSE_NUTZER_UNBEKANNT_VALUE: return ENUM_TRASSE_NUTZER_UNBEKANNT;
			default: return null;
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final int value;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String name;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String literal;

	/**
	 * Only this class can construct instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private ENUMTrasseNutzer(int value, String name, String literal) {
		this.value = value;
		this.name = name;
		this.literal = literal;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public int getValue() {
	  return value;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getName() {
	  return name;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getLiteral() {
	  return literal;
	}

	/**
	 * Returns the literal value of the enumerator, which is its string representation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		return literal;
	}
	
} //ENUMTrasseNutzer
