/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Medien_und_Trassen;

import org.eclipse.emf.ecore.EFactory;

/**
 * <!-- begin-user-doc -->
 * The <b>Factory</b> for the model.
 * It provides a create method for each non-abstract class of the model.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Medien_und_Trassen.Medien_und_TrassenPackage
 * @generated
 */
public interface Medien_und_TrassenFactory extends EFactory {
	/**
	 * The singleton instance of the factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	Medien_und_TrassenFactory eINSTANCE = org.eclipse.set.toolboxmodel.Medien_und_Trassen.impl.Medien_und_TrassenFactoryImpl.init();

	/**
	 * Returns a new object of class '<em>Ader Durchmesser Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Ader Durchmesser Type Class</em>'.
	 * @generated
	 */
	Ader_Durchmesser_TypeClass createAder_Durchmesser_TypeClass();

	/**
	 * Returns a new object of class '<em>Ader Querschnitt Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Ader Querschnitt Type Class</em>'.
	 * @generated
	 */
	Ader_Querschnitt_TypeClass createAder_Querschnitt_TypeClass();

	/**
	 * Returns a new object of class '<em>Ader Reserve Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Ader Reserve Type Class</em>'.
	 * @generated
	 */
	Ader_Reserve_TypeClass createAder_Reserve_TypeClass();

	/**
	 * Returns a new object of class '<em>Anzahl Verseilelemente Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Anzahl Verseilelemente Type Class</em>'.
	 * @generated
	 */
	Anzahl_Verseilelemente_TypeClass createAnzahl_Verseilelemente_TypeClass();

	/**
	 * Returns a new object of class '<em>Bezeichnung Kabel Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bezeichnung Kabel Type Class</em>'.
	 * @generated
	 */
	Bezeichnung_Kabel_TypeClass createBezeichnung_Kabel_TypeClass();

	/**
	 * Returns a new object of class '<em>Bezeichnung Kabel Verteilpunkt Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bezeichnung Kabel Verteilpunkt Type Class</em>'.
	 * @generated
	 */
	Bezeichnung_Kabel_Verteilpunkt_TypeClass createBezeichnung_Kabel_Verteilpunkt_TypeClass();

	/**
	 * Returns a new object of class '<em>Induktionsschutz Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Induktionsschutz Type Class</em>'.
	 * @generated
	 */
	Induktionsschutz_TypeClass createInduktionsschutz_TypeClass();

	/**
	 * Returns a new object of class '<em>Kabel</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Kabel</em>'.
	 * @generated
	 */
	Kabel createKabel();

	/**
	 * Returns a new object of class '<em>Kabel Allg Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Kabel Allg Attribute Group</em>'.
	 * @generated
	 */
	Kabel_Allg_AttributeGroup createKabel_Allg_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Kabel Art Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Kabel Art Type Class</em>'.
	 * @generated
	 */
	Kabel_Art_TypeClass createKabel_Art_TypeClass();

	/**
	 * Returns a new object of class '<em>Kabel Bezeichnung Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Kabel Bezeichnung Attribute Group</em>'.
	 * @generated
	 */
	Kabel_Bezeichnung_AttributeGroup createKabel_Bezeichnung_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Kabel Element Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Kabel Element Attribute Group</em>'.
	 * @generated
	 */
	Kabel_Element_AttributeGroup createKabel_Element_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Kabel Laenge Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Kabel Laenge Type Class</em>'.
	 * @generated
	 */
	Kabel_Laenge_TypeClass createKabel_Laenge_TypeClass();

	/**
	 * Returns a new object of class '<em>Kabel Typ Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Kabel Typ Type Class</em>'.
	 * @generated
	 */
	Kabel_Typ_TypeClass createKabel_Typ_TypeClass();

	/**
	 * Returns a new object of class '<em>Kabel Verteilpunkt</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Kabel Verteilpunkt</em>'.
	 * @generated
	 */
	Kabel_Verteilpunkt createKabel_Verteilpunkt();

	/**
	 * Returns a new object of class '<em>Kabel Verteilpunkt Art Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Kabel Verteilpunkt Art Type Class</em>'.
	 * @generated
	 */
	Kabel_Verteilpunkt_Art_TypeClass createKabel_Verteilpunkt_Art_TypeClass();

	/**
	 * Returns a new object of class '<em>Kabel Verteilpunkt Bezeichnung Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Kabel Verteilpunkt Bezeichnung Attribute Group</em>'.
	 * @generated
	 */
	Kabel_Verteilpunkt_Bezeichnung_AttributeGroup createKabel_Verteilpunkt_Bezeichnung_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Nagetierschutz Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Nagetierschutz Type Class</em>'.
	 * @generated
	 */
	Nagetierschutz_TypeClass createNagetierschutz_TypeClass();

	/**
	 * Returns a new object of class '<em>Trasse Kante</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Trasse Kante</em>'.
	 * @generated
	 */
	Trasse_Kante createTrasse_Kante();

	/**
	 * Returns a new object of class '<em>Trasse Kante Art Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Trasse Kante Art Type Class</em>'.
	 * @generated
	 */
	Trasse_Kante_Art_TypeClass createTrasse_Kante_Art_TypeClass();

	/**
	 * Returns a new object of class '<em>Trasse Knoten</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Trasse Knoten</em>'.
	 * @generated
	 */
	Trasse_Knoten createTrasse_Knoten();

	/**
	 * Returns a new object of class '<em>Trasse Knoten Art Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Trasse Knoten Art Type Class</em>'.
	 * @generated
	 */
	Trasse_Knoten_Art_TypeClass createTrasse_Knoten_Art_TypeClass();

	/**
	 * Returns a new object of class '<em>Trasse Nutzer Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Trasse Nutzer Type Class</em>'.
	 * @generated
	 */
	Trasse_Nutzer_TypeClass createTrasse_Nutzer_TypeClass();

	/**
	 * Returns a new object of class '<em>Verseilart Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Verseilart Type Class</em>'.
	 * @generated
	 */
	Verseilart_TypeClass createVerseilart_TypeClass();

	/**
	 * Returns the package supported by this factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the package supported by this factory.
	 * @generated
	 */
	Medien_und_TrassenPackage getMedien_und_TrassenPackage();

} //Medien_und_TrassenFactory
