/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Nahbedienung;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>ENUMNB Rueckgabevoraussetzung</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Nahbedienung.NahbedienungPackage#getENUMNBRueckgabevoraussetzung()
 * @model extendedMetaData="name='ENUMNB_Rueckgabevoraussetzung'"
 * @generated
 */
public enum ENUMNBRueckgabevoraussetzung implements Enumerator {
	/**
	 * The '<em><b>ENUMNB Rueckgabevoraussetzung abgelegt</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMNB_RUECKGABEVORAUSSETZUNG_ABGELEGT_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMNB_RUECKGABEVORAUSSETZUNG_ABGELEGT(0, "ENUMNB_Rueckgabevoraussetzung_abgelegt", "abgelegt"),

	/**
	 * The '<em><b>ENUMNB Rueckgabevoraussetzung aufgelegt</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMNB_RUECKGABEVORAUSSETZUNG_AUFGELEGT_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMNB_RUECKGABEVORAUSSETZUNG_AUFGELEGT(1, "ENUMNB_Rueckgabevoraussetzung_aufgelegt", "aufgelegt"),

	/**
	 * The '<em><b>ENUMNB Rueckgabevoraussetzung Hp 0</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMNB_RUECKGABEVORAUSSETZUNG_HP_0_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMNB_RUECKGABEVORAUSSETZUNG_HP_0(2, "ENUMNB_Rueckgabevoraussetzung_Hp_0", "Hp_0"),

	/**
	 * The '<em><b>ENUMNB Rueckgabevoraussetzung keine</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMNB_RUECKGABEVORAUSSETZUNG_KEINE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMNB_RUECKGABEVORAUSSETZUNG_KEINE(3, "ENUMNB_Rueckgabevoraussetzung_keine", "keine"),

	/**
	 * The '<em><b>ENUMNB Rueckgabevoraussetzung Kennlicht</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMNB_RUECKGABEVORAUSSETZUNG_KENNLICHT_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMNB_RUECKGABEVORAUSSETZUNG_KENNLICHT(4, "ENUMNB_Rueckgabevoraussetzung_Kennlicht", "Kennlicht"),

	/**
	 * The '<em><b>ENUMNB Rueckgabevoraussetzung links</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMNB_RUECKGABEVORAUSSETZUNG_LINKS_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMNB_RUECKGABEVORAUSSETZUNG_LINKS(5, "ENUMNB_Rueckgabevoraussetzung_links", "links"),

	/**
	 * The '<em><b>ENUMNB Rueckgabevoraussetzung rechts</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMNB_RUECKGABEVORAUSSETZUNG_RECHTS_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMNB_RUECKGABEVORAUSSETZUNG_RECHTS(6, "ENUMNB_Rueckgabevoraussetzung_rechts", "rechts"),

	/**
	 * The '<em><b>ENUMNB Rueckgabevoraussetzung Schluessel eingeschlossen</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMNB_RUECKGABEVORAUSSETZUNG_SCHLUESSEL_EINGESCHLOSSEN_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMNB_RUECKGABEVORAUSSETZUNG_SCHLUESSEL_EINGESCHLOSSEN(7, "ENUMNB_Rueckgabevoraussetzung_Schluessel_eingeschlossen", "Schluessel_eingeschlossen");

	/**
	 * The '<em><b>ENUMNB Rueckgabevoraussetzung abgelegt</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMNB_RUECKGABEVORAUSSETZUNG_ABGELEGT
	 * @model name="ENUMNB_Rueckgabevoraussetzung_abgelegt" literal="abgelegt"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMNB_RUECKGABEVORAUSSETZUNG_ABGELEGT_VALUE = 0;

	/**
	 * The '<em><b>ENUMNB Rueckgabevoraussetzung aufgelegt</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMNB_RUECKGABEVORAUSSETZUNG_AUFGELEGT
	 * @model name="ENUMNB_Rueckgabevoraussetzung_aufgelegt" literal="aufgelegt"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMNB_RUECKGABEVORAUSSETZUNG_AUFGELEGT_VALUE = 1;

	/**
	 * The '<em><b>ENUMNB Rueckgabevoraussetzung Hp 0</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMNB_RUECKGABEVORAUSSETZUNG_HP_0
	 * @model name="ENUMNB_Rueckgabevoraussetzung_Hp_0" literal="Hp_0"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMNB_RUECKGABEVORAUSSETZUNG_HP_0_VALUE = 2;

	/**
	 * The '<em><b>ENUMNB Rueckgabevoraussetzung keine</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMNB_RUECKGABEVORAUSSETZUNG_KEINE
	 * @model name="ENUMNB_Rueckgabevoraussetzung_keine" literal="keine"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMNB_RUECKGABEVORAUSSETZUNG_KEINE_VALUE = 3;

	/**
	 * The '<em><b>ENUMNB Rueckgabevoraussetzung Kennlicht</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMNB_RUECKGABEVORAUSSETZUNG_KENNLICHT
	 * @model name="ENUMNB_Rueckgabevoraussetzung_Kennlicht" literal="Kennlicht"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMNB_RUECKGABEVORAUSSETZUNG_KENNLICHT_VALUE = 4;

	/**
	 * The '<em><b>ENUMNB Rueckgabevoraussetzung links</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMNB_RUECKGABEVORAUSSETZUNG_LINKS
	 * @model name="ENUMNB_Rueckgabevoraussetzung_links" literal="links"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMNB_RUECKGABEVORAUSSETZUNG_LINKS_VALUE = 5;

	/**
	 * The '<em><b>ENUMNB Rueckgabevoraussetzung rechts</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMNB_RUECKGABEVORAUSSETZUNG_RECHTS
	 * @model name="ENUMNB_Rueckgabevoraussetzung_rechts" literal="rechts"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMNB_RUECKGABEVORAUSSETZUNG_RECHTS_VALUE = 6;

	/**
	 * The '<em><b>ENUMNB Rueckgabevoraussetzung Schluessel eingeschlossen</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMNB_RUECKGABEVORAUSSETZUNG_SCHLUESSEL_EINGESCHLOSSEN
	 * @model name="ENUMNB_Rueckgabevoraussetzung_Schluessel_eingeschlossen" literal="Schluessel_eingeschlossen"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMNB_RUECKGABEVORAUSSETZUNG_SCHLUESSEL_EINGESCHLOSSEN_VALUE = 7;

	/**
	 * An array of all the '<em><b>ENUMNB Rueckgabevoraussetzung</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static final ENUMNBRueckgabevoraussetzung[] VALUES_ARRAY =
		new ENUMNBRueckgabevoraussetzung[] {
			ENUMNB_RUECKGABEVORAUSSETZUNG_ABGELEGT,
			ENUMNB_RUECKGABEVORAUSSETZUNG_AUFGELEGT,
			ENUMNB_RUECKGABEVORAUSSETZUNG_HP_0,
			ENUMNB_RUECKGABEVORAUSSETZUNG_KEINE,
			ENUMNB_RUECKGABEVORAUSSETZUNG_KENNLICHT,
			ENUMNB_RUECKGABEVORAUSSETZUNG_LINKS,
			ENUMNB_RUECKGABEVORAUSSETZUNG_RECHTS,
			ENUMNB_RUECKGABEVORAUSSETZUNG_SCHLUESSEL_EINGESCHLOSSEN,
		};

	/**
	 * A public read-only list of all the '<em><b>ENUMNB Rueckgabevoraussetzung</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static final List<ENUMNBRueckgabevoraussetzung> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

	/**
	 * Returns the '<em><b>ENUMNB Rueckgabevoraussetzung</b></em>' literal with the specified literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param literal the literal.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMNBRueckgabevoraussetzung get(String literal) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMNBRueckgabevoraussetzung result = VALUES_ARRAY[i];
			if (result.toString().equals(literal)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUMNB Rueckgabevoraussetzung</b></em>' literal with the specified name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param name the name.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMNBRueckgabevoraussetzung getByName(String name) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMNBRueckgabevoraussetzung result = VALUES_ARRAY[i];
			if (result.getName().equals(name)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUMNB Rueckgabevoraussetzung</b></em>' literal with the specified integer value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the integer value.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMNBRueckgabevoraussetzung get(int value) {
		switch (value) {
			case ENUMNB_RUECKGABEVORAUSSETZUNG_ABGELEGT_VALUE: return ENUMNB_RUECKGABEVORAUSSETZUNG_ABGELEGT;
			case ENUMNB_RUECKGABEVORAUSSETZUNG_AUFGELEGT_VALUE: return ENUMNB_RUECKGABEVORAUSSETZUNG_AUFGELEGT;
			case ENUMNB_RUECKGABEVORAUSSETZUNG_HP_0_VALUE: return ENUMNB_RUECKGABEVORAUSSETZUNG_HP_0;
			case ENUMNB_RUECKGABEVORAUSSETZUNG_KEINE_VALUE: return ENUMNB_RUECKGABEVORAUSSETZUNG_KEINE;
			case ENUMNB_RUECKGABEVORAUSSETZUNG_KENNLICHT_VALUE: return ENUMNB_RUECKGABEVORAUSSETZUNG_KENNLICHT;
			case ENUMNB_RUECKGABEVORAUSSETZUNG_LINKS_VALUE: return ENUMNB_RUECKGABEVORAUSSETZUNG_LINKS;
			case ENUMNB_RUECKGABEVORAUSSETZUNG_RECHTS_VALUE: return ENUMNB_RUECKGABEVORAUSSETZUNG_RECHTS;
			case ENUMNB_RUECKGABEVORAUSSETZUNG_SCHLUESSEL_EINGESCHLOSSEN_VALUE: return ENUMNB_RUECKGABEVORAUSSETZUNG_SCHLUESSEL_EINGESCHLOSSEN;
			default: return null;
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final int value;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String name;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String literal;

	/**
	 * Only this class can construct instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private ENUMNBRueckgabevoraussetzung(int value, String name, String literal) {
		this.value = value;
		this.name = name;
		this.literal = literal;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public int getValue() {
	  return value;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getName() {
	  return name;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getLiteral() {
	  return literal;
	}

	/**
	 * Returns the literal value of the enumerator, which is its string representation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		return literal;
	}
	
} //ENUMNBRueckgabevoraussetzung
