/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Nahbedienung;

import org.eclipse.emf.ecore.EFactory;

/**
 * <!-- begin-user-doc -->
 * The <b>Factory</b> for the model.
 * It provides a create method for each non-abstract class of the model.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Nahbedienung.NahbedienungPackage
 * @generated
 */
public interface NahbedienungFactory extends EFactory {
	/**
	 * The singleton instance of the factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	NahbedienungFactory eINSTANCE = org.eclipse.set.toolboxmodel.Nahbedienung.impl.NahbedienungFactoryImpl.init();

	/**
	 * Returns a new object of class '<em>AWU Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>AWU Type Class</em>'.
	 * @generated
	 */
	AWU_TypeClass createAWU_TypeClass();

	/**
	 * Returns a new object of class '<em>Bezeichnung NB Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bezeichnung NB Type Class</em>'.
	 * @generated
	 */
	Bezeichnung_NB_TypeClass createBezeichnung_NB_TypeClass();

	/**
	 * Returns a new object of class '<em>Bezeichnung NB Zone Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bezeichnung NB Zone Type Class</em>'.
	 * @generated
	 */
	Bezeichnung_NB_Zone_TypeClass createBezeichnung_NB_Zone_TypeClass();

	/**
	 * Returns a new object of class '<em>FST ZType Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>FST ZType Class</em>'.
	 * @generated
	 */
	F_ST_Z_TypeClass createF_ST_Z_TypeClass();

	/**
	 * Returns a new object of class '<em>FA FAE Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>FA FAE Type Class</em>'.
	 * @generated
	 */
	FA_FAE_TypeClass createFA_FAE_TypeClass();

	/**
	 * Returns a new object of class '<em>Freie Stellbarkeit Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Freie Stellbarkeit Type Class</em>'.
	 * @generated
	 */
	Freie_Stellbarkeit_TypeClass createFreie_Stellbarkeit_TypeClass();

	/**
	 * Returns a new object of class '<em>Kennzahl Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Kennzahl Type Class</em>'.
	 * @generated
	 */
	Kennzahl_TypeClass createKennzahl_TypeClass();

	/**
	 * Returns a new object of class '<em>NB</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>NB</em>'.
	 * @generated
	 */
	NB createNB();

	/**
	 * Returns a new object of class '<em>NB Art Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>NB Art Type Class</em>'.
	 * @generated
	 */
	NB_Art_TypeClass createNB_Art_TypeClass();

	/**
	 * Returns a new object of class '<em>NB Bedien Anzeige Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>NB Bedien Anzeige Element</em>'.
	 * @generated
	 */
	NB_Bedien_Anzeige_Element createNB_Bedien_Anzeige_Element();

	/**
	 * Returns a new object of class '<em>NB Bedien Anzeige Funktionen Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>NB Bedien Anzeige Funktionen Attribute Group</em>'.
	 * @generated
	 */
	NB_Bedien_Anzeige_Funktionen_AttributeGroup createNB_Bedien_Anzeige_Funktionen_AttributeGroup();

	/**
	 * Returns a new object of class '<em>NB Bezeichnung Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>NB Bezeichnung Attribute Group</em>'.
	 * @generated
	 */
	NB_Bezeichnung_AttributeGroup createNB_Bezeichnung_AttributeGroup();

	/**
	 * Returns a new object of class '<em>NB Funktionalitaet NB RAttribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>NB Funktionalitaet NB RAttribute Group</em>'.
	 * @generated
	 */
	NB_Funktionalitaet_NB_R_AttributeGroup createNB_Funktionalitaet_NB_R_AttributeGroup();

	/**
	 * Returns a new object of class '<em>NB Grenze Art Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>NB Grenze Art Type Class</em>'.
	 * @generated
	 */
	NB_Grenze_Art_TypeClass createNB_Grenze_Art_TypeClass();

	/**
	 * Returns a new object of class '<em>NB Rueckgabevoraussetzung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>NB Rueckgabevoraussetzung Type Class</em>'.
	 * @generated
	 */
	NB_Rueckgabevoraussetzung_TypeClass createNB_Rueckgabevoraussetzung_TypeClass();

	/**
	 * Returns a new object of class '<em>NB Verhaeltnis Besonders Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>NB Verhaeltnis Besonders Type Class</em>'.
	 * @generated
	 */
	NB_Verhaeltnis_Besonders_TypeClass createNB_Verhaeltnis_Besonders_TypeClass();

	/**
	 * Returns a new object of class '<em>NB Zone</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>NB Zone</em>'.
	 * @generated
	 */
	NB_Zone createNB_Zone();

	/**
	 * Returns a new object of class '<em>NB Zone Allg Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>NB Zone Allg Attribute Group</em>'.
	 * @generated
	 */
	NB_Zone_Allg_AttributeGroup createNB_Zone_Allg_AttributeGroup();

	/**
	 * Returns a new object of class '<em>NB Zone Allg Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>NB Zone Allg Type Class</em>'.
	 * @generated
	 */
	NB_Zone_Allg_TypeClass createNB_Zone_Allg_TypeClass();

	/**
	 * Returns a new object of class '<em>NB Zone Bezeichnung Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>NB Zone Bezeichnung Attribute Group</em>'.
	 * @generated
	 */
	NB_Zone_Bezeichnung_AttributeGroup createNB_Zone_Bezeichnung_AttributeGroup();

	/**
	 * Returns a new object of class '<em>NB Zone Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>NB Zone Element</em>'.
	 * @generated
	 */
	NB_Zone_Element createNB_Zone_Element();

	/**
	 * Returns a new object of class '<em>NB Zone Element Allg Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>NB Zone Element Allg Attribute Group</em>'.
	 * @generated
	 */
	NB_Zone_Element_Allg_AttributeGroup createNB_Zone_Element_Allg_AttributeGroup();

	/**
	 * Returns a new object of class '<em>NB Zone Grenze</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>NB Zone Grenze</em>'.
	 * @generated
	 */
	NB_Zone_Grenze createNB_Zone_Grenze();

	/**
	 * Returns a new object of class '<em>NB Zone Reihenfolgezwang Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>NB Zone Reihenfolgezwang Attribute Group</em>'.
	 * @generated
	 */
	NB_Zone_Reihenfolgezwang_AttributeGroup createNB_Zone_Reihenfolgezwang_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Rang Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Rang Type Class</em>'.
	 * @generated
	 */
	Rang_TypeClass createRang_TypeClass();

	/**
	 * Returns a new object of class '<em>SBUE Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>SBUE Type Class</em>'.
	 * @generated
	 */
	SBUE_TypeClass createSBUE_TypeClass();

	/**
	 * Returns a new object of class '<em>SLE SLS Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>SLE SLS Type Class</em>'.
	 * @generated
	 */
	SLE_SLS_TypeClass createSLE_SLS_TypeClass();

	/**
	 * Returns a new object of class '<em>Taste ANF Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Taste ANF Type Class</em>'.
	 * @generated
	 */
	Taste_ANF_TypeClass createTaste_ANF_TypeClass();

	/**
	 * Returns a new object of class '<em>Taste FGT Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Taste FGT Type Class</em>'.
	 * @generated
	 */
	Taste_FGT_TypeClass createTaste_FGT_TypeClass();

	/**
	 * Returns a new object of class '<em>Taste WGT Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Taste WGT Type Class</em>'.
	 * @generated
	 */
	Taste_WGT_TypeClass createTaste_WGT_TypeClass();

	/**
	 * Returns a new object of class '<em>WGsp Lage Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>WGsp Lage Type Class</em>'.
	 * @generated
	 */
	W_Gsp_Lage_TypeClass createW_Gsp_Lage_TypeClass();

	/**
	 * Returns a new object of class '<em>WHU Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>WHU Type Class</em>'.
	 * @generated
	 */
	WHU_TypeClass createWHU_TypeClass();

	/**
	 * Returns a new object of class '<em>WUS Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>WUS Type Class</em>'.
	 * @generated
	 */
	WUS_TypeClass createWUS_TypeClass();

	/**
	 * Returns the package supported by this factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the package supported by this factory.
	 * @generated
	 */
	NahbedienungPackage getNahbedienungPackage();

} //NahbedienungFactory
