/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Ortung;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>ENUM Schaltmittel Funktion</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Ortung.OrtungPackage#getENUMSchaltmittelFunktion()
 * @model extendedMetaData="name='ENUMSchaltmittel_Funktion'"
 * @generated
 */
public enum ENUMSchaltmittelFunktion implements Enumerator {
	/**
	 * The '<em><b>ENUM Schaltmittel Funktion ARM</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SCHALTMITTEL_FUNKTION_ARM_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_SCHALTMITTEL_FUNKTION_ARM(0, "ENUMSchaltmittel_Funktion_ARM", "ARM"),

	/**
	 * The '<em><b>ENUM Schaltmittel Funktion Aus BUE</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SCHALTMITTEL_FUNKTION_AUS_BUE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_SCHALTMITTEL_FUNKTION_AUS_BUE(1, "ENUMSchaltmittel_Funktion_Aus_BUE", "Aus_BUE"),

	/**
	 * The '<em><b>ENUM Schaltmittel Funktion Awanst</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SCHALTMITTEL_FUNKTION_AWANST_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_SCHALTMITTEL_FUNKTION_AWANST(2, "ENUMSchaltmittel_Funktion_Awanst", "Awanst"),

	/**
	 * The '<em><b>ENUM Schaltmittel Funktion Ein BUE</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SCHALTMITTEL_FUNKTION_EIN_BUE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_SCHALTMITTEL_FUNKTION_EIN_BUE(3, "ENUMSchaltmittel_Funktion_Ein_BUE", "Ein_BUE"),

	/**
	 * The '<em><b>ENUM Schaltmittel Funktion Haltfall</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SCHALTMITTEL_FUNKTION_HALTFALL_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_SCHALTMITTEL_FUNKTION_HALTFALL(4, "ENUMSchaltmittel_Funktion_Haltfall", "Haltfall"),

	/**
	 * The '<em><b>ENUM Schaltmittel Funktion Raeumungspruefung</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SCHALTMITTEL_FUNKTION_RAEUMUNGSPRUEFUNG_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_SCHALTMITTEL_FUNKTION_RAEUMUNGSPRUEFUNG(5, "ENUMSchaltmittel_Funktion_Raeumungspruefung", "Raeumungspruefung"),

	/**
	 * The '<em><b>ENUM Schaltmittel Funktion sonstige</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SCHALTMITTEL_FUNKTION_SONSTIGE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_SCHALTMITTEL_FUNKTION_SONSTIGE(6, "ENUMSchaltmittel_Funktion_sonstige", "sonstige"),

	/**
	 * The '<em><b>ENUM Schaltmittel Funktion ZL Anstoss</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SCHALTMITTEL_FUNKTION_ZL_ANSTOSS_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_SCHALTMITTEL_FUNKTION_ZL_ANSTOSS(7, "ENUMSchaltmittel_Funktion_ZL_Anstoss", "ZL_Anstoss");

	/**
	 * The '<em><b>ENUM Schaltmittel Funktion ARM</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SCHALTMITTEL_FUNKTION_ARM
	 * @model name="ENUMSchaltmittel_Funktion_ARM" literal="ARM"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_SCHALTMITTEL_FUNKTION_ARM_VALUE = 0;

	/**
	 * The '<em><b>ENUM Schaltmittel Funktion Aus BUE</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SCHALTMITTEL_FUNKTION_AUS_BUE
	 * @model name="ENUMSchaltmittel_Funktion_Aus_BUE" literal="Aus_BUE"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_SCHALTMITTEL_FUNKTION_AUS_BUE_VALUE = 1;

	/**
	 * The '<em><b>ENUM Schaltmittel Funktion Awanst</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SCHALTMITTEL_FUNKTION_AWANST
	 * @model name="ENUMSchaltmittel_Funktion_Awanst" literal="Awanst"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_SCHALTMITTEL_FUNKTION_AWANST_VALUE = 2;

	/**
	 * The '<em><b>ENUM Schaltmittel Funktion Ein BUE</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SCHALTMITTEL_FUNKTION_EIN_BUE
	 * @model name="ENUMSchaltmittel_Funktion_Ein_BUE" literal="Ein_BUE"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_SCHALTMITTEL_FUNKTION_EIN_BUE_VALUE = 3;

	/**
	 * The '<em><b>ENUM Schaltmittel Funktion Haltfall</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SCHALTMITTEL_FUNKTION_HALTFALL
	 * @model name="ENUMSchaltmittel_Funktion_Haltfall" literal="Haltfall"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_SCHALTMITTEL_FUNKTION_HALTFALL_VALUE = 4;

	/**
	 * The '<em><b>ENUM Schaltmittel Funktion Raeumungspruefung</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SCHALTMITTEL_FUNKTION_RAEUMUNGSPRUEFUNG
	 * @model name="ENUMSchaltmittel_Funktion_Raeumungspruefung" literal="Raeumungspruefung"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_SCHALTMITTEL_FUNKTION_RAEUMUNGSPRUEFUNG_VALUE = 5;

	/**
	 * The '<em><b>ENUM Schaltmittel Funktion sonstige</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SCHALTMITTEL_FUNKTION_SONSTIGE
	 * @model name="ENUMSchaltmittel_Funktion_sonstige" literal="sonstige"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_SCHALTMITTEL_FUNKTION_SONSTIGE_VALUE = 6;

	/**
	 * The '<em><b>ENUM Schaltmittel Funktion ZL Anstoss</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SCHALTMITTEL_FUNKTION_ZL_ANSTOSS
	 * @model name="ENUMSchaltmittel_Funktion_ZL_Anstoss" literal="ZL_Anstoss"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_SCHALTMITTEL_FUNKTION_ZL_ANSTOSS_VALUE = 7;

	/**
	 * An array of all the '<em><b>ENUM Schaltmittel Funktion</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static final ENUMSchaltmittelFunktion[] VALUES_ARRAY =
		new ENUMSchaltmittelFunktion[] {
			ENUM_SCHALTMITTEL_FUNKTION_ARM,
			ENUM_SCHALTMITTEL_FUNKTION_AUS_BUE,
			ENUM_SCHALTMITTEL_FUNKTION_AWANST,
			ENUM_SCHALTMITTEL_FUNKTION_EIN_BUE,
			ENUM_SCHALTMITTEL_FUNKTION_HALTFALL,
			ENUM_SCHALTMITTEL_FUNKTION_RAEUMUNGSPRUEFUNG,
			ENUM_SCHALTMITTEL_FUNKTION_SONSTIGE,
			ENUM_SCHALTMITTEL_FUNKTION_ZL_ANSTOSS,
		};

	/**
	 * A public read-only list of all the '<em><b>ENUM Schaltmittel Funktion</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static final List<ENUMSchaltmittelFunktion> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

	/**
	 * Returns the '<em><b>ENUM Schaltmittel Funktion</b></em>' literal with the specified literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param literal the literal.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMSchaltmittelFunktion get(String literal) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMSchaltmittelFunktion result = VALUES_ARRAY[i];
			if (result.toString().equals(literal)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Schaltmittel Funktion</b></em>' literal with the specified name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param name the name.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMSchaltmittelFunktion getByName(String name) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMSchaltmittelFunktion result = VALUES_ARRAY[i];
			if (result.getName().equals(name)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Schaltmittel Funktion</b></em>' literal with the specified integer value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the integer value.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMSchaltmittelFunktion get(int value) {
		switch (value) {
			case ENUM_SCHALTMITTEL_FUNKTION_ARM_VALUE: return ENUM_SCHALTMITTEL_FUNKTION_ARM;
			case ENUM_SCHALTMITTEL_FUNKTION_AUS_BUE_VALUE: return ENUM_SCHALTMITTEL_FUNKTION_AUS_BUE;
			case ENUM_SCHALTMITTEL_FUNKTION_AWANST_VALUE: return ENUM_SCHALTMITTEL_FUNKTION_AWANST;
			case ENUM_SCHALTMITTEL_FUNKTION_EIN_BUE_VALUE: return ENUM_SCHALTMITTEL_FUNKTION_EIN_BUE;
			case ENUM_SCHALTMITTEL_FUNKTION_HALTFALL_VALUE: return ENUM_SCHALTMITTEL_FUNKTION_HALTFALL;
			case ENUM_SCHALTMITTEL_FUNKTION_RAEUMUNGSPRUEFUNG_VALUE: return ENUM_SCHALTMITTEL_FUNKTION_RAEUMUNGSPRUEFUNG;
			case ENUM_SCHALTMITTEL_FUNKTION_SONSTIGE_VALUE: return ENUM_SCHALTMITTEL_FUNKTION_SONSTIGE;
			case ENUM_SCHALTMITTEL_FUNKTION_ZL_ANSTOSS_VALUE: return ENUM_SCHALTMITTEL_FUNKTION_ZL_ANSTOSS;
			default: return null;
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final int value;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String name;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String literal;

	/**
	 * Only this class can construct instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private ENUMSchaltmittelFunktion(int value, String name, String literal) {
		this.value = value;
		this.name = name;
		this.literal = literal;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public int getValue() {
	  return value;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getName() {
	  return name;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getLiteral() {
	  return literal;
	}

	/**
	 * Returns the literal value of the enumerator, which is its string representation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		return literal;
	}
	
} //ENUMSchaltmittelFunktion
