/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Ortung;

import org.eclipse.emf.ecore.EFactory;

/**
 * <!-- begin-user-doc -->
 * The <b>Factory</b> for the model.
 * It provides a create method for each non-abstract class of the model.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Ortung.OrtungPackage
 * @generated
 */
public interface OrtungFactory extends EFactory {
	/**
	 * The singleton instance of the factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	OrtungFactory eINSTANCE = org.eclipse.set.toolboxmodel.Ortung.impl.OrtungFactoryImpl.init();

	/**
	 * Returns a new object of class '<em>Bettungswiderstand Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bettungswiderstand Type Class</em>'.
	 * @generated
	 */
	Bettungswiderstand_TypeClass createBettungswiderstand_TypeClass();

	/**
	 * Returns a new object of class '<em>Bezeichnung Kennbuchstabe Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bezeichnung Kennbuchstabe Type Class</em>'.
	 * @generated
	 */
	Bezeichnung_Kennbuchstabe_TypeClass createBezeichnung_Kennbuchstabe_TypeClass();

	/**
	 * Returns a new object of class '<em>FMA Anlage</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>FMA Anlage</em>'.
	 * @generated
	 */
	FMA_Anlage createFMA_Anlage();

	/**
	 * Returns a new object of class '<em>FMA Anlage Allg Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>FMA Anlage Allg Attribute Group</em>'.
	 * @generated
	 */
	FMA_Anlage_Allg_AttributeGroup createFMA_Anlage_Allg_AttributeGroup();

	/**
	 * Returns a new object of class '<em>FMA Anlage Bezeichnung Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>FMA Anlage Bezeichnung Attribute Group</em>'.
	 * @generated
	 */
	FMA_Anlage_Bezeichnung_AttributeGroup createFMA_Anlage_Bezeichnung_AttributeGroup();

	/**
	 * Returns a new object of class '<em>FMA Anlage Elektr Merkmale Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>FMA Anlage Elektr Merkmale Attribute Group</em>'.
	 * @generated
	 */
	FMA_Anlage_Elektr_Merkmale_AttributeGroup createFMA_Anlage_Elektr_Merkmale_AttributeGroup();

	/**
	 * Returns a new object of class '<em>FMA Anlage Kaskade Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>FMA Anlage Kaskade Attribute Group</em>'.
	 * @generated
	 */
	FMA_Anlage_Kaskade_AttributeGroup createFMA_Anlage_Kaskade_AttributeGroup();

	/**
	 * Returns a new object of class '<em>FMA Anlage Uebertragung FMinfo Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>FMA Anlage Uebertragung FMinfo Attribute Group</em>'.
	 * @generated
	 */
	FMA_Anlage_Uebertragung_FMinfo_AttributeGroup createFMA_Anlage_Uebertragung_FMinfo_AttributeGroup();

	/**
	 * Returns a new object of class '<em>FMA Anschluss Bezeichnung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>FMA Anschluss Bezeichnung Type Class</em>'.
	 * @generated
	 */
	FMA_Anschluss_Bezeichnung_TypeClass createFMA_Anschluss_Bezeichnung_TypeClass();

	/**
	 * Returns a new object of class '<em>FMA Anschluss Speiserichtung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>FMA Anschluss Speiserichtung Type Class</em>'.
	 * @generated
	 */
	FMA_Anschluss_Speiserichtung_TypeClass createFMA_Anschluss_Speiserichtung_TypeClass();

	/**
	 * Returns a new object of class '<em>FMA Art Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>FMA Art Type Class</em>'.
	 * @generated
	 */
	FMA_Art_TypeClass createFMA_Art_TypeClass();

	/**
	 * Returns a new object of class '<em>FMA Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>FMA Element</em>'.
	 * @generated
	 */
	FMA_Element createFMA_Element();

	/**
	 * Returns a new object of class '<em>FMA Element Allg Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>FMA Element Allg Attribute Group</em>'.
	 * @generated
	 */
	FMA_Element_Allg_AttributeGroup createFMA_Element_Allg_AttributeGroup();

	/**
	 * Returns a new object of class '<em>FMA Element Anschluss Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>FMA Element Anschluss Attribute Group</em>'.
	 * @generated
	 */
	FMA_Element_Anschluss_AttributeGroup createFMA_Element_Anschluss_AttributeGroup();

	/**
	 * Returns a new object of class '<em>FMA Element Art Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>FMA Element Art Type Class</em>'.
	 * @generated
	 */
	FMA_Element_Art_TypeClass createFMA_Element_Art_TypeClass();

	/**
	 * Returns a new object of class '<em>FMA Element Seilanzahl Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>FMA Element Seilanzahl Type Class</em>'.
	 * @generated
	 */
	FMA_Element_Seilanzahl_TypeClass createFMA_Element_Seilanzahl_TypeClass();

	/**
	 * Returns a new object of class '<em>FMA Element Seiltyp Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>FMA Element Seiltyp Type Class</em>'.
	 * @generated
	 */
	FMA_Element_Seiltyp_TypeClass createFMA_Element_Seiltyp_TypeClass();

	/**
	 * Returns a new object of class '<em>FMA Hilffreimeldung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>FMA Hilffreimeldung Type Class</em>'.
	 * @generated
	 */
	FMA_Hilffreimeldung_TypeClass createFMA_Hilffreimeldung_TypeClass();

	/**
	 * Returns a new object of class '<em>FMA Isolierung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>FMA Isolierung Type Class</em>'.
	 * @generated
	 */
	FMA_Isolierung_TypeClass createFMA_Isolierung_TypeClass();

	/**
	 * Returns a new object of class '<em>FMA Kaskade Bezeichnung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>FMA Kaskade Bezeichnung Type Class</em>'.
	 * @generated
	 */
	FMA_Kaskade_Bezeichnung_TypeClass createFMA_Kaskade_Bezeichnung_TypeClass();

	/**
	 * Returns a new object of class '<em>FMA Kaskade Einzelauswertung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>FMA Kaskade Einzelauswertung Type Class</em>'.
	 * @generated
	 */
	FMA_Kaskade_Einzelauswertung_TypeClass createFMA_Kaskade_Einzelauswertung_TypeClass();

	/**
	 * Returns a new object of class '<em>FMA Komponente</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>FMA Komponente</em>'.
	 * @generated
	 */
	FMA_Komponente createFMA_Komponente();

	/**
	 * Returns a new object of class '<em>FMA Komponente Achszaehlpunkt Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>FMA Komponente Achszaehlpunkt Attribute Group</em>'.
	 * @generated
	 */
	FMA_Komponente_Achszaehlpunkt_AttributeGroup createFMA_Komponente_Achszaehlpunkt_AttributeGroup();

	/**
	 * Returns a new object of class '<em>FMA Komponente Art Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>FMA Komponente Art Type Class</em>'.
	 * @generated
	 */
	FMA_Komponente_Art_TypeClass createFMA_Komponente_Art_TypeClass();

	/**
	 * Returns a new object of class '<em>FMA Komponente Schienenprofil Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>FMA Komponente Schienenprofil Type Class</em>'.
	 * @generated
	 */
	FMA_Komponente_Schienenprofil_TypeClass createFMA_Komponente_Schienenprofil_TypeClass();

	/**
	 * Returns a new object of class '<em>FMA Komponente Stromversorgung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>FMA Komponente Stromversorgung Type Class</em>'.
	 * @generated
	 */
	FMA_Komponente_Stromversorgung_TypeClass createFMA_Komponente_Stromversorgung_TypeClass();

	/**
	 * Returns a new object of class '<em>FMA Komponente Typ Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>FMA Komponente Typ Type Class</em>'.
	 * @generated
	 */
	FMA_Komponente_Typ_TypeClass createFMA_Komponente_Typ_TypeClass();

	/**
	 * Returns a new object of class '<em>FMA Laenge Beeinflusst Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>FMA Laenge Beeinflusst Type Class</em>'.
	 * @generated
	 */
	FMA_Laenge_Beeinflusst_TypeClass createFMA_Laenge_Beeinflusst_TypeClass();

	/**
	 * Returns a new object of class '<em>FMA Laenge E1 Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>FMA Laenge E1 Type Class</em>'.
	 * @generated
	 */
	FMA_Laenge_E1_TypeClass createFMA_Laenge_E1_TypeClass();

	/**
	 * Returns a new object of class '<em>FMA Laenge E2 Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>FMA Laenge E2 Type Class</em>'.
	 * @generated
	 */
	FMA_Laenge_E2_TypeClass createFMA_Laenge_E2_TypeClass();

	/**
	 * Returns a new object of class '<em>FMA Laenge E3 Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>FMA Laenge E3 Type Class</em>'.
	 * @generated
	 */
	FMA_Laenge_E3_TypeClass createFMA_Laenge_E3_TypeClass();

	/**
	 * Returns a new object of class '<em>FMA Laenge SType Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>FMA Laenge SType Class</em>'.
	 * @generated
	 */
	FMA_Laenge_S_TypeClass createFMA_Laenge_S_TypeClass();

	/**
	 * Returns a new object of class '<em>FMA Laenge Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>FMA Laenge Type Class</em>'.
	 * @generated
	 */
	FMA_Laenge_TypeClass createFMA_Laenge_TypeClass();

	/**
	 * Returns a new object of class '<em>FMA Typ Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>FMA Typ Type Class</em>'.
	 * @generated
	 */
	FMA_Typ_TypeClass createFMA_Typ_TypeClass();

	/**
	 * Returns a new object of class '<em>Schaltmittel Funktion Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Schaltmittel Funktion Type Class</em>'.
	 * @generated
	 */
	Schaltmittel_Funktion_TypeClass createSchaltmittel_Funktion_TypeClass();

	/**
	 * Returns a new object of class '<em>Schaltmittel Zuordnung</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Schaltmittel Zuordnung</em>'.
	 * @generated
	 */
	Schaltmittel_Zuordnung createSchaltmittel_Zuordnung();

	/**
	 * Returns a new object of class '<em>Uebertragung FMinfo Richtung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Uebertragung FMinfo Richtung Type Class</em>'.
	 * @generated
	 */
	Uebertragung_FMinfo_Richtung_TypeClass createUebertragung_FMinfo_Richtung_TypeClass();

	/**
	 * Returns a new object of class '<em>Uebertragung FMinfo Typ Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Uebertragung FMinfo Typ Type Class</em>'.
	 * @generated
	 */
	Uebertragung_FMinfo_Typ_TypeClass createUebertragung_FMinfo_Typ_TypeClass();

	/**
	 * Returns a new object of class '<em>Zugeinwirkung</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Zugeinwirkung</em>'.
	 * @generated
	 */
	Zugeinwirkung createZugeinwirkung();

	/**
	 * Returns a new object of class '<em>Zugeinwirkung Allg Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Zugeinwirkung Allg Attribute Group</em>'.
	 * @generated
	 */
	Zugeinwirkung_Allg_AttributeGroup createZugeinwirkung_Allg_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Zugeinwirkung Art Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Zugeinwirkung Art Type Class</em>'.
	 * @generated
	 */
	Zugeinwirkung_Art_TypeClass createZugeinwirkung_Art_TypeClass();

	/**
	 * Returns a new object of class '<em>Zugeinwirkung Typ Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Zugeinwirkung Typ Type Class</em>'.
	 * @generated
	 */
	Zugeinwirkung_Typ_TypeClass createZugeinwirkung_Typ_TypeClass();

	/**
	 * Returns the package supported by this factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the package supported by this factory.
	 * @generated
	 */
	OrtungPackage getOrtungPackage();

} //OrtungFactory
