/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.PZB;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>ENUM Messfehler</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.PZB.PZBPackage#getENUMMessfehler()
 * @model extendedMetaData="name='ENUMMessfehler'"
 * @generated
 */
public enum ENUMMessfehler implements Enumerator {
	/**
	 * The '<em><b>ENUM Messfehler 2bis 3</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_MESSFEHLER_2BIS_3_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_MESSFEHLER_2BIS_3(0, "ENUMMessfehler_2_bis_3", "2_bis_3"),

	/**
	 * The '<em><b>ENUM Messfehler 3bis 5</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_MESSFEHLER_3BIS_5_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_MESSFEHLER_3BIS_5(1, "ENUMMessfehler_3_bis_5", "3_bis_5"),

	/**
	 * The '<em><b>ENUM Messfehler 5bis 7</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_MESSFEHLER_5BIS_7_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_MESSFEHLER_5BIS_7(2, "ENUMMessfehler_5_bis_7", "5_bis_7"),

	/**
	 * The '<em><b>ENUM Messfehler kleiner 4</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_MESSFEHLER_KLEINER_4_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_MESSFEHLER_KLEINER_4(3, "ENUMMessfehler_kleiner_4", "kleiner_4"),

	/**
	 * The '<em><b>ENUM Messfehler kleiner 5</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_MESSFEHLER_KLEINER_5_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_MESSFEHLER_KLEINER_5(4, "ENUMMessfehler_kleiner_5", "kleiner_5");

	/**
	 * The '<em><b>ENUM Messfehler 2bis 3</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_MESSFEHLER_2BIS_3
	 * @model name="ENUMMessfehler_2_bis_3" literal="2_bis_3"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_MESSFEHLER_2BIS_3_VALUE = 0;

	/**
	 * The '<em><b>ENUM Messfehler 3bis 5</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_MESSFEHLER_3BIS_5
	 * @model name="ENUMMessfehler_3_bis_5" literal="3_bis_5"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_MESSFEHLER_3BIS_5_VALUE = 1;

	/**
	 * The '<em><b>ENUM Messfehler 5bis 7</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_MESSFEHLER_5BIS_7
	 * @model name="ENUMMessfehler_5_bis_7" literal="5_bis_7"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_MESSFEHLER_5BIS_7_VALUE = 2;

	/**
	 * The '<em><b>ENUM Messfehler kleiner 4</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_MESSFEHLER_KLEINER_4
	 * @model name="ENUMMessfehler_kleiner_4" literal="kleiner_4"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_MESSFEHLER_KLEINER_4_VALUE = 3;

	/**
	 * The '<em><b>ENUM Messfehler kleiner 5</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_MESSFEHLER_KLEINER_5
	 * @model name="ENUMMessfehler_kleiner_5" literal="kleiner_5"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_MESSFEHLER_KLEINER_5_VALUE = 4;

	/**
	 * An array of all the '<em><b>ENUM Messfehler</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static final ENUMMessfehler[] VALUES_ARRAY =
		new ENUMMessfehler[] {
			ENUM_MESSFEHLER_2BIS_3,
			ENUM_MESSFEHLER_3BIS_5,
			ENUM_MESSFEHLER_5BIS_7,
			ENUM_MESSFEHLER_KLEINER_4,
			ENUM_MESSFEHLER_KLEINER_5,
		};

	/**
	 * A public read-only list of all the '<em><b>ENUM Messfehler</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static final List<ENUMMessfehler> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

	/**
	 * Returns the '<em><b>ENUM Messfehler</b></em>' literal with the specified literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param literal the literal.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMMessfehler get(String literal) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMMessfehler result = VALUES_ARRAY[i];
			if (result.toString().equals(literal)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Messfehler</b></em>' literal with the specified name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param name the name.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMMessfehler getByName(String name) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMMessfehler result = VALUES_ARRAY[i];
			if (result.getName().equals(name)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Messfehler</b></em>' literal with the specified integer value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the integer value.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMMessfehler get(int value) {
		switch (value) {
			case ENUM_MESSFEHLER_2BIS_3_VALUE: return ENUM_MESSFEHLER_2BIS_3;
			case ENUM_MESSFEHLER_3BIS_5_VALUE: return ENUM_MESSFEHLER_3BIS_5;
			case ENUM_MESSFEHLER_5BIS_7_VALUE: return ENUM_MESSFEHLER_5BIS_7;
			case ENUM_MESSFEHLER_KLEINER_4_VALUE: return ENUM_MESSFEHLER_KLEINER_4;
			case ENUM_MESSFEHLER_KLEINER_5_VALUE: return ENUM_MESSFEHLER_KLEINER_5;
			default: return null;
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final int value;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String name;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String literal;

	/**
	 * Only this class can construct instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private ENUMMessfehler(int value, String name, String literal) {
		this.value = value;
		this.name = name;
		this.literal = literal;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public int getValue() {
	  return value;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getName() {
	  return name;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getLiteral() {
	  return literal;
	}

	/**
	 * Returns the literal value of the enumerator, which is its string representation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		return literal;
	}
	
} //ENUMMessfehler
