/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.PZB;

import org.eclipse.emf.ecore.EFactory;

/**
 * <!-- begin-user-doc -->
 * The <b>Factory</b> for the model.
 * It provides a create method for each non-abstract class of the model.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.PZB.PZBPackage
 * @generated
 */
public interface PZBFactory extends EFactory {
	/**
	 * The singleton instance of the factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	PZBFactory eINSTANCE = org.eclipse.set.toolboxmodel.PZB.impl.PZBFactoryImpl.init();

	/**
	 * Returns a new object of class '<em>GUE Abstand Abweichend Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>GUE Abstand Abweichend Type Class</em>'.
	 * @generated
	 */
	GUE_Abstand_Abweichend_TypeClass createGUE_Abstand_Abweichend_TypeClass();

	/**
	 * Returns a new object of class '<em>GUE Anordnung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>GUE Anordnung Type Class</em>'.
	 * @generated
	 */
	GUE_Anordnung_TypeClass createGUE_Anordnung_TypeClass();

	/**
	 * Returns a new object of class '<em>GUE Bauart Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>GUE Bauart Type Class</em>'.
	 * @generated
	 */
	GUE_Bauart_TypeClass createGUE_Bauart_TypeClass();

	/**
	 * Returns a new object of class '<em>GUE Energieversorgung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>GUE Energieversorgung Type Class</em>'.
	 * @generated
	 */
	GUE_Energieversorgung_TypeClass createGUE_Energieversorgung_TypeClass();

	/**
	 * Returns a new object of class '<em>GUE Messstrecke Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>GUE Messstrecke Type Class</em>'.
	 * @generated
	 */
	GUE_Messstrecke_TypeClass createGUE_Messstrecke_TypeClass();

	/**
	 * Returns a new object of class '<em>INA Gefahrstelle Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>INA Gefahrstelle Attribute Group</em>'.
	 * @generated
	 */
	INA_Gefahrstelle_AttributeGroup createINA_Gefahrstelle_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Messfehler Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Messfehler Type Class</em>'.
	 * @generated
	 */
	Messfehler_TypeClass createMessfehler_TypeClass();

	/**
	 * Returns a new object of class '<em>Prioritaet Gefahrstelle Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Prioritaet Gefahrstelle Type Class</em>'.
	 * @generated
	 */
	Prioritaet_Gefahrstelle_TypeClass createPrioritaet_Gefahrstelle_TypeClass();

	/**
	 * Returns a new object of class '<em>Pruefgeschwindigkeit Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Pruefgeschwindigkeit Type Class</em>'.
	 * @generated
	 */
	Pruefgeschwindigkeit_TypeClass createPruefgeschwindigkeit_TypeClass();

	/**
	 * Returns a new object of class '<em>Pruefzeit Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Pruefzeit Type Class</em>'.
	 * @generated
	 */
	Pruefzeit_TypeClass createPruefzeit_TypeClass();

	/**
	 * Returns a new object of class '<em>PZB Abstand GM Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>PZB Abstand GM Type Class</em>'.
	 * @generated
	 */
	PZB_Abstand_GM_TypeClass createPZB_Abstand_GM_TypeClass();

	/**
	 * Returns a new object of class '<em>PZB Art Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>PZB Art Type Class</em>'.
	 * @generated
	 */
	PZB_Art_TypeClass createPZB_Art_TypeClass();

	/**
	 * Returns a new object of class '<em>PZB Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>PZB Element</em>'.
	 * @generated
	 */
	PZB_Element createPZB_Element();

	/**
	 * Returns a new object of class '<em>PZB Element GM Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>PZB Element GM Attribute Group</em>'.
	 * @generated
	 */
	PZB_Element_GM_AttributeGroup createPZB_Element_GM_AttributeGroup();

	/**
	 * Returns a new object of class '<em>PZB Element GUE Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>PZB Element GUE Attribute Group</em>'.
	 * @generated
	 */
	PZB_Element_GUE_AttributeGroup createPZB_Element_GUE_AttributeGroup();

	/**
	 * Returns a new object of class '<em>PZB Element Zuordnung</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>PZB Element Zuordnung</em>'.
	 * @generated
	 */
	PZB_Element_Zuordnung createPZB_Element_Zuordnung();

	/**
	 * Returns a new object of class '<em>PZB Element Zuordnung BP Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>PZB Element Zuordnung BP Attribute Group</em>'.
	 * @generated
	 */
	PZB_Element_Zuordnung_BP_AttributeGroup createPZB_Element_Zuordnung_BP_AttributeGroup();

	/**
	 * Returns a new object of class '<em>PZB Element Zuordnung Fstr Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>PZB Element Zuordnung Fstr Attribute Group</em>'.
	 * @generated
	 */
	PZB_Element_Zuordnung_Fstr_AttributeGroup createPZB_Element_Zuordnung_Fstr_AttributeGroup();

	/**
	 * Returns a new object of class '<em>PZB Element Zuordnung INA Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>PZB Element Zuordnung INA Attribute Group</em>'.
	 * @generated
	 */
	PZB_Element_Zuordnung_INA_AttributeGroup createPZB_Element_Zuordnung_INA_AttributeGroup();

	/**
	 * Returns a new object of class '<em>PZB INA Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>PZB INA Type Class</em>'.
	 * @generated
	 */
	PZB_INA_TypeClass createPZB_INA_TypeClass();

	/**
	 * Returns a new object of class '<em>PZB Zuordnung Signal</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>PZB Zuordnung Signal</em>'.
	 * @generated
	 */
	PZB_Zuordnung_Signal createPZB_Zuordnung_Signal();

	/**
	 * Returns a new object of class '<em>Wirksamkeit Fstr Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Wirksamkeit Fstr Type Class</em>'.
	 * @generated
	 */
	Wirksamkeit_Fstr_TypeClass createWirksamkeit_Fstr_TypeClass();

	/**
	 * Returns a new object of class '<em>Wirksamkeit Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Wirksamkeit Type Class</em>'.
	 * @generated
	 */
	Wirksamkeit_TypeClass createWirksamkeit_TypeClass();

	/**
	 * Returns the package supported by this factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the package supported by this factory.
	 * @generated
	 */
	PZBPackage getPZBPackage();

} //PZBFactory
