/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Regelzeichnung;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EDataType;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

import org.eclipse.set.toolboxmodel.BasisTypen.BasisTypenPackage;

import org.eclipse.set.toolboxmodel.Basisobjekte.BasisobjektePackage;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each operation of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * <!-- begin-model-doc -->
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * <!-- end-model-doc -->
 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.RegelzeichnungFactory
 * @model kind="package"
 * @generated
 */
public interface RegelzeichnungPackage extends EPackage {
	/**
	 * The package name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNAME = "Regelzeichnung";

	/**
	 * The package namespace URI.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_URI = "http://www.plan-pro.org/modell/Regelzeichnung/toolbox";

	/**
	 * The package namespace name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_PREFIX = "nsRegelzeichnung";

	/**
	 * The singleton instance of the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	RegelzeichnungPackage eINSTANCE = org.eclipse.set.toolboxmodel.Regelzeichnung.impl.RegelzeichnungPackageImpl.init();

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Regelzeichnung.impl.Bild_TypeClassImpl <em>Bild Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.impl.Bild_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.impl.RegelzeichnungPackageImpl#getBild_TypeClass()
	 * @generated
	 */
	int BILD_TYPE_CLASS = 0;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BILD_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BILD_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Bild Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BILD_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Bild Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BILD_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Regelzeichnung.impl.RegelzeichnungImpl <em>Regelzeichnung</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.impl.RegelzeichnungImpl
	 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.impl.RegelzeichnungPackageImpl#getRegelzeichnung()
	 * @generated
	 */
	int REGELZEICHNUNG = 1;

	/**
	 * The feature id for the '<em><b>Identitaet</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REGELZEICHNUNG__IDENTITAET = BasisobjektePackage.BASIS_OBJEKT__IDENTITAET;

	/**
	 * The feature id for the '<em><b>Basis Objekt Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REGELZEICHNUNG__BASIS_OBJEKT_ALLG = BasisobjektePackage.BASIS_OBJEKT__BASIS_OBJEKT_ALLG;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REGELZEICHNUNG__ID_BEARBEITUNGSVERMERK = BasisobjektePackage.BASIS_OBJEKT__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>ID Oertlichkeit Ausgabe</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REGELZEICHNUNG__ID_OERTLICHKEIT_AUSGABE = BasisobjektePackage.BASIS_OBJEKT__ID_OERTLICHKEIT_AUSGABE;

	/**
	 * The feature id for the '<em><b>Objektreferenzen</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REGELZEICHNUNG__OBJEKTREFERENZEN = BasisobjektePackage.BASIS_OBJEKT__OBJEKTREFERENZEN;

	/**
	 * The feature id for the '<em><b>Regelzeichnung Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REGELZEICHNUNG__REGELZEICHNUNG_ALLG = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Regelzeichnung</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REGELZEICHNUNG_FEATURE_COUNT = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Regelzeichnung</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REGELZEICHNUNG_OPERATION_COUNT = BasisobjektePackage.BASIS_OBJEKT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Regelzeichnung.impl.Regelzeichnung_Allg_AttributeGroupImpl <em>Regelzeichnung Allg Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.impl.Regelzeichnung_Allg_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.impl.RegelzeichnungPackageImpl#getRegelzeichnung_Allg_AttributeGroup()
	 * @generated
	 */
	int REGELZEICHNUNG_ALLG_ATTRIBUTE_GROUP = 2;

	/**
	 * The feature id for the '<em><b>Bild</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REGELZEICHNUNG_ALLG_ATTRIBUTE_GROUP__BILD = 0;

	/**
	 * The feature id for the '<em><b>RZ Nummer</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REGELZEICHNUNG_ALLG_ATTRIBUTE_GROUP__RZ_NUMMER = 1;

	/**
	 * The feature id for the '<em><b>Titel</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REGELZEICHNUNG_ALLG_ATTRIBUTE_GROUP__TITEL = 2;

	/**
	 * The feature id for the '<em><b>Untertitel</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REGELZEICHNUNG_ALLG_ATTRIBUTE_GROUP__UNTERTITEL = 3;

	/**
	 * The number of structural features of the '<em>Regelzeichnung Allg Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REGELZEICHNUNG_ALLG_ATTRIBUTE_GROUP_FEATURE_COUNT = 4;

	/**
	 * The number of operations of the '<em>Regelzeichnung Allg Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REGELZEICHNUNG_ALLG_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Regelzeichnung.impl.Regelzeichnung_ParameterImpl <em>Regelzeichnung Parameter</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.impl.Regelzeichnung_ParameterImpl
	 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.impl.RegelzeichnungPackageImpl#getRegelzeichnung_Parameter()
	 * @generated
	 */
	int REGELZEICHNUNG_PARAMETER = 3;

	/**
	 * The feature id for the '<em><b>Identitaet</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REGELZEICHNUNG_PARAMETER__IDENTITAET = BasisobjektePackage.BASIS_OBJEKT__IDENTITAET;

	/**
	 * The feature id for the '<em><b>Basis Objekt Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REGELZEICHNUNG_PARAMETER__BASIS_OBJEKT_ALLG = BasisobjektePackage.BASIS_OBJEKT__BASIS_OBJEKT_ALLG;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REGELZEICHNUNG_PARAMETER__ID_BEARBEITUNGSVERMERK = BasisobjektePackage.BASIS_OBJEKT__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>ID Oertlichkeit Ausgabe</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REGELZEICHNUNG_PARAMETER__ID_OERTLICHKEIT_AUSGABE = BasisobjektePackage.BASIS_OBJEKT__ID_OERTLICHKEIT_AUSGABE;

	/**
	 * The feature id for the '<em><b>Objektreferenzen</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REGELZEICHNUNG_PARAMETER__OBJEKTREFERENZEN = BasisobjektePackage.BASIS_OBJEKT__OBJEKTREFERENZEN;

	/**
	 * The feature id for the '<em><b>ID Regelzeichnung</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REGELZEICHNUNG_PARAMETER__ID_REGELZEICHNUNG = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Regelzeichnung Parameter Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REGELZEICHNUNG_PARAMETER__REGELZEICHNUNG_PARAMETER_ALLG = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Regelzeichnung Parameter</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REGELZEICHNUNG_PARAMETER_FEATURE_COUNT = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 2;

	/**
	 * The number of operations of the '<em>Regelzeichnung Parameter</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REGELZEICHNUNG_PARAMETER_OPERATION_COUNT = BasisobjektePackage.BASIS_OBJEKT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Regelzeichnung.impl.Regelzeichnung_Parameter_Allg_AttributeGroupImpl <em>Regelzeichnung Parameter Allg Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.impl.Regelzeichnung_Parameter_Allg_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.impl.RegelzeichnungPackageImpl#getRegelzeichnung_Parameter_Allg_AttributeGroup()
	 * @generated
	 */
	int REGELZEICHNUNG_PARAMETER_ALLG_ATTRIBUTE_GROUP = 4;

	/**
	 * The feature id for the '<em><b>RZ Parameter Name</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REGELZEICHNUNG_PARAMETER_ALLG_ATTRIBUTE_GROUP__RZ_PARAMETER_NAME = 0;

	/**
	 * The feature id for the '<em><b>RZ Parameter Wert</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REGELZEICHNUNG_PARAMETER_ALLG_ATTRIBUTE_GROUP__RZ_PARAMETER_WERT = 1;

	/**
	 * The number of structural features of the '<em>Regelzeichnung Parameter Allg Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REGELZEICHNUNG_PARAMETER_ALLG_ATTRIBUTE_GROUP_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>Regelzeichnung Parameter Allg Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REGELZEICHNUNG_PARAMETER_ALLG_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Regelzeichnung.impl.RZ_Nummer_TypeClassImpl <em>RZ Nummer Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.impl.RZ_Nummer_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.impl.RegelzeichnungPackageImpl#getRZ_Nummer_TypeClass()
	 * @generated
	 */
	int RZ_NUMMER_TYPE_CLASS = 5;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RZ_NUMMER_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RZ_NUMMER_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>RZ Nummer Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RZ_NUMMER_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>RZ Nummer Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RZ_NUMMER_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Regelzeichnung.impl.RZ_Parameter_Name_TypeClassImpl <em>RZ Parameter Name Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.impl.RZ_Parameter_Name_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.impl.RegelzeichnungPackageImpl#getRZ_Parameter_Name_TypeClass()
	 * @generated
	 */
	int RZ_PARAMETER_NAME_TYPE_CLASS = 6;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RZ_PARAMETER_NAME_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RZ_PARAMETER_NAME_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>RZ Parameter Name Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RZ_PARAMETER_NAME_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>RZ Parameter Name Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RZ_PARAMETER_NAME_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Regelzeichnung.impl.RZ_Parameter_Wert_TypeClassImpl <em>RZ Parameter Wert Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.impl.RZ_Parameter_Wert_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.impl.RegelzeichnungPackageImpl#getRZ_Parameter_Wert_TypeClass()
	 * @generated
	 */
	int RZ_PARAMETER_WERT_TYPE_CLASS = 7;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RZ_PARAMETER_WERT_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RZ_PARAMETER_WERT_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>RZ Parameter Wert Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RZ_PARAMETER_WERT_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>RZ Parameter Wert Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RZ_PARAMETER_WERT_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Regelzeichnung.impl.Titel_TypeClassImpl <em>Titel Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.impl.Titel_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.impl.RegelzeichnungPackageImpl#getTitel_TypeClass()
	 * @generated
	 */
	int TITEL_TYPE_CLASS = 8;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TITEL_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TITEL_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Titel Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TITEL_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Titel Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TITEL_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Regelzeichnung.impl.Untertitel_TypeClassImpl <em>Untertitel Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.impl.Untertitel_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.impl.RegelzeichnungPackageImpl#getUntertitel_TypeClass()
	 * @generated
	 */
	int UNTERTITEL_TYPE_CLASS = 9;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UNTERTITEL_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UNTERTITEL_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Untertitel Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UNTERTITEL_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Untertitel Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UNTERTITEL_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '<em>Bild Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.impl.RegelzeichnungPackageImpl#getBild_Type()
	 * @generated
	 */
	int BILD_TYPE = 10;

	/**
	 * The meta object id for the '<em>RZ Nummer Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.impl.RegelzeichnungPackageImpl#getRZ_Nummer_Type()
	 * @generated
	 */
	int RZ_NUMMER_TYPE = 11;

	/**
	 * The meta object id for the '<em>RZ Parameter Name Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.impl.RegelzeichnungPackageImpl#getRZ_Parameter_Name_Type()
	 * @generated
	 */
	int RZ_PARAMETER_NAME_TYPE = 12;

	/**
	 * The meta object id for the '<em>RZ Parameter Wert Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.impl.RegelzeichnungPackageImpl#getRZ_Parameter_Wert_Type()
	 * @generated
	 */
	int RZ_PARAMETER_WERT_TYPE = 13;

	/**
	 * The meta object id for the '<em>Titel Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.impl.RegelzeichnungPackageImpl#getTitel_Type()
	 * @generated
	 */
	int TITEL_TYPE = 14;

	/**
	 * The meta object id for the '<em>Untertitel Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.impl.RegelzeichnungPackageImpl#getUntertitel_Type()
	 * @generated
	 */
	int UNTERTITEL_TYPE = 15;


	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Regelzeichnung.Bild_TypeClass <em>Bild Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Bild Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.Bild_TypeClass
	 * @generated
	 */
	EClass getBild_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Regelzeichnung.Bild_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.Bild_TypeClass#getWert()
	 * @see #getBild_TypeClass()
	 * @generated
	 */
	EAttribute getBild_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Regelzeichnung.Regelzeichnung <em>Regelzeichnung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Regelzeichnung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.Regelzeichnung
	 * @generated
	 */
	EClass getRegelzeichnung();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Regelzeichnung.Regelzeichnung#getRegelzeichnungAllg <em>Regelzeichnung Allg</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Regelzeichnung Allg</em>'.
	 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.Regelzeichnung#getRegelzeichnungAllg()
	 * @see #getRegelzeichnung()
	 * @generated
	 */
	EReference getRegelzeichnung_RegelzeichnungAllg();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Regelzeichnung.Regelzeichnung_Allg_AttributeGroup <em>Regelzeichnung Allg Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Regelzeichnung Allg Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.Regelzeichnung_Allg_AttributeGroup
	 * @generated
	 */
	EClass getRegelzeichnung_Allg_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Regelzeichnung.Regelzeichnung_Allg_AttributeGroup#getBild <em>Bild</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Bild</em>'.
	 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.Regelzeichnung_Allg_AttributeGroup#getBild()
	 * @see #getRegelzeichnung_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getRegelzeichnung_Allg_AttributeGroup_Bild();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Regelzeichnung.Regelzeichnung_Allg_AttributeGroup#getRZNummer <em>RZ Nummer</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>RZ Nummer</em>'.
	 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.Regelzeichnung_Allg_AttributeGroup#getRZNummer()
	 * @see #getRegelzeichnung_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getRegelzeichnung_Allg_AttributeGroup_RZNummer();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Regelzeichnung.Regelzeichnung_Allg_AttributeGroup#getTitel <em>Titel</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Titel</em>'.
	 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.Regelzeichnung_Allg_AttributeGroup#getTitel()
	 * @see #getRegelzeichnung_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getRegelzeichnung_Allg_AttributeGroup_Titel();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Regelzeichnung.Regelzeichnung_Allg_AttributeGroup#getUntertitel <em>Untertitel</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Untertitel</em>'.
	 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.Regelzeichnung_Allg_AttributeGroup#getUntertitel()
	 * @see #getRegelzeichnung_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getRegelzeichnung_Allg_AttributeGroup_Untertitel();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Regelzeichnung.Regelzeichnung_Parameter <em>Regelzeichnung Parameter</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Regelzeichnung Parameter</em>'.
	 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.Regelzeichnung_Parameter
	 * @generated
	 */
	EClass getRegelzeichnung_Parameter();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Regelzeichnung.Regelzeichnung_Parameter#getIDRegelzeichnung <em>ID Regelzeichnung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Regelzeichnung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.Regelzeichnung_Parameter#getIDRegelzeichnung()
	 * @see #getRegelzeichnung_Parameter()
	 * @generated
	 */
	EReference getRegelzeichnung_Parameter_IDRegelzeichnung();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Regelzeichnung.Regelzeichnung_Parameter#getRegelzeichnungParameterAllg <em>Regelzeichnung Parameter Allg</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Regelzeichnung Parameter Allg</em>'.
	 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.Regelzeichnung_Parameter#getRegelzeichnungParameterAllg()
	 * @see #getRegelzeichnung_Parameter()
	 * @generated
	 */
	EReference getRegelzeichnung_Parameter_RegelzeichnungParameterAllg();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Regelzeichnung.Regelzeichnung_Parameter_Allg_AttributeGroup <em>Regelzeichnung Parameter Allg Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Regelzeichnung Parameter Allg Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.Regelzeichnung_Parameter_Allg_AttributeGroup
	 * @generated
	 */
	EClass getRegelzeichnung_Parameter_Allg_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Regelzeichnung.Regelzeichnung_Parameter_Allg_AttributeGroup#getRZParameterName <em>RZ Parameter Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>RZ Parameter Name</em>'.
	 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.Regelzeichnung_Parameter_Allg_AttributeGroup#getRZParameterName()
	 * @see #getRegelzeichnung_Parameter_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getRegelzeichnung_Parameter_Allg_AttributeGroup_RZParameterName();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Regelzeichnung.Regelzeichnung_Parameter_Allg_AttributeGroup#getRZParameterWert <em>RZ Parameter Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>RZ Parameter Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.Regelzeichnung_Parameter_Allg_AttributeGroup#getRZParameterWert()
	 * @see #getRegelzeichnung_Parameter_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getRegelzeichnung_Parameter_Allg_AttributeGroup_RZParameterWert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Regelzeichnung.RZ_Nummer_TypeClass <em>RZ Nummer Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>RZ Nummer Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.RZ_Nummer_TypeClass
	 * @generated
	 */
	EClass getRZ_Nummer_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Regelzeichnung.RZ_Nummer_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.RZ_Nummer_TypeClass#getWert()
	 * @see #getRZ_Nummer_TypeClass()
	 * @generated
	 */
	EAttribute getRZ_Nummer_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Regelzeichnung.RZ_Parameter_Name_TypeClass <em>RZ Parameter Name Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>RZ Parameter Name Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.RZ_Parameter_Name_TypeClass
	 * @generated
	 */
	EClass getRZ_Parameter_Name_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Regelzeichnung.RZ_Parameter_Name_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.RZ_Parameter_Name_TypeClass#getWert()
	 * @see #getRZ_Parameter_Name_TypeClass()
	 * @generated
	 */
	EAttribute getRZ_Parameter_Name_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Regelzeichnung.RZ_Parameter_Wert_TypeClass <em>RZ Parameter Wert Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>RZ Parameter Wert Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.RZ_Parameter_Wert_TypeClass
	 * @generated
	 */
	EClass getRZ_Parameter_Wert_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Regelzeichnung.RZ_Parameter_Wert_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.RZ_Parameter_Wert_TypeClass#getWert()
	 * @see #getRZ_Parameter_Wert_TypeClass()
	 * @generated
	 */
	EAttribute getRZ_Parameter_Wert_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Regelzeichnung.Titel_TypeClass <em>Titel Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Titel Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.Titel_TypeClass
	 * @generated
	 */
	EClass getTitel_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Regelzeichnung.Titel_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.Titel_TypeClass#getWert()
	 * @see #getTitel_TypeClass()
	 * @generated
	 */
	EAttribute getTitel_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Regelzeichnung.Untertitel_TypeClass <em>Untertitel Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Untertitel Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.Untertitel_TypeClass
	 * @generated
	 */
	EClass getUntertitel_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Regelzeichnung.Untertitel_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.Untertitel_TypeClass#getWert()
	 * @see #getUntertitel_TypeClass()
	 * @generated
	 */
	EAttribute getUntertitel_TypeClass_Wert();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Bild Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Bild Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TBild' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText' pattern='.{1,20}'"
	 * @generated
	 */
	EDataType getBild_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>RZ Nummer Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>RZ Nummer Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TRZ_Nummer' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText' pattern='.{1,20}'"
	 * @generated
	 */
	EDataType getRZ_Nummer_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>RZ Parameter Name Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>RZ Parameter Name Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TRZ_Parameter_Name' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText' pattern='.{1,20}'"
	 * @generated
	 */
	EDataType getRZ_Parameter_Name_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>RZ Parameter Wert Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>RZ Parameter Wert Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TRZ_Parameter_Wert' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText' pattern='.{1,20}'"
	 * @generated
	 */
	EDataType getRZ_Parameter_Wert_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Titel Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Titel Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TTitel' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText' pattern='.{1,200}'"
	 * @generated
	 */
	EDataType getTitel_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Untertitel Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Untertitel Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TUntertitel' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText' pattern='.{1,200}'"
	 * @generated
	 */
	EDataType getUntertitel_Type();

	/**
	 * Returns the factory that creates the instances of the model.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the factory that creates the instances of the model.
	 * @generated
	 */
	RegelzeichnungFactory getRegelzeichnungFactory();

	/**
	 * <!-- begin-user-doc -->
	 * Defines literals for the meta objects that represent
	 * <ul>
	 *   <li>each class,</li>
	 *   <li>each feature of each class,</li>
	 *   <li>each operation of each class,</li>
	 *   <li>each enum,</li>
	 *   <li>and each data type</li>
	 * </ul>
	 * <!-- end-user-doc -->
	 * @generated
	 */
	interface Literals {
		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Regelzeichnung.impl.Bild_TypeClassImpl <em>Bild Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.impl.Bild_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.impl.RegelzeichnungPackageImpl#getBild_TypeClass()
		 * @generated
		 */
		EClass BILD_TYPE_CLASS = eINSTANCE.getBild_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute BILD_TYPE_CLASS__WERT = eINSTANCE.getBild_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Regelzeichnung.impl.RegelzeichnungImpl <em>Regelzeichnung</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.impl.RegelzeichnungImpl
		 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.impl.RegelzeichnungPackageImpl#getRegelzeichnung()
		 * @generated
		 */
		EClass REGELZEICHNUNG = eINSTANCE.getRegelzeichnung();

		/**
		 * The meta object literal for the '<em><b>Regelzeichnung Allg</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference REGELZEICHNUNG__REGELZEICHNUNG_ALLG = eINSTANCE.getRegelzeichnung_RegelzeichnungAllg();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Regelzeichnung.impl.Regelzeichnung_Allg_AttributeGroupImpl <em>Regelzeichnung Allg Attribute Group</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.impl.Regelzeichnung_Allg_AttributeGroupImpl
		 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.impl.RegelzeichnungPackageImpl#getRegelzeichnung_Allg_AttributeGroup()
		 * @generated
		 */
		EClass REGELZEICHNUNG_ALLG_ATTRIBUTE_GROUP = eINSTANCE.getRegelzeichnung_Allg_AttributeGroup();

		/**
		 * The meta object literal for the '<em><b>Bild</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference REGELZEICHNUNG_ALLG_ATTRIBUTE_GROUP__BILD = eINSTANCE.getRegelzeichnung_Allg_AttributeGroup_Bild();

		/**
		 * The meta object literal for the '<em><b>RZ Nummer</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference REGELZEICHNUNG_ALLG_ATTRIBUTE_GROUP__RZ_NUMMER = eINSTANCE.getRegelzeichnung_Allg_AttributeGroup_RZNummer();

		/**
		 * The meta object literal for the '<em><b>Titel</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference REGELZEICHNUNG_ALLG_ATTRIBUTE_GROUP__TITEL = eINSTANCE.getRegelzeichnung_Allg_AttributeGroup_Titel();

		/**
		 * The meta object literal for the '<em><b>Untertitel</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference REGELZEICHNUNG_ALLG_ATTRIBUTE_GROUP__UNTERTITEL = eINSTANCE.getRegelzeichnung_Allg_AttributeGroup_Untertitel();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Regelzeichnung.impl.Regelzeichnung_ParameterImpl <em>Regelzeichnung Parameter</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.impl.Regelzeichnung_ParameterImpl
		 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.impl.RegelzeichnungPackageImpl#getRegelzeichnung_Parameter()
		 * @generated
		 */
		EClass REGELZEICHNUNG_PARAMETER = eINSTANCE.getRegelzeichnung_Parameter();

		/**
		 * The meta object literal for the '<em><b>ID Regelzeichnung</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference REGELZEICHNUNG_PARAMETER__ID_REGELZEICHNUNG = eINSTANCE.getRegelzeichnung_Parameter_IDRegelzeichnung();

		/**
		 * The meta object literal for the '<em><b>Regelzeichnung Parameter Allg</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference REGELZEICHNUNG_PARAMETER__REGELZEICHNUNG_PARAMETER_ALLG = eINSTANCE.getRegelzeichnung_Parameter_RegelzeichnungParameterAllg();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Regelzeichnung.impl.Regelzeichnung_Parameter_Allg_AttributeGroupImpl <em>Regelzeichnung Parameter Allg Attribute Group</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.impl.Regelzeichnung_Parameter_Allg_AttributeGroupImpl
		 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.impl.RegelzeichnungPackageImpl#getRegelzeichnung_Parameter_Allg_AttributeGroup()
		 * @generated
		 */
		EClass REGELZEICHNUNG_PARAMETER_ALLG_ATTRIBUTE_GROUP = eINSTANCE.getRegelzeichnung_Parameter_Allg_AttributeGroup();

		/**
		 * The meta object literal for the '<em><b>RZ Parameter Name</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference REGELZEICHNUNG_PARAMETER_ALLG_ATTRIBUTE_GROUP__RZ_PARAMETER_NAME = eINSTANCE.getRegelzeichnung_Parameter_Allg_AttributeGroup_RZParameterName();

		/**
		 * The meta object literal for the '<em><b>RZ Parameter Wert</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference REGELZEICHNUNG_PARAMETER_ALLG_ATTRIBUTE_GROUP__RZ_PARAMETER_WERT = eINSTANCE.getRegelzeichnung_Parameter_Allg_AttributeGroup_RZParameterWert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Regelzeichnung.impl.RZ_Nummer_TypeClassImpl <em>RZ Nummer Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.impl.RZ_Nummer_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.impl.RegelzeichnungPackageImpl#getRZ_Nummer_TypeClass()
		 * @generated
		 */
		EClass RZ_NUMMER_TYPE_CLASS = eINSTANCE.getRZ_Nummer_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute RZ_NUMMER_TYPE_CLASS__WERT = eINSTANCE.getRZ_Nummer_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Regelzeichnung.impl.RZ_Parameter_Name_TypeClassImpl <em>RZ Parameter Name Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.impl.RZ_Parameter_Name_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.impl.RegelzeichnungPackageImpl#getRZ_Parameter_Name_TypeClass()
		 * @generated
		 */
		EClass RZ_PARAMETER_NAME_TYPE_CLASS = eINSTANCE.getRZ_Parameter_Name_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute RZ_PARAMETER_NAME_TYPE_CLASS__WERT = eINSTANCE.getRZ_Parameter_Name_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Regelzeichnung.impl.RZ_Parameter_Wert_TypeClassImpl <em>RZ Parameter Wert Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.impl.RZ_Parameter_Wert_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.impl.RegelzeichnungPackageImpl#getRZ_Parameter_Wert_TypeClass()
		 * @generated
		 */
		EClass RZ_PARAMETER_WERT_TYPE_CLASS = eINSTANCE.getRZ_Parameter_Wert_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute RZ_PARAMETER_WERT_TYPE_CLASS__WERT = eINSTANCE.getRZ_Parameter_Wert_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Regelzeichnung.impl.Titel_TypeClassImpl <em>Titel Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.impl.Titel_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.impl.RegelzeichnungPackageImpl#getTitel_TypeClass()
		 * @generated
		 */
		EClass TITEL_TYPE_CLASS = eINSTANCE.getTitel_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TITEL_TYPE_CLASS__WERT = eINSTANCE.getTitel_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Regelzeichnung.impl.Untertitel_TypeClassImpl <em>Untertitel Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.impl.Untertitel_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.impl.RegelzeichnungPackageImpl#getUntertitel_TypeClass()
		 * @generated
		 */
		EClass UNTERTITEL_TYPE_CLASS = eINSTANCE.getUntertitel_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute UNTERTITEL_TYPE_CLASS__WERT = eINSTANCE.getUntertitel_TypeClass_Wert();

		/**
		 * The meta object literal for the '<em>Bild Type</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.impl.RegelzeichnungPackageImpl#getBild_Type()
		 * @generated
		 */
		EDataType BILD_TYPE = eINSTANCE.getBild_Type();

		/**
		 * The meta object literal for the '<em>RZ Nummer Type</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.impl.RegelzeichnungPackageImpl#getRZ_Nummer_Type()
		 * @generated
		 */
		EDataType RZ_NUMMER_TYPE = eINSTANCE.getRZ_Nummer_Type();

		/**
		 * The meta object literal for the '<em>RZ Parameter Name Type</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.impl.RegelzeichnungPackageImpl#getRZ_Parameter_Name_Type()
		 * @generated
		 */
		EDataType RZ_PARAMETER_NAME_TYPE = eINSTANCE.getRZ_Parameter_Name_Type();

		/**
		 * The meta object literal for the '<em>RZ Parameter Wert Type</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.impl.RegelzeichnungPackageImpl#getRZ_Parameter_Wert_Type()
		 * @generated
		 */
		EDataType RZ_PARAMETER_WERT_TYPE = eINSTANCE.getRZ_Parameter_Wert_Type();

		/**
		 * The meta object literal for the '<em>Titel Type</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.impl.RegelzeichnungPackageImpl#getTitel_Type()
		 * @generated
		 */
		EDataType TITEL_TYPE = eINSTANCE.getTitel_Type();

		/**
		 * The meta object literal for the '<em>Untertitel Type</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.set.toolboxmodel.Regelzeichnung.impl.RegelzeichnungPackageImpl#getUntertitel_Type()
		 * @generated
		 */
		EDataType UNTERTITEL_TYPE = eINSTANCE.getUntertitel_Type();

	}

} //RegelzeichnungPackage
