/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Schluesselabhaengigkeiten;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>ENUM Schloss Art</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Schluesselabhaengigkeiten.SchluesselabhaengigkeitenPackage#getENUMSchlossArt()
 * @model extendedMetaData="name='ENUMSchloss_Art'"
 * @generated
 */
public enum ENUMSchlossArt implements Enumerator {
	/**
	 * The '<em><b>ENUM Schloss Art HV 73</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SCHLOSS_ART_HV_73_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_SCHLOSS_ART_HV_73(0, "ENUMSchloss_Art_HV_73", "HV_73"),

	/**
	 * The '<em><b>ENUM Schloss Art Prueferschieber abschliessbar</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SCHLOSS_ART_PRUEFERSCHIEBER_ABSCHLIESSBAR_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_SCHLOSS_ART_PRUEFERSCHIEBER_ABSCHLIESSBAR(1, "ENUMSchloss_Art_Prueferschieber_abschliessbar", "Prueferschieber_abschliessbar"),

	/**
	 * The '<em><b>ENUM Schloss Art Riegelhandschloss</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SCHLOSS_ART_RIEGELHANDSCHLOSS_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_SCHLOSS_ART_RIEGELHANDSCHLOSS(2, "ENUMSchloss_Art_Riegelhandschloss", "Riegelhandschloss"),

	/**
	 * The '<em><b>ENUM Schloss Art sonstige</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SCHLOSS_ART_SONSTIGE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_SCHLOSS_ART_SONSTIGE(3, "ENUMSchloss_Art_sonstige", "sonstige"),

	/**
	 * The '<em><b>ENUM Schloss Art Weichenschloss</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SCHLOSS_ART_WEICHENSCHLOSS_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_SCHLOSS_ART_WEICHENSCHLOSS(4, "ENUMSchloss_Art_Weichenschloss", "Weichenschloss"),

	/**
	 * The '<em><b>ENUM Schloss Art Zungensperre</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SCHLOSS_ART_ZUNGENSPERRE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_SCHLOSS_ART_ZUNGENSPERRE(5, "ENUMSchloss_Art_Zungensperre", "Zungensperre");

	/**
	 * The '<em><b>ENUM Schloss Art HV 73</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SCHLOSS_ART_HV_73
	 * @model name="ENUMSchloss_Art_HV_73" literal="HV_73"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_SCHLOSS_ART_HV_73_VALUE = 0;

	/**
	 * The '<em><b>ENUM Schloss Art Prueferschieber abschliessbar</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SCHLOSS_ART_PRUEFERSCHIEBER_ABSCHLIESSBAR
	 * @model name="ENUMSchloss_Art_Prueferschieber_abschliessbar" literal="Prueferschieber_abschliessbar"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_SCHLOSS_ART_PRUEFERSCHIEBER_ABSCHLIESSBAR_VALUE = 1;

	/**
	 * The '<em><b>ENUM Schloss Art Riegelhandschloss</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SCHLOSS_ART_RIEGELHANDSCHLOSS
	 * @model name="ENUMSchloss_Art_Riegelhandschloss" literal="Riegelhandschloss"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_SCHLOSS_ART_RIEGELHANDSCHLOSS_VALUE = 2;

	/**
	 * The '<em><b>ENUM Schloss Art sonstige</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SCHLOSS_ART_SONSTIGE
	 * @model name="ENUMSchloss_Art_sonstige" literal="sonstige"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_SCHLOSS_ART_SONSTIGE_VALUE = 3;

	/**
	 * The '<em><b>ENUM Schloss Art Weichenschloss</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SCHLOSS_ART_WEICHENSCHLOSS
	 * @model name="ENUMSchloss_Art_Weichenschloss" literal="Weichenschloss"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_SCHLOSS_ART_WEICHENSCHLOSS_VALUE = 4;

	/**
	 * The '<em><b>ENUM Schloss Art Zungensperre</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SCHLOSS_ART_ZUNGENSPERRE
	 * @model name="ENUMSchloss_Art_Zungensperre" literal="Zungensperre"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_SCHLOSS_ART_ZUNGENSPERRE_VALUE = 5;

	/**
	 * An array of all the '<em><b>ENUM Schloss Art</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static final ENUMSchlossArt[] VALUES_ARRAY =
		new ENUMSchlossArt[] {
			ENUM_SCHLOSS_ART_HV_73,
			ENUM_SCHLOSS_ART_PRUEFERSCHIEBER_ABSCHLIESSBAR,
			ENUM_SCHLOSS_ART_RIEGELHANDSCHLOSS,
			ENUM_SCHLOSS_ART_SONSTIGE,
			ENUM_SCHLOSS_ART_WEICHENSCHLOSS,
			ENUM_SCHLOSS_ART_ZUNGENSPERRE,
		};

	/**
	 * A public read-only list of all the '<em><b>ENUM Schloss Art</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static final List<ENUMSchlossArt> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

	/**
	 * Returns the '<em><b>ENUM Schloss Art</b></em>' literal with the specified literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param literal the literal.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMSchlossArt get(String literal) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMSchlossArt result = VALUES_ARRAY[i];
			if (result.toString().equals(literal)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Schloss Art</b></em>' literal with the specified name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param name the name.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMSchlossArt getByName(String name) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMSchlossArt result = VALUES_ARRAY[i];
			if (result.getName().equals(name)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Schloss Art</b></em>' literal with the specified integer value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the integer value.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMSchlossArt get(int value) {
		switch (value) {
			case ENUM_SCHLOSS_ART_HV_73_VALUE: return ENUM_SCHLOSS_ART_HV_73;
			case ENUM_SCHLOSS_ART_PRUEFERSCHIEBER_ABSCHLIESSBAR_VALUE: return ENUM_SCHLOSS_ART_PRUEFERSCHIEBER_ABSCHLIESSBAR;
			case ENUM_SCHLOSS_ART_RIEGELHANDSCHLOSS_VALUE: return ENUM_SCHLOSS_ART_RIEGELHANDSCHLOSS;
			case ENUM_SCHLOSS_ART_SONSTIGE_VALUE: return ENUM_SCHLOSS_ART_SONSTIGE;
			case ENUM_SCHLOSS_ART_WEICHENSCHLOSS_VALUE: return ENUM_SCHLOSS_ART_WEICHENSCHLOSS;
			case ENUM_SCHLOSS_ART_ZUNGENSPERRE_VALUE: return ENUM_SCHLOSS_ART_ZUNGENSPERRE;
			default: return null;
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final int value;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String name;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String literal;

	/**
	 * Only this class can construct instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private ENUMSchlossArt(int value, String name, String literal) {
		this.value = value;
		this.name = name;
		this.literal = literal;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public int getValue() {
	  return value;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getName() {
	  return name;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getLiteral() {
	  return literal;
	}

	/**
	 * Returns the literal value of the enumerator, which is its string representation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		return literal;
	}
	
} //ENUMSchlossArt
