/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Schluesselabhaengigkeiten;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>ENUM Schluessel Gruppe</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Schluesselabhaengigkeiten.SchluesselabhaengigkeitenPackage#getENUMSchluesselGruppe()
 * @model extendedMetaData="name='ENUMSchluessel_Gruppe'"
 * @generated
 */
public enum ENUMSchluesselGruppe implements Enumerator {
	/**
	 * The '<em><b>ENUM Schluessel Gruppe 0</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SCHLUESSEL_GRUPPE_0_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_SCHLUESSEL_GRUPPE_0(0, "ENUMSchluessel_Gruppe_0", "0"),

	/**
	 * The '<em><b>ENUM Schluessel Gruppe 1</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SCHLUESSEL_GRUPPE_1_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_SCHLUESSEL_GRUPPE_1(1, "ENUMSchluessel_Gruppe_1", "1"),

	/**
	 * The '<em><b>ENUM Schluessel Gruppe 2</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SCHLUESSEL_GRUPPE_2_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_SCHLUESSEL_GRUPPE_2(2, "ENUMSchluessel_Gruppe_2", "2"),

	/**
	 * The '<em><b>ENUM Schluessel Gruppe 3</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SCHLUESSEL_GRUPPE_3_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_SCHLUESSEL_GRUPPE_3(3, "ENUMSchluessel_Gruppe_3", "3"),

	/**
	 * The '<em><b>ENUM Schluessel Gruppe 4</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SCHLUESSEL_GRUPPE_4_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_SCHLUESSEL_GRUPPE_4(4, "ENUMSchluessel_Gruppe_4", "4"),

	/**
	 * The '<em><b>ENUM Schluessel Gruppe 5</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SCHLUESSEL_GRUPPE_5_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_SCHLUESSEL_GRUPPE_5(5, "ENUMSchluessel_Gruppe_5", "5");

	/**
	 * The '<em><b>ENUM Schluessel Gruppe 0</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SCHLUESSEL_GRUPPE_0
	 * @model name="ENUMSchluessel_Gruppe_0" literal="0"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_SCHLUESSEL_GRUPPE_0_VALUE = 0;

	/**
	 * The '<em><b>ENUM Schluessel Gruppe 1</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SCHLUESSEL_GRUPPE_1
	 * @model name="ENUMSchluessel_Gruppe_1" literal="1"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_SCHLUESSEL_GRUPPE_1_VALUE = 1;

	/**
	 * The '<em><b>ENUM Schluessel Gruppe 2</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SCHLUESSEL_GRUPPE_2
	 * @model name="ENUMSchluessel_Gruppe_2" literal="2"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_SCHLUESSEL_GRUPPE_2_VALUE = 2;

	/**
	 * The '<em><b>ENUM Schluessel Gruppe 3</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SCHLUESSEL_GRUPPE_3
	 * @model name="ENUMSchluessel_Gruppe_3" literal="3"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_SCHLUESSEL_GRUPPE_3_VALUE = 3;

	/**
	 * The '<em><b>ENUM Schluessel Gruppe 4</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SCHLUESSEL_GRUPPE_4
	 * @model name="ENUMSchluessel_Gruppe_4" literal="4"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_SCHLUESSEL_GRUPPE_4_VALUE = 4;

	/**
	 * The '<em><b>ENUM Schluessel Gruppe 5</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_SCHLUESSEL_GRUPPE_5
	 * @model name="ENUMSchluessel_Gruppe_5" literal="5"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_SCHLUESSEL_GRUPPE_5_VALUE = 5;

	/**
	 * An array of all the '<em><b>ENUM Schluessel Gruppe</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static final ENUMSchluesselGruppe[] VALUES_ARRAY =
		new ENUMSchluesselGruppe[] {
			ENUM_SCHLUESSEL_GRUPPE_0,
			ENUM_SCHLUESSEL_GRUPPE_1,
			ENUM_SCHLUESSEL_GRUPPE_2,
			ENUM_SCHLUESSEL_GRUPPE_3,
			ENUM_SCHLUESSEL_GRUPPE_4,
			ENUM_SCHLUESSEL_GRUPPE_5,
		};

	/**
	 * A public read-only list of all the '<em><b>ENUM Schluessel Gruppe</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static final List<ENUMSchluesselGruppe> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

	/**
	 * Returns the '<em><b>ENUM Schluessel Gruppe</b></em>' literal with the specified literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param literal the literal.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMSchluesselGruppe get(String literal) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMSchluesselGruppe result = VALUES_ARRAY[i];
			if (result.toString().equals(literal)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Schluessel Gruppe</b></em>' literal with the specified name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param name the name.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMSchluesselGruppe getByName(String name) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMSchluesselGruppe result = VALUES_ARRAY[i];
			if (result.getName().equals(name)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Schluessel Gruppe</b></em>' literal with the specified integer value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the integer value.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMSchluesselGruppe get(int value) {
		switch (value) {
			case ENUM_SCHLUESSEL_GRUPPE_0_VALUE: return ENUM_SCHLUESSEL_GRUPPE_0;
			case ENUM_SCHLUESSEL_GRUPPE_1_VALUE: return ENUM_SCHLUESSEL_GRUPPE_1;
			case ENUM_SCHLUESSEL_GRUPPE_2_VALUE: return ENUM_SCHLUESSEL_GRUPPE_2;
			case ENUM_SCHLUESSEL_GRUPPE_3_VALUE: return ENUM_SCHLUESSEL_GRUPPE_3;
			case ENUM_SCHLUESSEL_GRUPPE_4_VALUE: return ENUM_SCHLUESSEL_GRUPPE_4;
			case ENUM_SCHLUESSEL_GRUPPE_5_VALUE: return ENUM_SCHLUESSEL_GRUPPE_5;
			default: return null;
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final int value;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String name;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String literal;

	/**
	 * Only this class can construct instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private ENUMSchluesselGruppe(int value, String name, String literal) {
		this.value = value;
		this.name = name;
		this.literal = literal;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public int getValue() {
	  return value;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getName() {
	  return name;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getLiteral() {
	  return literal;
	}

	/**
	 * Returns the literal value of the enumerator, which is its string representation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		return literal;
	}
	
} //ENUMSchluesselGruppe
