/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Schluesselabhaengigkeiten;

import org.eclipse.emf.ecore.EFactory;

/**
 * <!-- begin-user-doc -->
 * The <b>Factory</b> for the model.
 * It provides a create method for each non-abstract class of the model.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Schluesselabhaengigkeiten.SchluesselabhaengigkeitenPackage
 * @generated
 */
public interface SchluesselabhaengigkeitenFactory extends EFactory {
	/**
	 * The singleton instance of the factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	SchluesselabhaengigkeitenFactory eINSTANCE = org.eclipse.set.toolboxmodel.Schluesselabhaengigkeiten.impl.SchluesselabhaengigkeitenFactoryImpl.init();

	/**
	 * Returns a new object of class '<em>Bedienung Art Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bedienung Art Type Class</em>'.
	 * @generated
	 */
	Bedienung_Art_TypeClass createBedienung_Art_TypeClass();

	/**
	 * Returns a new object of class '<em>Beschreibung Sonderanlage Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Beschreibung Sonderanlage Type Class</em>'.
	 * @generated
	 */
	Beschreibung_Sonderanlage_TypeClass createBeschreibung_Sonderanlage_TypeClass();

	/**
	 * Returns a new object of class '<em>Bezeichnung Schloss Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bezeichnung Schloss Type Class</em>'.
	 * @generated
	 */
	Bezeichnung_Schloss_TypeClass createBezeichnung_Schloss_TypeClass();

	/**
	 * Returns a new object of class '<em>Bezeichnung Schluessel Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bezeichnung Schluessel Type Class</em>'.
	 * @generated
	 */
	Bezeichnung_Schluessel_TypeClass createBezeichnung_Schluessel_TypeClass();

	/**
	 * Returns a new object of class '<em>Bezeichnung Sk Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bezeichnung Sk Type Class</em>'.
	 * @generated
	 */
	Bezeichnung_Sk_TypeClass createBezeichnung_Sk_TypeClass();

	/**
	 * Returns a new object of class '<em>BUE Lage Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>BUE Lage Type Class</em>'.
	 * @generated
	 */
	BUE_Lage_TypeClass createBUE_Lage_TypeClass();

	/**
	 * Returns a new object of class '<em>Gsp Lage Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Gsp Lage Type Class</em>'.
	 * @generated
	 */
	Gsp_Lage_TypeClass createGsp_Lage_TypeClass();

	/**
	 * Returns a new object of class '<em>Hauptschloss Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Hauptschloss Type Class</em>'.
	 * @generated
	 */
	Hauptschloss_TypeClass createHauptschloss_TypeClass();

	/**
	 * Returns a new object of class '<em>Schloss</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Schloss</em>'.
	 * @generated
	 */
	Schloss createSchloss();

	/**
	 * Returns a new object of class '<em>Schloss Art Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Schloss Art Type Class</em>'.
	 * @generated
	 */
	Schloss_Art_TypeClass createSchloss_Art_TypeClass();

	/**
	 * Returns a new object of class '<em>Schloss Bezeichnung Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Schloss Bezeichnung Attribute Group</em>'.
	 * @generated
	 */
	Schloss_Bezeichnung_AttributeGroup createSchloss_Bezeichnung_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Schloss BUE Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Schloss BUE Attribute Group</em>'.
	 * @generated
	 */
	Schloss_BUE_AttributeGroup createSchloss_BUE_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Schloss Gsp Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Schloss Gsp Attribute Group</em>'.
	 * @generated
	 */
	Schloss_Gsp_AttributeGroup createSchloss_Gsp_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Schloss Sk Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Schloss Sk Attribute Group</em>'.
	 * @generated
	 */
	Schloss_Sk_AttributeGroup createSchloss_Sk_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Schloss Sonderanlage Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Schloss Sonderanlage Attribute Group</em>'.
	 * @generated
	 */
	Schloss_Sonderanlage_AttributeGroup createSchloss_Sonderanlage_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Schloss Ssp Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Schloss Ssp Attribute Group</em>'.
	 * @generated
	 */
	Schloss_Ssp_AttributeGroup createSchloss_Ssp_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Schloss WAttribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Schloss WAttribute Group</em>'.
	 * @generated
	 */
	Schloss_W_AttributeGroup createSchloss_W_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Schlosskombination</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Schlosskombination</em>'.
	 * @generated
	 */
	Schlosskombination createSchlosskombination();

	/**
	 * Returns a new object of class '<em>Schlosskombination Bezeichnung Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Schlosskombination Bezeichnung Attribute Group</em>'.
	 * @generated
	 */
	Schlosskombination_Bezeichnung_AttributeGroup createSchlosskombination_Bezeichnung_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Schluessel</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Schluessel</em>'.
	 * @generated
	 */
	Schluessel createSchluessel();

	/**
	 * Returns a new object of class '<em>Schluessel Allg Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Schluessel Allg Attribute Group</em>'.
	 * @generated
	 */
	Schluessel_Allg_AttributeGroup createSchluessel_Allg_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Schluessel Bartform Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Schluessel Bartform Type Class</em>'.
	 * @generated
	 */
	Schluessel_Bartform_TypeClass createSchluessel_Bartform_TypeClass();

	/**
	 * Returns a new object of class '<em>Schluessel Bezeichnung Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Schluessel Bezeichnung Attribute Group</em>'.
	 * @generated
	 */
	Schluessel_Bezeichnung_AttributeGroup createSchluessel_Bezeichnung_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Schluessel Gruppe Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Schluessel Gruppe Type Class</em>'.
	 * @generated
	 */
	Schluessel_Gruppe_TypeClass createSchluessel_Gruppe_TypeClass();

	/**
	 * Returns a new object of class '<em>Schluessel In Grdst Eingeschl Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Schluessel In Grdst Eingeschl Type Class</em>'.
	 * @generated
	 */
	Schluessel_In_Grdst_Eingeschl_TypeClass createSchluessel_In_Grdst_Eingeschl_TypeClass();

	/**
	 * Returns a new object of class '<em>Schluesselsperre</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Schluesselsperre</em>'.
	 * @generated
	 */
	Schluesselsperre createSchluesselsperre();

	/**
	 * Returns a new object of class '<em>Sonderanlage Lage Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Sonderanlage Lage Type Class</em>'.
	 * @generated
	 */
	Sonderanlage_Lage_TypeClass createSonderanlage_Lage_TypeClass();

	/**
	 * Returns a new object of class '<em>Technisch Berechtigter Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Technisch Berechtigter Type Class</em>'.
	 * @generated
	 */
	Technisch_Berechtigter_TypeClass createTechnisch_Berechtigter_TypeClass();

	/**
	 * Returns a new object of class '<em>Verschluss Ort Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Verschluss Ort Type Class</em>'.
	 * @generated
	 */
	Verschluss_Ort_TypeClass createVerschluss_Ort_TypeClass();

	/**
	 * Returns a new object of class '<em>WAnbaulage Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>WAnbaulage Type Class</em>'.
	 * @generated
	 */
	W_Anbaulage_TypeClass createW_Anbaulage_TypeClass();

	/**
	 * Returns a new object of class '<em>WLage Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>WLage Type Class</em>'.
	 * @generated
	 */
	W_Lage_TypeClass createW_Lage_TypeClass();

	/**
	 * Returns the package supported by this factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the package supported by this factory.
	 * @generated
	 */
	SchluesselabhaengigkeitenPackage getSchluesselabhaengigkeitenPackage();

} //SchluesselabhaengigkeitenFactory
