/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Signale;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>ENUM Fiktives Signal Funktion</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Signale.SignalePackage#getENUMFiktivesSignalFunktion()
 * @model extendedMetaData="name='ENUMFiktives_Signal_Funktion'"
 * @generated
 */
public enum ENUMFiktivesSignalFunktion implements Enumerator {
	/**
	 * The '<em><b>ENUM Fiktives Signal Funktion FAP Start</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FIKTIVES_SIGNAL_FUNKTION_FAP_START_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_FIKTIVES_SIGNAL_FUNKTION_FAP_START(0, "ENUMFiktives_Signal_Funktion_FAP_Start", "FAP_Start"),

	/**
	 * The '<em><b>ENUM Fiktives Signal Funktion FAP Ziel</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FIKTIVES_SIGNAL_FUNKTION_FAP_ZIEL_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_FIKTIVES_SIGNAL_FUNKTION_FAP_ZIEL(1, "ENUMFiktives_Signal_Funktion_FAP_Ziel", "FAP_Ziel"),

	/**
	 * The '<em><b>ENUM Fiktives Signal Funktion Rangier Start Ziel ohne Signal</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FIKTIVES_SIGNAL_FUNKTION_RANGIER_START_ZIEL_OHNE_SIGNAL_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_FIKTIVES_SIGNAL_FUNKTION_RANGIER_START_ZIEL_OHNE_SIGNAL(2, "ENUMFiktives_Signal_Funktion_Rangier_Start_Ziel_ohne_Signal", "Rangier_Start_Ziel_ohne_Signal"),

	/**
	 * The '<em><b>ENUM Fiktives Signal Funktion sonstige</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FIKTIVES_SIGNAL_FUNKTION_SONSTIGE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_FIKTIVES_SIGNAL_FUNKTION_SONSTIGE(3, "ENUMFiktives_Signal_Funktion_sonstige", "sonstige"),

	/**
	 * The '<em><b>ENUM Fiktives Signal Funktion Zug Start Awanst</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FIKTIVES_SIGNAL_FUNKTION_ZUG_START_AWANST_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_FIKTIVES_SIGNAL_FUNKTION_ZUG_START_AWANST(4, "ENUMFiktives_Signal_Funktion_Zug_Start_Awanst", "Zug_Start_Awanst"),

	/**
	 * The '<em><b>ENUM Fiktives Signal Funktion Zug Start Mittelweiche</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FIKTIVES_SIGNAL_FUNKTION_ZUG_START_MITTELWEICHE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_FIKTIVES_SIGNAL_FUNKTION_ZUG_START_MITTELWEICHE(5, "ENUMFiktives_Signal_Funktion_Zug_Start_Mittelweiche", "Zug_Start_Mittelweiche"),

	/**
	 * The '<em><b>ENUM Fiktives Signal Funktion Zug Start ohne Signal</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FIKTIVES_SIGNAL_FUNKTION_ZUG_START_OHNE_SIGNAL_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_FIKTIVES_SIGNAL_FUNKTION_ZUG_START_OHNE_SIGNAL(6, "ENUMFiktives_Signal_Funktion_Zug_Start_ohne_Signal", "Zug_Start_ohne_Signal"),

	/**
	 * The '<em><b>ENUM Fiktives Signal Funktion Zug Ziel Awanst</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FIKTIVES_SIGNAL_FUNKTION_ZUG_ZIEL_AWANST_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_FIKTIVES_SIGNAL_FUNKTION_ZUG_ZIEL_AWANST(7, "ENUMFiktives_Signal_Funktion_Zug_Ziel_Awanst", "Zug_Ziel_Awanst"),

	/**
	 * The '<em><b>ENUM Fiktives Signal Funktion Zug Ziel ohne Signal</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FIKTIVES_SIGNAL_FUNKTION_ZUG_ZIEL_OHNE_SIGNAL_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_FIKTIVES_SIGNAL_FUNKTION_ZUG_ZIEL_OHNE_SIGNAL(8, "ENUMFiktives_Signal_Funktion_Zug_Ziel_ohne_Signal", "Zug_Ziel_ohne_Signal"),

	/**
	 * The '<em><b>ENUM Fiktives Signal Funktion Zug Ziel Strecke</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FIKTIVES_SIGNAL_FUNKTION_ZUG_ZIEL_STRECKE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_FIKTIVES_SIGNAL_FUNKTION_ZUG_ZIEL_STRECKE(9, "ENUMFiktives_Signal_Funktion_Zug_Ziel_Strecke", "Zug_Ziel_Strecke"),

	/**
	 * The '<em><b>ENUM Fiktives Signal Funktion Vsig virtuell</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FIKTIVES_SIGNAL_FUNKTION_VSIG_VIRTUELL_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_FIKTIVES_SIGNAL_FUNKTION_VSIG_VIRTUELL(10, "ENUMFiktives_Signal_Funktion_Vsig_virtuell", "Vsig_virtuell"),

	/**
	 * The '<em><b>ENUM Fiktives Signal Funktion Zug Start Ziel Bk</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FIKTIVES_SIGNAL_FUNKTION_ZUG_START_ZIEL_BK_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_FIKTIVES_SIGNAL_FUNKTION_ZUG_START_ZIEL_BK(11, "ENUMFiktives_Signal_Funktion_Zug_Start_Ziel_Bk", "Zug_Start_Ziel_Bk"),

	/**
	 * The '<em><b>ENUM Fiktives Signal Funktion Zug Start Ziel Ne 14</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FIKTIVES_SIGNAL_FUNKTION_ZUG_START_ZIEL_NE_14_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_FIKTIVES_SIGNAL_FUNKTION_ZUG_START_ZIEL_NE_14(12, "ENUMFiktives_Signal_Funktion_Zug_Start_Ziel_Ne_14", "Zug_Start_Ziel_Ne_14");

	/**
	 * The '<em><b>ENUM Fiktives Signal Funktion FAP Start</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FIKTIVES_SIGNAL_FUNKTION_FAP_START
	 * @model name="ENUMFiktives_Signal_Funktion_FAP_Start" literal="FAP_Start"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_FIKTIVES_SIGNAL_FUNKTION_FAP_START_VALUE = 0;

	/**
	 * The '<em><b>ENUM Fiktives Signal Funktion FAP Ziel</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FIKTIVES_SIGNAL_FUNKTION_FAP_ZIEL
	 * @model name="ENUMFiktives_Signal_Funktion_FAP_Ziel" literal="FAP_Ziel"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_FIKTIVES_SIGNAL_FUNKTION_FAP_ZIEL_VALUE = 1;

	/**
	 * The '<em><b>ENUM Fiktives Signal Funktion Rangier Start Ziel ohne Signal</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FIKTIVES_SIGNAL_FUNKTION_RANGIER_START_ZIEL_OHNE_SIGNAL
	 * @model name="ENUMFiktives_Signal_Funktion_Rangier_Start_Ziel_ohne_Signal" literal="Rangier_Start_Ziel_ohne_Signal"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_FIKTIVES_SIGNAL_FUNKTION_RANGIER_START_ZIEL_OHNE_SIGNAL_VALUE = 2;

	/**
	 * The '<em><b>ENUM Fiktives Signal Funktion sonstige</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FIKTIVES_SIGNAL_FUNKTION_SONSTIGE
	 * @model name="ENUMFiktives_Signal_Funktion_sonstige" literal="sonstige"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_FIKTIVES_SIGNAL_FUNKTION_SONSTIGE_VALUE = 3;

	/**
	 * The '<em><b>ENUM Fiktives Signal Funktion Zug Start Awanst</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FIKTIVES_SIGNAL_FUNKTION_ZUG_START_AWANST
	 * @model name="ENUMFiktives_Signal_Funktion_Zug_Start_Awanst" literal="Zug_Start_Awanst"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_FIKTIVES_SIGNAL_FUNKTION_ZUG_START_AWANST_VALUE = 4;

	/**
	 * The '<em><b>ENUM Fiktives Signal Funktion Zug Start Mittelweiche</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FIKTIVES_SIGNAL_FUNKTION_ZUG_START_MITTELWEICHE
	 * @model name="ENUMFiktives_Signal_Funktion_Zug_Start_Mittelweiche" literal="Zug_Start_Mittelweiche"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_FIKTIVES_SIGNAL_FUNKTION_ZUG_START_MITTELWEICHE_VALUE = 5;

	/**
	 * The '<em><b>ENUM Fiktives Signal Funktion Zug Start ohne Signal</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FIKTIVES_SIGNAL_FUNKTION_ZUG_START_OHNE_SIGNAL
	 * @model name="ENUMFiktives_Signal_Funktion_Zug_Start_ohne_Signal" literal="Zug_Start_ohne_Signal"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_FIKTIVES_SIGNAL_FUNKTION_ZUG_START_OHNE_SIGNAL_VALUE = 6;

	/**
	 * The '<em><b>ENUM Fiktives Signal Funktion Zug Ziel Awanst</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FIKTIVES_SIGNAL_FUNKTION_ZUG_ZIEL_AWANST
	 * @model name="ENUMFiktives_Signal_Funktion_Zug_Ziel_Awanst" literal="Zug_Ziel_Awanst"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_FIKTIVES_SIGNAL_FUNKTION_ZUG_ZIEL_AWANST_VALUE = 7;

	/**
	 * The '<em><b>ENUM Fiktives Signal Funktion Zug Ziel ohne Signal</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FIKTIVES_SIGNAL_FUNKTION_ZUG_ZIEL_OHNE_SIGNAL
	 * @model name="ENUMFiktives_Signal_Funktion_Zug_Ziel_ohne_Signal" literal="Zug_Ziel_ohne_Signal"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_FIKTIVES_SIGNAL_FUNKTION_ZUG_ZIEL_OHNE_SIGNAL_VALUE = 8;

	/**
	 * The '<em><b>ENUM Fiktives Signal Funktion Zug Ziel Strecke</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FIKTIVES_SIGNAL_FUNKTION_ZUG_ZIEL_STRECKE
	 * @model name="ENUMFiktives_Signal_Funktion_Zug_Ziel_Strecke" literal="Zug_Ziel_Strecke"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_FIKTIVES_SIGNAL_FUNKTION_ZUG_ZIEL_STRECKE_VALUE = 9;

	/**
	 * The '<em><b>ENUM Fiktives Signal Funktion Vsig virtuell</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FIKTIVES_SIGNAL_FUNKTION_VSIG_VIRTUELL
	 * @model name="ENUMFiktives_Signal_Funktion_Vsig_virtuell" literal="Vsig_virtuell"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_FIKTIVES_SIGNAL_FUNKTION_VSIG_VIRTUELL_VALUE = 10;

	/**
	 * The '<em><b>ENUM Fiktives Signal Funktion Zug Start Ziel Bk</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FIKTIVES_SIGNAL_FUNKTION_ZUG_START_ZIEL_BK
	 * @model name="ENUMFiktives_Signal_Funktion_Zug_Start_Ziel_Bk" literal="Zug_Start_Ziel_Bk"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_FIKTIVES_SIGNAL_FUNKTION_ZUG_START_ZIEL_BK_VALUE = 11;

	/**
	 * The '<em><b>ENUM Fiktives Signal Funktion Zug Start Ziel Ne 14</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FIKTIVES_SIGNAL_FUNKTION_ZUG_START_ZIEL_NE_14
	 * @model name="ENUMFiktives_Signal_Funktion_Zug_Start_Ziel_Ne_14" literal="Zug_Start_Ziel_Ne_14"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_FIKTIVES_SIGNAL_FUNKTION_ZUG_START_ZIEL_NE_14_VALUE = 12;

	/**
	 * An array of all the '<em><b>ENUM Fiktives Signal Funktion</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static final ENUMFiktivesSignalFunktion[] VALUES_ARRAY =
		new ENUMFiktivesSignalFunktion[] {
			ENUM_FIKTIVES_SIGNAL_FUNKTION_FAP_START,
			ENUM_FIKTIVES_SIGNAL_FUNKTION_FAP_ZIEL,
			ENUM_FIKTIVES_SIGNAL_FUNKTION_RANGIER_START_ZIEL_OHNE_SIGNAL,
			ENUM_FIKTIVES_SIGNAL_FUNKTION_SONSTIGE,
			ENUM_FIKTIVES_SIGNAL_FUNKTION_ZUG_START_AWANST,
			ENUM_FIKTIVES_SIGNAL_FUNKTION_ZUG_START_MITTELWEICHE,
			ENUM_FIKTIVES_SIGNAL_FUNKTION_ZUG_START_OHNE_SIGNAL,
			ENUM_FIKTIVES_SIGNAL_FUNKTION_ZUG_ZIEL_AWANST,
			ENUM_FIKTIVES_SIGNAL_FUNKTION_ZUG_ZIEL_OHNE_SIGNAL,
			ENUM_FIKTIVES_SIGNAL_FUNKTION_ZUG_ZIEL_STRECKE,
			ENUM_FIKTIVES_SIGNAL_FUNKTION_VSIG_VIRTUELL,
			ENUM_FIKTIVES_SIGNAL_FUNKTION_ZUG_START_ZIEL_BK,
			ENUM_FIKTIVES_SIGNAL_FUNKTION_ZUG_START_ZIEL_NE_14,
		};

	/**
	 * A public read-only list of all the '<em><b>ENUM Fiktives Signal Funktion</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static final List<ENUMFiktivesSignalFunktion> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

	/**
	 * Returns the '<em><b>ENUM Fiktives Signal Funktion</b></em>' literal with the specified literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param literal the literal.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMFiktivesSignalFunktion get(String literal) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMFiktivesSignalFunktion result = VALUES_ARRAY[i];
			if (result.toString().equals(literal)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Fiktives Signal Funktion</b></em>' literal with the specified name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param name the name.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMFiktivesSignalFunktion getByName(String name) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMFiktivesSignalFunktion result = VALUES_ARRAY[i];
			if (result.getName().equals(name)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Fiktives Signal Funktion</b></em>' literal with the specified integer value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the integer value.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMFiktivesSignalFunktion get(int value) {
		switch (value) {
			case ENUM_FIKTIVES_SIGNAL_FUNKTION_FAP_START_VALUE: return ENUM_FIKTIVES_SIGNAL_FUNKTION_FAP_START;
			case ENUM_FIKTIVES_SIGNAL_FUNKTION_FAP_ZIEL_VALUE: return ENUM_FIKTIVES_SIGNAL_FUNKTION_FAP_ZIEL;
			case ENUM_FIKTIVES_SIGNAL_FUNKTION_RANGIER_START_ZIEL_OHNE_SIGNAL_VALUE: return ENUM_FIKTIVES_SIGNAL_FUNKTION_RANGIER_START_ZIEL_OHNE_SIGNAL;
			case ENUM_FIKTIVES_SIGNAL_FUNKTION_SONSTIGE_VALUE: return ENUM_FIKTIVES_SIGNAL_FUNKTION_SONSTIGE;
			case ENUM_FIKTIVES_SIGNAL_FUNKTION_ZUG_START_AWANST_VALUE: return ENUM_FIKTIVES_SIGNAL_FUNKTION_ZUG_START_AWANST;
			case ENUM_FIKTIVES_SIGNAL_FUNKTION_ZUG_START_MITTELWEICHE_VALUE: return ENUM_FIKTIVES_SIGNAL_FUNKTION_ZUG_START_MITTELWEICHE;
			case ENUM_FIKTIVES_SIGNAL_FUNKTION_ZUG_START_OHNE_SIGNAL_VALUE: return ENUM_FIKTIVES_SIGNAL_FUNKTION_ZUG_START_OHNE_SIGNAL;
			case ENUM_FIKTIVES_SIGNAL_FUNKTION_ZUG_ZIEL_AWANST_VALUE: return ENUM_FIKTIVES_SIGNAL_FUNKTION_ZUG_ZIEL_AWANST;
			case ENUM_FIKTIVES_SIGNAL_FUNKTION_ZUG_ZIEL_OHNE_SIGNAL_VALUE: return ENUM_FIKTIVES_SIGNAL_FUNKTION_ZUG_ZIEL_OHNE_SIGNAL;
			case ENUM_FIKTIVES_SIGNAL_FUNKTION_ZUG_ZIEL_STRECKE_VALUE: return ENUM_FIKTIVES_SIGNAL_FUNKTION_ZUG_ZIEL_STRECKE;
			case ENUM_FIKTIVES_SIGNAL_FUNKTION_VSIG_VIRTUELL_VALUE: return ENUM_FIKTIVES_SIGNAL_FUNKTION_VSIG_VIRTUELL;
			case ENUM_FIKTIVES_SIGNAL_FUNKTION_ZUG_START_ZIEL_BK_VALUE: return ENUM_FIKTIVES_SIGNAL_FUNKTION_ZUG_START_ZIEL_BK;
			case ENUM_FIKTIVES_SIGNAL_FUNKTION_ZUG_START_ZIEL_NE_14_VALUE: return ENUM_FIKTIVES_SIGNAL_FUNKTION_ZUG_START_ZIEL_NE_14;
			default: return null;
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final int value;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String name;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String literal;

	/**
	 * Only this class can construct instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private ENUMFiktivesSignalFunktion(int value, String name, String literal) {
		this.value = value;
		this.name = name;
		this.literal = literal;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public int getValue() {
	  return value;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getName() {
	  return name;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getLiteral() {
	  return literal;
	}

	/**
	 * Returns the literal value of the enumerator, which is its string representation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		return literal;
	}
	
} //ENUMFiktivesSignalFunktion
