/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Signale;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>ENUM Streuscheibe Art</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Signale.SignalePackage#getENUMStreuscheibeArt()
 * @model extendedMetaData="name='ENUMStreuscheibe_Art'"
 * @generated
 */
public enum ENUMStreuscheibeArt implements Enumerator {
	/**
	 * The '<em><b>ENUM Streuscheibe Art HG</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_STREUSCHEIBE_ART_HG_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_STREUSCHEIBE_ART_HG(0, "ENUMStreuscheibe_Art_HG", "HG"),

	/**
	 * The '<em><b>ENUM Streuscheibe Art HN</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_STREUSCHEIBE_ART_HN_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_STREUSCHEIBE_ART_HN(1, "ENUMStreuscheibe_Art_HN", "HN"),

	/**
	 * The '<em><b>ENUM Streuscheibe Art HRL</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_STREUSCHEIBE_ART_HRL_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_STREUSCHEIBE_ART_HRL(2, "ENUMStreuscheibe_Art_HRL", "HRL"),

	/**
	 * The '<em><b>ENUM Streuscheibe Art LED</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_STREUSCHEIBE_ART_LED_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_STREUSCHEIBE_ART_LED(3, "ENUMStreuscheibe_Art_LED", "LED"),

	/**
	 * The '<em><b>ENUM Streuscheibe Art ORL</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_STREUSCHEIBE_ART_ORL_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_STREUSCHEIBE_ART_ORL(4, "ENUMStreuscheibe_Art_ORL", "ORL"),

	/**
	 * The '<em><b>ENUM Streuscheibe Art sonstige</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_STREUSCHEIBE_ART_SONSTIGE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_STREUSCHEIBE_ART_SONSTIGE(5, "ENUMStreuscheibe_Art_sonstige", "sonstige"),

	/**
	 * The '<em><b>ENUM Streuscheibe Art VRL</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_STREUSCHEIBE_ART_VRL_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_STREUSCHEIBE_ART_VRL(6, "ENUMStreuscheibe_Art_VRL", "VRL");

	/**
	 * The '<em><b>ENUM Streuscheibe Art HG</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_STREUSCHEIBE_ART_HG
	 * @model name="ENUMStreuscheibe_Art_HG" literal="HG"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_STREUSCHEIBE_ART_HG_VALUE = 0;

	/**
	 * The '<em><b>ENUM Streuscheibe Art HN</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_STREUSCHEIBE_ART_HN
	 * @model name="ENUMStreuscheibe_Art_HN" literal="HN"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_STREUSCHEIBE_ART_HN_VALUE = 1;

	/**
	 * The '<em><b>ENUM Streuscheibe Art HRL</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_STREUSCHEIBE_ART_HRL
	 * @model name="ENUMStreuscheibe_Art_HRL" literal="HRL"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_STREUSCHEIBE_ART_HRL_VALUE = 2;

	/**
	 * The '<em><b>ENUM Streuscheibe Art LED</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_STREUSCHEIBE_ART_LED
	 * @model name="ENUMStreuscheibe_Art_LED" literal="LED"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_STREUSCHEIBE_ART_LED_VALUE = 3;

	/**
	 * The '<em><b>ENUM Streuscheibe Art ORL</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_STREUSCHEIBE_ART_ORL
	 * @model name="ENUMStreuscheibe_Art_ORL" literal="ORL"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_STREUSCHEIBE_ART_ORL_VALUE = 4;

	/**
	 * The '<em><b>ENUM Streuscheibe Art sonstige</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_STREUSCHEIBE_ART_SONSTIGE
	 * @model name="ENUMStreuscheibe_Art_sonstige" literal="sonstige"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_STREUSCHEIBE_ART_SONSTIGE_VALUE = 5;

	/**
	 * The '<em><b>ENUM Streuscheibe Art VRL</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_STREUSCHEIBE_ART_VRL
	 * @model name="ENUMStreuscheibe_Art_VRL" literal="VRL"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_STREUSCHEIBE_ART_VRL_VALUE = 6;

	/**
	 * An array of all the '<em><b>ENUM Streuscheibe Art</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static final ENUMStreuscheibeArt[] VALUES_ARRAY =
		new ENUMStreuscheibeArt[] {
			ENUM_STREUSCHEIBE_ART_HG,
			ENUM_STREUSCHEIBE_ART_HN,
			ENUM_STREUSCHEIBE_ART_HRL,
			ENUM_STREUSCHEIBE_ART_LED,
			ENUM_STREUSCHEIBE_ART_ORL,
			ENUM_STREUSCHEIBE_ART_SONSTIGE,
			ENUM_STREUSCHEIBE_ART_VRL,
		};

	/**
	 * A public read-only list of all the '<em><b>ENUM Streuscheibe Art</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static final List<ENUMStreuscheibeArt> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

	/**
	 * Returns the '<em><b>ENUM Streuscheibe Art</b></em>' literal with the specified literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param literal the literal.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMStreuscheibeArt get(String literal) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMStreuscheibeArt result = VALUES_ARRAY[i];
			if (result.toString().equals(literal)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Streuscheibe Art</b></em>' literal with the specified name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param name the name.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMStreuscheibeArt getByName(String name) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMStreuscheibeArt result = VALUES_ARRAY[i];
			if (result.getName().equals(name)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Streuscheibe Art</b></em>' literal with the specified integer value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the integer value.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMStreuscheibeArt get(int value) {
		switch (value) {
			case ENUM_STREUSCHEIBE_ART_HG_VALUE: return ENUM_STREUSCHEIBE_ART_HG;
			case ENUM_STREUSCHEIBE_ART_HN_VALUE: return ENUM_STREUSCHEIBE_ART_HN;
			case ENUM_STREUSCHEIBE_ART_HRL_VALUE: return ENUM_STREUSCHEIBE_ART_HRL;
			case ENUM_STREUSCHEIBE_ART_LED_VALUE: return ENUM_STREUSCHEIBE_ART_LED;
			case ENUM_STREUSCHEIBE_ART_ORL_VALUE: return ENUM_STREUSCHEIBE_ART_ORL;
			case ENUM_STREUSCHEIBE_ART_SONSTIGE_VALUE: return ENUM_STREUSCHEIBE_ART_SONSTIGE;
			case ENUM_STREUSCHEIBE_ART_VRL_VALUE: return ENUM_STREUSCHEIBE_ART_VRL;
			default: return null;
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final int value;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String name;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String literal;

	/**
	 * Only this class can construct instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private ENUMStreuscheibeArt(int value, String name, String literal) {
		this.value = value;
		this.name = name;
		this.literal = literal;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public int getValue() {
	  return value;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getName() {
	  return name;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getLiteral() {
	  return literal;
	}

	/**
	 * Returns the literal value of the enumerator, which is its string representation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		return literal;
	}
	
} //ENUMStreuscheibeArt
