/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Signale;

import org.eclipse.emf.ecore.EFactory;

/**
 * <!-- begin-user-doc -->
 * The <b>Factory</b> for the model.
 * It provides a create method for each non-abstract class of the model.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Signale.SignalePackage
 * @generated
 */
public interface SignaleFactory extends EFactory {
	/**
	 * The singleton instance of the factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	SignaleFactory eINSTANCE = org.eclipse.set.toolboxmodel.Signale.impl.SignaleFactoryImpl.init();

	/**
	 * Returns a new object of class '<em>Anschaltdauer Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Anschaltdauer Type Class</em>'.
	 * @generated
	 */
	Anschaltdauer_TypeClass createAnschaltdauer_TypeClass();

	/**
	 * Returns a new object of class '<em>Auto Einstellung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Auto Einstellung Type Class</em>'.
	 * @generated
	 */
	Auto_Einstellung_TypeClass createAuto_Einstellung_TypeClass();

	/**
	 * Returns a new object of class '<em>Befestigung Art Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Befestigung Art Type Class</em>'.
	 * @generated
	 */
	Befestigung_Art_TypeClass createBefestigung_Art_TypeClass();

	/**
	 * Returns a new object of class '<em>Beleuchtet Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Beleuchtet Type Class</em>'.
	 * @generated
	 */
	Beleuchtet_TypeClass createBeleuchtet_TypeClass();

	/**
	 * Returns a new object of class '<em>Besetzte Ausfahrt Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Besetzte Ausfahrt Type Class</em>'.
	 * @generated
	 */
	Besetzte_Ausfahrt_TypeClass createBesetzte_Ausfahrt_TypeClass();

	/**
	 * Returns a new object of class '<em>DA Manuell Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>DA Manuell Type Class</em>'.
	 * @generated
	 */
	DA_Manuell_TypeClass createDA_Manuell_TypeClass();

	/**
	 * Returns a new object of class '<em>Dunkelschaltung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Dunkelschaltung Type Class</em>'.
	 * @generated
	 */
	Dunkelschaltung_TypeClass createDunkelschaltung_TypeClass();

	/**
	 * Returns a new object of class '<em>Durchfahrt Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Durchfahrt Type Class</em>'.
	 * @generated
	 */
	Durchfahrt_TypeClass createDurchfahrt_TypeClass();

	/**
	 * Returns a new object of class '<em>Fiktives Signal Funktion Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fiktives Signal Funktion Type Class</em>'.
	 * @generated
	 */
	Fiktives_Signal_Funktion_TypeClass createFiktives_Signal_Funktion_TypeClass();

	/**
	 * Returns a new object of class '<em>Fundament Art Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fundament Art Type Class</em>'.
	 * @generated
	 */
	Fundament_Art_TypeClass createFundament_Art_TypeClass();

	/**
	 * Returns a new object of class '<em>Funktion Ohne Signal Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Funktion Ohne Signal Type Class</em>'.
	 * @generated
	 */
	Funktion_Ohne_Signal_TypeClass createFunktion_Ohne_Signal_TypeClass();

	/**
	 * Returns a new object of class '<em>Gegengleis Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Gegengleis Type Class</em>'.
	 * @generated
	 */
	Gegengleis_TypeClass createGegengleis_TypeClass();

	/**
	 * Returns a new object of class '<em>Geltungsbereich Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Geltungsbereich Type Class</em>'.
	 * @generated
	 */
	Geltungsbereich_TypeClass createGeltungsbereich_TypeClass();

	/**
	 * Returns a new object of class '<em>Geschaltet Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Geschaltet Type Class</em>'.
	 * @generated
	 */
	Geschaltet_TypeClass createGeschaltet_TypeClass();

	/**
	 * Returns a new object of class '<em>Hoehe Fundamentoberkante Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Hoehe Fundamentoberkante Type Class</em>'.
	 * @generated
	 */
	Hoehe_Fundamentoberkante_TypeClass createHoehe_Fundamentoberkante_TypeClass();

	/**
	 * Returns a new object of class '<em>Obere Lichtpunkthoehe Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Obere Lichtpunkthoehe Type Class</em>'.
	 * @generated
	 */
	Obere_Lichtpunkthoehe_TypeClass createObere_Lichtpunkthoehe_TypeClass();

	/**
	 * Returns a new object of class '<em>PZB Schutzstrecke Soll Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>PZB Schutzstrecke Soll Type Class</em>'.
	 * @generated
	 */
	PZB_Schutzstrecke_Soll_TypeClass createPZB_Schutzstrecke_Soll_TypeClass();

	/**
	 * Returns a new object of class '<em>Rahmen Art Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Rahmen Art Type Class</em>'.
	 * @generated
	 */
	Rahmen_Art_TypeClass createRahmen_Art_TypeClass();

	/**
	 * Returns a new object of class '<em>Rahmen Hoehe Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Rahmen Hoehe Type Class</em>'.
	 * @generated
	 */
	Rahmen_Hoehe_TypeClass createRahmen_Hoehe_TypeClass();

	/**
	 * Returns a new object of class '<em>Rangierstrasse Restaufloesung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Rangierstrasse Restaufloesung Type Class</em>'.
	 * @generated
	 */
	Rangierstrasse_Restaufloesung_TypeClass createRangierstrasse_Restaufloesung_TypeClass();

	/**
	 * Returns a new object of class '<em>Richtpunkt Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Richtpunkt Type Class</em>'.
	 * @generated
	 */
	Richtpunkt_TypeClass createRichtpunkt_TypeClass();

	/**
	 * Returns a new object of class '<em>Richtpunktentfernung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Richtpunktentfernung Type Class</em>'.
	 * @generated
	 */
	Richtpunktentfernung_TypeClass createRichtpunktentfernung_TypeClass();

	/**
	 * Returns a new object of class '<em>Signal</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Signal</em>'.
	 * @generated
	 */
	Signal createSignal();

	/**
	 * Returns a new object of class '<em>Signal Art Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Signal Art Type Class</em>'.
	 * @generated
	 */
	Signal_Art_TypeClass createSignal_Art_TypeClass();

	/**
	 * Returns a new object of class '<em>Signal Befestigung</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Signal Befestigung</em>'.
	 * @generated
	 */
	Signal_Befestigung createSignal_Befestigung();

	/**
	 * Returns a new object of class '<em>Signal Befestigung Allg Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Signal Befestigung Allg Attribute Group</em>'.
	 * @generated
	 */
	Signal_Befestigung_Allg_AttributeGroup createSignal_Befestigung_Allg_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Signal Befestigungsart Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Signal Befestigungsart Type Class</em>'.
	 * @generated
	 */
	Signal_Befestigungsart_TypeClass createSignal_Befestigungsart_TypeClass();

	/**
	 * Returns a new object of class '<em>Signal Fank Zuordnung</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Signal Fank Zuordnung</em>'.
	 * @generated
	 */
	Signal_Fank_Zuordnung createSignal_Fank_Zuordnung();

	/**
	 * Returns a new object of class '<em>Signal Fiktiv Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Signal Fiktiv Attribute Group</em>'.
	 * @generated
	 */
	Signal_Fiktiv_AttributeGroup createSignal_Fiktiv_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Signal Fstr Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Signal Fstr Attribute Group</em>'.
	 * @generated
	 */
	Signal_Fstr_AttributeGroup createSignal_Fstr_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Signal Fstr Aus Inselgleis Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Signal Fstr Aus Inselgleis Attribute Group</em>'.
	 * @generated
	 */
	Signal_Fstr_Aus_Inselgleis_AttributeGroup createSignal_Fstr_Aus_Inselgleis_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Signal Fstr SAttribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Signal Fstr SAttribute Group</em>'.
	 * @generated
	 */
	Signal_Fstr_S_AttributeGroup createSignal_Fstr_S_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Signal Funktion Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Signal Funktion Type Class</em>'.
	 * @generated
	 */
	Signal_Funktion_TypeClass createSignal_Funktion_TypeClass();

	/**
	 * Returns a new object of class '<em>Signal Rahmen</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Signal Rahmen</em>'.
	 * @generated
	 */
	Signal_Rahmen createSignal_Rahmen();

	/**
	 * Returns a new object of class '<em>Signal Real Aktiv Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Signal Real Aktiv Attribute Group</em>'.
	 * @generated
	 */
	Signal_Real_Aktiv_AttributeGroup createSignal_Real_Aktiv_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Signal Real Aktiv Schirm Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Signal Real Aktiv Schirm Attribute Group</em>'.
	 * @generated
	 */
	Signal_Real_Aktiv_Schirm_AttributeGroup createSignal_Real_Aktiv_Schirm_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Signal Real Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Signal Real Attribute Group</em>'.
	 * @generated
	 */
	Signal_Real_AttributeGroup createSignal_Real_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Signal Signalbegriff</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Signal Signalbegriff</em>'.
	 * @generated
	 */
	Signal_Signalbegriff createSignal_Signalbegriff();

	/**
	 * Returns a new object of class '<em>Signal Signalbegriff Allg Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Signal Signalbegriff Allg Attribute Group</em>'.
	 * @generated
	 */
	Signal_Signalbegriff_Allg_AttributeGroup createSignal_Signalbegriff_Allg_AttributeGroup();

	/**
	 * Returns a new object of class '<em>Signalsicht Erreichbar Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Signalsicht Erreichbar Type Class</em>'.
	 * @generated
	 */
	Signalsicht_Erreichbar_TypeClass createSignalsicht_Erreichbar_TypeClass();

	/**
	 * Returns a new object of class '<em>Signalsicht Mindest Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Signalsicht Mindest Type Class</em>'.
	 * @generated
	 */
	Signalsicht_Mindest_TypeClass createSignalsicht_Mindest_TypeClass();

	/**
	 * Returns a new object of class '<em>Signalsicht Soll Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Signalsicht Soll Type Class</em>'.
	 * @generated
	 */
	Signalsicht_Soll_TypeClass createSignalsicht_Soll_TypeClass();

	/**
	 * Returns a new object of class '<em>Signalsystem Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Signalsystem Type Class</em>'.
	 * @generated
	 */
	Signalsystem_TypeClass createSignalsystem_TypeClass();

	/**
	 * Returns a new object of class '<em>Sonstige Zulaessige Anordnung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Sonstige Zulaessige Anordnung Type Class</em>'.
	 * @generated
	 */
	Sonstige_Zulaessige_Anordnung_TypeClass createSonstige_Zulaessige_Anordnung_TypeClass();

	/**
	 * Returns a new object of class '<em>Streuscheibe Art Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Streuscheibe Art Type Class</em>'.
	 * @generated
	 */
	Streuscheibe_Art_TypeClass createStreuscheibe_Art_TypeClass();

	/**
	 * Returns a new object of class '<em>Streuscheibe Betriebsstellung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Streuscheibe Betriebsstellung Type Class</em>'.
	 * @generated
	 */
	Streuscheibe_Betriebsstellung_TypeClass createStreuscheibe_Betriebsstellung_TypeClass();

	/**
	 * Returns a new object of class '<em>Tunnelsignal Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Tunnelsignal Type Class</em>'.
	 * @generated
	 */
	Tunnelsignal_TypeClass createTunnelsignal_TypeClass();

	/**
	 * Returns a new object of class '<em>Zs2 Ueberwacht Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Zs2 Ueberwacht Type Class</em>'.
	 * @generated
	 */
	Zs2_Ueberwacht_TypeClass createZs2_Ueberwacht_TypeClass();

	/**
	 * Returns the package supported by this factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the package supported by this factory.
	 * @generated
	 */
	SignalePackage getSignalePackage();

} //SignaleFactory
