/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Verweise;

import org.eclipse.emf.ecore.EFactory;

/**
 * <!-- begin-user-doc -->
 * The <b>Factory</b> for the model.
 * It provides a create method for each non-abstract class of the model.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Verweise.VerweisePackage
 * @generated
 */
public interface VerweiseFactory extends EFactory {
	/**
	 * The singleton instance of the factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	VerweiseFactory eINSTANCE = org.eclipse.set.toolboxmodel.Verweise.impl.VerweiseFactoryImpl.init();

	/**
	 * Returns a new object of class '<em>ID Anforderer Element Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Anforderer Element Type Class</em>'.
	 * @generated
	 */
	ID_Anforderer_Element_TypeClass createID_Anforderer_Element_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Anforderung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Anforderung Type Class</em>'.
	 * @generated
	 */
	ID_Anforderung_TypeClass createID_Anforderung_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Anhang ohne Proxy Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Anhang ohne Proxy Type Class</em>'.
	 * @generated
	 */
	ID_Anhang_ohne_Proxy_TypeClass createID_Anhang_ohne_Proxy_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Anhang Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Anhang Type Class</em>'.
	 * @generated
	 */
	ID_Anhang_TypeClass createID_Anhang_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Anhang Bearbeitungsvermerk Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Anhang Bearbeitungsvermerk Type Class</em>'.
	 * @generated
	 */
	ID_AnhangBearbeitungsvermerk_TypeClass createID_AnhangBearbeitungsvermerk_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Anschluss Element Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Anschluss Element Type Class</em>'.
	 * @generated
	 */
	ID_Anschluss_Element_TypeClass createID_Anschluss_Element_TypeClass();

	/**
	 * Returns a new object of class '<em>ID ATO TS Instanz ohne Proxy Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID ATO TS Instanz ohne Proxy Type Class</em>'.
	 * @generated
	 */
	ID_ATO_TS_Instanz_ohne_Proxy_TypeClass createID_ATO_TS_Instanz_ohne_Proxy_TypeClass();

	/**
	 * Returns a new object of class '<em>ID ATO TS Instanz Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID ATO TS Instanz Type Class</em>'.
	 * @generated
	 */
	ID_ATO_TS_Instanz_TypeClass createID_ATO_TS_Instanz_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Ausgabe Fachdaten ohne Proxy Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Ausgabe Fachdaten ohne Proxy Type Class</em>'.
	 * @generated
	 */
	ID_Ausgabe_Fachdaten_ohne_Proxy_TypeClass createID_Ausgabe_Fachdaten_ohne_Proxy_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Aussenelementansteuerung ohne Proxy Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Aussenelementansteuerung ohne Proxy Type Class</em>'.
	 * @generated
	 */
	ID_Aussenelementansteuerung_ohne_Proxy_TypeClass createID_Aussenelementansteuerung_ohne_Proxy_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Aussenelementansteuerung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Aussenelementansteuerung Type Class</em>'.
	 * @generated
	 */
	ID_Aussenelementansteuerung_TypeClass createID_Aussenelementansteuerung_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Bahnsteig Anlage Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Bahnsteig Anlage Type Class</em>'.
	 * @generated
	 */
	ID_Bahnsteig_Anlage_TypeClass createID_Bahnsteig_Anlage_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Bahnsteig Kante ohne Proxy Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Bahnsteig Kante ohne Proxy Type Class</em>'.
	 * @generated
	 */
	ID_Bahnsteig_Kante_ohne_Proxy_TypeClass createID_Bahnsteig_Kante_ohne_Proxy_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Bahnsteig Kante Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Bahnsteig Kante Type Class</em>'.
	 * @generated
	 */
	ID_Bahnsteig_Kante_TypeClass createID_Bahnsteig_Kante_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Balise ohne Proxy Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Balise ohne Proxy Type Class</em>'.
	 * @generated
	 */
	ID_Balise_ohne_Proxy_TypeClass createID_Balise_ohne_Proxy_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Balise Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Balise Type Class</em>'.
	 * @generated
	 */
	ID_Balise_TypeClass createID_Balise_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Basis Objekt Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Basis Objekt Type Class</em>'.
	 * @generated
	 */
	ID_Basis_Objekt_TypeClass createID_Basis_Objekt_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Bedien Anzeige Element Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Bedien Anzeige Element Type Class</em>'.
	 * @generated
	 */
	ID_Bedien_Anzeige_Element_TypeClass createID_Bedien_Anzeige_Element_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Bedien Bezirk Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Bedien Bezirk Type Class</em>'.
	 * @generated
	 */
	ID_Bedien_Bezirk_TypeClass createID_Bedien_Bezirk_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Bedien Einrichtung Oertlich Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Bedien Einrichtung Oertlich Type Class</em>'.
	 * @generated
	 */
	ID_Bedien_Einrichtung_Oertlich_TypeClass createID_Bedien_Einrichtung_Oertlich_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Bedien Oberflaeche Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Bedien Oberflaeche Type Class</em>'.
	 * @generated
	 */
	ID_Bedien_Oberflaeche_TypeClass createID_Bedien_Oberflaeche_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Bedien Standort Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Bedien Standort Type Class</em>'.
	 * @generated
	 */
	ID_Bedien_Standort_TypeClass createID_Bedien_Standort_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Bedien Zentrale Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Bedien Zentrale Type Class</em>'.
	 * @generated
	 */
	ID_Bedien_Zentrale_TypeClass createID_Bedien_Zentrale_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Befestigung Bauwerk Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Befestigung Bauwerk Type Class</em>'.
	 * @generated
	 */
	ID_Befestigung_Bauwerk_TypeClass createID_Befestigung_Bauwerk_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Beginn Bereich Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Beginn Bereich Type Class</em>'.
	 * @generated
	 */
	ID_Beginn_Bereich_TypeClass createID_Beginn_Bereich_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Bezugspunkt Positionierung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Bezugspunkt Positionierung Type Class</em>'.
	 * @generated
	 */
	ID_Bezugspunkt_Positionierung_TypeClass createID_Bezugspunkt_Positionierung_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Binaerdaten ohne Proxy Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Binaerdaten ohne Proxy Type Class</em>'.
	 * @generated
	 */
	ID_Binaerdaten_ohne_Proxy_TypeClass createID_Binaerdaten_ohne_Proxy_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Block Anlage Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Block Anlage Type Class</em>'.
	 * @generated
	 */
	ID_Block_Anlage_TypeClass createID_Block_Anlage_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Block Element Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Block Element Type Class</em>'.
	 * @generated
	 */
	ID_Block_Element_TypeClass createID_Block_Element_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Block Strecke Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Block Strecke Type Class</em>'.
	 * @generated
	 */
	ID_Block_Strecke_TypeClass createID_Block_Strecke_TypeClass();

	/**
	 * Returns a new object of class '<em>ID BUE Anlage ohne Proxy Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID BUE Anlage ohne Proxy Type Class</em>'.
	 * @generated
	 */
	ID_BUE_Anlage_ohne_Proxy_TypeClass createID_BUE_Anlage_ohne_Proxy_TypeClass();

	/**
	 * Returns a new object of class '<em>ID BUE Anlage Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID BUE Anlage Type Class</em>'.
	 * @generated
	 */
	ID_BUE_Anlage_TypeClass createID_BUE_Anlage_TypeClass();

	/**
	 * Returns a new object of class '<em>ID BUE Bedien Anzeige Element Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID BUE Bedien Anzeige Element Type Class</em>'.
	 * @generated
	 */
	ID_BUE_Bedien_Anzeige_Element_TypeClass createID_BUE_Bedien_Anzeige_Element_TypeClass();

	/**
	 * Returns a new object of class '<em>ID BUE Einschaltung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID BUE Einschaltung Type Class</em>'.
	 * @generated
	 */
	ID_BUE_Einschaltung_TypeClass createID_BUE_Einschaltung_TypeClass();

	/**
	 * Returns a new object of class '<em>ID BUE Gleisbezogener Gefahrraum Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID BUE Gleisbezogener Gefahrraum Type Class</em>'.
	 * @generated
	 */
	ID_BUE_Gleisbezogener_Gefahrraum_TypeClass createID_BUE_Gleisbezogener_Gefahrraum_TypeClass();

	/**
	 * Returns a new object of class '<em>ID BUE Schnittstelle Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID BUE Schnittstelle Type Class</em>'.
	 * @generated
	 */
	ID_BUE_Schnittstelle_TypeClass createID_BUE_Schnittstelle_TypeClass();

	/**
	 * Returns a new object of class '<em>ID BUE WS Fstr Zuordnung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID BUE WS Fstr Zuordnung Type Class</em>'.
	 * @generated
	 */
	ID_BUE_WS_Fstr_Zuordnung_TypeClass createID_BUE_WS_Fstr_Zuordnung_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Datenpunkt ohne Proxy Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Datenpunkt ohne Proxy Type Class</em>'.
	 * @generated
	 */
	ID_Datenpunkt_ohne_Proxy_TypeClass createID_Datenpunkt_ohne_Proxy_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Datenpunkt Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Datenpunkt Type Class</em>'.
	 * @generated
	 */
	ID_Datenpunkt_TypeClass createID_Datenpunkt_TypeClass();

	/**
	 * Returns a new object of class '<em>ID DP Bezug Funktional Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID DP Bezug Funktional Type Class</em>'.
	 * @generated
	 */
	ID_DP_Bezug_Funktional_TypeClass createID_DP_Bezug_Funktional_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Einschaltpunkt Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Einschaltpunkt Type Class</em>'.
	 * @generated
	 */
	ID_Einschaltpunkt_TypeClass createID_Einschaltpunkt_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Element Grenze Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Element Grenze Type Class</em>'.
	 * @generated
	 */
	ID_Element_Grenze_TypeClass createID_Element_Grenze_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Element Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Element Type Class</em>'.
	 * @generated
	 */
	ID_Element_TypeClass createID_Element_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Element Unterbringung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Element Unterbringung Type Class</em>'.
	 * @generated
	 */
	ID_Element_Unterbringung_TypeClass createID_Element_Unterbringung_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Energie Eingang Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Energie Eingang Type Class</em>'.
	 * @generated
	 */
	ID_Energie_Eingang_TypeClass createID_Energie_Eingang_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Energie Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Energie Type Class</em>'.
	 * @generated
	 */
	ID_Energie_TypeClass createID_Energie_TypeClass();

	/**
	 * Returns a new object of class '<em>ID ESTW Zentraleinheit Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID ESTW Zentraleinheit Type Class</em>'.
	 * @generated
	 */
	ID_ESTW_Zentraleinheit_TypeClass createID_ESTW_Zentraleinheit_TypeClass();

	/**
	 * Returns a new object of class '<em>ID ETCS Kante Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID ETCS Kante Type Class</em>'.
	 * @generated
	 */
	ID_ETCS_Kante_TypeClass createID_ETCS_Kante_TypeClass();

	/**
	 * Returns a new object of class '<em>ID ETCS Knoten ohne Proxy Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID ETCS Knoten ohne Proxy Type Class</em>'.
	 * @generated
	 */
	ID_ETCS_Knoten_ohne_Proxy_TypeClass createID_ETCS_Knoten_ohne_Proxy_TypeClass();

	/**
	 * Returns a new object of class '<em>ID ETCS Knoten Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID ETCS Knoten Type Class</em>'.
	 * @generated
	 */
	ID_ETCS_Knoten_TypeClass createID_ETCS_Knoten_TypeClass();

	/**
	 * Returns a new object of class '<em>ID EV Modul Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID EV Modul Type Class</em>'.
	 * @generated
	 */
	ID_EV_Modul_TypeClass createID_EV_Modul_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Fachtelegramm ohne Proxy Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Fachtelegramm ohne Proxy Type Class</em>'.
	 * @generated
	 */
	ID_Fachtelegramm_ohne_Proxy_TypeClass createID_Fachtelegramm_ohne_Proxy_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Fachtelegramm Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Fachtelegramm Type Class</em>'.
	 * @generated
	 */
	ID_Fachtelegramm_TypeClass createID_Fachtelegramm_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Fla Schutz Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Fla Schutz Type Class</em>'.
	 * @generated
	 */
	ID_Fla_Schutz_TypeClass createID_Fla_Schutz_TypeClass();

	/**
	 * Returns a new object of class '<em>ID FMA Anlage Rangier Frei Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID FMA Anlage Rangier Frei Type Class</em>'.
	 * @generated
	 */
	ID_FMA_Anlage_Rangier_Frei_TypeClass createID_FMA_Anlage_Rangier_Frei_TypeClass();

	/**
	 * Returns a new object of class '<em>ID FMA Anlage Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID FMA Anlage Type Class</em>'.
	 * @generated
	 */
	ID_FMA_Anlage_TypeClass createID_FMA_Anlage_TypeClass();

	/**
	 * Returns a new object of class '<em>ID FMA Element Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID FMA Element Type Class</em>'.
	 * @generated
	 */
	ID_FMA_Element_TypeClass createID_FMA_Element_TypeClass();

	/**
	 * Returns a new object of class '<em>ID FMA Komponente Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID FMA Komponente Type Class</em>'.
	 * @generated
	 */
	ID_FMA_Komponente_TypeClass createID_FMA_Komponente_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Fortschaltung Start Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Fortschaltung Start Type Class</em>'.
	 * @generated
	 */
	ID_Fortschaltung_Start_TypeClass createID_Fortschaltung_Start_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Fstr Aneinander Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Fstr Aneinander Type Class</em>'.
	 * @generated
	 */
	ID_Fstr_Aneinander_TypeClass createID_Fstr_Aneinander_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Fstr Ausschluss Besonders Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Fstr Ausschluss Besonders Type Class</em>'.
	 * @generated
	 */
	ID_Fstr_Ausschluss_Besonders_TypeClass createID_Fstr_Ausschluss_Besonders_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Fstr DWeg ohne Proxy Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Fstr DWeg ohne Proxy Type Class</em>'.
	 * @generated
	 */
	ID_Fstr_DWeg_ohne_Proxy_TypeClass createID_Fstr_DWeg_ohne_Proxy_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Fstr DWeg Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Fstr DWeg Type Class</em>'.
	 * @generated
	 */
	ID_Fstr_DWeg_TypeClass createID_Fstr_DWeg_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Fstr Fahrweg ohne Proxy Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Fstr Fahrweg ohne Proxy Type Class</em>'.
	 * @generated
	 */
	ID_Fstr_Fahrweg_ohne_Proxy_TypeClass createID_Fstr_Fahrweg_ohne_Proxy_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Fstr Fahrweg Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Fstr Fahrweg Type Class</em>'.
	 * @generated
	 */
	ID_Fstr_Fahrweg_TypeClass createID_Fstr_Fahrweg_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Fstr Zug Rangier Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Fstr Zug Rangier Type Class</em>'.
	 * @generated
	 */
	ID_Fstr_Zug_Rangier_TypeClass createID_Fstr_Zug_Rangier_TypeClass();

	/**
	 * Returns a new object of class '<em>ID FT Anschaltbedingung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID FT Anschaltbedingung Type Class</em>'.
	 * @generated
	 */
	ID_FT_Anschaltbedingung_TypeClass createID_FT_Anschaltbedingung_TypeClass();

	/**
	 * Returns a new object of class '<em>ID FT Fahrweg Teil Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID FT Fahrweg Teil Type Class</em>'.
	 * @generated
	 */
	ID_FT_Fahrweg_Teil_TypeClass createID_FT_Fahrweg_Teil_TypeClass();

	/**
	 * Returns a new object of class '<em>ID GEO Art Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID GEO Art Type Class</em>'.
	 * @generated
	 */
	ID_GEO_Art_TypeClass createID_GEO_Art_TypeClass();

	/**
	 * Returns a new object of class '<em>ID GEO Kante Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID GEO Kante Type Class</em>'.
	 * @generated
	 */
	ID_GEO_Kante_TypeClass createID_GEO_Kante_TypeClass();

	/**
	 * Returns a new object of class '<em>ID GEO Knoten Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID GEO Knoten Type Class</em>'.
	 * @generated
	 */
	ID_GEO_Knoten_TypeClass createID_GEO_Knoten_TypeClass();

	/**
	 * Returns a new object of class '<em>ID GEO Punkt ohne Proxy Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID GEO Punkt ohne Proxy Type Class</em>'.
	 * @generated
	 */
	ID_GEO_Punkt_ohne_Proxy_TypeClass createID_GEO_Punkt_ohne_Proxy_TypeClass();

	/**
	 * Returns a new object of class '<em>ID GEO Punkt Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID GEO Punkt Type Class</em>'.
	 * @generated
	 */
	ID_GEO_Punkt_TypeClass createID_GEO_Punkt_TypeClass();

	/**
	 * Returns a new object of class '<em>ID GFR Anlage ohne Proxy Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID GFR Anlage ohne Proxy Type Class</em>'.
	 * @generated
	 */
	ID_GFR_Anlage_ohne_Proxy_TypeClass createID_GFR_Anlage_ohne_Proxy_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Gleis Abschnitt Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Gleis Abschnitt Type Class</em>'.
	 * @generated
	 */
	ID_Gleis_Abschnitt_TypeClass createID_Gleis_Abschnitt_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Gleis Bezeichnung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Gleis Bezeichnung Type Class</em>'.
	 * @generated
	 */
	ID_Gleis_Bezeichnung_TypeClass createID_Gleis_Bezeichnung_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Grenzzeichen Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Grenzzeichen Type Class</em>'.
	 * @generated
	 */
	ID_Grenzzeichen_TypeClass createID_Grenzzeichen_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Handschalt Wirkfunktion Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Handschalt Wirkfunktion Type Class</em>'.
	 * @generated
	 */
	ID_Handschalt_Wirkfunktion_TypeClass createID_Handschalt_Wirkfunktion_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Hoehenpunkt Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Hoehenpunkt Type Class</em>'.
	 * @generated
	 */
	ID_Hoehenpunkt_TypeClass createID_Hoehenpunkt_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Information Eingang Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Information Eingang Type Class</em>'.
	 * @generated
	 */
	ID_Information_Eingang_TypeClass createID_Information_Eingang_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Information Primaer Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Information Primaer Type Class</em>'.
	 * @generated
	 */
	ID_Information_Primaer_TypeClass createID_Information_Primaer_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Komponente Programmiert Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Komponente Programmiert Type Class</em>'.
	 * @generated
	 */
	ID_Komponente_Programmiert_TypeClass createID_Komponente_Programmiert_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Lageplan Blattschnitt Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Lageplan Blattschnitt Type Class</em>'.
	 * @generated
	 */
	ID_Lageplan_Blattschnitt_TypeClass createID_Lageplan_Blattschnitt_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Lageplan Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Lageplan Type Class</em>'.
	 * @generated
	 */
	ID_Lageplan_TypeClass createID_Lageplan_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Lageplan Zustand Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Lageplan Zustand Type Class</em>'.
	 * @generated
	 */
	ID_Lageplan_Zustand_TypeClass createID_Lageplan_Zustand_TypeClass();

	/**
	 * Returns a new object of class '<em>ID LEU Anlage ohne Proxy Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID LEU Anlage ohne Proxy Type Class</em>'.
	 * @generated
	 */
	ID_LEU_Anlage_ohne_Proxy_TypeClass createID_LEU_Anlage_ohne_Proxy_TypeClass();

	/**
	 * Returns a new object of class '<em>ID LEU Anlage Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID LEU Anlage Type Class</em>'.
	 * @generated
	 */
	ID_LEU_Anlage_TypeClass createID_LEU_Anlage_TypeClass();

	/**
	 * Returns a new object of class '<em>ID LEU Bezug Funktional Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID LEU Bezug Funktional Type Class</em>'.
	 * @generated
	 */
	ID_LEU_Bezug_Funktional_TypeClass createID_LEU_Bezug_Funktional_TypeClass();

	/**
	 * Returns a new object of class '<em>ID LEU Schaltkasten ohne Proxy Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID LEU Schaltkasten ohne Proxy Type Class</em>'.
	 * @generated
	 */
	ID_LEU_Schaltkasten_ohne_Proxy_TypeClass createID_LEU_Schaltkasten_ohne_Proxy_TypeClass();

	/**
	 * Returns a new object of class '<em>ID LO Einbau Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID LO Einbau Type Class</em>'.
	 * @generated
	 */
	ID_LO_Einbau_TypeClass createID_LO_Einbau_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Markante Stelle Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Markante Stelle Type Class</em>'.
	 * @generated
	 */
	ID_Markante_Stelle_TypeClass createID_Markante_Stelle_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Markanter Punkt Gleis Abschluss Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Markanter Punkt Gleis Abschluss Type Class</em>'.
	 * @generated
	 */
	ID_Markanter_Punkt_Gleis_Abschluss_TypeClass createID_Markanter_Punkt_Gleis_Abschluss_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Markanter Punkt Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Markanter Punkt Type Class</em>'.
	 * @generated
	 */
	ID_Markanter_Punkt_TypeClass createID_Markanter_Punkt_TypeClass();

	/**
	 * Returns a new object of class '<em>ID NB Element Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID NB Element Type Class</em>'.
	 * @generated
	 */
	ID_NB_Element_TypeClass createID_NB_Element_TypeClass();

	/**
	 * Returns a new object of class '<em>ID NB Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID NB Type Class</em>'.
	 * @generated
	 */
	ID_NB_TypeClass createID_NB_TypeClass();

	/**
	 * Returns a new object of class '<em>ID NB Zone Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID NB Zone Type Class</em>'.
	 * @generated
	 */
	ID_NB_Zone_TypeClass createID_NB_Zone_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Oertlichkeit Ausgabe Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Oertlichkeit Ausgabe Type Class</em>'.
	 * @generated
	 */
	ID_Oertlichkeit_Ausgabe_TypeClass createID_Oertlichkeit_Ausgabe_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Oertlichkeit Proxy Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Oertlichkeit Proxy Type Class</em>'.
	 * @generated
	 */
	ID_Oertlichkeit_Proxy_TypeClass createID_Oertlichkeit_Proxy_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Oertlichkeit Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Oertlichkeit Type Class</em>'.
	 * @generated
	 */
	ID_Oertlichkeit_TypeClass createID_Oertlichkeit_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Plan Pro Schnittstelle Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Plan Pro Schnittstelle Type Class</em>'.
	 * @generated
	 */
	ID_PlanPro_Schnittstelle_TypeClass createID_PlanPro_Schnittstelle_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Planung Einzel Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Planung Einzel Type Class</em>'.
	 * @generated
	 */
	ID_Planung_Einzel_TypeClass createID_Planung_Einzel_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Planungsgrundlage Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Planungsgrundlage Type Class</em>'.
	 * @generated
	 */
	ID_Planungsgrundlage_TypeClass createID_Planungsgrundlage_TypeClass();

	/**
	 * Returns a new object of class '<em>ID PZB Element Bezugspunkt Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID PZB Element Bezugspunkt Type Class</em>'.
	 * @generated
	 */
	ID_PZB_Element_Bezugspunkt_TypeClass createID_PZB_Element_Bezugspunkt_TypeClass();

	/**
	 * Returns a new object of class '<em>ID PZB Element Mitnutzung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID PZB Element Mitnutzung Type Class</em>'.
	 * @generated
	 */
	ID_PZB_Element_Mitnutzung_TypeClass createID_PZB_Element_Mitnutzung_TypeClass();

	/**
	 * Returns a new object of class '<em>ID PZB Element Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID PZB Element Type Class</em>'.
	 * @generated
	 */
	ID_PZB_Element_TypeClass createID_PZB_Element_TypeClass();

	/**
	 * Returns a new object of class '<em>ID PZB Element Zuordnung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID PZB Element Zuordnung Type Class</em>'.
	 * @generated
	 */
	ID_PZB_Element_Zuordnung_TypeClass createID_PZB_Element_Zuordnung_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Quellelement Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Quellelement Type Class</em>'.
	 * @generated
	 */
	ID_Quellelement_TypeClass createID_Quellelement_TypeClass();

	/**
	 * Returns a new object of class '<em>ID RBC Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID RBC Type Class</em>'.
	 * @generated
	 */
	ID_RBC_TypeClass createID_RBC_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Regelzeichnung ohne Proxy Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Regelzeichnung ohne Proxy Type Class</em>'.
	 * @generated
	 */
	ID_Regelzeichnung_ohne_Proxy_TypeClass createID_Regelzeichnung_ohne_Proxy_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Regelzeichnung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Regelzeichnung Type Class</em>'.
	 * @generated
	 */
	ID_Regelzeichnung_TypeClass createID_Regelzeichnung_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Schalter Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Schalter Type Class</em>'.
	 * @generated
	 */
	ID_Schalter_TypeClass createID_Schalter_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Schaltmittel Zuordnung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Schaltmittel Zuordnung Type Class</em>'.
	 * @generated
	 */
	ID_Schaltmittel_Zuordnung_TypeClass createID_Schaltmittel_Zuordnung_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Schlosskombination Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Schlosskombination Type Class</em>'.
	 * @generated
	 */
	ID_Schlosskombination_TypeClass createID_Schlosskombination_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Schluessel Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Schluessel Type Class</em>'.
	 * @generated
	 */
	ID_Schluessel_TypeClass createID_Schluessel_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Schluesselsperre Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Schluesselsperre Type Class</em>'.
	 * @generated
	 */
	ID_Schluesselsperre_TypeClass createID_Schluesselsperre_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Signal Befestigung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Signal Befestigung Type Class</em>'.
	 * @generated
	 */
	ID_Signal_Befestigung_TypeClass createID_Signal_Befestigung_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Signal Fank Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Signal Fank Type Class</em>'.
	 * @generated
	 */
	ID_Signal_Fank_TypeClass createID_Signal_Fank_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Signal Gleisbezechnung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Signal Gleisbezechnung Type Class</em>'.
	 * @generated
	 */
	ID_Signal_Gleisbezechnung_TypeClass createID_Signal_Gleisbezechnung_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Signal ohne Proxy Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Signal ohne Proxy Type Class</em>'.
	 * @generated
	 */
	ID_Signal_ohne_Proxy_TypeClass createID_Signal_ohne_Proxy_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Signal Rahmen Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Signal Rahmen Type Class</em>'.
	 * @generated
	 */
	ID_Signal_Rahmen_TypeClass createID_Signal_Rahmen_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Signal Signalbegriff Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Signal Signalbegriff Type Class</em>'.
	 * @generated
	 */
	ID_Signal_Signalbegriff_TypeClass createID_Signal_Signalbegriff_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Signal Start Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Signal Start Type Class</em>'.
	 * @generated
	 */
	ID_Signal_Start_TypeClass createID_Signal_Start_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Signal Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Signal Type Class</em>'.
	 * @generated
	 */
	ID_Signal_TypeClass createID_Signal_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Sonderanlage Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Sonderanlage Type Class</em>'.
	 * @generated
	 */
	ID_Sonderanlage_TypeClass createID_Sonderanlage_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Stellelement Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Stellelement Type Class</em>'.
	 * @generated
	 */
	ID_Stellelement_TypeClass createID_Stellelement_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Stellwerk Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Stellwerk Type Class</em>'.
	 * @generated
	 */
	ID_Stellwerk_TypeClass createID_Stellwerk_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Strecke Bremsweg ohne Proxy Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Strecke Bremsweg ohne Proxy Type Class</em>'.
	 * @generated
	 */
	ID_Strecke_Bremsweg_ohne_Proxy_TypeClass createID_Strecke_Bremsweg_ohne_Proxy_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Strecke Punkt Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Strecke Punkt Type Class</em>'.
	 * @generated
	 */
	ID_Strecke_Punkt_TypeClass createID_Strecke_Punkt_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Strecke Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Strecke Type Class</em>'.
	 * @generated
	 */
	ID_Strecke_TypeClass createID_Strecke_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Technischer Punkt Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Technischer Punkt Type Class</em>'.
	 * @generated
	 */
	ID_Technischer_Punkt_TypeClass createID_Technischer_Punkt_TypeClass();

	/**
	 * Returns a new object of class '<em>ID TOP Kante ohne Proxy Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID TOP Kante ohne Proxy Type Class</em>'.
	 * @generated
	 */
	ID_TOP_Kante_ohne_Proxy_TypeClass createID_TOP_Kante_ohne_Proxy_TypeClass();

	/**
	 * Returns a new object of class '<em>ID TOP Kante Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID TOP Kante Type Class</em>'.
	 * @generated
	 */
	ID_TOP_Kante_TypeClass createID_TOP_Kante_TypeClass();

	/**
	 * Returns a new object of class '<em>ID TOP Knoten Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID TOP Knoten Type Class</em>'.
	 * @generated
	 */
	ID_TOP_Knoten_TypeClass createID_TOP_Knoten_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Trasse Kante Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Trasse Kante Type Class</em>'.
	 * @generated
	 */
	ID_Trasse_Kante_TypeClass createID_Trasse_Kante_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Trasse Knoten Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Trasse Knoten Type Class</em>'.
	 * @generated
	 */
	ID_Trasse_Knoten_TypeClass createID_Trasse_Knoten_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Ueberhoehung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Ueberhoehung Type Class</em>'.
	 * @generated
	 */
	ID_Ueberhoehung_TypeClass createID_Ueberhoehung_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Uebertragungsweg Nach Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Uebertragungsweg Nach Type Class</em>'.
	 * @generated
	 */
	ID_Uebertragungsweg_Nach_TypeClass createID_Uebertragungsweg_Nach_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Uebertragungsweg Von Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Uebertragungsweg Von Type Class</em>'.
	 * @generated
	 */
	ID_Uebertragungsweg_Von_TypeClass createID_Uebertragungsweg_Von_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Umfahrpunkt Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Umfahrpunkt Type Class</em>'.
	 * @generated
	 */
	ID_Umfahrpunkt_TypeClass createID_Umfahrpunkt_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Unterbringung ohne Proxy Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Unterbringung ohne Proxy Type Class</em>'.
	 * @generated
	 */
	ID_Unterbringung_ohne_Proxy_TypeClass createID_Unterbringung_ohne_Proxy_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Unterbringung Technik Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Unterbringung Technik Type Class</em>'.
	 * @generated
	 */
	ID_Unterbringung_Technik_TypeClass createID_Unterbringung_Technik_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Unterbringung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Unterbringung Type Class</em>'.
	 * @generated
	 */
	ID_Unterbringung_TypeClass createID_Unterbringung_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Ur Objekt Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Ur Objekt Type Class</em>'.
	 * @generated
	 */
	ID_Ur_Objekt_TypeClass createID_Ur_Objekt_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Verknuepftes Element Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Verknuepftes Element Type Class</em>'.
	 * @generated
	 */
	ID_Verknuepftes_Element_TypeClass createID_Verknuepftes_Element_TypeClass();

	/**
	 * Returns a new object of class '<em>ID WKr Anlage ohne Proxy Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID WKr Anlage ohne Proxy Type Class</em>'.
	 * @generated
	 */
	ID_W_Kr_Anlage_ohne_Proxy_TypeClass createID_W_Kr_Anlage_ohne_Proxy_TypeClass();

	/**
	 * Returns a new object of class '<em>ID WKr Anlage Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID WKr Anlage Type Class</em>'.
	 * @generated
	 */
	ID_W_Kr_Anlage_TypeClass createID_W_Kr_Anlage_TypeClass();

	/**
	 * Returns a new object of class '<em>ID WKr Gsp Element Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID WKr Gsp Element Type Class</em>'.
	 * @generated
	 */
	ID_W_Kr_Gsp_Element_TypeClass createID_W_Kr_Gsp_Element_TypeClass();

	/**
	 * Returns a new object of class '<em>ID WKr Gsp Komponente Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID WKr Gsp Komponente Type Class</em>'.
	 * @generated
	 */
	ID_W_Kr_Gsp_Komponente_TypeClass createID_W_Kr_Gsp_Komponente_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Weichenlaufkette Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Weichenlaufkette Type Class</em>'.
	 * @generated
	 */
	ID_Weichenlaufkette_TypeClass createID_Weichenlaufkette_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Ziel Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Ziel Type Class</em>'.
	 * @generated
	 */
	ID_Ziel_TypeClass createID_Ziel_TypeClass();

	/**
	 * Returns a new object of class '<em>ID ZL DLP Fstr Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID ZL DLP Fstr Type Class</em>'.
	 * @generated
	 */
	ID_ZL_DLP_Fstr_TypeClass createID_ZL_DLP_Fstr_TypeClass();

	/**
	 * Returns a new object of class '<em>ID ZL Fstr Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID ZL Fstr Type Class</em>'.
	 * @generated
	 */
	ID_ZL_Fstr_TypeClass createID_ZL_Fstr_TypeClass();

	/**
	 * Returns a new object of class '<em>ID ZL Signalgruppe Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID ZL Signalgruppe Type Class</em>'.
	 * @generated
	 */
	ID_ZL_Signalgruppe_TypeClass createID_ZL_Signalgruppe_TypeClass();

	/**
	 * Returns a new object of class '<em>ID ZL Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID ZL Type Class</em>'.
	 * @generated
	 */
	ID_ZL_TypeClass createID_ZL_TypeClass();

	/**
	 * Returns a new object of class '<em>ID ZLV Bus ohne Proxy Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID ZLV Bus ohne Proxy Type Class</em>'.
	 * @generated
	 */
	ID_ZLV_Bus_ohne_Proxy_TypeClass createID_ZLV_Bus_ohne_Proxy_TypeClass();

	/**
	 * Returns a new object of class '<em>ID ZLV Bus Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID ZLV Bus Type Class</em>'.
	 * @generated
	 */
	ID_ZLV_Bus_TypeClass createID_ZLV_Bus_TypeClass();

	/**
	 * Returns a new object of class '<em>ID ZN Anzeigefeld Anstoss Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID ZN Anzeigefeld Anstoss Type Class</em>'.
	 * @generated
	 */
	ID_ZN_Anzeigefeld_Anstoss_TypeClass createID_ZN_Anzeigefeld_Anstoss_TypeClass();

	/**
	 * Returns a new object of class '<em>ID ZN Anzeigefeld Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID ZN Anzeigefeld Type Class</em>'.
	 * @generated
	 */
	ID_ZN_Anzeigefeld_TypeClass createID_ZN_Anzeigefeld_TypeClass();

	/**
	 * Returns a new object of class '<em>ID ZN Fortschalt Kriterium Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID ZN Fortschalt Kriterium Type Class</em>'.
	 * @generated
	 */
	ID_ZN_Fortschalt_Kriterium_TypeClass createID_ZN_Fortschalt_Kriterium_TypeClass();

	/**
	 * Returns a new object of class '<em>ID ZN Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID ZN Type Class</em>'.
	 * @generated
	 */
	ID_ZN_TypeClass createID_ZN_TypeClass();

	/**
	 * Returns a new object of class '<em>ID ZN Unterstation Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID ZN Unterstation Type Class</em>'.
	 * @generated
	 */
	ID_ZN_Unterstation_TypeClass createID_ZN_Unterstation_TypeClass();

	/**
	 * Returns a new object of class '<em>ID ZN ZBS Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID ZN ZBS Type Class</em>'.
	 * @generated
	 */
	ID_ZN_ZBS_TypeClass createID_ZN_ZBS_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Zugeinwirkung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Zugeinwirkung Type Class</em>'.
	 * @generated
	 */
	ID_Zugeinwirkung_TypeClass createID_Zugeinwirkung_TypeClass();

	/**
	 * Returns a new object of class '<em>ID Zweites Haltfallkriterium Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ID Zweites Haltfallkriterium Type Class</em>'.
	 * @generated
	 */
	ID_Zweites_Haltfallkriterium_TypeClass createID_Zweites_Haltfallkriterium_TypeClass();

	/**
	 * Returns the package supported by this factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the package supported by this factory.
	 * @generated
	 */
	VerweisePackage getVerweisePackage();

} //VerweiseFactory
