/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Weichen_und_Gleissperren;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>ENUM Gleis Abschluss Art</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Weichen_und_Gleissperren.Weichen_und_GleissperrenPackage#getENUMGleisAbschlussArt()
 * @model extendedMetaData="name='ENUMGleis_Abschluss_Art'"
 * @generated
 */
public enum ENUMGleisAbschlussArt implements Enumerator {
	/**
	 * The '<em><b>ENUM Gleis Abschluss Art Bremsprellbock</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_GLEIS_ABSCHLUSS_ART_BREMSPRELLBOCK_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_GLEIS_ABSCHLUSS_ART_BREMSPRELLBOCK(0, "ENUMGleis_Abschluss_Art_Bremsprellbock", "Bremsprellbock"),

	/**
	 * The '<em><b>ENUM Gleis Abschluss Art Drehscheibe</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_GLEIS_ABSCHLUSS_ART_DREHSCHEIBE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_GLEIS_ABSCHLUSS_ART_DREHSCHEIBE(1, "ENUMGleis_Abschluss_Art_Drehscheibe", "Drehscheibe"),

	/**
	 * The '<em><b>ENUM Gleis Abschluss Art Faehranleger</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_GLEIS_ABSCHLUSS_ART_FAEHRANLEGER_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_GLEIS_ABSCHLUSS_ART_FAEHRANLEGER(2, "ENUMGleis_Abschluss_Art_Faehranleger", "Faehranleger"),

	/**
	 * The '<em><b>ENUM Gleis Abschluss Art Festprellbock</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_GLEIS_ABSCHLUSS_ART_FESTPRELLBOCK_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_GLEIS_ABSCHLUSS_ART_FESTPRELLBOCK(3, "ENUMGleis_Abschluss_Art_Festprellbock", "Festprellbock"),

	/**
	 * The '<em><b>ENUM Gleis Abschluss Art Infrastrukturgrenze</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_GLEIS_ABSCHLUSS_ART_INFRASTRUKTURGRENZE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_GLEIS_ABSCHLUSS_ART_INFRASTRUKTURGRENZE(4, "ENUMGleis_Abschluss_Art_Infrastrukturgrenze", "Infrastrukturgrenze"),

	/**
	 * The '<em><b>ENUM Gleis Abschluss Art Kopframpe</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_GLEIS_ABSCHLUSS_ART_KOPFRAMPE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_GLEIS_ABSCHLUSS_ART_KOPFRAMPE(5, "ENUMGleis_Abschluss_Art_Kopframpe", "Kopframpe"),

	/**
	 * The '<em><b>ENUM Gleis Abschluss Art Schiebebuehne</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_GLEIS_ABSCHLUSS_ART_SCHIEBEBUEHNE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_GLEIS_ABSCHLUSS_ART_SCHIEBEBUEHNE(6, "ENUMGleis_Abschluss_Art_Schiebebuehne", "Schiebebuehne"),

	/**
	 * The '<em><b>ENUM Gleis Abschluss Art Schwellenkreuz</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_GLEIS_ABSCHLUSS_ART_SCHWELLENKREUZ_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_GLEIS_ABSCHLUSS_ART_SCHWELLENKREUZ(7, "ENUMGleis_Abschluss_Art_Schwellenkreuz", "Schwellenkreuz"),

	/**
	 * The '<em><b>ENUM Gleis Abschluss Art sonstige</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_GLEIS_ABSCHLUSS_ART_SONSTIGE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_GLEIS_ABSCHLUSS_ART_SONSTIGE(8, "ENUMGleis_Abschluss_Art_sonstige", "sonstige");

	/**
	 * The '<em><b>ENUM Gleis Abschluss Art Bremsprellbock</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_GLEIS_ABSCHLUSS_ART_BREMSPRELLBOCK
	 * @model name="ENUMGleis_Abschluss_Art_Bremsprellbock" literal="Bremsprellbock"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_GLEIS_ABSCHLUSS_ART_BREMSPRELLBOCK_VALUE = 0;

	/**
	 * The '<em><b>ENUM Gleis Abschluss Art Drehscheibe</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_GLEIS_ABSCHLUSS_ART_DREHSCHEIBE
	 * @model name="ENUMGleis_Abschluss_Art_Drehscheibe" literal="Drehscheibe"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_GLEIS_ABSCHLUSS_ART_DREHSCHEIBE_VALUE = 1;

	/**
	 * The '<em><b>ENUM Gleis Abschluss Art Faehranleger</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_GLEIS_ABSCHLUSS_ART_FAEHRANLEGER
	 * @model name="ENUMGleis_Abschluss_Art_Faehranleger" literal="Faehranleger"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_GLEIS_ABSCHLUSS_ART_FAEHRANLEGER_VALUE = 2;

	/**
	 * The '<em><b>ENUM Gleis Abschluss Art Festprellbock</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_GLEIS_ABSCHLUSS_ART_FESTPRELLBOCK
	 * @model name="ENUMGleis_Abschluss_Art_Festprellbock" literal="Festprellbock"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_GLEIS_ABSCHLUSS_ART_FESTPRELLBOCK_VALUE = 3;

	/**
	 * The '<em><b>ENUM Gleis Abschluss Art Infrastrukturgrenze</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_GLEIS_ABSCHLUSS_ART_INFRASTRUKTURGRENZE
	 * @model name="ENUMGleis_Abschluss_Art_Infrastrukturgrenze" literal="Infrastrukturgrenze"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_GLEIS_ABSCHLUSS_ART_INFRASTRUKTURGRENZE_VALUE = 4;

	/**
	 * The '<em><b>ENUM Gleis Abschluss Art Kopframpe</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_GLEIS_ABSCHLUSS_ART_KOPFRAMPE
	 * @model name="ENUMGleis_Abschluss_Art_Kopframpe" literal="Kopframpe"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_GLEIS_ABSCHLUSS_ART_KOPFRAMPE_VALUE = 5;

	/**
	 * The '<em><b>ENUM Gleis Abschluss Art Schiebebuehne</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_GLEIS_ABSCHLUSS_ART_SCHIEBEBUEHNE
	 * @model name="ENUMGleis_Abschluss_Art_Schiebebuehne" literal="Schiebebuehne"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_GLEIS_ABSCHLUSS_ART_SCHIEBEBUEHNE_VALUE = 6;

	/**
	 * The '<em><b>ENUM Gleis Abschluss Art Schwellenkreuz</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_GLEIS_ABSCHLUSS_ART_SCHWELLENKREUZ
	 * @model name="ENUMGleis_Abschluss_Art_Schwellenkreuz" literal="Schwellenkreuz"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_GLEIS_ABSCHLUSS_ART_SCHWELLENKREUZ_VALUE = 7;

	/**
	 * The '<em><b>ENUM Gleis Abschluss Art sonstige</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_GLEIS_ABSCHLUSS_ART_SONSTIGE
	 * @model name="ENUMGleis_Abschluss_Art_sonstige" literal="sonstige"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_GLEIS_ABSCHLUSS_ART_SONSTIGE_VALUE = 8;

	/**
	 * An array of all the '<em><b>ENUM Gleis Abschluss Art</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static final ENUMGleisAbschlussArt[] VALUES_ARRAY =
		new ENUMGleisAbschlussArt[] {
			ENUM_GLEIS_ABSCHLUSS_ART_BREMSPRELLBOCK,
			ENUM_GLEIS_ABSCHLUSS_ART_DREHSCHEIBE,
			ENUM_GLEIS_ABSCHLUSS_ART_FAEHRANLEGER,
			ENUM_GLEIS_ABSCHLUSS_ART_FESTPRELLBOCK,
			ENUM_GLEIS_ABSCHLUSS_ART_INFRASTRUKTURGRENZE,
			ENUM_GLEIS_ABSCHLUSS_ART_KOPFRAMPE,
			ENUM_GLEIS_ABSCHLUSS_ART_SCHIEBEBUEHNE,
			ENUM_GLEIS_ABSCHLUSS_ART_SCHWELLENKREUZ,
			ENUM_GLEIS_ABSCHLUSS_ART_SONSTIGE,
		};

	/**
	 * A public read-only list of all the '<em><b>ENUM Gleis Abschluss Art</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static final List<ENUMGleisAbschlussArt> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

	/**
	 * Returns the '<em><b>ENUM Gleis Abschluss Art</b></em>' literal with the specified literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param literal the literal.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMGleisAbschlussArt get(String literal) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMGleisAbschlussArt result = VALUES_ARRAY[i];
			if (result.toString().equals(literal)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Gleis Abschluss Art</b></em>' literal with the specified name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param name the name.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMGleisAbschlussArt getByName(String name) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMGleisAbschlussArt result = VALUES_ARRAY[i];
			if (result.getName().equals(name)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Gleis Abschluss Art</b></em>' literal with the specified integer value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the integer value.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMGleisAbschlussArt get(int value) {
		switch (value) {
			case ENUM_GLEIS_ABSCHLUSS_ART_BREMSPRELLBOCK_VALUE: return ENUM_GLEIS_ABSCHLUSS_ART_BREMSPRELLBOCK;
			case ENUM_GLEIS_ABSCHLUSS_ART_DREHSCHEIBE_VALUE: return ENUM_GLEIS_ABSCHLUSS_ART_DREHSCHEIBE;
			case ENUM_GLEIS_ABSCHLUSS_ART_FAEHRANLEGER_VALUE: return ENUM_GLEIS_ABSCHLUSS_ART_FAEHRANLEGER;
			case ENUM_GLEIS_ABSCHLUSS_ART_FESTPRELLBOCK_VALUE: return ENUM_GLEIS_ABSCHLUSS_ART_FESTPRELLBOCK;
			case ENUM_GLEIS_ABSCHLUSS_ART_INFRASTRUKTURGRENZE_VALUE: return ENUM_GLEIS_ABSCHLUSS_ART_INFRASTRUKTURGRENZE;
			case ENUM_GLEIS_ABSCHLUSS_ART_KOPFRAMPE_VALUE: return ENUM_GLEIS_ABSCHLUSS_ART_KOPFRAMPE;
			case ENUM_GLEIS_ABSCHLUSS_ART_SCHIEBEBUEHNE_VALUE: return ENUM_GLEIS_ABSCHLUSS_ART_SCHIEBEBUEHNE;
			case ENUM_GLEIS_ABSCHLUSS_ART_SCHWELLENKREUZ_VALUE: return ENUM_GLEIS_ABSCHLUSS_ART_SCHWELLENKREUZ;
			case ENUM_GLEIS_ABSCHLUSS_ART_SONSTIGE_VALUE: return ENUM_GLEIS_ABSCHLUSS_ART_SONSTIGE;
			default: return null;
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final int value;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String name;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String literal;

	/**
	 * Only this class can construct instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private ENUMGleisAbschlussArt(int value, String name, String literal) {
		this.value = value;
		this.name = name;
		this.literal = literal;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public int getValue() {
	  return value;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getName() {
	  return name;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getLiteral() {
	  return literal;
	}

	/**
	 * Returns the literal value of the enumerator, which is its string representation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		return literal;
	}
	
} //ENUMGleisAbschlussArt
