/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Weichen_und_Gleissperren;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>ENUM Gleissperrensignal</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Weichen_und_Gleissperren.Weichen_und_GleissperrenPackage#getENUMGleissperrensignal()
 * @model extendedMetaData="name='ENUMGleissperrensignal'"
 * @generated
 */
public enum ENUMGleissperrensignal implements Enumerator {
	/**
	 * The '<em><b>ENUM Gleissperrensignal innenbeleuchtet beidseitig</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_GLEISSPERRENSIGNAL_INNENBELEUCHTET_BEIDSEITIG_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_GLEISSPERRENSIGNAL_INNENBELEUCHTET_BEIDSEITIG(0, "ENUMGleissperrensignal_innenbeleuchtet_beidseitig", "innenbeleuchtet_beidseitig"),

	/**
	 * The '<em><b>ENUM Gleissperrensignal innenbeleuchtet einseitig</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_GLEISSPERRENSIGNAL_INNENBELEUCHTET_EINSEITIG_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_GLEISSPERRENSIGNAL_INNENBELEUCHTET_EINSEITIG(1, "ENUMGleissperrensignal_innenbeleuchtet_einseitig", "innenbeleuchtet_einseitig"),

	/**
	 * The '<em><b>ENUM Gleissperrensignal reflektierend beidseitig</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_GLEISSPERRENSIGNAL_REFLEKTIEREND_BEIDSEITIG_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_GLEISSPERRENSIGNAL_REFLEKTIEREND_BEIDSEITIG(2, "ENUMGleissperrensignal_reflektierend_beidseitig", "reflektierend_beidseitig"),

	/**
	 * The '<em><b>ENUM Gleissperrensignal reflektierend einseitig</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_GLEISSPERRENSIGNAL_REFLEKTIEREND_EINSEITIG_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_GLEISSPERRENSIGNAL_REFLEKTIEREND_EINSEITIG(3, "ENUMGleissperrensignal_reflektierend_einseitig", "reflektierend_einseitig");

	/**
	 * The '<em><b>ENUM Gleissperrensignal innenbeleuchtet beidseitig</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_GLEISSPERRENSIGNAL_INNENBELEUCHTET_BEIDSEITIG
	 * @model name="ENUMGleissperrensignal_innenbeleuchtet_beidseitig" literal="innenbeleuchtet_beidseitig"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_GLEISSPERRENSIGNAL_INNENBELEUCHTET_BEIDSEITIG_VALUE = 0;

	/**
	 * The '<em><b>ENUM Gleissperrensignal innenbeleuchtet einseitig</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_GLEISSPERRENSIGNAL_INNENBELEUCHTET_EINSEITIG
	 * @model name="ENUMGleissperrensignal_innenbeleuchtet_einseitig" literal="innenbeleuchtet_einseitig"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_GLEISSPERRENSIGNAL_INNENBELEUCHTET_EINSEITIG_VALUE = 1;

	/**
	 * The '<em><b>ENUM Gleissperrensignal reflektierend beidseitig</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_GLEISSPERRENSIGNAL_REFLEKTIEREND_BEIDSEITIG
	 * @model name="ENUMGleissperrensignal_reflektierend_beidseitig" literal="reflektierend_beidseitig"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_GLEISSPERRENSIGNAL_REFLEKTIEREND_BEIDSEITIG_VALUE = 2;

	/**
	 * The '<em><b>ENUM Gleissperrensignal reflektierend einseitig</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_GLEISSPERRENSIGNAL_REFLEKTIEREND_EINSEITIG
	 * @model name="ENUMGleissperrensignal_reflektierend_einseitig" literal="reflektierend_einseitig"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_GLEISSPERRENSIGNAL_REFLEKTIEREND_EINSEITIG_VALUE = 3;

	/**
	 * An array of all the '<em><b>ENUM Gleissperrensignal</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static final ENUMGleissperrensignal[] VALUES_ARRAY =
		new ENUMGleissperrensignal[] {
			ENUM_GLEISSPERRENSIGNAL_INNENBELEUCHTET_BEIDSEITIG,
			ENUM_GLEISSPERRENSIGNAL_INNENBELEUCHTET_EINSEITIG,
			ENUM_GLEISSPERRENSIGNAL_REFLEKTIEREND_BEIDSEITIG,
			ENUM_GLEISSPERRENSIGNAL_REFLEKTIEREND_EINSEITIG,
		};

	/**
	 * A public read-only list of all the '<em><b>ENUM Gleissperrensignal</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static final List<ENUMGleissperrensignal> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

	/**
	 * Returns the '<em><b>ENUM Gleissperrensignal</b></em>' literal with the specified literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param literal the literal.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMGleissperrensignal get(String literal) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMGleissperrensignal result = VALUES_ARRAY[i];
			if (result.toString().equals(literal)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Gleissperrensignal</b></em>' literal with the specified name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param name the name.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMGleissperrensignal getByName(String name) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMGleissperrensignal result = VALUES_ARRAY[i];
			if (result.getName().equals(name)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Gleissperrensignal</b></em>' literal with the specified integer value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the integer value.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMGleissperrensignal get(int value) {
		switch (value) {
			case ENUM_GLEISSPERRENSIGNAL_INNENBELEUCHTET_BEIDSEITIG_VALUE: return ENUM_GLEISSPERRENSIGNAL_INNENBELEUCHTET_BEIDSEITIG;
			case ENUM_GLEISSPERRENSIGNAL_INNENBELEUCHTET_EINSEITIG_VALUE: return ENUM_GLEISSPERRENSIGNAL_INNENBELEUCHTET_EINSEITIG;
			case ENUM_GLEISSPERRENSIGNAL_REFLEKTIEREND_BEIDSEITIG_VALUE: return ENUM_GLEISSPERRENSIGNAL_REFLEKTIEREND_BEIDSEITIG;
			case ENUM_GLEISSPERRENSIGNAL_REFLEKTIEREND_EINSEITIG_VALUE: return ENUM_GLEISSPERRENSIGNAL_REFLEKTIEREND_EINSEITIG;
			default: return null;
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final int value;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String name;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String literal;

	/**
	 * Only this class can construct instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private ENUMGleissperrensignal(int value, String name, String literal) {
		this.value = value;
		this.name = name;
		this.literal = literal;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public int getValue() {
	  return value;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getName() {
	  return name;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getLiteral() {
	  return literal;
	}

	/**
	 * Returns the literal value of the enumerator, which is its string representation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		return literal;
	}
	
} //ENUMGleissperrensignal
