/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Weichen_und_Gleissperren;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>ENUMW Kr Gsp Stellart</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Weichen_und_Gleissperren.Weichen_und_GleissperrenPackage#getENUMWKrGspStellart()
 * @model extendedMetaData="name='ENUMW_Kr_Gsp_Stellart'"
 * @generated
 */
public enum ENUMWKrGspStellart implements Enumerator {
	/**
	 * The '<em><b>ENUMW Kr Gsp Stellart elektrisch ferngestellt</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMW_KR_GSP_STELLART_ELEKTRISCH_FERNGESTELLT_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMW_KR_GSP_STELLART_ELEKTRISCH_FERNGESTELLT(0, "ENUMW_Kr_Gsp_Stellart_elektrisch_ferngestellt", "elektrisch_ferngestellt"),

	/**
	 * The '<em><b>ENUMW Kr Gsp Stellart elektrisch ortsgestellt</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMW_KR_GSP_STELLART_ELEKTRISCH_ORTSGESTELLT_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMW_KR_GSP_STELLART_ELEKTRISCH_ORTSGESTELLT(1, "ENUMW_Kr_Gsp_Stellart_elektrisch_ortsgestellt", "elektrisch_ortsgestellt"),

	/**
	 * The '<em><b>ENUMW Kr Gsp Stellart mechanisch ferngestellt</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMW_KR_GSP_STELLART_MECHANISCH_FERNGESTELLT_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMW_KR_GSP_STELLART_MECHANISCH_FERNGESTELLT(2, "ENUMW_Kr_Gsp_Stellart_mechanisch_ferngestellt", "mechanisch_ferngestellt"),

	/**
	 * The '<em><b>ENUMW Kr Gsp Stellart mechanisch ortsgestellt</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMW_KR_GSP_STELLART_MECHANISCH_ORTSGESTELLT_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMW_KR_GSP_STELLART_MECHANISCH_ORTSGESTELLT(3, "ENUMW_Kr_Gsp_Stellart_mechanisch_ortsgestellt", "mechanisch_ortsgestellt"),

	/**
	 * The '<em><b>ENUMW Kr Gsp Stellart nicht stellbar</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMW_KR_GSP_STELLART_NICHT_STELLBAR_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMW_KR_GSP_STELLART_NICHT_STELLBAR(4, "ENUMW_Kr_Gsp_Stellart_nicht_stellbar", "nicht_stellbar"),

	/**
	 * The '<em><b>ENUMW Kr Gsp Stellart Rueckfallweiche</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMW_KR_GSP_STELLART_RUECKFALLWEICHE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMW_KR_GSP_STELLART_RUECKFALLWEICHE(5, "ENUMW_Kr_Gsp_Stellart_Rueckfallweiche", "Rueckfallweiche"),

	/**
	 * The '<em><b>ENUMW Kr Gsp Stellart sonstige</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMW_KR_GSP_STELLART_SONSTIGE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMW_KR_GSP_STELLART_SONSTIGE(6, "ENUMW_Kr_Gsp_Stellart_sonstige", "sonstige"),

	/**
	 * The '<em><b>ENUMW Kr Gsp Stellart stillgelegt links</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMW_KR_GSP_STELLART_STILLGELEGT_LINKS_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMW_KR_GSP_STELLART_STILLGELEGT_LINKS(7, "ENUMW_Kr_Gsp_Stellart_stillgelegt_links", "stillgelegt_links"),

	/**
	 * The '<em><b>ENUMW Kr Gsp Stellart stillgelegt rechts</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMW_KR_GSP_STELLART_STILLGELEGT_RECHTS_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMW_KR_GSP_STELLART_STILLGELEGT_RECHTS(8, "ENUMW_Kr_Gsp_Stellart_stillgelegt_rechts", "stillgelegt_rechts"),

	/**
	 * The '<em><b>ENUMW Kr Gsp Stellart unbestimmt</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMW_KR_GSP_STELLART_UNBESTIMMT_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMW_KR_GSP_STELLART_UNBESTIMMT(9, "ENUMW_Kr_Gsp_Stellart_unbestimmt", "unbestimmt");

	/**
	 * The '<em><b>ENUMW Kr Gsp Stellart elektrisch ferngestellt</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMW_KR_GSP_STELLART_ELEKTRISCH_FERNGESTELLT
	 * @model name="ENUMW_Kr_Gsp_Stellart_elektrisch_ferngestellt" literal="elektrisch_ferngestellt"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMW_KR_GSP_STELLART_ELEKTRISCH_FERNGESTELLT_VALUE = 0;

	/**
	 * The '<em><b>ENUMW Kr Gsp Stellart elektrisch ortsgestellt</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMW_KR_GSP_STELLART_ELEKTRISCH_ORTSGESTELLT
	 * @model name="ENUMW_Kr_Gsp_Stellart_elektrisch_ortsgestellt" literal="elektrisch_ortsgestellt"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMW_KR_GSP_STELLART_ELEKTRISCH_ORTSGESTELLT_VALUE = 1;

	/**
	 * The '<em><b>ENUMW Kr Gsp Stellart mechanisch ferngestellt</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMW_KR_GSP_STELLART_MECHANISCH_FERNGESTELLT
	 * @model name="ENUMW_Kr_Gsp_Stellart_mechanisch_ferngestellt" literal="mechanisch_ferngestellt"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMW_KR_GSP_STELLART_MECHANISCH_FERNGESTELLT_VALUE = 2;

	/**
	 * The '<em><b>ENUMW Kr Gsp Stellart mechanisch ortsgestellt</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMW_KR_GSP_STELLART_MECHANISCH_ORTSGESTELLT
	 * @model name="ENUMW_Kr_Gsp_Stellart_mechanisch_ortsgestellt" literal="mechanisch_ortsgestellt"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMW_KR_GSP_STELLART_MECHANISCH_ORTSGESTELLT_VALUE = 3;

	/**
	 * The '<em><b>ENUMW Kr Gsp Stellart nicht stellbar</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMW_KR_GSP_STELLART_NICHT_STELLBAR
	 * @model name="ENUMW_Kr_Gsp_Stellart_nicht_stellbar" literal="nicht_stellbar"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMW_KR_GSP_STELLART_NICHT_STELLBAR_VALUE = 4;

	/**
	 * The '<em><b>ENUMW Kr Gsp Stellart Rueckfallweiche</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMW_KR_GSP_STELLART_RUECKFALLWEICHE
	 * @model name="ENUMW_Kr_Gsp_Stellart_Rueckfallweiche" literal="Rueckfallweiche"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMW_KR_GSP_STELLART_RUECKFALLWEICHE_VALUE = 5;

	/**
	 * The '<em><b>ENUMW Kr Gsp Stellart sonstige</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMW_KR_GSP_STELLART_SONSTIGE
	 * @model name="ENUMW_Kr_Gsp_Stellart_sonstige" literal="sonstige"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMW_KR_GSP_STELLART_SONSTIGE_VALUE = 6;

	/**
	 * The '<em><b>ENUMW Kr Gsp Stellart stillgelegt links</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMW_KR_GSP_STELLART_STILLGELEGT_LINKS
	 * @model name="ENUMW_Kr_Gsp_Stellart_stillgelegt_links" literal="stillgelegt_links"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMW_KR_GSP_STELLART_STILLGELEGT_LINKS_VALUE = 7;

	/**
	 * The '<em><b>ENUMW Kr Gsp Stellart stillgelegt rechts</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMW_KR_GSP_STELLART_STILLGELEGT_RECHTS
	 * @model name="ENUMW_Kr_Gsp_Stellart_stillgelegt_rechts" literal="stillgelegt_rechts"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMW_KR_GSP_STELLART_STILLGELEGT_RECHTS_VALUE = 8;

	/**
	 * The '<em><b>ENUMW Kr Gsp Stellart unbestimmt</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMW_KR_GSP_STELLART_UNBESTIMMT
	 * @model name="ENUMW_Kr_Gsp_Stellart_unbestimmt" literal="unbestimmt"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMW_KR_GSP_STELLART_UNBESTIMMT_VALUE = 9;

	/**
	 * An array of all the '<em><b>ENUMW Kr Gsp Stellart</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static final ENUMWKrGspStellart[] VALUES_ARRAY =
		new ENUMWKrGspStellart[] {
			ENUMW_KR_GSP_STELLART_ELEKTRISCH_FERNGESTELLT,
			ENUMW_KR_GSP_STELLART_ELEKTRISCH_ORTSGESTELLT,
			ENUMW_KR_GSP_STELLART_MECHANISCH_FERNGESTELLT,
			ENUMW_KR_GSP_STELLART_MECHANISCH_ORTSGESTELLT,
			ENUMW_KR_GSP_STELLART_NICHT_STELLBAR,
			ENUMW_KR_GSP_STELLART_RUECKFALLWEICHE,
			ENUMW_KR_GSP_STELLART_SONSTIGE,
			ENUMW_KR_GSP_STELLART_STILLGELEGT_LINKS,
			ENUMW_KR_GSP_STELLART_STILLGELEGT_RECHTS,
			ENUMW_KR_GSP_STELLART_UNBESTIMMT,
		};

	/**
	 * A public read-only list of all the '<em><b>ENUMW Kr Gsp Stellart</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static final List<ENUMWKrGspStellart> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

	/**
	 * Returns the '<em><b>ENUMW Kr Gsp Stellart</b></em>' literal with the specified literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param literal the literal.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMWKrGspStellart get(String literal) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMWKrGspStellart result = VALUES_ARRAY[i];
			if (result.toString().equals(literal)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUMW Kr Gsp Stellart</b></em>' literal with the specified name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param name the name.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMWKrGspStellart getByName(String name) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMWKrGspStellart result = VALUES_ARRAY[i];
			if (result.getName().equals(name)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUMW Kr Gsp Stellart</b></em>' literal with the specified integer value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the integer value.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMWKrGspStellart get(int value) {
		switch (value) {
			case ENUMW_KR_GSP_STELLART_ELEKTRISCH_FERNGESTELLT_VALUE: return ENUMW_KR_GSP_STELLART_ELEKTRISCH_FERNGESTELLT;
			case ENUMW_KR_GSP_STELLART_ELEKTRISCH_ORTSGESTELLT_VALUE: return ENUMW_KR_GSP_STELLART_ELEKTRISCH_ORTSGESTELLT;
			case ENUMW_KR_GSP_STELLART_MECHANISCH_FERNGESTELLT_VALUE: return ENUMW_KR_GSP_STELLART_MECHANISCH_FERNGESTELLT;
			case ENUMW_KR_GSP_STELLART_MECHANISCH_ORTSGESTELLT_VALUE: return ENUMW_KR_GSP_STELLART_MECHANISCH_ORTSGESTELLT;
			case ENUMW_KR_GSP_STELLART_NICHT_STELLBAR_VALUE: return ENUMW_KR_GSP_STELLART_NICHT_STELLBAR;
			case ENUMW_KR_GSP_STELLART_RUECKFALLWEICHE_VALUE: return ENUMW_KR_GSP_STELLART_RUECKFALLWEICHE;
			case ENUMW_KR_GSP_STELLART_SONSTIGE_VALUE: return ENUMW_KR_GSP_STELLART_SONSTIGE;
			case ENUMW_KR_GSP_STELLART_STILLGELEGT_LINKS_VALUE: return ENUMW_KR_GSP_STELLART_STILLGELEGT_LINKS;
			case ENUMW_KR_GSP_STELLART_STILLGELEGT_RECHTS_VALUE: return ENUMW_KR_GSP_STELLART_STILLGELEGT_RECHTS;
			case ENUMW_KR_GSP_STELLART_UNBESTIMMT_VALUE: return ENUMW_KR_GSP_STELLART_UNBESTIMMT;
			default: return null;
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final int value;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String name;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String literal;

	/**
	 * Only this class can construct instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private ENUMWKrGspStellart(int value, String name, String literal) {
		this.value = value;
		this.name = name;
		this.literal = literal;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public int getValue() {
	  return value;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getName() {
	  return name;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getLiteral() {
	  return literal;
	}

	/**
	 * Returns the literal value of the enumerator, which is its string representation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		return literal;
	}
	
} //ENUMWKrGspStellart
