/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Zuglenkung;

import org.eclipse.emf.ecore.EFactory;

/**
 * <!-- begin-user-doc -->
 * The <b>Factory</b> for the model.
 * It provides a create method for each non-abstract class of the model.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Zuglenkung.ZuglenkungPackage
 * @generated
 */
public interface ZuglenkungFactory extends EFactory {
	/**
	 * The singleton instance of the factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	ZuglenkungFactory eINSTANCE = org.eclipse.set.toolboxmodel.Zuglenkung.impl.ZuglenkungFactoryImpl.init();

	/**
	 * Returns a new object of class '<em>Annaeherungsgeschwindigkeit Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Annaeherungsgeschwindigkeit Type Class</em>'.
	 * @generated
	 */
	Annaeherungsgeschwindigkeit_TypeClass createAnnaeherungsgeschwindigkeit_TypeClass();

	/**
	 * Returns a new object of class '<em>Anzahl Wiederhol ZL Anstoesse Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Anzahl Wiederhol ZL Anstoesse Type Class</em>'.
	 * @generated
	 */
	Anzahl_Wiederhol_ZL_Anstoesse_TypeClass createAnzahl_Wiederhol_ZL_Anstoesse_TypeClass();

	/**
	 * Returns a new object of class '<em>Deadlockpruefung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Deadlockpruefung Type Class</em>'.
	 * @generated
	 */
	Deadlockpruefung_TypeClass createDeadlockpruefung_TypeClass();

	/**
	 * Returns a new object of class '<em>DWeg Prio Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>DWeg Prio Type Class</em>'.
	 * @generated
	 */
	DWeg_Prio_TypeClass createDWeg_Prio_TypeClass();

	/**
	 * Returns a new object of class '<em>Einstellkontrollzeit Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Einstellkontrollzeit Type Class</em>'.
	 * @generated
	 */
	Einstellkontrollzeit_TypeClass createEinstellkontrollzeit_TypeClass();

	/**
	 * Returns a new object of class '<em>Fstr Bildezeit Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fstr Bildezeit Type Class</em>'.
	 * @generated
	 */
	Fstr_Bildezeit_TypeClass createFstr_Bildezeit_TypeClass();

	/**
	 * Returns a new object of class '<em>FUEM Auswertung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>FUEM Auswertung Type Class</em>'.
	 * @generated
	 */
	FUEM_Auswertung_TypeClass createFUEM_Auswertung_TypeClass();

	/**
	 * Returns a new object of class '<em>GK Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>GK Type Class</em>'.
	 * @generated
	 */
	GK_TypeClass createGK_TypeClass();

	/**
	 * Returns a new object of class '<em>GKZSS Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>GKZSS Type Class</em>'.
	 * @generated
	 */
	GKZSS_TypeClass createGKZSS_TypeClass();

	/**
	 * Returns a new object of class '<em>Lenkabbruchzeit Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Lenkabbruchzeit Type Class</em>'.
	 * @generated
	 */
	Lenkabbruchzeit_TypeClass createLenkabbruchzeit_TypeClass();

	/**
	 * Returns a new object of class '<em>Lenkziffernstellen Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Lenkziffernstellen Type Class</em>'.
	 * @generated
	 */
	Lenkziffernstellen_TypeClass createLenkziffernstellen_TypeClass();

	/**
	 * Returns a new object of class '<em>Personal Reaktionszeit Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Personal Reaktionszeit Type Class</em>'.
	 * @generated
	 */
	Personal_Reaktionszeit_TypeClass createPersonal_Reaktionszeit_TypeClass();

	/**
	 * Returns a new object of class '<em>Sichtzeit Vorsignal Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Sichtzeit Vorsignal Type Class</em>'.
	 * @generated
	 */
	Sichtzeit_Vorsignal_TypeClass createSichtzeit_Vorsignal_TypeClass();

	/**
	 * Returns a new object of class '<em>Signalgruppe Bezeichner Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Signalgruppe Bezeichner Type Class</em>'.
	 * @generated
	 */
	Signalgruppe_Bezeichner_TypeClass createSignalgruppe_Bezeichner_TypeClass();

	/**
	 * Returns a new object of class '<em>Tv GK Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Tv GK Type Class</em>'.
	 * @generated
	 */
	Tv_GK_TypeClass createTv_GK_TypeClass();

	/**
	 * Returns a new object of class '<em>Vmax Annaeherung Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Vmax Annaeherung Type Class</em>'.
	 * @generated
	 */
	Vmax_Annaeherung_TypeClass createVmax_Annaeherung_TypeClass();

	/**
	 * Returns a new object of class '<em>ZL</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ZL</em>'.
	 * @generated
	 */
	ZL createZL();

	/**
	 * Returns a new object of class '<em>ZL Allg Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ZL Allg Attribute Group</em>'.
	 * @generated
	 */
	ZL_Allg_AttributeGroup createZL_Allg_AttributeGroup();

	/**
	 * Returns a new object of class '<em>ZL DLP Abschnitt</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ZL DLP Abschnitt</em>'.
	 * @generated
	 */
	ZL_DLP_Abschnitt createZL_DLP_Abschnitt();

	/**
	 * Returns a new object of class '<em>ZL DLP Fstr</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ZL DLP Fstr</em>'.
	 * @generated
	 */
	ZL_DLP_Fstr createZL_DLP_Fstr();

	/**
	 * Returns a new object of class '<em>ZL Fstr</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ZL Fstr</em>'.
	 * @generated
	 */
	ZL_Fstr createZL_Fstr();

	/**
	 * Returns a new object of class '<em>ZL Fstr Allg Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ZL Fstr Allg Attribute Group</em>'.
	 * @generated
	 */
	ZL_Fstr_Allg_AttributeGroup createZL_Fstr_Allg_AttributeGroup();

	/**
	 * Returns a new object of class '<em>ZL Fstr Anstoss</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ZL Fstr Anstoss</em>'.
	 * @generated
	 */
	ZL_Fstr_Anstoss createZL_Fstr_Anstoss();

	/**
	 * Returns a new object of class '<em>ZL Fstr Anstoss Allg Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ZL Fstr Anstoss Allg Attribute Group</em>'.
	 * @generated
	 */
	ZL_Fstr_Anstoss_Allg_AttributeGroup createZL_Fstr_Anstoss_Allg_AttributeGroup();

	/**
	 * Returns a new object of class '<em>ZL Fstr Anstoss GK Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ZL Fstr Anstoss GK Attribute Group</em>'.
	 * @generated
	 */
	ZL_Fstr_Anstoss_GK_AttributeGroup createZL_Fstr_Anstoss_GK_AttributeGroup();

	/**
	 * Returns a new object of class '<em>ZL Fstr Zuschlag Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ZL Fstr Zuschlag Type Class</em>'.
	 * @generated
	 */
	ZL_Fstr_Zuschlag_TypeClass createZL_Fstr_Zuschlag_TypeClass();

	/**
	 * Returns a new object of class '<em>ZL Signalgruppe</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ZL Signalgruppe</em>'.
	 * @generated
	 */
	ZL_Signalgruppe createZL_Signalgruppe();

	/**
	 * Returns a new object of class '<em>ZL Signalgruppe Allg Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ZL Signalgruppe Allg Attribute Group</em>'.
	 * @generated
	 */
	ZL_Signalgruppe_Allg_AttributeGroup createZL_Signalgruppe_Allg_AttributeGroup();

	/**
	 * Returns a new object of class '<em>ZL Signalgruppe Zuordnung</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ZL Signalgruppe Zuordnung</em>'.
	 * @generated
	 */
	ZL_Signalgruppe_Zuordnung createZL_Signalgruppe_Zuordnung();

	/**
	 * Returns a new object of class '<em>ZL ZN Attribute Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ZL ZN Attribute Group</em>'.
	 * @generated
	 */
	ZL_ZN_AttributeGroup createZL_ZN_AttributeGroup();

	/**
	 * Returns a new object of class '<em>ZN Stellen Type Class</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ZN Stellen Type Class</em>'.
	 * @generated
	 */
	ZN_Stellen_TypeClass createZN_Stellen_TypeClass();

	/**
	 * Returns the package supported by this factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the package supported by this factory.
	 * @generated
	 */
	ZuglenkungPackage getZuglenkungPackage();

} //ZuglenkungFactory
