/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>ENUM Funktionalitaet Anzeigefeld</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZugnummernmeldeanlagePackage#getENUMFunktionalitaetAnzeigefeld()
 * @model extendedMetaData="name='ENUMFunktionalitaet_Anzeigefeld'"
 * @generated
 */
public enum ENUMFunktionalitaetAnzeigefeld implements Enumerator {
	/**
	 * The '<em><b>ENUM Funktionalitaet Anzeigefeld Anbiete Annahmefeld</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FUNKTIONALITAET_ANZEIGEFELD_ANBIETE_ANNAHMEFELD_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_FUNKTIONALITAET_ANZEIGEFELD_ANBIETE_ANNAHMEFELD(0, "ENUMFunktionalitaet_Anzeigefeld_Anbiete_Annahmefeld", "Anbiete_Annahmefeld"),

	/**
	 * The '<em><b>ENUM Funktionalitaet Anzeigefeld Meldeort</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FUNKTIONALITAET_ANZEIGEFELD_MELDEORT_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_FUNKTIONALITAET_ANZEIGEFELD_MELDEORT(1, "ENUMFunktionalitaet_Anzeigefeld_Meldeort", "Meldeort"),

	/**
	 * The '<em><b>ENUM Funktionalitaet Anzeigefeld sonstige</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FUNKTIONALITAET_ANZEIGEFELD_SONSTIGE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_FUNKTIONALITAET_ANZEIGEFELD_SONSTIGE(2, "ENUMFunktionalitaet_Anzeigefeld_sonstige", "sonstige"),

	/**
	 * The '<em><b>ENUM Funktionalitaet Anzeigefeld Spiegelfeld</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FUNKTIONALITAET_ANZEIGEFELD_SPIEGELFELD_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_FUNKTIONALITAET_ANZEIGEFELD_SPIEGELFELD(3, "ENUMFunktionalitaet_Anzeigefeld_Spiegelfeld", "Spiegelfeld"),

	/**
	 * The '<em><b>ENUM Funktionalitaet Anzeigefeld Stapelfeld</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FUNKTIONALITAET_ANZEIGEFELD_STAPELFELD_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_FUNKTIONALITAET_ANZEIGEFELD_STAPELFELD(4, "ENUMFunktionalitaet_Anzeigefeld_Stapelfeld", "Stapelfeld"),

	/**
	 * The '<em><b>ENUM Funktionalitaet Anzeigefeld Voranzeigefeld</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FUNKTIONALITAET_ANZEIGEFELD_VORANZEIGEFELD_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_FUNKTIONALITAET_ANZEIGEFELD_VORANZEIGEFELD(5, "ENUMFunktionalitaet_Anzeigefeld_Voranzeigefeld", "Voranzeigefeld"),

	/**
	 * The '<em><b>ENUM Funktionalitaet Anzeigefeld Wandelfeld</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FUNKTIONALITAET_ANZEIGEFELD_WANDELFELD_VALUE
	 * @generated
	 * @ordered
	 */
	ENUM_FUNKTIONALITAET_ANZEIGEFELD_WANDELFELD(6, "ENUMFunktionalitaet_Anzeigefeld_Wandelfeld", "Wandelfeld");

	/**
	 * The '<em><b>ENUM Funktionalitaet Anzeigefeld Anbiete Annahmefeld</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FUNKTIONALITAET_ANZEIGEFELD_ANBIETE_ANNAHMEFELD
	 * @model name="ENUMFunktionalitaet_Anzeigefeld_Anbiete_Annahmefeld" literal="Anbiete_Annahmefeld"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_FUNKTIONALITAET_ANZEIGEFELD_ANBIETE_ANNAHMEFELD_VALUE = 0;

	/**
	 * The '<em><b>ENUM Funktionalitaet Anzeigefeld Meldeort</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FUNKTIONALITAET_ANZEIGEFELD_MELDEORT
	 * @model name="ENUMFunktionalitaet_Anzeigefeld_Meldeort" literal="Meldeort"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_FUNKTIONALITAET_ANZEIGEFELD_MELDEORT_VALUE = 1;

	/**
	 * The '<em><b>ENUM Funktionalitaet Anzeigefeld sonstige</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FUNKTIONALITAET_ANZEIGEFELD_SONSTIGE
	 * @model name="ENUMFunktionalitaet_Anzeigefeld_sonstige" literal="sonstige"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_FUNKTIONALITAET_ANZEIGEFELD_SONSTIGE_VALUE = 2;

	/**
	 * The '<em><b>ENUM Funktionalitaet Anzeigefeld Spiegelfeld</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FUNKTIONALITAET_ANZEIGEFELD_SPIEGELFELD
	 * @model name="ENUMFunktionalitaet_Anzeigefeld_Spiegelfeld" literal="Spiegelfeld"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_FUNKTIONALITAET_ANZEIGEFELD_SPIEGELFELD_VALUE = 3;

	/**
	 * The '<em><b>ENUM Funktionalitaet Anzeigefeld Stapelfeld</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FUNKTIONALITAET_ANZEIGEFELD_STAPELFELD
	 * @model name="ENUMFunktionalitaet_Anzeigefeld_Stapelfeld" literal="Stapelfeld"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_FUNKTIONALITAET_ANZEIGEFELD_STAPELFELD_VALUE = 4;

	/**
	 * The '<em><b>ENUM Funktionalitaet Anzeigefeld Voranzeigefeld</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FUNKTIONALITAET_ANZEIGEFELD_VORANZEIGEFELD
	 * @model name="ENUMFunktionalitaet_Anzeigefeld_Voranzeigefeld" literal="Voranzeigefeld"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_FUNKTIONALITAET_ANZEIGEFELD_VORANZEIGEFELD_VALUE = 5;

	/**
	 * The '<em><b>ENUM Funktionalitaet Anzeigefeld Wandelfeld</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUM_FUNKTIONALITAET_ANZEIGEFELD_WANDELFELD
	 * @model name="ENUMFunktionalitaet_Anzeigefeld_Wandelfeld" literal="Wandelfeld"
	 * @generated
	 * @ordered
	 */
	public static final int ENUM_FUNKTIONALITAET_ANZEIGEFELD_WANDELFELD_VALUE = 6;

	/**
	 * An array of all the '<em><b>ENUM Funktionalitaet Anzeigefeld</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static final ENUMFunktionalitaetAnzeigefeld[] VALUES_ARRAY =
		new ENUMFunktionalitaetAnzeigefeld[] {
			ENUM_FUNKTIONALITAET_ANZEIGEFELD_ANBIETE_ANNAHMEFELD,
			ENUM_FUNKTIONALITAET_ANZEIGEFELD_MELDEORT,
			ENUM_FUNKTIONALITAET_ANZEIGEFELD_SONSTIGE,
			ENUM_FUNKTIONALITAET_ANZEIGEFELD_SPIEGELFELD,
			ENUM_FUNKTIONALITAET_ANZEIGEFELD_STAPELFELD,
			ENUM_FUNKTIONALITAET_ANZEIGEFELD_VORANZEIGEFELD,
			ENUM_FUNKTIONALITAET_ANZEIGEFELD_WANDELFELD,
		};

	/**
	 * A public read-only list of all the '<em><b>ENUM Funktionalitaet Anzeigefeld</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static final List<ENUMFunktionalitaetAnzeigefeld> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

	/**
	 * Returns the '<em><b>ENUM Funktionalitaet Anzeigefeld</b></em>' literal with the specified literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param literal the literal.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMFunktionalitaetAnzeigefeld get(String literal) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMFunktionalitaetAnzeigefeld result = VALUES_ARRAY[i];
			if (result.toString().equals(literal)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Funktionalitaet Anzeigefeld</b></em>' literal with the specified name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param name the name.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMFunktionalitaetAnzeigefeld getByName(String name) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMFunktionalitaetAnzeigefeld result = VALUES_ARRAY[i];
			if (result.getName().equals(name)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUM Funktionalitaet Anzeigefeld</b></em>' literal with the specified integer value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the integer value.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMFunktionalitaetAnzeigefeld get(int value) {
		switch (value) {
			case ENUM_FUNKTIONALITAET_ANZEIGEFELD_ANBIETE_ANNAHMEFELD_VALUE: return ENUM_FUNKTIONALITAET_ANZEIGEFELD_ANBIETE_ANNAHMEFELD;
			case ENUM_FUNKTIONALITAET_ANZEIGEFELD_MELDEORT_VALUE: return ENUM_FUNKTIONALITAET_ANZEIGEFELD_MELDEORT;
			case ENUM_FUNKTIONALITAET_ANZEIGEFELD_SONSTIGE_VALUE: return ENUM_FUNKTIONALITAET_ANZEIGEFELD_SONSTIGE;
			case ENUM_FUNKTIONALITAET_ANZEIGEFELD_SPIEGELFELD_VALUE: return ENUM_FUNKTIONALITAET_ANZEIGEFELD_SPIEGELFELD;
			case ENUM_FUNKTIONALITAET_ANZEIGEFELD_STAPELFELD_VALUE: return ENUM_FUNKTIONALITAET_ANZEIGEFELD_STAPELFELD;
			case ENUM_FUNKTIONALITAET_ANZEIGEFELD_VORANZEIGEFELD_VALUE: return ENUM_FUNKTIONALITAET_ANZEIGEFELD_VORANZEIGEFELD;
			case ENUM_FUNKTIONALITAET_ANZEIGEFELD_WANDELFELD_VALUE: return ENUM_FUNKTIONALITAET_ANZEIGEFELD_WANDELFELD;
			default: return null;
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final int value;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String name;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String literal;

	/**
	 * Only this class can construct instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private ENUMFunktionalitaetAnzeigefeld(int value, String name, String literal) {
		this.value = value;
		this.name = name;
		this.literal = literal;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public int getValue() {
	  return value;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getName() {
	  return name;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getLiteral() {
	  return literal;
	}

	/**
	 * Returns the literal value of the enumerator, which is its string representation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		return literal;
	}
	
} //ENUMFunktionalitaetAnzeigefeld
