/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>ENUMZBS Schnittstelle</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZugnummernmeldeanlagePackage#getENUMZBSSchnittstelle()
 * @model extendedMetaData="name='ENUMZBS_Schnittstelle'"
 * @generated
 */
public enum ENUMZBSSchnittstelle implements Enumerator {
	/**
	 * The '<em><b>ENUMZBS Schnittstelle LOGEM LGM 28 8D1</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMZBS_SCHNITTSTELLE_LOGEM_LGM_28_8D1_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMZBS_SCHNITTSTELLE_LOGEM_LGM_28_8D1(0, "ENUMZBS_Schnittstelle_LOGEM_LGM_28_8_D1", "LOGEM_LGM_28_8_D1"),

	/**
	 * The '<em><b>ENUMZBS Schnittstelle NOKIA ECM FAST 14400</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMZBS_SCHNITTSTELLE_NOKIA_ECM_FAST_14400_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMZBS_SCHNITTSTELLE_NOKIA_ECM_FAST_14400(1, "ENUMZBS_Schnittstelle_NOKIA_ECM_FAST_14400", "NOKIA_ECM_FAST_14400"),

	/**
	 * The '<em><b>ENUMZBS Schnittstelle NOKIA ECM FAST 19200</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMZBS_SCHNITTSTELLE_NOKIA_ECM_FAST_19200_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMZBS_SCHNITTSTELLE_NOKIA_ECM_FAST_19200(2, "ENUMZBS_Schnittstelle_NOKIA_ECM_FAST_19200", "NOKIA_ECM_FAST_19200"),

	/**
	 * The '<em><b>ENUMZBS Schnittstelle sonstige</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMZBS_SCHNITTSTELLE_SONSTIGE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMZBS_SCHNITTSTELLE_SONSTIGE(3, "ENUMZBS_Schnittstelle_sonstige", "sonstige");

	/**
	 * The '<em><b>ENUMZBS Schnittstelle LOGEM LGM 28 8D1</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMZBS_SCHNITTSTELLE_LOGEM_LGM_28_8D1
	 * @model name="ENUMZBS_Schnittstelle_LOGEM_LGM_28_8_D1" literal="LOGEM_LGM_28_8_D1"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMZBS_SCHNITTSTELLE_LOGEM_LGM_28_8D1_VALUE = 0;

	/**
	 * The '<em><b>ENUMZBS Schnittstelle NOKIA ECM FAST 14400</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMZBS_SCHNITTSTELLE_NOKIA_ECM_FAST_14400
	 * @model name="ENUMZBS_Schnittstelle_NOKIA_ECM_FAST_14400" literal="NOKIA_ECM_FAST_14400"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMZBS_SCHNITTSTELLE_NOKIA_ECM_FAST_14400_VALUE = 1;

	/**
	 * The '<em><b>ENUMZBS Schnittstelle NOKIA ECM FAST 19200</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMZBS_SCHNITTSTELLE_NOKIA_ECM_FAST_19200
	 * @model name="ENUMZBS_Schnittstelle_NOKIA_ECM_FAST_19200" literal="NOKIA_ECM_FAST_19200"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMZBS_SCHNITTSTELLE_NOKIA_ECM_FAST_19200_VALUE = 2;

	/**
	 * The '<em><b>ENUMZBS Schnittstelle sonstige</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMZBS_SCHNITTSTELLE_SONSTIGE
	 * @model name="ENUMZBS_Schnittstelle_sonstige" literal="sonstige"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMZBS_SCHNITTSTELLE_SONSTIGE_VALUE = 3;

	/**
	 * An array of all the '<em><b>ENUMZBS Schnittstelle</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static final ENUMZBSSchnittstelle[] VALUES_ARRAY =
		new ENUMZBSSchnittstelle[] {
			ENUMZBS_SCHNITTSTELLE_LOGEM_LGM_28_8D1,
			ENUMZBS_SCHNITTSTELLE_NOKIA_ECM_FAST_14400,
			ENUMZBS_SCHNITTSTELLE_NOKIA_ECM_FAST_19200,
			ENUMZBS_SCHNITTSTELLE_SONSTIGE,
		};

	/**
	 * A public read-only list of all the '<em><b>ENUMZBS Schnittstelle</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static final List<ENUMZBSSchnittstelle> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

	/**
	 * Returns the '<em><b>ENUMZBS Schnittstelle</b></em>' literal with the specified literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param literal the literal.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMZBSSchnittstelle get(String literal) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMZBSSchnittstelle result = VALUES_ARRAY[i];
			if (result.toString().equals(literal)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUMZBS Schnittstelle</b></em>' literal with the specified name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param name the name.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMZBSSchnittstelle getByName(String name) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMZBSSchnittstelle result = VALUES_ARRAY[i];
			if (result.getName().equals(name)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUMZBS Schnittstelle</b></em>' literal with the specified integer value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the integer value.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMZBSSchnittstelle get(int value) {
		switch (value) {
			case ENUMZBS_SCHNITTSTELLE_LOGEM_LGM_28_8D1_VALUE: return ENUMZBS_SCHNITTSTELLE_LOGEM_LGM_28_8D1;
			case ENUMZBS_SCHNITTSTELLE_NOKIA_ECM_FAST_14400_VALUE: return ENUMZBS_SCHNITTSTELLE_NOKIA_ECM_FAST_14400;
			case ENUMZBS_SCHNITTSTELLE_NOKIA_ECM_FAST_19200_VALUE: return ENUMZBS_SCHNITTSTELLE_NOKIA_ECM_FAST_19200;
			case ENUMZBS_SCHNITTSTELLE_SONSTIGE_VALUE: return ENUMZBS_SCHNITTSTELLE_SONSTIGE;
			default: return null;
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final int value;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String name;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String literal;

	/**
	 * Only this class can construct instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private ENUMZBSSchnittstelle(int value, String name, String literal) {
		this.value = value;
		this.name = name;
		this.literal = literal;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public int getValue() {
	  return value;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getName() {
	  return name;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getLiteral() {
	  return literal;
	}

	/**
	 * Returns the literal value of the enumerator, which is its string representation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		return literal;
	}
	
} //ENUMZBSSchnittstelle
