/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>ENUMZN Anlagentyp</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZugnummernmeldeanlagePackage#getENUMZNAnlagentyp()
 * @model extendedMetaData="name='ENUMZN_Anlagentyp'"
 * @generated
 */
public enum ENUMZNAnlagentyp implements Enumerator {
	/**
	 * The '<em><b>ENUMZN Anlagentyp sonstige</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMZN_ANLAGENTYP_SONSTIGE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMZN_ANLAGENTYP_SONSTIGE(0, "ENUMZN_Anlagentyp_sonstige", "sonstige"),

	/**
	 * The '<em><b>ENUMZN Anlagentyp ZN B950</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMZN_ANLAGENTYP_ZN_B950_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMZN_ANLAGENTYP_ZN_B950(1, "ENUMZN_Anlagentyp_ZN_B950", "ZN_B950"),

	/**
	 * The '<em><b>ENUMZN Anlagentyp ZN Su B</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMZN_ANLAGENTYP_ZN_SU_B_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMZN_ANLAGENTYP_ZN_SU_B(2, "ENUMZN_Anlagentyp_ZN_SuB", "ZN_SuB"),

	/**
	 * The '<em><b>ENUMZN Anlagentyp ZNE L2000</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMZN_ANLAGENTYP_ZNE_L2000_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMZN_ANLAGENTYP_ZNE_L2000(3, "ENUMZN_Anlagentyp_ZNE_L2000", "ZNE_L2000"),

	/**
	 * The '<em><b>ENUMZN Anlagentyp ZNL 2000</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMZN_ANLAGENTYP_ZNL_2000_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMZN_ANLAGENTYP_ZNL_2000(4, "ENUMZN_Anlagentyp_ZNL_2000", "ZNL_2000"),

	/**
	 * The '<em><b>ENUMZN Anlagentyp ZNL 800</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMZN_ANLAGENTYP_ZNL_800_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMZN_ANLAGENTYP_ZNL_800(5, "ENUMZN_Anlagentyp_ZNL_800", "ZNL_800"),

	/**
	 * The '<em><b>ENUMZN Anlagentyp ZNP 801</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMZN_ANLAGENTYP_ZNP_801_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMZN_ANLAGENTYP_ZNP_801(6, "ENUMZN_Anlagentyp_ZNP_801", "ZNP_801"),

	/**
	 * The '<em><b>ENUMZN Anlagentyp ZNS 801</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMZN_ANLAGENTYP_ZNS_801_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMZN_ANLAGENTYP_ZNS_801(7, "ENUMZN_Anlagentyp_ZNS_801", "ZNS_801"),

	/**
	 * The '<em><b>ENUMZN Anlagentyp ZNS 901</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMZN_ANLAGENTYP_ZNS_901_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMZN_ANLAGENTYP_ZNS_901(8, "ENUMZN_Anlagentyp_ZNS_901", "ZNS_901"),

	/**
	 * The '<em><b>ENUMZN Anlagentyp ZNS 901R</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMZN_ANLAGENTYP_ZNS_901R_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMZN_ANLAGENTYP_ZNS_901R(9, "ENUMZN_Anlagentyp_ZNS_901R", "ZNS_901R");

	/**
	 * The '<em><b>ENUMZN Anlagentyp sonstige</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMZN_ANLAGENTYP_SONSTIGE
	 * @model name="ENUMZN_Anlagentyp_sonstige" literal="sonstige"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMZN_ANLAGENTYP_SONSTIGE_VALUE = 0;

	/**
	 * The '<em><b>ENUMZN Anlagentyp ZN B950</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMZN_ANLAGENTYP_ZN_B950
	 * @model name="ENUMZN_Anlagentyp_ZN_B950" literal="ZN_B950"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMZN_ANLAGENTYP_ZN_B950_VALUE = 1;

	/**
	 * The '<em><b>ENUMZN Anlagentyp ZN Su B</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMZN_ANLAGENTYP_ZN_SU_B
	 * @model name="ENUMZN_Anlagentyp_ZN_SuB" literal="ZN_SuB"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMZN_ANLAGENTYP_ZN_SU_B_VALUE = 2;

	/**
	 * The '<em><b>ENUMZN Anlagentyp ZNE L2000</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMZN_ANLAGENTYP_ZNE_L2000
	 * @model name="ENUMZN_Anlagentyp_ZNE_L2000" literal="ZNE_L2000"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMZN_ANLAGENTYP_ZNE_L2000_VALUE = 3;

	/**
	 * The '<em><b>ENUMZN Anlagentyp ZNL 2000</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMZN_ANLAGENTYP_ZNL_2000
	 * @model name="ENUMZN_Anlagentyp_ZNL_2000" literal="ZNL_2000"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMZN_ANLAGENTYP_ZNL_2000_VALUE = 4;

	/**
	 * The '<em><b>ENUMZN Anlagentyp ZNL 800</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMZN_ANLAGENTYP_ZNL_800
	 * @model name="ENUMZN_Anlagentyp_ZNL_800" literal="ZNL_800"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMZN_ANLAGENTYP_ZNL_800_VALUE = 5;

	/**
	 * The '<em><b>ENUMZN Anlagentyp ZNP 801</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMZN_ANLAGENTYP_ZNP_801
	 * @model name="ENUMZN_Anlagentyp_ZNP_801" literal="ZNP_801"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMZN_ANLAGENTYP_ZNP_801_VALUE = 6;

	/**
	 * The '<em><b>ENUMZN Anlagentyp ZNS 801</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMZN_ANLAGENTYP_ZNS_801
	 * @model name="ENUMZN_Anlagentyp_ZNS_801" literal="ZNS_801"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMZN_ANLAGENTYP_ZNS_801_VALUE = 7;

	/**
	 * The '<em><b>ENUMZN Anlagentyp ZNS 901</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMZN_ANLAGENTYP_ZNS_901
	 * @model name="ENUMZN_Anlagentyp_ZNS_901" literal="ZNS_901"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMZN_ANLAGENTYP_ZNS_901_VALUE = 8;

	/**
	 * The '<em><b>ENUMZN Anlagentyp ZNS 901R</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMZN_ANLAGENTYP_ZNS_901R
	 * @model name="ENUMZN_Anlagentyp_ZNS_901R" literal="ZNS_901R"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMZN_ANLAGENTYP_ZNS_901R_VALUE = 9;

	/**
	 * An array of all the '<em><b>ENUMZN Anlagentyp</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static final ENUMZNAnlagentyp[] VALUES_ARRAY =
		new ENUMZNAnlagentyp[] {
			ENUMZN_ANLAGENTYP_SONSTIGE,
			ENUMZN_ANLAGENTYP_ZN_B950,
			ENUMZN_ANLAGENTYP_ZN_SU_B,
			ENUMZN_ANLAGENTYP_ZNE_L2000,
			ENUMZN_ANLAGENTYP_ZNL_2000,
			ENUMZN_ANLAGENTYP_ZNL_800,
			ENUMZN_ANLAGENTYP_ZNP_801,
			ENUMZN_ANLAGENTYP_ZNS_801,
			ENUMZN_ANLAGENTYP_ZNS_901,
			ENUMZN_ANLAGENTYP_ZNS_901R,
		};

	/**
	 * A public read-only list of all the '<em><b>ENUMZN Anlagentyp</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static final List<ENUMZNAnlagentyp> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

	/**
	 * Returns the '<em><b>ENUMZN Anlagentyp</b></em>' literal with the specified literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param literal the literal.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMZNAnlagentyp get(String literal) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMZNAnlagentyp result = VALUES_ARRAY[i];
			if (result.toString().equals(literal)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUMZN Anlagentyp</b></em>' literal with the specified name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param name the name.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMZNAnlagentyp getByName(String name) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMZNAnlagentyp result = VALUES_ARRAY[i];
			if (result.getName().equals(name)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUMZN Anlagentyp</b></em>' literal with the specified integer value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the integer value.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMZNAnlagentyp get(int value) {
		switch (value) {
			case ENUMZN_ANLAGENTYP_SONSTIGE_VALUE: return ENUMZN_ANLAGENTYP_SONSTIGE;
			case ENUMZN_ANLAGENTYP_ZN_B950_VALUE: return ENUMZN_ANLAGENTYP_ZN_B950;
			case ENUMZN_ANLAGENTYP_ZN_SU_B_VALUE: return ENUMZN_ANLAGENTYP_ZN_SU_B;
			case ENUMZN_ANLAGENTYP_ZNE_L2000_VALUE: return ENUMZN_ANLAGENTYP_ZNE_L2000;
			case ENUMZN_ANLAGENTYP_ZNL_2000_VALUE: return ENUMZN_ANLAGENTYP_ZNL_2000;
			case ENUMZN_ANLAGENTYP_ZNL_800_VALUE: return ENUMZN_ANLAGENTYP_ZNL_800;
			case ENUMZN_ANLAGENTYP_ZNP_801_VALUE: return ENUMZN_ANLAGENTYP_ZNP_801;
			case ENUMZN_ANLAGENTYP_ZNS_801_VALUE: return ENUMZN_ANLAGENTYP_ZNS_801;
			case ENUMZN_ANLAGENTYP_ZNS_901_VALUE: return ENUMZN_ANLAGENTYP_ZNS_901;
			case ENUMZN_ANLAGENTYP_ZNS_901R_VALUE: return ENUMZN_ANLAGENTYP_ZNS_901R;
			default: return null;
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final int value;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String name;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String literal;

	/**
	 * Only this class can construct instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private ENUMZNAnlagentyp(int value, String name, String literal) {
		this.value = value;
		this.name = name;
		this.literal = literal;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public int getValue() {
	  return value;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getName() {
	  return name;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getLiteral() {
	  return literal;
	}

	/**
	 * Returns the literal value of the enumerator, which is its string representation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		return literal;
	}
	
} //ENUMZNAnlagentyp
