/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>ENUMZN Anzeigefeld Loeschkriterium</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZugnummernmeldeanlagePackage#getENUMZNAnzeigefeldLoeschkriterium()
 * @model extendedMetaData="name='ENUMZN_Anzeigefeld_Loeschkriterium'"
 * @generated
 */
public enum ENUMZNAnzeigefeldLoeschkriterium implements Enumerator {
	/**
	 * The '<em><b>ENUMZN Anzeigefeld Loeschkriterium automatisch nach 30 s</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMZN_ANZEIGEFELD_LOESCHKRITERIUM_AUTOMATISCH_NACH_30_S_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMZN_ANZEIGEFELD_LOESCHKRITERIUM_AUTOMATISCH_NACH_30_S(0, "ENUMZN_Anzeigefeld_Loeschkriterium_automatisch_nach_30_s", "automatisch_nach_30_s"),

	/**
	 * The '<em><b>ENUMZN Anzeigefeld Loeschkriterium Fahrstrasse aufgeloest</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMZN_ANZEIGEFELD_LOESCHKRITERIUM_FAHRSTRASSE_AUFGELOEST_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMZN_ANZEIGEFELD_LOESCHKRITERIUM_FAHRSTRASSE_AUFGELOEST(1, "ENUMZN_Anzeigefeld_Loeschkriterium_Fahrstrasse_aufgeloest", "Fahrstrasse_aufgeloest"),

	/**
	 * The '<em><b>ENUMZN Anzeigefeld Loeschkriterium Fortschaltung beim Nachbarn</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMZN_ANZEIGEFELD_LOESCHKRITERIUM_FORTSCHALTUNG_BEIM_NACHBARN_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMZN_ANZEIGEFELD_LOESCHKRITERIUM_FORTSCHALTUNG_BEIM_NACHBARN(2, "ENUMZN_Anzeigefeld_Loeschkriterium_Fortschaltung_beim_Nachbarn", "Fortschaltung_beim_Nachbarn"),

	/**
	 * The '<em><b>ENUMZN Anzeigefeld Loeschkriterium haendisch</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMZN_ANZEIGEFELD_LOESCHKRITERIUM_HAENDISCH_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMZN_ANZEIGEFELD_LOESCHKRITERIUM_HAENDISCH(3, "ENUMZN_Anzeigefeld_Loeschkriterium_haendisch", "haendisch"),

	/**
	 * The '<em><b>ENUMZN Anzeigefeld Loeschkriterium Rueckblock eingegangen</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMZN_ANZEIGEFELD_LOESCHKRITERIUM_RUECKBLOCK_EINGEGANGEN_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMZN_ANZEIGEFELD_LOESCHKRITERIUM_RUECKBLOCK_EINGEGANGEN(4, "ENUMZN_Anzeigefeld_Loeschkriterium_Rueckblock_eingegangen", "Rueckblock_eingegangen"),

	/**
	 * The '<em><b>ENUMZN Anzeigefeld Loeschkriterium sonstige</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMZN_ANZEIGEFELD_LOESCHKRITERIUM_SONSTIGE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMZN_ANZEIGEFELD_LOESCHKRITERIUM_SONSTIGE(5, "ENUMZN_Anzeigefeld_Loeschkriterium_sonstige", "sonstige");

	/**
	 * The '<em><b>ENUMZN Anzeigefeld Loeschkriterium automatisch nach 30 s</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMZN_ANZEIGEFELD_LOESCHKRITERIUM_AUTOMATISCH_NACH_30_S
	 * @model name="ENUMZN_Anzeigefeld_Loeschkriterium_automatisch_nach_30_s" literal="automatisch_nach_30_s"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMZN_ANZEIGEFELD_LOESCHKRITERIUM_AUTOMATISCH_NACH_30_S_VALUE = 0;

	/**
	 * The '<em><b>ENUMZN Anzeigefeld Loeschkriterium Fahrstrasse aufgeloest</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMZN_ANZEIGEFELD_LOESCHKRITERIUM_FAHRSTRASSE_AUFGELOEST
	 * @model name="ENUMZN_Anzeigefeld_Loeschkriterium_Fahrstrasse_aufgeloest" literal="Fahrstrasse_aufgeloest"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMZN_ANZEIGEFELD_LOESCHKRITERIUM_FAHRSTRASSE_AUFGELOEST_VALUE = 1;

	/**
	 * The '<em><b>ENUMZN Anzeigefeld Loeschkriterium Fortschaltung beim Nachbarn</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMZN_ANZEIGEFELD_LOESCHKRITERIUM_FORTSCHALTUNG_BEIM_NACHBARN
	 * @model name="ENUMZN_Anzeigefeld_Loeschkriterium_Fortschaltung_beim_Nachbarn" literal="Fortschaltung_beim_Nachbarn"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMZN_ANZEIGEFELD_LOESCHKRITERIUM_FORTSCHALTUNG_BEIM_NACHBARN_VALUE = 2;

	/**
	 * The '<em><b>ENUMZN Anzeigefeld Loeschkriterium haendisch</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMZN_ANZEIGEFELD_LOESCHKRITERIUM_HAENDISCH
	 * @model name="ENUMZN_Anzeigefeld_Loeschkriterium_haendisch" literal="haendisch"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMZN_ANZEIGEFELD_LOESCHKRITERIUM_HAENDISCH_VALUE = 3;

	/**
	 * The '<em><b>ENUMZN Anzeigefeld Loeschkriterium Rueckblock eingegangen</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMZN_ANZEIGEFELD_LOESCHKRITERIUM_RUECKBLOCK_EINGEGANGEN
	 * @model name="ENUMZN_Anzeigefeld_Loeschkriterium_Rueckblock_eingegangen" literal="Rueckblock_eingegangen"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMZN_ANZEIGEFELD_LOESCHKRITERIUM_RUECKBLOCK_EINGEGANGEN_VALUE = 4;

	/**
	 * The '<em><b>ENUMZN Anzeigefeld Loeschkriterium sonstige</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMZN_ANZEIGEFELD_LOESCHKRITERIUM_SONSTIGE
	 * @model name="ENUMZN_Anzeigefeld_Loeschkriterium_sonstige" literal="sonstige"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMZN_ANZEIGEFELD_LOESCHKRITERIUM_SONSTIGE_VALUE = 5;

	/**
	 * An array of all the '<em><b>ENUMZN Anzeigefeld Loeschkriterium</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static final ENUMZNAnzeigefeldLoeschkriterium[] VALUES_ARRAY =
		new ENUMZNAnzeigefeldLoeschkriterium[] {
			ENUMZN_ANZEIGEFELD_LOESCHKRITERIUM_AUTOMATISCH_NACH_30_S,
			ENUMZN_ANZEIGEFELD_LOESCHKRITERIUM_FAHRSTRASSE_AUFGELOEST,
			ENUMZN_ANZEIGEFELD_LOESCHKRITERIUM_FORTSCHALTUNG_BEIM_NACHBARN,
			ENUMZN_ANZEIGEFELD_LOESCHKRITERIUM_HAENDISCH,
			ENUMZN_ANZEIGEFELD_LOESCHKRITERIUM_RUECKBLOCK_EINGEGANGEN,
			ENUMZN_ANZEIGEFELD_LOESCHKRITERIUM_SONSTIGE,
		};

	/**
	 * A public read-only list of all the '<em><b>ENUMZN Anzeigefeld Loeschkriterium</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static final List<ENUMZNAnzeigefeldLoeschkriterium> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

	/**
	 * Returns the '<em><b>ENUMZN Anzeigefeld Loeschkriterium</b></em>' literal with the specified literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param literal the literal.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMZNAnzeigefeldLoeschkriterium get(String literal) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMZNAnzeigefeldLoeschkriterium result = VALUES_ARRAY[i];
			if (result.toString().equals(literal)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUMZN Anzeigefeld Loeschkriterium</b></em>' literal with the specified name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param name the name.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMZNAnzeigefeldLoeschkriterium getByName(String name) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMZNAnzeigefeldLoeschkriterium result = VALUES_ARRAY[i];
			if (result.getName().equals(name)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUMZN Anzeigefeld Loeschkriterium</b></em>' literal with the specified integer value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the integer value.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMZNAnzeigefeldLoeschkriterium get(int value) {
		switch (value) {
			case ENUMZN_ANZEIGEFELD_LOESCHKRITERIUM_AUTOMATISCH_NACH_30_S_VALUE: return ENUMZN_ANZEIGEFELD_LOESCHKRITERIUM_AUTOMATISCH_NACH_30_S;
			case ENUMZN_ANZEIGEFELD_LOESCHKRITERIUM_FAHRSTRASSE_AUFGELOEST_VALUE: return ENUMZN_ANZEIGEFELD_LOESCHKRITERIUM_FAHRSTRASSE_AUFGELOEST;
			case ENUMZN_ANZEIGEFELD_LOESCHKRITERIUM_FORTSCHALTUNG_BEIM_NACHBARN_VALUE: return ENUMZN_ANZEIGEFELD_LOESCHKRITERIUM_FORTSCHALTUNG_BEIM_NACHBARN;
			case ENUMZN_ANZEIGEFELD_LOESCHKRITERIUM_HAENDISCH_VALUE: return ENUMZN_ANZEIGEFELD_LOESCHKRITERIUM_HAENDISCH;
			case ENUMZN_ANZEIGEFELD_LOESCHKRITERIUM_RUECKBLOCK_EINGEGANGEN_VALUE: return ENUMZN_ANZEIGEFELD_LOESCHKRITERIUM_RUECKBLOCK_EINGEGANGEN;
			case ENUMZN_ANZEIGEFELD_LOESCHKRITERIUM_SONSTIGE_VALUE: return ENUMZN_ANZEIGEFELD_LOESCHKRITERIUM_SONSTIGE;
			default: return null;
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final int value;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String name;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String literal;

	/**
	 * Only this class can construct instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private ENUMZNAnzeigefeldLoeschkriterium(int value, String name, String literal) {
		this.value = value;
		this.name = name;
		this.literal = literal;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public int getValue() {
	  return value;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getName() {
	  return name;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getLiteral() {
	  return literal;
	}

	/**
	 * Returns the literal value of the enumerator, which is its string representation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		return literal;
	}
	
} //ENUMZNAnzeigefeldLoeschkriterium
