/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>ENUMZN Schaltkriterium</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZugnummernmeldeanlagePackage#getENUMZNSchaltkriterium()
 * @model extendedMetaData="name='ENUMZN_Schaltkriterium'"
 * @generated
 */
public enum ENUMZNSchaltkriterium implements Enumerator {
	/**
	 * The '<em><b>ENUMZN Schaltkriterium Gleis belegen</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMZN_SCHALTKRITERIUM_GLEIS_BELEGEN_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMZN_SCHALTKRITERIUM_GLEIS_BELEGEN(0, "ENUMZN_Schaltkriterium_Gleis_belegen", "Gleis_belegen"),

	/**
	 * The '<em><b>ENUMZN Schaltkriterium Gleis belegen und davor freifahren</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMZN_SCHALTKRITERIUM_GLEIS_BELEGEN_UND_DAVOR_FREIFAHREN_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMZN_SCHALTKRITERIUM_GLEIS_BELEGEN_UND_DAVOR_FREIFAHREN(1, "ENUMZN_Schaltkriterium_Gleis_belegen_und_davor_freifahren", "Gleis_belegen_und_davor_freifahren"),

	/**
	 * The '<em><b>ENUMZN Schaltkriterium Gleis freifahren</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMZN_SCHALTKRITERIUM_GLEIS_FREIFAHREN_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMZN_SCHALTKRITERIUM_GLEIS_FREIFAHREN(2, "ENUMZN_Schaltkriterium_Gleis_freifahren", "Gleis_freifahren"),

	/**
	 * The '<em><b>ENUMZN Schaltkriterium kein</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMZN_SCHALTKRITERIUM_KEIN_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMZN_SCHALTKRITERIUM_KEIN(3, "ENUMZN_Schaltkriterium_kein", "kein"),

	/**
	 * The '<em><b>ENUMZN Schaltkriterium manuell</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMZN_SCHALTKRITERIUM_MANUELL_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMZN_SCHALTKRITERIUM_MANUELL(4, "ENUMZN_Schaltkriterium_manuell", "manuell"),

	/**
	 * The '<em><b>ENUMZN Schaltkriterium Signalhaltfall Hauptsignal</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMZN_SCHALTKRITERIUM_SIGNALHALTFALL_HAUPTSIGNAL_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMZN_SCHALTKRITERIUM_SIGNALHALTFALL_HAUPTSIGNAL(5, "ENUMZN_Schaltkriterium_Signalhaltfall_Hauptsignal", "Signalhaltfall_Hauptsignal"),

	/**
	 * The '<em><b>ENUMZN Schaltkriterium Signalhaltfall Rangiersignal</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMZN_SCHALTKRITERIUM_SIGNALHALTFALL_RANGIERSIGNAL_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMZN_SCHALTKRITERIUM_SIGNALHALTFALL_RANGIERSIGNAL(6, "ENUMZN_Schaltkriterium_Signalhaltfall_Rangiersignal", "Signalhaltfall_Rangiersignal"),

	/**
	 * The '<em><b>ENUMZN Schaltkriterium sonstige</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMZN_SCHALTKRITERIUM_SONSTIGE_VALUE
	 * @generated
	 * @ordered
	 */
	ENUMZN_SCHALTKRITERIUM_SONSTIGE(7, "ENUMZN_Schaltkriterium_sonstige", "sonstige");

	/**
	 * The '<em><b>ENUMZN Schaltkriterium Gleis belegen</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMZN_SCHALTKRITERIUM_GLEIS_BELEGEN
	 * @model name="ENUMZN_Schaltkriterium_Gleis_belegen" literal="Gleis_belegen"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMZN_SCHALTKRITERIUM_GLEIS_BELEGEN_VALUE = 0;

	/**
	 * The '<em><b>ENUMZN Schaltkriterium Gleis belegen und davor freifahren</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMZN_SCHALTKRITERIUM_GLEIS_BELEGEN_UND_DAVOR_FREIFAHREN
	 * @model name="ENUMZN_Schaltkriterium_Gleis_belegen_und_davor_freifahren" literal="Gleis_belegen_und_davor_freifahren"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMZN_SCHALTKRITERIUM_GLEIS_BELEGEN_UND_DAVOR_FREIFAHREN_VALUE = 1;

	/**
	 * The '<em><b>ENUMZN Schaltkriterium Gleis freifahren</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMZN_SCHALTKRITERIUM_GLEIS_FREIFAHREN
	 * @model name="ENUMZN_Schaltkriterium_Gleis_freifahren" literal="Gleis_freifahren"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMZN_SCHALTKRITERIUM_GLEIS_FREIFAHREN_VALUE = 2;

	/**
	 * The '<em><b>ENUMZN Schaltkriterium kein</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMZN_SCHALTKRITERIUM_KEIN
	 * @model name="ENUMZN_Schaltkriterium_kein" literal="kein"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMZN_SCHALTKRITERIUM_KEIN_VALUE = 3;

	/**
	 * The '<em><b>ENUMZN Schaltkriterium manuell</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMZN_SCHALTKRITERIUM_MANUELL
	 * @model name="ENUMZN_Schaltkriterium_manuell" literal="manuell"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMZN_SCHALTKRITERIUM_MANUELL_VALUE = 4;

	/**
	 * The '<em><b>ENUMZN Schaltkriterium Signalhaltfall Hauptsignal</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMZN_SCHALTKRITERIUM_SIGNALHALTFALL_HAUPTSIGNAL
	 * @model name="ENUMZN_Schaltkriterium_Signalhaltfall_Hauptsignal" literal="Signalhaltfall_Hauptsignal"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMZN_SCHALTKRITERIUM_SIGNALHALTFALL_HAUPTSIGNAL_VALUE = 5;

	/**
	 * The '<em><b>ENUMZN Schaltkriterium Signalhaltfall Rangiersignal</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMZN_SCHALTKRITERIUM_SIGNALHALTFALL_RANGIERSIGNAL
	 * @model name="ENUMZN_Schaltkriterium_Signalhaltfall_Rangiersignal" literal="Signalhaltfall_Rangiersignal"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMZN_SCHALTKRITERIUM_SIGNALHALTFALL_RANGIERSIGNAL_VALUE = 6;

	/**
	 * The '<em><b>ENUMZN Schaltkriterium sonstige</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ENUMZN_SCHALTKRITERIUM_SONSTIGE
	 * @model name="ENUMZN_Schaltkriterium_sonstige" literal="sonstige"
	 * @generated
	 * @ordered
	 */
	public static final int ENUMZN_SCHALTKRITERIUM_SONSTIGE_VALUE = 7;

	/**
	 * An array of all the '<em><b>ENUMZN Schaltkriterium</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static final ENUMZNSchaltkriterium[] VALUES_ARRAY =
		new ENUMZNSchaltkriterium[] {
			ENUMZN_SCHALTKRITERIUM_GLEIS_BELEGEN,
			ENUMZN_SCHALTKRITERIUM_GLEIS_BELEGEN_UND_DAVOR_FREIFAHREN,
			ENUMZN_SCHALTKRITERIUM_GLEIS_FREIFAHREN,
			ENUMZN_SCHALTKRITERIUM_KEIN,
			ENUMZN_SCHALTKRITERIUM_MANUELL,
			ENUMZN_SCHALTKRITERIUM_SIGNALHALTFALL_HAUPTSIGNAL,
			ENUMZN_SCHALTKRITERIUM_SIGNALHALTFALL_RANGIERSIGNAL,
			ENUMZN_SCHALTKRITERIUM_SONSTIGE,
		};

	/**
	 * A public read-only list of all the '<em><b>ENUMZN Schaltkriterium</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static final List<ENUMZNSchaltkriterium> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

	/**
	 * Returns the '<em><b>ENUMZN Schaltkriterium</b></em>' literal with the specified literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param literal the literal.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMZNSchaltkriterium get(String literal) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMZNSchaltkriterium result = VALUES_ARRAY[i];
			if (result.toString().equals(literal)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUMZN Schaltkriterium</b></em>' literal with the specified name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param name the name.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMZNSchaltkriterium getByName(String name) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ENUMZNSchaltkriterium result = VALUES_ARRAY[i];
			if (result.getName().equals(name)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>ENUMZN Schaltkriterium</b></em>' literal with the specified integer value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the integer value.
	 * @return the matching enumerator or <code>null</code>.
	 * @generated
	 */
	public static ENUMZNSchaltkriterium get(int value) {
		switch (value) {
			case ENUMZN_SCHALTKRITERIUM_GLEIS_BELEGEN_VALUE: return ENUMZN_SCHALTKRITERIUM_GLEIS_BELEGEN;
			case ENUMZN_SCHALTKRITERIUM_GLEIS_BELEGEN_UND_DAVOR_FREIFAHREN_VALUE: return ENUMZN_SCHALTKRITERIUM_GLEIS_BELEGEN_UND_DAVOR_FREIFAHREN;
			case ENUMZN_SCHALTKRITERIUM_GLEIS_FREIFAHREN_VALUE: return ENUMZN_SCHALTKRITERIUM_GLEIS_FREIFAHREN;
			case ENUMZN_SCHALTKRITERIUM_KEIN_VALUE: return ENUMZN_SCHALTKRITERIUM_KEIN;
			case ENUMZN_SCHALTKRITERIUM_MANUELL_VALUE: return ENUMZN_SCHALTKRITERIUM_MANUELL;
			case ENUMZN_SCHALTKRITERIUM_SIGNALHALTFALL_HAUPTSIGNAL_VALUE: return ENUMZN_SCHALTKRITERIUM_SIGNALHALTFALL_HAUPTSIGNAL;
			case ENUMZN_SCHALTKRITERIUM_SIGNALHALTFALL_RANGIERSIGNAL_VALUE: return ENUMZN_SCHALTKRITERIUM_SIGNALHALTFALL_RANGIERSIGNAL;
			case ENUMZN_SCHALTKRITERIUM_SONSTIGE_VALUE: return ENUMZN_SCHALTKRITERIUM_SONSTIGE;
			default: return null;
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final int value;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String name;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String literal;

	/**
	 * Only this class can construct instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private ENUMZNSchaltkriterium(int value, String name, String literal) {
		this.value = value;
		this.name = name;
		this.literal = literal;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public int getValue() {
	  return value;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getName() {
	  return name;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getLiteral() {
	  return literal;
	}

	/**
	 * Returns the literal value of the enumerator, which is its string representation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		return literal;
	}
	
} //ENUMZNSchaltkriterium
