/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Ansteuerung_Element;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EDataType;
import org.eclipse.emf.ecore.EEnum;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

import org.eclipse.set.toolboxmodel.BasisTypen.BasisTypenPackage;

import org.eclipse.set.toolboxmodel.Basisobjekte.BasisobjektePackage;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each operation of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * <!-- begin-model-doc -->
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * <!-- end-model-doc -->
 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Ansteuerung_ElementFactory
 * @model kind="package"
 * @generated
 */
public interface Ansteuerung_ElementPackage extends EPackage {
	/**
	 * The package name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNAME = "Ansteuerung_Element";

	/**
	 * The package namespace URI.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_URI = "http://www.plan-pro.org/modell/Ansteuerung_Element/toolbox";

	/**
	 * The package namespace name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_PREFIX = "nsAnsteuerung_Element";

	/**
	 * The singleton instance of the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	Ansteuerung_ElementPackage eINSTANCE = org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl.init();

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.AEA_Allg_AttributeGroupImpl <em>AEA Allg Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.AEA_Allg_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getAEA_Allg_AttributeGroup()
	 * @generated
	 */
	int AEA_ALLG_ATTRIBUTE_GROUP = 0;

	/**
	 * The feature id for the '<em><b>Aussenelementansteuerung Art</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AEA_ALLG_ATTRIBUTE_GROUP__AUSSENELEMENTANSTEUERUNG_ART = 0;

	/**
	 * The feature id for the '<em><b>Bauart</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AEA_ALLG_ATTRIBUTE_GROUP__BAUART = 1;

	/**
	 * The number of structural features of the '<em>AEA Allg Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AEA_ALLG_ATTRIBUTE_GROUP_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>AEA Allg Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AEA_ALLG_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.AEA_Energieversorgung_AttributeGroupImpl <em>AEA Energieversorgung Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.AEA_Energieversorgung_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getAEA_Energieversorgung_AttributeGroup()
	 * @generated
	 */
	int AEA_ENERGIEVERSORGUNG_ATTRIBUTE_GROUP = 1;

	/**
	 * The feature id for the '<em><b>Energieversorgung Art Ersatz</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AEA_ENERGIEVERSORGUNG_ATTRIBUTE_GROUP__ENERGIEVERSORGUNG_ART_ERSATZ = 0;

	/**
	 * The feature id for the '<em><b>ID Energie Sekundaer</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AEA_ENERGIEVERSORGUNG_ATTRIBUTE_GROUP__ID_ENERGIE_SEKUNDAER = 1;

	/**
	 * The feature id for the '<em><b>Energieversorgung Art</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AEA_ENERGIEVERSORGUNG_ATTRIBUTE_GROUP__ENERGIEVERSORGUNG_ART = 2;

	/**
	 * The feature id for the '<em><b>ID Energie Primaer</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AEA_ENERGIEVERSORGUNG_ATTRIBUTE_GROUP__ID_ENERGIE_PRIMAER = 3;

	/**
	 * The number of structural features of the '<em>AEA Energieversorgung Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AEA_ENERGIEVERSORGUNG_ATTRIBUTE_GROUP_FEATURE_COUNT = 4;

	/**
	 * The number of operations of the '<em>AEA Energieversorgung Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AEA_ENERGIEVERSORGUNG_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.AEA_GFK_IP_Adressblock_AttributeGroupImpl <em>AEA GFK IP Adressblock Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.AEA_GFK_IP_Adressblock_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getAEA_GFK_IP_Adressblock_AttributeGroup()
	 * @generated
	 */
	int AEA_GFK_IP_ADRESSBLOCK_ATTRIBUTE_GROUP = 2;

	/**
	 * The feature id for the '<em><b>GFK Kategorie</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AEA_GFK_IP_ADRESSBLOCK_ATTRIBUTE_GROUP__GFK_KATEGORIE = 0;

	/**
	 * The feature id for the '<em><b>IP Adressblock Blau V4</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AEA_GFK_IP_ADRESSBLOCK_ATTRIBUTE_GROUP__IP_ADRESSBLOCK_BLAU_V4 = 1;

	/**
	 * The feature id for the '<em><b>IP Adressblock Blau V6</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AEA_GFK_IP_ADRESSBLOCK_ATTRIBUTE_GROUP__IP_ADRESSBLOCK_BLAU_V6 = 2;

	/**
	 * The feature id for the '<em><b>IP Adressblock Grau V4</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AEA_GFK_IP_ADRESSBLOCK_ATTRIBUTE_GROUP__IP_ADRESSBLOCK_GRAU_V4 = 3;

	/**
	 * The feature id for the '<em><b>IP Adressblock Grau V6</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AEA_GFK_IP_ADRESSBLOCK_ATTRIBUTE_GROUP__IP_ADRESSBLOCK_GRAU_V6 = 4;

	/**
	 * The feature id for the '<em><b>Regionalbereich</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AEA_GFK_IP_ADRESSBLOCK_ATTRIBUTE_GROUP__REGIONALBEREICH = 5;

	/**
	 * The number of structural features of the '<em>AEA GFK IP Adressblock Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AEA_GFK_IP_ADRESSBLOCK_ATTRIBUTE_GROUP_FEATURE_COUNT = 6;

	/**
	 * The number of operations of the '<em>AEA GFK IP Adressblock Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AEA_GFK_IP_ADRESSBLOCK_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.AussenelementansteuerungImpl <em>Aussenelementansteuerung</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.AussenelementansteuerungImpl
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getAussenelementansteuerung()
	 * @generated
	 */
	int AUSSENELEMENTANSTEUERUNG = 3;

	/**
	 * The feature id for the '<em><b>Identitaet</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUSSENELEMENTANSTEUERUNG__IDENTITAET = BasisobjektePackage.BASIS_OBJEKT__IDENTITAET;

	/**
	 * The feature id for the '<em><b>Basis Objekt Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUSSENELEMENTANSTEUERUNG__BASIS_OBJEKT_ALLG = BasisobjektePackage.BASIS_OBJEKT__BASIS_OBJEKT_ALLG;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUSSENELEMENTANSTEUERUNG__ID_BEARBEITUNGSVERMERK = BasisobjektePackage.BASIS_OBJEKT__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>ID Oertlichkeit Ausgabe</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUSSENELEMENTANSTEUERUNG__ID_OERTLICHKEIT_AUSGABE = BasisobjektePackage.BASIS_OBJEKT__ID_OERTLICHKEIT_AUSGABE;

	/**
	 * The feature id for the '<em><b>Objektreferenzen</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUSSENELEMENTANSTEUERUNG__OBJEKTREFERENZEN = BasisobjektePackage.BASIS_OBJEKT__OBJEKTREFERENZEN;

	/**
	 * The feature id for the '<em><b>AEA Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUSSENELEMENTANSTEUERUNG__AEA_ALLG = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>AEA Energieversorgung</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUSSENELEMENTANSTEUERUNG__AEA_ENERGIEVERSORGUNG = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>AEAGFKIP Adressblock</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUSSENELEMENTANSTEUERUNG__AEAGFKIP_ADRESSBLOCK = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Bezeichnung</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUSSENELEMENTANSTEUERUNG__BEZEICHNUNG = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>ID Information Primaer</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUSSENELEMENTANSTEUERUNG__ID_INFORMATION_PRIMAER = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>ID Information Sekundaer</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUSSENELEMENTANSTEUERUNG__ID_INFORMATION_SEKUNDAER = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>ID Oertlichkeit Gesteuert</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUSSENELEMENTANSTEUERUNG__ID_OERTLICHKEIT_GESTEUERT = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>ID Oertlichkeit Namensgebend</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUSSENELEMENTANSTEUERUNG__ID_OERTLICHKEIT_NAMENSGEBEND = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>ID Unterbringung</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUSSENELEMENTANSTEUERUNG__ID_UNTERBRINGUNG = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 8;

	/**
	 * The number of structural features of the '<em>Aussenelementansteuerung</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUSSENELEMENTANSTEUERUNG_FEATURE_COUNT = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 9;

	/**
	 * The number of operations of the '<em>Aussenelementansteuerung</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUSSENELEMENTANSTEUERUNG_OPERATION_COUNT = BasisobjektePackage.BASIS_OBJEKT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Aussenelementansteuerung_Art_TypeClassImpl <em>Aussenelementansteuerung Art Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Aussenelementansteuerung_Art_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getAussenelementansteuerung_Art_TypeClass()
	 * @generated
	 */
	int AUSSENELEMENTANSTEUERUNG_ART_TYPE_CLASS = 4;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUSSENELEMENTANSTEUERUNG_ART_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUSSENELEMENTANSTEUERUNG_ART_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Aussenelementansteuerung Art Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUSSENELEMENTANSTEUERUNG_ART_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Aussenelementansteuerung Art Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUSSENELEMENTANSTEUERUNG_ART_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Aussenelementansteuerung_Bezeichnung_AttributeGroupImpl <em>Aussenelementansteuerung Bezeichnung Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Aussenelementansteuerung_Bezeichnung_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getAussenelementansteuerung_Bezeichnung_AttributeGroup()
	 * @generated
	 */
	int AUSSENELEMENTANSTEUERUNG_BEZEICHNUNG_ATTRIBUTE_GROUP = 5;

	/**
	 * The feature id for the '<em><b>Bezeichnung AEA</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUSSENELEMENTANSTEUERUNG_BEZEICHNUNG_ATTRIBUTE_GROUP__BEZEICHNUNG_AEA = 0;

	/**
	 * The number of structural features of the '<em>Aussenelementansteuerung Bezeichnung Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUSSENELEMENTANSTEUERUNG_BEZEICHNUNG_ATTRIBUTE_GROUP_FEATURE_COUNT = 1;

	/**
	 * The number of operations of the '<em>Aussenelementansteuerung Bezeichnung Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUSSENELEMENTANSTEUERUNG_BEZEICHNUNG_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Bandbreite_TypeClassImpl <em>Bandbreite Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Bandbreite_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getBandbreite_TypeClass()
	 * @generated
	 */
	int BANDBREITE_TYPE_CLASS = 6;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BANDBREITE_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BANDBREITE_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Bandbreite Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BANDBREITE_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Bandbreite Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BANDBREITE_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Bauart_TypeClassImpl <em>Bauart Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Bauart_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getBauart_TypeClass()
	 * @generated
	 */
	int BAUART_TYPE_CLASS = 7;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BAUART_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BAUART_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Bauart Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BAUART_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Bauart Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BAUART_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Bezeichnung_AEA_TypeClassImpl <em>Bezeichnung AEA Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Bezeichnung_AEA_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getBezeichnung_AEA_TypeClass()
	 * @generated
	 */
	int BEZEICHNUNG_AEA_TYPE_CLASS = 8;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEZEICHNUNG_AEA_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEZEICHNUNG_AEA_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Bezeichnung AEA Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEZEICHNUNG_AEA_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Bezeichnung AEA Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEZEICHNUNG_AEA_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Bezeichnung_ESTW_ZE_TypeClassImpl <em>Bezeichnung ESTW ZE Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Bezeichnung_ESTW_ZE_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getBezeichnung_ESTW_ZE_TypeClass()
	 * @generated
	 */
	int BEZEICHNUNG_ESTW_ZE_TYPE_CLASS = 9;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEZEICHNUNG_ESTW_ZE_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEZEICHNUNG_ESTW_ZE_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Bezeichnung ESTW ZE Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEZEICHNUNG_ESTW_ZE_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Bezeichnung ESTW ZE Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEZEICHNUNG_ESTW_ZE_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Bezeichnung_Stellwerk_TypeClassImpl <em>Bezeichnung Stellwerk Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Bezeichnung_Stellwerk_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getBezeichnung_Stellwerk_TypeClass()
	 * @generated
	 */
	int BEZEICHNUNG_STELLWERK_TYPE_CLASS = 10;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEZEICHNUNG_STELLWERK_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEZEICHNUNG_STELLWERK_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Bezeichnung Stellwerk Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEZEICHNUNG_STELLWERK_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Bezeichnung Stellwerk Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEZEICHNUNG_STELLWERK_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Bezeichnung_TSO_TypeClassImpl <em>Bezeichnung TSO Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Bezeichnung_TSO_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getBezeichnung_TSO_TypeClass()
	 * @generated
	 */
	int BEZEICHNUNG_TSO_TYPE_CLASS = 11;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEZEICHNUNG_TSO_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEZEICHNUNG_TSO_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Bezeichnung TSO Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEZEICHNUNG_TSO_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Bezeichnung TSO Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEZEICHNUNG_TSO_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Energieversorgung_Art_Ersatz_TypeClassImpl <em>Energieversorgung Art Ersatz Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Energieversorgung_Art_Ersatz_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getEnergieversorgung_Art_Ersatz_TypeClass()
	 * @generated
	 */
	int ENERGIEVERSORGUNG_ART_ERSATZ_TYPE_CLASS = 12;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENERGIEVERSORGUNG_ART_ERSATZ_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENERGIEVERSORGUNG_ART_ERSATZ_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Energieversorgung Art Ersatz Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENERGIEVERSORGUNG_ART_ERSATZ_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Energieversorgung Art Ersatz Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENERGIEVERSORGUNG_ART_ERSATZ_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Energieversorgung_Art_TypeClassImpl <em>Energieversorgung Art Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Energieversorgung_Art_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getEnergieversorgung_Art_TypeClass()
	 * @generated
	 */
	int ENERGIEVERSORGUNG_ART_TYPE_CLASS = 13;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENERGIEVERSORGUNG_ART_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENERGIEVERSORGUNG_ART_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Energieversorgung Art Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENERGIEVERSORGUNG_ART_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Energieversorgung Art Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENERGIEVERSORGUNG_ART_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.ESTW_ZE_Energieversorgung_AttributeGroupImpl <em>ESTW ZE Energieversorgung Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.ESTW_ZE_Energieversorgung_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getESTW_ZE_Energieversorgung_AttributeGroup()
	 * @generated
	 */
	int ESTW_ZE_ENERGIEVERSORGUNG_ATTRIBUTE_GROUP = 14;

	/**
	 * The feature id for the '<em><b>Energieversorgung Art Ersatz2</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ESTW_ZE_ENERGIEVERSORGUNG_ATTRIBUTE_GROUP__ENERGIEVERSORGUNG_ART_ERSATZ2 = 0;

	/**
	 * The feature id for the '<em><b>Energieversorgung Art</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ESTW_ZE_ENERGIEVERSORGUNG_ATTRIBUTE_GROUP__ENERGIEVERSORGUNG_ART = 1;

	/**
	 * The feature id for the '<em><b>ID Energie Primaer</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ESTW_ZE_ENERGIEVERSORGUNG_ATTRIBUTE_GROUP__ID_ENERGIE_PRIMAER = 2;

	/**
	 * The feature id for the '<em><b>Energieversorgung Art Ersatz</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ESTW_ZE_ENERGIEVERSORGUNG_ATTRIBUTE_GROUP__ENERGIEVERSORGUNG_ART_ERSATZ = 3;

	/**
	 * The feature id for the '<em><b>ID Energie Sekundaer</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ESTW_ZE_ENERGIEVERSORGUNG_ATTRIBUTE_GROUP__ID_ENERGIE_SEKUNDAER = 4;

	/**
	 * The number of structural features of the '<em>ESTW ZE Energieversorgung Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ESTW_ZE_ENERGIEVERSORGUNG_ATTRIBUTE_GROUP_FEATURE_COUNT = 5;

	/**
	 * The number of operations of the '<em>ESTW ZE Energieversorgung Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ESTW_ZE_ENERGIEVERSORGUNG_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.ESTW_ZentraleinheitImpl <em>ESTW Zentraleinheit</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.ESTW_ZentraleinheitImpl
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getESTW_Zentraleinheit()
	 * @generated
	 */
	int ESTW_ZENTRALEINHEIT = 15;

	/**
	 * The feature id for the '<em><b>Identitaet</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ESTW_ZENTRALEINHEIT__IDENTITAET = BasisobjektePackage.BASIS_OBJEKT__IDENTITAET;

	/**
	 * The feature id for the '<em><b>Basis Objekt Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ESTW_ZENTRALEINHEIT__BASIS_OBJEKT_ALLG = BasisobjektePackage.BASIS_OBJEKT__BASIS_OBJEKT_ALLG;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ESTW_ZENTRALEINHEIT__ID_BEARBEITUNGSVERMERK = BasisobjektePackage.BASIS_OBJEKT__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>ID Oertlichkeit Ausgabe</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ESTW_ZENTRALEINHEIT__ID_OERTLICHKEIT_AUSGABE = BasisobjektePackage.BASIS_OBJEKT__ID_OERTLICHKEIT_AUSGABE;

	/**
	 * The feature id for the '<em><b>Objektreferenzen</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ESTW_ZENTRALEINHEIT__OBJEKTREFERENZEN = BasisobjektePackage.BASIS_OBJEKT__OBJEKTREFERENZEN;

	/**
	 * The feature id for the '<em><b>Bezeichnung</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ESTW_ZENTRALEINHEIT__BEZEICHNUNG = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>ESTWZE Energieversorgung</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ESTW_ZENTRALEINHEIT__ESTWZE_ENERGIEVERSORGUNG = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>ESTW Zentraleinheit Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ESTW_ZENTRALEINHEIT__ESTW_ZENTRALEINHEIT_ALLG = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>ID Oertlichkeit Namensgebend</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ESTW_ZENTRALEINHEIT__ID_OERTLICHKEIT_NAMENSGEBEND = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>ID Unterbringung</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ESTW_ZENTRALEINHEIT__ID_UNTERBRINGUNG = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>ID Bedien Bezirk Virtuell</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ESTW_ZENTRALEINHEIT__ID_BEDIEN_BEZIRK_VIRTUELL = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>ID Bedien Bezirk Zentral</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ESTW_ZENTRALEINHEIT__ID_BEDIEN_BEZIRK_ZENTRAL = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 6;

	/**
	 * The number of structural features of the '<em>ESTW Zentraleinheit</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ESTW_ZENTRALEINHEIT_FEATURE_COUNT = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 7;

	/**
	 * The number of operations of the '<em>ESTW Zentraleinheit</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ESTW_ZENTRALEINHEIT_OPERATION_COUNT = BasisobjektePackage.BASIS_OBJEKT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.ESTW_Zentraleinheit_Allg_AttributeGroupImpl <em>ESTW Zentraleinheit Allg Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.ESTW_Zentraleinheit_Allg_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getESTW_Zentraleinheit_Allg_AttributeGroup()
	 * @generated
	 */
	int ESTW_ZENTRALEINHEIT_ALLG_ATTRIBUTE_GROUP = 16;

	/**
	 * The feature id for the '<em><b>Bauart</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ESTW_ZENTRALEINHEIT_ALLG_ATTRIBUTE_GROUP__BAUART = 0;

	/**
	 * The feature id for the '<em><b>Hersteller</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ESTW_ZENTRALEINHEIT_ALLG_ATTRIBUTE_GROUP__HERSTELLER = 1;

	/**
	 * The number of structural features of the '<em>ESTW Zentraleinheit Allg Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ESTW_ZENTRALEINHEIT_ALLG_ATTRIBUTE_GROUP_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>ESTW Zentraleinheit Allg Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ESTW_ZENTRALEINHEIT_ALLG_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.ESTW_Zentraleinheit_Bezeichnung_AttributeGroupImpl <em>ESTW Zentraleinheit Bezeichnung Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.ESTW_Zentraleinheit_Bezeichnung_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getESTW_Zentraleinheit_Bezeichnung_AttributeGroup()
	 * @generated
	 */
	int ESTW_ZENTRALEINHEIT_BEZEICHNUNG_ATTRIBUTE_GROUP = 17;

	/**
	 * The feature id for the '<em><b>Bezeichnung ESTWZE</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ESTW_ZENTRALEINHEIT_BEZEICHNUNG_ATTRIBUTE_GROUP__BEZEICHNUNG_ESTWZE = 0;

	/**
	 * The number of structural features of the '<em>ESTW Zentraleinheit Bezeichnung Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ESTW_ZENTRALEINHEIT_BEZEICHNUNG_ATTRIBUTE_GROUP_FEATURE_COUNT = 1;

	/**
	 * The number of operations of the '<em>ESTW Zentraleinheit Bezeichnung Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ESTW_ZENTRALEINHEIT_BEZEICHNUNG_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.GFK_Kategorie_TypeClassImpl <em>GFK Kategorie Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.GFK_Kategorie_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getGFK_Kategorie_TypeClass()
	 * @generated
	 */
	int GFK_KATEGORIE_TYPE_CLASS = 18;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GFK_KATEGORIE_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GFK_KATEGORIE_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>GFK Kategorie Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GFK_KATEGORIE_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>GFK Kategorie Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GFK_KATEGORIE_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Hersteller_TypeClassImpl <em>Hersteller Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Hersteller_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getHersteller_TypeClass()
	 * @generated
	 */
	int HERSTELLER_TYPE_CLASS = 19;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HERSTELLER_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HERSTELLER_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Hersteller Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HERSTELLER_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Hersteller Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HERSTELLER_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.IP_Adressblock_Blau_TypeClassImpl <em>IP Adressblock Blau Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.IP_Adressblock_Blau_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getIP_Adressblock_Blau_TypeClass()
	 * @generated
	 */
	int IP_ADRESSBLOCK_BLAU_TYPE_CLASS = 20;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IP_ADRESSBLOCK_BLAU_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IP_ADRESSBLOCK_BLAU_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>IP Adressblock Blau Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IP_ADRESSBLOCK_BLAU_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>IP Adressblock Blau Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IP_ADRESSBLOCK_BLAU_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.IP_Adressblock_Blau_V4_TypeClassImpl <em>IP Adressblock Blau V4 Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.IP_Adressblock_Blau_V4_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getIP_Adressblock_Blau_V4_TypeClass()
	 * @generated
	 */
	int IP_ADRESSBLOCK_BLAU_V4_TYPE_CLASS = 21;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IP_ADRESSBLOCK_BLAU_V4_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IP_ADRESSBLOCK_BLAU_V4_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>IP Adressblock Blau V4 Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IP_ADRESSBLOCK_BLAU_V4_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>IP Adressblock Blau V4 Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IP_ADRESSBLOCK_BLAU_V4_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.IP_Adressblock_Blau_V6_TypeClassImpl <em>IP Adressblock Blau V6 Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.IP_Adressblock_Blau_V6_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getIP_Adressblock_Blau_V6_TypeClass()
	 * @generated
	 */
	int IP_ADRESSBLOCK_BLAU_V6_TYPE_CLASS = 22;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IP_ADRESSBLOCK_BLAU_V6_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IP_ADRESSBLOCK_BLAU_V6_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>IP Adressblock Blau V6 Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IP_ADRESSBLOCK_BLAU_V6_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>IP Adressblock Blau V6 Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IP_ADRESSBLOCK_BLAU_V6_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.IP_Adressblock_Grau_TypeClassImpl <em>IP Adressblock Grau Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.IP_Adressblock_Grau_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getIP_Adressblock_Grau_TypeClass()
	 * @generated
	 */
	int IP_ADRESSBLOCK_GRAU_TYPE_CLASS = 23;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IP_ADRESSBLOCK_GRAU_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IP_ADRESSBLOCK_GRAU_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>IP Adressblock Grau Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IP_ADRESSBLOCK_GRAU_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>IP Adressblock Grau Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IP_ADRESSBLOCK_GRAU_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.IP_Adressblock_Grau_V4_TypeClassImpl <em>IP Adressblock Grau V4 Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.IP_Adressblock_Grau_V4_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getIP_Adressblock_Grau_V4_TypeClass()
	 * @generated
	 */
	int IP_ADRESSBLOCK_GRAU_V4_TYPE_CLASS = 24;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IP_ADRESSBLOCK_GRAU_V4_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IP_ADRESSBLOCK_GRAU_V4_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>IP Adressblock Grau V4 Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IP_ADRESSBLOCK_GRAU_V4_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>IP Adressblock Grau V4 Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IP_ADRESSBLOCK_GRAU_V4_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.IP_Adressblock_Grau_V6_TypeClassImpl <em>IP Adressblock Grau V6 Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.IP_Adressblock_Grau_V6_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getIP_Adressblock_Grau_V6_TypeClass()
	 * @generated
	 */
	int IP_ADRESSBLOCK_GRAU_V6_TYPE_CLASS = 25;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IP_ADRESSBLOCK_GRAU_V6_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IP_ADRESSBLOCK_GRAU_V6_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>IP Adressblock Grau V6 Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IP_ADRESSBLOCK_GRAU_V6_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>IP Adressblock Grau V6 Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IP_ADRESSBLOCK_GRAU_V6_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Medium_Art_TypeClassImpl <em>Medium Art Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Medium_Art_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getMedium_Art_TypeClass()
	 * @generated
	 */
	int MEDIUM_ART_TYPE_CLASS = 26;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEDIUM_ART_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEDIUM_ART_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Medium Art Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEDIUM_ART_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Medium Art Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEDIUM_ART_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Netz_Art_TypeClassImpl <em>Netz Art Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Netz_Art_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getNetz_Art_TypeClass()
	 * @generated
	 */
	int NETZ_ART_TYPE_CLASS = 27;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NETZ_ART_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NETZ_ART_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Netz Art Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NETZ_ART_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Netz Art Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NETZ_ART_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Regionalbereich_TypeClassImpl <em>Regionalbereich Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Regionalbereich_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getRegionalbereich_TypeClass()
	 * @generated
	 */
	int REGIONALBEREICH_TYPE_CLASS = 28;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REGIONALBEREICH_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REGIONALBEREICH_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Regionalbereich Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REGIONALBEREICH_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Regionalbereich Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REGIONALBEREICH_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Standort_Beschreibung_TypeClassImpl <em>Standort Beschreibung Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Standort_Beschreibung_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getStandort_Beschreibung_TypeClass()
	 * @generated
	 */
	int STANDORT_BESCHREIBUNG_TYPE_CLASS = 29;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STANDORT_BESCHREIBUNG_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STANDORT_BESCHREIBUNG_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Standort Beschreibung Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STANDORT_BESCHREIBUNG_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Standort Beschreibung Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STANDORT_BESCHREIBUNG_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Stell_BereichImpl <em>Stell Bereich</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Stell_BereichImpl
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getStell_Bereich()
	 * @generated
	 */
	int STELL_BEREICH = 30;

	/**
	 * The feature id for the '<em><b>Identitaet</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STELL_BEREICH__IDENTITAET = BasisobjektePackage.BEREICH_OBJEKT__IDENTITAET;

	/**
	 * The feature id for the '<em><b>Basis Objekt Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STELL_BEREICH__BASIS_OBJEKT_ALLG = BasisobjektePackage.BEREICH_OBJEKT__BASIS_OBJEKT_ALLG;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STELL_BEREICH__ID_BEARBEITUNGSVERMERK = BasisobjektePackage.BEREICH_OBJEKT__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>ID Oertlichkeit Ausgabe</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STELL_BEREICH__ID_OERTLICHKEIT_AUSGABE = BasisobjektePackage.BEREICH_OBJEKT__ID_OERTLICHKEIT_AUSGABE;

	/**
	 * The feature id for the '<em><b>Objektreferenzen</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STELL_BEREICH__OBJEKTREFERENZEN = BasisobjektePackage.BEREICH_OBJEKT__OBJEKTREFERENZEN;

	/**
	 * The feature id for the '<em><b>Bereich Objekt Teilbereich</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STELL_BEREICH__BEREICH_OBJEKT_TEILBEREICH = BasisobjektePackage.BEREICH_OBJEKT__BEREICH_OBJEKT_TEILBEREICH;

	/**
	 * The feature id for the '<em><b>Zusatzinformation Stellwerk</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STELL_BEREICH__ZUSATZINFORMATION_STELLWERK = BasisobjektePackage.BEREICH_OBJEKT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Bezeichnung Stellwerk</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STELL_BEREICH__BEZEICHNUNG_STELLWERK = BasisobjektePackage.BEREICH_OBJEKT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>ID Aussenelementansteuerung</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STELL_BEREICH__ID_AUSSENELEMENTANSTEUERUNG = BasisobjektePackage.BEREICH_OBJEKT_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Stell Bereich</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STELL_BEREICH_FEATURE_COUNT = BasisobjektePackage.BEREICH_OBJEKT_FEATURE_COUNT + 3;

	/**
	 * The number of operations of the '<em>Stell Bereich</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STELL_BEREICH_OPERATION_COUNT = BasisobjektePackage.BEREICH_OBJEKT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.StellelementImpl <em>Stellelement</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.StellelementImpl
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getStellelement()
	 * @generated
	 */
	int STELLELEMENT = 31;

	/**
	 * The feature id for the '<em><b>Identitaet</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STELLELEMENT__IDENTITAET = BasisobjektePackage.BASIS_OBJEKT__IDENTITAET;

	/**
	 * The feature id for the '<em><b>Basis Objekt Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STELLELEMENT__BASIS_OBJEKT_ALLG = BasisobjektePackage.BASIS_OBJEKT__BASIS_OBJEKT_ALLG;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STELLELEMENT__ID_BEARBEITUNGSVERMERK = BasisobjektePackage.BASIS_OBJEKT__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>ID Oertlichkeit Ausgabe</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STELLELEMENT__ID_OERTLICHKEIT_AUSGABE = BasisobjektePackage.BASIS_OBJEKT__ID_OERTLICHKEIT_AUSGABE;

	/**
	 * The feature id for the '<em><b>Objektreferenzen</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STELLELEMENT__OBJEKTREFERENZEN = BasisobjektePackage.BASIS_OBJEKT__OBJEKTREFERENZEN;

	/**
	 * The feature id for the '<em><b>ID Energie</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STELLELEMENT__ID_ENERGIE = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>ID Information</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STELLELEMENT__ID_INFORMATION = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Stellelement</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STELLELEMENT_FEATURE_COUNT = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 2;

	/**
	 * The number of operations of the '<em>Stellelement</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STELLELEMENT_OPERATION_COUNT = BasisobjektePackage.BASIS_OBJEKT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Technik_Art_TypeClassImpl <em>Technik Art Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Technik_Art_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getTechnik_Art_TypeClass()
	 * @generated
	 */
	int TECHNIK_ART_TYPE_CLASS = 32;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TECHNIK_ART_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TECHNIK_ART_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Technik Art Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TECHNIK_ART_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Technik Art Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TECHNIK_ART_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Technik_Beschreibung_TypeClassImpl <em>Technik Beschreibung Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Technik_Beschreibung_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getTechnik_Beschreibung_TypeClass()
	 * @generated
	 */
	int TECHNIK_BESCHREIBUNG_TYPE_CLASS = 33;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TECHNIK_BESCHREIBUNG_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TECHNIK_BESCHREIBUNG_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Technik Beschreibung Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TECHNIK_BESCHREIBUNG_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Technik Beschreibung Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TECHNIK_BESCHREIBUNG_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Technik_StandortImpl <em>Technik Standort</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Technik_StandortImpl
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getTechnik_Standort()
	 * @generated
	 */
	int TECHNIK_STANDORT = 34;

	/**
	 * The feature id for the '<em><b>Identitaet</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TECHNIK_STANDORT__IDENTITAET = BasisobjektePackage.BASIS_OBJEKT__IDENTITAET;

	/**
	 * The feature id for the '<em><b>Basis Objekt Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TECHNIK_STANDORT__BASIS_OBJEKT_ALLG = BasisobjektePackage.BASIS_OBJEKT__BASIS_OBJEKT_ALLG;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TECHNIK_STANDORT__ID_BEARBEITUNGSVERMERK = BasisobjektePackage.BASIS_OBJEKT__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>ID Oertlichkeit Ausgabe</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TECHNIK_STANDORT__ID_OERTLICHKEIT_AUSGABE = BasisobjektePackage.BASIS_OBJEKT__ID_OERTLICHKEIT_AUSGABE;

	/**
	 * The feature id for the '<em><b>Objektreferenzen</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TECHNIK_STANDORT__OBJEKTREFERENZEN = BasisobjektePackage.BASIS_OBJEKT__OBJEKTREFERENZEN;

	/**
	 * The feature id for the '<em><b>Bezeichnung</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TECHNIK_STANDORT__BEZEICHNUNG = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>ID Bedien Standort</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TECHNIK_STANDORT__ID_BEDIEN_STANDORT = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>ID Unterbringung</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TECHNIK_STANDORT__ID_UNTERBRINGUNG = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>TSOIP Adressblock</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TECHNIK_STANDORT__TSOIP_ADRESSBLOCK = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>Technik Standort</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TECHNIK_STANDORT_FEATURE_COUNT = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 4;

	/**
	 * The number of operations of the '<em>Technik Standort</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TECHNIK_STANDORT_OPERATION_COUNT = BasisobjektePackage.BASIS_OBJEKT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Technik_Standort_Bezeichnung_AttributeGroupImpl <em>Technik Standort Bezeichnung Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Technik_Standort_Bezeichnung_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getTechnik_Standort_Bezeichnung_AttributeGroup()
	 * @generated
	 */
	int TECHNIK_STANDORT_BEZEICHNUNG_ATTRIBUTE_GROUP = 35;

	/**
	 * The feature id for the '<em><b>Bezeichnung TSO</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TECHNIK_STANDORT_BEZEICHNUNG_ATTRIBUTE_GROUP__BEZEICHNUNG_TSO = 0;

	/**
	 * The number of structural features of the '<em>Technik Standort Bezeichnung Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TECHNIK_STANDORT_BEZEICHNUNG_ATTRIBUTE_GROUP_FEATURE_COUNT = 1;

	/**
	 * The number of operations of the '<em>Technik Standort Bezeichnung Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TECHNIK_STANDORT_BEZEICHNUNG_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.TSO_IP_AB_Teilsystem_AttributeGroupImpl <em>TSO IP AB Teilsystem Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.TSO_IP_AB_Teilsystem_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getTSO_IP_AB_Teilsystem_AttributeGroup()
	 * @generated
	 */
	int TSO_IP_AB_TEILSYSTEM_ATTRIBUTE_GROUP = 36;

	/**
	 * The feature id for the '<em><b>IP Adressblock Blau</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TSO_IP_AB_TEILSYSTEM_ATTRIBUTE_GROUP__IP_ADRESSBLOCK_BLAU = 0;

	/**
	 * The feature id for the '<em><b>IP Adressblock Grau</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TSO_IP_AB_TEILSYSTEM_ATTRIBUTE_GROUP__IP_ADRESSBLOCK_GRAU = 1;

	/**
	 * The feature id for the '<em><b>TSO Teilsystem Art</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TSO_IP_AB_TEILSYSTEM_ATTRIBUTE_GROUP__TSO_TEILSYSTEM_ART = 2;

	/**
	 * The number of structural features of the '<em>TSO IP AB Teilsystem Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TSO_IP_AB_TEILSYSTEM_ATTRIBUTE_GROUP_FEATURE_COUNT = 3;

	/**
	 * The number of operations of the '<em>TSO IP AB Teilsystem Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TSO_IP_AB_TEILSYSTEM_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.TSO_IP_Adressblock_AttributeGroupImpl <em>TSO IP Adressblock Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.TSO_IP_Adressblock_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getTSO_IP_Adressblock_AttributeGroup()
	 * @generated
	 */
	int TSO_IP_ADRESSBLOCK_ATTRIBUTE_GROUP = 37;

	/**
	 * The feature id for the '<em><b>IP Adressblock Blau V4</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TSO_IP_ADRESSBLOCK_ATTRIBUTE_GROUP__IP_ADRESSBLOCK_BLAU_V4 = 0;

	/**
	 * The feature id for the '<em><b>IP Adressblock Blau V6</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TSO_IP_ADRESSBLOCK_ATTRIBUTE_GROUP__IP_ADRESSBLOCK_BLAU_V6 = 1;

	/**
	 * The feature id for the '<em><b>IP Adressblock Grau V4</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TSO_IP_ADRESSBLOCK_ATTRIBUTE_GROUP__IP_ADRESSBLOCK_GRAU_V4 = 2;

	/**
	 * The feature id for the '<em><b>IP Adressblock Grau V6</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TSO_IP_ADRESSBLOCK_ATTRIBUTE_GROUP__IP_ADRESSBLOCK_GRAU_V6 = 3;

	/**
	 * The feature id for the '<em><b>Regionalbereich</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TSO_IP_ADRESSBLOCK_ATTRIBUTE_GROUP__REGIONALBEREICH = 4;

	/**
	 * The feature id for the '<em><b>TSOIPAB Teilsystem</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TSO_IP_ADRESSBLOCK_ATTRIBUTE_GROUP__TSOIPAB_TEILSYSTEM = 5;

	/**
	 * The number of structural features of the '<em>TSO IP Adressblock Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TSO_IP_ADRESSBLOCK_ATTRIBUTE_GROUP_FEATURE_COUNT = 6;

	/**
	 * The number of operations of the '<em>TSO IP Adressblock Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TSO_IP_ADRESSBLOCK_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.TSO_Teilsystem_Art_TypeClassImpl <em>TSO Teilsystem Art Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.TSO_Teilsystem_Art_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getTSO_Teilsystem_Art_TypeClass()
	 * @generated
	 */
	int TSO_TEILSYSTEM_ART_TYPE_CLASS = 38;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TSO_TEILSYSTEM_ART_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TSO_TEILSYSTEM_ART_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>TSO Teilsystem Art Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TSO_TEILSYSTEM_ART_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>TSO Teilsystem Art Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TSO_TEILSYSTEM_ART_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Tueranschlag_TypeClassImpl <em>Tueranschlag Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Tueranschlag_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getTueranschlag_TypeClass()
	 * @generated
	 */
	int TUERANSCHLAG_TYPE_CLASS = 39;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TUERANSCHLAG_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TUERANSCHLAG_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Tueranschlag Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TUERANSCHLAG_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Tueranschlag Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TUERANSCHLAG_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.UebertragungswegImpl <em>Uebertragungsweg</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.UebertragungswegImpl
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getUebertragungsweg()
	 * @generated
	 */
	int UEBERTRAGUNGSWEG = 40;

	/**
	 * The feature id for the '<em><b>Identitaet</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UEBERTRAGUNGSWEG__IDENTITAET = BasisobjektePackage.BASIS_OBJEKT__IDENTITAET;

	/**
	 * The feature id for the '<em><b>Basis Objekt Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UEBERTRAGUNGSWEG__BASIS_OBJEKT_ALLG = BasisobjektePackage.BASIS_OBJEKT__BASIS_OBJEKT_ALLG;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UEBERTRAGUNGSWEG__ID_BEARBEITUNGSVERMERK = BasisobjektePackage.BASIS_OBJEKT__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>ID Oertlichkeit Ausgabe</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UEBERTRAGUNGSWEG__ID_OERTLICHKEIT_AUSGABE = BasisobjektePackage.BASIS_OBJEKT__ID_OERTLICHKEIT_AUSGABE;

	/**
	 * The feature id for the '<em><b>Objektreferenzen</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UEBERTRAGUNGSWEG__OBJEKTREFERENZEN = BasisobjektePackage.BASIS_OBJEKT__OBJEKTREFERENZEN;

	/**
	 * The feature id for the '<em><b>ID Anhang Ue Weg Nach</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UEBERTRAGUNGSWEG__ID_ANHANG_UE_WEG_NACH = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>ID Anhang Ue Weg Von</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UEBERTRAGUNGSWEG__ID_ANHANG_UE_WEG_VON = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>ID Uebertragungsweg Nach</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UEBERTRAGUNGSWEG__ID_UEBERTRAGUNGSWEG_NACH = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>ID Uebertragungsweg Von</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UEBERTRAGUNGSWEG__ID_UEBERTRAGUNGSWEG_VON = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Uebertragungsweg Art</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UEBERTRAGUNGSWEG__UEBERTRAGUNGSWEG_ART = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Uebertragungsweg Technik</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UEBERTRAGUNGSWEG__UEBERTRAGUNGSWEG_TECHNIK = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 5;

	/**
	 * The number of structural features of the '<em>Uebertragungsweg</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UEBERTRAGUNGSWEG_FEATURE_COUNT = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 6;

	/**
	 * The number of operations of the '<em>Uebertragungsweg</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UEBERTRAGUNGSWEG_OPERATION_COUNT = BasisobjektePackage.BASIS_OBJEKT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Uebertragungsweg_Art_TypeClassImpl <em>Uebertragungsweg Art Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Uebertragungsweg_Art_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getUebertragungsweg_Art_TypeClass()
	 * @generated
	 */
	int UEBERTRAGUNGSWEG_ART_TYPE_CLASS = 41;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UEBERTRAGUNGSWEG_ART_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UEBERTRAGUNGSWEG_ART_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Uebertragungsweg Art Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UEBERTRAGUNGSWEG_ART_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Uebertragungsweg Art Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UEBERTRAGUNGSWEG_ART_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Uebertragungsweg_Technik_AttributeGroupImpl <em>Uebertragungsweg Technik Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Uebertragungsweg_Technik_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getUebertragungsweg_Technik_AttributeGroup()
	 * @generated
	 */
	int UEBERTRAGUNGSWEG_TECHNIK_ATTRIBUTE_GROUP = 42;

	/**
	 * The feature id for the '<em><b>Bandbreite</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UEBERTRAGUNGSWEG_TECHNIK_ATTRIBUTE_GROUP__BANDBREITE = 0;

	/**
	 * The feature id for the '<em><b>Medium Art</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UEBERTRAGUNGSWEG_TECHNIK_ATTRIBUTE_GROUP__MEDIUM_ART = 1;

	/**
	 * The feature id for the '<em><b>Netz Art</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UEBERTRAGUNGSWEG_TECHNIK_ATTRIBUTE_GROUP__NETZ_ART = 2;

	/**
	 * The feature id for the '<em><b>Technik Art</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UEBERTRAGUNGSWEG_TECHNIK_ATTRIBUTE_GROUP__TECHNIK_ART = 3;

	/**
	 * The feature id for the '<em><b>Technik Beschreibung</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UEBERTRAGUNGSWEG_TECHNIK_ATTRIBUTE_GROUP__TECHNIK_BESCHREIBUNG = 4;

	/**
	 * The number of structural features of the '<em>Uebertragungsweg Technik Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UEBERTRAGUNGSWEG_TECHNIK_ATTRIBUTE_GROUP_FEATURE_COUNT = 5;

	/**
	 * The number of operations of the '<em>Uebertragungsweg Technik Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UEBERTRAGUNGSWEG_TECHNIK_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.UnterbringungImpl <em>Unterbringung</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.UnterbringungImpl
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getUnterbringung()
	 * @generated
	 */
	int UNTERBRINGUNG = 43;

	/**
	 * The feature id for the '<em><b>Identitaet</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UNTERBRINGUNG__IDENTITAET = BasisobjektePackage.BASIS_OBJEKT__IDENTITAET;

	/**
	 * The feature id for the '<em><b>Basis Objekt Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UNTERBRINGUNG__BASIS_OBJEKT_ALLG = BasisobjektePackage.BASIS_OBJEKT__BASIS_OBJEKT_ALLG;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UNTERBRINGUNG__ID_BEARBEITUNGSVERMERK = BasisobjektePackage.BASIS_OBJEKT__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>ID Oertlichkeit Ausgabe</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UNTERBRINGUNG__ID_OERTLICHKEIT_AUSGABE = BasisobjektePackage.BASIS_OBJEKT__ID_OERTLICHKEIT_AUSGABE;

	/**
	 * The feature id for the '<em><b>Objektreferenzen</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UNTERBRINGUNG__OBJEKTREFERENZEN = BasisobjektePackage.BASIS_OBJEKT__OBJEKTREFERENZEN;

	/**
	 * The feature id for the '<em><b>Punkt Objekt Strecke</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UNTERBRINGUNG__PUNKT_OBJEKT_STRECKE = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Unterbringung Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UNTERBRINGUNG__UNTERBRINGUNG_ALLG = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>IDGEO Punkt</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UNTERBRINGUNG__IDGEO_PUNKT = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Punkt Objekt TOP Kante</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UNTERBRINGUNG__PUNKT_OBJEKT_TOP_KANTE = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Standort Beschreibung</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UNTERBRINGUNG__STANDORT_BESCHREIBUNG = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Unterbringung Polygonzug</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UNTERBRINGUNG__UNTERBRINGUNG_POLYGONZUG = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 5;

	/**
	 * The number of structural features of the '<em>Unterbringung</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UNTERBRINGUNG_FEATURE_COUNT = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 6;

	/**
	 * The number of operations of the '<em>Unterbringung</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UNTERBRINGUNG_OPERATION_COUNT = BasisobjektePackage.BASIS_OBJEKT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Unterbringung_Allg_AttributeGroupImpl <em>Unterbringung Allg Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Unterbringung_Allg_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getUnterbringung_Allg_AttributeGroup()
	 * @generated
	 */
	int UNTERBRINGUNG_ALLG_ATTRIBUTE_GROUP = 44;

	/**
	 * The feature id for the '<em><b>Hersteller</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UNTERBRINGUNG_ALLG_ATTRIBUTE_GROUP__HERSTELLER = 0;

	/**
	 * The feature id for the '<em><b>Tueranschlag</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UNTERBRINGUNG_ALLG_ATTRIBUTE_GROUP__TUERANSCHLAG = 1;

	/**
	 * The feature id for the '<em><b>Unterbringung Art</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UNTERBRINGUNG_ALLG_ATTRIBUTE_GROUP__UNTERBRINGUNG_ART = 2;

	/**
	 * The feature id for the '<em><b>Unterbringung Befestigung</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UNTERBRINGUNG_ALLG_ATTRIBUTE_GROUP__UNTERBRINGUNG_BEFESTIGUNG = 3;

	/**
	 * The number of structural features of the '<em>Unterbringung Allg Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UNTERBRINGUNG_ALLG_ATTRIBUTE_GROUP_FEATURE_COUNT = 4;

	/**
	 * The number of operations of the '<em>Unterbringung Allg Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UNTERBRINGUNG_ALLG_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Unterbringung_Art_TypeClassImpl <em>Unterbringung Art Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Unterbringung_Art_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getUnterbringung_Art_TypeClass()
	 * @generated
	 */
	int UNTERBRINGUNG_ART_TYPE_CLASS = 45;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UNTERBRINGUNG_ART_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UNTERBRINGUNG_ART_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Unterbringung Art Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UNTERBRINGUNG_ART_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Unterbringung Art Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UNTERBRINGUNG_ART_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Unterbringung_Befestigung_TypeClassImpl <em>Unterbringung Befestigung Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Unterbringung_Befestigung_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getUnterbringung_Befestigung_TypeClass()
	 * @generated
	 */
	int UNTERBRINGUNG_BEFESTIGUNG_TYPE_CLASS = 46;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UNTERBRINGUNG_BEFESTIGUNG_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UNTERBRINGUNG_BEFESTIGUNG_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Unterbringung Befestigung Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UNTERBRINGUNG_BEFESTIGUNG_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Unterbringung Befestigung Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UNTERBRINGUNG_BEFESTIGUNG_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Unterbringung_Polygonzug_TypeClassImpl <em>Unterbringung Polygonzug Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Unterbringung_Polygonzug_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getUnterbringung_Polygonzug_TypeClass()
	 * @generated
	 */
	int UNTERBRINGUNG_POLYGONZUG_TYPE_CLASS = 47;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UNTERBRINGUNG_POLYGONZUG_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UNTERBRINGUNG_POLYGONZUG_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Unterbringung Polygonzug Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UNTERBRINGUNG_POLYGONZUG_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Unterbringung Polygonzug Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UNTERBRINGUNG_POLYGONZUG_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Zusatzinformation_Stellwerk_TypeClassImpl <em>Zusatzinformation Stellwerk Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Zusatzinformation_Stellwerk_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getZusatzinformation_Stellwerk_TypeClass()
	 * @generated
	 */
	int ZUSATZINFORMATION_STELLWERK_TYPE_CLASS = 48;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUSATZINFORMATION_STELLWERK_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUSATZINFORMATION_STELLWERK_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Zusatzinformation Stellwerk Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUSATZINFORMATION_STELLWERK_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Zusatzinformation Stellwerk Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUSATZINFORMATION_STELLWERK_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMAussenelementansteuerungArt <em>ENUM Aussenelementansteuerung Art</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMAussenelementansteuerungArt
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getENUMAussenelementansteuerungArt()
	 * @generated
	 */
	int ENUM_AUSSENELEMENTANSTEUERUNG_ART = 49;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMBandbreite <em>ENUM Bandbreite</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMBandbreite
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getENUMBandbreite()
	 * @generated
	 */
	int ENUM_BANDBREITE = 50;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMEVArt <em>ENUMEV Art</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMEVArt
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getENUMEVArt()
	 * @generated
	 */
	int ENUMEV_ART = 51;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMGFKKategorie <em>ENUMGFK Kategorie</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMGFKKategorie
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getENUMGFKKategorie()
	 * @generated
	 */
	int ENUMGFK_KATEGORIE = 52;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMMediumArt <em>ENUM Medium Art</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMMediumArt
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getENUMMediumArt()
	 * @generated
	 */
	int ENUM_MEDIUM_ART = 53;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMNetzArt <em>ENUM Netz Art</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMNetzArt
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getENUMNetzArt()
	 * @generated
	 */
	int ENUM_NETZ_ART = 54;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMTechnikArt <em>ENUM Technik Art</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMTechnikArt
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getENUMTechnikArt()
	 * @generated
	 */
	int ENUM_TECHNIK_ART = 55;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMTSOTeilsystemArt <em>ENUMTSO Teilsystem Art</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMTSOTeilsystemArt
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getENUMTSOTeilsystemArt()
	 * @generated
	 */
	int ENUMTSO_TEILSYSTEM_ART = 56;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMTueranschlag <em>ENUM Tueranschlag</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMTueranschlag
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getENUMTueranschlag()
	 * @generated
	 */
	int ENUM_TUERANSCHLAG = 57;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMUebertragungswegArt <em>ENUM Uebertragungsweg Art</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMUebertragungswegArt
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getENUMUebertragungswegArt()
	 * @generated
	 */
	int ENUM_UEBERTRAGUNGSWEG_ART = 58;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMUnterbringungArt <em>ENUM Unterbringung Art</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMUnterbringungArt
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getENUMUnterbringungArt()
	 * @generated
	 */
	int ENUM_UNTERBRINGUNG_ART = 59;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMUnterbringungBefestigung <em>ENUM Unterbringung Befestigung</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMUnterbringungBefestigung
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getENUMUnterbringungBefestigung()
	 * @generated
	 */
	int ENUM_UNTERBRINGUNG_BEFESTIGUNG = 60;

	/**
	 * The meta object id for the '<em>Bauart Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getBauart_Type()
	 * @generated
	 */
	int BAUART_TYPE = 61;

	/**
	 * The meta object id for the '<em>Bezeichnung AEA Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getBezeichnung_AEA_Type()
	 * @generated
	 */
	int BEZEICHNUNG_AEA_TYPE = 62;

	/**
	 * The meta object id for the '<em>Bezeichnung ESTW ZE Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getBezeichnung_ESTW_ZE_Type()
	 * @generated
	 */
	int BEZEICHNUNG_ESTW_ZE_TYPE = 63;

	/**
	 * The meta object id for the '<em>Bezeichnung Stellwerk Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getBezeichnung_Stellwerk_Type()
	 * @generated
	 */
	int BEZEICHNUNG_STELLWERK_TYPE = 64;

	/**
	 * The meta object id for the '<em>Bezeichnung TSO Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getBezeichnung_TSO_Type()
	 * @generated
	 */
	int BEZEICHNUNG_TSO_TYPE = 65;

	/**
	 * The meta object id for the '<em>ENUM Aussenelementansteuerung Art Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMAussenelementansteuerungArt
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getENUMAussenelementansteuerungArtObject()
	 * @generated
	 */
	int ENUM_AUSSENELEMENTANSTEUERUNG_ART_OBJECT = 66;

	/**
	 * The meta object id for the '<em>ENUM Bandbreite Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMBandbreite
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getENUMBandbreiteObject()
	 * @generated
	 */
	int ENUM_BANDBREITE_OBJECT = 67;

	/**
	 * The meta object id for the '<em>ENUMEV Art Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMEVArt
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getENUMEVArtObject()
	 * @generated
	 */
	int ENUMEV_ART_OBJECT = 68;

	/**
	 * The meta object id for the '<em>ENUMGFK Kategorie Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMGFKKategorie
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getENUMGFKKategorieObject()
	 * @generated
	 */
	int ENUMGFK_KATEGORIE_OBJECT = 69;

	/**
	 * The meta object id for the '<em>ENUM Medium Art Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMMediumArt
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getENUMMediumArtObject()
	 * @generated
	 */
	int ENUM_MEDIUM_ART_OBJECT = 70;

	/**
	 * The meta object id for the '<em>ENUM Netz Art Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMNetzArt
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getENUMNetzArtObject()
	 * @generated
	 */
	int ENUM_NETZ_ART_OBJECT = 71;

	/**
	 * The meta object id for the '<em>ENUM Technik Art Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMTechnikArt
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getENUMTechnikArtObject()
	 * @generated
	 */
	int ENUM_TECHNIK_ART_OBJECT = 72;

	/**
	 * The meta object id for the '<em>ENUMTSO Teilsystem Art Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMTSOTeilsystemArt
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getENUMTSOTeilsystemArtObject()
	 * @generated
	 */
	int ENUMTSO_TEILSYSTEM_ART_OBJECT = 73;

	/**
	 * The meta object id for the '<em>ENUM Tueranschlag Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMTueranschlag
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getENUMTueranschlagObject()
	 * @generated
	 */
	int ENUM_TUERANSCHLAG_OBJECT = 74;

	/**
	 * The meta object id for the '<em>ENUM Uebertragungsweg Art Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMUebertragungswegArt
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getENUMUebertragungswegArtObject()
	 * @generated
	 */
	int ENUM_UEBERTRAGUNGSWEG_ART_OBJECT = 75;

	/**
	 * The meta object id for the '<em>ENUM Unterbringung Art Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMUnterbringungArt
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getENUMUnterbringungArtObject()
	 * @generated
	 */
	int ENUM_UNTERBRINGUNG_ART_OBJECT = 76;

	/**
	 * The meta object id for the '<em>ENUM Unterbringung Befestigung Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMUnterbringungBefestigung
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getENUMUnterbringungBefestigungObject()
	 * @generated
	 */
	int ENUM_UNTERBRINGUNG_BEFESTIGUNG_OBJECT = 77;

	/**
	 * The meta object id for the '<em>IP Adressblock Blau Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getIP_Adressblock_Blau_Type()
	 * @generated
	 */
	int IP_ADRESSBLOCK_BLAU_TYPE = 78;

	/**
	 * The meta object id for the '<em>IP Adressblock Blau V4 Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getIP_Adressblock_Blau_V4_Type()
	 * @generated
	 */
	int IP_ADRESSBLOCK_BLAU_V4_TYPE = 79;

	/**
	 * The meta object id for the '<em>IP Adressblock Blau V6 Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getIP_Adressblock_Blau_V6_Type()
	 * @generated
	 */
	int IP_ADRESSBLOCK_BLAU_V6_TYPE = 80;

	/**
	 * The meta object id for the '<em>IP Adressblock Grau Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getIP_Adressblock_Grau_Type()
	 * @generated
	 */
	int IP_ADRESSBLOCK_GRAU_TYPE = 81;

	/**
	 * The meta object id for the '<em>IP Adressblock Grau V4 Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getIP_Adressblock_Grau_V4_Type()
	 * @generated
	 */
	int IP_ADRESSBLOCK_GRAU_V4_TYPE = 82;

	/**
	 * The meta object id for the '<em>IP Adressblock Grau V6 Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getIP_Adressblock_Grau_V6_Type()
	 * @generated
	 */
	int IP_ADRESSBLOCK_GRAU_V6_TYPE = 83;

	/**
	 * The meta object id for the '<em>Standort Beschreibung Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getStandort_Beschreibung_Type()
	 * @generated
	 */
	int STANDORT_BESCHREIBUNG_TYPE = 84;

	/**
	 * The meta object id for the '<em>Technik Beschreibung Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getTechnik_Beschreibung_Type()
	 * @generated
	 */
	int TECHNIK_BESCHREIBUNG_TYPE = 85;

	/**
	 * The meta object id for the '<em>Unterbringung Polygonzug Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getUnterbringung_Polygonzug_Type()
	 * @generated
	 */
	int UNTERBRINGUNG_POLYGONZUG_TYPE = 86;

	/**
	 * The meta object id for the '<em>Zusatzinformation Stellwerk Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getZusatzinformation_Stellwerk_Type()
	 * @generated
	 */
	int ZUSATZINFORMATION_STELLWERK_TYPE = 87;


	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.AEA_Allg_AttributeGroup <em>AEA Allg Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>AEA Allg Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.AEA_Allg_AttributeGroup
	 * @generated
	 */
	EClass getAEA_Allg_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.AEA_Allg_AttributeGroup#getAussenelementansteuerungArt <em>Aussenelementansteuerung Art</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Aussenelementansteuerung Art</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.AEA_Allg_AttributeGroup#getAussenelementansteuerungArt()
	 * @see #getAEA_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getAEA_Allg_AttributeGroup_AussenelementansteuerungArt();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.AEA_Allg_AttributeGroup#getBauart <em>Bauart</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Bauart</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.AEA_Allg_AttributeGroup#getBauart()
	 * @see #getAEA_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getAEA_Allg_AttributeGroup_Bauart();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.AEA_Energieversorgung_AttributeGroup <em>AEA Energieversorgung Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>AEA Energieversorgung Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.AEA_Energieversorgung_AttributeGroup
	 * @generated
	 */
	EClass getAEA_Energieversorgung_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.AEA_Energieversorgung_AttributeGroup#getEnergieversorgungArtErsatz <em>Energieversorgung Art Ersatz</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Energieversorgung Art Ersatz</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.AEA_Energieversorgung_AttributeGroup#getEnergieversorgungArtErsatz()
	 * @see #getAEA_Energieversorgung_AttributeGroup()
	 * @generated
	 */
	EReference getAEA_Energieversorgung_AttributeGroup_EnergieversorgungArtErsatz();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.AEA_Energieversorgung_AttributeGroup#getIDEnergieSekundaer <em>ID Energie Sekundaer</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Energie Sekundaer</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.AEA_Energieversorgung_AttributeGroup#getIDEnergieSekundaer()
	 * @see #getAEA_Energieversorgung_AttributeGroup()
	 * @generated
	 */
	EReference getAEA_Energieversorgung_AttributeGroup_IDEnergieSekundaer();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.AEA_Energieversorgung_AttributeGroup#getEnergieversorgungArt <em>Energieversorgung Art</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Energieversorgung Art</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.AEA_Energieversorgung_AttributeGroup#getEnergieversorgungArt()
	 * @see #getAEA_Energieversorgung_AttributeGroup()
	 * @generated
	 */
	EReference getAEA_Energieversorgung_AttributeGroup_EnergieversorgungArt();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.AEA_Energieversorgung_AttributeGroup#getIDEnergiePrimaer <em>ID Energie Primaer</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Energie Primaer</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.AEA_Energieversorgung_AttributeGroup#getIDEnergiePrimaer()
	 * @see #getAEA_Energieversorgung_AttributeGroup()
	 * @generated
	 */
	EReference getAEA_Energieversorgung_AttributeGroup_IDEnergiePrimaer();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.AEA_GFK_IP_Adressblock_AttributeGroup <em>AEA GFK IP Adressblock Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>AEA GFK IP Adressblock Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.AEA_GFK_IP_Adressblock_AttributeGroup
	 * @generated
	 */
	EClass getAEA_GFK_IP_Adressblock_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.AEA_GFK_IP_Adressblock_AttributeGroup#getGFKKategorie <em>GFK Kategorie</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>GFK Kategorie</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.AEA_GFK_IP_Adressblock_AttributeGroup#getGFKKategorie()
	 * @see #getAEA_GFK_IP_Adressblock_AttributeGroup()
	 * @generated
	 */
	EReference getAEA_GFK_IP_Adressblock_AttributeGroup_GFKKategorie();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.AEA_GFK_IP_Adressblock_AttributeGroup#getIPAdressblockBlauV4 <em>IP Adressblock Blau V4</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>IP Adressblock Blau V4</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.AEA_GFK_IP_Adressblock_AttributeGroup#getIPAdressblockBlauV4()
	 * @see #getAEA_GFK_IP_Adressblock_AttributeGroup()
	 * @generated
	 */
	EReference getAEA_GFK_IP_Adressblock_AttributeGroup_IPAdressblockBlauV4();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.AEA_GFK_IP_Adressblock_AttributeGroup#getIPAdressblockBlauV6 <em>IP Adressblock Blau V6</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>IP Adressblock Blau V6</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.AEA_GFK_IP_Adressblock_AttributeGroup#getIPAdressblockBlauV6()
	 * @see #getAEA_GFK_IP_Adressblock_AttributeGroup()
	 * @generated
	 */
	EReference getAEA_GFK_IP_Adressblock_AttributeGroup_IPAdressblockBlauV6();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.AEA_GFK_IP_Adressblock_AttributeGroup#getIPAdressblockGrauV4 <em>IP Adressblock Grau V4</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>IP Adressblock Grau V4</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.AEA_GFK_IP_Adressblock_AttributeGroup#getIPAdressblockGrauV4()
	 * @see #getAEA_GFK_IP_Adressblock_AttributeGroup()
	 * @generated
	 */
	EReference getAEA_GFK_IP_Adressblock_AttributeGroup_IPAdressblockGrauV4();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.AEA_GFK_IP_Adressblock_AttributeGroup#getIPAdressblockGrauV6 <em>IP Adressblock Grau V6</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>IP Adressblock Grau V6</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.AEA_GFK_IP_Adressblock_AttributeGroup#getIPAdressblockGrauV6()
	 * @see #getAEA_GFK_IP_Adressblock_AttributeGroup()
	 * @generated
	 */
	EReference getAEA_GFK_IP_Adressblock_AttributeGroup_IPAdressblockGrauV6();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.AEA_GFK_IP_Adressblock_AttributeGroup#getRegionalbereich <em>Regionalbereich</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Regionalbereich</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.AEA_GFK_IP_Adressblock_AttributeGroup#getRegionalbereich()
	 * @see #getAEA_GFK_IP_Adressblock_AttributeGroup()
	 * @generated
	 */
	EReference getAEA_GFK_IP_Adressblock_AttributeGroup_Regionalbereich();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Aussenelementansteuerung <em>Aussenelementansteuerung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Aussenelementansteuerung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Aussenelementansteuerung
	 * @generated
	 */
	EClass getAussenelementansteuerung();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Aussenelementansteuerung#getAEAAllg <em>AEA Allg</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>AEA Allg</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Aussenelementansteuerung#getAEAAllg()
	 * @see #getAussenelementansteuerung()
	 * @generated
	 */
	EReference getAussenelementansteuerung_AEAAllg();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Aussenelementansteuerung#getAEAEnergieversorgung <em>AEA Energieversorgung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>AEA Energieversorgung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Aussenelementansteuerung#getAEAEnergieversorgung()
	 * @see #getAussenelementansteuerung()
	 * @generated
	 */
	EReference getAussenelementansteuerung_AEAEnergieversorgung();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Aussenelementansteuerung#getAEAGFKIPAdressblock <em>AEAGFKIP Adressblock</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>AEAGFKIP Adressblock</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Aussenelementansteuerung#getAEAGFKIPAdressblock()
	 * @see #getAussenelementansteuerung()
	 * @generated
	 */
	EReference getAussenelementansteuerung_AEAGFKIPAdressblock();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Aussenelementansteuerung#getBezeichnung <em>Bezeichnung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Bezeichnung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Aussenelementansteuerung#getBezeichnung()
	 * @see #getAussenelementansteuerung()
	 * @generated
	 */
	EReference getAussenelementansteuerung_Bezeichnung();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Aussenelementansteuerung#getIDInformationPrimaer <em>ID Information Primaer</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>ID Information Primaer</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Aussenelementansteuerung#getIDInformationPrimaer()
	 * @see #getAussenelementansteuerung()
	 * @generated
	 */
	EReference getAussenelementansteuerung_IDInformationPrimaer();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Aussenelementansteuerung#getIDInformationSekundaer <em>ID Information Sekundaer</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>ID Information Sekundaer</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Aussenelementansteuerung#getIDInformationSekundaer()
	 * @see #getAussenelementansteuerung()
	 * @generated
	 */
	EReference getAussenelementansteuerung_IDInformationSekundaer();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Aussenelementansteuerung#getIDOertlichkeitGesteuert <em>ID Oertlichkeit Gesteuert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>ID Oertlichkeit Gesteuert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Aussenelementansteuerung#getIDOertlichkeitGesteuert()
	 * @see #getAussenelementansteuerung()
	 * @generated
	 */
	EReference getAussenelementansteuerung_IDOertlichkeitGesteuert();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Aussenelementansteuerung#getIDOertlichkeitNamensgebend <em>ID Oertlichkeit Namensgebend</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Oertlichkeit Namensgebend</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Aussenelementansteuerung#getIDOertlichkeitNamensgebend()
	 * @see #getAussenelementansteuerung()
	 * @generated
	 */
	EReference getAussenelementansteuerung_IDOertlichkeitNamensgebend();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Aussenelementansteuerung#getIDUnterbringung <em>ID Unterbringung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Unterbringung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Aussenelementansteuerung#getIDUnterbringung()
	 * @see #getAussenelementansteuerung()
	 * @generated
	 */
	EReference getAussenelementansteuerung_IDUnterbringung();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Aussenelementansteuerung_Art_TypeClass <em>Aussenelementansteuerung Art Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Aussenelementansteuerung Art Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Aussenelementansteuerung_Art_TypeClass
	 * @generated
	 */
	EClass getAussenelementansteuerung_Art_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Aussenelementansteuerung_Art_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Aussenelementansteuerung_Art_TypeClass#getWert()
	 * @see #getAussenelementansteuerung_Art_TypeClass()
	 * @generated
	 */
	EAttribute getAussenelementansteuerung_Art_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Aussenelementansteuerung_Bezeichnung_AttributeGroup <em>Aussenelementansteuerung Bezeichnung Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Aussenelementansteuerung Bezeichnung Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Aussenelementansteuerung_Bezeichnung_AttributeGroup
	 * @generated
	 */
	EClass getAussenelementansteuerung_Bezeichnung_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Aussenelementansteuerung_Bezeichnung_AttributeGroup#getBezeichnungAEA <em>Bezeichnung AEA</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Bezeichnung AEA</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Aussenelementansteuerung_Bezeichnung_AttributeGroup#getBezeichnungAEA()
	 * @see #getAussenelementansteuerung_Bezeichnung_AttributeGroup()
	 * @generated
	 */
	EReference getAussenelementansteuerung_Bezeichnung_AttributeGroup_BezeichnungAEA();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Bandbreite_TypeClass <em>Bandbreite Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Bandbreite Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Bandbreite_TypeClass
	 * @generated
	 */
	EClass getBandbreite_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Bandbreite_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Bandbreite_TypeClass#getWert()
	 * @see #getBandbreite_TypeClass()
	 * @generated
	 */
	EAttribute getBandbreite_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Bauart_TypeClass <em>Bauart Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Bauart Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Bauart_TypeClass
	 * @generated
	 */
	EClass getBauart_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Bauart_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Bauart_TypeClass#getWert()
	 * @see #getBauart_TypeClass()
	 * @generated
	 */
	EAttribute getBauart_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Bezeichnung_AEA_TypeClass <em>Bezeichnung AEA Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Bezeichnung AEA Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Bezeichnung_AEA_TypeClass
	 * @generated
	 */
	EClass getBezeichnung_AEA_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Bezeichnung_AEA_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Bezeichnung_AEA_TypeClass#getWert()
	 * @see #getBezeichnung_AEA_TypeClass()
	 * @generated
	 */
	EAttribute getBezeichnung_AEA_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Bezeichnung_ESTW_ZE_TypeClass <em>Bezeichnung ESTW ZE Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Bezeichnung ESTW ZE Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Bezeichnung_ESTW_ZE_TypeClass
	 * @generated
	 */
	EClass getBezeichnung_ESTW_ZE_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Bezeichnung_ESTW_ZE_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Bezeichnung_ESTW_ZE_TypeClass#getWert()
	 * @see #getBezeichnung_ESTW_ZE_TypeClass()
	 * @generated
	 */
	EAttribute getBezeichnung_ESTW_ZE_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Bezeichnung_Stellwerk_TypeClass <em>Bezeichnung Stellwerk Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Bezeichnung Stellwerk Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Bezeichnung_Stellwerk_TypeClass
	 * @generated
	 */
	EClass getBezeichnung_Stellwerk_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Bezeichnung_Stellwerk_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Bezeichnung_Stellwerk_TypeClass#getWert()
	 * @see #getBezeichnung_Stellwerk_TypeClass()
	 * @generated
	 */
	EAttribute getBezeichnung_Stellwerk_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Bezeichnung_TSO_TypeClass <em>Bezeichnung TSO Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Bezeichnung TSO Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Bezeichnung_TSO_TypeClass
	 * @generated
	 */
	EClass getBezeichnung_TSO_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Bezeichnung_TSO_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Bezeichnung_TSO_TypeClass#getWert()
	 * @see #getBezeichnung_TSO_TypeClass()
	 * @generated
	 */
	EAttribute getBezeichnung_TSO_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Energieversorgung_Art_Ersatz_TypeClass <em>Energieversorgung Art Ersatz Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Energieversorgung Art Ersatz Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Energieversorgung_Art_Ersatz_TypeClass
	 * @generated
	 */
	EClass getEnergieversorgung_Art_Ersatz_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Energieversorgung_Art_Ersatz_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Energieversorgung_Art_Ersatz_TypeClass#getWert()
	 * @see #getEnergieversorgung_Art_Ersatz_TypeClass()
	 * @generated
	 */
	EAttribute getEnergieversorgung_Art_Ersatz_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Energieversorgung_Art_TypeClass <em>Energieversorgung Art Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Energieversorgung Art Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Energieversorgung_Art_TypeClass
	 * @generated
	 */
	EClass getEnergieversorgung_Art_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Energieversorgung_Art_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Energieversorgung_Art_TypeClass#getWert()
	 * @see #getEnergieversorgung_Art_TypeClass()
	 * @generated
	 */
	EAttribute getEnergieversorgung_Art_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ESTW_ZE_Energieversorgung_AttributeGroup <em>ESTW ZE Energieversorgung Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ESTW ZE Energieversorgung Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ESTW_ZE_Energieversorgung_AttributeGroup
	 * @generated
	 */
	EClass getESTW_ZE_Energieversorgung_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ESTW_ZE_Energieversorgung_AttributeGroup#getEnergieversorgungArt <em>Energieversorgung Art</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Energieversorgung Art</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ESTW_ZE_Energieversorgung_AttributeGroup#getEnergieversorgungArt()
	 * @see #getESTW_ZE_Energieversorgung_AttributeGroup()
	 * @generated
	 */
	EReference getESTW_ZE_Energieversorgung_AttributeGroup_EnergieversorgungArt();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ESTW_ZE_Energieversorgung_AttributeGroup#getIDEnergiePrimaer <em>ID Energie Primaer</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Energie Primaer</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ESTW_ZE_Energieversorgung_AttributeGroup#getIDEnergiePrimaer()
	 * @see #getESTW_ZE_Energieversorgung_AttributeGroup()
	 * @generated
	 */
	EReference getESTW_ZE_Energieversorgung_AttributeGroup_IDEnergiePrimaer();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ESTW_ZE_Energieversorgung_AttributeGroup#getEnergieversorgungArtErsatz <em>Energieversorgung Art Ersatz</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Energieversorgung Art Ersatz</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ESTW_ZE_Energieversorgung_AttributeGroup#getEnergieversorgungArtErsatz()
	 * @see #getESTW_ZE_Energieversorgung_AttributeGroup()
	 * @generated
	 */
	EReference getESTW_ZE_Energieversorgung_AttributeGroup_EnergieversorgungArtErsatz();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ESTW_ZE_Energieversorgung_AttributeGroup#getEnergieversorgungArtErsatz2 <em>Energieversorgung Art Ersatz2</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Energieversorgung Art Ersatz2</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ESTW_ZE_Energieversorgung_AttributeGroup#getEnergieversorgungArtErsatz2()
	 * @see #getESTW_ZE_Energieversorgung_AttributeGroup()
	 * @generated
	 */
	EReference getESTW_ZE_Energieversorgung_AttributeGroup_EnergieversorgungArtErsatz2();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ESTW_ZE_Energieversorgung_AttributeGroup#getIDEnergieSekundaer <em>ID Energie Sekundaer</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Energie Sekundaer</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ESTW_ZE_Energieversorgung_AttributeGroup#getIDEnergieSekundaer()
	 * @see #getESTW_ZE_Energieversorgung_AttributeGroup()
	 * @generated
	 */
	EReference getESTW_ZE_Energieversorgung_AttributeGroup_IDEnergieSekundaer();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ESTW_Zentraleinheit <em>ESTW Zentraleinheit</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ESTW Zentraleinheit</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ESTW_Zentraleinheit
	 * @generated
	 */
	EClass getESTW_Zentraleinheit();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ESTW_Zentraleinheit#getBezeichnung <em>Bezeichnung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Bezeichnung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ESTW_Zentraleinheit#getBezeichnung()
	 * @see #getESTW_Zentraleinheit()
	 * @generated
	 */
	EReference getESTW_Zentraleinheit_Bezeichnung();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ESTW_Zentraleinheit#getESTWZEEnergieversorgung <em>ESTWZE Energieversorgung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>ESTWZE Energieversorgung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ESTW_Zentraleinheit#getESTWZEEnergieversorgung()
	 * @see #getESTW_Zentraleinheit()
	 * @generated
	 */
	EReference getESTW_Zentraleinheit_ESTWZEEnergieversorgung();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ESTW_Zentraleinheit#getESTWZentraleinheitAllg <em>ESTW Zentraleinheit Allg</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>ESTW Zentraleinheit Allg</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ESTW_Zentraleinheit#getESTWZentraleinheitAllg()
	 * @see #getESTW_Zentraleinheit()
	 * @generated
	 */
	EReference getESTW_Zentraleinheit_ESTWZentraleinheitAllg();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ESTW_Zentraleinheit#getIDOertlichkeitNamensgebend <em>ID Oertlichkeit Namensgebend</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Oertlichkeit Namensgebend</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ESTW_Zentraleinheit#getIDOertlichkeitNamensgebend()
	 * @see #getESTW_Zentraleinheit()
	 * @generated
	 */
	EReference getESTW_Zentraleinheit_IDOertlichkeitNamensgebend();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ESTW_Zentraleinheit#getIDUnterbringung <em>ID Unterbringung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Unterbringung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ESTW_Zentraleinheit#getIDUnterbringung()
	 * @see #getESTW_Zentraleinheit()
	 * @generated
	 */
	EReference getESTW_Zentraleinheit_IDUnterbringung();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ESTW_Zentraleinheit#getIDBedienBezirkVirtuell <em>ID Bedien Bezirk Virtuell</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Bedien Bezirk Virtuell</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ESTW_Zentraleinheit#getIDBedienBezirkVirtuell()
	 * @see #getESTW_Zentraleinheit()
	 * @generated
	 */
	EReference getESTW_Zentraleinheit_IDBedienBezirkVirtuell();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ESTW_Zentraleinheit#getIDBedienBezirkZentral <em>ID Bedien Bezirk Zentral</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Bedien Bezirk Zentral</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ESTW_Zentraleinheit#getIDBedienBezirkZentral()
	 * @see #getESTW_Zentraleinheit()
	 * @generated
	 */
	EReference getESTW_Zentraleinheit_IDBedienBezirkZentral();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ESTW_Zentraleinheit_Allg_AttributeGroup <em>ESTW Zentraleinheit Allg Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ESTW Zentraleinheit Allg Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ESTW_Zentraleinheit_Allg_AttributeGroup
	 * @generated
	 */
	EClass getESTW_Zentraleinheit_Allg_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ESTW_Zentraleinheit_Allg_AttributeGroup#getBauart <em>Bauart</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Bauart</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ESTW_Zentraleinheit_Allg_AttributeGroup#getBauart()
	 * @see #getESTW_Zentraleinheit_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getESTW_Zentraleinheit_Allg_AttributeGroup_Bauart();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ESTW_Zentraleinheit_Allg_AttributeGroup#getHersteller <em>Hersteller</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Hersteller</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ESTW_Zentraleinheit_Allg_AttributeGroup#getHersteller()
	 * @see #getESTW_Zentraleinheit_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getESTW_Zentraleinheit_Allg_AttributeGroup_Hersteller();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ESTW_Zentraleinheit_Bezeichnung_AttributeGroup <em>ESTW Zentraleinheit Bezeichnung Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ESTW Zentraleinheit Bezeichnung Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ESTW_Zentraleinheit_Bezeichnung_AttributeGroup
	 * @generated
	 */
	EClass getESTW_Zentraleinheit_Bezeichnung_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ESTW_Zentraleinheit_Bezeichnung_AttributeGroup#getBezeichnungESTWZE <em>Bezeichnung ESTWZE</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Bezeichnung ESTWZE</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ESTW_Zentraleinheit_Bezeichnung_AttributeGroup#getBezeichnungESTWZE()
	 * @see #getESTW_Zentraleinheit_Bezeichnung_AttributeGroup()
	 * @generated
	 */
	EReference getESTW_Zentraleinheit_Bezeichnung_AttributeGroup_BezeichnungESTWZE();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.GFK_Kategorie_TypeClass <em>GFK Kategorie Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>GFK Kategorie Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.GFK_Kategorie_TypeClass
	 * @generated
	 */
	EClass getGFK_Kategorie_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.GFK_Kategorie_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.GFK_Kategorie_TypeClass#getWert()
	 * @see #getGFK_Kategorie_TypeClass()
	 * @generated
	 */
	EAttribute getGFK_Kategorie_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Hersteller_TypeClass <em>Hersteller Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Hersteller Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Hersteller_TypeClass
	 * @generated
	 */
	EClass getHersteller_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Hersteller_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Hersteller_TypeClass#getWert()
	 * @see #getHersteller_TypeClass()
	 * @generated
	 */
	EAttribute getHersteller_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.IP_Adressblock_Blau_TypeClass <em>IP Adressblock Blau Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>IP Adressblock Blau Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.IP_Adressblock_Blau_TypeClass
	 * @generated
	 */
	EClass getIP_Adressblock_Blau_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.IP_Adressblock_Blau_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.IP_Adressblock_Blau_TypeClass#getWert()
	 * @see #getIP_Adressblock_Blau_TypeClass()
	 * @generated
	 */
	EAttribute getIP_Adressblock_Blau_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.IP_Adressblock_Blau_V4_TypeClass <em>IP Adressblock Blau V4 Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>IP Adressblock Blau V4 Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.IP_Adressblock_Blau_V4_TypeClass
	 * @generated
	 */
	EClass getIP_Adressblock_Blau_V4_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.IP_Adressblock_Blau_V4_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.IP_Adressblock_Blau_V4_TypeClass#getWert()
	 * @see #getIP_Adressblock_Blau_V4_TypeClass()
	 * @generated
	 */
	EAttribute getIP_Adressblock_Blau_V4_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.IP_Adressblock_Blau_V6_TypeClass <em>IP Adressblock Blau V6 Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>IP Adressblock Blau V6 Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.IP_Adressblock_Blau_V6_TypeClass
	 * @generated
	 */
	EClass getIP_Adressblock_Blau_V6_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.IP_Adressblock_Blau_V6_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.IP_Adressblock_Blau_V6_TypeClass#getWert()
	 * @see #getIP_Adressblock_Blau_V6_TypeClass()
	 * @generated
	 */
	EAttribute getIP_Adressblock_Blau_V6_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.IP_Adressblock_Grau_TypeClass <em>IP Adressblock Grau Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>IP Adressblock Grau Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.IP_Adressblock_Grau_TypeClass
	 * @generated
	 */
	EClass getIP_Adressblock_Grau_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.IP_Adressblock_Grau_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.IP_Adressblock_Grau_TypeClass#getWert()
	 * @see #getIP_Adressblock_Grau_TypeClass()
	 * @generated
	 */
	EAttribute getIP_Adressblock_Grau_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.IP_Adressblock_Grau_V4_TypeClass <em>IP Adressblock Grau V4 Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>IP Adressblock Grau V4 Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.IP_Adressblock_Grau_V4_TypeClass
	 * @generated
	 */
	EClass getIP_Adressblock_Grau_V4_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.IP_Adressblock_Grau_V4_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.IP_Adressblock_Grau_V4_TypeClass#getWert()
	 * @see #getIP_Adressblock_Grau_V4_TypeClass()
	 * @generated
	 */
	EAttribute getIP_Adressblock_Grau_V4_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.IP_Adressblock_Grau_V6_TypeClass <em>IP Adressblock Grau V6 Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>IP Adressblock Grau V6 Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.IP_Adressblock_Grau_V6_TypeClass
	 * @generated
	 */
	EClass getIP_Adressblock_Grau_V6_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.IP_Adressblock_Grau_V6_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.IP_Adressblock_Grau_V6_TypeClass#getWert()
	 * @see #getIP_Adressblock_Grau_V6_TypeClass()
	 * @generated
	 */
	EAttribute getIP_Adressblock_Grau_V6_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Medium_Art_TypeClass <em>Medium Art Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Medium Art Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Medium_Art_TypeClass
	 * @generated
	 */
	EClass getMedium_Art_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Medium_Art_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Medium_Art_TypeClass#getWert()
	 * @see #getMedium_Art_TypeClass()
	 * @generated
	 */
	EAttribute getMedium_Art_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Netz_Art_TypeClass <em>Netz Art Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Netz Art Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Netz_Art_TypeClass
	 * @generated
	 */
	EClass getNetz_Art_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Netz_Art_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Netz_Art_TypeClass#getWert()
	 * @see #getNetz_Art_TypeClass()
	 * @generated
	 */
	EAttribute getNetz_Art_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Regionalbereich_TypeClass <em>Regionalbereich Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Regionalbereich Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Regionalbereich_TypeClass
	 * @generated
	 */
	EClass getRegionalbereich_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Regionalbereich_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Regionalbereich_TypeClass#getWert()
	 * @see #getRegionalbereich_TypeClass()
	 * @generated
	 */
	EAttribute getRegionalbereich_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Standort_Beschreibung_TypeClass <em>Standort Beschreibung Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Standort Beschreibung Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Standort_Beschreibung_TypeClass
	 * @generated
	 */
	EClass getStandort_Beschreibung_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Standort_Beschreibung_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Standort_Beschreibung_TypeClass#getWert()
	 * @see #getStandort_Beschreibung_TypeClass()
	 * @generated
	 */
	EAttribute getStandort_Beschreibung_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Stell_Bereich <em>Stell Bereich</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Stell Bereich</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Stell_Bereich
	 * @generated
	 */
	EClass getStell_Bereich();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Stell_Bereich#getZusatzinformationStellwerk <em>Zusatzinformation Stellwerk</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Zusatzinformation Stellwerk</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Stell_Bereich#getZusatzinformationStellwerk()
	 * @see #getStell_Bereich()
	 * @generated
	 */
	EReference getStell_Bereich_ZusatzinformationStellwerk();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Stell_Bereich#getBezeichnungStellwerk <em>Bezeichnung Stellwerk</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Bezeichnung Stellwerk</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Stell_Bereich#getBezeichnungStellwerk()
	 * @see #getStell_Bereich()
	 * @generated
	 */
	EReference getStell_Bereich_BezeichnungStellwerk();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Stell_Bereich#getIDAussenelementansteuerung <em>ID Aussenelementansteuerung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Aussenelementansteuerung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Stell_Bereich#getIDAussenelementansteuerung()
	 * @see #getStell_Bereich()
	 * @generated
	 */
	EReference getStell_Bereich_IDAussenelementansteuerung();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Stellelement <em>Stellelement</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Stellelement</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Stellelement
	 * @generated
	 */
	EClass getStellelement();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Stellelement#getIDEnergie <em>ID Energie</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Energie</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Stellelement#getIDEnergie()
	 * @see #getStellelement()
	 * @generated
	 */
	EReference getStellelement_IDEnergie();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Stellelement#getIDInformation <em>ID Information</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Information</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Stellelement#getIDInformation()
	 * @see #getStellelement()
	 * @generated
	 */
	EReference getStellelement_IDInformation();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Technik_Art_TypeClass <em>Technik Art Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Technik Art Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Technik_Art_TypeClass
	 * @generated
	 */
	EClass getTechnik_Art_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Technik_Art_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Technik_Art_TypeClass#getWert()
	 * @see #getTechnik_Art_TypeClass()
	 * @generated
	 */
	EAttribute getTechnik_Art_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Technik_Beschreibung_TypeClass <em>Technik Beschreibung Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Technik Beschreibung Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Technik_Beschreibung_TypeClass
	 * @generated
	 */
	EClass getTechnik_Beschreibung_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Technik_Beschreibung_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Technik_Beschreibung_TypeClass#getWert()
	 * @see #getTechnik_Beschreibung_TypeClass()
	 * @generated
	 */
	EAttribute getTechnik_Beschreibung_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Technik_Standort <em>Technik Standort</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Technik Standort</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Technik_Standort
	 * @generated
	 */
	EClass getTechnik_Standort();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Technik_Standort#getBezeichnung <em>Bezeichnung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Bezeichnung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Technik_Standort#getBezeichnung()
	 * @see #getTechnik_Standort()
	 * @generated
	 */
	EReference getTechnik_Standort_Bezeichnung();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Technik_Standort#getIDBedienStandort <em>ID Bedien Standort</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>ID Bedien Standort</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Technik_Standort#getIDBedienStandort()
	 * @see #getTechnik_Standort()
	 * @generated
	 */
	EReference getTechnik_Standort_IDBedienStandort();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Technik_Standort#getIDUnterbringung <em>ID Unterbringung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Unterbringung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Technik_Standort#getIDUnterbringung()
	 * @see #getTechnik_Standort()
	 * @generated
	 */
	EReference getTechnik_Standort_IDUnterbringung();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Technik_Standort#getTSOIPAdressblock <em>TSOIP Adressblock</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>TSOIP Adressblock</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Technik_Standort#getTSOIPAdressblock()
	 * @see #getTechnik_Standort()
	 * @generated
	 */
	EReference getTechnik_Standort_TSOIPAdressblock();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Technik_Standort_Bezeichnung_AttributeGroup <em>Technik Standort Bezeichnung Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Technik Standort Bezeichnung Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Technik_Standort_Bezeichnung_AttributeGroup
	 * @generated
	 */
	EClass getTechnik_Standort_Bezeichnung_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Technik_Standort_Bezeichnung_AttributeGroup#getBezeichnungTSO <em>Bezeichnung TSO</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Bezeichnung TSO</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Technik_Standort_Bezeichnung_AttributeGroup#getBezeichnungTSO()
	 * @see #getTechnik_Standort_Bezeichnung_AttributeGroup()
	 * @generated
	 */
	EReference getTechnik_Standort_Bezeichnung_AttributeGroup_BezeichnungTSO();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.TSO_IP_AB_Teilsystem_AttributeGroup <em>TSO IP AB Teilsystem Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>TSO IP AB Teilsystem Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.TSO_IP_AB_Teilsystem_AttributeGroup
	 * @generated
	 */
	EClass getTSO_IP_AB_Teilsystem_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.TSO_IP_AB_Teilsystem_AttributeGroup#getIPAdressblockBlau <em>IP Adressblock Blau</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>IP Adressblock Blau</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.TSO_IP_AB_Teilsystem_AttributeGroup#getIPAdressblockBlau()
	 * @see #getTSO_IP_AB_Teilsystem_AttributeGroup()
	 * @generated
	 */
	EReference getTSO_IP_AB_Teilsystem_AttributeGroup_IPAdressblockBlau();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.TSO_IP_AB_Teilsystem_AttributeGroup#getIPAdressblockGrau <em>IP Adressblock Grau</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>IP Adressblock Grau</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.TSO_IP_AB_Teilsystem_AttributeGroup#getIPAdressblockGrau()
	 * @see #getTSO_IP_AB_Teilsystem_AttributeGroup()
	 * @generated
	 */
	EReference getTSO_IP_AB_Teilsystem_AttributeGroup_IPAdressblockGrau();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.TSO_IP_AB_Teilsystem_AttributeGroup#getTSOTeilsystemArt <em>TSO Teilsystem Art</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>TSO Teilsystem Art</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.TSO_IP_AB_Teilsystem_AttributeGroup#getTSOTeilsystemArt()
	 * @see #getTSO_IP_AB_Teilsystem_AttributeGroup()
	 * @generated
	 */
	EReference getTSO_IP_AB_Teilsystem_AttributeGroup_TSOTeilsystemArt();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.TSO_IP_Adressblock_AttributeGroup <em>TSO IP Adressblock Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>TSO IP Adressblock Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.TSO_IP_Adressblock_AttributeGroup
	 * @generated
	 */
	EClass getTSO_IP_Adressblock_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.TSO_IP_Adressblock_AttributeGroup#getIPAdressblockBlauV4 <em>IP Adressblock Blau V4</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>IP Adressblock Blau V4</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.TSO_IP_Adressblock_AttributeGroup#getIPAdressblockBlauV4()
	 * @see #getTSO_IP_Adressblock_AttributeGroup()
	 * @generated
	 */
	EReference getTSO_IP_Adressblock_AttributeGroup_IPAdressblockBlauV4();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.TSO_IP_Adressblock_AttributeGroup#getIPAdressblockBlauV6 <em>IP Adressblock Blau V6</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>IP Adressblock Blau V6</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.TSO_IP_Adressblock_AttributeGroup#getIPAdressblockBlauV6()
	 * @see #getTSO_IP_Adressblock_AttributeGroup()
	 * @generated
	 */
	EReference getTSO_IP_Adressblock_AttributeGroup_IPAdressblockBlauV6();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.TSO_IP_Adressblock_AttributeGroup#getIPAdressblockGrauV4 <em>IP Adressblock Grau V4</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>IP Adressblock Grau V4</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.TSO_IP_Adressblock_AttributeGroup#getIPAdressblockGrauV4()
	 * @see #getTSO_IP_Adressblock_AttributeGroup()
	 * @generated
	 */
	EReference getTSO_IP_Adressblock_AttributeGroup_IPAdressblockGrauV4();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.TSO_IP_Adressblock_AttributeGroup#getIPAdressblockGrauV6 <em>IP Adressblock Grau V6</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>IP Adressblock Grau V6</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.TSO_IP_Adressblock_AttributeGroup#getIPAdressblockGrauV6()
	 * @see #getTSO_IP_Adressblock_AttributeGroup()
	 * @generated
	 */
	EReference getTSO_IP_Adressblock_AttributeGroup_IPAdressblockGrauV6();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.TSO_IP_Adressblock_AttributeGroup#getRegionalbereich <em>Regionalbereich</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Regionalbereich</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.TSO_IP_Adressblock_AttributeGroup#getRegionalbereich()
	 * @see #getTSO_IP_Adressblock_AttributeGroup()
	 * @generated
	 */
	EReference getTSO_IP_Adressblock_AttributeGroup_Regionalbereich();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.TSO_IP_Adressblock_AttributeGroup#getTSOIPABTeilsystem <em>TSOIPAB Teilsystem</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>TSOIPAB Teilsystem</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.TSO_IP_Adressblock_AttributeGroup#getTSOIPABTeilsystem()
	 * @see #getTSO_IP_Adressblock_AttributeGroup()
	 * @generated
	 */
	EReference getTSO_IP_Adressblock_AttributeGroup_TSOIPABTeilsystem();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.TSO_Teilsystem_Art_TypeClass <em>TSO Teilsystem Art Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>TSO Teilsystem Art Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.TSO_Teilsystem_Art_TypeClass
	 * @generated
	 */
	EClass getTSO_Teilsystem_Art_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.TSO_Teilsystem_Art_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.TSO_Teilsystem_Art_TypeClass#getWert()
	 * @see #getTSO_Teilsystem_Art_TypeClass()
	 * @generated
	 */
	EAttribute getTSO_Teilsystem_Art_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Tueranschlag_TypeClass <em>Tueranschlag Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Tueranschlag Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Tueranschlag_TypeClass
	 * @generated
	 */
	EClass getTueranschlag_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Tueranschlag_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Tueranschlag_TypeClass#getWert()
	 * @see #getTueranschlag_TypeClass()
	 * @generated
	 */
	EAttribute getTueranschlag_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Uebertragungsweg <em>Uebertragungsweg</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Uebertragungsweg</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Uebertragungsweg
	 * @generated
	 */
	EClass getUebertragungsweg();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Uebertragungsweg#getIDAnhangUeWegNach <em>ID Anhang Ue Weg Nach</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>ID Anhang Ue Weg Nach</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Uebertragungsweg#getIDAnhangUeWegNach()
	 * @see #getUebertragungsweg()
	 * @generated
	 */
	EReference getUebertragungsweg_IDAnhangUeWegNach();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Uebertragungsweg#getIDAnhangUeWegVon <em>ID Anhang Ue Weg Von</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>ID Anhang Ue Weg Von</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Uebertragungsweg#getIDAnhangUeWegVon()
	 * @see #getUebertragungsweg()
	 * @generated
	 */
	EReference getUebertragungsweg_IDAnhangUeWegVon();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Uebertragungsweg#getIDUebertragungswegNach <em>ID Uebertragungsweg Nach</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Uebertragungsweg Nach</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Uebertragungsweg#getIDUebertragungswegNach()
	 * @see #getUebertragungsweg()
	 * @generated
	 */
	EReference getUebertragungsweg_IDUebertragungswegNach();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Uebertragungsweg#getIDUebertragungswegVon <em>ID Uebertragungsweg Von</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Uebertragungsweg Von</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Uebertragungsweg#getIDUebertragungswegVon()
	 * @see #getUebertragungsweg()
	 * @generated
	 */
	EReference getUebertragungsweg_IDUebertragungswegVon();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Uebertragungsweg#getUebertragungswegArt <em>Uebertragungsweg Art</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Uebertragungsweg Art</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Uebertragungsweg#getUebertragungswegArt()
	 * @see #getUebertragungsweg()
	 * @generated
	 */
	EReference getUebertragungsweg_UebertragungswegArt();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Uebertragungsweg#getUebertragungswegTechnik <em>Uebertragungsweg Technik</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Uebertragungsweg Technik</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Uebertragungsweg#getUebertragungswegTechnik()
	 * @see #getUebertragungsweg()
	 * @generated
	 */
	EReference getUebertragungsweg_UebertragungswegTechnik();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Uebertragungsweg_Art_TypeClass <em>Uebertragungsweg Art Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Uebertragungsweg Art Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Uebertragungsweg_Art_TypeClass
	 * @generated
	 */
	EClass getUebertragungsweg_Art_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Uebertragungsweg_Art_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Uebertragungsweg_Art_TypeClass#getWert()
	 * @see #getUebertragungsweg_Art_TypeClass()
	 * @generated
	 */
	EAttribute getUebertragungsweg_Art_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Uebertragungsweg_Technik_AttributeGroup <em>Uebertragungsweg Technik Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Uebertragungsweg Technik Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Uebertragungsweg_Technik_AttributeGroup
	 * @generated
	 */
	EClass getUebertragungsweg_Technik_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Uebertragungsweg_Technik_AttributeGroup#getBandbreite <em>Bandbreite</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Bandbreite</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Uebertragungsweg_Technik_AttributeGroup#getBandbreite()
	 * @see #getUebertragungsweg_Technik_AttributeGroup()
	 * @generated
	 */
	EReference getUebertragungsweg_Technik_AttributeGroup_Bandbreite();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Uebertragungsweg_Technik_AttributeGroup#getMediumArt <em>Medium Art</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Medium Art</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Uebertragungsweg_Technik_AttributeGroup#getMediumArt()
	 * @see #getUebertragungsweg_Technik_AttributeGroup()
	 * @generated
	 */
	EReference getUebertragungsweg_Technik_AttributeGroup_MediumArt();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Uebertragungsweg_Technik_AttributeGroup#getNetzArt <em>Netz Art</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Netz Art</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Uebertragungsweg_Technik_AttributeGroup#getNetzArt()
	 * @see #getUebertragungsweg_Technik_AttributeGroup()
	 * @generated
	 */
	EReference getUebertragungsweg_Technik_AttributeGroup_NetzArt();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Uebertragungsweg_Technik_AttributeGroup#getTechnikArt <em>Technik Art</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Technik Art</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Uebertragungsweg_Technik_AttributeGroup#getTechnikArt()
	 * @see #getUebertragungsweg_Technik_AttributeGroup()
	 * @generated
	 */
	EReference getUebertragungsweg_Technik_AttributeGroup_TechnikArt();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Uebertragungsweg_Technik_AttributeGroup#getTechnikBeschreibung <em>Technik Beschreibung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Technik Beschreibung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Uebertragungsweg_Technik_AttributeGroup#getTechnikBeschreibung()
	 * @see #getUebertragungsweg_Technik_AttributeGroup()
	 * @generated
	 */
	EReference getUebertragungsweg_Technik_AttributeGroup_TechnikBeschreibung();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Unterbringung <em>Unterbringung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Unterbringung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Unterbringung
	 * @generated
	 */
	EClass getUnterbringung();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Unterbringung#getPunktObjektStrecke <em>Punkt Objekt Strecke</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Punkt Objekt Strecke</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Unterbringung#getPunktObjektStrecke()
	 * @see #getUnterbringung()
	 * @generated
	 */
	EReference getUnterbringung_PunktObjektStrecke();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Unterbringung#getUnterbringungAllg <em>Unterbringung Allg</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Unterbringung Allg</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Unterbringung#getUnterbringungAllg()
	 * @see #getUnterbringung()
	 * @generated
	 */
	EReference getUnterbringung_UnterbringungAllg();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Unterbringung#getIDGEOPunkt <em>IDGEO Punkt</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>IDGEO Punkt</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Unterbringung#getIDGEOPunkt()
	 * @see #getUnterbringung()
	 * @generated
	 */
	EReference getUnterbringung_IDGEOPunkt();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Unterbringung#getPunktObjektTOPKante <em>Punkt Objekt TOP Kante</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Punkt Objekt TOP Kante</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Unterbringung#getPunktObjektTOPKante()
	 * @see #getUnterbringung()
	 * @generated
	 */
	EReference getUnterbringung_PunktObjektTOPKante();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Unterbringung#getStandortBeschreibung <em>Standort Beschreibung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Standort Beschreibung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Unterbringung#getStandortBeschreibung()
	 * @see #getUnterbringung()
	 * @generated
	 */
	EReference getUnterbringung_StandortBeschreibung();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Unterbringung#getUnterbringungPolygonzug <em>Unterbringung Polygonzug</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Unterbringung Polygonzug</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Unterbringung#getUnterbringungPolygonzug()
	 * @see #getUnterbringung()
	 * @generated
	 */
	EReference getUnterbringung_UnterbringungPolygonzug();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Unterbringung_Allg_AttributeGroup <em>Unterbringung Allg Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Unterbringung Allg Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Unterbringung_Allg_AttributeGroup
	 * @generated
	 */
	EClass getUnterbringung_Allg_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Unterbringung_Allg_AttributeGroup#getHersteller <em>Hersteller</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Hersteller</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Unterbringung_Allg_AttributeGroup#getHersteller()
	 * @see #getUnterbringung_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getUnterbringung_Allg_AttributeGroup_Hersteller();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Unterbringung_Allg_AttributeGroup#getTueranschlag <em>Tueranschlag</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Tueranschlag</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Unterbringung_Allg_AttributeGroup#getTueranschlag()
	 * @see #getUnterbringung_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getUnterbringung_Allg_AttributeGroup_Tueranschlag();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Unterbringung_Allg_AttributeGroup#getUnterbringungArt <em>Unterbringung Art</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Unterbringung Art</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Unterbringung_Allg_AttributeGroup#getUnterbringungArt()
	 * @see #getUnterbringung_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getUnterbringung_Allg_AttributeGroup_UnterbringungArt();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Unterbringung_Allg_AttributeGroup#getUnterbringungBefestigung <em>Unterbringung Befestigung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Unterbringung Befestigung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Unterbringung_Allg_AttributeGroup#getUnterbringungBefestigung()
	 * @see #getUnterbringung_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getUnterbringung_Allg_AttributeGroup_UnterbringungBefestigung();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Unterbringung_Art_TypeClass <em>Unterbringung Art Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Unterbringung Art Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Unterbringung_Art_TypeClass
	 * @generated
	 */
	EClass getUnterbringung_Art_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Unterbringung_Art_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Unterbringung_Art_TypeClass#getWert()
	 * @see #getUnterbringung_Art_TypeClass()
	 * @generated
	 */
	EAttribute getUnterbringung_Art_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Unterbringung_Befestigung_TypeClass <em>Unterbringung Befestigung Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Unterbringung Befestigung Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Unterbringung_Befestigung_TypeClass
	 * @generated
	 */
	EClass getUnterbringung_Befestigung_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Unterbringung_Befestigung_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Unterbringung_Befestigung_TypeClass#getWert()
	 * @see #getUnterbringung_Befestigung_TypeClass()
	 * @generated
	 */
	EAttribute getUnterbringung_Befestigung_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Unterbringung_Polygonzug_TypeClass <em>Unterbringung Polygonzug Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Unterbringung Polygonzug Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Unterbringung_Polygonzug_TypeClass
	 * @generated
	 */
	EClass getUnterbringung_Polygonzug_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Unterbringung_Polygonzug_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Unterbringung_Polygonzug_TypeClass#getWert()
	 * @see #getUnterbringung_Polygonzug_TypeClass()
	 * @generated
	 */
	EAttribute getUnterbringung_Polygonzug_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Zusatzinformation_Stellwerk_TypeClass <em>Zusatzinformation Stellwerk Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Zusatzinformation Stellwerk Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Zusatzinformation_Stellwerk_TypeClass
	 * @generated
	 */
	EClass getZusatzinformation_Stellwerk_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.Zusatzinformation_Stellwerk_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.Zusatzinformation_Stellwerk_TypeClass#getWert()
	 * @see #getZusatzinformation_Stellwerk_TypeClass()
	 * @generated
	 */
	EAttribute getZusatzinformation_Stellwerk_TypeClass_Wert();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMAussenelementansteuerungArt <em>ENUM Aussenelementansteuerung Art</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>ENUM Aussenelementansteuerung Art</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMAussenelementansteuerungArt
	 * @generated
	 */
	EEnum getENUMAussenelementansteuerungArt();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMBandbreite <em>ENUM Bandbreite</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>ENUM Bandbreite</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMBandbreite
	 * @generated
	 */
	EEnum getENUMBandbreite();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMEVArt <em>ENUMEV Art</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>ENUMEV Art</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMEVArt
	 * @generated
	 */
	EEnum getENUMEVArt();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMGFKKategorie <em>ENUMGFK Kategorie</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>ENUMGFK Kategorie</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMGFKKategorie
	 * @generated
	 */
	EEnum getENUMGFKKategorie();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMMediumArt <em>ENUM Medium Art</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>ENUM Medium Art</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMMediumArt
	 * @generated
	 */
	EEnum getENUMMediumArt();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMNetzArt <em>ENUM Netz Art</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>ENUM Netz Art</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMNetzArt
	 * @generated
	 */
	EEnum getENUMNetzArt();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMTechnikArt <em>ENUM Technik Art</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>ENUM Technik Art</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMTechnikArt
	 * @generated
	 */
	EEnum getENUMTechnikArt();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMTSOTeilsystemArt <em>ENUMTSO Teilsystem Art</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>ENUMTSO Teilsystem Art</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMTSOTeilsystemArt
	 * @generated
	 */
	EEnum getENUMTSOTeilsystemArt();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMTueranschlag <em>ENUM Tueranschlag</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>ENUM Tueranschlag</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMTueranschlag
	 * @generated
	 */
	EEnum getENUMTueranschlag();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMUebertragungswegArt <em>ENUM Uebertragungsweg Art</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>ENUM Uebertragungsweg Art</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMUebertragungswegArt
	 * @generated
	 */
	EEnum getENUMUebertragungswegArt();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMUnterbringungArt <em>ENUM Unterbringung Art</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>ENUM Unterbringung Art</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMUnterbringungArt
	 * @generated
	 */
	EEnum getENUMUnterbringungArt();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMUnterbringungBefestigung <em>ENUM Unterbringung Befestigung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>ENUM Unterbringung Befestigung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMUnterbringungBefestigung
	 * @generated
	 */
	EEnum getENUMUnterbringungBefestigung();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Bauart Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Bauart Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TBauart' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText'"
	 * @generated
	 */
	EDataType getBauart_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Bezeichnung AEA Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Bezeichnung AEA Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TBezeichnung_AEA' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText' pattern='.{1,30}'"
	 * @generated
	 */
	EDataType getBezeichnung_AEA_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Bezeichnung ESTW ZE Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Bezeichnung ESTW ZE Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TBezeichnung_ESTW_ZE' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText'"
	 * @generated
	 */
	EDataType getBezeichnung_ESTW_ZE_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Bezeichnung Stellwerk Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Bezeichnung Stellwerk Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TBezeichnung_Stellwerk' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText'"
	 * @generated
	 */
	EDataType getBezeichnung_Stellwerk_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Bezeichnung TSO Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Bezeichnung TSO Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TBezeichnung_TSO' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText'"
	 * @generated
	 */
	EDataType getBezeichnung_TSO_Type();

	/**
	 * Returns the meta object for data type '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMAussenelementansteuerungArt <em>ENUM Aussenelementansteuerung Art Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ENUM Aussenelementansteuerung Art Object</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMAussenelementansteuerungArt
	 * @model instanceClass="org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMAussenelementansteuerungArt"
	 *        extendedMetaData="name='ENUMAussenelementansteuerung_Art:Object' baseType='ENUMAussenelementansteuerung_Art'"
	 * @generated
	 */
	EDataType getENUMAussenelementansteuerungArtObject();

	/**
	 * Returns the meta object for data type '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMBandbreite <em>ENUM Bandbreite Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ENUM Bandbreite Object</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMBandbreite
	 * @model instanceClass="org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMBandbreite"
	 *        extendedMetaData="name='ENUMBandbreite:Object' baseType='ENUMBandbreite'"
	 * @generated
	 */
	EDataType getENUMBandbreiteObject();

	/**
	 * Returns the meta object for data type '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMEVArt <em>ENUMEV Art Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ENUMEV Art Object</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMEVArt
	 * @model instanceClass="org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMEVArt"
	 *        extendedMetaData="name='ENUMEV_Art:Object' baseType='ENUMEV_Art'"
	 * @generated
	 */
	EDataType getENUMEVArtObject();

	/**
	 * Returns the meta object for data type '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMGFKKategorie <em>ENUMGFK Kategorie Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ENUMGFK Kategorie Object</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMGFKKategorie
	 * @model instanceClass="org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMGFKKategorie"
	 *        extendedMetaData="name='ENUMGFK_Kategorie:Object' baseType='ENUMGFK_Kategorie'"
	 * @generated
	 */
	EDataType getENUMGFKKategorieObject();

	/**
	 * Returns the meta object for data type '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMMediumArt <em>ENUM Medium Art Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ENUM Medium Art Object</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMMediumArt
	 * @model instanceClass="org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMMediumArt"
	 *        extendedMetaData="name='ENUMMedium_Art:Object' baseType='ENUMMedium_Art'"
	 * @generated
	 */
	EDataType getENUMMediumArtObject();

	/**
	 * Returns the meta object for data type '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMNetzArt <em>ENUM Netz Art Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ENUM Netz Art Object</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMNetzArt
	 * @model instanceClass="org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMNetzArt"
	 *        extendedMetaData="name='ENUMNetz_Art:Object' baseType='ENUMNetz_Art'"
	 * @generated
	 */
	EDataType getENUMNetzArtObject();

	/**
	 * Returns the meta object for data type '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMTechnikArt <em>ENUM Technik Art Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ENUM Technik Art Object</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMTechnikArt
	 * @model instanceClass="org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMTechnikArt"
	 *        extendedMetaData="name='ENUMTechnik_Art:Object' baseType='ENUMTechnik_Art'"
	 * @generated
	 */
	EDataType getENUMTechnikArtObject();

	/**
	 * Returns the meta object for data type '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMTSOTeilsystemArt <em>ENUMTSO Teilsystem Art Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ENUMTSO Teilsystem Art Object</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMTSOTeilsystemArt
	 * @model instanceClass="org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMTSOTeilsystemArt"
	 *        extendedMetaData="name='ENUMTSO_Teilsystem_Art:Object' baseType='ENUMTSO_Teilsystem_Art'"
	 * @generated
	 */
	EDataType getENUMTSOTeilsystemArtObject();

	/**
	 * Returns the meta object for data type '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMTueranschlag <em>ENUM Tueranschlag Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ENUM Tueranschlag Object</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMTueranschlag
	 * @model instanceClass="org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMTueranschlag"
	 *        extendedMetaData="name='ENUMTueranschlag:Object' baseType='ENUMTueranschlag'"
	 * @generated
	 */
	EDataType getENUMTueranschlagObject();

	/**
	 * Returns the meta object for data type '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMUebertragungswegArt <em>ENUM Uebertragungsweg Art Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ENUM Uebertragungsweg Art Object</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMUebertragungswegArt
	 * @model instanceClass="org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMUebertragungswegArt"
	 *        extendedMetaData="name='ENUMUebertragungsweg_Art:Object' baseType='ENUMUebertragungsweg_Art'"
	 * @generated
	 */
	EDataType getENUMUebertragungswegArtObject();

	/**
	 * Returns the meta object for data type '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMUnterbringungArt <em>ENUM Unterbringung Art Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ENUM Unterbringung Art Object</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMUnterbringungArt
	 * @model instanceClass="org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMUnterbringungArt"
	 *        extendedMetaData="name='ENUMUnterbringung_Art:Object' baseType='ENUMUnterbringung_Art'"
	 * @generated
	 */
	EDataType getENUMUnterbringungArtObject();

	/**
	 * Returns the meta object for data type '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMUnterbringungBefestigung <em>ENUM Unterbringung Befestigung Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ENUM Unterbringung Befestigung Object</em>'.
	 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMUnterbringungBefestigung
	 * @model instanceClass="org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMUnterbringungBefestigung"
	 *        extendedMetaData="name='ENUMUnterbringung_Befestigung:Object' baseType='ENUMUnterbringung_Befestigung'"
	 * @generated
	 */
	EDataType getENUMUnterbringungBefestigungObject();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>IP Adressblock Blau Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>IP Adressblock Blau Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TIP_Adressblock_Blau' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText'"
	 * @generated
	 */
	EDataType getIP_Adressblock_Blau_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>IP Adressblock Blau V4 Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>IP Adressblock Blau V4 Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TIP_Adressblock_Blau_V4' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText'"
	 * @generated
	 */
	EDataType getIP_Adressblock_Blau_V4_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>IP Adressblock Blau V6 Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>IP Adressblock Blau V6 Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TIP_Adressblock_Blau_V6' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText'"
	 * @generated
	 */
	EDataType getIP_Adressblock_Blau_V6_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>IP Adressblock Grau Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>IP Adressblock Grau Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TIP_Adressblock_Grau' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText'"
	 * @generated
	 */
	EDataType getIP_Adressblock_Grau_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>IP Adressblock Grau V4 Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>IP Adressblock Grau V4 Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TIP_Adressblock_Grau_V4' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText'"
	 * @generated
	 */
	EDataType getIP_Adressblock_Grau_V4_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>IP Adressblock Grau V6 Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>IP Adressblock Grau V6 Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TIP_Adressblock_Grau_V6' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText'"
	 * @generated
	 */
	EDataType getIP_Adressblock_Grau_V6_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Standort Beschreibung Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Standort Beschreibung Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TStandort_Beschreibung' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText'"
	 * @generated
	 */
	EDataType getStandort_Beschreibung_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Technik Beschreibung Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Technik Beschreibung Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TTechnik_Beschreibung' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText'"
	 * @generated
	 */
	EDataType getTechnik_Beschreibung_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Unterbringung Polygonzug Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Unterbringung Polygonzug Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TUnterbringung_Polygonzug' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TFreiText'"
	 * @generated
	 */
	EDataType getUnterbringung_Polygonzug_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Zusatzinformation Stellwerk Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Zusatzinformation Stellwerk Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TZusatzinformation_Stellwerk' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText'"
	 * @generated
	 */
	EDataType getZusatzinformation_Stellwerk_Type();

	/**
	 * Returns the factory that creates the instances of the model.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the factory that creates the instances of the model.
	 * @generated
	 */
	Ansteuerung_ElementFactory getAnsteuerung_ElementFactory();

	/**
	 * <!-- begin-user-doc -->
	 * Defines literals for the meta objects that represent
	 * <ul>
	 *   <li>each class,</li>
	 *   <li>each feature of each class,</li>
	 *   <li>each operation of each class,</li>
	 *   <li>each enum,</li>
	 *   <li>and each data type</li>
	 * </ul>
	 * <!-- end-user-doc -->
	 * @generated
	 */
	interface Literals {
		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.AEA_Allg_AttributeGroupImpl <em>AEA Allg Attribute Group</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.AEA_Allg_AttributeGroupImpl
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getAEA_Allg_AttributeGroup()
		 * @generated
		 */
		EClass AEA_ALLG_ATTRIBUTE_GROUP = eINSTANCE.getAEA_Allg_AttributeGroup();

		/**
		 * The meta object literal for the '<em><b>Aussenelementansteuerung Art</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference AEA_ALLG_ATTRIBUTE_GROUP__AUSSENELEMENTANSTEUERUNG_ART = eINSTANCE.getAEA_Allg_AttributeGroup_AussenelementansteuerungArt();

		/**
		 * The meta object literal for the '<em><b>Bauart</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference AEA_ALLG_ATTRIBUTE_GROUP__BAUART = eINSTANCE.getAEA_Allg_AttributeGroup_Bauart();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.AEA_Energieversorgung_AttributeGroupImpl <em>AEA Energieversorgung Attribute Group</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.AEA_Energieversorgung_AttributeGroupImpl
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getAEA_Energieversorgung_AttributeGroup()
		 * @generated
		 */
		EClass AEA_ENERGIEVERSORGUNG_ATTRIBUTE_GROUP = eINSTANCE.getAEA_Energieversorgung_AttributeGroup();

		/**
		 * The meta object literal for the '<em><b>Energieversorgung Art Ersatz</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference AEA_ENERGIEVERSORGUNG_ATTRIBUTE_GROUP__ENERGIEVERSORGUNG_ART_ERSATZ = eINSTANCE.getAEA_Energieversorgung_AttributeGroup_EnergieversorgungArtErsatz();

		/**
		 * The meta object literal for the '<em><b>ID Energie Sekundaer</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference AEA_ENERGIEVERSORGUNG_ATTRIBUTE_GROUP__ID_ENERGIE_SEKUNDAER = eINSTANCE.getAEA_Energieversorgung_AttributeGroup_IDEnergieSekundaer();

		/**
		 * The meta object literal for the '<em><b>Energieversorgung Art</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference AEA_ENERGIEVERSORGUNG_ATTRIBUTE_GROUP__ENERGIEVERSORGUNG_ART = eINSTANCE.getAEA_Energieversorgung_AttributeGroup_EnergieversorgungArt();

		/**
		 * The meta object literal for the '<em><b>ID Energie Primaer</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference AEA_ENERGIEVERSORGUNG_ATTRIBUTE_GROUP__ID_ENERGIE_PRIMAER = eINSTANCE.getAEA_Energieversorgung_AttributeGroup_IDEnergiePrimaer();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.AEA_GFK_IP_Adressblock_AttributeGroupImpl <em>AEA GFK IP Adressblock Attribute Group</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.AEA_GFK_IP_Adressblock_AttributeGroupImpl
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getAEA_GFK_IP_Adressblock_AttributeGroup()
		 * @generated
		 */
		EClass AEA_GFK_IP_ADRESSBLOCK_ATTRIBUTE_GROUP = eINSTANCE.getAEA_GFK_IP_Adressblock_AttributeGroup();

		/**
		 * The meta object literal for the '<em><b>GFK Kategorie</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference AEA_GFK_IP_ADRESSBLOCK_ATTRIBUTE_GROUP__GFK_KATEGORIE = eINSTANCE.getAEA_GFK_IP_Adressblock_AttributeGroup_GFKKategorie();

		/**
		 * The meta object literal for the '<em><b>IP Adressblock Blau V4</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference AEA_GFK_IP_ADRESSBLOCK_ATTRIBUTE_GROUP__IP_ADRESSBLOCK_BLAU_V4 = eINSTANCE.getAEA_GFK_IP_Adressblock_AttributeGroup_IPAdressblockBlauV4();

		/**
		 * The meta object literal for the '<em><b>IP Adressblock Blau V6</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference AEA_GFK_IP_ADRESSBLOCK_ATTRIBUTE_GROUP__IP_ADRESSBLOCK_BLAU_V6 = eINSTANCE.getAEA_GFK_IP_Adressblock_AttributeGroup_IPAdressblockBlauV6();

		/**
		 * The meta object literal for the '<em><b>IP Adressblock Grau V4</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference AEA_GFK_IP_ADRESSBLOCK_ATTRIBUTE_GROUP__IP_ADRESSBLOCK_GRAU_V4 = eINSTANCE.getAEA_GFK_IP_Adressblock_AttributeGroup_IPAdressblockGrauV4();

		/**
		 * The meta object literal for the '<em><b>IP Adressblock Grau V6</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference AEA_GFK_IP_ADRESSBLOCK_ATTRIBUTE_GROUP__IP_ADRESSBLOCK_GRAU_V6 = eINSTANCE.getAEA_GFK_IP_Adressblock_AttributeGroup_IPAdressblockGrauV6();

		/**
		 * The meta object literal for the '<em><b>Regionalbereich</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference AEA_GFK_IP_ADRESSBLOCK_ATTRIBUTE_GROUP__REGIONALBEREICH = eINSTANCE.getAEA_GFK_IP_Adressblock_AttributeGroup_Regionalbereich();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.AussenelementansteuerungImpl <em>Aussenelementansteuerung</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.AussenelementansteuerungImpl
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getAussenelementansteuerung()
		 * @generated
		 */
		EClass AUSSENELEMENTANSTEUERUNG = eINSTANCE.getAussenelementansteuerung();

		/**
		 * The meta object literal for the '<em><b>AEA Allg</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference AUSSENELEMENTANSTEUERUNG__AEA_ALLG = eINSTANCE.getAussenelementansteuerung_AEAAllg();

		/**
		 * The meta object literal for the '<em><b>AEA Energieversorgung</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference AUSSENELEMENTANSTEUERUNG__AEA_ENERGIEVERSORGUNG = eINSTANCE.getAussenelementansteuerung_AEAEnergieversorgung();

		/**
		 * The meta object literal for the '<em><b>AEAGFKIP Adressblock</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference AUSSENELEMENTANSTEUERUNG__AEAGFKIP_ADRESSBLOCK = eINSTANCE.getAussenelementansteuerung_AEAGFKIPAdressblock();

		/**
		 * The meta object literal for the '<em><b>Bezeichnung</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference AUSSENELEMENTANSTEUERUNG__BEZEICHNUNG = eINSTANCE.getAussenelementansteuerung_Bezeichnung();

		/**
		 * The meta object literal for the '<em><b>ID Information Primaer</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference AUSSENELEMENTANSTEUERUNG__ID_INFORMATION_PRIMAER = eINSTANCE.getAussenelementansteuerung_IDInformationPrimaer();

		/**
		 * The meta object literal for the '<em><b>ID Information Sekundaer</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference AUSSENELEMENTANSTEUERUNG__ID_INFORMATION_SEKUNDAER = eINSTANCE.getAussenelementansteuerung_IDInformationSekundaer();

		/**
		 * The meta object literal for the '<em><b>ID Oertlichkeit Gesteuert</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference AUSSENELEMENTANSTEUERUNG__ID_OERTLICHKEIT_GESTEUERT = eINSTANCE.getAussenelementansteuerung_IDOertlichkeitGesteuert();

		/**
		 * The meta object literal for the '<em><b>ID Oertlichkeit Namensgebend</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference AUSSENELEMENTANSTEUERUNG__ID_OERTLICHKEIT_NAMENSGEBEND = eINSTANCE.getAussenelementansteuerung_IDOertlichkeitNamensgebend();

		/**
		 * The meta object literal for the '<em><b>ID Unterbringung</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference AUSSENELEMENTANSTEUERUNG__ID_UNTERBRINGUNG = eINSTANCE.getAussenelementansteuerung_IDUnterbringung();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Aussenelementansteuerung_Art_TypeClassImpl <em>Aussenelementansteuerung Art Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Aussenelementansteuerung_Art_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getAussenelementansteuerung_Art_TypeClass()
		 * @generated
		 */
		EClass AUSSENELEMENTANSTEUERUNG_ART_TYPE_CLASS = eINSTANCE.getAussenelementansteuerung_Art_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute AUSSENELEMENTANSTEUERUNG_ART_TYPE_CLASS__WERT = eINSTANCE.getAussenelementansteuerung_Art_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Aussenelementansteuerung_Bezeichnung_AttributeGroupImpl <em>Aussenelementansteuerung Bezeichnung Attribute Group</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Aussenelementansteuerung_Bezeichnung_AttributeGroupImpl
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getAussenelementansteuerung_Bezeichnung_AttributeGroup()
		 * @generated
		 */
		EClass AUSSENELEMENTANSTEUERUNG_BEZEICHNUNG_ATTRIBUTE_GROUP = eINSTANCE.getAussenelementansteuerung_Bezeichnung_AttributeGroup();

		/**
		 * The meta object literal for the '<em><b>Bezeichnung AEA</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference AUSSENELEMENTANSTEUERUNG_BEZEICHNUNG_ATTRIBUTE_GROUP__BEZEICHNUNG_AEA = eINSTANCE.getAussenelementansteuerung_Bezeichnung_AttributeGroup_BezeichnungAEA();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Bandbreite_TypeClassImpl <em>Bandbreite Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Bandbreite_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getBandbreite_TypeClass()
		 * @generated
		 */
		EClass BANDBREITE_TYPE_CLASS = eINSTANCE.getBandbreite_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute BANDBREITE_TYPE_CLASS__WERT = eINSTANCE.getBandbreite_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Bauart_TypeClassImpl <em>Bauart Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Bauart_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getBauart_TypeClass()
		 * @generated
		 */
		EClass BAUART_TYPE_CLASS = eINSTANCE.getBauart_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute BAUART_TYPE_CLASS__WERT = eINSTANCE.getBauart_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Bezeichnung_AEA_TypeClassImpl <em>Bezeichnung AEA Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Bezeichnung_AEA_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getBezeichnung_AEA_TypeClass()
		 * @generated
		 */
		EClass BEZEICHNUNG_AEA_TYPE_CLASS = eINSTANCE.getBezeichnung_AEA_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute BEZEICHNUNG_AEA_TYPE_CLASS__WERT = eINSTANCE.getBezeichnung_AEA_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Bezeichnung_ESTW_ZE_TypeClassImpl <em>Bezeichnung ESTW ZE Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Bezeichnung_ESTW_ZE_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getBezeichnung_ESTW_ZE_TypeClass()
		 * @generated
		 */
		EClass BEZEICHNUNG_ESTW_ZE_TYPE_CLASS = eINSTANCE.getBezeichnung_ESTW_ZE_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute BEZEICHNUNG_ESTW_ZE_TYPE_CLASS__WERT = eINSTANCE.getBezeichnung_ESTW_ZE_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Bezeichnung_Stellwerk_TypeClassImpl <em>Bezeichnung Stellwerk Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Bezeichnung_Stellwerk_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getBezeichnung_Stellwerk_TypeClass()
		 * @generated
		 */
		EClass BEZEICHNUNG_STELLWERK_TYPE_CLASS = eINSTANCE.getBezeichnung_Stellwerk_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute BEZEICHNUNG_STELLWERK_TYPE_CLASS__WERT = eINSTANCE.getBezeichnung_Stellwerk_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Bezeichnung_TSO_TypeClassImpl <em>Bezeichnung TSO Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Bezeichnung_TSO_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getBezeichnung_TSO_TypeClass()
		 * @generated
		 */
		EClass BEZEICHNUNG_TSO_TYPE_CLASS = eINSTANCE.getBezeichnung_TSO_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute BEZEICHNUNG_TSO_TYPE_CLASS__WERT = eINSTANCE.getBezeichnung_TSO_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Energieversorgung_Art_Ersatz_TypeClassImpl <em>Energieversorgung Art Ersatz Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Energieversorgung_Art_Ersatz_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getEnergieversorgung_Art_Ersatz_TypeClass()
		 * @generated
		 */
		EClass ENERGIEVERSORGUNG_ART_ERSATZ_TYPE_CLASS = eINSTANCE.getEnergieversorgung_Art_Ersatz_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ENERGIEVERSORGUNG_ART_ERSATZ_TYPE_CLASS__WERT = eINSTANCE.getEnergieversorgung_Art_Ersatz_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Energieversorgung_Art_TypeClassImpl <em>Energieversorgung Art Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Energieversorgung_Art_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getEnergieversorgung_Art_TypeClass()
		 * @generated
		 */
		EClass ENERGIEVERSORGUNG_ART_TYPE_CLASS = eINSTANCE.getEnergieversorgung_Art_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ENERGIEVERSORGUNG_ART_TYPE_CLASS__WERT = eINSTANCE.getEnergieversorgung_Art_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.ESTW_ZE_Energieversorgung_AttributeGroupImpl <em>ESTW ZE Energieversorgung Attribute Group</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.ESTW_ZE_Energieversorgung_AttributeGroupImpl
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getESTW_ZE_Energieversorgung_AttributeGroup()
		 * @generated
		 */
		EClass ESTW_ZE_ENERGIEVERSORGUNG_ATTRIBUTE_GROUP = eINSTANCE.getESTW_ZE_Energieversorgung_AttributeGroup();

		/**
		 * The meta object literal for the '<em><b>Energieversorgung Art</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ESTW_ZE_ENERGIEVERSORGUNG_ATTRIBUTE_GROUP__ENERGIEVERSORGUNG_ART = eINSTANCE.getESTW_ZE_Energieversorgung_AttributeGroup_EnergieversorgungArt();

		/**
		 * The meta object literal for the '<em><b>ID Energie Primaer</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ESTW_ZE_ENERGIEVERSORGUNG_ATTRIBUTE_GROUP__ID_ENERGIE_PRIMAER = eINSTANCE.getESTW_ZE_Energieversorgung_AttributeGroup_IDEnergiePrimaer();

		/**
		 * The meta object literal for the '<em><b>Energieversorgung Art Ersatz</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ESTW_ZE_ENERGIEVERSORGUNG_ATTRIBUTE_GROUP__ENERGIEVERSORGUNG_ART_ERSATZ = eINSTANCE.getESTW_ZE_Energieversorgung_AttributeGroup_EnergieversorgungArtErsatz();

		/**
		 * The meta object literal for the '<em><b>Energieversorgung Art Ersatz2</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ESTW_ZE_ENERGIEVERSORGUNG_ATTRIBUTE_GROUP__ENERGIEVERSORGUNG_ART_ERSATZ2 = eINSTANCE.getESTW_ZE_Energieversorgung_AttributeGroup_EnergieversorgungArtErsatz2();

		/**
		 * The meta object literal for the '<em><b>ID Energie Sekundaer</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ESTW_ZE_ENERGIEVERSORGUNG_ATTRIBUTE_GROUP__ID_ENERGIE_SEKUNDAER = eINSTANCE.getESTW_ZE_Energieversorgung_AttributeGroup_IDEnergieSekundaer();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.ESTW_ZentraleinheitImpl <em>ESTW Zentraleinheit</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.ESTW_ZentraleinheitImpl
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getESTW_Zentraleinheit()
		 * @generated
		 */
		EClass ESTW_ZENTRALEINHEIT = eINSTANCE.getESTW_Zentraleinheit();

		/**
		 * The meta object literal for the '<em><b>Bezeichnung</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ESTW_ZENTRALEINHEIT__BEZEICHNUNG = eINSTANCE.getESTW_Zentraleinheit_Bezeichnung();

		/**
		 * The meta object literal for the '<em><b>ESTWZE Energieversorgung</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ESTW_ZENTRALEINHEIT__ESTWZE_ENERGIEVERSORGUNG = eINSTANCE.getESTW_Zentraleinheit_ESTWZEEnergieversorgung();

		/**
		 * The meta object literal for the '<em><b>ESTW Zentraleinheit Allg</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ESTW_ZENTRALEINHEIT__ESTW_ZENTRALEINHEIT_ALLG = eINSTANCE.getESTW_Zentraleinheit_ESTWZentraleinheitAllg();

		/**
		 * The meta object literal for the '<em><b>ID Oertlichkeit Namensgebend</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ESTW_ZENTRALEINHEIT__ID_OERTLICHKEIT_NAMENSGEBEND = eINSTANCE.getESTW_Zentraleinheit_IDOertlichkeitNamensgebend();

		/**
		 * The meta object literal for the '<em><b>ID Unterbringung</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ESTW_ZENTRALEINHEIT__ID_UNTERBRINGUNG = eINSTANCE.getESTW_Zentraleinheit_IDUnterbringung();

		/**
		 * The meta object literal for the '<em><b>ID Bedien Bezirk Virtuell</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ESTW_ZENTRALEINHEIT__ID_BEDIEN_BEZIRK_VIRTUELL = eINSTANCE.getESTW_Zentraleinheit_IDBedienBezirkVirtuell();

		/**
		 * The meta object literal for the '<em><b>ID Bedien Bezirk Zentral</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ESTW_ZENTRALEINHEIT__ID_BEDIEN_BEZIRK_ZENTRAL = eINSTANCE.getESTW_Zentraleinheit_IDBedienBezirkZentral();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.ESTW_Zentraleinheit_Allg_AttributeGroupImpl <em>ESTW Zentraleinheit Allg Attribute Group</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.ESTW_Zentraleinheit_Allg_AttributeGroupImpl
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getESTW_Zentraleinheit_Allg_AttributeGroup()
		 * @generated
		 */
		EClass ESTW_ZENTRALEINHEIT_ALLG_ATTRIBUTE_GROUP = eINSTANCE.getESTW_Zentraleinheit_Allg_AttributeGroup();

		/**
		 * The meta object literal for the '<em><b>Bauart</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ESTW_ZENTRALEINHEIT_ALLG_ATTRIBUTE_GROUP__BAUART = eINSTANCE.getESTW_Zentraleinheit_Allg_AttributeGroup_Bauart();

		/**
		 * The meta object literal for the '<em><b>Hersteller</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ESTW_ZENTRALEINHEIT_ALLG_ATTRIBUTE_GROUP__HERSTELLER = eINSTANCE.getESTW_Zentraleinheit_Allg_AttributeGroup_Hersteller();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.ESTW_Zentraleinheit_Bezeichnung_AttributeGroupImpl <em>ESTW Zentraleinheit Bezeichnung Attribute Group</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.ESTW_Zentraleinheit_Bezeichnung_AttributeGroupImpl
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getESTW_Zentraleinheit_Bezeichnung_AttributeGroup()
		 * @generated
		 */
		EClass ESTW_ZENTRALEINHEIT_BEZEICHNUNG_ATTRIBUTE_GROUP = eINSTANCE.getESTW_Zentraleinheit_Bezeichnung_AttributeGroup();

		/**
		 * The meta object literal for the '<em><b>Bezeichnung ESTWZE</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ESTW_ZENTRALEINHEIT_BEZEICHNUNG_ATTRIBUTE_GROUP__BEZEICHNUNG_ESTWZE = eINSTANCE.getESTW_Zentraleinheit_Bezeichnung_AttributeGroup_BezeichnungESTWZE();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.GFK_Kategorie_TypeClassImpl <em>GFK Kategorie Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.GFK_Kategorie_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getGFK_Kategorie_TypeClass()
		 * @generated
		 */
		EClass GFK_KATEGORIE_TYPE_CLASS = eINSTANCE.getGFK_Kategorie_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute GFK_KATEGORIE_TYPE_CLASS__WERT = eINSTANCE.getGFK_Kategorie_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Hersteller_TypeClassImpl <em>Hersteller Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Hersteller_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getHersteller_TypeClass()
		 * @generated
		 */
		EClass HERSTELLER_TYPE_CLASS = eINSTANCE.getHersteller_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute HERSTELLER_TYPE_CLASS__WERT = eINSTANCE.getHersteller_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.IP_Adressblock_Blau_TypeClassImpl <em>IP Adressblock Blau Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.IP_Adressblock_Blau_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getIP_Adressblock_Blau_TypeClass()
		 * @generated
		 */
		EClass IP_ADRESSBLOCK_BLAU_TYPE_CLASS = eINSTANCE.getIP_Adressblock_Blau_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute IP_ADRESSBLOCK_BLAU_TYPE_CLASS__WERT = eINSTANCE.getIP_Adressblock_Blau_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.IP_Adressblock_Blau_V4_TypeClassImpl <em>IP Adressblock Blau V4 Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.IP_Adressblock_Blau_V4_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getIP_Adressblock_Blau_V4_TypeClass()
		 * @generated
		 */
		EClass IP_ADRESSBLOCK_BLAU_V4_TYPE_CLASS = eINSTANCE.getIP_Adressblock_Blau_V4_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute IP_ADRESSBLOCK_BLAU_V4_TYPE_CLASS__WERT = eINSTANCE.getIP_Adressblock_Blau_V4_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.IP_Adressblock_Blau_V6_TypeClassImpl <em>IP Adressblock Blau V6 Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.IP_Adressblock_Blau_V6_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getIP_Adressblock_Blau_V6_TypeClass()
		 * @generated
		 */
		EClass IP_ADRESSBLOCK_BLAU_V6_TYPE_CLASS = eINSTANCE.getIP_Adressblock_Blau_V6_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute IP_ADRESSBLOCK_BLAU_V6_TYPE_CLASS__WERT = eINSTANCE.getIP_Adressblock_Blau_V6_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.IP_Adressblock_Grau_TypeClassImpl <em>IP Adressblock Grau Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.IP_Adressblock_Grau_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getIP_Adressblock_Grau_TypeClass()
		 * @generated
		 */
		EClass IP_ADRESSBLOCK_GRAU_TYPE_CLASS = eINSTANCE.getIP_Adressblock_Grau_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute IP_ADRESSBLOCK_GRAU_TYPE_CLASS__WERT = eINSTANCE.getIP_Adressblock_Grau_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.IP_Adressblock_Grau_V4_TypeClassImpl <em>IP Adressblock Grau V4 Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.IP_Adressblock_Grau_V4_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getIP_Adressblock_Grau_V4_TypeClass()
		 * @generated
		 */
		EClass IP_ADRESSBLOCK_GRAU_V4_TYPE_CLASS = eINSTANCE.getIP_Adressblock_Grau_V4_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute IP_ADRESSBLOCK_GRAU_V4_TYPE_CLASS__WERT = eINSTANCE.getIP_Adressblock_Grau_V4_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.IP_Adressblock_Grau_V6_TypeClassImpl <em>IP Adressblock Grau V6 Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.IP_Adressblock_Grau_V6_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getIP_Adressblock_Grau_V6_TypeClass()
		 * @generated
		 */
		EClass IP_ADRESSBLOCK_GRAU_V6_TYPE_CLASS = eINSTANCE.getIP_Adressblock_Grau_V6_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute IP_ADRESSBLOCK_GRAU_V6_TYPE_CLASS__WERT = eINSTANCE.getIP_Adressblock_Grau_V6_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Medium_Art_TypeClassImpl <em>Medium Art Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Medium_Art_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getMedium_Art_TypeClass()
		 * @generated
		 */
		EClass MEDIUM_ART_TYPE_CLASS = eINSTANCE.getMedium_Art_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute MEDIUM_ART_TYPE_CLASS__WERT = eINSTANCE.getMedium_Art_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Netz_Art_TypeClassImpl <em>Netz Art Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Netz_Art_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getNetz_Art_TypeClass()
		 * @generated
		 */
		EClass NETZ_ART_TYPE_CLASS = eINSTANCE.getNetz_Art_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute NETZ_ART_TYPE_CLASS__WERT = eINSTANCE.getNetz_Art_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Regionalbereich_TypeClassImpl <em>Regionalbereich Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Regionalbereich_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getRegionalbereich_TypeClass()
		 * @generated
		 */
		EClass REGIONALBEREICH_TYPE_CLASS = eINSTANCE.getRegionalbereich_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute REGIONALBEREICH_TYPE_CLASS__WERT = eINSTANCE.getRegionalbereich_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Standort_Beschreibung_TypeClassImpl <em>Standort Beschreibung Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Standort_Beschreibung_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getStandort_Beschreibung_TypeClass()
		 * @generated
		 */
		EClass STANDORT_BESCHREIBUNG_TYPE_CLASS = eINSTANCE.getStandort_Beschreibung_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STANDORT_BESCHREIBUNG_TYPE_CLASS__WERT = eINSTANCE.getStandort_Beschreibung_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Stell_BereichImpl <em>Stell Bereich</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Stell_BereichImpl
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getStell_Bereich()
		 * @generated
		 */
		EClass STELL_BEREICH = eINSTANCE.getStell_Bereich();

		/**
		 * The meta object literal for the '<em><b>Zusatzinformation Stellwerk</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference STELL_BEREICH__ZUSATZINFORMATION_STELLWERK = eINSTANCE.getStell_Bereich_ZusatzinformationStellwerk();

		/**
		 * The meta object literal for the '<em><b>Bezeichnung Stellwerk</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference STELL_BEREICH__BEZEICHNUNG_STELLWERK = eINSTANCE.getStell_Bereich_BezeichnungStellwerk();

		/**
		 * The meta object literal for the '<em><b>ID Aussenelementansteuerung</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference STELL_BEREICH__ID_AUSSENELEMENTANSTEUERUNG = eINSTANCE.getStell_Bereich_IDAussenelementansteuerung();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.StellelementImpl <em>Stellelement</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.StellelementImpl
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getStellelement()
		 * @generated
		 */
		EClass STELLELEMENT = eINSTANCE.getStellelement();

		/**
		 * The meta object literal for the '<em><b>ID Energie</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference STELLELEMENT__ID_ENERGIE = eINSTANCE.getStellelement_IDEnergie();

		/**
		 * The meta object literal for the '<em><b>ID Information</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference STELLELEMENT__ID_INFORMATION = eINSTANCE.getStellelement_IDInformation();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Technik_Art_TypeClassImpl <em>Technik Art Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Technik_Art_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getTechnik_Art_TypeClass()
		 * @generated
		 */
		EClass TECHNIK_ART_TYPE_CLASS = eINSTANCE.getTechnik_Art_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TECHNIK_ART_TYPE_CLASS__WERT = eINSTANCE.getTechnik_Art_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Technik_Beschreibung_TypeClassImpl <em>Technik Beschreibung Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Technik_Beschreibung_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getTechnik_Beschreibung_TypeClass()
		 * @generated
		 */
		EClass TECHNIK_BESCHREIBUNG_TYPE_CLASS = eINSTANCE.getTechnik_Beschreibung_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TECHNIK_BESCHREIBUNG_TYPE_CLASS__WERT = eINSTANCE.getTechnik_Beschreibung_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Technik_StandortImpl <em>Technik Standort</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Technik_StandortImpl
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getTechnik_Standort()
		 * @generated
		 */
		EClass TECHNIK_STANDORT = eINSTANCE.getTechnik_Standort();

		/**
		 * The meta object literal for the '<em><b>Bezeichnung</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TECHNIK_STANDORT__BEZEICHNUNG = eINSTANCE.getTechnik_Standort_Bezeichnung();

		/**
		 * The meta object literal for the '<em><b>ID Bedien Standort</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TECHNIK_STANDORT__ID_BEDIEN_STANDORT = eINSTANCE.getTechnik_Standort_IDBedienStandort();

		/**
		 * The meta object literal for the '<em><b>ID Unterbringung</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TECHNIK_STANDORT__ID_UNTERBRINGUNG = eINSTANCE.getTechnik_Standort_IDUnterbringung();

		/**
		 * The meta object literal for the '<em><b>TSOIP Adressblock</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TECHNIK_STANDORT__TSOIP_ADRESSBLOCK = eINSTANCE.getTechnik_Standort_TSOIPAdressblock();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Technik_Standort_Bezeichnung_AttributeGroupImpl <em>Technik Standort Bezeichnung Attribute Group</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Technik_Standort_Bezeichnung_AttributeGroupImpl
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getTechnik_Standort_Bezeichnung_AttributeGroup()
		 * @generated
		 */
		EClass TECHNIK_STANDORT_BEZEICHNUNG_ATTRIBUTE_GROUP = eINSTANCE.getTechnik_Standort_Bezeichnung_AttributeGroup();

		/**
		 * The meta object literal for the '<em><b>Bezeichnung TSO</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TECHNIK_STANDORT_BEZEICHNUNG_ATTRIBUTE_GROUP__BEZEICHNUNG_TSO = eINSTANCE.getTechnik_Standort_Bezeichnung_AttributeGroup_BezeichnungTSO();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.TSO_IP_AB_Teilsystem_AttributeGroupImpl <em>TSO IP AB Teilsystem Attribute Group</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.TSO_IP_AB_Teilsystem_AttributeGroupImpl
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getTSO_IP_AB_Teilsystem_AttributeGroup()
		 * @generated
		 */
		EClass TSO_IP_AB_TEILSYSTEM_ATTRIBUTE_GROUP = eINSTANCE.getTSO_IP_AB_Teilsystem_AttributeGroup();

		/**
		 * The meta object literal for the '<em><b>IP Adressblock Blau</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TSO_IP_AB_TEILSYSTEM_ATTRIBUTE_GROUP__IP_ADRESSBLOCK_BLAU = eINSTANCE.getTSO_IP_AB_Teilsystem_AttributeGroup_IPAdressblockBlau();

		/**
		 * The meta object literal for the '<em><b>IP Adressblock Grau</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TSO_IP_AB_TEILSYSTEM_ATTRIBUTE_GROUP__IP_ADRESSBLOCK_GRAU = eINSTANCE.getTSO_IP_AB_Teilsystem_AttributeGroup_IPAdressblockGrau();

		/**
		 * The meta object literal for the '<em><b>TSO Teilsystem Art</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TSO_IP_AB_TEILSYSTEM_ATTRIBUTE_GROUP__TSO_TEILSYSTEM_ART = eINSTANCE.getTSO_IP_AB_Teilsystem_AttributeGroup_TSOTeilsystemArt();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.TSO_IP_Adressblock_AttributeGroupImpl <em>TSO IP Adressblock Attribute Group</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.TSO_IP_Adressblock_AttributeGroupImpl
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getTSO_IP_Adressblock_AttributeGroup()
		 * @generated
		 */
		EClass TSO_IP_ADRESSBLOCK_ATTRIBUTE_GROUP = eINSTANCE.getTSO_IP_Adressblock_AttributeGroup();

		/**
		 * The meta object literal for the '<em><b>IP Adressblock Blau V4</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TSO_IP_ADRESSBLOCK_ATTRIBUTE_GROUP__IP_ADRESSBLOCK_BLAU_V4 = eINSTANCE.getTSO_IP_Adressblock_AttributeGroup_IPAdressblockBlauV4();

		/**
		 * The meta object literal for the '<em><b>IP Adressblock Blau V6</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TSO_IP_ADRESSBLOCK_ATTRIBUTE_GROUP__IP_ADRESSBLOCK_BLAU_V6 = eINSTANCE.getTSO_IP_Adressblock_AttributeGroup_IPAdressblockBlauV6();

		/**
		 * The meta object literal for the '<em><b>IP Adressblock Grau V4</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TSO_IP_ADRESSBLOCK_ATTRIBUTE_GROUP__IP_ADRESSBLOCK_GRAU_V4 = eINSTANCE.getTSO_IP_Adressblock_AttributeGroup_IPAdressblockGrauV4();

		/**
		 * The meta object literal for the '<em><b>IP Adressblock Grau V6</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TSO_IP_ADRESSBLOCK_ATTRIBUTE_GROUP__IP_ADRESSBLOCK_GRAU_V6 = eINSTANCE.getTSO_IP_Adressblock_AttributeGroup_IPAdressblockGrauV6();

		/**
		 * The meta object literal for the '<em><b>Regionalbereich</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TSO_IP_ADRESSBLOCK_ATTRIBUTE_GROUP__REGIONALBEREICH = eINSTANCE.getTSO_IP_Adressblock_AttributeGroup_Regionalbereich();

		/**
		 * The meta object literal for the '<em><b>TSOIPAB Teilsystem</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TSO_IP_ADRESSBLOCK_ATTRIBUTE_GROUP__TSOIPAB_TEILSYSTEM = eINSTANCE.getTSO_IP_Adressblock_AttributeGroup_TSOIPABTeilsystem();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.TSO_Teilsystem_Art_TypeClassImpl <em>TSO Teilsystem Art Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.TSO_Teilsystem_Art_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getTSO_Teilsystem_Art_TypeClass()
		 * @generated
		 */
		EClass TSO_TEILSYSTEM_ART_TYPE_CLASS = eINSTANCE.getTSO_Teilsystem_Art_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TSO_TEILSYSTEM_ART_TYPE_CLASS__WERT = eINSTANCE.getTSO_Teilsystem_Art_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Tueranschlag_TypeClassImpl <em>Tueranschlag Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Tueranschlag_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getTueranschlag_TypeClass()
		 * @generated
		 */
		EClass TUERANSCHLAG_TYPE_CLASS = eINSTANCE.getTueranschlag_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TUERANSCHLAG_TYPE_CLASS__WERT = eINSTANCE.getTueranschlag_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.UebertragungswegImpl <em>Uebertragungsweg</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.UebertragungswegImpl
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getUebertragungsweg()
		 * @generated
		 */
		EClass UEBERTRAGUNGSWEG = eINSTANCE.getUebertragungsweg();

		/**
		 * The meta object literal for the '<em><b>ID Anhang Ue Weg Nach</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference UEBERTRAGUNGSWEG__ID_ANHANG_UE_WEG_NACH = eINSTANCE.getUebertragungsweg_IDAnhangUeWegNach();

		/**
		 * The meta object literal for the '<em><b>ID Anhang Ue Weg Von</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference UEBERTRAGUNGSWEG__ID_ANHANG_UE_WEG_VON = eINSTANCE.getUebertragungsweg_IDAnhangUeWegVon();

		/**
		 * The meta object literal for the '<em><b>ID Uebertragungsweg Nach</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference UEBERTRAGUNGSWEG__ID_UEBERTRAGUNGSWEG_NACH = eINSTANCE.getUebertragungsweg_IDUebertragungswegNach();

		/**
		 * The meta object literal for the '<em><b>ID Uebertragungsweg Von</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference UEBERTRAGUNGSWEG__ID_UEBERTRAGUNGSWEG_VON = eINSTANCE.getUebertragungsweg_IDUebertragungswegVon();

		/**
		 * The meta object literal for the '<em><b>Uebertragungsweg Art</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference UEBERTRAGUNGSWEG__UEBERTRAGUNGSWEG_ART = eINSTANCE.getUebertragungsweg_UebertragungswegArt();

		/**
		 * The meta object literal for the '<em><b>Uebertragungsweg Technik</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference UEBERTRAGUNGSWEG__UEBERTRAGUNGSWEG_TECHNIK = eINSTANCE.getUebertragungsweg_UebertragungswegTechnik();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Uebertragungsweg_Art_TypeClassImpl <em>Uebertragungsweg Art Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Uebertragungsweg_Art_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getUebertragungsweg_Art_TypeClass()
		 * @generated
		 */
		EClass UEBERTRAGUNGSWEG_ART_TYPE_CLASS = eINSTANCE.getUebertragungsweg_Art_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute UEBERTRAGUNGSWEG_ART_TYPE_CLASS__WERT = eINSTANCE.getUebertragungsweg_Art_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Uebertragungsweg_Technik_AttributeGroupImpl <em>Uebertragungsweg Technik Attribute Group</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Uebertragungsweg_Technik_AttributeGroupImpl
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getUebertragungsweg_Technik_AttributeGroup()
		 * @generated
		 */
		EClass UEBERTRAGUNGSWEG_TECHNIK_ATTRIBUTE_GROUP = eINSTANCE.getUebertragungsweg_Technik_AttributeGroup();

		/**
		 * The meta object literal for the '<em><b>Bandbreite</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference UEBERTRAGUNGSWEG_TECHNIK_ATTRIBUTE_GROUP__BANDBREITE = eINSTANCE.getUebertragungsweg_Technik_AttributeGroup_Bandbreite();

		/**
		 * The meta object literal for the '<em><b>Medium Art</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference UEBERTRAGUNGSWEG_TECHNIK_ATTRIBUTE_GROUP__MEDIUM_ART = eINSTANCE.getUebertragungsweg_Technik_AttributeGroup_MediumArt();

		/**
		 * The meta object literal for the '<em><b>Netz Art</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference UEBERTRAGUNGSWEG_TECHNIK_ATTRIBUTE_GROUP__NETZ_ART = eINSTANCE.getUebertragungsweg_Technik_AttributeGroup_NetzArt();

		/**
		 * The meta object literal for the '<em><b>Technik Art</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference UEBERTRAGUNGSWEG_TECHNIK_ATTRIBUTE_GROUP__TECHNIK_ART = eINSTANCE.getUebertragungsweg_Technik_AttributeGroup_TechnikArt();

		/**
		 * The meta object literal for the '<em><b>Technik Beschreibung</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference UEBERTRAGUNGSWEG_TECHNIK_ATTRIBUTE_GROUP__TECHNIK_BESCHREIBUNG = eINSTANCE.getUebertragungsweg_Technik_AttributeGroup_TechnikBeschreibung();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.UnterbringungImpl <em>Unterbringung</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.UnterbringungImpl
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getUnterbringung()
		 * @generated
		 */
		EClass UNTERBRINGUNG = eINSTANCE.getUnterbringung();

		/**
		 * The meta object literal for the '<em><b>Punkt Objekt Strecke</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference UNTERBRINGUNG__PUNKT_OBJEKT_STRECKE = eINSTANCE.getUnterbringung_PunktObjektStrecke();

		/**
		 * The meta object literal for the '<em><b>Unterbringung Allg</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference UNTERBRINGUNG__UNTERBRINGUNG_ALLG = eINSTANCE.getUnterbringung_UnterbringungAllg();

		/**
		 * The meta object literal for the '<em><b>IDGEO Punkt</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference UNTERBRINGUNG__IDGEO_PUNKT = eINSTANCE.getUnterbringung_IDGEOPunkt();

		/**
		 * The meta object literal for the '<em><b>Punkt Objekt TOP Kante</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference UNTERBRINGUNG__PUNKT_OBJEKT_TOP_KANTE = eINSTANCE.getUnterbringung_PunktObjektTOPKante();

		/**
		 * The meta object literal for the '<em><b>Standort Beschreibung</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference UNTERBRINGUNG__STANDORT_BESCHREIBUNG = eINSTANCE.getUnterbringung_StandortBeschreibung();

		/**
		 * The meta object literal for the '<em><b>Unterbringung Polygonzug</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference UNTERBRINGUNG__UNTERBRINGUNG_POLYGONZUG = eINSTANCE.getUnterbringung_UnterbringungPolygonzug();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Unterbringung_Allg_AttributeGroupImpl <em>Unterbringung Allg Attribute Group</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Unterbringung_Allg_AttributeGroupImpl
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getUnterbringung_Allg_AttributeGroup()
		 * @generated
		 */
		EClass UNTERBRINGUNG_ALLG_ATTRIBUTE_GROUP = eINSTANCE.getUnterbringung_Allg_AttributeGroup();

		/**
		 * The meta object literal for the '<em><b>Hersteller</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference UNTERBRINGUNG_ALLG_ATTRIBUTE_GROUP__HERSTELLER = eINSTANCE.getUnterbringung_Allg_AttributeGroup_Hersteller();

		/**
		 * The meta object literal for the '<em><b>Tueranschlag</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference UNTERBRINGUNG_ALLG_ATTRIBUTE_GROUP__TUERANSCHLAG = eINSTANCE.getUnterbringung_Allg_AttributeGroup_Tueranschlag();

		/**
		 * The meta object literal for the '<em><b>Unterbringung Art</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference UNTERBRINGUNG_ALLG_ATTRIBUTE_GROUP__UNTERBRINGUNG_ART = eINSTANCE.getUnterbringung_Allg_AttributeGroup_UnterbringungArt();

		/**
		 * The meta object literal for the '<em><b>Unterbringung Befestigung</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference UNTERBRINGUNG_ALLG_ATTRIBUTE_GROUP__UNTERBRINGUNG_BEFESTIGUNG = eINSTANCE.getUnterbringung_Allg_AttributeGroup_UnterbringungBefestigung();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Unterbringung_Art_TypeClassImpl <em>Unterbringung Art Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Unterbringung_Art_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getUnterbringung_Art_TypeClass()
		 * @generated
		 */
		EClass UNTERBRINGUNG_ART_TYPE_CLASS = eINSTANCE.getUnterbringung_Art_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute UNTERBRINGUNG_ART_TYPE_CLASS__WERT = eINSTANCE.getUnterbringung_Art_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Unterbringung_Befestigung_TypeClassImpl <em>Unterbringung Befestigung Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Unterbringung_Befestigung_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getUnterbringung_Befestigung_TypeClass()
		 * @generated
		 */
		EClass UNTERBRINGUNG_BEFESTIGUNG_TYPE_CLASS = eINSTANCE.getUnterbringung_Befestigung_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute UNTERBRINGUNG_BEFESTIGUNG_TYPE_CLASS__WERT = eINSTANCE.getUnterbringung_Befestigung_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Unterbringung_Polygonzug_TypeClassImpl <em>Unterbringung Polygonzug Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Unterbringung_Polygonzug_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getUnterbringung_Polygonzug_TypeClass()
		 * @generated
		 */
		EClass UNTERBRINGUNG_POLYGONZUG_TYPE_CLASS = eINSTANCE.getUnterbringung_Polygonzug_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute UNTERBRINGUNG_POLYGONZUG_TYPE_CLASS__WERT = eINSTANCE.getUnterbringung_Polygonzug_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Zusatzinformation_Stellwerk_TypeClassImpl <em>Zusatzinformation Stellwerk Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Zusatzinformation_Stellwerk_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getZusatzinformation_Stellwerk_TypeClass()
		 * @generated
		 */
		EClass ZUSATZINFORMATION_STELLWERK_TYPE_CLASS = eINSTANCE.getZusatzinformation_Stellwerk_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ZUSATZINFORMATION_STELLWERK_TYPE_CLASS__WERT = eINSTANCE.getZusatzinformation_Stellwerk_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMAussenelementansteuerungArt <em>ENUM Aussenelementansteuerung Art</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMAussenelementansteuerungArt
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getENUMAussenelementansteuerungArt()
		 * @generated
		 */
		EEnum ENUM_AUSSENELEMENTANSTEUERUNG_ART = eINSTANCE.getENUMAussenelementansteuerungArt();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMBandbreite <em>ENUM Bandbreite</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMBandbreite
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getENUMBandbreite()
		 * @generated
		 */
		EEnum ENUM_BANDBREITE = eINSTANCE.getENUMBandbreite();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMEVArt <em>ENUMEV Art</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMEVArt
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getENUMEVArt()
		 * @generated
		 */
		EEnum ENUMEV_ART = eINSTANCE.getENUMEVArt();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMGFKKategorie <em>ENUMGFK Kategorie</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMGFKKategorie
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getENUMGFKKategorie()
		 * @generated
		 */
		EEnum ENUMGFK_KATEGORIE = eINSTANCE.getENUMGFKKategorie();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMMediumArt <em>ENUM Medium Art</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMMediumArt
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getENUMMediumArt()
		 * @generated
		 */
		EEnum ENUM_MEDIUM_ART = eINSTANCE.getENUMMediumArt();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMNetzArt <em>ENUM Netz Art</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMNetzArt
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getENUMNetzArt()
		 * @generated
		 */
		EEnum ENUM_NETZ_ART = eINSTANCE.getENUMNetzArt();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMTechnikArt <em>ENUM Technik Art</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMTechnikArt
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getENUMTechnikArt()
		 * @generated
		 */
		EEnum ENUM_TECHNIK_ART = eINSTANCE.getENUMTechnikArt();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMTSOTeilsystemArt <em>ENUMTSO Teilsystem Art</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMTSOTeilsystemArt
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getENUMTSOTeilsystemArt()
		 * @generated
		 */
		EEnum ENUMTSO_TEILSYSTEM_ART = eINSTANCE.getENUMTSOTeilsystemArt();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMTueranschlag <em>ENUM Tueranschlag</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMTueranschlag
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getENUMTueranschlag()
		 * @generated
		 */
		EEnum ENUM_TUERANSCHLAG = eINSTANCE.getENUMTueranschlag();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMUebertragungswegArt <em>ENUM Uebertragungsweg Art</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMUebertragungswegArt
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getENUMUebertragungswegArt()
		 * @generated
		 */
		EEnum ENUM_UEBERTRAGUNGSWEG_ART = eINSTANCE.getENUMUebertragungswegArt();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMUnterbringungArt <em>ENUM Unterbringung Art</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMUnterbringungArt
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getENUMUnterbringungArt()
		 * @generated
		 */
		EEnum ENUM_UNTERBRINGUNG_ART = eINSTANCE.getENUMUnterbringungArt();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMUnterbringungBefestigung <em>ENUM Unterbringung Befestigung</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMUnterbringungBefestigung
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getENUMUnterbringungBefestigung()
		 * @generated
		 */
		EEnum ENUM_UNTERBRINGUNG_BEFESTIGUNG = eINSTANCE.getENUMUnterbringungBefestigung();

		/**
		 * The meta object literal for the '<em>Bauart Type</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getBauart_Type()
		 * @generated
		 */
		EDataType BAUART_TYPE = eINSTANCE.getBauart_Type();

		/**
		 * The meta object literal for the '<em>Bezeichnung AEA Type</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getBezeichnung_AEA_Type()
		 * @generated
		 */
		EDataType BEZEICHNUNG_AEA_TYPE = eINSTANCE.getBezeichnung_AEA_Type();

		/**
		 * The meta object literal for the '<em>Bezeichnung ESTW ZE Type</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getBezeichnung_ESTW_ZE_Type()
		 * @generated
		 */
		EDataType BEZEICHNUNG_ESTW_ZE_TYPE = eINSTANCE.getBezeichnung_ESTW_ZE_Type();

		/**
		 * The meta object literal for the '<em>Bezeichnung Stellwerk Type</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getBezeichnung_Stellwerk_Type()
		 * @generated
		 */
		EDataType BEZEICHNUNG_STELLWERK_TYPE = eINSTANCE.getBezeichnung_Stellwerk_Type();

		/**
		 * The meta object literal for the '<em>Bezeichnung TSO Type</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getBezeichnung_TSO_Type()
		 * @generated
		 */
		EDataType BEZEICHNUNG_TSO_TYPE = eINSTANCE.getBezeichnung_TSO_Type();

		/**
		 * The meta object literal for the '<em>ENUM Aussenelementansteuerung Art Object</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMAussenelementansteuerungArt
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getENUMAussenelementansteuerungArtObject()
		 * @generated
		 */
		EDataType ENUM_AUSSENELEMENTANSTEUERUNG_ART_OBJECT = eINSTANCE.getENUMAussenelementansteuerungArtObject();

		/**
		 * The meta object literal for the '<em>ENUM Bandbreite Object</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMBandbreite
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getENUMBandbreiteObject()
		 * @generated
		 */
		EDataType ENUM_BANDBREITE_OBJECT = eINSTANCE.getENUMBandbreiteObject();

		/**
		 * The meta object literal for the '<em>ENUMEV Art Object</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMEVArt
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getENUMEVArtObject()
		 * @generated
		 */
		EDataType ENUMEV_ART_OBJECT = eINSTANCE.getENUMEVArtObject();

		/**
		 * The meta object literal for the '<em>ENUMGFK Kategorie Object</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMGFKKategorie
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getENUMGFKKategorieObject()
		 * @generated
		 */
		EDataType ENUMGFK_KATEGORIE_OBJECT = eINSTANCE.getENUMGFKKategorieObject();

		/**
		 * The meta object literal for the '<em>ENUM Medium Art Object</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMMediumArt
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getENUMMediumArtObject()
		 * @generated
		 */
		EDataType ENUM_MEDIUM_ART_OBJECT = eINSTANCE.getENUMMediumArtObject();

		/**
		 * The meta object literal for the '<em>ENUM Netz Art Object</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMNetzArt
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getENUMNetzArtObject()
		 * @generated
		 */
		EDataType ENUM_NETZ_ART_OBJECT = eINSTANCE.getENUMNetzArtObject();

		/**
		 * The meta object literal for the '<em>ENUM Technik Art Object</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMTechnikArt
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getENUMTechnikArtObject()
		 * @generated
		 */
		EDataType ENUM_TECHNIK_ART_OBJECT = eINSTANCE.getENUMTechnikArtObject();

		/**
		 * The meta object literal for the '<em>ENUMTSO Teilsystem Art Object</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMTSOTeilsystemArt
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getENUMTSOTeilsystemArtObject()
		 * @generated
		 */
		EDataType ENUMTSO_TEILSYSTEM_ART_OBJECT = eINSTANCE.getENUMTSOTeilsystemArtObject();

		/**
		 * The meta object literal for the '<em>ENUM Tueranschlag Object</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMTueranschlag
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getENUMTueranschlagObject()
		 * @generated
		 */
		EDataType ENUM_TUERANSCHLAG_OBJECT = eINSTANCE.getENUMTueranschlagObject();

		/**
		 * The meta object literal for the '<em>ENUM Uebertragungsweg Art Object</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMUebertragungswegArt
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getENUMUebertragungswegArtObject()
		 * @generated
		 */
		EDataType ENUM_UEBERTRAGUNGSWEG_ART_OBJECT = eINSTANCE.getENUMUebertragungswegArtObject();

		/**
		 * The meta object literal for the '<em>ENUM Unterbringung Art Object</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMUnterbringungArt
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getENUMUnterbringungArtObject()
		 * @generated
		 */
		EDataType ENUM_UNTERBRINGUNG_ART_OBJECT = eINSTANCE.getENUMUnterbringungArtObject();

		/**
		 * The meta object literal for the '<em>ENUM Unterbringung Befestigung Object</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.ENUMUnterbringungBefestigung
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getENUMUnterbringungBefestigungObject()
		 * @generated
		 */
		EDataType ENUM_UNTERBRINGUNG_BEFESTIGUNG_OBJECT = eINSTANCE.getENUMUnterbringungBefestigungObject();

		/**
		 * The meta object literal for the '<em>IP Adressblock Blau Type</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getIP_Adressblock_Blau_Type()
		 * @generated
		 */
		EDataType IP_ADRESSBLOCK_BLAU_TYPE = eINSTANCE.getIP_Adressblock_Blau_Type();

		/**
		 * The meta object literal for the '<em>IP Adressblock Blau V4 Type</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getIP_Adressblock_Blau_V4_Type()
		 * @generated
		 */
		EDataType IP_ADRESSBLOCK_BLAU_V4_TYPE = eINSTANCE.getIP_Adressblock_Blau_V4_Type();

		/**
		 * The meta object literal for the '<em>IP Adressblock Blau V6 Type</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getIP_Adressblock_Blau_V6_Type()
		 * @generated
		 */
		EDataType IP_ADRESSBLOCK_BLAU_V6_TYPE = eINSTANCE.getIP_Adressblock_Blau_V6_Type();

		/**
		 * The meta object literal for the '<em>IP Adressblock Grau Type</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getIP_Adressblock_Grau_Type()
		 * @generated
		 */
		EDataType IP_ADRESSBLOCK_GRAU_TYPE = eINSTANCE.getIP_Adressblock_Grau_Type();

		/**
		 * The meta object literal for the '<em>IP Adressblock Grau V4 Type</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getIP_Adressblock_Grau_V4_Type()
		 * @generated
		 */
		EDataType IP_ADRESSBLOCK_GRAU_V4_TYPE = eINSTANCE.getIP_Adressblock_Grau_V4_Type();

		/**
		 * The meta object literal for the '<em>IP Adressblock Grau V6 Type</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getIP_Adressblock_Grau_V6_Type()
		 * @generated
		 */
		EDataType IP_ADRESSBLOCK_GRAU_V6_TYPE = eINSTANCE.getIP_Adressblock_Grau_V6_Type();

		/**
		 * The meta object literal for the '<em>Standort Beschreibung Type</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getStandort_Beschreibung_Type()
		 * @generated
		 */
		EDataType STANDORT_BESCHREIBUNG_TYPE = eINSTANCE.getStandort_Beschreibung_Type();

		/**
		 * The meta object literal for the '<em>Technik Beschreibung Type</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getTechnik_Beschreibung_Type()
		 * @generated
		 */
		EDataType TECHNIK_BESCHREIBUNG_TYPE = eINSTANCE.getTechnik_Beschreibung_Type();

		/**
		 * The meta object literal for the '<em>Unterbringung Polygonzug Type</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getUnterbringung_Polygonzug_Type()
		 * @generated
		 */
		EDataType UNTERBRINGUNG_POLYGONZUG_TYPE = eINSTANCE.getUnterbringung_Polygonzug_Type();

		/**
		 * The meta object literal for the '<em>Zusatzinformation Stellwerk Type</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.set.toolboxmodel.Ansteuerung_Element.impl.Ansteuerung_ElementPackageImpl#getZusatzinformation_Stellwerk_Type()
		 * @generated
		 */
		EDataType ZUSATZINFORMATION_STELLWERK_TYPE = eINSTANCE.getZusatzinformation_Stellwerk_Type();

	}

} //Ansteuerung_ElementPackage
