/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Balisentechnik_ETCS;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EDataType;
import org.eclipse.emf.ecore.EEnum;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

import org.eclipse.set.toolboxmodel.BasisTypen.BasisTypenPackage;

import org.eclipse.set.toolboxmodel.Basisobjekte.BasisobjektePackage;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each operation of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * <!-- begin-model-doc -->
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * <!-- end-model-doc -->
 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Balisentechnik_ETCSFactory
 * @model kind="package"
 * @generated
 */
public interface Balisentechnik_ETCSPackage extends EPackage {
	/**
	 * The package name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNAME = "Balisentechnik_ETCS";

	/**
	 * The package namespace URI.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_URI = "http://www.plan-pro.org/modell/Balisentechnik_ETCS/toolbox";

	/**
	 * The package namespace name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_PREFIX = "nsBalisentechnik_ETCS";

	/**
	 * The singleton instance of the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	Balisentechnik_ETCSPackage eINSTANCE = org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl.init();

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Abstand_Bes_Langer_Einfahrweg_TypeClassImpl <em>Abstand Bes Langer Einfahrweg Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Abstand_Bes_Langer_Einfahrweg_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getAbstand_Bes_Langer_Einfahrweg_TypeClass()
	 * @generated
	 */
	int ABSTAND_BES_LANGER_EINFAHRWEG_TYPE_CLASS = 0;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTAND_BES_LANGER_EINFAHRWEG_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTAND_BES_LANGER_EINFAHRWEG_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Abstand Bes Langer Einfahrweg Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTAND_BES_LANGER_EINFAHRWEG_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Abstand Bes Langer Einfahrweg Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTAND_BES_LANGER_EINFAHRWEG_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Abstand_Datenpunkt_EH_EM_Folgesignal_TypeClassImpl <em>Abstand Datenpunkt EH EM Folgesignal Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Abstand_Datenpunkt_EH_EM_Folgesignal_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getAbstand_Datenpunkt_EH_EM_Folgesignal_TypeClass()
	 * @generated
	 */
	int ABSTAND_DATENPUNKT_EH_EM_FOLGESIGNAL_TYPE_CLASS = 1;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTAND_DATENPUNKT_EH_EM_FOLGESIGNAL_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTAND_DATENPUNKT_EH_EM_FOLGESIGNAL_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Abstand Datenpunkt EH EM Folgesignal Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTAND_DATENPUNKT_EH_EM_FOLGESIGNAL_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Abstand Datenpunkt EH EM Folgesignal Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTAND_DATENPUNKT_EH_EM_FOLGESIGNAL_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Abstand_Datenpunkt_EP_TPI_TypeClassImpl <em>Abstand Datenpunkt EP TPI Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Abstand_Datenpunkt_EP_TPI_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getAbstand_Datenpunkt_EP_TPI_TypeClass()
	 * @generated
	 */
	int ABSTAND_DATENPUNKT_EP_TPI_TYPE_CLASS = 2;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTAND_DATENPUNKT_EP_TPI_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTAND_DATENPUNKT_EP_TPI_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Abstand Datenpunkt EP TPI Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTAND_DATENPUNKT_EP_TPI_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Abstand Datenpunkt EP TPI Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTAND_DATENPUNKT_EP_TPI_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Abstand_Datenpunkt_TPI_Folgesignal_TypeClassImpl <em>Abstand Datenpunkt TPI Folgesignal Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Abstand_Datenpunkt_TPI_Folgesignal_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getAbstand_Datenpunkt_TPI_Folgesignal_TypeClass()
	 * @generated
	 */
	int ABSTAND_DATENPUNKT_TPI_FOLGESIGNAL_TYPE_CLASS = 3;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTAND_DATENPUNKT_TPI_FOLGESIGNAL_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTAND_DATENPUNKT_TPI_FOLGESIGNAL_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Abstand Datenpunkt TPI Folgesignal Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTAND_DATENPUNKT_TPI_FOLGESIGNAL_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Abstand Datenpunkt TPI Folgesignal Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTAND_DATENPUNKT_TPI_FOLGESIGNAL_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Abstand_Einmesspunkt_TypeClassImpl <em>Abstand Einmesspunkt Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Abstand_Einmesspunkt_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getAbstand_Einmesspunkt_TypeClass()
	 * @generated
	 */
	int ABSTAND_EINMESSPUNKT_TYPE_CLASS = 4;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTAND_EINMESSPUNKT_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTAND_EINMESSPUNKT_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Abstand Einmesspunkt Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTAND_EINMESSPUNKT_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Abstand Einmesspunkt Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTAND_EINMESSPUNKT_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Abstand_Grenze_Bereich_C_TypeClassImpl <em>Abstand Grenze Bereich CType Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Abstand_Grenze_Bereich_C_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getAbstand_Grenze_Bereich_C_TypeClass()
	 * @generated
	 */
	int ABSTAND_GRENZE_BEREICH_CTYPE_CLASS = 5;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTAND_GRENZE_BEREICH_CTYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTAND_GRENZE_BEREICH_CTYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Abstand Grenze Bereich CType Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTAND_GRENZE_BEREICH_CTYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Abstand Grenze Bereich CType Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTAND_GRENZE_BEREICH_CTYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Abstand_Reduziert_TypeClassImpl <em>Abstand Reduziert Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Abstand_Reduziert_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getAbstand_Reduziert_TypeClass()
	 * @generated
	 */
	int ABSTAND_REDUZIERT_TYPE_CLASS = 6;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTAND_REDUZIERT_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTAND_REDUZIERT_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Abstand Reduziert Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTAND_REDUZIERT_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Abstand Reduziert Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTAND_REDUZIERT_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Anlagenteil_Sonstige_TypeClassImpl <em>Anlagenteil Sonstige Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Anlagenteil_Sonstige_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getAnlagenteil_Sonstige_TypeClass()
	 * @generated
	 */
	int ANLAGENTEIL_SONSTIGE_TYPE_CLASS = 7;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ANLAGENTEIL_SONSTIGE_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ANLAGENTEIL_SONSTIGE_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Anlagenteil Sonstige Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ANLAGENTEIL_SONSTIGE_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Anlagenteil Sonstige Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ANLAGENTEIL_SONSTIGE_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Anordnung_Im_DP_TypeClassImpl <em>Anordnung Im DP Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Anordnung_Im_DP_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getAnordnung_Im_DP_TypeClass()
	 * @generated
	 */
	int ANORDNUNG_IM_DP_TYPE_CLASS = 8;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ANORDNUNG_IM_DP_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ANORDNUNG_IM_DP_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Anordnung Im DP Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ANORDNUNG_IM_DP_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Anordnung Im DP Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ANORDNUNG_IM_DP_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Anwendung_ESG_TypeClassImpl <em>Anwendung ESG Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Anwendung_ESG_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getAnwendung_ESG_TypeClass()
	 * @generated
	 */
	int ANWENDUNG_ESG_TYPE_CLASS = 9;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ANWENDUNG_ESG_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ANWENDUNG_ESG_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Anwendung ESG Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ANWENDUNG_ESG_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Anwendung ESG Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ANWENDUNG_ESG_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Anwendung_GNT_TypeClassImpl <em>Anwendung GNT Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Anwendung_GNT_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getAnwendung_GNT_TypeClass()
	 * @generated
	 */
	int ANWENDUNG_GNT_TYPE_CLASS = 10;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ANWENDUNG_GNT_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ANWENDUNG_GNT_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Anwendung GNT Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ANWENDUNG_GNT_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Anwendung GNT Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ANWENDUNG_GNT_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Anwendung_Sonst_TypeClassImpl <em>Anwendung Sonst Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Anwendung_Sonst_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getAnwendung_Sonst_TypeClass()
	 * @generated
	 */
	int ANWENDUNG_SONST_TYPE_CLASS = 11;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ANWENDUNG_SONST_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ANWENDUNG_SONST_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Anwendung Sonst Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ANWENDUNG_SONST_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Anwendung Sonst Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ANWENDUNG_SONST_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Anwendungssystem_TypeClassImpl <em>Anwendungssystem Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Anwendungssystem_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getAnwendungssystem_TypeClass()
	 * @generated
	 */
	int ANWENDUNGSSYSTEM_TYPE_CLASS = 12;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ANWENDUNGSSYSTEM_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ANWENDUNGSSYSTEM_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Anwendungssystem Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ANWENDUNGSSYSTEM_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Anwendungssystem Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ANWENDUNGSSYSTEM_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Anzahl_Voll_LEU_Kalkuliert_TypeClassImpl <em>Anzahl Voll LEU Kalkuliert Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Anzahl_Voll_LEU_Kalkuliert_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getAnzahl_Voll_LEU_Kalkuliert_TypeClass()
	 * @generated
	 */
	int ANZAHL_VOLL_LEU_KALKULIERT_TYPE_CLASS = 13;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ANZAHL_VOLL_LEU_KALKULIERT_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ANZAHL_VOLL_LEU_KALKULIERT_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Anzahl Voll LEU Kalkuliert Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ANZAHL_VOLL_LEU_KALKULIERT_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Anzahl Voll LEU Kalkuliert Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ANZAHL_VOLL_LEU_KALKULIERT_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Anzeigetext_TypeClassImpl <em>Anzeigetext Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Anzeigetext_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getAnzeigetext_TypeClass()
	 * @generated
	 */
	int ANZEIGETEXT_TYPE_CLASS = 14;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ANZEIGETEXT_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ANZEIGETEXT_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Anzeigetext Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ANZEIGETEXT_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Anzeigetext Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ANZEIGETEXT_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Art_Bedingung_TypeClassImpl <em>Art Bedingung Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Art_Bedingung_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getArt_Bedingung_TypeClass()
	 * @generated
	 */
	int ART_BEDINGUNG_TYPE_CLASS = 15;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ART_BEDINGUNG_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ART_BEDINGUNG_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Art Bedingung Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ART_BEDINGUNG_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Art Bedingung Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ART_BEDINGUNG_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Ausgang_Nr_TypeClassImpl <em>Ausgang Nr Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Ausgang_Nr_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getAusgang_Nr_TypeClass()
	 * @generated
	 */
	int AUSGANG_NR_TYPE_CLASS = 16;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUSGANG_NR_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUSGANG_NR_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Ausgang Nr Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUSGANG_NR_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Ausgang Nr Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUSGANG_NR_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Ausrichtung_TypeClassImpl <em>Ausrichtung Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Ausrichtung_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getAusrichtung_TypeClass()
	 * @generated
	 */
	int AUSRICHTUNG_TYPE_CLASS = 17;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUSRICHTUNG_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUSRICHTUNG_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Ausrichtung Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUSRICHTUNG_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Ausrichtung Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUSRICHTUNG_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Ausstieg_ETCS_Sperre_TypeClassImpl <em>Ausstieg ETCS Sperre Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Ausstieg_ETCS_Sperre_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getAusstieg_ETCS_Sperre_TypeClass()
	 * @generated
	 */
	int AUSSTIEG_ETCS_SPERRE_TYPE_CLASS = 18;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUSSTIEG_ETCS_SPERRE_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUSSTIEG_ETCS_SPERRE_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Ausstieg ETCS Sperre Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUSSTIEG_ETCS_SPERRE_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Ausstieg ETCS Sperre Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUSSTIEG_ETCS_SPERRE_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.BaliseImpl <em>Balise</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.BaliseImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getBalise()
	 * @generated
	 */
	int BALISE = 19;

	/**
	 * The feature id for the '<em><b>Identitaet</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BALISE__IDENTITAET = BasisobjektePackage.BASIS_OBJEKT__IDENTITAET;

	/**
	 * The feature id for the '<em><b>Basis Objekt Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BALISE__BASIS_OBJEKT_ALLG = BasisobjektePackage.BASIS_OBJEKT__BASIS_OBJEKT_ALLG;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BALISE__ID_BEARBEITUNGSVERMERK = BasisobjektePackage.BASIS_OBJEKT__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>ID Oertlichkeit Ausgabe</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BALISE__ID_OERTLICHKEIT_AUSGABE = BasisobjektePackage.BASIS_OBJEKT__ID_OERTLICHKEIT_AUSGABE;

	/**
	 * The feature id for the '<em><b>Objektreferenzen</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BALISE__OBJEKTREFERENZEN = BasisobjektePackage.BASIS_OBJEKT__OBJEKTREFERENZEN;

	/**
	 * The feature id for the '<em><b>Balise Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BALISE__BALISE_ALLG = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>ID Datenpunkt</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BALISE__ID_DATENPUNKT = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Balise</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BALISE_FEATURE_COUNT = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 2;

	/**
	 * The number of operations of the '<em>Balise</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BALISE_OPERATION_COUNT = BasisobjektePackage.BASIS_OBJEKT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balise_Allg_AttributeGroupImpl <em>Balise Allg Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balise_Allg_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getBalise_Allg_AttributeGroup()
	 * @generated
	 */
	int BALISE_ALLG_ATTRIBUTE_GROUP = 20;

	/**
	 * The feature id for the '<em><b>Anordnung Im DP</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BALISE_ALLG_ATTRIBUTE_GROUP__ANORDNUNG_IM_DP = 0;

	/**
	 * The feature id for the '<em><b>Balise Geraetestand</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BALISE_ALLG_ATTRIBUTE_GROUP__BALISE_GERAETESTAND = 1;

	/**
	 * The feature id for the '<em><b>Balisenhalter</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BALISE_ALLG_ATTRIBUTE_GROUP__BALISENHALTER = 2;

	/**
	 * The feature id for the '<em><b>Fabrikat</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BALISE_ALLG_ATTRIBUTE_GROUP__FABRIKAT = 3;

	/**
	 * The feature id for the '<em><b>Hersteller</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BALISE_ALLG_ATTRIBUTE_GROUP__HERSTELLER = 4;

	/**
	 * The feature id for the '<em><b>Hinweis Balisenbefestigung</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BALISE_ALLG_ATTRIBUTE_GROUP__HINWEIS_BALISENBEFESTIGUNG = 5;

	/**
	 * The feature id for the '<em><b>Montageabweichung</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BALISE_ALLG_ATTRIBUTE_GROUP__MONTAGEABWEICHUNG = 6;

	/**
	 * The number of structural features of the '<em>Balise Allg Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BALISE_ALLG_ATTRIBUTE_GROUP_FEATURE_COUNT = 7;

	/**
	 * The number of operations of the '<em>Balise Allg Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BALISE_ALLG_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balise_Geraetestand_TypeClassImpl <em>Balise Geraetestand Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balise_Geraetestand_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getBalise_Geraetestand_TypeClass()
	 * @generated
	 */
	int BALISE_GERAETESTAND_TYPE_CLASS = 21;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BALISE_GERAETESTAND_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BALISE_GERAETESTAND_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Balise Geraetestand Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BALISE_GERAETESTAND_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Balise Geraetestand Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BALISE_GERAETESTAND_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisenhalter_TypeClassImpl <em>Balisenhalter Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisenhalter_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getBalisenhalter_TypeClass()
	 * @generated
	 */
	int BALISENHALTER_TYPE_CLASS = 22;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BALISENHALTER_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BALISENHALTER_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Balisenhalter Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BALISENHALTER_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Balisenhalter Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BALISENHALTER_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Baseline_System_Version_TypeClassImpl <em>Baseline System Version Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Baseline_System_Version_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getBaseline_System_Version_TypeClass()
	 * @generated
	 */
	int BASELINE_SYSTEM_VERSION_TYPE_CLASS = 23;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BASELINE_SYSTEM_VERSION_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BASELINE_SYSTEM_VERSION_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Baseline System Version Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BASELINE_SYSTEM_VERSION_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Baseline System Version Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BASELINE_SYSTEM_VERSION_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Bedingung_Besondere_AttributeGroupImpl <em>Bedingung Besondere Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Bedingung_Besondere_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getBedingung_Besondere_AttributeGroup()
	 * @generated
	 */
	int BEDINGUNG_BESONDERE_ATTRIBUTE_GROUP = 24;

	/**
	 * The feature id for the '<em><b>Art Bedingung</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEDINGUNG_BESONDERE_ATTRIBUTE_GROUP__ART_BEDINGUNG = 0;

	/**
	 * The number of structural features of the '<em>Bedingung Besondere Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEDINGUNG_BESONDERE_ATTRIBUTE_GROUP_FEATURE_COUNT = 1;

	/**
	 * The number of operations of the '<em>Bedingung Besondere Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEDINGUNG_BESONDERE_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Bedingung_PZB_AttributeGroupImpl <em>Bedingung PZB Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Bedingung_PZB_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getBedingung_PZB_AttributeGroup()
	 * @generated
	 */
	int BEDINGUNG_PZB_ATTRIBUTE_GROUP = 25;

	/**
	 * The feature id for the '<em><b>IDPZB Element</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEDINGUNG_PZB_ATTRIBUTE_GROUP__IDPZB_ELEMENT = 0;

	/**
	 * The feature id for the '<em><b>Wirksam</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEDINGUNG_PZB_ATTRIBUTE_GROUP__WIRKSAM = 1;

	/**
	 * The number of structural features of the '<em>Bedingung PZB Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEDINGUNG_PZB_ATTRIBUTE_GROUP_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>Bedingung PZB Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEDINGUNG_PZB_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Bedingung_Signal_AttributeGroupImpl <em>Bedingung Signal Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Bedingung_Signal_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getBedingung_Signal_AttributeGroup()
	 * @generated
	 */
	int BEDINGUNG_SIGNAL_ATTRIBUTE_GROUP = 26;

	/**
	 * The feature id for the '<em><b>ID Signal Signalbegriff</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEDINGUNG_SIGNAL_ATTRIBUTE_GROUP__ID_SIGNAL_SIGNALBEGRIFF = 0;

	/**
	 * The feature id for the '<em><b>ID Signalbegriff Weiterer</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEDINGUNG_SIGNAL_ATTRIBUTE_GROUP__ID_SIGNALBEGRIFF_WEITERER = 1;

	/**
	 * The feature id for the '<em><b>Verwendung Als Rueckfall</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEDINGUNG_SIGNAL_ATTRIBUTE_GROUP__VERWENDUNG_ALS_RUECKFALL = 2;

	/**
	 * The number of structural features of the '<em>Bedingung Signal Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEDINGUNG_SIGNAL_ATTRIBUTE_GROUP_FEATURE_COUNT = 3;

	/**
	 * The number of operations of the '<em>Bedingung Signal Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEDINGUNG_SIGNAL_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Bedingung_Sonstige_AttributeGroupImpl <em>Bedingung Sonstige Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Bedingung_Sonstige_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getBedingung_Sonstige_AttributeGroup()
	 * @generated
	 */
	int BEDINGUNG_SONSTIGE_ATTRIBUTE_GROUP = 27;

	/**
	 * The feature id for the '<em><b>Anlagenteil Sonstige</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEDINGUNG_SONSTIGE_ATTRIBUTE_GROUP__ANLAGENTEIL_SONSTIGE = 0;

	/**
	 * The feature id for the '<em><b>Text Bedingung</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEDINGUNG_SONSTIGE_ATTRIBUTE_GROUP__TEXT_BEDINGUNG = 1;

	/**
	 * The number of structural features of the '<em>Bedingung Sonstige Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEDINGUNG_SONSTIGE_ATTRIBUTE_GROUP_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>Bedingung Sonstige Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEDINGUNG_SONSTIGE_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Bedingung_Weiche_AttributeGroupImpl <em>Bedingung Weiche Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Bedingung_Weiche_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getBedingung_Weiche_AttributeGroup()
	 * @generated
	 */
	int BEDINGUNG_WEICHE_ATTRIBUTE_GROUP = 28;

	/**
	 * The feature id for the '<em><b>Bedingung Weichenlage</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEDINGUNG_WEICHE_ATTRIBUTE_GROUP__BEDINGUNG_WEICHENLAGE = 0;

	/**
	 * The feature id for the '<em><b>IDW Element</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEDINGUNG_WEICHE_ATTRIBUTE_GROUP__IDW_ELEMENT = 1;

	/**
	 * The number of structural features of the '<em>Bedingung Weiche Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEDINGUNG_WEICHE_ATTRIBUTE_GROUP_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>Bedingung Weiche Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEDINGUNG_WEICHE_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Bedingung_Weichenlage_TypeClassImpl <em>Bedingung Weichenlage Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Bedingung_Weichenlage_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getBedingung_Weichenlage_TypeClass()
	 * @generated
	 */
	int BEDINGUNG_WEICHENLAGE_TYPE_CLASS = 29;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEDINGUNG_WEICHENLAGE_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEDINGUNG_WEICHENLAGE_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Bedingung Weichenlage Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEDINGUNG_WEICHENLAGE_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Bedingung Weichenlage Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEDINGUNG_WEICHENLAGE_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Bez_Strecke_BTS_1_TypeClassImpl <em>Bez Strecke BTS 1Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Bez_Strecke_BTS_1_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getBez_Strecke_BTS_1_TypeClass()
	 * @generated
	 */
	int BEZ_STRECKE_BTS_1TYPE_CLASS = 30;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEZ_STRECKE_BTS_1TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEZ_STRECKE_BTS_1TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Bez Strecke BTS 1Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEZ_STRECKE_BTS_1TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Bez Strecke BTS 1Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEZ_STRECKE_BTS_1TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Bez_Strecke_BTS_2_TypeClassImpl <em>Bez Strecke BTS 2Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Bez_Strecke_BTS_2_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getBez_Strecke_BTS_2_TypeClass()
	 * @generated
	 */
	int BEZ_STRECKE_BTS_2TYPE_CLASS = 31;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEZ_STRECKE_BTS_2TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEZ_STRECKE_BTS_2TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Bez Strecke BTS 2Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEZ_STRECKE_BTS_2TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Bez Strecke BTS 2Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEZ_STRECKE_BTS_2TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Bez_Strecke_BTS_3_TypeClassImpl <em>Bez Strecke BTS 3Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Bez_Strecke_BTS_3_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getBez_Strecke_BTS_3_TypeClass()
	 * @generated
	 */
	int BEZ_STRECKE_BTS_3TYPE_CLASS = 32;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEZ_STRECKE_BTS_3TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEZ_STRECKE_BTS_3TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Bez Strecke BTS 3Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEZ_STRECKE_BTS_3TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Bez Strecke BTS 3Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEZ_STRECKE_BTS_3TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Bez_ZUB_Bereichsgrenze_TypeClassImpl <em>Bez ZUB Bereichsgrenze Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Bez_ZUB_Bereichsgrenze_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getBez_ZUB_Bereichsgrenze_TypeClass()
	 * @generated
	 */
	int BEZ_ZUB_BEREICHSGRENZE_TYPE_CLASS = 33;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEZ_ZUB_BEREICHSGRENZE_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEZ_ZUB_BEREICHSGRENZE_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Bez ZUB Bereichsgrenze Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEZ_ZUB_BEREICHSGRENZE_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Bez ZUB Bereichsgrenze Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEZ_ZUB_BEREICHSGRENZE_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Bezeichnung_ETCS_Kante_TypeClassImpl <em>Bezeichnung ETCS Kante Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Bezeichnung_ETCS_Kante_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getBezeichnung_ETCS_Kante_TypeClass()
	 * @generated
	 */
	int BEZEICHNUNG_ETCS_KANTE_TYPE_CLASS = 34;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEZEICHNUNG_ETCS_KANTE_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEZEICHNUNG_ETCS_KANTE_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Bezeichnung ETCS Kante Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEZEICHNUNG_ETCS_KANTE_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Bezeichnung ETCS Kante Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEZEICHNUNG_ETCS_KANTE_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Bezeichnung_LEU_Anlage_TypeClassImpl <em>Bezeichnung LEU Anlage Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Bezeichnung_LEU_Anlage_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getBezeichnung_LEU_Anlage_TypeClass()
	 * @generated
	 */
	int BEZEICHNUNG_LEU_ANLAGE_TYPE_CLASS = 35;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEZEICHNUNG_LEU_ANLAGE_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEZEICHNUNG_LEU_ANLAGE_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Bezeichnung LEU Anlage Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEZEICHNUNG_LEU_ANLAGE_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Bezeichnung LEU Anlage Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEZEICHNUNG_LEU_ANLAGE_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Bezeichnung_ZUB_SE_TypeClassImpl <em>Bezeichnung ZUB SE Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Bezeichnung_ZUB_SE_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getBezeichnung_ZUB_SE_TypeClass()
	 * @generated
	 */
	int BEZEICHNUNG_ZUB_SE_TYPE_CLASS = 36;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEZEICHNUNG_ZUB_SE_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEZEICHNUNG_ZUB_SE_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Bezeichnung ZUB SE Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEZEICHNUNG_ZUB_SE_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Bezeichnung ZUB SE Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEZEICHNUNG_ZUB_SE_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Bezeichnung_ZUB_TypeClassImpl <em>Bezeichnung ZUB Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Bezeichnung_ZUB_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getBezeichnung_ZUB_TypeClass()
	 * @generated
	 */
	int BEZEICHNUNG_ZUB_TYPE_CLASS = 37;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEZEICHNUNG_ZUB_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEZEICHNUNG_ZUB_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Bezeichnung ZUB Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEZEICHNUNG_ZUB_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Bezeichnung ZUB Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEZEICHNUNG_ZUB_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Bgrenze_Nach_ESG_Bed_Ausstieg_AttributeGroupImpl <em>Bgrenze Nach ESG Bed Ausstieg Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Bgrenze_Nach_ESG_Bed_Ausstieg_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getBgrenze_Nach_ESG_Bed_Ausstieg_AttributeGroup()
	 * @generated
	 */
	int BGRENZE_NACH_ESG_BED_AUSSTIEG_ATTRIBUTE_GROUP = 38;

	/**
	 * The feature id for the '<em><b>IDW Element</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BGRENZE_NACH_ESG_BED_AUSSTIEG_ATTRIBUTE_GROUP__IDW_ELEMENT = 0;

	/**
	 * The feature id for the '<em><b>WLage</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BGRENZE_NACH_ESG_BED_AUSSTIEG_ATTRIBUTE_GROUP__WLAGE = 1;

	/**
	 * The number of structural features of the '<em>Bgrenze Nach ESG Bed Ausstieg Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BGRENZE_NACH_ESG_BED_AUSSTIEG_ATTRIBUTE_GROUP_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>Bgrenze Nach ESG Bed Ausstieg Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BGRENZE_NACH_ESG_BED_AUSSTIEG_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Bgrenze_Nach_L2_Bed_Einstieg_AttributeGroupImpl <em>Bgrenze Nach L2 Bed Einstieg Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Bgrenze_Nach_L2_Bed_Einstieg_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getBgrenze_Nach_L2_Bed_Einstieg_AttributeGroup()
	 * @generated
	 */
	int BGRENZE_NACH_L2_BED_EINSTIEG_ATTRIBUTE_GROUP = 39;

	/**
	 * The feature id for the '<em><b>IDW Element</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BGRENZE_NACH_L2_BED_EINSTIEG_ATTRIBUTE_GROUP__IDW_ELEMENT = 0;

	/**
	 * The feature id for the '<em><b>WLage</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BGRENZE_NACH_L2_BED_EINSTIEG_ATTRIBUTE_GROUP__WLAGE = 1;

	/**
	 * The number of structural features of the '<em>Bgrenze Nach L2 Bed Einstieg Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BGRENZE_NACH_L2_BED_EINSTIEG_ATTRIBUTE_GROUP_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>Bgrenze Nach L2 Bed Einstieg Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BGRENZE_NACH_L2_BED_EINSTIEG_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Bgrenze_Nach_LZB_Bed_Einstieg_AttributeGroupImpl <em>Bgrenze Nach LZB Bed Einstieg Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Bgrenze_Nach_LZB_Bed_Einstieg_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getBgrenze_Nach_LZB_Bed_Einstieg_AttributeGroup()
	 * @generated
	 */
	int BGRENZE_NACH_LZB_BED_EINSTIEG_ATTRIBUTE_GROUP = 40;

	/**
	 * The feature id for the '<em><b>IDW Element</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BGRENZE_NACH_LZB_BED_EINSTIEG_ATTRIBUTE_GROUP__IDW_ELEMENT = 0;

	/**
	 * The feature id for the '<em><b>WLage</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BGRENZE_NACH_LZB_BED_EINSTIEG_ATTRIBUTE_GROUP__WLAGE = 1;

	/**
	 * The number of structural features of the '<em>Bgrenze Nach LZB Bed Einstieg Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BGRENZE_NACH_LZB_BED_EINSTIEG_ATTRIBUTE_GROUP_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>Bgrenze Nach LZB Bed Einstieg Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BGRENZE_NACH_LZB_BED_EINSTIEG_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Bgrenze_Nach_Ohne_Bed_Einstieg_AttributeGroupImpl <em>Bgrenze Nach Ohne Bed Einstieg Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Bgrenze_Nach_Ohne_Bed_Einstieg_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getBgrenze_Nach_Ohne_Bed_Einstieg_AttributeGroup()
	 * @generated
	 */
	int BGRENZE_NACH_OHNE_BED_EINSTIEG_ATTRIBUTE_GROUP = 41;

	/**
	 * The feature id for the '<em><b>IDW Element</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BGRENZE_NACH_OHNE_BED_EINSTIEG_ATTRIBUTE_GROUP__IDW_ELEMENT = 0;

	/**
	 * The feature id for the '<em><b>WLage</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BGRENZE_NACH_OHNE_BED_EINSTIEG_ATTRIBUTE_GROUP__WLAGE = 1;

	/**
	 * The number of structural features of the '<em>Bgrenze Nach Ohne Bed Einstieg Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BGRENZE_NACH_OHNE_BED_EINSTIEG_ATTRIBUTE_GROUP_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>Bgrenze Nach Ohne Bed Einstieg Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BGRENZE_NACH_OHNE_BED_EINSTIEG_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Bgrenze_Nach_PZB_Bed_Einstieg_AttributeGroupImpl <em>Bgrenze Nach PZB Bed Einstieg Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Bgrenze_Nach_PZB_Bed_Einstieg_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getBgrenze_Nach_PZB_Bed_Einstieg_AttributeGroup()
	 * @generated
	 */
	int BGRENZE_NACH_PZB_BED_EINSTIEG_ATTRIBUTE_GROUP = 42;

	/**
	 * The feature id for the '<em><b>IDW Element</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BGRENZE_NACH_PZB_BED_EINSTIEG_ATTRIBUTE_GROUP__IDW_ELEMENT = 0;

	/**
	 * The feature id for the '<em><b>WLage</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BGRENZE_NACH_PZB_BED_EINSTIEG_ATTRIBUTE_GROUP__WLAGE = 1;

	/**
	 * The number of structural features of the '<em>Bgrenze Nach PZB Bed Einstieg Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BGRENZE_NACH_PZB_BED_EINSTIEG_ATTRIBUTE_GROUP_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>Bgrenze Nach PZB Bed Einstieg Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BGRENZE_NACH_PZB_BED_EINSTIEG_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Bgrenze_Nach_ZBS_Bed_Einstieg_AttributeGroupImpl <em>Bgrenze Nach ZBS Bed Einstieg Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Bgrenze_Nach_ZBS_Bed_Einstieg_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getBgrenze_Nach_ZBS_Bed_Einstieg_AttributeGroup()
	 * @generated
	 */
	int BGRENZE_NACH_ZBS_BED_EINSTIEG_ATTRIBUTE_GROUP = 43;

	/**
	 * The feature id for the '<em><b>IDW Element</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BGRENZE_NACH_ZBS_BED_EINSTIEG_ATTRIBUTE_GROUP__IDW_ELEMENT = 0;

	/**
	 * The feature id for the '<em><b>WLage</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BGRENZE_NACH_ZBS_BED_EINSTIEG_ATTRIBUTE_GROUP__WLAGE = 1;

	/**
	 * The number of structural features of the '<em>Bgrenze Nach ZBS Bed Einstieg Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BGRENZE_NACH_ZBS_BED_EINSTIEG_ATTRIBUTE_GROUP_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>Bgrenze Nach ZBS Bed Einstieg Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BGRENZE_NACH_ZBS_BED_EINSTIEG_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Bgrenze_RBC_Wechsel_BTS_Kette_AttributeGroupImpl <em>Bgrenze RBC Wechsel BTS Kette Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Bgrenze_RBC_Wechsel_BTS_Kette_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getBgrenze_RBC_Wechsel_BTS_Kette_AttributeGroup()
	 * @generated
	 */
	int BGRENZE_RBC_WECHSEL_BTS_KETTE_ATTRIBUTE_GROUP = 44;

	/**
	 * The feature id for the '<em><b>Bez Strecke BTS1</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BGRENZE_RBC_WECHSEL_BTS_KETTE_ATTRIBUTE_GROUP__BEZ_STRECKE_BTS1 = 0;

	/**
	 * The feature id for the '<em><b>Bez Strecke BTS2</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BGRENZE_RBC_WECHSEL_BTS_KETTE_ATTRIBUTE_GROUP__BEZ_STRECKE_BTS2 = 1;

	/**
	 * The feature id for the '<em><b>Bez Strecke BTS3</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BGRENZE_RBC_WECHSEL_BTS_KETTE_ATTRIBUTE_GROUP__BEZ_STRECKE_BTS3 = 2;

	/**
	 * The feature id for the '<em><b>Km BTS1</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BGRENZE_RBC_WECHSEL_BTS_KETTE_ATTRIBUTE_GROUP__KM_BTS1 = 3;

	/**
	 * The feature id for the '<em><b>Km BTS2</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BGRENZE_RBC_WECHSEL_BTS_KETTE_ATTRIBUTE_GROUP__KM_BTS2 = 4;

	/**
	 * The feature id for the '<em><b>Km BTS3</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BGRENZE_RBC_WECHSEL_BTS_KETTE_ATTRIBUTE_GROUP__KM_BTS3 = 5;

	/**
	 * The number of structural features of the '<em>Bgrenze RBC Wechsel BTS Kette Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BGRENZE_RBC_WECHSEL_BTS_KETTE_ATTRIBUTE_GROUP_FEATURE_COUNT = 6;

	/**
	 * The number of operations of the '<em>Bgrenze RBC Wechsel BTS Kette Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BGRENZE_RBC_WECHSEL_BTS_KETTE_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.BinaerdatenImpl <em>Binaerdaten</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.BinaerdatenImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getBinaerdaten()
	 * @generated
	 */
	int BINAERDATEN = 45;

	/**
	 * The feature id for the '<em><b>Identitaet</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BINAERDATEN__IDENTITAET = BasisobjektePackage.BASIS_OBJEKT__IDENTITAET;

	/**
	 * The feature id for the '<em><b>Basis Objekt Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BINAERDATEN__BASIS_OBJEKT_ALLG = BasisobjektePackage.BASIS_OBJEKT__BASIS_OBJEKT_ALLG;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BINAERDATEN__ID_BEARBEITUNGSVERMERK = BasisobjektePackage.BASIS_OBJEKT__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>ID Oertlichkeit Ausgabe</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BINAERDATEN__ID_OERTLICHKEIT_AUSGABE = BasisobjektePackage.BASIS_OBJEKT__ID_OERTLICHKEIT_AUSGABE;

	/**
	 * The feature id for the '<em><b>Objektreferenzen</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BINAERDATEN__OBJEKTREFERENZEN = BasisobjektePackage.BASIS_OBJEKT__OBJEKTREFERENZEN;

	/**
	 * The feature id for the '<em><b>Binaerdaten Datei</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BINAERDATEN__BINAERDATEN_DATEI = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Daten</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BINAERDATEN__DATEN = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Binaerdaten</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BINAERDATEN_FEATURE_COUNT = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 2;

	/**
	 * The number of operations of the '<em>Binaerdaten</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BINAERDATEN_OPERATION_COUNT = BasisobjektePackage.BASIS_OBJEKT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Binaerdaten_Datei_AttributeGroupImpl <em>Binaerdaten Datei Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Binaerdaten_Datei_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getBinaerdaten_Datei_AttributeGroup()
	 * @generated
	 */
	int BINAERDATEN_DATEI_ATTRIBUTE_GROUP = 46;

	/**
	 * The feature id for the '<em><b>Dateiname</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BINAERDATEN_DATEI_ATTRIBUTE_GROUP__DATEINAME = 0;

	/**
	 * The feature id for the '<em><b>Dateityp Binaerdatei</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BINAERDATEN_DATEI_ATTRIBUTE_GROUP__DATEITYP_BINAERDATEI = 1;

	/**
	 * The number of structural features of the '<em>Binaerdaten Datei Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BINAERDATEN_DATEI_ATTRIBUTE_GROUP_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>Binaerdaten Datei Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BINAERDATEN_DATEI_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.D_LEVELTR_TypeClassImpl <em>DLEVELTR Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.D_LEVELTR_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getD_LEVELTR_TypeClass()
	 * @generated
	 */
	int DLEVELTR_TYPE_CLASS = 47;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DLEVELTR_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DLEVELTR_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>DLEVELTR Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DLEVELTR_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>DLEVELTR Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DLEVELTR_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Dateiname_TypeClassImpl <em>Dateiname Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Dateiname_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getDateiname_TypeClass()
	 * @generated
	 */
	int DATEINAME_TYPE_CLASS = 48;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATEINAME_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATEINAME_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Dateiname Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATEINAME_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Dateiname Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATEINAME_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Dateityp_Binaerdatei_TypeClassImpl <em>Dateityp Binaerdatei Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Dateityp_Binaerdatei_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getDateityp_Binaerdatei_TypeClass()
	 * @generated
	 */
	int DATEITYP_BINAERDATEI_TYPE_CLASS = 49;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATEITYP_BINAERDATEI_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATEITYP_BINAERDATEI_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Dateityp Binaerdatei Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATEITYP_BINAERDATEI_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Dateityp Binaerdatei Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATEITYP_BINAERDATEI_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Daten_TypeClassImpl <em>Daten Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Daten_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getDaten_TypeClass()
	 * @generated
	 */
	int DATEN_TYPE_CLASS = 50;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATEN_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATEN_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Daten Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATEN_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Daten Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATEN_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.DatenpunktImpl <em>Datenpunkt</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.DatenpunktImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getDatenpunkt()
	 * @generated
	 */
	int DATENPUNKT = 51;

	/**
	 * The feature id for the '<em><b>Identitaet</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATENPUNKT__IDENTITAET = BasisobjektePackage.PUNKT_OBJEKT__IDENTITAET;

	/**
	 * The feature id for the '<em><b>Basis Objekt Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATENPUNKT__BASIS_OBJEKT_ALLG = BasisobjektePackage.PUNKT_OBJEKT__BASIS_OBJEKT_ALLG;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATENPUNKT__ID_BEARBEITUNGSVERMERK = BasisobjektePackage.PUNKT_OBJEKT__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>ID Oertlichkeit Ausgabe</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATENPUNKT__ID_OERTLICHKEIT_AUSGABE = BasisobjektePackage.PUNKT_OBJEKT__ID_OERTLICHKEIT_AUSGABE;

	/**
	 * The feature id for the '<em><b>Objektreferenzen</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATENPUNKT__OBJEKTREFERENZEN = BasisobjektePackage.PUNKT_OBJEKT__OBJEKTREFERENZEN;

	/**
	 * The feature id for the '<em><b>Punkt Objekt Strecke</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATENPUNKT__PUNKT_OBJEKT_STRECKE = BasisobjektePackage.PUNKT_OBJEKT__PUNKT_OBJEKT_STRECKE;

	/**
	 * The feature id for the '<em><b>Punkt Objekt TOP Kante</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATENPUNKT__PUNKT_OBJEKT_TOP_KANTE = BasisobjektePackage.PUNKT_OBJEKT__PUNKT_OBJEKT_TOP_KANTE;

	/**
	 * The feature id for the '<em><b>Datenpunkt Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATENPUNKT__DATENPUNKT_ALLG = BasisobjektePackage.PUNKT_OBJEKT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Datenpunkt Einmesspunkt</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATENPUNKT__DATENPUNKT_EINMESSPUNKT = BasisobjektePackage.PUNKT_OBJEKT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>DP Bezug Funktional</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATENPUNKT__DP_BEZUG_FUNKTIONAL = BasisobjektePackage.PUNKT_OBJEKT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>DPETCS Adresse</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATENPUNKT__DPETCS_ADRESSE = BasisobjektePackage.PUNKT_OBJEKT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>DP Typ</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATENPUNKT__DP_TYP = BasisobjektePackage.PUNKT_OBJEKT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>IDRBC</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATENPUNKT__IDRBC = BasisobjektePackage.PUNKT_OBJEKT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>LEU Steuernde</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATENPUNKT__LEU_STEUERNDE = BasisobjektePackage.PUNKT_OBJEKT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>DP Telegramm</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATENPUNKT__DP_TELEGRAMM = BasisobjektePackage.PUNKT_OBJEKT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>DP Telegramm ESG</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATENPUNKT__DP_TELEGRAMM_ESG = BasisobjektePackage.PUNKT_OBJEKT_FEATURE_COUNT + 8;

	/**
	 * The number of structural features of the '<em>Datenpunkt</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATENPUNKT_FEATURE_COUNT = BasisobjektePackage.PUNKT_OBJEKT_FEATURE_COUNT + 9;

	/**
	 * The number of operations of the '<em>Datenpunkt</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATENPUNKT_OPERATION_COUNT = BasisobjektePackage.PUNKT_OBJEKT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Datenpunkt_Allg_AttributeGroupImpl <em>Datenpunkt Allg Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Datenpunkt_Allg_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getDatenpunkt_Allg_AttributeGroup()
	 * @generated
	 */
	int DATENPUNKT_ALLG_ATTRIBUTE_GROUP = 52;

	/**
	 * The feature id for the '<em><b>Anwendungssystem</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATENPUNKT_ALLG_ATTRIBUTE_GROUP__ANWENDUNGSSYSTEM = 0;

	/**
	 * The feature id for the '<em><b>Ausrichtung</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATENPUNKT_ALLG_ATTRIBUTE_GROUP__AUSRICHTUNG = 1;

	/**
	 * The feature id for the '<em><b>Datenpunkt Beschreibung</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATENPUNKT_ALLG_ATTRIBUTE_GROUP__DATENPUNKT_BESCHREIBUNG = 2;

	/**
	 * The feature id for the '<em><b>Datenpunkt Laenge</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATENPUNKT_ALLG_ATTRIBUTE_GROUP__DATENPUNKT_LAENGE = 3;

	/**
	 * The feature id for the '<em><b>Sonstige Standortangabe</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATENPUNKT_ALLG_ATTRIBUTE_GROUP__SONSTIGE_STANDORTANGABE = 4;

	/**
	 * The feature id for the '<em><b>Standortangabe Balisenschild</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATENPUNKT_ALLG_ATTRIBUTE_GROUP__STANDORTANGABE_BALISENSCHILD = 5;

	/**
	 * The number of structural features of the '<em>Datenpunkt Allg Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATENPUNKT_ALLG_ATTRIBUTE_GROUP_FEATURE_COUNT = 6;

	/**
	 * The number of operations of the '<em>Datenpunkt Allg Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATENPUNKT_ALLG_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Datenpunkt_Beschreibung_TypeClassImpl <em>Datenpunkt Beschreibung Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Datenpunkt_Beschreibung_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getDatenpunkt_Beschreibung_TypeClass()
	 * @generated
	 */
	int DATENPUNKT_BESCHREIBUNG_TYPE_CLASS = 53;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATENPUNKT_BESCHREIBUNG_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATENPUNKT_BESCHREIBUNG_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Datenpunkt Beschreibung Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATENPUNKT_BESCHREIBUNG_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Datenpunkt Beschreibung Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATENPUNKT_BESCHREIBUNG_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Datenpunkt_Einmesspunkt_AttributeGroupImpl <em>Datenpunkt Einmesspunkt Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Datenpunkt_Einmesspunkt_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getDatenpunkt_Einmesspunkt_AttributeGroup()
	 * @generated
	 */
	int DATENPUNKT_EINMESSPUNKT_ATTRIBUTE_GROUP = 54;

	/**
	 * The feature id for the '<em><b>Abstand Einmesspunkt</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATENPUNKT_EINMESSPUNKT_ATTRIBUTE_GROUP__ABSTAND_EINMESSPUNKT = 0;

	/**
	 * The feature id for the '<em><b>ID Einmesspunkt</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATENPUNKT_EINMESSPUNKT_ATTRIBUTE_GROUP__ID_EINMESSPUNKT = 1;

	/**
	 * The number of structural features of the '<em>Datenpunkt Einmesspunkt Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATENPUNKT_EINMESSPUNKT_ATTRIBUTE_GROUP_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>Datenpunkt Einmesspunkt Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATENPUNKT_EINMESSPUNKT_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Datenpunkt_Laenge_TypeClassImpl <em>Datenpunkt Laenge Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Datenpunkt_Laenge_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getDatenpunkt_Laenge_TypeClass()
	 * @generated
	 */
	int DATENPUNKT_LAENGE_TYPE_CLASS = 55;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATENPUNKT_LAENGE_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATENPUNKT_LAENGE_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Datenpunkt Laenge Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATENPUNKT_LAENGE_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Datenpunkt Laenge Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATENPUNKT_LAENGE_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Datenpunkt_LinkImpl <em>Datenpunkt Link</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Datenpunkt_LinkImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getDatenpunkt_Link()
	 * @generated
	 */
	int DATENPUNKT_LINK = 56;

	/**
	 * The feature id for the '<em><b>Identitaet</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATENPUNKT_LINK__IDENTITAET = BasisobjektePackage.BASIS_OBJEKT__IDENTITAET;

	/**
	 * The feature id for the '<em><b>Basis Objekt Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATENPUNKT_LINK__BASIS_OBJEKT_ALLG = BasisobjektePackage.BASIS_OBJEKT__BASIS_OBJEKT_ALLG;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATENPUNKT_LINK__ID_BEARBEITUNGSVERMERK = BasisobjektePackage.BASIS_OBJEKT__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>ID Oertlichkeit Ausgabe</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATENPUNKT_LINK__ID_OERTLICHKEIT_AUSGABE = BasisobjektePackage.BASIS_OBJEKT__ID_OERTLICHKEIT_AUSGABE;

	/**
	 * The feature id for the '<em><b>Objektreferenzen</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATENPUNKT_LINK__OBJEKTREFERENZEN = BasisobjektePackage.BASIS_OBJEKT__OBJEKTREFERENZEN;

	/**
	 * The feature id for the '<em><b>IDDP Link Start</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATENPUNKT_LINK__IDDP_LINK_START = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>IDDP Link Ziel</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATENPUNKT_LINK__IDDP_LINK_ZIEL = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>ID Fachtelegramm</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATENPUNKT_LINK__ID_FACHTELEGRAMM = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Link Distanz</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATENPUNKT_LINK__LINK_DISTANZ = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Ziel DP Ausrichtung</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATENPUNKT_LINK__ZIEL_DP_AUSRICHTUNG = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Anwendung ESG</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATENPUNKT_LINK__ANWENDUNG_ESG = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Anwendung GNT</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATENPUNKT_LINK__ANWENDUNG_GNT = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>ZBS Merkmale</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATENPUNKT_LINK__ZBS_MERKMALE = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 7;

	/**
	 * The number of structural features of the '<em>Datenpunkt Link</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATENPUNKT_LINK_FEATURE_COUNT = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 8;

	/**
	 * The number of operations of the '<em>Datenpunkt Link</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATENPUNKT_LINK_OPERATION_COUNT = BasisobjektePackage.BASIS_OBJEKT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Delta_VGES_TypeClassImpl <em>Delta VGES Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Delta_VGES_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getDelta_VGES_TypeClass()
	 * @generated
	 */
	int DELTA_VGES_TYPE_CLASS = 57;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DELTA_VGES_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DELTA_VGES_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Delta VGES Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DELTA_VGES_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Delta VGES Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DELTA_VGES_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Delta_VLES_TypeClassImpl <em>Delta VLES Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Delta_VLES_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getDelta_VLES_TypeClass()
	 * @generated
	 */
	int DELTA_VLES_TYPE_CLASS = 58;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DELTA_VLES_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DELTA_VLES_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Delta VLES Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DELTA_VLES_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Delta VLES Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DELTA_VLES_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Delta_VZES_TypeClassImpl <em>Delta VZES Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Delta_VZES_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getDelta_VZES_TypeClass()
	 * @generated
	 */
	int DELTA_VZES_TYPE_CLASS = 59;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DELTA_VZES_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DELTA_VZES_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Delta VZES Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DELTA_VZES_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Delta VZES Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DELTA_VZES_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.DP_ATO_TypeClassImpl <em>DP ATO Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.DP_ATO_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getDP_ATO_TypeClass()
	 * @generated
	 */
	int DP_ATO_TYPE_CLASS = 60;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_ATO_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_ATO_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>DP ATO Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_ATO_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>DP ATO Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_ATO_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.DP_Bezug_Funktional_Art_TypeClassImpl <em>DP Bezug Funktional Art Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.DP_Bezug_Funktional_Art_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getDP_Bezug_Funktional_Art_TypeClass()
	 * @generated
	 */
	int DP_BEZUG_FUNKTIONAL_ART_TYPE_CLASS = 61;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_BEZUG_FUNKTIONAL_ART_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_BEZUG_FUNKTIONAL_ART_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>DP Bezug Funktional Art Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_BEZUG_FUNKTIONAL_ART_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>DP Bezug Funktional Art Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_BEZUG_FUNKTIONAL_ART_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.DP_Bezug_Funktional_AttributeGroupImpl <em>DP Bezug Funktional Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.DP_Bezug_Funktional_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getDP_Bezug_Funktional_AttributeGroup()
	 * @generated
	 */
	int DP_BEZUG_FUNKTIONAL_ATTRIBUTE_GROUP = 62;

	/**
	 * The feature id for the '<em><b>DP Bezug Funktional Art</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_BEZUG_FUNKTIONAL_ATTRIBUTE_GROUP__DP_BEZUG_FUNKTIONAL_ART = 0;

	/**
	 * The feature id for the '<em><b>IDDP Bezug Funktional</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_BEZUG_FUNKTIONAL_ATTRIBUTE_GROUP__IDDP_BEZUG_FUNKTIONAL = 1;

	/**
	 * The number of structural features of the '<em>DP Bezug Funktional Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_BEZUG_FUNKTIONAL_ATTRIBUTE_GROUP_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>DP Bezug Funktional Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_BEZUG_FUNKTIONAL_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.DP_ETCS_Adresse_AttributeGroupImpl <em>DP ETCS Adresse Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.DP_ETCS_Adresse_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getDP_ETCS_Adresse_AttributeGroup()
	 * @generated
	 */
	int DP_ETCS_ADRESSE_ATTRIBUTE_GROUP = 63;

	/**
	 * The feature id for the '<em><b>NIDBG</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_ETCS_ADRESSE_ATTRIBUTE_GROUP__NIDBG = 0;

	/**
	 * The feature id for the '<em><b>NIDC</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_ETCS_ADRESSE_ATTRIBUTE_GROUP__NIDC = 1;

	/**
	 * The number of structural features of the '<em>DP ETCS Adresse Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_ETCS_ADRESSE_ATTRIBUTE_GROUP_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>DP ETCS Adresse Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_ETCS_ADRESSE_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.DP_Link_Art_TypeClassImpl <em>DP Link Art Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.DP_Link_Art_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getDP_Link_Art_TypeClass()
	 * @generated
	 */
	int DP_LINK_ART_TYPE_CLASS = 64;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_LINK_ART_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_LINK_ART_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>DP Link Art Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_LINK_ART_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>DP Link Art Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_LINK_ART_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.DP_Telegramm_AttributeGroupImpl <em>DP Telegramm Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.DP_Telegramm_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getDP_Telegramm_AttributeGroup()
	 * @generated
	 */
	int DP_TELEGRAMM_ATTRIBUTE_GROUP = 65;

	/**
	 * The feature id for the '<em><b>ETCS System Version</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TELEGRAMM_ATTRIBUTE_GROUP__ETCS_SYSTEM_VERSION = 0;

	/**
	 * The feature id for the '<em><b>ID Fachtelegramm</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TELEGRAMM_ATTRIBUTE_GROUP__ID_FACHTELEGRAMM = 1;

	/**
	 * The feature id for the '<em><b>IDFT Anschaltbedingung</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TELEGRAMM_ATTRIBUTE_GROUP__IDFT_ANSCHALTBEDINGUNG = 2;

	/**
	 * The feature id for the '<em><b>SRS Version</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TELEGRAMM_ATTRIBUTE_GROUP__SRS_VERSION = 3;

	/**
	 * The number of structural features of the '<em>DP Telegramm Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TELEGRAMM_ATTRIBUTE_GROUP_FEATURE_COUNT = 4;

	/**
	 * The number of operations of the '<em>DP Telegramm Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TELEGRAMM_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.DP_Telegramm_ESG_AttributeGroupImpl <em>DP Telegramm ESG Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.DP_Telegramm_ESG_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getDP_Telegramm_ESG_AttributeGroup()
	 * @generated
	 */
	int DP_TELEGRAMM_ESG_ATTRIBUTE_GROUP = 66;

	/**
	 * The feature id for the '<em><b>ETCS System Version</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TELEGRAMM_ESG_ATTRIBUTE_GROUP__ETCS_SYSTEM_VERSION = 0;

	/**
	 * The feature id for the '<em><b>ID Fachtelegramm</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TELEGRAMM_ESG_ATTRIBUTE_GROUP__ID_FACHTELEGRAMM = 1;

	/**
	 * The feature id for the '<em><b>IDFT Anschaltbedingung Geplant</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TELEGRAMM_ESG_ATTRIBUTE_GROUP__IDFT_ANSCHALTBEDINGUNG_GEPLANT = 2;

	/**
	 * The feature id for the '<em><b>IDFT Anschaltbedingung Realisiert</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TELEGRAMM_ESG_ATTRIBUTE_GROUP__IDFT_ANSCHALTBEDINGUNG_REALISIERT = 3;

	/**
	 * The feature id for the '<em><b>SRS Version</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TELEGRAMM_ESG_ATTRIBUTE_GROUP__SRS_VERSION = 4;

	/**
	 * The number of structural features of the '<em>DP Telegramm ESG Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TELEGRAMM_ESG_ATTRIBUTE_GROUP_FEATURE_COUNT = 5;

	/**
	 * The number of operations of the '<em>DP Telegramm ESG Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TELEGRAMM_ESG_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.DP_Typ_Art_TypeClassImpl <em>DP Typ Art Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.DP_Typ_Art_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getDP_Typ_Art_TypeClass()
	 * @generated
	 */
	int DP_TYP_ART_TYPE_CLASS = 67;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_ART_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_ART_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>DP Typ Art Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_ART_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>DP Typ Art Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_ART_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.DP_Typ_AttributeGroupImpl <em>DP Typ Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.DP_Typ_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getDP_Typ_AttributeGroup()
	 * @generated
	 */
	int DP_TYP_ATTRIBUTE_GROUP = 68;

	/**
	 * The feature id for the '<em><b>DP Typ Art</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_ATTRIBUTE_GROUP__DP_TYP_ART = 0;

	/**
	 * The feature id for the '<em><b>DP Typ GESG</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_ATTRIBUTE_GROUP__DP_TYP_GESG = 1;

	/**
	 * The feature id for the '<em><b>DP Typ GETCS</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_ATTRIBUTE_GROUP__DP_TYP_GETCS = 2;

	/**
	 * The feature id for the '<em><b>DP Typ GGNT</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_ATTRIBUTE_GROUP__DP_TYP_GGNT = 3;

	/**
	 * The feature id for the '<em><b>DP Typ GSonst</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_ATTRIBUTE_GROUP__DP_TYP_GSONST = 4;

	/**
	 * The feature id for the '<em><b>DP Typ GTrans</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_ATTRIBUTE_GROUP__DP_TYP_GTRANS = 5;

	/**
	 * The feature id for the '<em><b>DP Typ GZBS</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_ATTRIBUTE_GROUP__DP_TYP_GZBS = 6;

	/**
	 * The number of structural features of the '<em>DP Typ Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_ATTRIBUTE_GROUP_FEATURE_COUNT = 7;

	/**
	 * The number of operations of the '<em>DP Typ Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.DP_Typ_ESG_TypeClassImpl <em>DP Typ ESG Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.DP_Typ_ESG_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getDP_Typ_ESG_TypeClass()
	 * @generated
	 */
	int DP_TYP_ESG_TYPE_CLASS = 69;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_ESG_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_ESG_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>DP Typ ESG Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_ESG_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>DP Typ ESG Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_ESG_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.DP_Typ_ETCS_TypeClassImpl <em>DP Typ ETCS Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.DP_Typ_ETCS_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getDP_Typ_ETCS_TypeClass()
	 * @generated
	 */
	int DP_TYP_ETCS_TYPE_CLASS = 70;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_ETCS_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_ETCS_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>DP Typ ETCS Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_ETCS_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>DP Typ ETCS Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_ETCS_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.DP_Typ_GESG_AttributeGroupImpl <em>DP Typ GESG Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.DP_Typ_GESG_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getDP_Typ_GESG_AttributeGroup()
	 * @generated
	 */
	int DP_TYP_GESG_ATTRIBUTE_GROUP = 71;

	/**
	 * The feature id for the '<em><b>DP Typ ESG</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_GESG_ATTRIBUTE_GROUP__DP_TYP_ESG = 0;

	/**
	 * The feature id for the '<em><b>DP Verlinkt</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_GESG_ATTRIBUTE_GROUP__DP_VERLINKT = 1;

	/**
	 * The feature id for the '<em><b>Lfd Nr Am Bezugspunkt</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_GESG_ATTRIBUTE_GROUP__LFD_NR_AM_BEZUGSPUNKT = 2;

	/**
	 * The number of structural features of the '<em>DP Typ GESG Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_GESG_ATTRIBUTE_GROUP_FEATURE_COUNT = 3;

	/**
	 * The number of operations of the '<em>DP Typ GESG Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_GESG_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.DP_Typ_GETCS_AttributeGroupImpl <em>DP Typ GETCS Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.DP_Typ_GETCS_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getDP_Typ_GETCS_AttributeGroup()
	 * @generated
	 */
	int DP_TYP_GETCS_ATTRIBUTE_GROUP = 72;

	/**
	 * The feature id for the '<em><b>DPATO</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_GETCS_ATTRIBUTE_GROUP__DPATO = 0;

	/**
	 * The feature id for the '<em><b>DP Typ ETCS</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_GETCS_ATTRIBUTE_GROUP__DP_TYP_ETCS = 1;

	/**
	 * The feature id for the '<em><b>IDDP Bezug Funktional</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_GETCS_ATTRIBUTE_GROUP__IDDP_BEZUG_FUNKTIONAL = 2;

	/**
	 * The feature id for the '<em><b>Verkuerzter Abstand</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_GETCS_ATTRIBUTE_GROUP__VERKUERZTER_ABSTAND = 3;

	/**
	 * The number of structural features of the '<em>DP Typ GETCS Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_GETCS_ATTRIBUTE_GROUP_FEATURE_COUNT = 4;

	/**
	 * The number of operations of the '<em>DP Typ GETCS Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_GETCS_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.DP_Typ_GGNT_AttributeGroupImpl <em>DP Typ GGNT Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.DP_Typ_GGNT_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getDP_Typ_GGNT_AttributeGroup()
	 * @generated
	 */
	int DP_TYP_GGNT_ATTRIBUTE_GROUP = 73;

	/**
	 * The feature id for the '<em><b>DP Typ GNT</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_GGNT_ATTRIBUTE_GROUP__DP_TYP_GNT = 0;

	/**
	 * The number of structural features of the '<em>DP Typ GGNT Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_GGNT_ATTRIBUTE_GROUP_FEATURE_COUNT = 1;

	/**
	 * The number of operations of the '<em>DP Typ GGNT Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_GGNT_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.DP_Typ_GNT_TypeClassImpl <em>DP Typ GNT Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.DP_Typ_GNT_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getDP_Typ_GNT_TypeClass()
	 * @generated
	 */
	int DP_TYP_GNT_TYPE_CLASS = 74;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_GNT_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_GNT_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>DP Typ GNT Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_GNT_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>DP Typ GNT Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_GNT_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.DP_Typ_GSonst_AttributeGroupImpl <em>DP Typ GSonst Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.DP_Typ_GSonst_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getDP_Typ_GSonst_AttributeGroup()
	 * @generated
	 */
	int DP_TYP_GSONST_ATTRIBUTE_GROUP = 75;

	/**
	 * The feature id for the '<em><b>Anwendung Sonst</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_GSONST_ATTRIBUTE_GROUP__ANWENDUNG_SONST = 0;

	/**
	 * The feature id for the '<em><b>DP Typ Sonst</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_GSONST_ATTRIBUTE_GROUP__DP_TYP_SONST = 1;

	/**
	 * The number of structural features of the '<em>DP Typ GSonst Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_GSONST_ATTRIBUTE_GROUP_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>DP Typ GSonst Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_GSONST_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.DP_Typ_GTrans_AttributeGroupImpl <em>DP Typ GTrans Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.DP_Typ_GTrans_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getDP_Typ_GTrans_AttributeGroup()
	 * @generated
	 */
	int DP_TYP_GTRANS_ATTRIBUTE_GROUP = 76;

	/**
	 * The feature id for the '<em><b>DP Typ Trans</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_GTRANS_ATTRIBUTE_GROUP__DP_TYP_TRANS = 0;

	/**
	 * The number of structural features of the '<em>DP Typ GTrans Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_GTRANS_ATTRIBUTE_GROUP_FEATURE_COUNT = 1;

	/**
	 * The number of operations of the '<em>DP Typ GTrans Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_GTRANS_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.DP_Typ_GZBS_AttributeGroupImpl <em>DP Typ GZBS Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.DP_Typ_GZBS_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getDP_Typ_GZBS_AttributeGroup()
	 * @generated
	 */
	int DP_TYP_GZBS_ATTRIBUTE_GROUP = 77;

	/**
	 * The feature id for the '<em><b>DP Typ ZBS</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_GZBS_ATTRIBUTE_GROUP__DP_TYP_ZBS = 0;

	/**
	 * The number of structural features of the '<em>DP Typ GZBS Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_GZBS_ATTRIBUTE_GROUP_FEATURE_COUNT = 1;

	/**
	 * The number of operations of the '<em>DP Typ GZBS Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_GZBS_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.DP_Typ_Sonst_TypeClassImpl <em>DP Typ Sonst Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.DP_Typ_Sonst_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getDP_Typ_Sonst_TypeClass()
	 * @generated
	 */
	int DP_TYP_SONST_TYPE_CLASS = 78;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_SONST_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_SONST_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>DP Typ Sonst Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_SONST_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>DP Typ Sonst Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_SONST_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.DP_Typ_Trans_TypeClassImpl <em>DP Typ Trans Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.DP_Typ_Trans_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getDP_Typ_Trans_TypeClass()
	 * @generated
	 */
	int DP_TYP_TRANS_TYPE_CLASS = 79;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_TRANS_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_TRANS_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>DP Typ Trans Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_TRANS_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>DP Typ Trans Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_TRANS_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.DP_Typ_V_La_TypeClassImpl <em>DP Typ VLa Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.DP_Typ_V_La_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getDP_Typ_V_La_TypeClass()
	 * @generated
	 */
	int DP_TYP_VLA_TYPE_CLASS = 80;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_VLA_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_VLA_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>DP Typ VLa Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_VLA_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>DP Typ VLa Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_VLA_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.DP_Typ_ZBS_TypeClassImpl <em>DP Typ ZBS Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.DP_Typ_ZBS_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getDP_Typ_ZBS_TypeClass()
	 * @generated
	 */
	int DP_TYP_ZBS_TYPE_CLASS = 81;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_ZBS_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_ZBS_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>DP Typ ZBS Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_ZBS_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>DP Typ ZBS Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_TYP_ZBS_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.DP_Verlinkt_TypeClassImpl <em>DP Verlinkt Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.DP_Verlinkt_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getDP_Verlinkt_TypeClass()
	 * @generated
	 */
	int DP_VERLINKT_TYPE_CLASS = 82;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_VERLINKT_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_VERLINKT_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>DP Verlinkt Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_VERLINKT_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>DP Verlinkt Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DP_VERLINKT_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Dunkelschaltanstoss_TypeClassImpl <em>Dunkelschaltanstoss Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Dunkelschaltanstoss_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getDunkelschaltanstoss_TypeClass()
	 * @generated
	 */
	int DUNKELSCHALTANSTOSS_TYPE_CLASS = 83;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DUNKELSCHALTANSTOSS_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DUNKELSCHALTANSTOSS_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Dunkelschaltanstoss Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DUNKELSCHALTANSTOSS_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Dunkelschaltanstoss Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DUNKELSCHALTANSTOSS_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.DWeg_Intervall_200_TypeClassImpl <em>DWeg Intervall 200 Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.DWeg_Intervall_200_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getDWeg_Intervall_200_TypeClass()
	 * @generated
	 */
	int DWEG_INTERVALL_200_TYPE_CLASS = 84;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DWEG_INTERVALL_200_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DWEG_INTERVALL_200_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>DWeg Intervall 200 Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DWEG_INTERVALL_200_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>DWeg Intervall 200 Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DWEG_INTERVALL_200_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.DWeg_Intervall_50_200_TypeClassImpl <em>DWeg Intervall 50 200 Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.DWeg_Intervall_50_200_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getDWeg_Intervall_50_200_TypeClass()
	 * @generated
	 */
	int DWEG_INTERVALL_50_200_TYPE_CLASS = 85;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DWEG_INTERVALL_50_200_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DWEG_INTERVALL_50_200_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>DWeg Intervall 50 200 Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DWEG_INTERVALL_50_200_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>DWeg Intervall 50 200 Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DWEG_INTERVALL_50_200_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.DWeg_Intervall_50_TypeClassImpl <em>DWeg Intervall 50 Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.DWeg_Intervall_50_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getDWeg_Intervall_50_TypeClass()
	 * @generated
	 */
	int DWEG_INTERVALL_50_TYPE_CLASS = 86;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DWEG_INTERVALL_50_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DWEG_INTERVALL_50_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>DWeg Intervall 50 Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DWEG_INTERVALL_50_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>DWeg Intervall 50 Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DWEG_INTERVALL_50_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Eingang_Gepuffert_TypeClassImpl <em>Eingang Gepuffert Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Eingang_Gepuffert_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getEingang_Gepuffert_TypeClass()
	 * @generated
	 */
	int EINGANG_GEPUFFERT_TYPE_CLASS = 87;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EINGANG_GEPUFFERT_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EINGANG_GEPUFFERT_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Eingang Gepuffert Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EINGANG_GEPUFFERT_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Eingang Gepuffert Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EINGANG_GEPUFFERT_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Einstieg_Erlaubt_TypeClassImpl <em>Einstieg Erlaubt Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Einstieg_Erlaubt_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getEinstieg_Erlaubt_TypeClass()
	 * @generated
	 */
	int EINSTIEG_ERLAUBT_TYPE_CLASS = 88;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EINSTIEG_ERLAUBT_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EINSTIEG_ERLAUBT_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Einstieg Erlaubt Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EINSTIEG_ERLAUBT_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Einstieg Erlaubt Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EINSTIEG_ERLAUBT_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Einstieg_Ohne_Rueckw_Sig_TypeClassImpl <em>Einstieg Ohne Rueckw Sig Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Einstieg_Ohne_Rueckw_Sig_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getEinstieg_Ohne_Rueckw_Sig_TypeClass()
	 * @generated
	 */
	int EINSTIEG_OHNE_RUECKW_SIG_TYPE_CLASS = 89;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EINSTIEG_OHNE_RUECKW_SIG_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EINSTIEG_OHNE_RUECKW_SIG_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Einstieg Ohne Rueckw Sig Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EINSTIEG_OHNE_RUECKW_SIG_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Einstieg Ohne Rueckw Sig Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EINSTIEG_OHNE_RUECKW_SIG_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Einzeldatei_Art_TypeClassImpl <em>Einzeldatei Art Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Einzeldatei_Art_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getEinzeldatei_Art_TypeClass()
	 * @generated
	 */
	int EINZELDATEI_ART_TYPE_CLASS = 90;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EINZELDATEI_ART_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EINZELDATEI_ART_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Einzeldatei Art Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EINZELDATEI_ART_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Einzeldatei Art Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EINZELDATEI_ART_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Energie_Eingang_Art_TypeClassImpl <em>Energie Eingang Art Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Energie_Eingang_Art_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getEnergie_Eingang_Art_TypeClass()
	 * @generated
	 */
	int ENERGIE_EINGANG_ART_TYPE_CLASS = 91;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENERGIE_EINGANG_ART_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENERGIE_EINGANG_ART_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Energie Eingang Art Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENERGIE_EINGANG_ART_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Energie Eingang Art Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENERGIE_EINGANG_ART_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ESG_Ind_Erlaeuterung_TypeClassImpl <em>ESG Ind Erlaeuterung Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ESG_Ind_Erlaeuterung_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getESG_Ind_Erlaeuterung_TypeClass()
	 * @generated
	 */
	int ESG_IND_ERLAEUTERUNG_TYPE_CLASS = 92;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ESG_IND_ERLAEUTERUNG_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ESG_IND_ERLAEUTERUNG_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>ESG Ind Erlaeuterung Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ESG_IND_ERLAEUTERUNG_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>ESG Ind Erlaeuterung Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ESG_IND_ERLAEUTERUNG_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ESG_Ind_Parameter_TypeClassImpl <em>ESG Ind Parameter Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ESG_Ind_Parameter_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getESG_Ind_Parameter_TypeClass()
	 * @generated
	 */
	int ESG_IND_PARAMETER_TYPE_CLASS = 93;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ESG_IND_PARAMETER_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ESG_IND_PARAMETER_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>ESG Ind Parameter Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ESG_IND_PARAMETER_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>ESG Ind Parameter Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ESG_IND_PARAMETER_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ESG_Ind_Parameterwert_TypeClassImpl <em>ESG Ind Parameterwert Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ESG_Ind_Parameterwert_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getESG_Ind_Parameterwert_TypeClass()
	 * @generated
	 */
	int ESG_IND_PARAMETERWERT_TYPE_CLASS = 94;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ESG_IND_PARAMETERWERT_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ESG_IND_PARAMETERWERT_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>ESG Ind Parameterwert Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ESG_IND_PARAMETERWERT_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>ESG Ind Parameterwert Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ESG_IND_PARAMETERWERT_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ESG_Individuelle_Merkmale_AttributeGroupImpl <em>ESG Individuelle Merkmale Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ESG_Individuelle_Merkmale_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getESG_Individuelle_Merkmale_AttributeGroup()
	 * @generated
	 */
	int ESG_INDIVIDUELLE_MERKMALE_ATTRIBUTE_GROUP = 95;

	/**
	 * The feature id for the '<em><b>ESG Ind Erlaeuterung</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ESG_INDIVIDUELLE_MERKMALE_ATTRIBUTE_GROUP__ESG_IND_ERLAEUTERUNG = 0;

	/**
	 * The feature id for the '<em><b>ESG Ind Parameter</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ESG_INDIVIDUELLE_MERKMALE_ATTRIBUTE_GROUP__ESG_IND_PARAMETER = 1;

	/**
	 * The feature id for the '<em><b>ESG Ind Parameterwert</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ESG_INDIVIDUELLE_MERKMALE_ATTRIBUTE_GROUP__ESG_IND_PARAMETERWERT = 2;

	/**
	 * The feature id for the '<em><b>ID Anhang Ui G</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ESG_INDIVIDUELLE_MERKMALE_ATTRIBUTE_GROUP__ID_ANHANG_UI_G = 3;

	/**
	 * The number of structural features of the '<em>ESG Individuelle Merkmale Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ESG_INDIVIDUELLE_MERKMALE_ATTRIBUTE_GROUP_FEATURE_COUNT = 4;

	/**
	 * The number of operations of the '<em>ESG Individuelle Merkmale Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ESG_INDIVIDUELLE_MERKMALE_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ESG_Spezifische_Merkmale_AttributeGroupImpl <em>ESG Spezifische Merkmale Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ESG_Spezifische_Merkmale_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getESG_Spezifische_Merkmale_AttributeGroup()
	 * @generated
	 */
	int ESG_SPEZIFISCHE_MERKMALE_ATTRIBUTE_GROUP = 96;

	/**
	 * The feature id for the '<em><b>ETCS Paketnummer</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ESG_SPEZIFISCHE_MERKMALE_ATTRIBUTE_GROUP__ETCS_PAKETNUMMER = 0;

	/**
	 * The feature id for the '<em><b>ETCS Par Erlaeuterung</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ESG_SPEZIFISCHE_MERKMALE_ATTRIBUTE_GROUP__ETCS_PAR_ERLAEUTERUNG = 1;

	/**
	 * The feature id for the '<em><b>ETCS Parametername</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ESG_SPEZIFISCHE_MERKMALE_ATTRIBUTE_GROUP__ETCS_PARAMETERNAME = 2;

	/**
	 * The feature id for the '<em><b>ETCS Parameterwert</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ESG_SPEZIFISCHE_MERKMALE_ATTRIBUTE_GROUP__ETCS_PARAMETERWERT = 3;

	/**
	 * The feature id for the '<em><b>Rekursion2 Nr</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ESG_SPEZIFISCHE_MERKMALE_ATTRIBUTE_GROUP__REKURSION2_NR = 4;

	/**
	 * The feature id for the '<em><b>Rekursion Nr</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ESG_SPEZIFISCHE_MERKMALE_ATTRIBUTE_GROUP__REKURSION_NR = 5;

	/**
	 * The number of structural features of the '<em>ESG Spezifische Merkmale Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ESG_SPEZIFISCHE_MERKMALE_ATTRIBUTE_GROUP_FEATURE_COUNT = 6;

	/**
	 * The number of operations of the '<em>ESG Spezifische Merkmale Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ESG_SPEZIFISCHE_MERKMALE_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ETCS_Adresse_AttributeGroupImpl <em>ETCS Adresse Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ETCS_Adresse_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getETCS_Adresse_AttributeGroup()
	 * @generated
	 */
	int ETCS_ADRESSE_ATTRIBUTE_GROUP = 97;

	/**
	 * The feature id for the '<em><b>NIDC</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_ADRESSE_ATTRIBUTE_GROUP__NIDC = 0;

	/**
	 * The feature id for the '<em><b>NIDRBC</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_ADRESSE_ATTRIBUTE_GROUP__NIDRBC = 1;

	/**
	 * The number of structural features of the '<em>ETCS Adresse Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_ADRESSE_ATTRIBUTE_GROUP_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>ETCS Adresse Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_ADRESSE_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ETCS_Gefahrpunktabstand_Abweichend_TypeClassImpl <em>ETCS Gefahrpunktabstand Abweichend Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ETCS_Gefahrpunktabstand_Abweichend_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getETCS_Gefahrpunktabstand_Abweichend_TypeClass()
	 * @generated
	 */
	int ETCS_GEFAHRPUNKTABSTAND_ABWEICHEND_TYPE_CLASS = 98;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_GEFAHRPUNKTABSTAND_ABWEICHEND_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_GEFAHRPUNKTABSTAND_ABWEICHEND_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>ETCS Gefahrpunktabstand Abweichend Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_GEFAHRPUNKTABSTAND_ABWEICHEND_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>ETCS Gefahrpunktabstand Abweichend Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_GEFAHRPUNKTABSTAND_ABWEICHEND_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ETCS_KanteImpl <em>ETCS Kante</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ETCS_KanteImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getETCS_Kante()
	 * @generated
	 */
	int ETCS_KANTE = 99;

	/**
	 * The feature id for the '<em><b>Identitaet</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_KANTE__IDENTITAET = BasisobjektePackage.BASIS_OBJEKT__IDENTITAET;

	/**
	 * The feature id for the '<em><b>Basis Objekt Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_KANTE__BASIS_OBJEKT_ALLG = BasisobjektePackage.BASIS_OBJEKT__BASIS_OBJEKT_ALLG;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_KANTE__ID_BEARBEITUNGSVERMERK = BasisobjektePackage.BASIS_OBJEKT__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>ID Oertlichkeit Ausgabe</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_KANTE__ID_OERTLICHKEIT_AUSGABE = BasisobjektePackage.BASIS_OBJEKT__ID_OERTLICHKEIT_AUSGABE;

	/**
	 * The feature id for the '<em><b>Objektreferenzen</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_KANTE__OBJEKTREFERENZEN = BasisobjektePackage.BASIS_OBJEKT__OBJEKTREFERENZEN;

	/**
	 * The feature id for the '<em><b>Bezeichnung</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_KANTE__BEZEICHNUNG = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>IDETCS Knoten A</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_KANTE__IDETCS_KNOTEN_A = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>IDETCS Knoten B</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_KANTE__IDETCS_KNOTEN_B = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>IDRBC</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_KANTE__IDRBC = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>ID Strecke</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_KANTE__ID_STRECKE = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>IDTOP Kante</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_KANTE__IDTOP_KANTE = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 5;

	/**
	 * The number of structural features of the '<em>ETCS Kante</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_KANTE_FEATURE_COUNT = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 6;

	/**
	 * The number of operations of the '<em>ETCS Kante</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_KANTE_OPERATION_COUNT = BasisobjektePackage.BASIS_OBJEKT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ETCS_Kante_Bezeichnung_AttributeGroupImpl <em>ETCS Kante Bezeichnung Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ETCS_Kante_Bezeichnung_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getETCS_Kante_Bezeichnung_AttributeGroup()
	 * @generated
	 */
	int ETCS_KANTE_BEZEICHNUNG_ATTRIBUTE_GROUP = 100;

	/**
	 * The feature id for the '<em><b>Bezeichnung ETCS Kante</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_KANTE_BEZEICHNUNG_ATTRIBUTE_GROUP__BEZEICHNUNG_ETCS_KANTE = 0;

	/**
	 * The number of structural features of the '<em>ETCS Kante Bezeichnung Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_KANTE_BEZEICHNUNG_ATTRIBUTE_GROUP_FEATURE_COUNT = 1;

	/**
	 * The number of operations of the '<em>ETCS Kante Bezeichnung Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_KANTE_BEZEICHNUNG_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ETCS_KnotenImpl <em>ETCS Knoten</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ETCS_KnotenImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getETCS_Knoten()
	 * @generated
	 */
	int ETCS_KNOTEN = 101;

	/**
	 * The feature id for the '<em><b>Identitaet</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_KNOTEN__IDENTITAET = BasisobjektePackage.BASIS_OBJEKT__IDENTITAET;

	/**
	 * The feature id for the '<em><b>Basis Objekt Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_KNOTEN__BASIS_OBJEKT_ALLG = BasisobjektePackage.BASIS_OBJEKT__BASIS_OBJEKT_ALLG;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_KNOTEN__ID_BEARBEITUNGSVERMERK = BasisobjektePackage.BASIS_OBJEKT__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>ID Oertlichkeit Ausgabe</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_KNOTEN__ID_OERTLICHKEIT_AUSGABE = BasisobjektePackage.BASIS_OBJEKT__ID_OERTLICHKEIT_AUSGABE;

	/**
	 * The feature id for the '<em><b>Objektreferenzen</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_KNOTEN__OBJEKTREFERENZEN = BasisobjektePackage.BASIS_OBJEKT__OBJEKTREFERENZEN;

	/**
	 * The feature id for the '<em><b>IDTOP Knoten</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_KNOTEN__IDTOP_KNOTEN = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Knoten Auf TOP Kante</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_KNOTEN__KNOTEN_AUF_TOP_KANTE = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>ETCS Knoten</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_KNOTEN_FEATURE_COUNT = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 2;

	/**
	 * The number of operations of the '<em>ETCS Knoten</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_KNOTEN_OPERATION_COUNT = BasisobjektePackage.BASIS_OBJEKT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ETCS_Knoten_Art_Sonstige_TypeClassImpl <em>ETCS Knoten Art Sonstige Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ETCS_Knoten_Art_Sonstige_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getETCS_Knoten_Art_Sonstige_TypeClass()
	 * @generated
	 */
	int ETCS_KNOTEN_ART_SONSTIGE_TYPE_CLASS = 102;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_KNOTEN_ART_SONSTIGE_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_KNOTEN_ART_SONSTIGE_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>ETCS Knoten Art Sonstige Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_KNOTEN_ART_SONSTIGE_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>ETCS Knoten Art Sonstige Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_KNOTEN_ART_SONSTIGE_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ETCS_Paketnummer_TypeClassImpl <em>ETCS Paketnummer Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ETCS_Paketnummer_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getETCS_Paketnummer_TypeClass()
	 * @generated
	 */
	int ETCS_PAKETNUMMER_TYPE_CLASS = 103;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_PAKETNUMMER_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_PAKETNUMMER_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>ETCS Paketnummer Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_PAKETNUMMER_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>ETCS Paketnummer Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_PAKETNUMMER_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ETCS_Par_Erlaeuterung_TypeClassImpl <em>ETCS Par Erlaeuterung Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ETCS_Par_Erlaeuterung_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getETCS_Par_Erlaeuterung_TypeClass()
	 * @generated
	 */
	int ETCS_PAR_ERLAEUTERUNG_TYPE_CLASS = 104;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_PAR_ERLAEUTERUNG_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_PAR_ERLAEUTERUNG_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>ETCS Par Erlaeuterung Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_PAR_ERLAEUTERUNG_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>ETCS Par Erlaeuterung Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_PAR_ERLAEUTERUNG_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ETCS_Parametername_TypeClassImpl <em>ETCS Parametername Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ETCS_Parametername_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getETCS_Parametername_TypeClass()
	 * @generated
	 */
	int ETCS_PARAMETERNAME_TYPE_CLASS = 105;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_PARAMETERNAME_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_PARAMETERNAME_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>ETCS Parametername Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_PARAMETERNAME_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>ETCS Parametername Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_PARAMETERNAME_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ETCS_Parameterwert_TypeClassImpl <em>ETCS Parameterwert Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ETCS_Parameterwert_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getETCS_Parameterwert_TypeClass()
	 * @generated
	 */
	int ETCS_PARAMETERWERT_TYPE_CLASS = 106;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_PARAMETERWERT_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_PARAMETERWERT_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>ETCS Parameterwert Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_PARAMETERWERT_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>ETCS Parameterwert Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_PARAMETERWERT_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ETCS_RichtungsanzeigeImpl <em>ETCS Richtungsanzeige</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ETCS_RichtungsanzeigeImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getETCS_Richtungsanzeige()
	 * @generated
	 */
	int ETCS_RICHTUNGSANZEIGE = 107;

	/**
	 * The feature id for the '<em><b>Identitaet</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_RICHTUNGSANZEIGE__IDENTITAET = BasisobjektePackage.BASIS_OBJEKT__IDENTITAET;

	/**
	 * The feature id for the '<em><b>Basis Objekt Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_RICHTUNGSANZEIGE__BASIS_OBJEKT_ALLG = BasisobjektePackage.BASIS_OBJEKT__BASIS_OBJEKT_ALLG;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_RICHTUNGSANZEIGE__ID_BEARBEITUNGSVERMERK = BasisobjektePackage.BASIS_OBJEKT__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>ID Oertlichkeit Ausgabe</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_RICHTUNGSANZEIGE__ID_OERTLICHKEIT_AUSGABE = BasisobjektePackage.BASIS_OBJEKT__ID_OERTLICHKEIT_AUSGABE;

	/**
	 * The feature id for the '<em><b>Objektreferenzen</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_RICHTUNGSANZEIGE__OBJEKTREFERENZEN = BasisobjektePackage.BASIS_OBJEKT__OBJEKTREFERENZEN;

	/**
	 * The feature id for the '<em><b>ID Fstr Fahrweg</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_RICHTUNGSANZEIGE__ID_FSTR_FAHRWEG = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>ID Oertlichkeit In Richtung</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_RICHTUNGSANZEIGE__ID_OERTLICHKEIT_IN_RICHTUNG = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Textmeldung</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_RICHTUNGSANZEIGE__TEXTMELDUNG = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>ETCS Richtungsanzeige</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_RICHTUNGSANZEIGE_FEATURE_COUNT = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 3;

	/**
	 * The number of operations of the '<em>ETCS Richtungsanzeige</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_RICHTUNGSANZEIGE_OPERATION_COUNT = BasisobjektePackage.BASIS_OBJEKT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ETCS_SignalImpl <em>ETCS Signal</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ETCS_SignalImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getETCS_Signal()
	 * @generated
	 */
	int ETCS_SIGNAL = 108;

	/**
	 * The feature id for the '<em><b>Identitaet</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_SIGNAL__IDENTITAET = BasisobjektePackage.BASIS_OBJEKT__IDENTITAET;

	/**
	 * The feature id for the '<em><b>Basis Objekt Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_SIGNAL__BASIS_OBJEKT_ALLG = BasisobjektePackage.BASIS_OBJEKT__BASIS_OBJEKT_ALLG;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_SIGNAL__ID_BEARBEITUNGSVERMERK = BasisobjektePackage.BASIS_OBJEKT__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>ID Oertlichkeit Ausgabe</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_SIGNAL__ID_OERTLICHKEIT_AUSGABE = BasisobjektePackage.BASIS_OBJEKT__ID_OERTLICHKEIT_AUSGABE;

	/**
	 * The feature id for the '<em><b>Objektreferenzen</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_SIGNAL__OBJEKTREFERENZEN = BasisobjektePackage.BASIS_OBJEKT__OBJEKTREFERENZEN;

	/**
	 * The feature id for the '<em><b>ETCS Gefahrpunktabstand Abweichend</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_SIGNAL__ETCS_GEFAHRPUNKTABSTAND_ABWEICHEND = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>ETCS Signal Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_SIGNAL__ETCS_SIGNAL_ALLG = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>ETCS Signal DWeg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_SIGNAL__ETCS_SIGNAL_DWEG = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>ETCS Signal TBV</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_SIGNAL__ETCS_SIGNAL_TBV = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>IDETCS Gefahrpunkt</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_SIGNAL__IDETCS_GEFAHRPUNKT = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>IDETCS Gefahrpunkt2</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_SIGNAL__IDETCS_GEFAHRPUNKT2 = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>IDHOAFBOA</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_SIGNAL__IDHOAFBOA = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>IDRBC</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_SIGNAL__IDRBC = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>ID Signal</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_SIGNAL__ID_SIGNAL = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 8;

	/**
	 * The number of structural features of the '<em>ETCS Signal</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_SIGNAL_FEATURE_COUNT = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 9;

	/**
	 * The number of operations of the '<em>ETCS Signal</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_SIGNAL_OPERATION_COUNT = BasisobjektePackage.BASIS_OBJEKT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ETCS_Signal_Allg_AttributeGroupImpl <em>ETCS Signal Allg Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ETCS_Signal_Allg_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getETCS_Signal_Allg_AttributeGroup()
	 * @generated
	 */
	int ETCS_SIGNAL_ALLG_ATTRIBUTE_GROUP = 109;

	/**
	 * The feature id for the '<em><b>Ausstieg ETCS Sperre</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_SIGNAL_ALLG_ATTRIBUTE_GROUP__AUSSTIEG_ETCS_SPERRE = 0;

	/**
	 * The feature id for the '<em><b>Dunkelschaltanstoss</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_SIGNAL_ALLG_ATTRIBUTE_GROUP__DUNKELSCHALTANSTOSS = 1;

	/**
	 * The feature id for the '<em><b>Einstieg Erlaubt</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_SIGNAL_ALLG_ATTRIBUTE_GROUP__EINSTIEG_ERLAUBT = 2;

	/**
	 * The feature id for the '<em><b>Gruppen ID</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_SIGNAL_ALLG_ATTRIBUTE_GROUP__GRUPPEN_ID = 3;

	/**
	 * The feature id for the '<em><b>Untergruppen ID</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_SIGNAL_ALLG_ATTRIBUTE_GROUP__UNTERGRUPPEN_ID = 4;

	/**
	 * The number of structural features of the '<em>ETCS Signal Allg Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_SIGNAL_ALLG_ATTRIBUTE_GROUP_FEATURE_COUNT = 5;

	/**
	 * The number of operations of the '<em>ETCS Signal Allg Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_SIGNAL_ALLG_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ETCS_Signal_DWeg_AttributeGroupImpl <em>ETCS Signal DWeg Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ETCS_Signal_DWeg_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getETCS_Signal_DWeg_AttributeGroup()
	 * @generated
	 */
	int ETCS_SIGNAL_DWEG_ATTRIBUTE_GROUP = 110;

	/**
	 * The feature id for the '<em><b>DWeg Intervall200</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_SIGNAL_DWEG_ATTRIBUTE_GROUP__DWEG_INTERVALL200 = 0;

	/**
	 * The feature id for the '<em><b>DWeg Intervall50</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_SIGNAL_DWEG_ATTRIBUTE_GROUP__DWEG_INTERVALL50 = 1;

	/**
	 * The feature id for the '<em><b>DWeg Intervall50200</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_SIGNAL_DWEG_ATTRIBUTE_GROUP__DWEG_INTERVALL50200 = 2;

	/**
	 * The number of structural features of the '<em>ETCS Signal DWeg Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_SIGNAL_DWEG_ATTRIBUTE_GROUP_FEATURE_COUNT = 3;

	/**
	 * The number of operations of the '<em>ETCS Signal DWeg Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_SIGNAL_DWEG_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ETCS_Signal_TBV_AttributeGroupImpl <em>ETCS Signal TBV Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ETCS_Signal_TBV_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getETCS_Signal_TBV_AttributeGroup()
	 * @generated
	 */
	int ETCS_SIGNAL_TBV_ATTRIBUTE_GROUP = 111;

	/**
	 * The feature id for the '<em><b>TBV Meldepunkt</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_SIGNAL_TBV_ATTRIBUTE_GROUP__TBV_MELDEPUNKT = 0;

	/**
	 * The feature id for the '<em><b>TBV Tunnelbereich Laenge</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_SIGNAL_TBV_ATTRIBUTE_GROUP__TBV_TUNNELBEREICH_LAENGE = 1;

	/**
	 * The feature id for the '<em><b>TBV Tunnelsignal</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_SIGNAL_TBV_ATTRIBUTE_GROUP__TBV_TUNNELSIGNAL = 2;

	/**
	 * The number of structural features of the '<em>ETCS Signal TBV Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_SIGNAL_TBV_ATTRIBUTE_GROUP_FEATURE_COUNT = 3;

	/**
	 * The number of operations of the '<em>ETCS Signal TBV Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_SIGNAL_TBV_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ETCS_System_Version_TypeClassImpl <em>ETCS System Version Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ETCS_System_Version_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getETCS_System_Version_TypeClass()
	 * @generated
	 */
	int ETCS_SYSTEM_VERSION_TYPE_CLASS = 112;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_SYSTEM_VERSION_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_SYSTEM_VERSION_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>ETCS System Version Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_SYSTEM_VERSION_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>ETCS System Version Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_SYSTEM_VERSION_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ETCS_W_KrImpl <em>ETCS WKr</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ETCS_W_KrImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getETCS_W_Kr()
	 * @generated
	 */
	int ETCS_WKR = 113;

	/**
	 * The feature id for the '<em><b>Identitaet</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_WKR__IDENTITAET = BasisobjektePackage.BASIS_OBJEKT__IDENTITAET;

	/**
	 * The feature id for the '<em><b>Basis Objekt Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_WKR__BASIS_OBJEKT_ALLG = BasisobjektePackage.BASIS_OBJEKT__BASIS_OBJEKT_ALLG;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_WKR__ID_BEARBEITUNGSVERMERK = BasisobjektePackage.BASIS_OBJEKT__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>ID Oertlichkeit Ausgabe</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_WKR__ID_OERTLICHKEIT_AUSGABE = BasisobjektePackage.BASIS_OBJEKT__ID_OERTLICHKEIT_AUSGABE;

	/**
	 * The feature id for the '<em><b>Objektreferenzen</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_WKR__OBJEKTREFERENZEN = BasisobjektePackage.BASIS_OBJEKT__OBJEKTREFERENZEN;

	/**
	 * The feature id for the '<em><b>ETCSW Kr MUKA</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_WKR__ETCSW_KR_MUKA = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>IDETCS Gefahrpunkt Nebengleis</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_WKR__IDETCS_GEFAHRPUNKT_NEBENGLEIS = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>IDETCS Knoten</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_WKR__IDETCS_KNOTEN = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>IDRBC</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_WKR__IDRBC = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>IDW Kr Anlage</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_WKR__IDW_KR_ANLAGE = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 4;

	/**
	 * The number of structural features of the '<em>ETCS WKr</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_WKR_FEATURE_COUNT = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 5;

	/**
	 * The number of operations of the '<em>ETCS WKr</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_WKR_OPERATION_COUNT = BasisobjektePackage.BASIS_OBJEKT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ETCS_W_Kr_MUKA_AttributeGroupImpl <em>ETCS WKr MUKA Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ETCS_W_Kr_MUKA_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getETCS_W_Kr_MUKA_AttributeGroup()
	 * @generated
	 */
	int ETCS_WKR_MUKA_ATTRIBUTE_GROUP = 114;

	/**
	 * The feature id for the '<em><b>Gruppen ID</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_WKR_MUKA_ATTRIBUTE_GROUP__GRUPPEN_ID = 0;

	/**
	 * The feature id for the '<em><b>Untergruppen ID</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_WKR_MUKA_ATTRIBUTE_GROUP__UNTERGRUPPEN_ID = 1;

	/**
	 * The number of structural features of the '<em>ETCS WKr MUKA Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_WKR_MUKA_ATTRIBUTE_GROUP_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>ETCS WKr MUKA Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ETCS_WKR_MUKA_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.EV_ModulImpl <em>EV Modul</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.EV_ModulImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getEV_Modul()
	 * @generated
	 */
	int EV_MODUL = 115;

	/**
	 * The feature id for the '<em><b>Identitaet</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EV_MODUL__IDENTITAET = BasisobjektePackage.BASIS_OBJEKT__IDENTITAET;

	/**
	 * The feature id for the '<em><b>Basis Objekt Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EV_MODUL__BASIS_OBJEKT_ALLG = BasisobjektePackage.BASIS_OBJEKT__BASIS_OBJEKT_ALLG;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EV_MODUL__ID_BEARBEITUNGSVERMERK = BasisobjektePackage.BASIS_OBJEKT__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>ID Oertlichkeit Ausgabe</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EV_MODUL__ID_OERTLICHKEIT_AUSGABE = BasisobjektePackage.BASIS_OBJEKT__ID_OERTLICHKEIT_AUSGABE;

	/**
	 * The feature id for the '<em><b>Objektreferenzen</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EV_MODUL__OBJEKTREFERENZEN = BasisobjektePackage.BASIS_OBJEKT__OBJEKTREFERENZEN;

	/**
	 * The feature id for the '<em><b>EV Modul Ausgang</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EV_MODUL__EV_MODUL_AUSGANG = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>EV Modul Physisch</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EV_MODUL__EV_MODUL_PHYSISCH = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>EV Modul Virtuell</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EV_MODUL__EV_MODUL_VIRTUELL = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>EV Modul</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EV_MODUL_FEATURE_COUNT = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 3;

	/**
	 * The number of operations of the '<em>EV Modul</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EV_MODUL_OPERATION_COUNT = BasisobjektePackage.BASIS_OBJEKT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.EV_Modul_Art_TypeClassImpl <em>EV Modul Art Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.EV_Modul_Art_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getEV_Modul_Art_TypeClass()
	 * @generated
	 */
	int EV_MODUL_ART_TYPE_CLASS = 116;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EV_MODUL_ART_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EV_MODUL_ART_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>EV Modul Art Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EV_MODUL_ART_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>EV Modul Art Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EV_MODUL_ART_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.EV_Modul_Ausgang_AttributeGroupImpl <em>EV Modul Ausgang Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.EV_Modul_Ausgang_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getEV_Modul_Ausgang_AttributeGroup()
	 * @generated
	 */
	int EV_MODUL_AUSGANG_ATTRIBUTE_GROUP = 117;

	/**
	 * The feature id for the '<em><b>Ausgang Nr</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EV_MODUL_AUSGANG_ATTRIBUTE_GROUP__AUSGANG_NR = 0;

	/**
	 * The feature id for the '<em><b>Max Unterbrechungszeit</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EV_MODUL_AUSGANG_ATTRIBUTE_GROUP__MAX_UNTERBRECHUNGSZEIT = 1;

	/**
	 * The feature id for the '<em><b>Nennleistung</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EV_MODUL_AUSGANG_ATTRIBUTE_GROUP__NENNLEISTUNG = 2;

	/**
	 * The feature id for the '<em><b>Spannung Art</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EV_MODUL_AUSGANG_ATTRIBUTE_GROUP__SPANNUNG_ART = 3;

	/**
	 * The feature id for the '<em><b>Spannung Toleranz Obere</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EV_MODUL_AUSGANG_ATTRIBUTE_GROUP__SPANNUNG_TOLERANZ_OBERE = 4;

	/**
	 * The feature id for the '<em><b>Spannung Toleranz Untere</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EV_MODUL_AUSGANG_ATTRIBUTE_GROUP__SPANNUNG_TOLERANZ_UNTERE = 5;

	/**
	 * The number of structural features of the '<em>EV Modul Ausgang Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EV_MODUL_AUSGANG_ATTRIBUTE_GROUP_FEATURE_COUNT = 6;

	/**
	 * The number of operations of the '<em>EV Modul Ausgang Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EV_MODUL_AUSGANG_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.EV_Modul_Eingang_AttributeGroupImpl <em>EV Modul Eingang Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.EV_Modul_Eingang_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getEV_Modul_Eingang_AttributeGroup()
	 * @generated
	 */
	int EV_MODUL_EINGANG_ATTRIBUTE_GROUP = 118;

	/**
	 * The feature id for the '<em><b>Eingang Gepuffert</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EV_MODUL_EINGANG_ATTRIBUTE_GROUP__EINGANG_GEPUFFERT = 0;

	/**
	 * The feature id for the '<em><b>Primaerquelle</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EV_MODUL_EINGANG_ATTRIBUTE_GROUP__PRIMAERQUELLE = 1;

	/**
	 * The feature id for the '<em><b>Energie Eingang Art</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EV_MODUL_EINGANG_ATTRIBUTE_GROUP__ENERGIE_EINGANG_ART = 2;

	/**
	 * The feature id for the '<em><b>ID Energie Eingang</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EV_MODUL_EINGANG_ATTRIBUTE_GROUP__ID_ENERGIE_EINGANG = 3;

	/**
	 * The number of structural features of the '<em>EV Modul Eingang Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EV_MODUL_EINGANG_ATTRIBUTE_GROUP_FEATURE_COUNT = 4;

	/**
	 * The number of operations of the '<em>EV Modul Eingang Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EV_MODUL_EINGANG_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.EV_Modul_Physisch_AttributeGroupImpl <em>EV Modul Physisch Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.EV_Modul_Physisch_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getEV_Modul_Physisch_AttributeGroup()
	 * @generated
	 */
	int EV_MODUL_PHYSISCH_ATTRIBUTE_GROUP = 119;

	/**
	 * The feature id for the '<em><b>EV Modul Art</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EV_MODUL_PHYSISCH_ATTRIBUTE_GROUP__EV_MODUL_ART = 0;

	/**
	 * The feature id for the '<em><b>EV Modul Eingang</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EV_MODUL_PHYSISCH_ATTRIBUTE_GROUP__EV_MODUL_EINGANG = 1;

	/**
	 * The feature id for the '<em><b>EV Modul Typ</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EV_MODUL_PHYSISCH_ATTRIBUTE_GROUP__EV_MODUL_TYP = 2;

	/**
	 * The feature id for the '<em><b>Hersteller</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EV_MODUL_PHYSISCH_ATTRIBUTE_GROUP__HERSTELLER = 3;

	/**
	 * The feature id for the '<em><b>ID Element Unterbringung</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EV_MODUL_PHYSISCH_ATTRIBUTE_GROUP__ID_ELEMENT_UNTERBRINGUNG = 4;

	/**
	 * The number of structural features of the '<em>EV Modul Physisch Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EV_MODUL_PHYSISCH_ATTRIBUTE_GROUP_FEATURE_COUNT = 5;

	/**
	 * The number of operations of the '<em>EV Modul Physisch Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EV_MODUL_PHYSISCH_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.EV_Modul_Typ_TypeClassImpl <em>EV Modul Typ Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.EV_Modul_Typ_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getEV_Modul_Typ_TypeClass()
	 * @generated
	 */
	int EV_MODUL_TYP_TYPE_CLASS = 120;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EV_MODUL_TYP_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EV_MODUL_TYP_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>EV Modul Typ Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EV_MODUL_TYP_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>EV Modul Typ Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EV_MODUL_TYP_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.EV_Modul_Virtuell_AttributeGroupImpl <em>EV Modul Virtuell Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.EV_Modul_Virtuell_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getEV_Modul_Virtuell_AttributeGroup()
	 * @generated
	 */
	int EV_MODUL_VIRTUELL_ATTRIBUTE_GROUP = 121;

	/**
	 * The feature id for the '<em><b>ID Quellelement</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EV_MODUL_VIRTUELL_ATTRIBUTE_GROUP__ID_QUELLELEMENT = 0;

	/**
	 * The number of structural features of the '<em>EV Modul Virtuell Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EV_MODUL_VIRTUELL_ATTRIBUTE_GROUP_FEATURE_COUNT = 1;

	/**
	 * The number of operations of the '<em>EV Modul Virtuell Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EV_MODUL_VIRTUELL_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Fabrikat_TypeClassImpl <em>Fabrikat Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Fabrikat_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getFabrikat_TypeClass()
	 * @generated
	 */
	int FABRIKAT_TYPE_CLASS = 122;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FABRIKAT_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FABRIKAT_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Fabrikat Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FABRIKAT_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Fabrikat Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FABRIKAT_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.FachtelegrammImpl <em>Fachtelegramm</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.FachtelegrammImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getFachtelegramm()
	 * @generated
	 */
	int FACHTELEGRAMM = 123;

	/**
	 * The feature id for the '<em><b>Identitaet</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FACHTELEGRAMM__IDENTITAET = BasisobjektePackage.BASIS_OBJEKT__IDENTITAET;

	/**
	 * The feature id for the '<em><b>Basis Objekt Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FACHTELEGRAMM__BASIS_OBJEKT_ALLG = BasisobjektePackage.BASIS_OBJEKT__BASIS_OBJEKT_ALLG;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FACHTELEGRAMM__ID_BEARBEITUNGSVERMERK = BasisobjektePackage.BASIS_OBJEKT__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>ID Oertlichkeit Ausgabe</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FACHTELEGRAMM__ID_OERTLICHKEIT_AUSGABE = BasisobjektePackage.BASIS_OBJEKT__ID_OERTLICHKEIT_AUSGABE;

	/**
	 * The feature id for the '<em><b>Objektreferenzen</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FACHTELEGRAMM__OBJEKTREFERENZEN = BasisobjektePackage.BASIS_OBJEKT__OBJEKTREFERENZEN;

	/**
	 * The feature id for the '<em><b>FT Fahrweg Teile</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FACHTELEGRAMM__FT_FAHRWEG_TEILE = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>ID Doku Telegrammkodierung</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FACHTELEGRAMM__ID_DOKU_TELEGRAMMKODIERUNG = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Wirkrichtung In Datenpunkt</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FACHTELEGRAMM__WIRKRICHTUNG_IN_DATENPUNKT = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>FTESG Merkmale</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FACHTELEGRAMM__FTESG_MERKMALE = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>FTETCSL2 Merkmale</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FACHTELEGRAMM__FTETCSL2_MERKMALE = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>FTETCS Trans Merkmale</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FACHTELEGRAMM__FTETCS_TRANS_MERKMALE = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>FTGNT Merkmale</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FACHTELEGRAMM__FTGNT_MERKMALE = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>FTZBS Merkmale</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FACHTELEGRAMM__FTZBS_MERKMALE = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 7;

	/**
	 * The number of structural features of the '<em>Fachtelegramm</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FACHTELEGRAMM_FEATURE_COUNT = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 8;

	/**
	 * The number of operations of the '<em>Fachtelegramm</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FACHTELEGRAMM_OPERATION_COUNT = BasisobjektePackage.BASIS_OBJEKT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.FT_AnschaltbedingungImpl <em>FT Anschaltbedingung</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.FT_AnschaltbedingungImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getFT_Anschaltbedingung()
	 * @generated
	 */
	int FT_ANSCHALTBEDINGUNG = 124;

	/**
	 * The feature id for the '<em><b>Identitaet</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ANSCHALTBEDINGUNG__IDENTITAET = BasisobjektePackage.BASIS_OBJEKT__IDENTITAET;

	/**
	 * The feature id for the '<em><b>Basis Objekt Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ANSCHALTBEDINGUNG__BASIS_OBJEKT_ALLG = BasisobjektePackage.BASIS_OBJEKT__BASIS_OBJEKT_ALLG;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ANSCHALTBEDINGUNG__ID_BEARBEITUNGSVERMERK = BasisobjektePackage.BASIS_OBJEKT__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>ID Oertlichkeit Ausgabe</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ANSCHALTBEDINGUNG__ID_OERTLICHKEIT_AUSGABE = BasisobjektePackage.BASIS_OBJEKT__ID_OERTLICHKEIT_AUSGABE;

	/**
	 * The feature id for the '<em><b>Objektreferenzen</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ANSCHALTBEDINGUNG__OBJEKTREFERENZEN = BasisobjektePackage.BASIS_OBJEKT__OBJEKTREFERENZEN;

	/**
	 * The feature id for the '<em><b>Bedingung Besondere</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ANSCHALTBEDINGUNG__BEDINGUNG_BESONDERE = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Bedingung PZB</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ANSCHALTBEDINGUNG__BEDINGUNG_PZB = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Bedingung Signal</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ANSCHALTBEDINGUNG__BEDINGUNG_SIGNAL = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Bedingung Sonstige</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ANSCHALTBEDINGUNG__BEDINGUNG_SONSTIGE = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Bedingung Weiche</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ANSCHALTBEDINGUNG__BEDINGUNG_WEICHE = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 4;

	/**
	 * The number of structural features of the '<em>FT Anschaltbedingung</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ANSCHALTBEDINGUNG_FEATURE_COUNT = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 5;

	/**
	 * The number of operations of the '<em>FT Anschaltbedingung</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ANSCHALTBEDINGUNG_OPERATION_COUNT = BasisobjektePackage.BASIS_OBJEKT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.FT_ESG_Merkmale_AttributeGroupImpl <em>FT ESG Merkmale Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.FT_ESG_Merkmale_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getFT_ESG_Merkmale_AttributeGroup()
	 * @generated
	 */
	int FT_ESG_MERKMALE_ATTRIBUTE_GROUP = 125;

	/**
	 * The feature id for the '<em><b>Abstand Bes Langer Einfahrweg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ESG_MERKMALE_ATTRIBUTE_GROUP__ABSTAND_BES_LANGER_EINFAHRWEG = 0;

	/**
	 * The feature id for the '<em><b>DP Typ VLa</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ESG_MERKMALE_ATTRIBUTE_GROUP__DP_TYP_VLA = 1;

	/**
	 * The feature id for the '<em><b>ESG Individuelle Merkmale</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ESG_MERKMALE_ATTRIBUTE_GROUP__ESG_INDIVIDUELLE_MERKMALE = 2;

	/**
	 * The feature id for the '<em><b>ESG Spezifische Merkmale</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ESG_MERKMALE_ATTRIBUTE_GROUP__ESG_SPEZIFISCHE_MERKMALE = 3;

	/**
	 * The feature id for the '<em><b>ID Massgebendes Zielsignal</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ESG_MERKMALE_ATTRIBUTE_GROUP__ID_MASSGEBENDES_ZIELSIGNAL = 4;

	/**
	 * The feature id for the '<em><b>Individualisierung Weitere</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ESG_MERKMALE_ATTRIBUTE_GROUP__INDIVIDUALISIERUNG_WEITERE = 5;

	/**
	 * The feature id for the '<em><b>Laenge Gestufte VSignalisierung</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ESG_MERKMALE_ATTRIBUTE_GROUP__LAENGE_GESTUFTE_VSIGNALISIERUNG = 6;

	/**
	 * The feature id for the '<em><b>NIDTSR</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ESG_MERKMALE_ATTRIBUTE_GROUP__NIDTSR = 7;

	/**
	 * The feature id for the '<em><b>Projektierungsfall</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ESG_MERKMALE_ATTRIBUTE_GROUP__PROJEKTIERUNGSFALL = 8;

	/**
	 * The feature id for the '<em><b>Telegrammnummer</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ESG_MERKMALE_ATTRIBUTE_GROUP__TELEGRAMMNUMMER = 9;

	/**
	 * The feature id for the '<em><b>Ueberwachung Laenge</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ESG_MERKMALE_ATTRIBUTE_GROUP__UEBERWACHUNG_LAENGE = 10;

	/**
	 * The feature id for the '<em><b>VStart</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ESG_MERKMALE_ATTRIBUTE_GROUP__VSTART = 11;

	/**
	 * The feature id for the '<em><b>VZiel</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ESG_MERKMALE_ATTRIBUTE_GROUP__VZIEL = 12;

	/**
	 * The feature id for the '<em><b>Vorsignalabstand</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ESG_MERKMALE_ATTRIBUTE_GROUP__VORSIGNALABSTAND = 13;

	/**
	 * The number of structural features of the '<em>FT ESG Merkmale Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ESG_MERKMALE_ATTRIBUTE_GROUP_FEATURE_COUNT = 14;

	/**
	 * The number of operations of the '<em>FT ESG Merkmale Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ESG_MERKMALE_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.FT_ESG_Subtyp_TypeClassImpl <em>FT ESG Subtyp Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.FT_ESG_Subtyp_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getFT_ESG_Subtyp_TypeClass()
	 * @generated
	 */
	int FT_ESG_SUBTYP_TYPE_CLASS = 126;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ESG_SUBTYP_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ESG_SUBTYP_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>FT ESG Subtyp Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ESG_SUBTYP_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>FT ESG Subtyp Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ESG_SUBTYP_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.FT_ESG_Typ_TypeClassImpl <em>FT ESG Typ Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.FT_ESG_Typ_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getFT_ESG_Typ_TypeClass()
	 * @generated
	 */
	int FT_ESG_TYP_TYPE_CLASS = 127;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ESG_TYP_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ESG_TYP_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>FT ESG Typ Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ESG_TYP_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>FT ESG Typ Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ESG_TYP_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.FT_ETCS_L2_Merkmale_AttributeGroupImpl <em>FT ETCS L2 Merkmale Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.FT_ETCS_L2_Merkmale_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getFT_ETCS_L2_Merkmale_AttributeGroup()
	 * @generated
	 */
	int FT_ETCS_L2_MERKMALE_ATTRIBUTE_GROUP = 128;

	/**
	 * The feature id for the '<em><b>FTETCSL2 Typ</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ETCS_L2_MERKMALE_ATTRIBUTE_GROUP__FTETCSL2_TYP = 0;

	/**
	 * The feature id for the '<em><b>VBC Kennung</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ETCS_L2_MERKMALE_ATTRIBUTE_GROUP__VBC_KENNUNG = 1;

	/**
	 * The feature id for the '<em><b>VBCNIDC</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ETCS_L2_MERKMALE_ATTRIBUTE_GROUP__VBCNIDC = 2;

	/**
	 * The feature id for the '<em><b>VBC Setzen</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ETCS_L2_MERKMALE_ATTRIBUTE_GROUP__VBC_SETZEN = 3;

	/**
	 * The feature id for the '<em><b>VBC Timer</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ETCS_L2_MERKMALE_ATTRIBUTE_GROUP__VBC_TIMER = 4;

	/**
	 * The number of structural features of the '<em>FT ETCS L2 Merkmale Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ETCS_L2_MERKMALE_ATTRIBUTE_GROUP_FEATURE_COUNT = 5;

	/**
	 * The number of operations of the '<em>FT ETCS L2 Merkmale Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ETCS_L2_MERKMALE_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.FT_ETCS_L2_Typ_TypeClassImpl <em>FT ETCS L2 Typ Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.FT_ETCS_L2_Typ_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getFT_ETCS_L2_Typ_TypeClass()
	 * @generated
	 */
	int FT_ETCS_L2_TYP_TYPE_CLASS = 129;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ETCS_L2_TYP_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ETCS_L2_TYP_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>FT ETCS L2 Typ Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ETCS_L2_TYP_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>FT ETCS L2 Typ Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ETCS_L2_TYP_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.FT_ETCS_Trans_Merkmale_AttributeGroupImpl <em>FT ETCS Trans Merkmale Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.FT_ETCS_Trans_Merkmale_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getFT_ETCS_Trans_Merkmale_AttributeGroup()
	 * @generated
	 */
	int FT_ETCS_TRANS_MERKMALE_ATTRIBUTE_GROUP = 130;

	/**
	 * The feature id for the '<em><b>FTETCS Trans Paket41</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ETCS_TRANS_MERKMALE_ATTRIBUTE_GROUP__FTETCS_TRANS_PAKET41 = 0;

	/**
	 * The feature id for the '<em><b>FTETCS Trans Paket N</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ETCS_TRANS_MERKMALE_ATTRIBUTE_GROUP__FTETCS_TRANS_PAKET_N = 1;

	/**
	 * The number of structural features of the '<em>FT ETCS Trans Merkmale Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ETCS_TRANS_MERKMALE_ATTRIBUTE_GROUP_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>FT ETCS Trans Merkmale Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ETCS_TRANS_MERKMALE_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.FT_ETCS_Trans_Paket_41_AttributeGroupImpl <em>FT ETCS Trans Paket 41 Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.FT_ETCS_Trans_Paket_41_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getFT_ETCS_Trans_Paket_41_AttributeGroup()
	 * @generated
	 */
	int FT_ETCS_TRANS_PAKET_41_ATTRIBUTE_GROUP = 131;

	/**
	 * The feature id for the '<em><b>DLEVELTR</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ETCS_TRANS_PAKET_41_ATTRIBUTE_GROUP__DLEVELTR = 0;

	/**
	 * The feature id for the '<em><b>LACKLEVELTR</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ETCS_TRANS_PAKET_41_ATTRIBUTE_GROUP__LACKLEVELTR = 1;

	/**
	 * The feature id for the '<em><b>MLEVELTR</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ETCS_TRANS_PAKET_41_ATTRIBUTE_GROUP__MLEVELTR = 2;

	/**
	 * The feature id for the '<em><b>NIDSTM</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ETCS_TRANS_PAKET_41_ATTRIBUTE_GROUP__NIDSTM = 3;

	/**
	 * The number of structural features of the '<em>FT ETCS Trans Paket 41 Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ETCS_TRANS_PAKET_41_ATTRIBUTE_GROUP_FEATURE_COUNT = 4;

	/**
	 * The number of operations of the '<em>FT ETCS Trans Paket 41 Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ETCS_TRANS_PAKET_41_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.FT_ETCS_Trans_Paket_N_AttributeGroupImpl <em>FT ETCS Trans Paket NAttribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.FT_ETCS_Trans_Paket_N_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getFT_ETCS_Trans_Paket_N_AttributeGroup()
	 * @generated
	 */
	int FT_ETCS_TRANS_PAKET_NATTRIBUTE_GROUP = 132;

	/**
	 * The feature id for the '<em><b>ETCS Paketnummer</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ETCS_TRANS_PAKET_NATTRIBUTE_GROUP__ETCS_PAKETNUMMER = 0;

	/**
	 * The feature id for the '<em><b>ETCS Par Erlaeuterung</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ETCS_TRANS_PAKET_NATTRIBUTE_GROUP__ETCS_PAR_ERLAEUTERUNG = 1;

	/**
	 * The feature id for the '<em><b>ETCS Parametername</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ETCS_TRANS_PAKET_NATTRIBUTE_GROUP__ETCS_PARAMETERNAME = 2;

	/**
	 * The feature id for the '<em><b>ETCS Parameterwert</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ETCS_TRANS_PAKET_NATTRIBUTE_GROUP__ETCS_PARAMETERWERT = 3;

	/**
	 * The feature id for the '<em><b>Rekursion2 Nr</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ETCS_TRANS_PAKET_NATTRIBUTE_GROUP__REKURSION2_NR = 4;

	/**
	 * The feature id for the '<em><b>Rekursion Nr</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ETCS_TRANS_PAKET_NATTRIBUTE_GROUP__REKURSION_NR = 5;

	/**
	 * The number of structural features of the '<em>FT ETCS Trans Paket NAttribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ETCS_TRANS_PAKET_NATTRIBUTE_GROUP_FEATURE_COUNT = 6;

	/**
	 * The number of operations of the '<em>FT ETCS Trans Paket NAttribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ETCS_TRANS_PAKET_NATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.FT_Fahrweg_TeilImpl <em>FT Fahrweg Teil</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.FT_Fahrweg_TeilImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getFT_Fahrweg_Teil()
	 * @generated
	 */
	int FT_FAHRWEG_TEIL = 133;

	/**
	 * The feature id for the '<em><b>Identitaet</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_FAHRWEG_TEIL__IDENTITAET = BasisobjektePackage.BASIS_OBJEKT__IDENTITAET;

	/**
	 * The feature id for the '<em><b>Basis Objekt Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_FAHRWEG_TEIL__BASIS_OBJEKT_ALLG = BasisobjektePackage.BASIS_OBJEKT__BASIS_OBJEKT_ALLG;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_FAHRWEG_TEIL__ID_BEARBEITUNGSVERMERK = BasisobjektePackage.BASIS_OBJEKT__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>ID Oertlichkeit Ausgabe</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_FAHRWEG_TEIL__ID_OERTLICHKEIT_AUSGABE = BasisobjektePackage.BASIS_OBJEKT__ID_OERTLICHKEIT_AUSGABE;

	/**
	 * The feature id for the '<em><b>Objektreferenzen</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_FAHRWEG_TEIL__OBJEKTREFERENZEN = BasisobjektePackage.BASIS_OBJEKT__OBJEKTREFERENZEN;

	/**
	 * The feature id for the '<em><b>FT Fahrweg Teil Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_FAHRWEG_TEIL__FT_FAHRWEG_TEIL_ALLG = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>ID Ziel Datenpunkt</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_FAHRWEG_TEIL__ID_ZIEL_DATENPUNKT = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>ID Ziel Signal</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_FAHRWEG_TEIL__ID_ZIEL_SIGNAL = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Ziel WElement</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_FAHRWEG_TEIL__ZIEL_WELEMENT = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>ID Start Datenpunkt</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_FAHRWEG_TEIL__ID_START_DATENPUNKT = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>ID Start Signal</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_FAHRWEG_TEIL__ID_START_SIGNAL = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Start WElement</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_FAHRWEG_TEIL__START_WELEMENT = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 6;

	/**
	 * The number of structural features of the '<em>FT Fahrweg Teil</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_FAHRWEG_TEIL_FEATURE_COUNT = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 7;

	/**
	 * The number of operations of the '<em>FT Fahrweg Teil</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_FAHRWEG_TEIL_OPERATION_COUNT = BasisobjektePackage.BASIS_OBJEKT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.FT_Fahrweg_Teil_Allg_AttributeGroupImpl <em>FT Fahrweg Teil Allg Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.FT_Fahrweg_Teil_Allg_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getFT_Fahrweg_Teil_Allg_AttributeGroup()
	 * @generated
	 */
	int FT_FAHRWEG_TEIL_ALLG_ATTRIBUTE_GROUP = 134;

	/**
	 * The feature id for the '<em><b>FW Teil Nummer</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_FAHRWEG_TEIL_ALLG_ATTRIBUTE_GROUP__FW_TEIL_NUMMER = 0;

	/**
	 * The feature id for the '<em><b>Umfahrstrasse</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_FAHRWEG_TEIL_ALLG_ATTRIBUTE_GROUP__UMFAHRSTRASSE = 1;

	/**
	 * The feature id for the '<em><b>Ziel Ist Fahrwegende</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_FAHRWEG_TEIL_ALLG_ATTRIBUTE_GROUP__ZIEL_IST_FAHRWEGENDE = 2;

	/**
	 * The number of structural features of the '<em>FT Fahrweg Teil Allg Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_FAHRWEG_TEIL_ALLG_ATTRIBUTE_GROUP_FEATURE_COUNT = 3;

	/**
	 * The number of operations of the '<em>FT Fahrweg Teil Allg Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_FAHRWEG_TEIL_ALLG_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.FT_Fahrweg_Teile_AttributeGroupImpl <em>FT Fahrweg Teile Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.FT_Fahrweg_Teile_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getFT_Fahrweg_Teile_AttributeGroup()
	 * @generated
	 */
	int FT_FAHRWEG_TEILE_ATTRIBUTE_GROUP = 135;

	/**
	 * The feature id for the '<em><b>IDFT Fahrweg Teil</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_FAHRWEG_TEILE_ATTRIBUTE_GROUP__IDFT_FAHRWEG_TEIL = 0;

	/**
	 * The feature id for the '<em><b>Ist Befahren</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_FAHRWEG_TEILE_ATTRIBUTE_GROUP__IST_BEFAHREN = 1;

	/**
	 * The number of structural features of the '<em>FT Fahrweg Teile Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_FAHRWEG_TEILE_ATTRIBUTE_GROUP_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>FT Fahrweg Teile Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_FAHRWEG_TEILE_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.FT_GNT_Merkmale_AttributeGroupImpl <em>FT GNT Merkmale Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.FT_GNT_Merkmale_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getFT_GNT_Merkmale_AttributeGroup()
	 * @generated
	 */
	int FT_GNT_MERKMALE_ATTRIBUTE_GROUP = 136;

	/**
	 * The feature id for the '<em><b>Delta VGES</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_GNT_MERKMALE_ATTRIBUTE_GROUP__DELTA_VGES = 0;

	/**
	 * The feature id for the '<em><b>Delta VLES</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_GNT_MERKMALE_ATTRIBUTE_GROUP__DELTA_VLES = 1;

	/**
	 * The feature id for the '<em><b>Delta VZES</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_GNT_MERKMALE_ATTRIBUTE_GROUP__DELTA_VZES = 2;

	/**
	 * The feature id for the '<em><b>FTGNT Punktart</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_GNT_MERKMALE_ATTRIBUTE_GROUP__FTGNT_PUNKTART = 3;

	/**
	 * The feature id for the '<em><b>LLA</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_GNT_MERKMALE_ATTRIBUTE_GROUP__LLA = 4;

	/**
	 * The feature id for the '<em><b>Neigung</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_GNT_MERKMALE_ATTRIBUTE_GROUP__NEIGUNG = 5;

	/**
	 * The feature id for the '<em><b>SBE</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_GNT_MERKMALE_ATTRIBUTE_GROUP__SBE = 6;

	/**
	 * The feature id for the '<em><b>STZ</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_GNT_MERKMALE_ATTRIBUTE_GROUP__STZ = 7;

	/**
	 * The feature id for the '<em><b>VGR</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_GNT_MERKMALE_ATTRIBUTE_GROUP__VGR = 8;

	/**
	 * The feature id for the '<em><b>VLA</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_GNT_MERKMALE_ATTRIBUTE_GROUP__VLA = 9;

	/**
	 * The feature id for the '<em><b>VZ</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_GNT_MERKMALE_ATTRIBUTE_GROUP__VZ = 10;

	/**
	 * The feature id for the '<em><b>ZLA</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_GNT_MERKMALE_ATTRIBUTE_GROUP__ZLA = 11;

	/**
	 * The number of structural features of the '<em>FT GNT Merkmale Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_GNT_MERKMALE_ATTRIBUTE_GROUP_FEATURE_COUNT = 12;

	/**
	 * The number of operations of the '<em>FT GNT Merkmale Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_GNT_MERKMALE_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.FT_GNT_Punktart_TypeClassImpl <em>FT GNT Punktart Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.FT_GNT_Punktart_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getFT_GNT_Punktart_TypeClass()
	 * @generated
	 */
	int FT_GNT_PUNKTART_TYPE_CLASS = 137;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_GNT_PUNKTART_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_GNT_PUNKTART_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>FT GNT Punktart Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_GNT_PUNKTART_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>FT GNT Punktart Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_GNT_PUNKTART_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.FT_Hinweis_Funktion_TypeClassImpl <em>FT Hinweis Funktion Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.FT_Hinweis_Funktion_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getFT_Hinweis_Funktion_TypeClass()
	 * @generated
	 */
	int FT_HINWEIS_FUNKTION_TYPE_CLASS = 138;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_HINWEIS_FUNKTION_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_HINWEIS_FUNKTION_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>FT Hinweis Funktion Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_HINWEIS_FUNKTION_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>FT Hinweis Funktion Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_HINWEIS_FUNKTION_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.FT_ZBS_Merkmale_AttributeGroupImpl <em>FT ZBS Merkmale Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.FT_ZBS_Merkmale_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getFT_ZBS_Merkmale_AttributeGroup()
	 * @generated
	 */
	int FT_ZBS_MERKMALE_ATTRIBUTE_GROUP = 139;

	/**
	 * The feature id for the '<em><b>FT Hinweis Funktion</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ZBS_MERKMALE_ATTRIBUTE_GROUP__FT_HINWEIS_FUNKTION = 0;

	/**
	 * The feature id for the '<em><b>FTZBS Merkmale La</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ZBS_MERKMALE_ATTRIBUTE_GROUP__FTZBS_MERKMALE_LA = 1;

	/**
	 * The feature id for the '<em><b>FTZBS Typ</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ZBS_MERKMALE_ATTRIBUTE_GROUP__FTZBS_TYP = 2;

	/**
	 * The feature id for the '<em><b>Laenge1</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ZBS_MERKMALE_ATTRIBUTE_GROUP__LAENGE1 = 3;

	/**
	 * The feature id for the '<em><b>LMG</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ZBS_MERKMALE_ATTRIBUTE_GROUP__LMG = 4;

	/**
	 * The feature id for the '<em><b>Massgebende Neig1</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ZBS_MERKMALE_ATTRIBUTE_GROUP__MASSGEBENDE_NEIG1 = 5;

	/**
	 * The feature id for the '<em><b>Massgebende Neig Schutzstrecke</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ZBS_MERKMALE_ATTRIBUTE_GROUP__MASSGEBENDE_NEIG_SCHUTZSTRECKE = 6;

	/**
	 * The feature id for the '<em><b>Mastschild</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ZBS_MERKMALE_ATTRIBUTE_GROUP__MASTSCHILD = 7;

	/**
	 * The feature id for the '<em><b>Schutzstrecke Erforderlich</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ZBS_MERKMALE_ATTRIBUTE_GROUP__SCHUTZSTRECKE_ERFORDERLICH = 8;

	/**
	 * The feature id for the '<em><b>Schutzstrecke Vorhanden</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ZBS_MERKMALE_ATTRIBUTE_GROUP__SCHUTZSTRECKE_VORHANDEN = 9;

	/**
	 * The feature id for the '<em><b>Telegrammnummer</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ZBS_MERKMALE_ATTRIBUTE_GROUP__TELEGRAMMNUMMER = 10;

	/**
	 * The feature id for the '<em><b>Ueberwachung Laenge</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ZBS_MERKMALE_ATTRIBUTE_GROUP__UEBERWACHUNG_LAENGE = 11;

	/**
	 * The feature id for the '<em><b>VBefehl R</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ZBS_MERKMALE_ATTRIBUTE_GROUP__VBEFEHL_R = 12;

	/**
	 * The feature id for the '<em><b>VBefehl Z</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ZBS_MERKMALE_ATTRIBUTE_GROUP__VBEFEHL_Z = 13;

	/**
	 * The feature id for the '<em><b>VFrei</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ZBS_MERKMALE_ATTRIBUTE_GROUP__VFREI = 14;

	/**
	 * The feature id for the '<em><b>VZul Strecke</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ZBS_MERKMALE_ATTRIBUTE_GROUP__VZUL_STRECKE = 15;

	/**
	 * The feature id for the '<em><b>VGR1</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ZBS_MERKMALE_ATTRIBUTE_GROUP__VGR1 = 16;

	/**
	 * The feature id for the '<em><b>VGR2</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ZBS_MERKMALE_ATTRIBUTE_GROUP__VGR2 = 17;

	/**
	 * The number of structural features of the '<em>FT ZBS Merkmale Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ZBS_MERKMALE_ATTRIBUTE_GROUP_FEATURE_COUNT = 18;

	/**
	 * The number of operations of the '<em>FT ZBS Merkmale Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ZBS_MERKMALE_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.FT_ZBS_Merkmale_La_AttributeGroupImpl <em>FT ZBS Merkmale La Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.FT_ZBS_Merkmale_La_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getFT_ZBS_Merkmale_La_AttributeGroup()
	 * @generated
	 */
	int FT_ZBS_MERKMALE_LA_ATTRIBUTE_GROUP = 140;

	/**
	 * The feature id for the '<em><b>ZBS La Bereich Distanz</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ZBS_MERKMALE_LA_ATTRIBUTE_GROUP__ZBS_LA_BEREICH_DISTANZ = 0;

	/**
	 * The feature id for the '<em><b>ZBS La Bereich Geschwindigkeit</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ZBS_MERKMALE_LA_ATTRIBUTE_GROUP__ZBS_LA_BEREICH_GESCHWINDIGKEIT = 1;

	/**
	 * The feature id for the '<em><b>ZBS La Bereich Laenge</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ZBS_MERKMALE_LA_ATTRIBUTE_GROUP__ZBS_LA_BEREICH_LAENGE = 2;

	/**
	 * The feature id for the '<em><b>ZBS La Bereich Neigung</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ZBS_MERKMALE_LA_ATTRIBUTE_GROUP__ZBS_LA_BEREICH_NEIGUNG = 3;

	/**
	 * The number of structural features of the '<em>FT ZBS Merkmale La Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ZBS_MERKMALE_LA_ATTRIBUTE_GROUP_FEATURE_COUNT = 4;

	/**
	 * The number of operations of the '<em>FT ZBS Merkmale La Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ZBS_MERKMALE_LA_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.FT_ZBS_Typ_TypeClassImpl <em>FT ZBS Typ Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.FT_ZBS_Typ_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getFT_ZBS_Typ_TypeClass()
	 * @generated
	 */
	int FT_ZBS_TYP_TYPE_CLASS = 141;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ZBS_TYP_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ZBS_TYP_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>FT ZBS Typ Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ZBS_TYP_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>FT ZBS Typ Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FT_ZBS_TYP_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.FW_Teil_Nummer_TypeClassImpl <em>FW Teil Nummer Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.FW_Teil_Nummer_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getFW_Teil_Nummer_TypeClass()
	 * @generated
	 */
	int FW_TEIL_NUMMER_TYPE_CLASS = 142;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FW_TEIL_NUMMER_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FW_TEIL_NUMMER_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>FW Teil Nummer Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FW_TEIL_NUMMER_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>FW Teil Nummer Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FW_TEIL_NUMMER_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Gruppen_ID_TypeClassImpl <em>Gruppen ID Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Gruppen_ID_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getGruppen_ID_TypeClass()
	 * @generated
	 */
	int GRUPPEN_ID_TYPE_CLASS = 143;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GRUPPEN_ID_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GRUPPEN_ID_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Gruppen ID Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GRUPPEN_ID_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Gruppen ID Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GRUPPEN_ID_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Harter_Ausstieg_Aus_L2_TypeClassImpl <em>Harter Ausstieg Aus L2 Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Harter_Ausstieg_Aus_L2_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getHarter_Ausstieg_Aus_L2_TypeClass()
	 * @generated
	 */
	int HARTER_AUSSTIEG_AUS_L2_TYPE_CLASS = 144;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HARTER_AUSSTIEG_AUS_L2_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HARTER_AUSSTIEG_AUS_L2_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Harter Ausstieg Aus L2 Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HARTER_AUSSTIEG_AUS_L2_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Harter Ausstieg Aus L2 Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HARTER_AUSSTIEG_AUS_L2_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Hersteller_TypeClassImpl <em>Hersteller Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Hersteller_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getHersteller_TypeClass()
	 * @generated
	 */
	int HERSTELLER_TYPE_CLASS = 145;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HERSTELLER_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HERSTELLER_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Hersteller Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HERSTELLER_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Hersteller Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HERSTELLER_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Hinweis_Balisenbefestigung_TypeClassImpl <em>Hinweis Balisenbefestigung Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Hinweis_Balisenbefestigung_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getHinweis_Balisenbefestigung_TypeClass()
	 * @generated
	 */
	int HINWEIS_BALISENBEFESTIGUNG_TYPE_CLASS = 146;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HINWEIS_BALISENBEFESTIGUNG_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HINWEIS_BALISENBEFESTIGUNG_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Hinweis Balisenbefestigung Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HINWEIS_BALISENBEFESTIGUNG_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Hinweis Balisenbefestigung Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HINWEIS_BALISENBEFESTIGUNG_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Individualisierung_Weitere_TypeClassImpl <em>Individualisierung Weitere Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Individualisierung_Weitere_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getIndividualisierung_Weitere_TypeClass()
	 * @generated
	 */
	int INDIVIDUALISIERUNG_WEITERE_TYPE_CLASS = 147;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INDIVIDUALISIERUNG_WEITERE_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INDIVIDUALISIERUNG_WEITERE_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Individualisierung Weitere Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INDIVIDUALISIERUNG_WEITERE_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Individualisierung Weitere Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INDIVIDUALISIERUNG_WEITERE_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Ist_Befahren_TypeClassImpl <em>Ist Befahren Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Ist_Befahren_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getIst_Befahren_TypeClass()
	 * @generated
	 */
	int IST_BEFAHREN_TYPE_CLASS = 148;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IST_BEFAHREN_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IST_BEFAHREN_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Ist Befahren Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IST_BEFAHREN_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Ist Befahren Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IST_BEFAHREN_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Km_BTS_1_TypeClassImpl <em>Km BTS 1Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Km_BTS_1_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getKm_BTS_1_TypeClass()
	 * @generated
	 */
	int KM_BTS_1TYPE_CLASS = 149;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KM_BTS_1TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KM_BTS_1TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Km BTS 1Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KM_BTS_1TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Km BTS 1Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KM_BTS_1TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Km_BTS_2_TypeClassImpl <em>Km BTS 2Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Km_BTS_2_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getKm_BTS_2_TypeClass()
	 * @generated
	 */
	int KM_BTS_2TYPE_CLASS = 150;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KM_BTS_2TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KM_BTS_2TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Km BTS 2Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KM_BTS_2TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Km BTS 2Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KM_BTS_2TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Km_BTS_3_TypeClassImpl <em>Km BTS 3Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Km_BTS_3_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getKm_BTS_3_TypeClass()
	 * @generated
	 */
	int KM_BTS_3TYPE_CLASS = 151;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KM_BTS_3TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KM_BTS_3TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Km BTS 3Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KM_BTS_3TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Km BTS 3Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KM_BTS_3TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Knoten_Auf_TOP_Kante_AttributeGroupImpl <em>Knoten Auf TOP Kante Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Knoten_Auf_TOP_Kante_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getKnoten_Auf_TOP_Kante_AttributeGroup()
	 * @generated
	 */
	int KNOTEN_AUF_TOP_KANTE_ATTRIBUTE_GROUP = 152;

	/**
	 * The feature id for the '<em><b>ETCS Knoten Art Sonstige</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOTEN_AUF_TOP_KANTE_ATTRIBUTE_GROUP__ETCS_KNOTEN_ART_SONSTIGE = 0;

	/**
	 * The feature id for the '<em><b>Punkt Objekt TOP Kante</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOTEN_AUF_TOP_KANTE_ATTRIBUTE_GROUP__PUNKT_OBJEKT_TOP_KANTE = 1;

	/**
	 * The number of structural features of the '<em>Knoten Auf TOP Kante Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOTEN_AUF_TOP_KANTE_ATTRIBUTE_GROUP_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>Knoten Auf TOP Kante Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOTEN_AUF_TOP_KANTE_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Konfigurationskennung_TypeClassImpl <em>Konfigurationskennung Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Konfigurationskennung_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getKonfigurationskennung_TypeClass()
	 * @generated
	 */
	int KONFIGURATIONSKENNUNG_TYPE_CLASS = 153;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KONFIGURATIONSKENNUNG_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KONFIGURATIONSKENNUNG_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Konfigurationskennung Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KONFIGURATIONSKENNUNG_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Konfigurationskennung Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KONFIGURATIONSKENNUNG_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.L_ACKLEVELTR_TypeClassImpl <em>LACKLEVELTR Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.L_ACKLEVELTR_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getL_ACKLEVELTR_TypeClass()
	 * @generated
	 */
	int LACKLEVELTR_TYPE_CLASS = 154;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LACKLEVELTR_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LACKLEVELTR_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>LACKLEVELTR Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LACKLEVELTR_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>LACKLEVELTR Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LACKLEVELTR_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Laenge_1_TypeClassImpl <em>Laenge 1Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Laenge_1_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getLaenge_1_TypeClass()
	 * @generated
	 */
	int LAENGE_1TYPE_CLASS = 155;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LAENGE_1TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LAENGE_1TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Laenge 1Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LAENGE_1TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Laenge 1Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LAENGE_1TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Laenge_Ausfuehrungsbereich_TypeClassImpl <em>Laenge Ausfuehrungsbereich Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Laenge_Ausfuehrungsbereich_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getLaenge_Ausfuehrungsbereich_TypeClass()
	 * @generated
	 */
	int LAENGE_AUSFUEHRUNGSBEREICH_TYPE_CLASS = 156;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LAENGE_AUSFUEHRUNGSBEREICH_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LAENGE_AUSFUEHRUNGSBEREICH_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Laenge Ausfuehrungsbereich Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LAENGE_AUSFUEHRUNGSBEREICH_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Laenge Ausfuehrungsbereich Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LAENGE_AUSFUEHRUNGSBEREICH_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Laenge_Gestufte_V_Signalisierung_TypeClassImpl <em>Laenge Gestufte VSignalisierung Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Laenge_Gestufte_V_Signalisierung_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getLaenge_Gestufte_V_Signalisierung_TypeClass()
	 * @generated
	 */
	int LAENGE_GESTUFTE_VSIGNALISIERUNG_TYPE_CLASS = 157;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LAENGE_GESTUFTE_VSIGNALISIERUNG_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LAENGE_GESTUFTE_VSIGNALISIERUNG_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Laenge Gestufte VSignalisierung Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LAENGE_GESTUFTE_VSIGNALISIERUNG_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Laenge Gestufte VSignalisierung Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LAENGE_GESTUFTE_VSIGNALISIERUNG_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Laenge_Soll_Mind_150_TypeClassImpl <em>Laenge Soll Mind 150 Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Laenge_Soll_Mind_150_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getLaenge_Soll_Mind_150_TypeClass()
	 * @generated
	 */
	int LAENGE_SOLL_MIND_150_TYPE_CLASS = 158;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LAENGE_SOLL_MIND_150_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LAENGE_SOLL_MIND_150_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Laenge Soll Mind 150 Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LAENGE_SOLL_MIND_150_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Laenge Soll Mind 150 Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LAENGE_SOLL_MIND_150_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Leistungsbedarf_TypeClassImpl <em>Leistungsbedarf Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Leistungsbedarf_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getLeistungsbedarf_TypeClass()
	 * @generated
	 */
	int LEISTUNGSBEDARF_TYPE_CLASS = 159;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEISTUNGSBEDARF_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEISTUNGSBEDARF_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Leistungsbedarf Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEISTUNGSBEDARF_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Leistungsbedarf Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEISTUNGSBEDARF_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.LEU_AnlageImpl <em>LEU Anlage</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.LEU_AnlageImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getLEU_Anlage()
	 * @generated
	 */
	int LEU_ANLAGE = 160;

	/**
	 * The feature id for the '<em><b>Identitaet</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_ANLAGE__IDENTITAET = BasisobjektePackage.BASIS_OBJEKT__IDENTITAET;

	/**
	 * The feature id for the '<em><b>Basis Objekt Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_ANLAGE__BASIS_OBJEKT_ALLG = BasisobjektePackage.BASIS_OBJEKT__BASIS_OBJEKT_ALLG;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_ANLAGE__ID_BEARBEITUNGSVERMERK = BasisobjektePackage.BASIS_OBJEKT__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>ID Oertlichkeit Ausgabe</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_ANLAGE__ID_OERTLICHKEIT_AUSGABE = BasisobjektePackage.BASIS_OBJEKT__ID_OERTLICHKEIT_AUSGABE;

	/**
	 * The feature id for the '<em><b>Objektreferenzen</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_ANLAGE__OBJEKTREFERENZEN = BasisobjektePackage.BASIS_OBJEKT__OBJEKTREFERENZEN;

	/**
	 * The feature id for the '<em><b>Bezeichnung</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_ANLAGE__BEZEICHNUNG = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>IDLEU Bezugspunkt</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_ANLAGE__IDLEU_BEZUGSPUNKT = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>LEU Anlage Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_ANLAGE__LEU_ANLAGE_ALLG = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>LEU Anlage</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_ANLAGE_FEATURE_COUNT = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 3;

	/**
	 * The number of operations of the '<em>LEU Anlage</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_ANLAGE_OPERATION_COUNT = BasisobjektePackage.BASIS_OBJEKT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.LEU_Anlage_Allg_AttributeGroupImpl <em>LEU Anlage Allg Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.LEU_Anlage_Allg_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getLEU_Anlage_Allg_AttributeGroup()
	 * @generated
	 */
	int LEU_ANLAGE_ALLG_ATTRIBUTE_GROUP = 161;

	/**
	 * The feature id for the '<em><b>Leistungsbedarf</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_ANLAGE_ALLG_ATTRIBUTE_GROUP__LEISTUNGSBEDARF = 0;

	/**
	 * The feature id for the '<em><b>LEU Anlage Art</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_ANLAGE_ALLG_ATTRIBUTE_GROUP__LEU_ANLAGE_ART = 1;

	/**
	 * The number of structural features of the '<em>LEU Anlage Allg Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_ANLAGE_ALLG_ATTRIBUTE_GROUP_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>LEU Anlage Allg Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_ANLAGE_ALLG_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.LEU_Anlage_Art_TypeClassImpl <em>LEU Anlage Art Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.LEU_Anlage_Art_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getLEU_Anlage_Art_TypeClass()
	 * @generated
	 */
	int LEU_ANLAGE_ART_TYPE_CLASS = 162;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_ANLAGE_ART_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_ANLAGE_ART_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>LEU Anlage Art Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_ANLAGE_ART_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>LEU Anlage Art Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_ANLAGE_ART_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.LEU_Anlage_Bezeichnung_AttributeGroupImpl <em>LEU Anlage Bezeichnung Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.LEU_Anlage_Bezeichnung_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getLEU_Anlage_Bezeichnung_AttributeGroup()
	 * @generated
	 */
	int LEU_ANLAGE_BEZEICHNUNG_ATTRIBUTE_GROUP = 163;

	/**
	 * The feature id for the '<em><b>Bezeichnung LEU Anlage</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_ANLAGE_BEZEICHNUNG_ATTRIBUTE_GROUP__BEZEICHNUNG_LEU_ANLAGE = 0;

	/**
	 * The number of structural features of the '<em>LEU Anlage Bezeichnung Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_ANLAGE_BEZEICHNUNG_ATTRIBUTE_GROUP_FEATURE_COUNT = 1;

	/**
	 * The number of operations of the '<em>LEU Anlage Bezeichnung Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_ANLAGE_BEZEICHNUNG_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.LEU_Ausgang_Nr_TypeClassImpl <em>LEU Ausgang Nr Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.LEU_Ausgang_Nr_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getLEU_Ausgang_Nr_TypeClass()
	 * @generated
	 */
	int LEU_AUSGANG_NR_TYPE_CLASS = 164;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_AUSGANG_NR_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_AUSGANG_NR_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>LEU Ausgang Nr Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_AUSGANG_NR_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>LEU Ausgang Nr Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_AUSGANG_NR_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.LEU_ModulImpl <em>LEU Modul</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.LEU_ModulImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getLEU_Modul()
	 * @generated
	 */
	int LEU_MODUL = 165;

	/**
	 * The feature id for the '<em><b>Identitaet</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_MODUL__IDENTITAET = BasisobjektePackage.BASIS_OBJEKT__IDENTITAET;

	/**
	 * The feature id for the '<em><b>Basis Objekt Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_MODUL__BASIS_OBJEKT_ALLG = BasisobjektePackage.BASIS_OBJEKT__BASIS_OBJEKT_ALLG;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_MODUL__ID_BEARBEITUNGSVERMERK = BasisobjektePackage.BASIS_OBJEKT__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>ID Oertlichkeit Ausgabe</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_MODUL__ID_OERTLICHKEIT_AUSGABE = BasisobjektePackage.BASIS_OBJEKT__ID_OERTLICHKEIT_AUSGABE;

	/**
	 * The feature id for the '<em><b>Objektreferenzen</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_MODUL__OBJEKTREFERENZEN = BasisobjektePackage.BASIS_OBJEKT__OBJEKTREFERENZEN;

	/**
	 * The feature id for the '<em><b>Bezeichnung</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_MODUL__BEZEICHNUNG = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>ID Information Eingang</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_MODUL__ID_INFORMATION_EINGANG = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>IDLEU Anlage</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_MODUL__IDLEU_ANLAGE = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>IDLEU Schaltkasten</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_MODUL__IDLEU_SCHALTKASTEN = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>LEU Modul Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_MODUL__LEU_MODUL_ALLG = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>LEU Modul Ausgang</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_MODUL__LEU_MODUL_AUSGANG = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 5;

	/**
	 * The number of structural features of the '<em>LEU Modul</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_MODUL_FEATURE_COUNT = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 6;

	/**
	 * The number of operations of the '<em>LEU Modul</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_MODUL_OPERATION_COUNT = BasisobjektePackage.BASIS_OBJEKT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.LEU_Modul_Allg_AttributeGroupImpl <em>LEU Modul Allg Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.LEU_Modul_Allg_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getLEU_Modul_Allg_AttributeGroup()
	 * @generated
	 */
	int LEU_MODUL_ALLG_ATTRIBUTE_GROUP = 166;

	/**
	 * The feature id for the '<em><b>Hersteller</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_MODUL_ALLG_ATTRIBUTE_GROUP__HERSTELLER = 0;

	/**
	 * The feature id for the '<em><b>LEU Modul Art</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_MODUL_ALLG_ATTRIBUTE_GROUP__LEU_MODUL_ART = 1;

	/**
	 * The feature id for the '<em><b>LEU Modul Geraetestand</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_MODUL_ALLG_ATTRIBUTE_GROUP__LEU_MODUL_GERAETESTAND = 2;

	/**
	 * The feature id for the '<em><b>LEU Modul Typ</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_MODUL_ALLG_ATTRIBUTE_GROUP__LEU_MODUL_TYP = 3;

	/**
	 * The number of structural features of the '<em>LEU Modul Allg Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_MODUL_ALLG_ATTRIBUTE_GROUP_FEATURE_COUNT = 4;

	/**
	 * The number of operations of the '<em>LEU Modul Allg Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_MODUL_ALLG_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.LEU_Modul_Art_TypeClassImpl <em>LEU Modul Art Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.LEU_Modul_Art_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getLEU_Modul_Art_TypeClass()
	 * @generated
	 */
	int LEU_MODUL_ART_TYPE_CLASS = 167;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_MODUL_ART_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_MODUL_ART_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>LEU Modul Art Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_MODUL_ART_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>LEU Modul Art Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_MODUL_ART_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.LEU_Modul_Ausgang_AttributeGroupImpl <em>LEU Modul Ausgang Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.LEU_Modul_Ausgang_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getLEU_Modul_Ausgang_AttributeGroup()
	 * @generated
	 */
	int LEU_MODUL_AUSGANG_ATTRIBUTE_GROUP = 168;

	/**
	 * The feature id for the '<em><b>ID Balise</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_MODUL_AUSGANG_ATTRIBUTE_GROUP__ID_BALISE = 0;

	/**
	 * The feature id for the '<em><b>LEU Ausgang Nr</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_MODUL_AUSGANG_ATTRIBUTE_GROUP__LEU_AUSGANG_NR = 1;

	/**
	 * The feature id for the '<em><b>Port Nr Ausg Physisch</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_MODUL_AUSGANG_ATTRIBUTE_GROUP__PORT_NR_AUSG_PHYSISCH = 2;

	/**
	 * The number of structural features of the '<em>LEU Modul Ausgang Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_MODUL_AUSGANG_ATTRIBUTE_GROUP_FEATURE_COUNT = 3;

	/**
	 * The number of operations of the '<em>LEU Modul Ausgang Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_MODUL_AUSGANG_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.LEU_Modul_Bezeichnung_AttributeGroupImpl <em>LEU Modul Bezeichnung Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.LEU_Modul_Bezeichnung_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getLEU_Modul_Bezeichnung_AttributeGroup()
	 * @generated
	 */
	int LEU_MODUL_BEZEICHNUNG_ATTRIBUTE_GROUP = 169;

	/**
	 * The feature id for the '<em><b>Modulnummer</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_MODUL_BEZEICHNUNG_ATTRIBUTE_GROUP__MODULNUMMER = 0;

	/**
	 * The number of structural features of the '<em>LEU Modul Bezeichnung Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_MODUL_BEZEICHNUNG_ATTRIBUTE_GROUP_FEATURE_COUNT = 1;

	/**
	 * The number of operations of the '<em>LEU Modul Bezeichnung Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_MODUL_BEZEICHNUNG_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.LEU_Modul_Geraetestand_TypeClassImpl <em>LEU Modul Geraetestand Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.LEU_Modul_Geraetestand_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getLEU_Modul_Geraetestand_TypeClass()
	 * @generated
	 */
	int LEU_MODUL_GERAETESTAND_TYPE_CLASS = 170;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_MODUL_GERAETESTAND_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_MODUL_GERAETESTAND_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>LEU Modul Geraetestand Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_MODUL_GERAETESTAND_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>LEU Modul Geraetestand Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_MODUL_GERAETESTAND_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.LEU_Modul_Typ_TypeClassImpl <em>LEU Modul Typ Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.LEU_Modul_Typ_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getLEU_Modul_Typ_TypeClass()
	 * @generated
	 */
	int LEU_MODUL_TYP_TYPE_CLASS = 171;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_MODUL_TYP_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_MODUL_TYP_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>LEU Modul Typ Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_MODUL_TYP_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>LEU Modul Typ Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_MODUL_TYP_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.LEU_SchaltkastenImpl <em>LEU Schaltkasten</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.LEU_SchaltkastenImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getLEU_Schaltkasten()
	 * @generated
	 */
	int LEU_SCHALTKASTEN = 172;

	/**
	 * The feature id for the '<em><b>Identitaet</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_SCHALTKASTEN__IDENTITAET = BasisobjektePackage.BASIS_OBJEKT__IDENTITAET;

	/**
	 * The feature id for the '<em><b>Basis Objekt Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_SCHALTKASTEN__BASIS_OBJEKT_ALLG = BasisobjektePackage.BASIS_OBJEKT__BASIS_OBJEKT_ALLG;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_SCHALTKASTEN__ID_BEARBEITUNGSVERMERK = BasisobjektePackage.BASIS_OBJEKT__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>ID Oertlichkeit Ausgabe</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_SCHALTKASTEN__ID_OERTLICHKEIT_AUSGABE = BasisobjektePackage.BASIS_OBJEKT__ID_OERTLICHKEIT_AUSGABE;

	/**
	 * The feature id for the '<em><b>Objektreferenzen</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_SCHALTKASTEN__OBJEKTREFERENZEN = BasisobjektePackage.BASIS_OBJEKT__OBJEKTREFERENZEN;

	/**
	 * The feature id for the '<em><b>Bezeichnung</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_SCHALTKASTEN__BEZEICHNUNG = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>LEU Schaltkasten Energie</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_SCHALTKASTEN__LEU_SCHALTKASTEN_ENERGIE = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>LEU Schaltkasten Typ</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_SCHALTKASTEN__LEU_SCHALTKASTEN_TYP = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>ID Unterbringung</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_SCHALTKASTEN__ID_UNTERBRINGUNG = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>LEU Schaltkasten Position</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_SCHALTKASTEN__LEU_SCHALTKASTEN_POSITION = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 4;

	/**
	 * The number of structural features of the '<em>LEU Schaltkasten</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_SCHALTKASTEN_FEATURE_COUNT = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 5;

	/**
	 * The number of operations of the '<em>LEU Schaltkasten</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_SCHALTKASTEN_OPERATION_COUNT = BasisobjektePackage.BASIS_OBJEKT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.LEU_Schaltkasten_Bezeichnung_AttributeGroupImpl <em>LEU Schaltkasten Bezeichnung Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.LEU_Schaltkasten_Bezeichnung_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getLEU_Schaltkasten_Bezeichnung_AttributeGroup()
	 * @generated
	 */
	int LEU_SCHALTKASTEN_BEZEICHNUNG_ATTRIBUTE_GROUP = 173;

	/**
	 * The feature id for the '<em><b>Nummer Schaltkasten</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_SCHALTKASTEN_BEZEICHNUNG_ATTRIBUTE_GROUP__NUMMER_SCHALTKASTEN = 0;

	/**
	 * The number of structural features of the '<em>LEU Schaltkasten Bezeichnung Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_SCHALTKASTEN_BEZEICHNUNG_ATTRIBUTE_GROUP_FEATURE_COUNT = 1;

	/**
	 * The number of operations of the '<em>LEU Schaltkasten Bezeichnung Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_SCHALTKASTEN_BEZEICHNUNG_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.LEU_Schaltkasten_Energie_AttributeGroupImpl <em>LEU Schaltkasten Energie Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.LEU_Schaltkasten_Energie_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getLEU_Schaltkasten_Energie_AttributeGroup()
	 * @generated
	 */
	int LEU_SCHALTKASTEN_ENERGIE_ATTRIBUTE_GROUP = 174;

	/**
	 * The feature id for the '<em><b>Anzahl Voll LEU Kalkuliert</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_SCHALTKASTEN_ENERGIE_ATTRIBUTE_GROUP__ANZAHL_VOLL_LEU_KALKULIERT = 0;

	/**
	 * The feature id for the '<em><b>ID Energie LEU Schaltkasten</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_SCHALTKASTEN_ENERGIE_ATTRIBUTE_GROUP__ID_ENERGIE_LEU_SCHALTKASTEN = 1;

	/**
	 * The feature id for the '<em><b>Max Leistung</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_SCHALTKASTEN_ENERGIE_ATTRIBUTE_GROUP__MAX_LEISTUNG = 2;

	/**
	 * The feature id for the '<em><b>Spannung Art</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_SCHALTKASTEN_ENERGIE_ATTRIBUTE_GROUP__SPANNUNG_ART = 3;

	/**
	 * The feature id for the '<em><b>Ueberbrueckung EV Unterbrechung</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_SCHALTKASTEN_ENERGIE_ATTRIBUTE_GROUP__UEBERBRUECKUNG_EV_UNTERBRECHUNG = 4;

	/**
	 * The number of structural features of the '<em>LEU Schaltkasten Energie Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_SCHALTKASTEN_ENERGIE_ATTRIBUTE_GROUP_FEATURE_COUNT = 5;

	/**
	 * The number of operations of the '<em>LEU Schaltkasten Energie Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_SCHALTKASTEN_ENERGIE_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.LEU_Schaltkasten_Position_AttributeGroupImpl <em>LEU Schaltkasten Position Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.LEU_Schaltkasten_Position_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getLEU_Schaltkasten_Position_AttributeGroup()
	 * @generated
	 */
	int LEU_SCHALTKASTEN_POSITION_ATTRIBUTE_GROUP = 175;

	/**
	 * The feature id for the '<em><b>ID Bezugspunkt Positionierung</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_SCHALTKASTEN_POSITION_ATTRIBUTE_GROUP__ID_BEZUGSPUNKT_POSITIONIERUNG = 0;

	/**
	 * The feature id for the '<em><b>Position</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_SCHALTKASTEN_POSITION_ATTRIBUTE_GROUP__POSITION = 1;

	/**
	 * The feature id for the '<em><b>Position Sonstige</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_SCHALTKASTEN_POSITION_ATTRIBUTE_GROUP__POSITION_SONSTIGE = 2;

	/**
	 * The number of structural features of the '<em>LEU Schaltkasten Position Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_SCHALTKASTEN_POSITION_ATTRIBUTE_GROUP_FEATURE_COUNT = 3;

	/**
	 * The number of operations of the '<em>LEU Schaltkasten Position Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_SCHALTKASTEN_POSITION_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.LEU_Schaltkasten_Typ_TypeClassImpl <em>LEU Schaltkasten Typ Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.LEU_Schaltkasten_Typ_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getLEU_Schaltkasten_Typ_TypeClass()
	 * @generated
	 */
	int LEU_SCHALTKASTEN_TYP_TYPE_CLASS = 176;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_SCHALTKASTEN_TYP_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_SCHALTKASTEN_TYP_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>LEU Schaltkasten Typ Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_SCHALTKASTEN_TYP_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>LEU Schaltkasten Typ Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_SCHALTKASTEN_TYP_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.LEU_Steuernde_AttributeGroupImpl <em>LEU Steuernde Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.LEU_Steuernde_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getLEU_Steuernde_AttributeGroup()
	 * @generated
	 */
	int LEU_STEUERNDE_ATTRIBUTE_GROUP = 177;

	/**
	 * The feature id for the '<em><b>IDLEU Anlage</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_STEUERNDE_ATTRIBUTE_GROUP__IDLEU_ANLAGE = 0;

	/**
	 * The feature id for the '<em><b>LEU Ausgang Nr</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_STEUERNDE_ATTRIBUTE_GROUP__LEU_AUSGANG_NR = 1;

	/**
	 * The number of structural features of the '<em>LEU Steuernde Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_STEUERNDE_ATTRIBUTE_GROUP_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>LEU Steuernde Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEU_STEUERNDE_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Lfd_Nr_Am_Bezugspunkt_TypeClassImpl <em>Lfd Nr Am Bezugspunkt Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Lfd_Nr_Am_Bezugspunkt_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getLfd_Nr_Am_Bezugspunkt_TypeClass()
	 * @generated
	 */
	int LFD_NR_AM_BEZUGSPUNKT_TYPE_CLASS = 178;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LFD_NR_AM_BEZUGSPUNKT_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LFD_NR_AM_BEZUGSPUNKT_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Lfd Nr Am Bezugspunkt Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LFD_NR_AM_BEZUGSPUNKT_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Lfd Nr Am Bezugspunkt Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LFD_NR_AM_BEZUGSPUNKT_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Link_Distanz_TypeClassImpl <em>Link Distanz Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Link_Distanz_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getLink_Distanz_TypeClass()
	 * @generated
	 */
	int LINK_DISTANZ_TYPE_CLASS = 179;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LINK_DISTANZ_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LINK_DISTANZ_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Link Distanz Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LINK_DISTANZ_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Link Distanz Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LINK_DISTANZ_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.LLA_TypeClassImpl <em>LLA Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.LLA_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getLLA_TypeClass()
	 * @generated
	 */
	int LLA_TYPE_CLASS = 180;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LLA_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LLA_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>LLA Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LLA_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>LLA Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LLA_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.LM_G_TypeClassImpl <em>LM GType Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.LM_G_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getLM_G_TypeClass()
	 * @generated
	 */
	int LM_GTYPE_CLASS = 181;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LM_GTYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LM_GTYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>LM GType Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LM_GTYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>LM GType Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LM_GTYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.LT_Binaerdatei_Hilfe_AttributeGroupImpl <em>LT Binaerdatei Hilfe Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.LT_Binaerdatei_Hilfe_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getLT_Binaerdatei_Hilfe_AttributeGroup()
	 * @generated
	 */
	int LT_BINAERDATEI_HILFE_ATTRIBUTE_GROUP = 182;

	/**
	 * The feature id for the '<em><b>ID Binaerdatei Hilfe</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LT_BINAERDATEI_HILFE_ATTRIBUTE_GROUP__ID_BINAERDATEI_HILFE = 0;

	/**
	 * The feature id for the '<em><b>Pruefmerkmale Binaerdatei Hilfe</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LT_BINAERDATEI_HILFE_ATTRIBUTE_GROUP__PRUEFMERKMALE_BINAERDATEI_HILFE = 1;

	/**
	 * The feature id for the '<em><b>Verwendung Hilfe</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LT_BINAERDATEI_HILFE_ATTRIBUTE_GROUP__VERWENDUNG_HILFE = 2;

	/**
	 * The number of structural features of the '<em>LT Binaerdatei Hilfe Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LT_BINAERDATEI_HILFE_ATTRIBUTE_GROUP_FEATURE_COUNT = 3;

	/**
	 * The number of operations of the '<em>LT Binaerdatei Hilfe Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LT_BINAERDATEI_HILFE_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.LT_Binaerdaten_AttributeGroupImpl <em>LT Binaerdaten Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.LT_Binaerdaten_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getLT_Binaerdaten_AttributeGroup()
	 * @generated
	 */
	int LT_BINAERDATEN_ATTRIBUTE_GROUP = 183;

	/**
	 * The feature id for the '<em><b>ID Anhang EA Doku</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LT_BINAERDATEN_ATTRIBUTE_GROUP__ID_ANHANG_EA_DOKU = 0;

	/**
	 * The feature id for the '<em><b>ID Binaerdaten</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LT_BINAERDATEN_ATTRIBUTE_GROUP__ID_BINAERDATEN = 1;

	/**
	 * The feature id for the '<em><b>Pruefmerkmale Binaerdaten</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LT_BINAERDATEN_ATTRIBUTE_GROUP__PRUEFMERKMALE_BINAERDATEN = 2;

	/**
	 * The number of structural features of the '<em>LT Binaerdaten Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LT_BINAERDATEN_ATTRIBUTE_GROUP_FEATURE_COUNT = 3;

	/**
	 * The number of operations of the '<em>LT Binaerdaten Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LT_BINAERDATEN_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Luft_TelegrammImpl <em>Luft Telegramm</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Luft_TelegrammImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getLuft_Telegramm()
	 * @generated
	 */
	int LUFT_TELEGRAMM = 184;

	/**
	 * The feature id for the '<em><b>Identitaet</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LUFT_TELEGRAMM__IDENTITAET = BasisobjektePackage.BASIS_OBJEKT__IDENTITAET;

	/**
	 * The feature id for the '<em><b>Basis Objekt Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LUFT_TELEGRAMM__BASIS_OBJEKT_ALLG = BasisobjektePackage.BASIS_OBJEKT__BASIS_OBJEKT_ALLG;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LUFT_TELEGRAMM__ID_BEARBEITUNGSVERMERK = BasisobjektePackage.BASIS_OBJEKT__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>ID Oertlichkeit Ausgabe</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LUFT_TELEGRAMM__ID_OERTLICHKEIT_AUSGABE = BasisobjektePackage.BASIS_OBJEKT__ID_OERTLICHKEIT_AUSGABE;

	/**
	 * The feature id for the '<em><b>Objektreferenzen</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LUFT_TELEGRAMM__OBJEKTREFERENZEN = BasisobjektePackage.BASIS_OBJEKT__OBJEKTREFERENZEN;

	/**
	 * The feature id for the '<em><b>ID Balise Uebertragung</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LUFT_TELEGRAMM__ID_BALISE_UEBERTRAGUNG = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>ID Fachtelegramm</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LUFT_TELEGRAMM__ID_FACHTELEGRAMM = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>LT Binaerdatei Hilfe</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LUFT_TELEGRAMM__LT_BINAERDATEI_HILFE = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>LT Binaerdaten</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LUFT_TELEGRAMM__LT_BINAERDATEN = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Telegramm Index</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LUFT_TELEGRAMM__TELEGRAMM_INDEX = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 4;

	/**
	 * The number of structural features of the '<em>Luft Telegramm</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LUFT_TELEGRAMM_FEATURE_COUNT = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 5;

	/**
	 * The number of operations of the '<em>Luft Telegramm</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LUFT_TELEGRAMM_OPERATION_COUNT = BasisobjektePackage.BASIS_OBJEKT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.M_LEVELTR_TypeClassImpl <em>MLEVELTR Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.M_LEVELTR_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getM_LEVELTR_TypeClass()
	 * @generated
	 */
	int MLEVELTR_TYPE_CLASS = 185;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MLEVELTR_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MLEVELTR_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>MLEVELTR Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MLEVELTR_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>MLEVELTR Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MLEVELTR_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Massgebende_Neig_1_TypeClassImpl <em>Massgebende Neig 1Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Massgebende_Neig_1_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getMassgebende_Neig_1_TypeClass()
	 * @generated
	 */
	int MASSGEBENDE_NEIG_1TYPE_CLASS = 186;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MASSGEBENDE_NEIG_1TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MASSGEBENDE_NEIG_1TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Massgebende Neig 1Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MASSGEBENDE_NEIG_1TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Massgebende Neig 1Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MASSGEBENDE_NEIG_1TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Massgebende_Neig_Schutzstrecke_TypeClassImpl <em>Massgebende Neig Schutzstrecke Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Massgebende_Neig_Schutzstrecke_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getMassgebende_Neig_Schutzstrecke_TypeClass()
	 * @generated
	 */
	int MASSGEBENDE_NEIG_SCHUTZSTRECKE_TYPE_CLASS = 187;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MASSGEBENDE_NEIG_SCHUTZSTRECKE_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MASSGEBENDE_NEIG_SCHUTZSTRECKE_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Massgebende Neig Schutzstrecke Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MASSGEBENDE_NEIG_SCHUTZSTRECKE_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Massgebende Neig Schutzstrecke Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MASSGEBENDE_NEIG_SCHUTZSTRECKE_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Massgebende_Neigung_Mind_150_TypeClassImpl <em>Massgebende Neigung Mind 150 Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Massgebende_Neigung_Mind_150_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getMassgebende_Neigung_Mind_150_TypeClass()
	 * @generated
	 */
	int MASSGEBENDE_NEIGUNG_MIND_150_TYPE_CLASS = 188;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MASSGEBENDE_NEIGUNG_MIND_150_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MASSGEBENDE_NEIGUNG_MIND_150_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Massgebende Neigung Mind 150 Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MASSGEBENDE_NEIGUNG_MIND_150_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Massgebende Neigung Mind 150 Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MASSGEBENDE_NEIGUNG_MIND_150_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Massgebende_Neigung_Mind_Sig_150_TypeClassImpl <em>Massgebende Neigung Mind Sig 150 Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Massgebende_Neigung_Mind_Sig_150_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getMassgebende_Neigung_Mind_Sig_150_TypeClass()
	 * @generated
	 */
	int MASSGEBENDE_NEIGUNG_MIND_SIG_150_TYPE_CLASS = 189;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MASSGEBENDE_NEIGUNG_MIND_SIG_150_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MASSGEBENDE_NEIGUNG_MIND_SIG_150_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Massgebende Neigung Mind Sig 150 Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MASSGEBENDE_NEIGUNG_MIND_SIG_150_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Massgebende Neigung Mind Sig 150 Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MASSGEBENDE_NEIGUNG_MIND_SIG_150_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Massgebende_Neigung_Mind_Sig_TypeClassImpl <em>Massgebende Neigung Mind Sig Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Massgebende_Neigung_Mind_Sig_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getMassgebende_Neigung_Mind_Sig_TypeClass()
	 * @generated
	 */
	int MASSGEBENDE_NEIGUNG_MIND_SIG_TYPE_CLASS = 190;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MASSGEBENDE_NEIGUNG_MIND_SIG_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MASSGEBENDE_NEIGUNG_MIND_SIG_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Massgebende Neigung Mind Sig Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MASSGEBENDE_NEIGUNG_MIND_SIG_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Massgebende Neigung Mind Sig Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MASSGEBENDE_NEIGUNG_MIND_SIG_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Mastschild_TypeClassImpl <em>Mastschild Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Mastschild_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getMastschild_TypeClass()
	 * @generated
	 */
	int MASTSCHILD_TYPE_CLASS = 191;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MASTSCHILD_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MASTSCHILD_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Mastschild Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MASTSCHILD_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Mastschild Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MASTSCHILD_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Max_Leistung_TypeClassImpl <em>Max Leistung Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Max_Leistung_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getMax_Leistung_TypeClass()
	 * @generated
	 */
	int MAX_LEISTUNG_TYPE_CLASS = 192;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MAX_LEISTUNG_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MAX_LEISTUNG_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Max Leistung Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MAX_LEISTUNG_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Max Leistung Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MAX_LEISTUNG_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Max_Unterbrechungszeit_TypeClassImpl <em>Max Unterbrechungszeit Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Max_Unterbrechungszeit_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getMax_Unterbrechungszeit_TypeClass()
	 * @generated
	 */
	int MAX_UNTERBRECHUNGSZEIT_TYPE_CLASS = 193;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MAX_UNTERBRECHUNGSZEIT_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MAX_UNTERBRECHUNGSZEIT_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Max Unterbrechungszeit Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MAX_UNTERBRECHUNGSZEIT_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Max Unterbrechungszeit Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MAX_UNTERBRECHUNGSZEIT_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Metallteil_AttributeGroupImpl <em>Metallteil Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Metallteil_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getMetallteil_AttributeGroup()
	 * @generated
	 */
	int METALLTEIL_ATTRIBUTE_GROUP = 194;

	/**
	 * The feature id for the '<em><b>Metallteil Kategorie</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int METALLTEIL_ATTRIBUTE_GROUP__METALLTEIL_KATEGORIE = 0;

	/**
	 * The feature id for the '<em><b>Metallteil Laenge</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int METALLTEIL_ATTRIBUTE_GROUP__METALLTEIL_LAENGE = 1;

	/**
	 * The number of structural features of the '<em>Metallteil Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int METALLTEIL_ATTRIBUTE_GROUP_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>Metallteil Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int METALLTEIL_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Metallteil_Kategorie_TypeClassImpl <em>Metallteil Kategorie Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Metallteil_Kategorie_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getMetallteil_Kategorie_TypeClass()
	 * @generated
	 */
	int METALLTEIL_KATEGORIE_TYPE_CLASS = 195;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int METALLTEIL_KATEGORIE_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int METALLTEIL_KATEGORIE_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Metallteil Kategorie Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int METALLTEIL_KATEGORIE_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Metallteil Kategorie Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int METALLTEIL_KATEGORIE_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Metallteil_Laenge_TypeClassImpl <em>Metallteil Laenge Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Metallteil_Laenge_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getMetallteil_Laenge_TypeClass()
	 * @generated
	 */
	int METALLTEIL_LAENGE_TYPE_CLASS = 196;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int METALLTEIL_LAENGE_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int METALLTEIL_LAENGE_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Metallteil Laenge Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int METALLTEIL_LAENGE_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Metallteil Laenge Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int METALLTEIL_LAENGE_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Modulnummer_TypeClassImpl <em>Modulnummer Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Modulnummer_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getModulnummer_TypeClass()
	 * @generated
	 */
	int MODULNUMMER_TYPE_CLASS = 197;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODULNUMMER_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODULNUMMER_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Modulnummer Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODULNUMMER_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Modulnummer Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODULNUMMER_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Montageabweichung_TypeClassImpl <em>Montageabweichung Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Montageabweichung_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getMontageabweichung_TypeClass()
	 * @generated
	 */
	int MONTAGEABWEICHUNG_TYPE_CLASS = 198;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MONTAGEABWEICHUNG_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MONTAGEABWEICHUNG_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Montageabweichung Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MONTAGEABWEICHUNG_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Montageabweichung Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MONTAGEABWEICHUNG_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Neigung_TypeClassImpl <em>Neigung Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Neigung_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getNeigung_TypeClass()
	 * @generated
	 */
	int NEIGUNG_TYPE_CLASS = 199;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NEIGUNG_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NEIGUNG_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Neigung Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NEIGUNG_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Neigung Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NEIGUNG_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Nennleistung_TypeClassImpl <em>Nennleistung Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Nennleistung_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getNennleistung_TypeClass()
	 * @generated
	 */
	int NENNLEISTUNG_TYPE_CLASS = 200;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NENNLEISTUNG_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NENNLEISTUNG_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Nennleistung Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NENNLEISTUNG_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Nennleistung Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NENNLEISTUNG_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.NID_BG_TypeClassImpl <em>NID BG Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.NID_BG_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getNID_BG_TypeClass()
	 * @generated
	 */
	int NID_BG_TYPE_CLASS = 201;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NID_BG_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NID_BG_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>NID BG Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NID_BG_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>NID BG Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NID_BG_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.NID_C_TypeClassImpl <em>NID CType Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.NID_C_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getNID_C_TypeClass()
	 * @generated
	 */
	int NID_CTYPE_CLASS = 202;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NID_CTYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NID_CTYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>NID CType Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NID_CTYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>NID CType Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NID_CTYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.NID_RBC_TypeClassImpl <em>NID RBC Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.NID_RBC_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getNID_RBC_TypeClass()
	 * @generated
	 */
	int NID_RBC_TYPE_CLASS = 203;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NID_RBC_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NID_RBC_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>NID RBC Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NID_RBC_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>NID RBC Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NID_RBC_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.NID_STM_TypeClassImpl <em>NID STM Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.NID_STM_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getNID_STM_TypeClass()
	 * @generated
	 */
	int NID_STM_TYPE_CLASS = 204;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NID_STM_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NID_STM_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>NID STM Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NID_STM_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>NID STM Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NID_STM_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.NID_TSR_TypeClassImpl <em>NID TSR Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.NID_TSR_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getNID_TSR_TypeClass()
	 * @generated
	 */
	int NID_TSR_TYPE_CLASS = 205;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NID_TSR_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NID_TSR_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>NID TSR Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NID_TSR_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>NID TSR Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NID_TSR_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Nummer_Schaltkasten_TypeClassImpl <em>Nummer Schaltkasten Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Nummer_Schaltkasten_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getNummer_Schaltkasten_TypeClass()
	 * @generated
	 */
	int NUMMER_SCHALTKASTEN_TYPE_CLASS = 206;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NUMMER_SCHALTKASTEN_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NUMMER_SCHALTKASTEN_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Nummer Schaltkasten Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NUMMER_SCHALTKASTEN_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Nummer Schaltkasten Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NUMMER_SCHALTKASTEN_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Oberstrombegrenzung_Gueterzug_TypeClassImpl <em>Oberstrombegrenzung Gueterzug Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Oberstrombegrenzung_Gueterzug_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getOberstrombegrenzung_Gueterzug_TypeClass()
	 * @generated
	 */
	int OBERSTROMBEGRENZUNG_GUETERZUG_TYPE_CLASS = 207;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OBERSTROMBEGRENZUNG_GUETERZUG_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OBERSTROMBEGRENZUNG_GUETERZUG_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Oberstrombegrenzung Gueterzug Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OBERSTROMBEGRENZUNG_GUETERZUG_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Oberstrombegrenzung Gueterzug Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OBERSTROMBEGRENZUNG_GUETERZUG_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Oberstrombegrenzung_Reisezug_TypeClassImpl <em>Oberstrombegrenzung Reisezug Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Oberstrombegrenzung_Reisezug_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getOberstrombegrenzung_Reisezug_TypeClass()
	 * @generated
	 */
	int OBERSTROMBEGRENZUNG_REISEZUG_TYPE_CLASS = 208;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OBERSTROMBEGRENZUNG_REISEZUG_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OBERSTROMBEGRENZUNG_REISEZUG_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Oberstrombegrenzung Reisezug Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OBERSTROMBEGRENZUNG_REISEZUG_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Oberstrombegrenzung Reisezug Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OBERSTROMBEGRENZUNG_REISEZUG_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Port_Nr_Ausg_Physisch_TypeClassImpl <em>Port Nr Ausg Physisch Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Port_Nr_Ausg_Physisch_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getPort_Nr_Ausg_Physisch_TypeClass()
	 * @generated
	 */
	int PORT_NR_AUSG_PHYSISCH_TYPE_CLASS = 209;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PORT_NR_AUSG_PHYSISCH_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PORT_NR_AUSG_PHYSISCH_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Port Nr Ausg Physisch Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PORT_NR_AUSG_PHYSISCH_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Port Nr Ausg Physisch Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PORT_NR_AUSG_PHYSISCH_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Position_Sonstige_TypeClassImpl <em>Position Sonstige Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Position_Sonstige_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getPosition_Sonstige_TypeClass()
	 * @generated
	 */
	int POSITION_SONSTIGE_TYPE_CLASS = 210;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int POSITION_SONSTIGE_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int POSITION_SONSTIGE_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Position Sonstige Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int POSITION_SONSTIGE_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Position Sonstige Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int POSITION_SONSTIGE_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Position_TypeClassImpl <em>Position Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Position_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getPosition_TypeClass()
	 * @generated
	 */
	int POSITION_TYPE_CLASS = 211;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int POSITION_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int POSITION_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Position Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int POSITION_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Position Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int POSITION_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Primaerquelle_TypeClassImpl <em>Primaerquelle Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Primaerquelle_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getPrimaerquelle_TypeClass()
	 * @generated
	 */
	int PRIMAERQUELLE_TYPE_CLASS = 212;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRIMAERQUELLE_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRIMAERQUELLE_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Primaerquelle Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRIMAERQUELLE_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Primaerquelle Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRIMAERQUELLE_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Prioritaet_TypeClassImpl <em>Prioritaet Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Prioritaet_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getPrioritaet_TypeClass()
	 * @generated
	 */
	int PRIORITAET_TYPE_CLASS = 213;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRIORITAET_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRIORITAET_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Prioritaet Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRIORITAET_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Prioritaet Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRIORITAET_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Prog_Datei_Einzel_AttributeGroupImpl <em>Prog Datei Einzel Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Prog_Datei_Einzel_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getProg_Datei_Einzel_AttributeGroup()
	 * @generated
	 */
	int PROG_DATEI_EINZEL_ATTRIBUTE_GROUP = 214;

	/**
	 * The feature id for the '<em><b>Anzeigetext</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROG_DATEI_EINZEL_ATTRIBUTE_GROUP__ANZEIGETEXT = 0;

	/**
	 * The feature id for the '<em><b>Einzeldatei Art</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROG_DATEI_EINZEL_ATTRIBUTE_GROUP__EINZELDATEI_ART = 1;

	/**
	 * The feature id for the '<em><b>ID Binaerdatei</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROG_DATEI_EINZEL_ATTRIBUTE_GROUP__ID_BINAERDATEI = 2;

	/**
	 * The feature id for the '<em><b>Konfigurationskennung</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROG_DATEI_EINZEL_ATTRIBUTE_GROUP__KONFIGURATIONSKENNUNG = 3;

	/**
	 * The feature id for the '<em><b>Pruefmerkmale Binaerdatei</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROG_DATEI_EINZEL_ATTRIBUTE_GROUP__PRUEFMERKMALE_BINAERDATEI = 4;

	/**
	 * The feature id for the '<em><b>Pruefmerkmale Prog Komponente</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROG_DATEI_EINZEL_ATTRIBUTE_GROUP__PRUEFMERKMALE_PROG_KOMPONENTE = 5;

	/**
	 * The feature id for the '<em><b>Verwendung</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROG_DATEI_EINZEL_ATTRIBUTE_GROUP__VERWENDUNG = 6;

	/**
	 * The number of structural features of the '<em>Prog Datei Einzel Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROG_DATEI_EINZEL_ATTRIBUTE_GROUP_FEATURE_COUNT = 7;

	/**
	 * The number of operations of the '<em>Prog Datei Einzel Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROG_DATEI_EINZEL_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Prog_Datei_GruppeImpl <em>Prog Datei Gruppe</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Prog_Datei_GruppeImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getProg_Datei_Gruppe()
	 * @generated
	 */
	int PROG_DATEI_GRUPPE = 215;

	/**
	 * The feature id for the '<em><b>Identitaet</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROG_DATEI_GRUPPE__IDENTITAET = BasisobjektePackage.BASIS_OBJEKT__IDENTITAET;

	/**
	 * The feature id for the '<em><b>Basis Objekt Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROG_DATEI_GRUPPE__BASIS_OBJEKT_ALLG = BasisobjektePackage.BASIS_OBJEKT__BASIS_OBJEKT_ALLG;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROG_DATEI_GRUPPE__ID_BEARBEITUNGSVERMERK = BasisobjektePackage.BASIS_OBJEKT__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>ID Oertlichkeit Ausgabe</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROG_DATEI_GRUPPE__ID_OERTLICHKEIT_AUSGABE = BasisobjektePackage.BASIS_OBJEKT__ID_OERTLICHKEIT_AUSGABE;

	/**
	 * The feature id for the '<em><b>Objektreferenzen</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROG_DATEI_GRUPPE__OBJEKTREFERENZEN = BasisobjektePackage.BASIS_OBJEKT__OBJEKTREFERENZEN;

	/**
	 * The feature id for the '<em><b>ID Komponente Programmiert</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROG_DATEI_GRUPPE__ID_KOMPONENTE_PROGRAMMIERT = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Prog Datei Einzel</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROG_DATEI_GRUPPE__PROG_DATEI_EINZEL = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Prog Datei Gruppe</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROG_DATEI_GRUPPE_FEATURE_COUNT = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 2;

	/**
	 * The number of operations of the '<em>Prog Datei Gruppe</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROG_DATEI_GRUPPE_OPERATION_COUNT = BasisobjektePackage.BASIS_OBJEKT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Projektierungsfall_TypeClassImpl <em>Projektierungsfall Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Projektierungsfall_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getProjektierungsfall_TypeClass()
	 * @generated
	 */
	int PROJEKTIERUNGSFALL_TYPE_CLASS = 216;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROJEKTIERUNGSFALL_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROJEKTIERUNGSFALL_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Projektierungsfall Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROJEKTIERUNGSFALL_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Projektierungsfall Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROJEKTIERUNGSFALL_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.RBCImpl <em>RBC</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.RBCImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getRBC()
	 * @generated
	 */
	int RBC = 217;

	/**
	 * The feature id for the '<em><b>Identitaet</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RBC__IDENTITAET = BasisobjektePackage.BASIS_OBJEKT__IDENTITAET;

	/**
	 * The feature id for the '<em><b>Basis Objekt Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RBC__BASIS_OBJEKT_ALLG = BasisobjektePackage.BASIS_OBJEKT__BASIS_OBJEKT_ALLG;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RBC__ID_BEARBEITUNGSVERMERK = BasisobjektePackage.BASIS_OBJEKT__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>ID Oertlichkeit Ausgabe</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RBC__ID_OERTLICHKEIT_AUSGABE = BasisobjektePackage.BASIS_OBJEKT__ID_OERTLICHKEIT_AUSGABE;

	/**
	 * The feature id for the '<em><b>Objektreferenzen</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RBC__OBJEKTREFERENZEN = BasisobjektePackage.BASIS_OBJEKT__OBJEKTREFERENZEN;

	/**
	 * The feature id for the '<em><b>ETCS Adresse</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RBC__ETCS_ADRESSE = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>IDESTW Zentraleinheit</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RBC__IDESTW_ZENTRALEINHEIT = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>ID Unterbringung</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RBC__ID_UNTERBRINGUNG = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>RBC Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RBC__RBC_ALLG = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>RBC</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RBC_FEATURE_COUNT = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 4;

	/**
	 * The number of operations of the '<em>RBC</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RBC_OPERATION_COUNT = BasisobjektePackage.BASIS_OBJEKT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.RBC_Allg_AttributeGroupImpl <em>RBC Allg Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.RBC_Allg_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getRBC_Allg_AttributeGroup()
	 * @generated
	 */
	int RBC_ALLG_ATTRIBUTE_GROUP = 218;

	/**
	 * The feature id for the '<em><b>RBCETCS System Version</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RBC_ALLG_ATTRIBUTE_GROUP__RBCETCS_SYSTEM_VERSION = 0;

	/**
	 * The feature id for the '<em><b>RBCSRS Version</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RBC_ALLG_ATTRIBUTE_GROUP__RBCSRS_VERSION = 1;

	/**
	 * The feature id for the '<em><b>Rufnummer</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RBC_ALLG_ATTRIBUTE_GROUP__RUFNUMMER = 2;

	/**
	 * The number of structural features of the '<em>RBC Allg Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RBC_ALLG_ATTRIBUTE_GROUP_FEATURE_COUNT = 3;

	/**
	 * The number of operations of the '<em>RBC Allg Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RBC_ALLG_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.RBC_ETCS_System_Version_TypeClassImpl <em>RBC ETCS System Version Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.RBC_ETCS_System_Version_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getRBC_ETCS_System_Version_TypeClass()
	 * @generated
	 */
	int RBC_ETCS_SYSTEM_VERSION_TYPE_CLASS = 219;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RBC_ETCS_SYSTEM_VERSION_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RBC_ETCS_SYSTEM_VERSION_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>RBC ETCS System Version Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RBC_ETCS_SYSTEM_VERSION_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>RBC ETCS System Version Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RBC_ETCS_SYSTEM_VERSION_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.RBC_SRS_Version_TypeClassImpl <em>RBC SRS Version Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.RBC_SRS_Version_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getRBC_SRS_Version_TypeClass()
	 * @generated
	 */
	int RBC_SRS_VERSION_TYPE_CLASS = 220;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RBC_SRS_VERSION_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RBC_SRS_VERSION_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>RBC SRS Version Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RBC_SRS_VERSION_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>RBC SRS Version Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RBC_SRS_VERSION_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Rekursion_2_Nr_TypeClassImpl <em>Rekursion 2Nr Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Rekursion_2_Nr_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getRekursion_2_Nr_TypeClass()
	 * @generated
	 */
	int REKURSION_2NR_TYPE_CLASS = 221;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REKURSION_2NR_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REKURSION_2NR_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Rekursion 2Nr Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REKURSION_2NR_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Rekursion 2Nr Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REKURSION_2NR_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Rekursion_Nr_TypeClassImpl <em>Rekursion Nr Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Rekursion_Nr_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getRekursion_Nr_TypeClass()
	 * @generated
	 */
	int REKURSION_NR_TYPE_CLASS = 222;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REKURSION_NR_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REKURSION_NR_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Rekursion Nr Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REKURSION_NR_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Rekursion Nr Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REKURSION_NR_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Rufnummer_TypeClassImpl <em>Rufnummer Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Rufnummer_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getRufnummer_TypeClass()
	 * @generated
	 */
	int RUFNUMMER_TYPE_CLASS = 223;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUFNUMMER_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUFNUMMER_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Rufnummer Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUFNUMMER_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Rufnummer Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUFNUMMER_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.SBE_TypeClassImpl <em>SBE Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.SBE_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getSBE_TypeClass()
	 * @generated
	 */
	int SBE_TYPE_CLASS = 224;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SBE_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SBE_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>SBE Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SBE_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>SBE Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SBE_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Schutzstrecke_Erforderlich_TypeClassImpl <em>Schutzstrecke Erforderlich Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Schutzstrecke_Erforderlich_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getSchutzstrecke_Erforderlich_TypeClass()
	 * @generated
	 */
	int SCHUTZSTRECKE_ERFORDERLICH_TYPE_CLASS = 225;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHUTZSTRECKE_ERFORDERLICH_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHUTZSTRECKE_ERFORDERLICH_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Schutzstrecke Erforderlich Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHUTZSTRECKE_ERFORDERLICH_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Schutzstrecke Erforderlich Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHUTZSTRECKE_ERFORDERLICH_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Schutzstrecke_Vorhanden_TypeClassImpl <em>Schutzstrecke Vorhanden Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Schutzstrecke_Vorhanden_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getSchutzstrecke_Vorhanden_TypeClass()
	 * @generated
	 */
	int SCHUTZSTRECKE_VORHANDEN_TYPE_CLASS = 226;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHUTZSTRECKE_VORHANDEN_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHUTZSTRECKE_VORHANDEN_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Schutzstrecke Vorhanden Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHUTZSTRECKE_VORHANDEN_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Schutzstrecke Vorhanden Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHUTZSTRECKE_VORHANDEN_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Solllaenge_Mind_Sig_150_TypeClassImpl <em>Solllaenge Mind Sig 150 Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Solllaenge_Mind_Sig_150_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getSolllaenge_Mind_Sig_150_TypeClass()
	 * @generated
	 */
	int SOLLLAENGE_MIND_SIG_150_TYPE_CLASS = 227;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SOLLLAENGE_MIND_SIG_150_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SOLLLAENGE_MIND_SIG_150_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Solllaenge Mind Sig 150 Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SOLLLAENGE_MIND_SIG_150_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Solllaenge Mind Sig 150 Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SOLLLAENGE_MIND_SIG_150_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Solllaenge_Mind_Sig_TypeClassImpl <em>Solllaenge Mind Sig Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Solllaenge_Mind_Sig_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getSolllaenge_Mind_Sig_TypeClass()
	 * @generated
	 */
	int SOLLLAENGE_MIND_SIG_TYPE_CLASS = 228;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SOLLLAENGE_MIND_SIG_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SOLLLAENGE_MIND_SIG_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Solllaenge Mind Sig Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SOLLLAENGE_MIND_SIG_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Solllaenge Mind Sig Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SOLLLAENGE_MIND_SIG_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Sonstige_Standortangabe_TypeClassImpl <em>Sonstige Standortangabe Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Sonstige_Standortangabe_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getSonstige_Standortangabe_TypeClass()
	 * @generated
	 */
	int SONSTIGE_STANDORTANGABE_TYPE_CLASS = 229;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SONSTIGE_STANDORTANGABE_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SONSTIGE_STANDORTANGABE_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Sonstige Standortangabe Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SONSTIGE_STANDORTANGABE_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Sonstige Standortangabe Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SONSTIGE_STANDORTANGABE_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Spannung_Art_TypeClassImpl <em>Spannung Art Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Spannung_Art_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getSpannung_Art_TypeClass()
	 * @generated
	 */
	int SPANNUNG_ART_TYPE_CLASS = 230;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SPANNUNG_ART_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SPANNUNG_ART_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Spannung Art Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SPANNUNG_ART_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Spannung Art Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SPANNUNG_ART_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Spannung_Toleranz_Obere_TypeClassImpl <em>Spannung Toleranz Obere Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Spannung_Toleranz_Obere_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getSpannung_Toleranz_Obere_TypeClass()
	 * @generated
	 */
	int SPANNUNG_TOLERANZ_OBERE_TYPE_CLASS = 231;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SPANNUNG_TOLERANZ_OBERE_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SPANNUNG_TOLERANZ_OBERE_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Spannung Toleranz Obere Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SPANNUNG_TOLERANZ_OBERE_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Spannung Toleranz Obere Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SPANNUNG_TOLERANZ_OBERE_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Spannung_Toleranz_Untere_TypeClassImpl <em>Spannung Toleranz Untere Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Spannung_Toleranz_Untere_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getSpannung_Toleranz_Untere_TypeClass()
	 * @generated
	 */
	int SPANNUNG_TOLERANZ_UNTERE_TYPE_CLASS = 232;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SPANNUNG_TOLERANZ_UNTERE_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SPANNUNG_TOLERANZ_UNTERE_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Spannung Toleranz Untere Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SPANNUNG_TOLERANZ_UNTERE_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Spannung Toleranz Untere Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SPANNUNG_TOLERANZ_UNTERE_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.SRS_Version_TypeClassImpl <em>SRS Version Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.SRS_Version_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getSRS_Version_TypeClass()
	 * @generated
	 */
	int SRS_VERSION_TYPE_CLASS = 233;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SRS_VERSION_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SRS_VERSION_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>SRS Version Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SRS_VERSION_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>SRS Version Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SRS_VERSION_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Standortangabe_Balisenschild_TypeClassImpl <em>Standortangabe Balisenschild Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Standortangabe_Balisenschild_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getStandortangabe_Balisenschild_TypeClass()
	 * @generated
	 */
	int STANDORTANGABE_BALISENSCHILD_TYPE_CLASS = 234;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STANDORTANGABE_BALISENSCHILD_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STANDORTANGABE_BALISENSCHILD_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Standortangabe Balisenschild Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STANDORTANGABE_BALISENSCHILD_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Standortangabe Balisenschild Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STANDORTANGABE_BALISENSCHILD_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Start_W_Element_AttributeGroupImpl <em>Start WElement Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Start_W_Element_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getStart_W_Element_AttributeGroup()
	 * @generated
	 */
	int START_WELEMENT_ATTRIBUTE_GROUP = 235;

	/**
	 * The feature id for the '<em><b>ID Start WElement</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int START_WELEMENT_ATTRIBUTE_GROUP__ID_START_WELEMENT = 0;

	/**
	 * The feature id for the '<em><b>WAnschluss</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int START_WELEMENT_ATTRIBUTE_GROUP__WANSCHLUSS = 1;

	/**
	 * The number of structural features of the '<em>Start WElement Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int START_WELEMENT_ATTRIBUTE_GROUP_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>Start WElement Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int START_WELEMENT_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.STZ_TypeClassImpl <em>STZ Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.STZ_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getSTZ_TypeClass()
	 * @generated
	 */
	int STZ_TYPE_CLASS = 236;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STZ_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STZ_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>STZ Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STZ_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>STZ Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STZ_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.System_Vor_Grenze_Besonders_TypeClassImpl <em>System Vor Grenze Besonders Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.System_Vor_Grenze_Besonders_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getSystem_Vor_Grenze_Besonders_TypeClass()
	 * @generated
	 */
	int SYSTEM_VOR_GRENZE_BESONDERS_TYPE_CLASS = 237;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYSTEM_VOR_GRENZE_BESONDERS_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYSTEM_VOR_GRENZE_BESONDERS_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>System Vor Grenze Besonders Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYSTEM_VOR_GRENZE_BESONDERS_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>System Vor Grenze Besonders Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYSTEM_VOR_GRENZE_BESONDERS_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.System_Vor_Grenze_TypeClassImpl <em>System Vor Grenze Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.System_Vor_Grenze_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getSystem_Vor_Grenze_TypeClass()
	 * @generated
	 */
	int SYSTEM_VOR_GRENZE_TYPE_CLASS = 238;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYSTEM_VOR_GRENZE_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYSTEM_VOR_GRENZE_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>System Vor Grenze Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYSTEM_VOR_GRENZE_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>System Vor Grenze Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYSTEM_VOR_GRENZE_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.TBV_Meldepunkt_TypeClassImpl <em>TBV Meldepunkt Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.TBV_Meldepunkt_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getTBV_Meldepunkt_TypeClass()
	 * @generated
	 */
	int TBV_MELDEPUNKT_TYPE_CLASS = 239;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TBV_MELDEPUNKT_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TBV_MELDEPUNKT_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>TBV Meldepunkt Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TBV_MELDEPUNKT_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>TBV Meldepunkt Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TBV_MELDEPUNKT_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.TBV_Tunnelbereich_Laenge_TypeClassImpl <em>TBV Tunnelbereich Laenge Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.TBV_Tunnelbereich_Laenge_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getTBV_Tunnelbereich_Laenge_TypeClass()
	 * @generated
	 */
	int TBV_TUNNELBEREICH_LAENGE_TYPE_CLASS = 240;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TBV_TUNNELBEREICH_LAENGE_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TBV_TUNNELBEREICH_LAENGE_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>TBV Tunnelbereich Laenge Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TBV_TUNNELBEREICH_LAENGE_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>TBV Tunnelbereich Laenge Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TBV_TUNNELBEREICH_LAENGE_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.TBV_Tunnelsignal_TypeClassImpl <em>TBV Tunnelsignal Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.TBV_Tunnelsignal_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getTBV_Tunnelsignal_TypeClass()
	 * @generated
	 */
	int TBV_TUNNELSIGNAL_TYPE_CLASS = 241;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TBV_TUNNELSIGNAL_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TBV_TUNNELSIGNAL_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>TBV Tunnelsignal Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TBV_TUNNELSIGNAL_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>TBV Tunnelsignal Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TBV_TUNNELSIGNAL_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Telegramm_Index_TypeClassImpl <em>Telegramm Index Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Telegramm_Index_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getTelegramm_Index_TypeClass()
	 * @generated
	 */
	int TELEGRAMM_INDEX_TYPE_CLASS = 242;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMM_INDEX_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMM_INDEX_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Telegramm Index Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMM_INDEX_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Telegramm Index Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMM_INDEX_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Telegrammnummer_TypeClassImpl <em>Telegrammnummer Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Telegrammnummer_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getTelegrammnummer_TypeClass()
	 * @generated
	 */
	int TELEGRAMMNUMMER_TYPE_CLASS = 243;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMMNUMMER_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMMNUMMER_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Telegrammnummer Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMMNUMMER_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Telegrammnummer Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMMNUMMER_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Text_Bedingung_TypeClassImpl <em>Text Bedingung Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Text_Bedingung_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getText_Bedingung_TypeClass()
	 * @generated
	 */
	int TEXT_BEDINGUNG_TYPE_CLASS = 244;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TEXT_BEDINGUNG_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TEXT_BEDINGUNG_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Text Bedingung Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TEXT_BEDINGUNG_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Text Bedingung Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TEXT_BEDINGUNG_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Textmeldung_TypeClassImpl <em>Textmeldung Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Textmeldung_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getTextmeldung_TypeClass()
	 * @generated
	 */
	int TEXTMELDUNG_TYPE_CLASS = 245;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TEXTMELDUNG_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TEXTMELDUNG_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Textmeldung Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TEXTMELDUNG_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Textmeldung Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TEXTMELDUNG_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Ueberbrueckung_EV_Unterbrechung_TypeClassImpl <em>Ueberbrueckung EV Unterbrechung Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Ueberbrueckung_EV_Unterbrechung_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getUeberbrueckung_EV_Unterbrechung_TypeClass()
	 * @generated
	 */
	int UEBERBRUECKUNG_EV_UNTERBRECHUNG_TYPE_CLASS = 246;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UEBERBRUECKUNG_EV_UNTERBRECHUNG_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UEBERBRUECKUNG_EV_UNTERBRECHUNG_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Ueberbrueckung EV Unterbrechung Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UEBERBRUECKUNG_EV_UNTERBRECHUNG_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Ueberbrueckung EV Unterbrechung Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UEBERBRUECKUNG_EV_UNTERBRECHUNG_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Ueberwachung_Laenge_TypeClassImpl <em>Ueberwachung Laenge Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Ueberwachung_Laenge_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getUeberwachung_Laenge_TypeClass()
	 * @generated
	 */
	int UEBERWACHUNG_LAENGE_TYPE_CLASS = 247;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UEBERWACHUNG_LAENGE_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UEBERWACHUNG_LAENGE_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Ueberwachung Laenge Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UEBERWACHUNG_LAENGE_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Ueberwachung Laenge Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UEBERWACHUNG_LAENGE_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Umfahrstrasse_TypeClassImpl <em>Umfahrstrasse Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Umfahrstrasse_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getUmfahrstrasse_TypeClass()
	 * @generated
	 */
	int UMFAHRSTRASSE_TYPE_CLASS = 248;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UMFAHRSTRASSE_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UMFAHRSTRASSE_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Umfahrstrasse Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UMFAHRSTRASSE_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Umfahrstrasse Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UMFAHRSTRASSE_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Untergruppen_ID_TypeClassImpl <em>Untergruppen ID Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Untergruppen_ID_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getUntergruppen_ID_TypeClass()
	 * @generated
	 */
	int UNTERGRUPPEN_ID_TYPE_CLASS = 249;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UNTERGRUPPEN_ID_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UNTERGRUPPEN_ID_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Untergruppen ID Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UNTERGRUPPEN_ID_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Untergruppen ID Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UNTERGRUPPEN_ID_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.V_Befehl_R_TypeClassImpl <em>VBefehl RType Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.V_Befehl_R_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getV_Befehl_R_TypeClass()
	 * @generated
	 */
	int VBEFEHL_RTYPE_CLASS = 250;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VBEFEHL_RTYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VBEFEHL_RTYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>VBefehl RType Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VBEFEHL_RTYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>VBefehl RType Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VBEFEHL_RTYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.V_Befehl_Z_TypeClassImpl <em>VBefehl ZType Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.V_Befehl_Z_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getV_Befehl_Z_TypeClass()
	 * @generated
	 */
	int VBEFEHL_ZTYPE_CLASS = 251;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VBEFEHL_ZTYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VBEFEHL_ZTYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>VBefehl ZType Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VBEFEHL_ZTYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>VBefehl ZType Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VBEFEHL_ZTYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.V_Frei_TypeClassImpl <em>VFrei Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.V_Frei_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getV_Frei_TypeClass()
	 * @generated
	 */
	int VFREI_TYPE_CLASS = 252;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VFREI_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VFREI_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>VFrei Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VFREI_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>VFrei Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VFREI_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.V_Start_TypeClassImpl <em>VStart Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.V_Start_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getV_Start_TypeClass()
	 * @generated
	 */
	int VSTART_TYPE_CLASS = 253;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VSTART_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VSTART_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>VStart Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VSTART_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>VStart Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VSTART_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.V_Ziel_TypeClassImpl <em>VZiel Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.V_Ziel_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getV_Ziel_TypeClass()
	 * @generated
	 */
	int VZIEL_TYPE_CLASS = 254;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VZIEL_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VZIEL_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>VZiel Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VZIEL_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>VZiel Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VZIEL_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.V_Zul_Strecke_TypeClassImpl <em>VZul Strecke Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.V_Zul_Strecke_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getV_Zul_Strecke_TypeClass()
	 * @generated
	 */
	int VZUL_STRECKE_TYPE_CLASS = 255;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VZUL_STRECKE_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VZUL_STRECKE_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>VZul Strecke Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VZUL_STRECKE_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>VZul Strecke Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VZUL_STRECKE_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.VBC_Kennung_TypeClassImpl <em>VBC Kennung Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.VBC_Kennung_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getVBC_Kennung_TypeClass()
	 * @generated
	 */
	int VBC_KENNUNG_TYPE_CLASS = 256;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VBC_KENNUNG_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VBC_KENNUNG_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>VBC Kennung Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VBC_KENNUNG_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>VBC Kennung Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VBC_KENNUNG_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.VBC_NID_C_TypeClassImpl <em>VBC NID CType Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.VBC_NID_C_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getVBC_NID_C_TypeClass()
	 * @generated
	 */
	int VBC_NID_CTYPE_CLASS = 257;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VBC_NID_CTYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VBC_NID_CTYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>VBC NID CType Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VBC_NID_CTYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>VBC NID CType Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VBC_NID_CTYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.VBC_Setzen_TypeClassImpl <em>VBC Setzen Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.VBC_Setzen_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getVBC_Setzen_TypeClass()
	 * @generated
	 */
	int VBC_SETZEN_TYPE_CLASS = 258;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VBC_SETZEN_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VBC_SETZEN_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>VBC Setzen Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VBC_SETZEN_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>VBC Setzen Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VBC_SETZEN_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.VBC_Timer_TypeClassImpl <em>VBC Timer Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.VBC_Timer_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getVBC_Timer_TypeClass()
	 * @generated
	 */
	int VBC_TIMER_TYPE_CLASS = 259;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VBC_TIMER_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VBC_TIMER_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>VBC Timer Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VBC_TIMER_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>VBC Timer Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VBC_TIMER_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Verbot_Anhalten_TypeClassImpl <em>Verbot Anhalten Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Verbot_Anhalten_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getVerbot_Anhalten_TypeClass()
	 * @generated
	 */
	int VERBOT_ANHALTEN_TYPE_CLASS = 260;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VERBOT_ANHALTEN_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VERBOT_ANHALTEN_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Verbot Anhalten Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VERBOT_ANHALTEN_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Verbot Anhalten Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VERBOT_ANHALTEN_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Verbot_Regenerative_Bremse_TypeClassImpl <em>Verbot Regenerative Bremse Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Verbot_Regenerative_Bremse_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getVerbot_Regenerative_Bremse_TypeClass()
	 * @generated
	 */
	int VERBOT_REGENERATIVE_BREMSE_TYPE_CLASS = 261;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VERBOT_REGENERATIVE_BREMSE_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VERBOT_REGENERATIVE_BREMSE_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Verbot Regenerative Bremse Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VERBOT_REGENERATIVE_BREMSE_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Verbot Regenerative Bremse Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VERBOT_REGENERATIVE_BREMSE_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Verbot_WB_Art_TypeClassImpl <em>Verbot WB Art Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Verbot_WB_Art_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getVerbot_WB_Art_TypeClass()
	 * @generated
	 */
	int VERBOT_WB_ART_TYPE_CLASS = 262;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VERBOT_WB_ART_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VERBOT_WB_ART_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Verbot WB Art Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VERBOT_WB_ART_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Verbot WB Art Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VERBOT_WB_ART_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Verkuerzter_Abstand_TypeClassImpl <em>Verkuerzter Abstand Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Verkuerzter_Abstand_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getVerkuerzter_Abstand_TypeClass()
	 * @generated
	 */
	int VERKUERZTER_ABSTAND_TYPE_CLASS = 263;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VERKUERZTER_ABSTAND_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VERKUERZTER_ABSTAND_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Verkuerzter Abstand Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VERKUERZTER_ABSTAND_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Verkuerzter Abstand Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VERKUERZTER_ABSTAND_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Verwendung_Als_Rueckfall_TypeClassImpl <em>Verwendung Als Rueckfall Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Verwendung_Als_Rueckfall_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getVerwendung_Als_Rueckfall_TypeClass()
	 * @generated
	 */
	int VERWENDUNG_ALS_RUECKFALL_TYPE_CLASS = 264;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VERWENDUNG_ALS_RUECKFALL_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VERWENDUNG_ALS_RUECKFALL_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Verwendung Als Rueckfall Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VERWENDUNG_ALS_RUECKFALL_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Verwendung Als Rueckfall Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VERWENDUNG_ALS_RUECKFALL_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Verwendung_Hilfe_TypeClassImpl <em>Verwendung Hilfe Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Verwendung_Hilfe_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getVerwendung_Hilfe_TypeClass()
	 * @generated
	 */
	int VERWENDUNG_HILFE_TYPE_CLASS = 265;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VERWENDUNG_HILFE_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VERWENDUNG_HILFE_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Verwendung Hilfe Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VERWENDUNG_HILFE_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Verwendung Hilfe Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VERWENDUNG_HILFE_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Verwendung_TypeClassImpl <em>Verwendung Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Verwendung_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getVerwendung_TypeClass()
	 * @generated
	 */
	int VERWENDUNG_TYPE_CLASS = 266;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VERWENDUNG_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VERWENDUNG_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Verwendung Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VERWENDUNG_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Verwendung Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VERWENDUNG_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.VGR_1_TypeClassImpl <em>VGR 1Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.VGR_1_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getVGR_1_TypeClass()
	 * @generated
	 */
	int VGR_1TYPE_CLASS = 267;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VGR_1TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VGR_1TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>VGR 1Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VGR_1TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>VGR 1Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VGR_1TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.VGR_2_TypeClassImpl <em>VGR 2Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.VGR_2_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getVGR_2_TypeClass()
	 * @generated
	 */
	int VGR_2TYPE_CLASS = 268;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VGR_2TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VGR_2TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>VGR 2Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VGR_2TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>VGR 2Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VGR_2TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.VGR_TypeClassImpl <em>VGR Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.VGR_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getVGR_TypeClass()
	 * @generated
	 */
	int VGR_TYPE_CLASS = 269;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VGR_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VGR_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>VGR Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VGR_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>VGR Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VGR_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.VLA_TypeClassImpl <em>VLA Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.VLA_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getVLA_TypeClass()
	 * @generated
	 */
	int VLA_TYPE_CLASS = 270;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VLA_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VLA_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>VLA Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VLA_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>VLA Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VLA_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Vorsignalabstand_TypeClassImpl <em>Vorsignalabstand Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Vorsignalabstand_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getVorsignalabstand_TypeClass()
	 * @generated
	 */
	int VORSIGNALABSTAND_TYPE_CLASS = 271;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VORSIGNALABSTAND_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VORSIGNALABSTAND_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Vorsignalabstand Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VORSIGNALABSTAND_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Vorsignalabstand Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VORSIGNALABSTAND_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.VZ_TypeClassImpl <em>VZ Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.VZ_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getVZ_TypeClass()
	 * @generated
	 */
	int VZ_TYPE_CLASS = 272;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VZ_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VZ_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>VZ Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VZ_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>VZ Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VZ_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.W_Anschluss_TypeClassImpl <em>WAnschluss Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.W_Anschluss_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getW_Anschluss_TypeClass()
	 * @generated
	 */
	int WANSCHLUSS_TYPE_CLASS = 273;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WANSCHLUSS_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WANSCHLUSS_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>WAnschluss Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WANSCHLUSS_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>WAnschluss Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WANSCHLUSS_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.W_Lage_TypeClassImpl <em>WLage Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.W_Lage_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getW_Lage_TypeClass()
	 * @generated
	 */
	int WLAGE_TYPE_CLASS = 274;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WLAGE_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WLAGE_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>WLage Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WLAGE_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>WLage Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WLAGE_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Wirkrichtung_In_Datenpunkt_TypeClassImpl <em>Wirkrichtung In Datenpunkt Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Wirkrichtung_In_Datenpunkt_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getWirkrichtung_In_Datenpunkt_TypeClass()
	 * @generated
	 */
	int WIRKRICHTUNG_IN_DATENPUNKT_TYPE_CLASS = 275;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WIRKRICHTUNG_IN_DATENPUNKT_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WIRKRICHTUNG_IN_DATENPUNKT_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Wirkrichtung In Datenpunkt Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WIRKRICHTUNG_IN_DATENPUNKT_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Wirkrichtung In Datenpunkt Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WIRKRICHTUNG_IN_DATENPUNKT_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Wirksam_TypeClassImpl <em>Wirksam Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Wirksam_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getWirksam_TypeClass()
	 * @generated
	 */
	int WIRKSAM_TYPE_CLASS = 276;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WIRKSAM_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WIRKSAM_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Wirksam Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WIRKSAM_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Wirksam Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WIRKSAM_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ZBS_La_Bereich_Distanz_TypeClassImpl <em>ZBS La Bereich Distanz Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ZBS_La_Bereich_Distanz_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getZBS_La_Bereich_Distanz_TypeClass()
	 * @generated
	 */
	int ZBS_LA_BEREICH_DISTANZ_TYPE_CLASS = 277;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_LA_BEREICH_DISTANZ_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_LA_BEREICH_DISTANZ_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>ZBS La Bereich Distanz Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_LA_BEREICH_DISTANZ_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>ZBS La Bereich Distanz Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_LA_BEREICH_DISTANZ_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ZBS_La_Bereich_Geschwindigkeit_TypeClassImpl <em>ZBS La Bereich Geschwindigkeit Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ZBS_La_Bereich_Geschwindigkeit_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getZBS_La_Bereich_Geschwindigkeit_TypeClass()
	 * @generated
	 */
	int ZBS_LA_BEREICH_GESCHWINDIGKEIT_TYPE_CLASS = 278;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_LA_BEREICH_GESCHWINDIGKEIT_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_LA_BEREICH_GESCHWINDIGKEIT_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>ZBS La Bereich Geschwindigkeit Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_LA_BEREICH_GESCHWINDIGKEIT_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>ZBS La Bereich Geschwindigkeit Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_LA_BEREICH_GESCHWINDIGKEIT_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ZBS_La_Bereich_Laenge_TypeClassImpl <em>ZBS La Bereich Laenge Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ZBS_La_Bereich_Laenge_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getZBS_La_Bereich_Laenge_TypeClass()
	 * @generated
	 */
	int ZBS_LA_BEREICH_LAENGE_TYPE_CLASS = 279;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_LA_BEREICH_LAENGE_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_LA_BEREICH_LAENGE_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>ZBS La Bereich Laenge Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_LA_BEREICH_LAENGE_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>ZBS La Bereich Laenge Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_LA_BEREICH_LAENGE_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ZBS_La_Bereich_Neigung_TypeClassImpl <em>ZBS La Bereich Neigung Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ZBS_La_Bereich_Neigung_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getZBS_La_Bereich_Neigung_TypeClass()
	 * @generated
	 */
	int ZBS_LA_BEREICH_NEIGUNG_TYPE_CLASS = 280;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_LA_BEREICH_NEIGUNG_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_LA_BEREICH_NEIGUNG_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>ZBS La Bereich Neigung Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_LA_BEREICH_NEIGUNG_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>ZBS La Bereich Neigung Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_LA_BEREICH_NEIGUNG_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ZBS_Merkmale_AttributeGroupImpl <em>ZBS Merkmale Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ZBS_Merkmale_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getZBS_Merkmale_AttributeGroup()
	 * @generated
	 */
	int ZBS_MERKMALE_ATTRIBUTE_GROUP = 281;

	/**
	 * The feature id for the '<em><b>DP Link Art</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_MERKMALE_ATTRIBUTE_GROUP__DP_LINK_ART = 0;

	/**
	 * The feature id for the '<em><b>ZBS Reaktion</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_MERKMALE_ATTRIBUTE_GROUP__ZBS_REAKTION = 1;

	/**
	 * The number of structural features of the '<em>ZBS Merkmale Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_MERKMALE_ATTRIBUTE_GROUP_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>ZBS Merkmale Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_MERKMALE_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ZBS_Reaktion_TypeClassImpl <em>ZBS Reaktion Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ZBS_Reaktion_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getZBS_Reaktion_TypeClass()
	 * @generated
	 */
	int ZBS_REAKTION_TYPE_CLASS = 282;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_REAKTION_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_REAKTION_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>ZBS Reaktion Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_REAKTION_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>ZBS Reaktion Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_REAKTION_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ZBS_SchutzstreckeImpl <em>ZBS Schutzstrecke</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ZBS_SchutzstreckeImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getZBS_Schutzstrecke()
	 * @generated
	 */
	int ZBS_SCHUTZSTRECKE = 283;

	/**
	 * The feature id for the '<em><b>Identitaet</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_SCHUTZSTRECKE__IDENTITAET = BasisobjektePackage.BASIS_OBJEKT__IDENTITAET;

	/**
	 * The feature id for the '<em><b>Basis Objekt Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_SCHUTZSTRECKE__BASIS_OBJEKT_ALLG = BasisobjektePackage.BASIS_OBJEKT__BASIS_OBJEKT_ALLG;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_SCHUTZSTRECKE__ID_BEARBEITUNGSVERMERK = BasisobjektePackage.BASIS_OBJEKT__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>ID Oertlichkeit Ausgabe</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_SCHUTZSTRECKE__ID_OERTLICHKEIT_AUSGABE = BasisobjektePackage.BASIS_OBJEKT__ID_OERTLICHKEIT_AUSGABE;

	/**
	 * The feature id for the '<em><b>Objektreferenzen</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_SCHUTZSTRECKE__OBJEKTREFERENZEN = BasisobjektePackage.BASIS_OBJEKT__OBJEKTREFERENZEN;

	/**
	 * The feature id for the '<em><b>ID Fstr DWeg</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_SCHUTZSTRECKE__ID_FSTR_DWEG = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>ZBS Schutzstrecke Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_SCHUTZSTRECKE__ZBS_SCHUTZSTRECKE_ALLG = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>ZBS Schutzstrecke</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_SCHUTZSTRECKE_FEATURE_COUNT = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 2;

	/**
	 * The number of operations of the '<em>ZBS Schutzstrecke</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_SCHUTZSTRECKE_OPERATION_COUNT = BasisobjektePackage.BASIS_OBJEKT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ZBS_Schutzstrecke_Allg_AttributeGroupImpl <em>ZBS Schutzstrecke Allg Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ZBS_Schutzstrecke_Allg_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getZBS_Schutzstrecke_Allg_AttributeGroup()
	 * @generated
	 */
	int ZBS_SCHUTZSTRECKE_ALLG_ATTRIBUTE_GROUP = 284;

	/**
	 * The feature id for the '<em><b>Laenge Soll Mind150</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_SCHUTZSTRECKE_ALLG_ATTRIBUTE_GROUP__LAENGE_SOLL_MIND150 = 0;

	/**
	 * The feature id for the '<em><b>Massgebende Neigung Mind150</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_SCHUTZSTRECKE_ALLG_ATTRIBUTE_GROUP__MASSGEBENDE_NEIGUNG_MIND150 = 1;

	/**
	 * The feature id for the '<em><b>VFrei</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_SCHUTZSTRECKE_ALLG_ATTRIBUTE_GROUP__VFREI = 2;

	/**
	 * The number of structural features of the '<em>ZBS Schutzstrecke Allg Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_SCHUTZSTRECKE_ALLG_ATTRIBUTE_GROUP_FEATURE_COUNT = 3;

	/**
	 * The number of operations of the '<em>ZBS Schutzstrecke Allg Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_SCHUTZSTRECKE_ALLG_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ZBS_SignalImpl <em>ZBS Signal</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ZBS_SignalImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getZBS_Signal()
	 * @generated
	 */
	int ZBS_SIGNAL = 285;

	/**
	 * The feature id for the '<em><b>Identitaet</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_SIGNAL__IDENTITAET = BasisobjektePackage.BASIS_OBJEKT__IDENTITAET;

	/**
	 * The feature id for the '<em><b>Basis Objekt Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_SIGNAL__BASIS_OBJEKT_ALLG = BasisobjektePackage.BASIS_OBJEKT__BASIS_OBJEKT_ALLG;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_SIGNAL__ID_BEARBEITUNGSVERMERK = BasisobjektePackage.BASIS_OBJEKT__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>ID Oertlichkeit Ausgabe</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_SIGNAL__ID_OERTLICHKEIT_AUSGABE = BasisobjektePackage.BASIS_OBJEKT__ID_OERTLICHKEIT_AUSGABE;

	/**
	 * The feature id for the '<em><b>Objektreferenzen</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_SIGNAL__OBJEKTREFERENZEN = BasisobjektePackage.BASIS_OBJEKT__OBJEKTREFERENZEN;

	/**
	 * The feature id for the '<em><b>ID Signal</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_SIGNAL__ID_SIGNAL = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>ZBS Signal Signalabstand</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_SIGNAL__ZBS_SIGNAL_SIGNALABSTAND = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>ZBS Signal</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_SIGNAL_FEATURE_COUNT = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 2;

	/**
	 * The number of operations of the '<em>ZBS Signal</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_SIGNAL_OPERATION_COUNT = BasisobjektePackage.BASIS_OBJEKT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ZBS_Signal_Signalabstand_AttributeGroupImpl <em>ZBS Signal Signalabstand Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ZBS_Signal_Signalabstand_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getZBS_Signal_Signalabstand_AttributeGroup()
	 * @generated
	 */
	int ZBS_SIGNAL_SIGNALABSTAND_ATTRIBUTE_GROUP = 286;

	/**
	 * The feature id for the '<em><b>Abstand Reduziert</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_SIGNAL_SIGNALABSTAND_ATTRIBUTE_GROUP__ABSTAND_REDUZIERT = 0;

	/**
	 * The feature id for the '<em><b>Massgebende Neigung Mind Sig</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_SIGNAL_SIGNALABSTAND_ATTRIBUTE_GROUP__MASSGEBENDE_NEIGUNG_MIND_SIG = 1;

	/**
	 * The feature id for the '<em><b>Massgebende Neigung Mind Sig150</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_SIGNAL_SIGNALABSTAND_ATTRIBUTE_GROUP__MASSGEBENDE_NEIGUNG_MIND_SIG150 = 2;

	/**
	 * The feature id for the '<em><b>Solllaenge Mind Sig</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_SIGNAL_SIGNALABSTAND_ATTRIBUTE_GROUP__SOLLLAENGE_MIND_SIG = 3;

	/**
	 * The feature id for the '<em><b>Solllaenge Mind Sig150</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_SIGNAL_SIGNALABSTAND_ATTRIBUTE_GROUP__SOLLLAENGE_MIND_SIG150 = 4;

	/**
	 * The number of structural features of the '<em>ZBS Signal Signalabstand Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_SIGNAL_SIGNALABSTAND_ATTRIBUTE_GROUP_FEATURE_COUNT = 5;

	/**
	 * The number of operations of the '<em>ZBS Signal Signalabstand Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_SIGNAL_SIGNALABSTAND_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Ziel_DP_Ausrichtung_TypeClassImpl <em>Ziel DP Ausrichtung Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Ziel_DP_Ausrichtung_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getZiel_DP_Ausrichtung_TypeClass()
	 * @generated
	 */
	int ZIEL_DP_AUSRICHTUNG_TYPE_CLASS = 287;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZIEL_DP_AUSRICHTUNG_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZIEL_DP_AUSRICHTUNG_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Ziel DP Ausrichtung Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZIEL_DP_AUSRICHTUNG_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Ziel DP Ausrichtung Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZIEL_DP_AUSRICHTUNG_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Ziel_Ist_Fahrwegende_TypeClassImpl <em>Ziel Ist Fahrwegende Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Ziel_Ist_Fahrwegende_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getZiel_Ist_Fahrwegende_TypeClass()
	 * @generated
	 */
	int ZIEL_IST_FAHRWEGENDE_TYPE_CLASS = 288;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZIEL_IST_FAHRWEGENDE_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZIEL_IST_FAHRWEGENDE_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Ziel Ist Fahrwegende Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZIEL_IST_FAHRWEGENDE_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Ziel Ist Fahrwegende Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZIEL_IST_FAHRWEGENDE_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Ziel_W_Element_AttributeGroupImpl <em>Ziel WElement Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Ziel_W_Element_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getZiel_W_Element_AttributeGroup()
	 * @generated
	 */
	int ZIEL_WELEMENT_ATTRIBUTE_GROUP = 289;

	/**
	 * The feature id for the '<em><b>ID Ziel WElement</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZIEL_WELEMENT_ATTRIBUTE_GROUP__ID_ZIEL_WELEMENT = 0;

	/**
	 * The feature id for the '<em><b>WAnschluss</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZIEL_WELEMENT_ATTRIBUTE_GROUP__WANSCHLUSS = 1;

	/**
	 * The number of structural features of the '<em>Ziel WElement Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZIEL_WELEMENT_ATTRIBUTE_GROUP_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>Ziel WElement Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZIEL_WELEMENT_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ZLA_TypeClassImpl <em>ZLA Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ZLA_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getZLA_TypeClass()
	 * @generated
	 */
	int ZLA_TYPE_CLASS = 290;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLA_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLA_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>ZLA Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLA_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>ZLA Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLA_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ZUB_BereichsgrenzeImpl <em>ZUB Bereichsgrenze</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ZUB_BereichsgrenzeImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getZUB_Bereichsgrenze()
	 * @generated
	 */
	int ZUB_BEREICHSGRENZE = 291;

	/**
	 * The feature id for the '<em><b>Identitaet</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE__IDENTITAET = BasisobjektePackage.PUNKT_OBJEKT__IDENTITAET;

	/**
	 * The feature id for the '<em><b>Basis Objekt Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE__BASIS_OBJEKT_ALLG = BasisobjektePackage.PUNKT_OBJEKT__BASIS_OBJEKT_ALLG;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE__ID_BEARBEITUNGSVERMERK = BasisobjektePackage.PUNKT_OBJEKT__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>ID Oertlichkeit Ausgabe</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE__ID_OERTLICHKEIT_AUSGABE = BasisobjektePackage.PUNKT_OBJEKT__ID_OERTLICHKEIT_AUSGABE;

	/**
	 * The feature id for the '<em><b>Objektreferenzen</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE__OBJEKTREFERENZEN = BasisobjektePackage.PUNKT_OBJEKT__OBJEKTREFERENZEN;

	/**
	 * The feature id for the '<em><b>Punkt Objekt Strecke</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE__PUNKT_OBJEKT_STRECKE = BasisobjektePackage.PUNKT_OBJEKT__PUNKT_OBJEKT_STRECKE;

	/**
	 * The feature id for the '<em><b>Punkt Objekt TOP Kante</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE__PUNKT_OBJEKT_TOP_KANTE = BasisobjektePackage.PUNKT_OBJEKT__PUNKT_OBJEKT_TOP_KANTE;

	/**
	 * The feature id for the '<em><b>Bezeichnung</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE__BEZEICHNUNG = BasisobjektePackage.PUNKT_OBJEKT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>ID Oertlichkeit</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE__ID_OERTLICHKEIT = BasisobjektePackage.PUNKT_OBJEKT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>ZUB Bereichsgrenze Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE__ZUB_BEREICHSGRENZE_ALLG = BasisobjektePackage.PUNKT_OBJEKT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>ZUB Bereichsgrenze Nach ESG</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE__ZUB_BEREICHSGRENZE_NACH_ESG = BasisobjektePackage.PUNKT_OBJEKT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>ZUB Bereichsgrenze Nach GNT</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE__ZUB_BEREICHSGRENZE_NACH_GNT = BasisobjektePackage.PUNKT_OBJEKT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>ZUB Bereichsgrenze Nach L2</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE__ZUB_BEREICHSGRENZE_NACH_L2 = BasisobjektePackage.PUNKT_OBJEKT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>ZUB Bereichsgrenze Nach LZB</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE__ZUB_BEREICHSGRENZE_NACH_LZB = BasisobjektePackage.PUNKT_OBJEKT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>ZUB Bereichsgrenze Nach Ohne</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE__ZUB_BEREICHSGRENZE_NACH_OHNE = BasisobjektePackage.PUNKT_OBJEKT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>ZUB Bereichsgrenze Nach PZB</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE__ZUB_BEREICHSGRENZE_NACH_PZB = BasisobjektePackage.PUNKT_OBJEKT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>ZUB Bereichsgrenze Nach Sonstige</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE__ZUB_BEREICHSGRENZE_NACH_SONSTIGE = BasisobjektePackage.PUNKT_OBJEKT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>ZUB Bereichsgrenze Nach ZBS</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE__ZUB_BEREICHSGRENZE_NACH_ZBS = BasisobjektePackage.PUNKT_OBJEKT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>ZUB Bgrenze RBC Wechsel</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE__ZUB_BGRENZE_RBC_WECHSEL = BasisobjektePackage.PUNKT_OBJEKT_FEATURE_COUNT + 11;

	/**
	 * The number of structural features of the '<em>ZUB Bereichsgrenze</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE_FEATURE_COUNT = BasisobjektePackage.PUNKT_OBJEKT_FEATURE_COUNT + 12;

	/**
	 * The number of operations of the '<em>ZUB Bereichsgrenze</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE_OPERATION_COUNT = BasisobjektePackage.PUNKT_OBJEKT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ZUB_Bereichsgrenze_Allg_AttributeGroupImpl <em>ZUB Bereichsgrenze Allg Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ZUB_Bereichsgrenze_Allg_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getZUB_Bereichsgrenze_Allg_AttributeGroup()
	 * @generated
	 */
	int ZUB_BEREICHSGRENZE_ALLG_ATTRIBUTE_GROUP = 292;

	/**
	 * The feature id for the '<em><b>ID Element Grenze</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE_ALLG_ATTRIBUTE_GROUP__ID_ELEMENT_GRENZE = 0;

	/**
	 * The feature id for the '<em><b>IDRBC Vor Grenze</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE_ALLG_ATTRIBUTE_GROUP__IDRBC_VOR_GRENZE = 1;

	/**
	 * The feature id for the '<em><b>System Vor Grenze</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE_ALLG_ATTRIBUTE_GROUP__SYSTEM_VOR_GRENZE = 2;

	/**
	 * The feature id for the '<em><b>System Vor Grenze Besonders</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE_ALLG_ATTRIBUTE_GROUP__SYSTEM_VOR_GRENZE_BESONDERS = 3;

	/**
	 * The number of structural features of the '<em>ZUB Bereichsgrenze Allg Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE_ALLG_ATTRIBUTE_GROUP_FEATURE_COUNT = 4;

	/**
	 * The number of operations of the '<em>ZUB Bereichsgrenze Allg Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE_ALLG_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ZUB_Bereichsgrenze_Bezeichnung_AttributeGroupImpl <em>ZUB Bereichsgrenze Bezeichnung Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ZUB_Bereichsgrenze_Bezeichnung_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getZUB_Bereichsgrenze_Bezeichnung_AttributeGroup()
	 * @generated
	 */
	int ZUB_BEREICHSGRENZE_BEZEICHNUNG_ATTRIBUTE_GROUP = 293;

	/**
	 * The feature id for the '<em><b>Bez ZUB Bereichsgrenze</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE_BEZEICHNUNG_ATTRIBUTE_GROUP__BEZ_ZUB_BEREICHSGRENZE = 0;

	/**
	 * The number of structural features of the '<em>ZUB Bereichsgrenze Bezeichnung Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE_BEZEICHNUNG_ATTRIBUTE_GROUP_FEATURE_COUNT = 1;

	/**
	 * The number of operations of the '<em>ZUB Bereichsgrenze Bezeichnung Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE_BEZEICHNUNG_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ZUB_Bereichsgrenze_Nach_ESG_AttributeGroupImpl <em>ZUB Bereichsgrenze Nach ESG Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ZUB_Bereichsgrenze_Nach_ESG_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getZUB_Bereichsgrenze_Nach_ESG_AttributeGroup()
	 * @generated
	 */
	int ZUB_BEREICHSGRENZE_NACH_ESG_ATTRIBUTE_GROUP = 294;

	/**
	 * The feature id for the '<em><b>Bgrenze Nach ESG Bed Ausstieg</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE_NACH_ESG_ATTRIBUTE_GROUP__BGRENZE_NACH_ESG_BED_AUSSTIEG = 0;

	/**
	 * The feature id for the '<em><b>Harter Ausstieg Aus L2</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE_NACH_ESG_ATTRIBUTE_GROUP__HARTER_AUSSTIEG_AUS_L2 = 1;

	/**
	 * The feature id for the '<em><b>Prioritaet</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE_NACH_ESG_ATTRIBUTE_GROUP__PRIORITAET = 2;

	/**
	 * The number of structural features of the '<em>ZUB Bereichsgrenze Nach ESG Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE_NACH_ESG_ATTRIBUTE_GROUP_FEATURE_COUNT = 3;

	/**
	 * The number of operations of the '<em>ZUB Bereichsgrenze Nach ESG Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE_NACH_ESG_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ZUB_Bereichsgrenze_Nach_GNT_TypeClassImpl <em>ZUB Bereichsgrenze Nach GNT Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ZUB_Bereichsgrenze_Nach_GNT_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getZUB_Bereichsgrenze_Nach_GNT_TypeClass()
	 * @generated
	 */
	int ZUB_BEREICHSGRENZE_NACH_GNT_TYPE_CLASS = 295;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE_NACH_GNT_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE_NACH_GNT_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>ZUB Bereichsgrenze Nach GNT Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE_NACH_GNT_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>ZUB Bereichsgrenze Nach GNT Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE_NACH_GNT_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ZUB_Bereichsgrenze_Nach_L2_AttributeGroupImpl <em>ZUB Bereichsgrenze Nach L2 Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ZUB_Bereichsgrenze_Nach_L2_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getZUB_Bereichsgrenze_Nach_L2_AttributeGroup()
	 * @generated
	 */
	int ZUB_BEREICHSGRENZE_NACH_L2_ATTRIBUTE_GROUP = 296;

	/**
	 * The feature id for the '<em><b>Abstand Grenze Bereich C</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE_NACH_L2_ATTRIBUTE_GROUP__ABSTAND_GRENZE_BEREICH_C = 0;

	/**
	 * The feature id for the '<em><b>Baseline System Version</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE_NACH_L2_ATTRIBUTE_GROUP__BASELINE_SYSTEM_VERSION = 1;

	/**
	 * The feature id for the '<em><b>Bgrenze Nach L2 Bed Einstieg</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE_NACH_L2_ATTRIBUTE_GROUP__BGRENZE_NACH_L2_BED_EINSTIEG = 2;

	/**
	 * The feature id for the '<em><b>Einstieg Ohne Rueckw Sig</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE_NACH_L2_ATTRIBUTE_GROUP__EINSTIEG_OHNE_RUECKW_SIG = 3;

	/**
	 * The feature id for the '<em><b>IDRBC Nach Grenze</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE_NACH_L2_ATTRIBUTE_GROUP__IDRBC_NACH_GRENZE = 4;

	/**
	 * The feature id for the '<em><b>ID Signal Zufahrtsicherung L2o S</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE_NACH_L2_ATTRIBUTE_GROUP__ID_SIGNAL_ZUFAHRTSICHERUNG_L2O_S = 5;

	/**
	 * The feature id for the '<em><b>Prioritaet</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE_NACH_L2_ATTRIBUTE_GROUP__PRIORITAET = 6;

	/**
	 * The feature id for the '<em><b>ZUB Bereichsgrenze Nach L2 Von ESG</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE_NACH_L2_ATTRIBUTE_GROUP__ZUB_BEREICHSGRENZE_NACH_L2_VON_ESG = 7;

	/**
	 * The number of structural features of the '<em>ZUB Bereichsgrenze Nach L2 Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE_NACH_L2_ATTRIBUTE_GROUP_FEATURE_COUNT = 8;

	/**
	 * The number of operations of the '<em>ZUB Bereichsgrenze Nach L2 Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE_NACH_L2_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ZUB_Bereichsgrenze_Nach_L2_Von_ESG_AttributeGroupImpl <em>ZUB Bereichsgrenze Nach L2 Von ESG Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ZUB_Bereichsgrenze_Nach_L2_Von_ESG_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getZUB_Bereichsgrenze_Nach_L2_Von_ESG_AttributeGroup()
	 * @generated
	 */
	int ZUB_BEREICHSGRENZE_NACH_L2_VON_ESG_ATTRIBUTE_GROUP = 297;

	/**
	 * The feature id for the '<em><b>Abstand Datenpunkt EHEM Folgesignal</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE_NACH_L2_VON_ESG_ATTRIBUTE_GROUP__ABSTAND_DATENPUNKT_EHEM_FOLGESIGNAL = 0;

	/**
	 * The feature id for the '<em><b>Abstand Datenpunkt EPTPI</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE_NACH_L2_VON_ESG_ATTRIBUTE_GROUP__ABSTAND_DATENPUNKT_EPTPI = 1;

	/**
	 * The feature id for the '<em><b>Abstand Datenpunkt TPI Folgesignal</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE_NACH_L2_VON_ESG_ATTRIBUTE_GROUP__ABSTAND_DATENPUNKT_TPI_FOLGESIGNAL = 2;

	/**
	 * The feature id for the '<em><b>ID Fachtelegramm</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE_NACH_L2_VON_ESG_ATTRIBUTE_GROUP__ID_FACHTELEGRAMM = 3;

	/**
	 * The feature id for the '<em><b>ID Folgesignal</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE_NACH_L2_VON_ESG_ATTRIBUTE_GROUP__ID_FOLGESIGNAL = 4;

	/**
	 * The number of structural features of the '<em>ZUB Bereichsgrenze Nach L2 Von ESG Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE_NACH_L2_VON_ESG_ATTRIBUTE_GROUP_FEATURE_COUNT = 5;

	/**
	 * The number of operations of the '<em>ZUB Bereichsgrenze Nach L2 Von ESG Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE_NACH_L2_VON_ESG_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ZUB_Bereichsgrenze_Nach_LZB_AttributeGroupImpl <em>ZUB Bereichsgrenze Nach LZB Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ZUB_Bereichsgrenze_Nach_LZB_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getZUB_Bereichsgrenze_Nach_LZB_AttributeGroup()
	 * @generated
	 */
	int ZUB_BEREICHSGRENZE_NACH_LZB_ATTRIBUTE_GROUP = 298;

	/**
	 * The feature id for the '<em><b>Bgrenze Nach LZB Bed Einstieg</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE_NACH_LZB_ATTRIBUTE_GROUP__BGRENZE_NACH_LZB_BED_EINSTIEG = 0;

	/**
	 * The feature id for the '<em><b>Harter Ausstieg Aus L2</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE_NACH_LZB_ATTRIBUTE_GROUP__HARTER_AUSSTIEG_AUS_L2 = 1;

	/**
	 * The feature id for the '<em><b>Prioritaet</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE_NACH_LZB_ATTRIBUTE_GROUP__PRIORITAET = 2;

	/**
	 * The number of structural features of the '<em>ZUB Bereichsgrenze Nach LZB Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE_NACH_LZB_ATTRIBUTE_GROUP_FEATURE_COUNT = 3;

	/**
	 * The number of operations of the '<em>ZUB Bereichsgrenze Nach LZB Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE_NACH_LZB_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ZUB_Bereichsgrenze_Nach_Ohne_AttributeGroupImpl <em>ZUB Bereichsgrenze Nach Ohne Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ZUB_Bereichsgrenze_Nach_Ohne_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getZUB_Bereichsgrenze_Nach_Ohne_AttributeGroup()
	 * @generated
	 */
	int ZUB_BEREICHSGRENZE_NACH_OHNE_ATTRIBUTE_GROUP = 299;

	/**
	 * The feature id for the '<em><b>Bgrenze Nach Ohne Bed Einstieg</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE_NACH_OHNE_ATTRIBUTE_GROUP__BGRENZE_NACH_OHNE_BED_EINSTIEG = 0;

	/**
	 * The number of structural features of the '<em>ZUB Bereichsgrenze Nach Ohne Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE_NACH_OHNE_ATTRIBUTE_GROUP_FEATURE_COUNT = 1;

	/**
	 * The number of operations of the '<em>ZUB Bereichsgrenze Nach Ohne Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE_NACH_OHNE_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ZUB_Bereichsgrenze_Nach_PZB_AttributeGroupImpl <em>ZUB Bereichsgrenze Nach PZB Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ZUB_Bereichsgrenze_Nach_PZB_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getZUB_Bereichsgrenze_Nach_PZB_AttributeGroup()
	 * @generated
	 */
	int ZUB_BEREICHSGRENZE_NACH_PZB_ATTRIBUTE_GROUP = 300;

	/**
	 * The feature id for the '<em><b>Bgrenze Nach PZB Bed Einstieg</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE_NACH_PZB_ATTRIBUTE_GROUP__BGRENZE_NACH_PZB_BED_EINSTIEG = 0;

	/**
	 * The feature id for the '<em><b>Harter Ausstieg Aus L2</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE_NACH_PZB_ATTRIBUTE_GROUP__HARTER_AUSSTIEG_AUS_L2 = 1;

	/**
	 * The feature id for the '<em><b>Prioritaet</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE_NACH_PZB_ATTRIBUTE_GROUP__PRIORITAET = 2;

	/**
	 * The number of structural features of the '<em>ZUB Bereichsgrenze Nach PZB Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE_NACH_PZB_ATTRIBUTE_GROUP_FEATURE_COUNT = 3;

	/**
	 * The number of operations of the '<em>ZUB Bereichsgrenze Nach PZB Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE_NACH_PZB_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ZUB_Bereichsgrenze_Nach_Sonstige_AttributeGroupImpl <em>ZUB Bereichsgrenze Nach Sonstige Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ZUB_Bereichsgrenze_Nach_Sonstige_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getZUB_Bereichsgrenze_Nach_Sonstige_AttributeGroup()
	 * @generated
	 */
	int ZUB_BEREICHSGRENZE_NACH_SONSTIGE_ATTRIBUTE_GROUP = 301;

	/**
	 * The feature id for the '<em><b>Bezeichnung ZUB</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE_NACH_SONSTIGE_ATTRIBUTE_GROUP__BEZEICHNUNG_ZUB = 0;

	/**
	 * The feature id for the '<em><b>Laenge Ausfuehrungsbereich</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE_NACH_SONSTIGE_ATTRIBUTE_GROUP__LAENGE_AUSFUEHRUNGSBEREICH = 1;

	/**
	 * The number of structural features of the '<em>ZUB Bereichsgrenze Nach Sonstige Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE_NACH_SONSTIGE_ATTRIBUTE_GROUP_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>ZUB Bereichsgrenze Nach Sonstige Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE_NACH_SONSTIGE_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ZUB_Bereichsgrenze_Nach_ZBS_AttributeGroupImpl <em>ZUB Bereichsgrenze Nach ZBS Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ZUB_Bereichsgrenze_Nach_ZBS_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getZUB_Bereichsgrenze_Nach_ZBS_AttributeGroup()
	 * @generated
	 */
	int ZUB_BEREICHSGRENZE_NACH_ZBS_ATTRIBUTE_GROUP = 302;

	/**
	 * The feature id for the '<em><b>Bgrenze Nach ZBS Bed Einstieg</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE_NACH_ZBS_ATTRIBUTE_GROUP__BGRENZE_NACH_ZBS_BED_EINSTIEG = 0;

	/**
	 * The number of structural features of the '<em>ZUB Bereichsgrenze Nach ZBS Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE_NACH_ZBS_ATTRIBUTE_GROUP_FEATURE_COUNT = 1;

	/**
	 * The number of operations of the '<em>ZUB Bereichsgrenze Nach ZBS Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BEREICHSGRENZE_NACH_ZBS_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ZUB_Bgrenze_RBC_Wechsel_AttributeGroupImpl <em>ZUB Bgrenze RBC Wechsel Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ZUB_Bgrenze_RBC_Wechsel_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getZUB_Bgrenze_RBC_Wechsel_AttributeGroup()
	 * @generated
	 */
	int ZUB_BGRENZE_RBC_WECHSEL_ATTRIBUTE_GROUP = 303;

	/**
	 * The feature id for the '<em><b>Bgrenze RBC Wechsel BTS Kette</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BGRENZE_RBC_WECHSEL_ATTRIBUTE_GROUP__BGRENZE_RBC_WECHSEL_BTS_KETTE = 0;

	/**
	 * The feature id for the '<em><b>IDRBC Nach Grenze</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BGRENZE_RBC_WECHSEL_ATTRIBUTE_GROUP__IDRBC_NACH_GRENZE = 1;

	/**
	 * The number of structural features of the '<em>ZUB Bgrenze RBC Wechsel Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BGRENZE_RBC_WECHSEL_ATTRIBUTE_GROUP_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>ZUB Bgrenze RBC Wechsel Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_BGRENZE_RBC_WECHSEL_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ZUB_SE_Ausruestung_AttributeGroupImpl <em>ZUB SE Ausruestung Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ZUB_SE_Ausruestung_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getZUB_SE_Ausruestung_AttributeGroup()
	 * @generated
	 */
	int ZUB_SE_AUSRUESTUNG_ATTRIBUTE_GROUP = 304;

	/**
	 * The feature id for the '<em><b>Anwendungssystem</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_SE_AUSRUESTUNG_ATTRIBUTE_GROUP__ANWENDUNGSSYSTEM = 0;

	/**
	 * The feature id for the '<em><b>Baseline System Version</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_SE_AUSRUESTUNG_ATTRIBUTE_GROUP__BASELINE_SYSTEM_VERSION = 1;

	/**
	 * The number of structural features of the '<em>ZUB SE Ausruestung Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_SE_AUSRUESTUNG_ATTRIBUTE_GROUP_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>ZUB SE Ausruestung Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_SE_AUSRUESTUNG_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ZUB_StreckeneigenschaftImpl <em>ZUB Streckeneigenschaft</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ZUB_StreckeneigenschaftImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getZUB_Streckeneigenschaft()
	 * @generated
	 */
	int ZUB_STRECKENEIGENSCHAFT = 305;

	/**
	 * The feature id for the '<em><b>Identitaet</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_STRECKENEIGENSCHAFT__IDENTITAET = BasisobjektePackage.BEREICH_OBJEKT__IDENTITAET;

	/**
	 * The feature id for the '<em><b>Basis Objekt Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_STRECKENEIGENSCHAFT__BASIS_OBJEKT_ALLG = BasisobjektePackage.BEREICH_OBJEKT__BASIS_OBJEKT_ALLG;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_STRECKENEIGENSCHAFT__ID_BEARBEITUNGSVERMERK = BasisobjektePackage.BEREICH_OBJEKT__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>ID Oertlichkeit Ausgabe</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_STRECKENEIGENSCHAFT__ID_OERTLICHKEIT_AUSGABE = BasisobjektePackage.BEREICH_OBJEKT__ID_OERTLICHKEIT_AUSGABE;

	/**
	 * The feature id for the '<em><b>Objektreferenzen</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_STRECKENEIGENSCHAFT__OBJEKTREFERENZEN = BasisobjektePackage.BEREICH_OBJEKT__OBJEKTREFERENZEN;

	/**
	 * The feature id for the '<em><b>Bereich Objekt Teilbereich</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_STRECKENEIGENSCHAFT__BEREICH_OBJEKT_TEILBEREICH = BasisobjektePackage.BEREICH_OBJEKT__BEREICH_OBJEKT_TEILBEREICH;

	/**
	 * The feature id for the '<em><b>Bezeichnung</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_STRECKENEIGENSCHAFT__BEZEICHNUNG = BasisobjektePackage.BEREICH_OBJEKT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Metallteil</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_STRECKENEIGENSCHAFT__METALLTEIL = BasisobjektePackage.BEREICH_OBJEKT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Oberstrombegrenzung Gueterzug</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_STRECKENEIGENSCHAFT__OBERSTROMBEGRENZUNG_GUETERZUG = BasisobjektePackage.BEREICH_OBJEKT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Oberstrombegrenzung Reisezug</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_STRECKENEIGENSCHAFT__OBERSTROMBEGRENZUNG_REISEZUG = BasisobjektePackage.BEREICH_OBJEKT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Verbot Anhalten</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_STRECKENEIGENSCHAFT__VERBOT_ANHALTEN = BasisobjektePackage.BEREICH_OBJEKT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Verbot Regenerative Bremse</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_STRECKENEIGENSCHAFT__VERBOT_REGENERATIVE_BREMSE = BasisobjektePackage.BEREICH_OBJEKT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Verbot WB Art</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_STRECKENEIGENSCHAFT__VERBOT_WB_ART = BasisobjektePackage.BEREICH_OBJEKT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>ZUBSE Ausruestung</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_STRECKENEIGENSCHAFT__ZUBSE_AUSRUESTUNG = BasisobjektePackage.BEREICH_OBJEKT_FEATURE_COUNT + 7;

	/**
	 * The number of structural features of the '<em>ZUB Streckeneigenschaft</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_STRECKENEIGENSCHAFT_FEATURE_COUNT = BasisobjektePackage.BEREICH_OBJEKT_FEATURE_COUNT + 8;

	/**
	 * The number of operations of the '<em>ZUB Streckeneigenschaft</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_STRECKENEIGENSCHAFT_OPERATION_COUNT = BasisobjektePackage.BEREICH_OBJEKT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ZUB_Streckeneigenschaft_Bezeichnung_AttributeGroupImpl <em>ZUB Streckeneigenschaft Bezeichnung Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.ZUB_Streckeneigenschaft_Bezeichnung_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getZUB_Streckeneigenschaft_Bezeichnung_AttributeGroup()
	 * @generated
	 */
	int ZUB_STRECKENEIGENSCHAFT_BEZEICHNUNG_ATTRIBUTE_GROUP = 306;

	/**
	 * The feature id for the '<em><b>Bezeichnung ZUBSE</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_STRECKENEIGENSCHAFT_BEZEICHNUNG_ATTRIBUTE_GROUP__BEZEICHNUNG_ZUBSE = 0;

	/**
	 * The number of structural features of the '<em>ZUB Streckeneigenschaft Bezeichnung Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_STRECKENEIGENSCHAFT_BEZEICHNUNG_ATTRIBUTE_GROUP_FEATURE_COUNT = 1;

	/**
	 * The number of operations of the '<em>ZUB Streckeneigenschaft Bezeichnung Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUB_STRECKENEIGENSCHAFT_BEZEICHNUNG_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMArtBedingung <em>ENUM Art Bedingung</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMArtBedingung
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMArtBedingung()
	 * @generated
	 */
	int ENUM_ART_BEDINGUNG = 307;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMAusstiegETCSSperre <em>ENUM Ausstieg ETCS Sperre</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMAusstiegETCSSperre
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMAusstiegETCSSperre()
	 * @generated
	 */
	int ENUM_AUSSTIEG_ETCS_SPERRE = 308;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMBalisenhalter <em>ENUM Balisenhalter</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMBalisenhalter
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMBalisenhalter()
	 * @generated
	 */
	int ENUM_BALISENHALTER = 309;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPATO <em>ENUMDPATO</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPATO
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMDPATO()
	 * @generated
	 */
	int ENUMDPATO = 310;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPBezugFunktionalArt <em>ENUMDP Bezug Funktional Art</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPBezugFunktionalArt
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMDPBezugFunktionalArt()
	 * @generated
	 */
	int ENUMDP_BEZUG_FUNKTIONAL_ART = 311;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPLinkArt <em>ENUMDP Link Art</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPLinkArt
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMDPLinkArt()
	 * @generated
	 */
	int ENUMDP_LINK_ART = 312;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPTypArt <em>ENUMDP Typ Art</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPTypArt
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMDPTypArt()
	 * @generated
	 */
	int ENUMDP_TYP_ART = 313;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPTypESG <em>ENUMDP Typ ESG</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPTypESG
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMDPTypESG()
	 * @generated
	 */
	int ENUMDP_TYP_ESG = 314;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPTypGNT <em>ENUMDP Typ GNT</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPTypGNT
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMDPTypGNT()
	 * @generated
	 */
	int ENUMDP_TYP_GNT = 315;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPTypTrans <em>ENUMDP Typ Trans</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPTypTrans
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMDPTypTrans()
	 * @generated
	 */
	int ENUMDP_TYP_TRANS = 316;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPTypZBS <em>ENUMDP Typ ZBS</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPTypZBS
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMDPTypZBS()
	 * @generated
	 */
	int ENUMDP_TYP_ZBS = 317;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMEinzeldateiArt <em>ENUM Einzeldatei Art</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMEinzeldateiArt
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMEinzeldateiArt()
	 * @generated
	 */
	int ENUM_EINZELDATEI_ART = 318;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMEnergieEingangArt <em>ENUM Energie Eingang Art</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMEnergieEingangArt
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMEnergieEingangArt()
	 * @generated
	 */
	int ENUM_ENERGIE_EINGANG_ART = 319;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMETCSKnotenArtSonstige <em>ENUMETCS Knoten Art Sonstige</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMETCSKnotenArtSonstige
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMETCSKnotenArtSonstige()
	 * @generated
	 */
	int ENUMETCS_KNOTEN_ART_SONSTIGE = 320;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMEVModulArt <em>ENUMEV Modul Art</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMEVModulArt
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMEVModulArt()
	 * @generated
	 */
	int ENUMEV_MODUL_ART = 321;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMFTGNTPunktart <em>ENUMFTGNT Punktart</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMFTGNTPunktart
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMFTGNTPunktart()
	 * @generated
	 */
	int ENUMFTGNT_PUNKTART = 322;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMFTHinweisFunktion <em>ENUMFT Hinweis Funktion</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMFTHinweisFunktion
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMFTHinweisFunktion()
	 * @generated
	 */
	int ENUMFT_HINWEIS_FUNKTION = 323;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMFTZBSTyp <em>ENUMFTZBS Typ</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMFTZBSTyp
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMFTZBSTyp()
	 * @generated
	 */
	int ENUMFTZBS_TYP = 324;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMLEUArt <em>ENUMLEU Art</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMLEUArt
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMLEUArt()
	 * @generated
	 */
	int ENUMLEU_ART = 325;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMMLEVELTR <em>ENUMMLEVELTR</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMMLEVELTR
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMMLEVELTR()
	 * @generated
	 */
	int ENUMMLEVELTR = 326;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMNIDSTM <em>ENUMNIDSTM</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMNIDSTM
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMNIDSTM()
	 * @generated
	 */
	int ENUMNIDSTM = 327;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMPosition <em>ENUM Position</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMPosition
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMPosition()
	 * @generated
	 */
	int ENUM_POSITION = 328;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMSBE <em>ENUMSBE</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMSBE
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMSBE()
	 * @generated
	 */
	int ENUMSBE = 329;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMSpannungArt <em>ENUM Spannung Art</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMSpannungArt
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMSpannungArt()
	 * @generated
	 */
	int ENUM_SPANNUNG_ART = 330;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMStandortangabeBalisenschild <em>ENUM Standortangabe Balisenschild</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMStandortangabeBalisenschild
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMStandortangabeBalisenschild()
	 * @generated
	 */
	int ENUM_STANDORTANGABE_BALISENSCHILD = 331;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMSTZ <em>ENUMSTZ</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMSTZ
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMSTZ()
	 * @generated
	 */
	int ENUMSTZ = 332;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMVerbotWBArt <em>ENUM Verbot WB Art</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMVerbotWBArt
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMVerbotWBArt()
	 * @generated
	 */
	int ENUM_VERBOT_WB_ART = 333;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMVerwendungAlsRueckfall <em>ENUM Verwendung Als Rueckfall</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMVerwendungAlsRueckfall
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMVerwendungAlsRueckfall()
	 * @generated
	 */
	int ENUM_VERWENDUNG_ALS_RUECKFALL = 334;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMWAnschluss <em>ENUMW Anschluss</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMWAnschluss
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMWAnschluss()
	 * @generated
	 */
	int ENUMW_ANSCHLUSS = 335;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMZBSReaktion <em>ENUMZBS Reaktion</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMZBSReaktion
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMZBSReaktion()
	 * @generated
	 */
	int ENUMZBS_REAKTION = 336;

	/**
	 * The meta object id for the '<em>Abstand Bes Langer Einfahrweg Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigDecimal
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getAbstand_Bes_Langer_Einfahrweg_Type()
	 * @generated
	 */
	int ABSTAND_BES_LANGER_EINFAHRWEG_TYPE = 337;

	/**
	 * The meta object id for the '<em>Abstand Datenpunkt EH EM Folgesignal Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigDecimal
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getAbstand_Datenpunkt_EH_EM_Folgesignal_Type()
	 * @generated
	 */
	int ABSTAND_DATENPUNKT_EH_EM_FOLGESIGNAL_TYPE = 338;

	/**
	 * The meta object id for the '<em>Abstand Datenpunkt EP TPI Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigDecimal
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getAbstand_Datenpunkt_EP_TPI_Type()
	 * @generated
	 */
	int ABSTAND_DATENPUNKT_EP_TPI_TYPE = 339;

	/**
	 * The meta object id for the '<em>Abstand Datenpunkt TPI Folgesignal Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigDecimal
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getAbstand_Datenpunkt_TPI_Folgesignal_Type()
	 * @generated
	 */
	int ABSTAND_DATENPUNKT_TPI_FOLGESIGNAL_TYPE = 340;

	/**
	 * The meta object id for the '<em>Abstand Einmesspunkt Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigDecimal
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getAbstand_Einmesspunkt_Type()
	 * @generated
	 */
	int ABSTAND_EINMESSPUNKT_TYPE = 341;

	/**
	 * The meta object id for the '<em>Abstand Grenze Bereich CType</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigDecimal
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getAbstand_Grenze_Bereich_C_Type()
	 * @generated
	 */
	int ABSTAND_GRENZE_BEREICH_CTYPE = 342;

	/**
	 * The meta object id for the '<em>Anlagenteil Sonstige Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getAnlagenteil_Sonstige_Type()
	 * @generated
	 */
	int ANLAGENTEIL_SONSTIGE_TYPE = 343;

	/**
	 * The meta object id for the '<em>Anordnung Im DP Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getAnordnung_Im_DP_Type()
	 * @generated
	 */
	int ANORDNUNG_IM_DP_TYPE = 344;

	/**
	 * The meta object id for the '<em>Anwendung Sonst Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getAnwendung_Sonst_Type()
	 * @generated
	 */
	int ANWENDUNG_SONST_TYPE = 345;

	/**
	 * The meta object id for the '<em>Anzahl Voll LEU Kalkuliert Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getAnzahl_Voll_LEU_Kalkuliert_Type()
	 * @generated
	 */
	int ANZAHL_VOLL_LEU_KALKULIERT_TYPE = 346;

	/**
	 * The meta object id for the '<em>Anzeigetext Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getAnzeigetext_Type()
	 * @generated
	 */
	int ANZEIGETEXT_TYPE = 347;

	/**
	 * The meta object id for the '<em>Ausgang Nr Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getAusgang_Nr_Type()
	 * @generated
	 */
	int AUSGANG_NR_TYPE = 348;

	/**
	 * The meta object id for the '<em>Balise Geraetestand Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getBalise_Geraetestand_Type()
	 * @generated
	 */
	int BALISE_GERAETESTAND_TYPE = 349;

	/**
	 * The meta object id for the '<em>Baseline System Version Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getBaseline_System_Version_Type()
	 * @generated
	 */
	int BASELINE_SYSTEM_VERSION_TYPE = 350;

	/**
	 * The meta object id for the '<em>Bedingung Weichenlage Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.BasisTypen.ENUMLinksRechts
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getBedingung_Weichenlage_Type()
	 * @generated
	 */
	int BEDINGUNG_WEICHENLAGE_TYPE = 351;

	/**
	 * The meta object id for the '<em>Bez Strecke BTS 1Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getBez_Strecke_BTS_1_Type()
	 * @generated
	 */
	int BEZ_STRECKE_BTS_1TYPE = 352;

	/**
	 * The meta object id for the '<em>Bez Strecke BTS 2Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getBez_Strecke_BTS_2_Type()
	 * @generated
	 */
	int BEZ_STRECKE_BTS_2TYPE = 353;

	/**
	 * The meta object id for the '<em>Bez Strecke BTS 3Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getBez_Strecke_BTS_3_Type()
	 * @generated
	 */
	int BEZ_STRECKE_BTS_3TYPE = 354;

	/**
	 * The meta object id for the '<em>Bez ZUB Bereichsgrenze Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getBez_ZUB_Bereichsgrenze_Type()
	 * @generated
	 */
	int BEZ_ZUB_BEREICHSGRENZE_TYPE = 355;

	/**
	 * The meta object id for the '<em>Bezeichnung ETCS Kante Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getBezeichnung_ETCS_Kante_Type()
	 * @generated
	 */
	int BEZEICHNUNG_ETCS_KANTE_TYPE = 356;

	/**
	 * The meta object id for the '<em>Bezeichnung LEU Anlage Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getBezeichnung_LEU_Anlage_Type()
	 * @generated
	 */
	int BEZEICHNUNG_LEU_ANLAGE_TYPE = 357;

	/**
	 * The meta object id for the '<em>Bezeichnung ZUB SE Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getBezeichnung_ZUB_SE_Type()
	 * @generated
	 */
	int BEZEICHNUNG_ZUB_SE_TYPE = 358;

	/**
	 * The meta object id for the '<em>Bezeichnung ZUB Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getBezeichnung_ZUB_Type()
	 * @generated
	 */
	int BEZEICHNUNG_ZUB_TYPE = 359;

	/**
	 * The meta object id for the '<em>DLEVELTR Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigDecimal
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getD_LEVELTR_Type()
	 * @generated
	 */
	int DLEVELTR_TYPE = 360;

	/**
	 * The meta object id for the '<em>Dateityp Binaerdatei Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getDateityp_Binaerdatei_Type()
	 * @generated
	 */
	int DATEITYP_BINAERDATEI_TYPE = 361;

	/**
	 * The meta object id for the '<em>Datenpunkt Beschreibung Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getDatenpunkt_Beschreibung_Type()
	 * @generated
	 */
	int DATENPUNKT_BESCHREIBUNG_TYPE = 362;

	/**
	 * The meta object id for the '<em>Datenpunkt Laenge Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigDecimal
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getDatenpunkt_Laenge_Type()
	 * @generated
	 */
	int DATENPUNKT_LAENGE_TYPE = 363;

	/**
	 * The meta object id for the '<em>Delta VGES Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getDelta_VGES_Type()
	 * @generated
	 */
	int DELTA_VGES_TYPE = 364;

	/**
	 * The meta object id for the '<em>Delta VLES Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getDelta_VLES_Type()
	 * @generated
	 */
	int DELTA_VLES_TYPE = 365;

	/**
	 * The meta object id for the '<em>Delta VZES Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getDelta_VZES_Type()
	 * @generated
	 */
	int DELTA_VZES_TYPE = 366;

	/**
	 * The meta object id for the '<em>DP Typ ETCS Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getDP_Typ_ETCS_Type()
	 * @generated
	 */
	int DP_TYP_ETCS_TYPE = 367;

	/**
	 * The meta object id for the '<em>DP Typ Sonst Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getDP_Typ_Sonst_Type()
	 * @generated
	 */
	int DP_TYP_SONST_TYPE = 368;

	/**
	 * The meta object id for the '<em>DP Typ VLa Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getDP_Typ_V_La_Type()
	 * @generated
	 */
	int DP_TYP_VLA_TYPE = 369;

	/**
	 * The meta object id for the '<em>DWeg Intervall 200 Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigDecimal
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getDWeg_Intervall_200_Type()
	 * @generated
	 */
	int DWEG_INTERVALL_200_TYPE = 370;

	/**
	 * The meta object id for the '<em>DWeg Intervall 50 200 Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigDecimal
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getDWeg_Intervall_50_200_Type()
	 * @generated
	 */
	int DWEG_INTERVALL_50_200_TYPE = 371;

	/**
	 * The meta object id for the '<em>DWeg Intervall 50 Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigDecimal
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getDWeg_Intervall_50_Type()
	 * @generated
	 */
	int DWEG_INTERVALL_50_TYPE = 372;

	/**
	 * The meta object id for the '<em>ENUM Art Bedingung Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMArtBedingung
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMArtBedingungObject()
	 * @generated
	 */
	int ENUM_ART_BEDINGUNG_OBJECT = 373;

	/**
	 * The meta object id for the '<em>ENUM Ausstieg ETCS Sperre Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMAusstiegETCSSperre
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMAusstiegETCSSperreObject()
	 * @generated
	 */
	int ENUM_AUSSTIEG_ETCS_SPERRE_OBJECT = 374;

	/**
	 * The meta object id for the '<em>ENUM Balisenhalter Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMBalisenhalter
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMBalisenhalterObject()
	 * @generated
	 */
	int ENUM_BALISENHALTER_OBJECT = 375;

	/**
	 * The meta object id for the '<em>ENUMDPATO Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPATO
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMDPATOObject()
	 * @generated
	 */
	int ENUMDPATO_OBJECT = 376;

	/**
	 * The meta object id for the '<em>ENUMDP Bezug Funktional Art Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPBezugFunktionalArt
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMDPBezugFunktionalArtObject()
	 * @generated
	 */
	int ENUMDP_BEZUG_FUNKTIONAL_ART_OBJECT = 377;

	/**
	 * The meta object id for the '<em>ENUMDP Link Art Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPLinkArt
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMDPLinkArtObject()
	 * @generated
	 */
	int ENUMDP_LINK_ART_OBJECT = 378;

	/**
	 * The meta object id for the '<em>ENUMDP Typ Art Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPTypArt
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMDPTypArtObject()
	 * @generated
	 */
	int ENUMDP_TYP_ART_OBJECT = 379;

	/**
	 * The meta object id for the '<em>ENUMDP Typ ESG Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPTypESG
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMDPTypESGObject()
	 * @generated
	 */
	int ENUMDP_TYP_ESG_OBJECT = 380;

	/**
	 * The meta object id for the '<em>ENUMDP Typ GNT Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPTypGNT
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMDPTypGNTObject()
	 * @generated
	 */
	int ENUMDP_TYP_GNT_OBJECT = 381;

	/**
	 * The meta object id for the '<em>ENUMDP Typ Trans Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPTypTrans
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMDPTypTransObject()
	 * @generated
	 */
	int ENUMDP_TYP_TRANS_OBJECT = 382;

	/**
	 * The meta object id for the '<em>ENUMDP Typ ZBS Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPTypZBS
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMDPTypZBSObject()
	 * @generated
	 */
	int ENUMDP_TYP_ZBS_OBJECT = 383;

	/**
	 * The meta object id for the '<em>ENUM Einzeldatei Art Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMEinzeldateiArt
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMEinzeldateiArtObject()
	 * @generated
	 */
	int ENUM_EINZELDATEI_ART_OBJECT = 384;

	/**
	 * The meta object id for the '<em>ENUM Energie Eingang Art Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMEnergieEingangArt
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMEnergieEingangArtObject()
	 * @generated
	 */
	int ENUM_ENERGIE_EINGANG_ART_OBJECT = 385;

	/**
	 * The meta object id for the '<em>ENUMETCS Knoten Art Sonstige Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMETCSKnotenArtSonstige
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMETCSKnotenArtSonstigeObject()
	 * @generated
	 */
	int ENUMETCS_KNOTEN_ART_SONSTIGE_OBJECT = 386;

	/**
	 * The meta object id for the '<em>ENUMEV Modul Art Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMEVModulArt
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMEVModulArtObject()
	 * @generated
	 */
	int ENUMEV_MODUL_ART_OBJECT = 387;

	/**
	 * The meta object id for the '<em>ENUMFTGNT Punktart Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMFTGNTPunktart
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMFTGNTPunktartObject()
	 * @generated
	 */
	int ENUMFTGNT_PUNKTART_OBJECT = 388;

	/**
	 * The meta object id for the '<em>ENUMFT Hinweis Funktion Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMFTHinweisFunktion
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMFTHinweisFunktionObject()
	 * @generated
	 */
	int ENUMFT_HINWEIS_FUNKTION_OBJECT = 389;

	/**
	 * The meta object id for the '<em>ENUMFTZBS Typ Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMFTZBSTyp
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMFTZBSTypObject()
	 * @generated
	 */
	int ENUMFTZBS_TYP_OBJECT = 390;

	/**
	 * The meta object id for the '<em>ENUMLEU Art Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMLEUArt
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMLEUArtObject()
	 * @generated
	 */
	int ENUMLEU_ART_OBJECT = 391;

	/**
	 * The meta object id for the '<em>ENUMMLEVELTR Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMMLEVELTR
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMMLEVELTRObject()
	 * @generated
	 */
	int ENUMMLEVELTR_OBJECT = 392;

	/**
	 * The meta object id for the '<em>ENUMNIDSTM Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMNIDSTM
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMNIDSTMObject()
	 * @generated
	 */
	int ENUMNIDSTM_OBJECT = 393;

	/**
	 * The meta object id for the '<em>ENUM Position Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMPosition
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMPositionObject()
	 * @generated
	 */
	int ENUM_POSITION_OBJECT = 394;

	/**
	 * The meta object id for the '<em>ENUMSBE Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMSBE
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMSBEObject()
	 * @generated
	 */
	int ENUMSBE_OBJECT = 395;

	/**
	 * The meta object id for the '<em>ENUM Spannung Art Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMSpannungArt
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMSpannungArtObject()
	 * @generated
	 */
	int ENUM_SPANNUNG_ART_OBJECT = 396;

	/**
	 * The meta object id for the '<em>ENUM Standortangabe Balisenschild Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMStandortangabeBalisenschild
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMStandortangabeBalisenschildObject()
	 * @generated
	 */
	int ENUM_STANDORTANGABE_BALISENSCHILD_OBJECT = 397;

	/**
	 * The meta object id for the '<em>ENUMSTZ Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMSTZ
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMSTZObject()
	 * @generated
	 */
	int ENUMSTZ_OBJECT = 398;

	/**
	 * The meta object id for the '<em>ENUM Verbot WB Art Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMVerbotWBArt
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMVerbotWBArtObject()
	 * @generated
	 */
	int ENUM_VERBOT_WB_ART_OBJECT = 399;

	/**
	 * The meta object id for the '<em>ENUM Verwendung Als Rueckfall Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMVerwendungAlsRueckfall
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMVerwendungAlsRueckfallObject()
	 * @generated
	 */
	int ENUM_VERWENDUNG_ALS_RUECKFALL_OBJECT = 400;

	/**
	 * The meta object id for the '<em>ENUMW Anschluss Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMWAnschluss
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMWAnschlussObject()
	 * @generated
	 */
	int ENUMW_ANSCHLUSS_OBJECT = 401;

	/**
	 * The meta object id for the '<em>ENUMZBS Reaktion Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMZBSReaktion
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getENUMZBSReaktionObject()
	 * @generated
	 */
	int ENUMZBS_REAKTION_OBJECT = 402;

	/**
	 * The meta object id for the '<em>ESG Ind Erlaeuterung Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getESG_Ind_Erlaeuterung_Type()
	 * @generated
	 */
	int ESG_IND_ERLAEUTERUNG_TYPE = 403;

	/**
	 * The meta object id for the '<em>ESG Ind Parameter Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getESG_Ind_Parameter_Type()
	 * @generated
	 */
	int ESG_IND_PARAMETER_TYPE = 404;

	/**
	 * The meta object id for the '<em>ESG Ind Parameterwert Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getESG_Ind_Parameterwert_Type()
	 * @generated
	 */
	int ESG_IND_PARAMETERWERT_TYPE = 405;

	/**
	 * The meta object id for the '<em>ETCS Gefahrpunktabstand Abweichend Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigDecimal
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getETCS_Gefahrpunktabstand_Abweichend_Type()
	 * @generated
	 */
	int ETCS_GEFAHRPUNKTABSTAND_ABWEICHEND_TYPE = 406;

	/**
	 * The meta object id for the '<em>ETCS Paketnummer Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getETCS_Paketnummer_Type()
	 * @generated
	 */
	int ETCS_PAKETNUMMER_TYPE = 407;

	/**
	 * The meta object id for the '<em>ETCS Par Erlaeuterung Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getETCS_Par_Erlaeuterung_Type()
	 * @generated
	 */
	int ETCS_PAR_ERLAEUTERUNG_TYPE = 408;

	/**
	 * The meta object id for the '<em>ETCS Parametername Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getETCS_Parametername_Type()
	 * @generated
	 */
	int ETCS_PARAMETERNAME_TYPE = 409;

	/**
	 * The meta object id for the '<em>ETCS Parameterwert Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getETCS_Parameterwert_Type()
	 * @generated
	 */
	int ETCS_PARAMETERWERT_TYPE = 410;

	/**
	 * The meta object id for the '<em>ETCS System Version Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getETCS_System_Version_Type()
	 * @generated
	 */
	int ETCS_SYSTEM_VERSION_TYPE = 411;

	/**
	 * The meta object id for the '<em>EV Modul Typ Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getEV_Modul_Typ_Type()
	 * @generated
	 */
	int EV_MODUL_TYP_TYPE = 412;

	/**
	 * The meta object id for the '<em>Fabrikat Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getFabrikat_Type()
	 * @generated
	 */
	int FABRIKAT_TYPE = 413;

	/**
	 * The meta object id for the '<em>FT ESG Subtyp Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getFT_ESG_Subtyp_Type()
	 * @generated
	 */
	int FT_ESG_SUBTYP_TYPE = 414;

	/**
	 * The meta object id for the '<em>FT ESG Typ Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getFT_ESG_Typ_Type()
	 * @generated
	 */
	int FT_ESG_TYP_TYPE = 415;

	/**
	 * The meta object id for the '<em>FT ETCS L2 Typ Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getFT_ETCS_L2_Typ_Type()
	 * @generated
	 */
	int FT_ETCS_L2_TYP_TYPE = 416;

	/**
	 * The meta object id for the '<em>FW Teil Nummer Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getFW_Teil_Nummer_Type()
	 * @generated
	 */
	int FW_TEIL_NUMMER_TYPE = 417;

	/**
	 * The meta object id for the '<em>Gruppen ID Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getGruppen_ID_Type()
	 * @generated
	 */
	int GRUPPEN_ID_TYPE = 418;

	/**
	 * The meta object id for the '<em>Hinweis Balisenbefestigung Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getHinweis_Balisenbefestigung_Type()
	 * @generated
	 */
	int HINWEIS_BALISENBEFESTIGUNG_TYPE = 419;

	/**
	 * The meta object id for the '<em>Individualisierung Weitere Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getIndividualisierung_Weitere_Type()
	 * @generated
	 */
	int INDIVIDUALISIERUNG_WEITERE_TYPE = 420;

	/**
	 * The meta object id for the '<em>Km BTS 1Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getKm_BTS_1_Type()
	 * @generated
	 */
	int KM_BTS_1TYPE = 421;

	/**
	 * The meta object id for the '<em>Km BTS 2Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getKm_BTS_2_Type()
	 * @generated
	 */
	int KM_BTS_2TYPE = 422;

	/**
	 * The meta object id for the '<em>Km BTS 3Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getKm_BTS_3_Type()
	 * @generated
	 */
	int KM_BTS_3TYPE = 423;

	/**
	 * The meta object id for the '<em>Konfigurationskennung Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getKonfigurationskennung_Type()
	 * @generated
	 */
	int KONFIGURATIONSKENNUNG_TYPE = 424;

	/**
	 * The meta object id for the '<em>LACKLEVELTR Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigDecimal
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getL_ACKLEVELTR_Type()
	 * @generated
	 */
	int LACKLEVELTR_TYPE = 425;

	/**
	 * The meta object id for the '<em>Laenge 1Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigDecimal
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getLaenge_1_Type()
	 * @generated
	 */
	int LAENGE_1TYPE = 426;

	/**
	 * The meta object id for the '<em>Laenge Ausfuehrungsbereich Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigDecimal
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getLaenge_Ausfuehrungsbereich_Type()
	 * @generated
	 */
	int LAENGE_AUSFUEHRUNGSBEREICH_TYPE = 427;

	/**
	 * The meta object id for the '<em>Laenge Gestufte VSignalisierung Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigDecimal
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getLaenge_Gestufte_V_Signalisierung_Type()
	 * @generated
	 */
	int LAENGE_GESTUFTE_VSIGNALISIERUNG_TYPE = 428;

	/**
	 * The meta object id for the '<em>Laenge Soll Mind 150 Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigDecimal
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getLaenge_Soll_Mind_150_Type()
	 * @generated
	 */
	int LAENGE_SOLL_MIND_150_TYPE = 429;

	/**
	 * The meta object id for the '<em>Leistungsbedarf Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getLeistungsbedarf_Type()
	 * @generated
	 */
	int LEISTUNGSBEDARF_TYPE = 430;

	/**
	 * The meta object id for the '<em>LEU Ausgang Nr Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getLEU_Ausgang_Nr_Type()
	 * @generated
	 */
	int LEU_AUSGANG_NR_TYPE = 431;

	/**
	 * The meta object id for the '<em>LEU Modul Geraetestand Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getLEU_Modul_Geraetestand_Type()
	 * @generated
	 */
	int LEU_MODUL_GERAETESTAND_TYPE = 432;

	/**
	 * The meta object id for the '<em>LEU Modul Typ Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getLEU_Modul_Typ_Type()
	 * @generated
	 */
	int LEU_MODUL_TYP_TYPE = 433;

	/**
	 * The meta object id for the '<em>LEU Schaltkasten Typ Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getLEU_Schaltkasten_Typ_Type()
	 * @generated
	 */
	int LEU_SCHALTKASTEN_TYP_TYPE = 434;

	/**
	 * The meta object id for the '<em>Lfd Nr Am Bezugspunkt Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getLfd_Nr_Am_Bezugspunkt_Type()
	 * @generated
	 */
	int LFD_NR_AM_BEZUGSPUNKT_TYPE = 435;

	/**
	 * The meta object id for the '<em>Link Distanz Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigDecimal
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getLink_Distanz_Type()
	 * @generated
	 */
	int LINK_DISTANZ_TYPE = 436;

	/**
	 * The meta object id for the '<em>LLA Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigDecimal
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getLLA_Type()
	 * @generated
	 */
	int LLA_TYPE = 437;

	/**
	 * The meta object id for the '<em>Massgebende Neig 1Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigDecimal
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getMassgebende_Neig_1_Type()
	 * @generated
	 */
	int MASSGEBENDE_NEIG_1TYPE = 438;

	/**
	 * The meta object id for the '<em>Massgebende Neig Schutzstrecke Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigDecimal
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getMassgebende_Neig_Schutzstrecke_Type()
	 * @generated
	 */
	int MASSGEBENDE_NEIG_SCHUTZSTRECKE_TYPE = 439;

	/**
	 * The meta object id for the '<em>Massgebende Neigung Mind 150 Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigDecimal
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getMassgebende_Neigung_Mind_150_Type()
	 * @generated
	 */
	int MASSGEBENDE_NEIGUNG_MIND_150_TYPE = 440;

	/**
	 * The meta object id for the '<em>Massgebende Neigung Mind Sig 150 Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigDecimal
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getMassgebende_Neigung_Mind_Sig_150_Type()
	 * @generated
	 */
	int MASSGEBENDE_NEIGUNG_MIND_SIG_150_TYPE = 441;

	/**
	 * The meta object id for the '<em>Massgebende Neigung Mind Sig Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigDecimal
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getMassgebende_Neigung_Mind_Sig_Type()
	 * @generated
	 */
	int MASSGEBENDE_NEIGUNG_MIND_SIG_TYPE = 442;

	/**
	 * The meta object id for the '<em>Max Leistung Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getMax_Leistung_Type()
	 * @generated
	 */
	int MAX_LEISTUNG_TYPE = 443;

	/**
	 * The meta object id for the '<em>Max Unterbrechungszeit Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigDecimal
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getMax_Unterbrechungszeit_Type()
	 * @generated
	 */
	int MAX_UNTERBRECHUNGSZEIT_TYPE = 444;

	/**
	 * The meta object id for the '<em>Metallteil Kategorie Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getMetallteil_Kategorie_Type()
	 * @generated
	 */
	int METALLTEIL_KATEGORIE_TYPE = 445;

	/**
	 * The meta object id for the '<em>Metallteil Laenge Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigDecimal
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getMetallteil_Laenge_Type()
	 * @generated
	 */
	int METALLTEIL_LAENGE_TYPE = 446;

	/**
	 * The meta object id for the '<em>Modulnummer Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getModulnummer_Type()
	 * @generated
	 */
	int MODULNUMMER_TYPE = 447;

	/**
	 * The meta object id for the '<em>Montageabweichung Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigDecimal
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getMontageabweichung_Type()
	 * @generated
	 */
	int MONTAGEABWEICHUNG_TYPE = 448;

	/**
	 * The meta object id for the '<em>Neigung Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getNeigung_Type()
	 * @generated
	 */
	int NEIGUNG_TYPE = 449;

	/**
	 * The meta object id for the '<em>Nennleistung Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getNennleistung_Type()
	 * @generated
	 */
	int NENNLEISTUNG_TYPE = 450;

	/**
	 * The meta object id for the '<em>NID BG Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getNID_BG_Type()
	 * @generated
	 */
	int NID_BG_TYPE = 451;

	/**
	 * The meta object id for the '<em>NID CType</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getNID_C_Type()
	 * @generated
	 */
	int NID_CTYPE = 452;

	/**
	 * The meta object id for the '<em>NID RBC Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getNID_RBC_Type()
	 * @generated
	 */
	int NID_RBC_TYPE = 453;

	/**
	 * The meta object id for the '<em>NID TSR Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getNID_TSR_Type()
	 * @generated
	 */
	int NID_TSR_TYPE = 454;

	/**
	 * The meta object id for the '<em>Nummer Schaltkasten Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getNummer_Schaltkasten_Type()
	 * @generated
	 */
	int NUMMER_SCHALTKASTEN_TYPE = 455;

	/**
	 * The meta object id for the '<em>Oberstrombegrenzung Gueterzug Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getOberstrombegrenzung_Gueterzug_Type()
	 * @generated
	 */
	int OBERSTROMBEGRENZUNG_GUETERZUG_TYPE = 456;

	/**
	 * The meta object id for the '<em>Oberstrombegrenzung Reisezug Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getOberstrombegrenzung_Reisezug_Type()
	 * @generated
	 */
	int OBERSTROMBEGRENZUNG_REISEZUG_TYPE = 457;

	/**
	 * The meta object id for the '<em>Port Nr Ausg Physisch Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getPort_Nr_Ausg_Physisch_Type()
	 * @generated
	 */
	int PORT_NR_AUSG_PHYSISCH_TYPE = 458;

	/**
	 * The meta object id for the '<em>Position Sonstige Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getPosition_Sonstige_Type()
	 * @generated
	 */
	int POSITION_SONSTIGE_TYPE = 459;

	/**
	 * The meta object id for the '<em>Prioritaet Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getPrioritaet_Type()
	 * @generated
	 */
	int PRIORITAET_TYPE = 460;

	/**
	 * The meta object id for the '<em>Projektierungsfall Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getProjektierungsfall_Type()
	 * @generated
	 */
	int PROJEKTIERUNGSFALL_TYPE = 461;

	/**
	 * The meta object id for the '<em>RBC ETCS System Version Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getRBC_ETCS_System_Version_Type()
	 * @generated
	 */
	int RBC_ETCS_SYSTEM_VERSION_TYPE = 462;

	/**
	 * The meta object id for the '<em>RBC SRS Version Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getRBC_SRS_Version_Type()
	 * @generated
	 */
	int RBC_SRS_VERSION_TYPE = 463;

	/**
	 * The meta object id for the '<em>Rekursion 2Nr Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getRekursion_2_Nr_Type()
	 * @generated
	 */
	int REKURSION_2NR_TYPE = 464;

	/**
	 * The meta object id for the '<em>Rekursion Nr Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getRekursion_Nr_Type()
	 * @generated
	 */
	int REKURSION_NR_TYPE = 465;

	/**
	 * The meta object id for the '<em>Rufnummer Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getRufnummer_Type()
	 * @generated
	 */
	int RUFNUMMER_TYPE = 466;

	/**
	 * The meta object id for the '<em>Schutzstrecke Erforderlich Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigDecimal
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getSchutzstrecke_Erforderlich_Type()
	 * @generated
	 */
	int SCHUTZSTRECKE_ERFORDERLICH_TYPE = 467;

	/**
	 * The meta object id for the '<em>Schutzstrecke Vorhanden Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigDecimal
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getSchutzstrecke_Vorhanden_Type()
	 * @generated
	 */
	int SCHUTZSTRECKE_VORHANDEN_TYPE = 468;

	/**
	 * The meta object id for the '<em>Solllaenge Mind Sig 150 Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigDecimal
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getSolllaenge_Mind_Sig_150_Type()
	 * @generated
	 */
	int SOLLLAENGE_MIND_SIG_150_TYPE = 469;

	/**
	 * The meta object id for the '<em>Solllaenge Mind Sig Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigDecimal
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getSolllaenge_Mind_Sig_Type()
	 * @generated
	 */
	int SOLLLAENGE_MIND_SIG_TYPE = 470;

	/**
	 * The meta object id for the '<em>Sonstige Standortangabe Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getSonstige_Standortangabe_Type()
	 * @generated
	 */
	int SONSTIGE_STANDORTANGABE_TYPE = 471;

	/**
	 * The meta object id for the '<em>Spannung Toleranz Obere Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getSpannung_Toleranz_Obere_Type()
	 * @generated
	 */
	int SPANNUNG_TOLERANZ_OBERE_TYPE = 472;

	/**
	 * The meta object id for the '<em>Spannung Toleranz Untere Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getSpannung_Toleranz_Untere_Type()
	 * @generated
	 */
	int SPANNUNG_TOLERANZ_UNTERE_TYPE = 473;

	/**
	 * The meta object id for the '<em>SRS Version Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getSRS_Version_Type()
	 * @generated
	 */
	int SRS_VERSION_TYPE = 474;

	/**
	 * The meta object id for the '<em>System Vor Grenze Besonders Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getSystem_Vor_Grenze_Besonders_Type()
	 * @generated
	 */
	int SYSTEM_VOR_GRENZE_BESONDERS_TYPE = 475;

	/**
	 * The meta object id for the '<em>TBV Tunnelbereich Laenge Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigDecimal
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getTBV_Tunnelbereich_Laenge_Type()
	 * @generated
	 */
	int TBV_TUNNELBEREICH_LAENGE_TYPE = 476;

	/**
	 * The meta object id for the '<em>Telegramm Index Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getTelegramm_Index_Type()
	 * @generated
	 */
	int TELEGRAMM_INDEX_TYPE = 477;

	/**
	 * The meta object id for the '<em>Telegrammnummer Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getTelegrammnummer_Type()
	 * @generated
	 */
	int TELEGRAMMNUMMER_TYPE = 478;

	/**
	 * The meta object id for the '<em>Text Bedingung Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getText_Bedingung_Type()
	 * @generated
	 */
	int TEXT_BEDINGUNG_TYPE = 479;

	/**
	 * The meta object id for the '<em>Textmeldung Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getTextmeldung_Type()
	 * @generated
	 */
	int TEXTMELDUNG_TYPE = 480;

	/**
	 * The meta object id for the '<em>Ueberbrueckung EV Unterbrechung Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigDecimal
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getUeberbrueckung_EV_Unterbrechung_Type()
	 * @generated
	 */
	int UEBERBRUECKUNG_EV_UNTERBRECHUNG_TYPE = 481;

	/**
	 * The meta object id for the '<em>Ueberwachung Laenge Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigDecimal
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getUeberwachung_Laenge_Type()
	 * @generated
	 */
	int UEBERWACHUNG_LAENGE_TYPE = 482;

	/**
	 * The meta object id for the '<em>Untergruppen ID Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getUntergruppen_ID_Type()
	 * @generated
	 */
	int UNTERGRUPPEN_ID_TYPE = 483;

	/**
	 * The meta object id for the '<em>VBefehl RType</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getV_Befehl_R_Type()
	 * @generated
	 */
	int VBEFEHL_RTYPE = 484;

	/**
	 * The meta object id for the '<em>VBefehl ZType</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getV_Befehl_Z_Type()
	 * @generated
	 */
	int VBEFEHL_ZTYPE = 485;

	/**
	 * The meta object id for the '<em>VFrei Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getV_Frei_Type()
	 * @generated
	 */
	int VFREI_TYPE = 486;

	/**
	 * The meta object id for the '<em>VStart Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getV_Start_Type()
	 * @generated
	 */
	int VSTART_TYPE = 487;

	/**
	 * The meta object id for the '<em>VZiel Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getV_Ziel_Type()
	 * @generated
	 */
	int VZIEL_TYPE = 488;

	/**
	 * The meta object id for the '<em>VZul Strecke Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getV_Zul_Strecke_Type()
	 * @generated
	 */
	int VZUL_STRECKE_TYPE = 489;

	/**
	 * The meta object id for the '<em>VBC Kennung Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getVBC_Kennung_Type()
	 * @generated
	 */
	int VBC_KENNUNG_TYPE = 490;

	/**
	 * The meta object id for the '<em>VBC NID CType</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getVBC_NID_C_Type()
	 * @generated
	 */
	int VBC_NID_CTYPE = 491;

	/**
	 * The meta object id for the '<em>VBC Timer Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getVBC_Timer_Type()
	 * @generated
	 */
	int VBC_TIMER_TYPE = 492;

	/**
	 * The meta object id for the '<em>Verbot Anhalten Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getVerbot_Anhalten_Type()
	 * @generated
	 */
	int VERBOT_ANHALTEN_TYPE = 493;

	/**
	 * The meta object id for the '<em>Verkuerzter Abstand Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getVerkuerzter_Abstand_Type()
	 * @generated
	 */
	int VERKUERZTER_ABSTAND_TYPE = 494;

	/**
	 * The meta object id for the '<em>Verwendung Hilfe Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getVerwendung_Hilfe_Type()
	 * @generated
	 */
	int VERWENDUNG_HILFE_TYPE = 495;

	/**
	 * The meta object id for the '<em>Verwendung Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getVerwendung_Type()
	 * @generated
	 */
	int VERWENDUNG_TYPE = 496;

	/**
	 * The meta object id for the '<em>VGR 1Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getVGR_1_Type()
	 * @generated
	 */
	int VGR_1TYPE = 497;

	/**
	 * The meta object id for the '<em>VGR 2Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getVGR_2_Type()
	 * @generated
	 */
	int VGR_2TYPE = 498;

	/**
	 * The meta object id for the '<em>VGR Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getVGR_Type()
	 * @generated
	 */
	int VGR_TYPE = 499;

	/**
	 * The meta object id for the '<em>VLA Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getVLA_Type()
	 * @generated
	 */
	int VLA_TYPE = 500;

	/**
	 * The meta object id for the '<em>Vorsignalabstand Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigDecimal
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getVorsignalabstand_Type()
	 * @generated
	 */
	int VORSIGNALABSTAND_TYPE = 501;

	/**
	 * The meta object id for the '<em>VZ Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getVZ_Type()
	 * @generated
	 */
	int VZ_TYPE = 502;

	/**
	 * The meta object id for the '<em>Wirkrichtung In Datenpunkt Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.BasisTypen.ENUMWirkrichtung
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getWirkrichtung_In_Datenpunkt_Type()
	 * @generated
	 */
	int WIRKRICHTUNG_IN_DATENPUNKT_TYPE = 503;

	/**
	 * The meta object id for the '<em>ZBS La Bereich Distanz Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigDecimal
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getZBS_La_Bereich_Distanz_Type()
	 * @generated
	 */
	int ZBS_LA_BEREICH_DISTANZ_TYPE = 504;

	/**
	 * The meta object id for the '<em>ZBS La Bereich Geschwindigkeit Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getZBS_La_Bereich_Geschwindigkeit_Type()
	 * @generated
	 */
	int ZBS_LA_BEREICH_GESCHWINDIGKEIT_TYPE = 505;

	/**
	 * The meta object id for the '<em>ZBS La Bereich Laenge Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigDecimal
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getZBS_La_Bereich_Laenge_Type()
	 * @generated
	 */
	int ZBS_LA_BEREICH_LAENGE_TYPE = 506;

	/**
	 * The meta object id for the '<em>ZBS La Bereich Neigung Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigDecimal
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getZBS_La_Bereich_Neigung_Type()
	 * @generated
	 */
	int ZBS_LA_BEREICH_NEIGUNG_TYPE = 507;

	/**
	 * The meta object id for the '<em>ZLA Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigDecimal
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.impl.Balisentechnik_ETCSPackageImpl#getZLA_Type()
	 * @generated
	 */
	int ZLA_TYPE = 508;


	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Abstand_Bes_Langer_Einfahrweg_TypeClass <em>Abstand Bes Langer Einfahrweg Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Abstand Bes Langer Einfahrweg Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Abstand_Bes_Langer_Einfahrweg_TypeClass
	 * @generated
	 */
	EClass getAbstand_Bes_Langer_Einfahrweg_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Abstand_Bes_Langer_Einfahrweg_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Abstand_Bes_Langer_Einfahrweg_TypeClass#getWert()
	 * @see #getAbstand_Bes_Langer_Einfahrweg_TypeClass()
	 * @generated
	 */
	EAttribute getAbstand_Bes_Langer_Einfahrweg_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Abstand_Datenpunkt_EH_EM_Folgesignal_TypeClass <em>Abstand Datenpunkt EH EM Folgesignal Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Abstand Datenpunkt EH EM Folgesignal Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Abstand_Datenpunkt_EH_EM_Folgesignal_TypeClass
	 * @generated
	 */
	EClass getAbstand_Datenpunkt_EH_EM_Folgesignal_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Abstand_Datenpunkt_EH_EM_Folgesignal_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Abstand_Datenpunkt_EH_EM_Folgesignal_TypeClass#getWert()
	 * @see #getAbstand_Datenpunkt_EH_EM_Folgesignal_TypeClass()
	 * @generated
	 */
	EAttribute getAbstand_Datenpunkt_EH_EM_Folgesignal_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Abstand_Datenpunkt_EP_TPI_TypeClass <em>Abstand Datenpunkt EP TPI Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Abstand Datenpunkt EP TPI Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Abstand_Datenpunkt_EP_TPI_TypeClass
	 * @generated
	 */
	EClass getAbstand_Datenpunkt_EP_TPI_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Abstand_Datenpunkt_EP_TPI_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Abstand_Datenpunkt_EP_TPI_TypeClass#getWert()
	 * @see #getAbstand_Datenpunkt_EP_TPI_TypeClass()
	 * @generated
	 */
	EAttribute getAbstand_Datenpunkt_EP_TPI_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Abstand_Datenpunkt_TPI_Folgesignal_TypeClass <em>Abstand Datenpunkt TPI Folgesignal Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Abstand Datenpunkt TPI Folgesignal Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Abstand_Datenpunkt_TPI_Folgesignal_TypeClass
	 * @generated
	 */
	EClass getAbstand_Datenpunkt_TPI_Folgesignal_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Abstand_Datenpunkt_TPI_Folgesignal_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Abstand_Datenpunkt_TPI_Folgesignal_TypeClass#getWert()
	 * @see #getAbstand_Datenpunkt_TPI_Folgesignal_TypeClass()
	 * @generated
	 */
	EAttribute getAbstand_Datenpunkt_TPI_Folgesignal_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Abstand_Einmesspunkt_TypeClass <em>Abstand Einmesspunkt Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Abstand Einmesspunkt Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Abstand_Einmesspunkt_TypeClass
	 * @generated
	 */
	EClass getAbstand_Einmesspunkt_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Abstand_Einmesspunkt_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Abstand_Einmesspunkt_TypeClass#getWert()
	 * @see #getAbstand_Einmesspunkt_TypeClass()
	 * @generated
	 */
	EAttribute getAbstand_Einmesspunkt_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Abstand_Grenze_Bereich_C_TypeClass <em>Abstand Grenze Bereich CType Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Abstand Grenze Bereich CType Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Abstand_Grenze_Bereich_C_TypeClass
	 * @generated
	 */
	EClass getAbstand_Grenze_Bereich_C_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Abstand_Grenze_Bereich_C_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Abstand_Grenze_Bereich_C_TypeClass#getWert()
	 * @see #getAbstand_Grenze_Bereich_C_TypeClass()
	 * @generated
	 */
	EAttribute getAbstand_Grenze_Bereich_C_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Abstand_Reduziert_TypeClass <em>Abstand Reduziert Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Abstand Reduziert Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Abstand_Reduziert_TypeClass
	 * @generated
	 */
	EClass getAbstand_Reduziert_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Abstand_Reduziert_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Abstand_Reduziert_TypeClass#getWert()
	 * @see #getAbstand_Reduziert_TypeClass()
	 * @generated
	 */
	EAttribute getAbstand_Reduziert_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Anlagenteil_Sonstige_TypeClass <em>Anlagenteil Sonstige Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Anlagenteil Sonstige Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Anlagenteil_Sonstige_TypeClass
	 * @generated
	 */
	EClass getAnlagenteil_Sonstige_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Anlagenteil_Sonstige_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Anlagenteil_Sonstige_TypeClass#getWert()
	 * @see #getAnlagenteil_Sonstige_TypeClass()
	 * @generated
	 */
	EAttribute getAnlagenteil_Sonstige_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Anordnung_Im_DP_TypeClass <em>Anordnung Im DP Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Anordnung Im DP Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Anordnung_Im_DP_TypeClass
	 * @generated
	 */
	EClass getAnordnung_Im_DP_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Anordnung_Im_DP_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Anordnung_Im_DP_TypeClass#getWert()
	 * @see #getAnordnung_Im_DP_TypeClass()
	 * @generated
	 */
	EAttribute getAnordnung_Im_DP_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Anwendung_ESG_TypeClass <em>Anwendung ESG Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Anwendung ESG Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Anwendung_ESG_TypeClass
	 * @generated
	 */
	EClass getAnwendung_ESG_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Anwendung_ESG_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Anwendung_ESG_TypeClass#getWert()
	 * @see #getAnwendung_ESG_TypeClass()
	 * @generated
	 */
	EAttribute getAnwendung_ESG_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Anwendung_GNT_TypeClass <em>Anwendung GNT Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Anwendung GNT Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Anwendung_GNT_TypeClass
	 * @generated
	 */
	EClass getAnwendung_GNT_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Anwendung_GNT_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Anwendung_GNT_TypeClass#getWert()
	 * @see #getAnwendung_GNT_TypeClass()
	 * @generated
	 */
	EAttribute getAnwendung_GNT_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Anwendung_Sonst_TypeClass <em>Anwendung Sonst Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Anwendung Sonst Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Anwendung_Sonst_TypeClass
	 * @generated
	 */
	EClass getAnwendung_Sonst_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Anwendung_Sonst_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Anwendung_Sonst_TypeClass#getWert()
	 * @see #getAnwendung_Sonst_TypeClass()
	 * @generated
	 */
	EAttribute getAnwendung_Sonst_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Anwendungssystem_TypeClass <em>Anwendungssystem Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Anwendungssystem Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Anwendungssystem_TypeClass
	 * @generated
	 */
	EClass getAnwendungssystem_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Anwendungssystem_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Anwendungssystem_TypeClass#getWert()
	 * @see #getAnwendungssystem_TypeClass()
	 * @generated
	 */
	EAttribute getAnwendungssystem_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Anzahl_Voll_LEU_Kalkuliert_TypeClass <em>Anzahl Voll LEU Kalkuliert Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Anzahl Voll LEU Kalkuliert Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Anzahl_Voll_LEU_Kalkuliert_TypeClass
	 * @generated
	 */
	EClass getAnzahl_Voll_LEU_Kalkuliert_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Anzahl_Voll_LEU_Kalkuliert_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Anzahl_Voll_LEU_Kalkuliert_TypeClass#getWert()
	 * @see #getAnzahl_Voll_LEU_Kalkuliert_TypeClass()
	 * @generated
	 */
	EAttribute getAnzahl_Voll_LEU_Kalkuliert_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Anzeigetext_TypeClass <em>Anzeigetext Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Anzeigetext Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Anzeigetext_TypeClass
	 * @generated
	 */
	EClass getAnzeigetext_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Anzeigetext_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Anzeigetext_TypeClass#getWert()
	 * @see #getAnzeigetext_TypeClass()
	 * @generated
	 */
	EAttribute getAnzeigetext_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Art_Bedingung_TypeClass <em>Art Bedingung Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Art Bedingung Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Art_Bedingung_TypeClass
	 * @generated
	 */
	EClass getArt_Bedingung_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Art_Bedingung_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Art_Bedingung_TypeClass#getWert()
	 * @see #getArt_Bedingung_TypeClass()
	 * @generated
	 */
	EAttribute getArt_Bedingung_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Ausgang_Nr_TypeClass <em>Ausgang Nr Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Ausgang Nr Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Ausgang_Nr_TypeClass
	 * @generated
	 */
	EClass getAusgang_Nr_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Ausgang_Nr_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Ausgang_Nr_TypeClass#getWert()
	 * @see #getAusgang_Nr_TypeClass()
	 * @generated
	 */
	EAttribute getAusgang_Nr_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Ausrichtung_TypeClass <em>Ausrichtung Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Ausrichtung Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Ausrichtung_TypeClass
	 * @generated
	 */
	EClass getAusrichtung_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Ausrichtung_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Ausrichtung_TypeClass#getWert()
	 * @see #getAusrichtung_TypeClass()
	 * @generated
	 */
	EAttribute getAusrichtung_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Ausstieg_ETCS_Sperre_TypeClass <em>Ausstieg ETCS Sperre Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Ausstieg ETCS Sperre Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Ausstieg_ETCS_Sperre_TypeClass
	 * @generated
	 */
	EClass getAusstieg_ETCS_Sperre_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Ausstieg_ETCS_Sperre_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Ausstieg_ETCS_Sperre_TypeClass#getWert()
	 * @see #getAusstieg_ETCS_Sperre_TypeClass()
	 * @generated
	 */
	EAttribute getAusstieg_ETCS_Sperre_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Balise <em>Balise</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Balise</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Balise
	 * @generated
	 */
	EClass getBalise();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Balise#getBaliseAllg <em>Balise Allg</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Balise Allg</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Balise#getBaliseAllg()
	 * @see #getBalise()
	 * @generated
	 */
	EReference getBalise_BaliseAllg();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Balise#getIDDatenpunkt <em>ID Datenpunkt</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Datenpunkt</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Balise#getIDDatenpunkt()
	 * @see #getBalise()
	 * @generated
	 */
	EReference getBalise_IDDatenpunkt();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Balise_Allg_AttributeGroup <em>Balise Allg Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Balise Allg Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Balise_Allg_AttributeGroup
	 * @generated
	 */
	EClass getBalise_Allg_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Balise_Allg_AttributeGroup#getAnordnungImDP <em>Anordnung Im DP</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Anordnung Im DP</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Balise_Allg_AttributeGroup#getAnordnungImDP()
	 * @see #getBalise_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getBalise_Allg_AttributeGroup_AnordnungImDP();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Balise_Allg_AttributeGroup#getBaliseGeraetestand <em>Balise Geraetestand</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Balise Geraetestand</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Balise_Allg_AttributeGroup#getBaliseGeraetestand()
	 * @see #getBalise_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getBalise_Allg_AttributeGroup_BaliseGeraetestand();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Balise_Allg_AttributeGroup#getBalisenhalter <em>Balisenhalter</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Balisenhalter</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Balise_Allg_AttributeGroup#getBalisenhalter()
	 * @see #getBalise_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getBalise_Allg_AttributeGroup_Balisenhalter();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Balise_Allg_AttributeGroup#getFabrikat <em>Fabrikat</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Fabrikat</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Balise_Allg_AttributeGroup#getFabrikat()
	 * @see #getBalise_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getBalise_Allg_AttributeGroup_Fabrikat();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Balise_Allg_AttributeGroup#getHersteller <em>Hersteller</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Hersteller</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Balise_Allg_AttributeGroup#getHersteller()
	 * @see #getBalise_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getBalise_Allg_AttributeGroup_Hersteller();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Balise_Allg_AttributeGroup#getHinweisBalisenbefestigung <em>Hinweis Balisenbefestigung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Hinweis Balisenbefestigung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Balise_Allg_AttributeGroup#getHinweisBalisenbefestigung()
	 * @see #getBalise_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getBalise_Allg_AttributeGroup_HinweisBalisenbefestigung();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Balise_Allg_AttributeGroup#getMontageabweichung <em>Montageabweichung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Montageabweichung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Balise_Allg_AttributeGroup#getMontageabweichung()
	 * @see #getBalise_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getBalise_Allg_AttributeGroup_Montageabweichung();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Balise_Geraetestand_TypeClass <em>Balise Geraetestand Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Balise Geraetestand Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Balise_Geraetestand_TypeClass
	 * @generated
	 */
	EClass getBalise_Geraetestand_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Balise_Geraetestand_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Balise_Geraetestand_TypeClass#getWert()
	 * @see #getBalise_Geraetestand_TypeClass()
	 * @generated
	 */
	EAttribute getBalise_Geraetestand_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Balisenhalter_TypeClass <em>Balisenhalter Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Balisenhalter Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Balisenhalter_TypeClass
	 * @generated
	 */
	EClass getBalisenhalter_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Balisenhalter_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Balisenhalter_TypeClass#getWert()
	 * @see #getBalisenhalter_TypeClass()
	 * @generated
	 */
	EAttribute getBalisenhalter_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Baseline_System_Version_TypeClass <em>Baseline System Version Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Baseline System Version Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Baseline_System_Version_TypeClass
	 * @generated
	 */
	EClass getBaseline_System_Version_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Baseline_System_Version_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Baseline_System_Version_TypeClass#getWert()
	 * @see #getBaseline_System_Version_TypeClass()
	 * @generated
	 */
	EAttribute getBaseline_System_Version_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bedingung_Besondere_AttributeGroup <em>Bedingung Besondere Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Bedingung Besondere Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bedingung_Besondere_AttributeGroup
	 * @generated
	 */
	EClass getBedingung_Besondere_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bedingung_Besondere_AttributeGroup#getArtBedingung <em>Art Bedingung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Art Bedingung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bedingung_Besondere_AttributeGroup#getArtBedingung()
	 * @see #getBedingung_Besondere_AttributeGroup()
	 * @generated
	 */
	EReference getBedingung_Besondere_AttributeGroup_ArtBedingung();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bedingung_PZB_AttributeGroup <em>Bedingung PZB Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Bedingung PZB Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bedingung_PZB_AttributeGroup
	 * @generated
	 */
	EClass getBedingung_PZB_AttributeGroup();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bedingung_PZB_AttributeGroup#getIDPZBElement <em>IDPZB Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>IDPZB Element</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bedingung_PZB_AttributeGroup#getIDPZBElement()
	 * @see #getBedingung_PZB_AttributeGroup()
	 * @generated
	 */
	EReference getBedingung_PZB_AttributeGroup_IDPZBElement();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bedingung_PZB_AttributeGroup#getWirksam <em>Wirksam</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Wirksam</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bedingung_PZB_AttributeGroup#getWirksam()
	 * @see #getBedingung_PZB_AttributeGroup()
	 * @generated
	 */
	EReference getBedingung_PZB_AttributeGroup_Wirksam();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bedingung_Signal_AttributeGroup <em>Bedingung Signal Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Bedingung Signal Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bedingung_Signal_AttributeGroup
	 * @generated
	 */
	EClass getBedingung_Signal_AttributeGroup();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bedingung_Signal_AttributeGroup#getIDSignalSignalbegriff <em>ID Signal Signalbegriff</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>ID Signal Signalbegriff</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bedingung_Signal_AttributeGroup#getIDSignalSignalbegriff()
	 * @see #getBedingung_Signal_AttributeGroup()
	 * @generated
	 */
	EReference getBedingung_Signal_AttributeGroup_IDSignalSignalbegriff();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bedingung_Signal_AttributeGroup#getIDSignalbegriffWeiterer <em>ID Signalbegriff Weiterer</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>ID Signalbegriff Weiterer</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bedingung_Signal_AttributeGroup#getIDSignalbegriffWeiterer()
	 * @see #getBedingung_Signal_AttributeGroup()
	 * @generated
	 */
	EReference getBedingung_Signal_AttributeGroup_IDSignalbegriffWeiterer();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bedingung_Signal_AttributeGroup#getVerwendungAlsRueckfall <em>Verwendung Als Rueckfall</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Verwendung Als Rueckfall</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bedingung_Signal_AttributeGroup#getVerwendungAlsRueckfall()
	 * @see #getBedingung_Signal_AttributeGroup()
	 * @generated
	 */
	EReference getBedingung_Signal_AttributeGroup_VerwendungAlsRueckfall();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bedingung_Sonstige_AttributeGroup <em>Bedingung Sonstige Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Bedingung Sonstige Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bedingung_Sonstige_AttributeGroup
	 * @generated
	 */
	EClass getBedingung_Sonstige_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bedingung_Sonstige_AttributeGroup#getAnlagenteilSonstige <em>Anlagenteil Sonstige</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Anlagenteil Sonstige</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bedingung_Sonstige_AttributeGroup#getAnlagenteilSonstige()
	 * @see #getBedingung_Sonstige_AttributeGroup()
	 * @generated
	 */
	EReference getBedingung_Sonstige_AttributeGroup_AnlagenteilSonstige();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bedingung_Sonstige_AttributeGroup#getTextBedingung <em>Text Bedingung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Text Bedingung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bedingung_Sonstige_AttributeGroup#getTextBedingung()
	 * @see #getBedingung_Sonstige_AttributeGroup()
	 * @generated
	 */
	EReference getBedingung_Sonstige_AttributeGroup_TextBedingung();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bedingung_Weiche_AttributeGroup <em>Bedingung Weiche Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Bedingung Weiche Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bedingung_Weiche_AttributeGroup
	 * @generated
	 */
	EClass getBedingung_Weiche_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bedingung_Weiche_AttributeGroup#getBedingungWeichenlage <em>Bedingung Weichenlage</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Bedingung Weichenlage</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bedingung_Weiche_AttributeGroup#getBedingungWeichenlage()
	 * @see #getBedingung_Weiche_AttributeGroup()
	 * @generated
	 */
	EReference getBedingung_Weiche_AttributeGroup_BedingungWeichenlage();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bedingung_Weiche_AttributeGroup#getIDWElement <em>IDW Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>IDW Element</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bedingung_Weiche_AttributeGroup#getIDWElement()
	 * @see #getBedingung_Weiche_AttributeGroup()
	 * @generated
	 */
	EReference getBedingung_Weiche_AttributeGroup_IDWElement();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bedingung_Weichenlage_TypeClass <em>Bedingung Weichenlage Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Bedingung Weichenlage Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bedingung_Weichenlage_TypeClass
	 * @generated
	 */
	EClass getBedingung_Weichenlage_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bedingung_Weichenlage_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bedingung_Weichenlage_TypeClass#getWert()
	 * @see #getBedingung_Weichenlage_TypeClass()
	 * @generated
	 */
	EAttribute getBedingung_Weichenlage_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bez_Strecke_BTS_1_TypeClass <em>Bez Strecke BTS 1Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Bez Strecke BTS 1Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bez_Strecke_BTS_1_TypeClass
	 * @generated
	 */
	EClass getBez_Strecke_BTS_1_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bez_Strecke_BTS_1_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bez_Strecke_BTS_1_TypeClass#getWert()
	 * @see #getBez_Strecke_BTS_1_TypeClass()
	 * @generated
	 */
	EAttribute getBez_Strecke_BTS_1_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bez_Strecke_BTS_2_TypeClass <em>Bez Strecke BTS 2Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Bez Strecke BTS 2Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bez_Strecke_BTS_2_TypeClass
	 * @generated
	 */
	EClass getBez_Strecke_BTS_2_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bez_Strecke_BTS_2_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bez_Strecke_BTS_2_TypeClass#getWert()
	 * @see #getBez_Strecke_BTS_2_TypeClass()
	 * @generated
	 */
	EAttribute getBez_Strecke_BTS_2_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bez_Strecke_BTS_3_TypeClass <em>Bez Strecke BTS 3Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Bez Strecke BTS 3Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bez_Strecke_BTS_3_TypeClass
	 * @generated
	 */
	EClass getBez_Strecke_BTS_3_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bez_Strecke_BTS_3_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bez_Strecke_BTS_3_TypeClass#getWert()
	 * @see #getBez_Strecke_BTS_3_TypeClass()
	 * @generated
	 */
	EAttribute getBez_Strecke_BTS_3_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bez_ZUB_Bereichsgrenze_TypeClass <em>Bez ZUB Bereichsgrenze Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Bez ZUB Bereichsgrenze Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bez_ZUB_Bereichsgrenze_TypeClass
	 * @generated
	 */
	EClass getBez_ZUB_Bereichsgrenze_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bez_ZUB_Bereichsgrenze_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bez_ZUB_Bereichsgrenze_TypeClass#getWert()
	 * @see #getBez_ZUB_Bereichsgrenze_TypeClass()
	 * @generated
	 */
	EAttribute getBez_ZUB_Bereichsgrenze_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bezeichnung_ETCS_Kante_TypeClass <em>Bezeichnung ETCS Kante Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Bezeichnung ETCS Kante Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bezeichnung_ETCS_Kante_TypeClass
	 * @generated
	 */
	EClass getBezeichnung_ETCS_Kante_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bezeichnung_ETCS_Kante_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bezeichnung_ETCS_Kante_TypeClass#getWert()
	 * @see #getBezeichnung_ETCS_Kante_TypeClass()
	 * @generated
	 */
	EAttribute getBezeichnung_ETCS_Kante_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bezeichnung_LEU_Anlage_TypeClass <em>Bezeichnung LEU Anlage Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Bezeichnung LEU Anlage Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bezeichnung_LEU_Anlage_TypeClass
	 * @generated
	 */
	EClass getBezeichnung_LEU_Anlage_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bezeichnung_LEU_Anlage_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bezeichnung_LEU_Anlage_TypeClass#getWert()
	 * @see #getBezeichnung_LEU_Anlage_TypeClass()
	 * @generated
	 */
	EAttribute getBezeichnung_LEU_Anlage_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bezeichnung_ZUB_SE_TypeClass <em>Bezeichnung ZUB SE Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Bezeichnung ZUB SE Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bezeichnung_ZUB_SE_TypeClass
	 * @generated
	 */
	EClass getBezeichnung_ZUB_SE_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bezeichnung_ZUB_SE_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bezeichnung_ZUB_SE_TypeClass#getWert()
	 * @see #getBezeichnung_ZUB_SE_TypeClass()
	 * @generated
	 */
	EAttribute getBezeichnung_ZUB_SE_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bezeichnung_ZUB_TypeClass <em>Bezeichnung ZUB Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Bezeichnung ZUB Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bezeichnung_ZUB_TypeClass
	 * @generated
	 */
	EClass getBezeichnung_ZUB_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bezeichnung_ZUB_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bezeichnung_ZUB_TypeClass#getWert()
	 * @see #getBezeichnung_ZUB_TypeClass()
	 * @generated
	 */
	EAttribute getBezeichnung_ZUB_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bgrenze_Nach_ESG_Bed_Ausstieg_AttributeGroup <em>Bgrenze Nach ESG Bed Ausstieg Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Bgrenze Nach ESG Bed Ausstieg Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bgrenze_Nach_ESG_Bed_Ausstieg_AttributeGroup
	 * @generated
	 */
	EClass getBgrenze_Nach_ESG_Bed_Ausstieg_AttributeGroup();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bgrenze_Nach_ESG_Bed_Ausstieg_AttributeGroup#getIDWElement <em>IDW Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>IDW Element</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bgrenze_Nach_ESG_Bed_Ausstieg_AttributeGroup#getIDWElement()
	 * @see #getBgrenze_Nach_ESG_Bed_Ausstieg_AttributeGroup()
	 * @generated
	 */
	EReference getBgrenze_Nach_ESG_Bed_Ausstieg_AttributeGroup_IDWElement();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bgrenze_Nach_ESG_Bed_Ausstieg_AttributeGroup#getWLage <em>WLage</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>WLage</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bgrenze_Nach_ESG_Bed_Ausstieg_AttributeGroup#getWLage()
	 * @see #getBgrenze_Nach_ESG_Bed_Ausstieg_AttributeGroup()
	 * @generated
	 */
	EReference getBgrenze_Nach_ESG_Bed_Ausstieg_AttributeGroup_WLage();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bgrenze_Nach_L2_Bed_Einstieg_AttributeGroup <em>Bgrenze Nach L2 Bed Einstieg Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Bgrenze Nach L2 Bed Einstieg Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bgrenze_Nach_L2_Bed_Einstieg_AttributeGroup
	 * @generated
	 */
	EClass getBgrenze_Nach_L2_Bed_Einstieg_AttributeGroup();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bgrenze_Nach_L2_Bed_Einstieg_AttributeGroup#getIDWElement <em>IDW Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>IDW Element</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bgrenze_Nach_L2_Bed_Einstieg_AttributeGroup#getIDWElement()
	 * @see #getBgrenze_Nach_L2_Bed_Einstieg_AttributeGroup()
	 * @generated
	 */
	EReference getBgrenze_Nach_L2_Bed_Einstieg_AttributeGroup_IDWElement();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bgrenze_Nach_L2_Bed_Einstieg_AttributeGroup#getWLage <em>WLage</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>WLage</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bgrenze_Nach_L2_Bed_Einstieg_AttributeGroup#getWLage()
	 * @see #getBgrenze_Nach_L2_Bed_Einstieg_AttributeGroup()
	 * @generated
	 */
	EReference getBgrenze_Nach_L2_Bed_Einstieg_AttributeGroup_WLage();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bgrenze_Nach_LZB_Bed_Einstieg_AttributeGroup <em>Bgrenze Nach LZB Bed Einstieg Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Bgrenze Nach LZB Bed Einstieg Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bgrenze_Nach_LZB_Bed_Einstieg_AttributeGroup
	 * @generated
	 */
	EClass getBgrenze_Nach_LZB_Bed_Einstieg_AttributeGroup();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bgrenze_Nach_LZB_Bed_Einstieg_AttributeGroup#getIDWElement <em>IDW Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>IDW Element</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bgrenze_Nach_LZB_Bed_Einstieg_AttributeGroup#getIDWElement()
	 * @see #getBgrenze_Nach_LZB_Bed_Einstieg_AttributeGroup()
	 * @generated
	 */
	EReference getBgrenze_Nach_LZB_Bed_Einstieg_AttributeGroup_IDWElement();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bgrenze_Nach_LZB_Bed_Einstieg_AttributeGroup#getWLage <em>WLage</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>WLage</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bgrenze_Nach_LZB_Bed_Einstieg_AttributeGroup#getWLage()
	 * @see #getBgrenze_Nach_LZB_Bed_Einstieg_AttributeGroup()
	 * @generated
	 */
	EReference getBgrenze_Nach_LZB_Bed_Einstieg_AttributeGroup_WLage();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bgrenze_Nach_Ohne_Bed_Einstieg_AttributeGroup <em>Bgrenze Nach Ohne Bed Einstieg Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Bgrenze Nach Ohne Bed Einstieg Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bgrenze_Nach_Ohne_Bed_Einstieg_AttributeGroup
	 * @generated
	 */
	EClass getBgrenze_Nach_Ohne_Bed_Einstieg_AttributeGroup();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bgrenze_Nach_Ohne_Bed_Einstieg_AttributeGroup#getIDWElement <em>IDW Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>IDW Element</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bgrenze_Nach_Ohne_Bed_Einstieg_AttributeGroup#getIDWElement()
	 * @see #getBgrenze_Nach_Ohne_Bed_Einstieg_AttributeGroup()
	 * @generated
	 */
	EReference getBgrenze_Nach_Ohne_Bed_Einstieg_AttributeGroup_IDWElement();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bgrenze_Nach_Ohne_Bed_Einstieg_AttributeGroup#getWLage <em>WLage</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>WLage</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bgrenze_Nach_Ohne_Bed_Einstieg_AttributeGroup#getWLage()
	 * @see #getBgrenze_Nach_Ohne_Bed_Einstieg_AttributeGroup()
	 * @generated
	 */
	EReference getBgrenze_Nach_Ohne_Bed_Einstieg_AttributeGroup_WLage();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bgrenze_Nach_PZB_Bed_Einstieg_AttributeGroup <em>Bgrenze Nach PZB Bed Einstieg Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Bgrenze Nach PZB Bed Einstieg Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bgrenze_Nach_PZB_Bed_Einstieg_AttributeGroup
	 * @generated
	 */
	EClass getBgrenze_Nach_PZB_Bed_Einstieg_AttributeGroup();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bgrenze_Nach_PZB_Bed_Einstieg_AttributeGroup#getIDWElement <em>IDW Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>IDW Element</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bgrenze_Nach_PZB_Bed_Einstieg_AttributeGroup#getIDWElement()
	 * @see #getBgrenze_Nach_PZB_Bed_Einstieg_AttributeGroup()
	 * @generated
	 */
	EReference getBgrenze_Nach_PZB_Bed_Einstieg_AttributeGroup_IDWElement();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bgrenze_Nach_PZB_Bed_Einstieg_AttributeGroup#getWLage <em>WLage</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>WLage</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bgrenze_Nach_PZB_Bed_Einstieg_AttributeGroup#getWLage()
	 * @see #getBgrenze_Nach_PZB_Bed_Einstieg_AttributeGroup()
	 * @generated
	 */
	EReference getBgrenze_Nach_PZB_Bed_Einstieg_AttributeGroup_WLage();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bgrenze_Nach_ZBS_Bed_Einstieg_AttributeGroup <em>Bgrenze Nach ZBS Bed Einstieg Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Bgrenze Nach ZBS Bed Einstieg Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bgrenze_Nach_ZBS_Bed_Einstieg_AttributeGroup
	 * @generated
	 */
	EClass getBgrenze_Nach_ZBS_Bed_Einstieg_AttributeGroup();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bgrenze_Nach_ZBS_Bed_Einstieg_AttributeGroup#getIDWElement <em>IDW Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>IDW Element</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bgrenze_Nach_ZBS_Bed_Einstieg_AttributeGroup#getIDWElement()
	 * @see #getBgrenze_Nach_ZBS_Bed_Einstieg_AttributeGroup()
	 * @generated
	 */
	EReference getBgrenze_Nach_ZBS_Bed_Einstieg_AttributeGroup_IDWElement();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bgrenze_Nach_ZBS_Bed_Einstieg_AttributeGroup#getWLage <em>WLage</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>WLage</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bgrenze_Nach_ZBS_Bed_Einstieg_AttributeGroup#getWLage()
	 * @see #getBgrenze_Nach_ZBS_Bed_Einstieg_AttributeGroup()
	 * @generated
	 */
	EReference getBgrenze_Nach_ZBS_Bed_Einstieg_AttributeGroup_WLage();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bgrenze_RBC_Wechsel_BTS_Kette_AttributeGroup <em>Bgrenze RBC Wechsel BTS Kette Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Bgrenze RBC Wechsel BTS Kette Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bgrenze_RBC_Wechsel_BTS_Kette_AttributeGroup
	 * @generated
	 */
	EClass getBgrenze_RBC_Wechsel_BTS_Kette_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bgrenze_RBC_Wechsel_BTS_Kette_AttributeGroup#getBezStreckeBTS1 <em>Bez Strecke BTS1</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Bez Strecke BTS1</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bgrenze_RBC_Wechsel_BTS_Kette_AttributeGroup#getBezStreckeBTS1()
	 * @see #getBgrenze_RBC_Wechsel_BTS_Kette_AttributeGroup()
	 * @generated
	 */
	EReference getBgrenze_RBC_Wechsel_BTS_Kette_AttributeGroup_BezStreckeBTS1();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bgrenze_RBC_Wechsel_BTS_Kette_AttributeGroup#getBezStreckeBTS2 <em>Bez Strecke BTS2</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Bez Strecke BTS2</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bgrenze_RBC_Wechsel_BTS_Kette_AttributeGroup#getBezStreckeBTS2()
	 * @see #getBgrenze_RBC_Wechsel_BTS_Kette_AttributeGroup()
	 * @generated
	 */
	EReference getBgrenze_RBC_Wechsel_BTS_Kette_AttributeGroup_BezStreckeBTS2();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bgrenze_RBC_Wechsel_BTS_Kette_AttributeGroup#getBezStreckeBTS3 <em>Bez Strecke BTS3</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Bez Strecke BTS3</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bgrenze_RBC_Wechsel_BTS_Kette_AttributeGroup#getBezStreckeBTS3()
	 * @see #getBgrenze_RBC_Wechsel_BTS_Kette_AttributeGroup()
	 * @generated
	 */
	EReference getBgrenze_RBC_Wechsel_BTS_Kette_AttributeGroup_BezStreckeBTS3();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bgrenze_RBC_Wechsel_BTS_Kette_AttributeGroup#getKmBTS1 <em>Km BTS1</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Km BTS1</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bgrenze_RBC_Wechsel_BTS_Kette_AttributeGroup#getKmBTS1()
	 * @see #getBgrenze_RBC_Wechsel_BTS_Kette_AttributeGroup()
	 * @generated
	 */
	EReference getBgrenze_RBC_Wechsel_BTS_Kette_AttributeGroup_KmBTS1();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bgrenze_RBC_Wechsel_BTS_Kette_AttributeGroup#getKmBTS2 <em>Km BTS2</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Km BTS2</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bgrenze_RBC_Wechsel_BTS_Kette_AttributeGroup#getKmBTS2()
	 * @see #getBgrenze_RBC_Wechsel_BTS_Kette_AttributeGroup()
	 * @generated
	 */
	EReference getBgrenze_RBC_Wechsel_BTS_Kette_AttributeGroup_KmBTS2();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bgrenze_RBC_Wechsel_BTS_Kette_AttributeGroup#getKmBTS3 <em>Km BTS3</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Km BTS3</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Bgrenze_RBC_Wechsel_BTS_Kette_AttributeGroup#getKmBTS3()
	 * @see #getBgrenze_RBC_Wechsel_BTS_Kette_AttributeGroup()
	 * @generated
	 */
	EReference getBgrenze_RBC_Wechsel_BTS_Kette_AttributeGroup_KmBTS3();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Binaerdaten <em>Binaerdaten</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Binaerdaten</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Binaerdaten
	 * @generated
	 */
	EClass getBinaerdaten();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Binaerdaten#getBinaerdatenDatei <em>Binaerdaten Datei</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Binaerdaten Datei</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Binaerdaten#getBinaerdatenDatei()
	 * @see #getBinaerdaten()
	 * @generated
	 */
	EReference getBinaerdaten_BinaerdatenDatei();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Binaerdaten#getDaten <em>Daten</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Daten</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Binaerdaten#getDaten()
	 * @see #getBinaerdaten()
	 * @generated
	 */
	EReference getBinaerdaten_Daten();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Binaerdaten_Datei_AttributeGroup <em>Binaerdaten Datei Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Binaerdaten Datei Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Binaerdaten_Datei_AttributeGroup
	 * @generated
	 */
	EClass getBinaerdaten_Datei_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Binaerdaten_Datei_AttributeGroup#getDateiname <em>Dateiname</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Dateiname</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Binaerdaten_Datei_AttributeGroup#getDateiname()
	 * @see #getBinaerdaten_Datei_AttributeGroup()
	 * @generated
	 */
	EReference getBinaerdaten_Datei_AttributeGroup_Dateiname();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Binaerdaten_Datei_AttributeGroup#getDateitypBinaerdatei <em>Dateityp Binaerdatei</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Dateityp Binaerdatei</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Binaerdaten_Datei_AttributeGroup#getDateitypBinaerdatei()
	 * @see #getBinaerdaten_Datei_AttributeGroup()
	 * @generated
	 */
	EReference getBinaerdaten_Datei_AttributeGroup_DateitypBinaerdatei();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.D_LEVELTR_TypeClass <em>DLEVELTR Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>DLEVELTR Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.D_LEVELTR_TypeClass
	 * @generated
	 */
	EClass getD_LEVELTR_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.D_LEVELTR_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.D_LEVELTR_TypeClass#getWert()
	 * @see #getD_LEVELTR_TypeClass()
	 * @generated
	 */
	EAttribute getD_LEVELTR_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Dateiname_TypeClass <em>Dateiname Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Dateiname Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Dateiname_TypeClass
	 * @generated
	 */
	EClass getDateiname_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Dateiname_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Dateiname_TypeClass#getWert()
	 * @see #getDateiname_TypeClass()
	 * @generated
	 */
	EAttribute getDateiname_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Dateityp_Binaerdatei_TypeClass <em>Dateityp Binaerdatei Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Dateityp Binaerdatei Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Dateityp_Binaerdatei_TypeClass
	 * @generated
	 */
	EClass getDateityp_Binaerdatei_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Dateityp_Binaerdatei_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Dateityp_Binaerdatei_TypeClass#getWert()
	 * @see #getDateityp_Binaerdatei_TypeClass()
	 * @generated
	 */
	EAttribute getDateityp_Binaerdatei_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Daten_TypeClass <em>Daten Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Daten Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Daten_TypeClass
	 * @generated
	 */
	EClass getDaten_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Daten_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Daten_TypeClass#getWert()
	 * @see #getDaten_TypeClass()
	 * @generated
	 */
	EAttribute getDaten_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt <em>Datenpunkt</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Datenpunkt</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt
	 * @generated
	 */
	EClass getDatenpunkt();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt#getDatenpunktAllg <em>Datenpunkt Allg</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Datenpunkt Allg</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt#getDatenpunktAllg()
	 * @see #getDatenpunkt()
	 * @generated
	 */
	EReference getDatenpunkt_DatenpunktAllg();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt#getDatenpunktEinmesspunkt <em>Datenpunkt Einmesspunkt</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Datenpunkt Einmesspunkt</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt#getDatenpunktEinmesspunkt()
	 * @see #getDatenpunkt()
	 * @generated
	 */
	EReference getDatenpunkt_DatenpunktEinmesspunkt();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt#getDPBezugFunktional <em>DP Bezug Funktional</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>DP Bezug Funktional</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt#getDPBezugFunktional()
	 * @see #getDatenpunkt()
	 * @generated
	 */
	EReference getDatenpunkt_DPBezugFunktional();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt#getDPETCSAdresse <em>DPETCS Adresse</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>DPETCS Adresse</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt#getDPETCSAdresse()
	 * @see #getDatenpunkt()
	 * @generated
	 */
	EReference getDatenpunkt_DPETCSAdresse();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt#getDPTyp <em>DP Typ</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>DP Typ</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt#getDPTyp()
	 * @see #getDatenpunkt()
	 * @generated
	 */
	EReference getDatenpunkt_DPTyp();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt#getIDRBC <em>IDRBC</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>IDRBC</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt#getIDRBC()
	 * @see #getDatenpunkt()
	 * @generated
	 */
	EReference getDatenpunkt_IDRBC();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt#getLEUSteuernde <em>LEU Steuernde</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>LEU Steuernde</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt#getLEUSteuernde()
	 * @see #getDatenpunkt()
	 * @generated
	 */
	EReference getDatenpunkt_LEUSteuernde();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt#getDPTelegramm <em>DP Telegramm</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>DP Telegramm</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt#getDPTelegramm()
	 * @see #getDatenpunkt()
	 * @generated
	 */
	EReference getDatenpunkt_DPTelegramm();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt#getDPTelegrammESG <em>DP Telegramm ESG</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>DP Telegramm ESG</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt#getDPTelegrammESG()
	 * @see #getDatenpunkt()
	 * @generated
	 */
	EReference getDatenpunkt_DPTelegrammESG();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt_Allg_AttributeGroup <em>Datenpunkt Allg Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Datenpunkt Allg Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt_Allg_AttributeGroup
	 * @generated
	 */
	EClass getDatenpunkt_Allg_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt_Allg_AttributeGroup#getAnwendungssystem <em>Anwendungssystem</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Anwendungssystem</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt_Allg_AttributeGroup#getAnwendungssystem()
	 * @see #getDatenpunkt_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getDatenpunkt_Allg_AttributeGroup_Anwendungssystem();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt_Allg_AttributeGroup#getAusrichtung <em>Ausrichtung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Ausrichtung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt_Allg_AttributeGroup#getAusrichtung()
	 * @see #getDatenpunkt_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getDatenpunkt_Allg_AttributeGroup_Ausrichtung();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt_Allg_AttributeGroup#getDatenpunktBeschreibung <em>Datenpunkt Beschreibung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Datenpunkt Beschreibung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt_Allg_AttributeGroup#getDatenpunktBeschreibung()
	 * @see #getDatenpunkt_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getDatenpunkt_Allg_AttributeGroup_DatenpunktBeschreibung();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt_Allg_AttributeGroup#getDatenpunktLaenge <em>Datenpunkt Laenge</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Datenpunkt Laenge</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt_Allg_AttributeGroup#getDatenpunktLaenge()
	 * @see #getDatenpunkt_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getDatenpunkt_Allg_AttributeGroup_DatenpunktLaenge();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt_Allg_AttributeGroup#getSonstigeStandortangabe <em>Sonstige Standortangabe</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Sonstige Standortangabe</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt_Allg_AttributeGroup#getSonstigeStandortangabe()
	 * @see #getDatenpunkt_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getDatenpunkt_Allg_AttributeGroup_SonstigeStandortangabe();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt_Allg_AttributeGroup#getStandortangabeBalisenschild <em>Standortangabe Balisenschild</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Standortangabe Balisenschild</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt_Allg_AttributeGroup#getStandortangabeBalisenschild()
	 * @see #getDatenpunkt_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getDatenpunkt_Allg_AttributeGroup_StandortangabeBalisenschild();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt_Beschreibung_TypeClass <em>Datenpunkt Beschreibung Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Datenpunkt Beschreibung Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt_Beschreibung_TypeClass
	 * @generated
	 */
	EClass getDatenpunkt_Beschreibung_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt_Beschreibung_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt_Beschreibung_TypeClass#getWert()
	 * @see #getDatenpunkt_Beschreibung_TypeClass()
	 * @generated
	 */
	EAttribute getDatenpunkt_Beschreibung_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt_Einmesspunkt_AttributeGroup <em>Datenpunkt Einmesspunkt Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Datenpunkt Einmesspunkt Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt_Einmesspunkt_AttributeGroup
	 * @generated
	 */
	EClass getDatenpunkt_Einmesspunkt_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt_Einmesspunkt_AttributeGroup#getAbstandEinmesspunkt <em>Abstand Einmesspunkt</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Abstand Einmesspunkt</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt_Einmesspunkt_AttributeGroup#getAbstandEinmesspunkt()
	 * @see #getDatenpunkt_Einmesspunkt_AttributeGroup()
	 * @generated
	 */
	EReference getDatenpunkt_Einmesspunkt_AttributeGroup_AbstandEinmesspunkt();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt_Einmesspunkt_AttributeGroup#getIDEinmesspunkt <em>ID Einmesspunkt</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Einmesspunkt</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt_Einmesspunkt_AttributeGroup#getIDEinmesspunkt()
	 * @see #getDatenpunkt_Einmesspunkt_AttributeGroup()
	 * @generated
	 */
	EReference getDatenpunkt_Einmesspunkt_AttributeGroup_IDEinmesspunkt();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt_Laenge_TypeClass <em>Datenpunkt Laenge Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Datenpunkt Laenge Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt_Laenge_TypeClass
	 * @generated
	 */
	EClass getDatenpunkt_Laenge_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt_Laenge_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt_Laenge_TypeClass#getWert()
	 * @see #getDatenpunkt_Laenge_TypeClass()
	 * @generated
	 */
	EAttribute getDatenpunkt_Laenge_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt_Link <em>Datenpunkt Link</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Datenpunkt Link</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt_Link
	 * @generated
	 */
	EClass getDatenpunkt_Link();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt_Link#getIDDPLinkStart <em>IDDP Link Start</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>IDDP Link Start</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt_Link#getIDDPLinkStart()
	 * @see #getDatenpunkt_Link()
	 * @generated
	 */
	EReference getDatenpunkt_Link_IDDPLinkStart();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt_Link#getIDDPLinkZiel <em>IDDP Link Ziel</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>IDDP Link Ziel</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt_Link#getIDDPLinkZiel()
	 * @see #getDatenpunkt_Link()
	 * @generated
	 */
	EReference getDatenpunkt_Link_IDDPLinkZiel();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt_Link#getIDFachtelegramm <em>ID Fachtelegramm</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>ID Fachtelegramm</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt_Link#getIDFachtelegramm()
	 * @see #getDatenpunkt_Link()
	 * @generated
	 */
	EReference getDatenpunkt_Link_IDFachtelegramm();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt_Link#getLinkDistanz <em>Link Distanz</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Link Distanz</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt_Link#getLinkDistanz()
	 * @see #getDatenpunkt_Link()
	 * @generated
	 */
	EReference getDatenpunkt_Link_LinkDistanz();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt_Link#getZielDPAusrichtung <em>Ziel DP Ausrichtung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Ziel DP Ausrichtung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt_Link#getZielDPAusrichtung()
	 * @see #getDatenpunkt_Link()
	 * @generated
	 */
	EReference getDatenpunkt_Link_ZielDPAusrichtung();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt_Link#getAnwendungESG <em>Anwendung ESG</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Anwendung ESG</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt_Link#getAnwendungESG()
	 * @see #getDatenpunkt_Link()
	 * @generated
	 */
	EReference getDatenpunkt_Link_AnwendungESG();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt_Link#getAnwendungGNT <em>Anwendung GNT</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Anwendung GNT</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt_Link#getAnwendungGNT()
	 * @see #getDatenpunkt_Link()
	 * @generated
	 */
	EReference getDatenpunkt_Link_AnwendungGNT();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt_Link#getZBSMerkmale <em>ZBS Merkmale</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>ZBS Merkmale</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Datenpunkt_Link#getZBSMerkmale()
	 * @see #getDatenpunkt_Link()
	 * @generated
	 */
	EReference getDatenpunkt_Link_ZBSMerkmale();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Delta_VGES_TypeClass <em>Delta VGES Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Delta VGES Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Delta_VGES_TypeClass
	 * @generated
	 */
	EClass getDelta_VGES_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Delta_VGES_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Delta_VGES_TypeClass#getWert()
	 * @see #getDelta_VGES_TypeClass()
	 * @generated
	 */
	EAttribute getDelta_VGES_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Delta_VLES_TypeClass <em>Delta VLES Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Delta VLES Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Delta_VLES_TypeClass
	 * @generated
	 */
	EClass getDelta_VLES_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Delta_VLES_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Delta_VLES_TypeClass#getWert()
	 * @see #getDelta_VLES_TypeClass()
	 * @generated
	 */
	EAttribute getDelta_VLES_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Delta_VZES_TypeClass <em>Delta VZES Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Delta VZES Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Delta_VZES_TypeClass
	 * @generated
	 */
	EClass getDelta_VZES_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Delta_VZES_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Delta_VZES_TypeClass#getWert()
	 * @see #getDelta_VZES_TypeClass()
	 * @generated
	 */
	EAttribute getDelta_VZES_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_ATO_TypeClass <em>DP ATO Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>DP ATO Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_ATO_TypeClass
	 * @generated
	 */
	EClass getDP_ATO_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_ATO_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_ATO_TypeClass#getWert()
	 * @see #getDP_ATO_TypeClass()
	 * @generated
	 */
	EAttribute getDP_ATO_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Bezug_Funktional_Art_TypeClass <em>DP Bezug Funktional Art Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>DP Bezug Funktional Art Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Bezug_Funktional_Art_TypeClass
	 * @generated
	 */
	EClass getDP_Bezug_Funktional_Art_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Bezug_Funktional_Art_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Bezug_Funktional_Art_TypeClass#getWert()
	 * @see #getDP_Bezug_Funktional_Art_TypeClass()
	 * @generated
	 */
	EAttribute getDP_Bezug_Funktional_Art_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Bezug_Funktional_AttributeGroup <em>DP Bezug Funktional Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>DP Bezug Funktional Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Bezug_Funktional_AttributeGroup
	 * @generated
	 */
	EClass getDP_Bezug_Funktional_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Bezug_Funktional_AttributeGroup#getDPBezugFunktionalArt <em>DP Bezug Funktional Art</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>DP Bezug Funktional Art</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Bezug_Funktional_AttributeGroup#getDPBezugFunktionalArt()
	 * @see #getDP_Bezug_Funktional_AttributeGroup()
	 * @generated
	 */
	EReference getDP_Bezug_Funktional_AttributeGroup_DPBezugFunktionalArt();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Bezug_Funktional_AttributeGroup#getIDDPBezugFunktional <em>IDDP Bezug Funktional</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>IDDP Bezug Funktional</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Bezug_Funktional_AttributeGroup#getIDDPBezugFunktional()
	 * @see #getDP_Bezug_Funktional_AttributeGroup()
	 * @generated
	 */
	EReference getDP_Bezug_Funktional_AttributeGroup_IDDPBezugFunktional();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_ETCS_Adresse_AttributeGroup <em>DP ETCS Adresse Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>DP ETCS Adresse Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_ETCS_Adresse_AttributeGroup
	 * @generated
	 */
	EClass getDP_ETCS_Adresse_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_ETCS_Adresse_AttributeGroup#getNIDBG <em>NIDBG</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>NIDBG</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_ETCS_Adresse_AttributeGroup#getNIDBG()
	 * @see #getDP_ETCS_Adresse_AttributeGroup()
	 * @generated
	 */
	EReference getDP_ETCS_Adresse_AttributeGroup_NIDBG();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_ETCS_Adresse_AttributeGroup#getNIDC <em>NIDC</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>NIDC</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_ETCS_Adresse_AttributeGroup#getNIDC()
	 * @see #getDP_ETCS_Adresse_AttributeGroup()
	 * @generated
	 */
	EReference getDP_ETCS_Adresse_AttributeGroup_NIDC();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Link_Art_TypeClass <em>DP Link Art Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>DP Link Art Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Link_Art_TypeClass
	 * @generated
	 */
	EClass getDP_Link_Art_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Link_Art_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Link_Art_TypeClass#getWert()
	 * @see #getDP_Link_Art_TypeClass()
	 * @generated
	 */
	EAttribute getDP_Link_Art_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Telegramm_AttributeGroup <em>DP Telegramm Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>DP Telegramm Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Telegramm_AttributeGroup
	 * @generated
	 */
	EClass getDP_Telegramm_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Telegramm_AttributeGroup#getETCSSystemVersion <em>ETCS System Version</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>ETCS System Version</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Telegramm_AttributeGroup#getETCSSystemVersion()
	 * @see #getDP_Telegramm_AttributeGroup()
	 * @generated
	 */
	EReference getDP_Telegramm_AttributeGroup_ETCSSystemVersion();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Telegramm_AttributeGroup#getIDFachtelegramm <em>ID Fachtelegramm</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>ID Fachtelegramm</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Telegramm_AttributeGroup#getIDFachtelegramm()
	 * @see #getDP_Telegramm_AttributeGroup()
	 * @generated
	 */
	EReference getDP_Telegramm_AttributeGroup_IDFachtelegramm();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Telegramm_AttributeGroup#getIDFTAnschaltbedingung <em>IDFT Anschaltbedingung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>IDFT Anschaltbedingung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Telegramm_AttributeGroup#getIDFTAnschaltbedingung()
	 * @see #getDP_Telegramm_AttributeGroup()
	 * @generated
	 */
	EReference getDP_Telegramm_AttributeGroup_IDFTAnschaltbedingung();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Telegramm_AttributeGroup#getSRSVersion <em>SRS Version</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>SRS Version</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Telegramm_AttributeGroup#getSRSVersion()
	 * @see #getDP_Telegramm_AttributeGroup()
	 * @generated
	 */
	EReference getDP_Telegramm_AttributeGroup_SRSVersion();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Telegramm_ESG_AttributeGroup <em>DP Telegramm ESG Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>DP Telegramm ESG Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Telegramm_ESG_AttributeGroup
	 * @generated
	 */
	EClass getDP_Telegramm_ESG_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Telegramm_ESG_AttributeGroup#getETCSSystemVersion <em>ETCS System Version</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>ETCS System Version</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Telegramm_ESG_AttributeGroup#getETCSSystemVersion()
	 * @see #getDP_Telegramm_ESG_AttributeGroup()
	 * @generated
	 */
	EReference getDP_Telegramm_ESG_AttributeGroup_ETCSSystemVersion();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Telegramm_ESG_AttributeGroup#getIDFachtelegramm <em>ID Fachtelegramm</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>ID Fachtelegramm</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Telegramm_ESG_AttributeGroup#getIDFachtelegramm()
	 * @see #getDP_Telegramm_ESG_AttributeGroup()
	 * @generated
	 */
	EReference getDP_Telegramm_ESG_AttributeGroup_IDFachtelegramm();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Telegramm_ESG_AttributeGroup#getIDFTAnschaltbedingungGeplant <em>IDFT Anschaltbedingung Geplant</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>IDFT Anschaltbedingung Geplant</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Telegramm_ESG_AttributeGroup#getIDFTAnschaltbedingungGeplant()
	 * @see #getDP_Telegramm_ESG_AttributeGroup()
	 * @generated
	 */
	EReference getDP_Telegramm_ESG_AttributeGroup_IDFTAnschaltbedingungGeplant();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Telegramm_ESG_AttributeGroup#getIDFTAnschaltbedingungRealisiert <em>IDFT Anschaltbedingung Realisiert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>IDFT Anschaltbedingung Realisiert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Telegramm_ESG_AttributeGroup#getIDFTAnschaltbedingungRealisiert()
	 * @see #getDP_Telegramm_ESG_AttributeGroup()
	 * @generated
	 */
	EReference getDP_Telegramm_ESG_AttributeGroup_IDFTAnschaltbedingungRealisiert();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Telegramm_ESG_AttributeGroup#getSRSVersion <em>SRS Version</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>SRS Version</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Telegramm_ESG_AttributeGroup#getSRSVersion()
	 * @see #getDP_Telegramm_ESG_AttributeGroup()
	 * @generated
	 */
	EReference getDP_Telegramm_ESG_AttributeGroup_SRSVersion();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_Art_TypeClass <em>DP Typ Art Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>DP Typ Art Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_Art_TypeClass
	 * @generated
	 */
	EClass getDP_Typ_Art_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_Art_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_Art_TypeClass#getWert()
	 * @see #getDP_Typ_Art_TypeClass()
	 * @generated
	 */
	EAttribute getDP_Typ_Art_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_AttributeGroup <em>DP Typ Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>DP Typ Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_AttributeGroup
	 * @generated
	 */
	EClass getDP_Typ_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_AttributeGroup#getDPTypArt <em>DP Typ Art</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>DP Typ Art</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_AttributeGroup#getDPTypArt()
	 * @see #getDP_Typ_AttributeGroup()
	 * @generated
	 */
	EReference getDP_Typ_AttributeGroup_DPTypArt();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_AttributeGroup#getDPTypGESG <em>DP Typ GESG</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>DP Typ GESG</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_AttributeGroup#getDPTypGESG()
	 * @see #getDP_Typ_AttributeGroup()
	 * @generated
	 */
	EReference getDP_Typ_AttributeGroup_DPTypGESG();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_AttributeGroup#getDPTypGETCS <em>DP Typ GETCS</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>DP Typ GETCS</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_AttributeGroup#getDPTypGETCS()
	 * @see #getDP_Typ_AttributeGroup()
	 * @generated
	 */
	EReference getDP_Typ_AttributeGroup_DPTypGETCS();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_AttributeGroup#getDPTypGGNT <em>DP Typ GGNT</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>DP Typ GGNT</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_AttributeGroup#getDPTypGGNT()
	 * @see #getDP_Typ_AttributeGroup()
	 * @generated
	 */
	EReference getDP_Typ_AttributeGroup_DPTypGGNT();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_AttributeGroup#getDPTypGSonst <em>DP Typ GSonst</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>DP Typ GSonst</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_AttributeGroup#getDPTypGSonst()
	 * @see #getDP_Typ_AttributeGroup()
	 * @generated
	 */
	EReference getDP_Typ_AttributeGroup_DPTypGSonst();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_AttributeGroup#getDPTypGTrans <em>DP Typ GTrans</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>DP Typ GTrans</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_AttributeGroup#getDPTypGTrans()
	 * @see #getDP_Typ_AttributeGroup()
	 * @generated
	 */
	EReference getDP_Typ_AttributeGroup_DPTypGTrans();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_AttributeGroup#getDPTypGZBS <em>DP Typ GZBS</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>DP Typ GZBS</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_AttributeGroup#getDPTypGZBS()
	 * @see #getDP_Typ_AttributeGroup()
	 * @generated
	 */
	EReference getDP_Typ_AttributeGroup_DPTypGZBS();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_ESG_TypeClass <em>DP Typ ESG Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>DP Typ ESG Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_ESG_TypeClass
	 * @generated
	 */
	EClass getDP_Typ_ESG_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_ESG_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_ESG_TypeClass#getWert()
	 * @see #getDP_Typ_ESG_TypeClass()
	 * @generated
	 */
	EAttribute getDP_Typ_ESG_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_ETCS_TypeClass <em>DP Typ ETCS Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>DP Typ ETCS Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_ETCS_TypeClass
	 * @generated
	 */
	EClass getDP_Typ_ETCS_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_ETCS_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_ETCS_TypeClass#getWert()
	 * @see #getDP_Typ_ETCS_TypeClass()
	 * @generated
	 */
	EAttribute getDP_Typ_ETCS_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_GESG_AttributeGroup <em>DP Typ GESG Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>DP Typ GESG Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_GESG_AttributeGroup
	 * @generated
	 */
	EClass getDP_Typ_GESG_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_GESG_AttributeGroup#getDPTypESG <em>DP Typ ESG</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>DP Typ ESG</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_GESG_AttributeGroup#getDPTypESG()
	 * @see #getDP_Typ_GESG_AttributeGroup()
	 * @generated
	 */
	EReference getDP_Typ_GESG_AttributeGroup_DPTypESG();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_GESG_AttributeGroup#getDPVerlinkt <em>DP Verlinkt</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>DP Verlinkt</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_GESG_AttributeGroup#getDPVerlinkt()
	 * @see #getDP_Typ_GESG_AttributeGroup()
	 * @generated
	 */
	EReference getDP_Typ_GESG_AttributeGroup_DPVerlinkt();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_GESG_AttributeGroup#getLfdNrAmBezugspunkt <em>Lfd Nr Am Bezugspunkt</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Lfd Nr Am Bezugspunkt</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_GESG_AttributeGroup#getLfdNrAmBezugspunkt()
	 * @see #getDP_Typ_GESG_AttributeGroup()
	 * @generated
	 */
	EReference getDP_Typ_GESG_AttributeGroup_LfdNrAmBezugspunkt();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_GETCS_AttributeGroup <em>DP Typ GETCS Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>DP Typ GETCS Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_GETCS_AttributeGroup
	 * @generated
	 */
	EClass getDP_Typ_GETCS_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_GETCS_AttributeGroup#getDPATO <em>DPATO</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>DPATO</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_GETCS_AttributeGroup#getDPATO()
	 * @see #getDP_Typ_GETCS_AttributeGroup()
	 * @generated
	 */
	EReference getDP_Typ_GETCS_AttributeGroup_DPATO();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_GETCS_AttributeGroup#getDPTypETCS <em>DP Typ ETCS</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>DP Typ ETCS</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_GETCS_AttributeGroup#getDPTypETCS()
	 * @see #getDP_Typ_GETCS_AttributeGroup()
	 * @generated
	 */
	EReference getDP_Typ_GETCS_AttributeGroup_DPTypETCS();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_GETCS_AttributeGroup#getIDDPBezugFunktional <em>IDDP Bezug Funktional</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>IDDP Bezug Funktional</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_GETCS_AttributeGroup#getIDDPBezugFunktional()
	 * @see #getDP_Typ_GETCS_AttributeGroup()
	 * @generated
	 */
	EReference getDP_Typ_GETCS_AttributeGroup_IDDPBezugFunktional();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_GETCS_AttributeGroup#getVerkuerzterAbstand <em>Verkuerzter Abstand</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Verkuerzter Abstand</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_GETCS_AttributeGroup#getVerkuerzterAbstand()
	 * @see #getDP_Typ_GETCS_AttributeGroup()
	 * @generated
	 */
	EReference getDP_Typ_GETCS_AttributeGroup_VerkuerzterAbstand();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_GGNT_AttributeGroup <em>DP Typ GGNT Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>DP Typ GGNT Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_GGNT_AttributeGroup
	 * @generated
	 */
	EClass getDP_Typ_GGNT_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_GGNT_AttributeGroup#getDPTypGNT <em>DP Typ GNT</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>DP Typ GNT</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_GGNT_AttributeGroup#getDPTypGNT()
	 * @see #getDP_Typ_GGNT_AttributeGroup()
	 * @generated
	 */
	EReference getDP_Typ_GGNT_AttributeGroup_DPTypGNT();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_GNT_TypeClass <em>DP Typ GNT Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>DP Typ GNT Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_GNT_TypeClass
	 * @generated
	 */
	EClass getDP_Typ_GNT_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_GNT_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_GNT_TypeClass#getWert()
	 * @see #getDP_Typ_GNT_TypeClass()
	 * @generated
	 */
	EAttribute getDP_Typ_GNT_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_GSonst_AttributeGroup <em>DP Typ GSonst Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>DP Typ GSonst Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_GSonst_AttributeGroup
	 * @generated
	 */
	EClass getDP_Typ_GSonst_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_GSonst_AttributeGroup#getAnwendungSonst <em>Anwendung Sonst</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Anwendung Sonst</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_GSonst_AttributeGroup#getAnwendungSonst()
	 * @see #getDP_Typ_GSonst_AttributeGroup()
	 * @generated
	 */
	EReference getDP_Typ_GSonst_AttributeGroup_AnwendungSonst();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_GSonst_AttributeGroup#getDPTypSonst <em>DP Typ Sonst</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>DP Typ Sonst</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_GSonst_AttributeGroup#getDPTypSonst()
	 * @see #getDP_Typ_GSonst_AttributeGroup()
	 * @generated
	 */
	EReference getDP_Typ_GSonst_AttributeGroup_DPTypSonst();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_GTrans_AttributeGroup <em>DP Typ GTrans Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>DP Typ GTrans Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_GTrans_AttributeGroup
	 * @generated
	 */
	EClass getDP_Typ_GTrans_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_GTrans_AttributeGroup#getDPTypTrans <em>DP Typ Trans</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>DP Typ Trans</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_GTrans_AttributeGroup#getDPTypTrans()
	 * @see #getDP_Typ_GTrans_AttributeGroup()
	 * @generated
	 */
	EReference getDP_Typ_GTrans_AttributeGroup_DPTypTrans();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_GZBS_AttributeGroup <em>DP Typ GZBS Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>DP Typ GZBS Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_GZBS_AttributeGroup
	 * @generated
	 */
	EClass getDP_Typ_GZBS_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_GZBS_AttributeGroup#getDPTypZBS <em>DP Typ ZBS</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>DP Typ ZBS</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_GZBS_AttributeGroup#getDPTypZBS()
	 * @see #getDP_Typ_GZBS_AttributeGroup()
	 * @generated
	 */
	EReference getDP_Typ_GZBS_AttributeGroup_DPTypZBS();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_Sonst_TypeClass <em>DP Typ Sonst Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>DP Typ Sonst Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_Sonst_TypeClass
	 * @generated
	 */
	EClass getDP_Typ_Sonst_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_Sonst_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_Sonst_TypeClass#getWert()
	 * @see #getDP_Typ_Sonst_TypeClass()
	 * @generated
	 */
	EAttribute getDP_Typ_Sonst_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_Trans_TypeClass <em>DP Typ Trans Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>DP Typ Trans Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_Trans_TypeClass
	 * @generated
	 */
	EClass getDP_Typ_Trans_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_Trans_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_Trans_TypeClass#getWert()
	 * @see #getDP_Typ_Trans_TypeClass()
	 * @generated
	 */
	EAttribute getDP_Typ_Trans_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_V_La_TypeClass <em>DP Typ VLa Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>DP Typ VLa Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_V_La_TypeClass
	 * @generated
	 */
	EClass getDP_Typ_V_La_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_V_La_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_V_La_TypeClass#getWert()
	 * @see #getDP_Typ_V_La_TypeClass()
	 * @generated
	 */
	EAttribute getDP_Typ_V_La_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_ZBS_TypeClass <em>DP Typ ZBS Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>DP Typ ZBS Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_ZBS_TypeClass
	 * @generated
	 */
	EClass getDP_Typ_ZBS_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_ZBS_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Typ_ZBS_TypeClass#getWert()
	 * @see #getDP_Typ_ZBS_TypeClass()
	 * @generated
	 */
	EAttribute getDP_Typ_ZBS_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Verlinkt_TypeClass <em>DP Verlinkt Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>DP Verlinkt Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Verlinkt_TypeClass
	 * @generated
	 */
	EClass getDP_Verlinkt_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Verlinkt_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DP_Verlinkt_TypeClass#getWert()
	 * @see #getDP_Verlinkt_TypeClass()
	 * @generated
	 */
	EAttribute getDP_Verlinkt_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Dunkelschaltanstoss_TypeClass <em>Dunkelschaltanstoss Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Dunkelschaltanstoss Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Dunkelschaltanstoss_TypeClass
	 * @generated
	 */
	EClass getDunkelschaltanstoss_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Dunkelschaltanstoss_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Dunkelschaltanstoss_TypeClass#getWert()
	 * @see #getDunkelschaltanstoss_TypeClass()
	 * @generated
	 */
	EAttribute getDunkelschaltanstoss_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DWeg_Intervall_200_TypeClass <em>DWeg Intervall 200 Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>DWeg Intervall 200 Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DWeg_Intervall_200_TypeClass
	 * @generated
	 */
	EClass getDWeg_Intervall_200_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DWeg_Intervall_200_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DWeg_Intervall_200_TypeClass#getWert()
	 * @see #getDWeg_Intervall_200_TypeClass()
	 * @generated
	 */
	EAttribute getDWeg_Intervall_200_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DWeg_Intervall_50_200_TypeClass <em>DWeg Intervall 50 200 Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>DWeg Intervall 50 200 Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DWeg_Intervall_50_200_TypeClass
	 * @generated
	 */
	EClass getDWeg_Intervall_50_200_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DWeg_Intervall_50_200_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DWeg_Intervall_50_200_TypeClass#getWert()
	 * @see #getDWeg_Intervall_50_200_TypeClass()
	 * @generated
	 */
	EAttribute getDWeg_Intervall_50_200_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DWeg_Intervall_50_TypeClass <em>DWeg Intervall 50 Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>DWeg Intervall 50 Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DWeg_Intervall_50_TypeClass
	 * @generated
	 */
	EClass getDWeg_Intervall_50_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DWeg_Intervall_50_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.DWeg_Intervall_50_TypeClass#getWert()
	 * @see #getDWeg_Intervall_50_TypeClass()
	 * @generated
	 */
	EAttribute getDWeg_Intervall_50_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Eingang_Gepuffert_TypeClass <em>Eingang Gepuffert Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Eingang Gepuffert Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Eingang_Gepuffert_TypeClass
	 * @generated
	 */
	EClass getEingang_Gepuffert_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Eingang_Gepuffert_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Eingang_Gepuffert_TypeClass#getWert()
	 * @see #getEingang_Gepuffert_TypeClass()
	 * @generated
	 */
	EAttribute getEingang_Gepuffert_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Einstieg_Erlaubt_TypeClass <em>Einstieg Erlaubt Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Einstieg Erlaubt Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Einstieg_Erlaubt_TypeClass
	 * @generated
	 */
	EClass getEinstieg_Erlaubt_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Einstieg_Erlaubt_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Einstieg_Erlaubt_TypeClass#getWert()
	 * @see #getEinstieg_Erlaubt_TypeClass()
	 * @generated
	 */
	EAttribute getEinstieg_Erlaubt_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Einstieg_Ohne_Rueckw_Sig_TypeClass <em>Einstieg Ohne Rueckw Sig Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Einstieg Ohne Rueckw Sig Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Einstieg_Ohne_Rueckw_Sig_TypeClass
	 * @generated
	 */
	EClass getEinstieg_Ohne_Rueckw_Sig_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Einstieg_Ohne_Rueckw_Sig_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Einstieg_Ohne_Rueckw_Sig_TypeClass#getWert()
	 * @see #getEinstieg_Ohne_Rueckw_Sig_TypeClass()
	 * @generated
	 */
	EAttribute getEinstieg_Ohne_Rueckw_Sig_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Einzeldatei_Art_TypeClass <em>Einzeldatei Art Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Einzeldatei Art Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Einzeldatei_Art_TypeClass
	 * @generated
	 */
	EClass getEinzeldatei_Art_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Einzeldatei_Art_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Einzeldatei_Art_TypeClass#getWert()
	 * @see #getEinzeldatei_Art_TypeClass()
	 * @generated
	 */
	EAttribute getEinzeldatei_Art_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Energie_Eingang_Art_TypeClass <em>Energie Eingang Art Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Energie Eingang Art Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Energie_Eingang_Art_TypeClass
	 * @generated
	 */
	EClass getEnergie_Eingang_Art_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Energie_Eingang_Art_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Energie_Eingang_Art_TypeClass#getWert()
	 * @see #getEnergie_Eingang_Art_TypeClass()
	 * @generated
	 */
	EAttribute getEnergie_Eingang_Art_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ESG_Ind_Erlaeuterung_TypeClass <em>ESG Ind Erlaeuterung Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ESG Ind Erlaeuterung Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ESG_Ind_Erlaeuterung_TypeClass
	 * @generated
	 */
	EClass getESG_Ind_Erlaeuterung_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ESG_Ind_Erlaeuterung_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ESG_Ind_Erlaeuterung_TypeClass#getWert()
	 * @see #getESG_Ind_Erlaeuterung_TypeClass()
	 * @generated
	 */
	EAttribute getESG_Ind_Erlaeuterung_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ESG_Ind_Parameter_TypeClass <em>ESG Ind Parameter Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ESG Ind Parameter Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ESG_Ind_Parameter_TypeClass
	 * @generated
	 */
	EClass getESG_Ind_Parameter_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ESG_Ind_Parameter_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ESG_Ind_Parameter_TypeClass#getWert()
	 * @see #getESG_Ind_Parameter_TypeClass()
	 * @generated
	 */
	EAttribute getESG_Ind_Parameter_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ESG_Ind_Parameterwert_TypeClass <em>ESG Ind Parameterwert Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ESG Ind Parameterwert Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ESG_Ind_Parameterwert_TypeClass
	 * @generated
	 */
	EClass getESG_Ind_Parameterwert_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ESG_Ind_Parameterwert_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ESG_Ind_Parameterwert_TypeClass#getWert()
	 * @see #getESG_Ind_Parameterwert_TypeClass()
	 * @generated
	 */
	EAttribute getESG_Ind_Parameterwert_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ESG_Individuelle_Merkmale_AttributeGroup <em>ESG Individuelle Merkmale Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ESG Individuelle Merkmale Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ESG_Individuelle_Merkmale_AttributeGroup
	 * @generated
	 */
	EClass getESG_Individuelle_Merkmale_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ESG_Individuelle_Merkmale_AttributeGroup#getESGIndErlaeuterung <em>ESG Ind Erlaeuterung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>ESG Ind Erlaeuterung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ESG_Individuelle_Merkmale_AttributeGroup#getESGIndErlaeuterung()
	 * @see #getESG_Individuelle_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getESG_Individuelle_Merkmale_AttributeGroup_ESGIndErlaeuterung();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ESG_Individuelle_Merkmale_AttributeGroup#getESGIndParameter <em>ESG Ind Parameter</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>ESG Ind Parameter</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ESG_Individuelle_Merkmale_AttributeGroup#getESGIndParameter()
	 * @see #getESG_Individuelle_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getESG_Individuelle_Merkmale_AttributeGroup_ESGIndParameter();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ESG_Individuelle_Merkmale_AttributeGroup#getESGIndParameterwert <em>ESG Ind Parameterwert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>ESG Ind Parameterwert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ESG_Individuelle_Merkmale_AttributeGroup#getESGIndParameterwert()
	 * @see #getESG_Individuelle_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getESG_Individuelle_Merkmale_AttributeGroup_ESGIndParameterwert();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ESG_Individuelle_Merkmale_AttributeGroup#getIDAnhangUiG <em>ID Anhang Ui G</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Anhang Ui G</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ESG_Individuelle_Merkmale_AttributeGroup#getIDAnhangUiG()
	 * @see #getESG_Individuelle_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getESG_Individuelle_Merkmale_AttributeGroup_IDAnhangUiG();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ESG_Spezifische_Merkmale_AttributeGroup <em>ESG Spezifische Merkmale Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ESG Spezifische Merkmale Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ESG_Spezifische_Merkmale_AttributeGroup
	 * @generated
	 */
	EClass getESG_Spezifische_Merkmale_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ESG_Spezifische_Merkmale_AttributeGroup#getETCSPaketnummer <em>ETCS Paketnummer</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>ETCS Paketnummer</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ESG_Spezifische_Merkmale_AttributeGroup#getETCSPaketnummer()
	 * @see #getESG_Spezifische_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getESG_Spezifische_Merkmale_AttributeGroup_ETCSPaketnummer();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ESG_Spezifische_Merkmale_AttributeGroup#getETCSParErlaeuterung <em>ETCS Par Erlaeuterung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>ETCS Par Erlaeuterung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ESG_Spezifische_Merkmale_AttributeGroup#getETCSParErlaeuterung()
	 * @see #getESG_Spezifische_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getESG_Spezifische_Merkmale_AttributeGroup_ETCSParErlaeuterung();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ESG_Spezifische_Merkmale_AttributeGroup#getETCSParametername <em>ETCS Parametername</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>ETCS Parametername</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ESG_Spezifische_Merkmale_AttributeGroup#getETCSParametername()
	 * @see #getESG_Spezifische_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getESG_Spezifische_Merkmale_AttributeGroup_ETCSParametername();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ESG_Spezifische_Merkmale_AttributeGroup#getETCSParameterwert <em>ETCS Parameterwert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>ETCS Parameterwert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ESG_Spezifische_Merkmale_AttributeGroup#getETCSParameterwert()
	 * @see #getESG_Spezifische_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getESG_Spezifische_Merkmale_AttributeGroup_ETCSParameterwert();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ESG_Spezifische_Merkmale_AttributeGroup#getRekursion2Nr <em>Rekursion2 Nr</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Rekursion2 Nr</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ESG_Spezifische_Merkmale_AttributeGroup#getRekursion2Nr()
	 * @see #getESG_Spezifische_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getESG_Spezifische_Merkmale_AttributeGroup_Rekursion2Nr();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ESG_Spezifische_Merkmale_AttributeGroup#getRekursionNr <em>Rekursion Nr</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Rekursion Nr</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ESG_Spezifische_Merkmale_AttributeGroup#getRekursionNr()
	 * @see #getESG_Spezifische_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getESG_Spezifische_Merkmale_AttributeGroup_RekursionNr();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Adresse_AttributeGroup <em>ETCS Adresse Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ETCS Adresse Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Adresse_AttributeGroup
	 * @generated
	 */
	EClass getETCS_Adresse_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Adresse_AttributeGroup#getNIDC <em>NIDC</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>NIDC</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Adresse_AttributeGroup#getNIDC()
	 * @see #getETCS_Adresse_AttributeGroup()
	 * @generated
	 */
	EReference getETCS_Adresse_AttributeGroup_NIDC();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Adresse_AttributeGroup#getNIDRBC <em>NIDRBC</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>NIDRBC</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Adresse_AttributeGroup#getNIDRBC()
	 * @see #getETCS_Adresse_AttributeGroup()
	 * @generated
	 */
	EReference getETCS_Adresse_AttributeGroup_NIDRBC();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Gefahrpunktabstand_Abweichend_TypeClass <em>ETCS Gefahrpunktabstand Abweichend Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ETCS Gefahrpunktabstand Abweichend Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Gefahrpunktabstand_Abweichend_TypeClass
	 * @generated
	 */
	EClass getETCS_Gefahrpunktabstand_Abweichend_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Gefahrpunktabstand_Abweichend_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Gefahrpunktabstand_Abweichend_TypeClass#getWert()
	 * @see #getETCS_Gefahrpunktabstand_Abweichend_TypeClass()
	 * @generated
	 */
	EAttribute getETCS_Gefahrpunktabstand_Abweichend_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Kante <em>ETCS Kante</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ETCS Kante</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Kante
	 * @generated
	 */
	EClass getETCS_Kante();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Kante#getBezeichnung <em>Bezeichnung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Bezeichnung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Kante#getBezeichnung()
	 * @see #getETCS_Kante()
	 * @generated
	 */
	EReference getETCS_Kante_Bezeichnung();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Kante#getIDETCSKnotenA <em>IDETCS Knoten A</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>IDETCS Knoten A</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Kante#getIDETCSKnotenA()
	 * @see #getETCS_Kante()
	 * @generated
	 */
	EReference getETCS_Kante_IDETCSKnotenA();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Kante#getIDETCSKnotenB <em>IDETCS Knoten B</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>IDETCS Knoten B</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Kante#getIDETCSKnotenB()
	 * @see #getETCS_Kante()
	 * @generated
	 */
	EReference getETCS_Kante_IDETCSKnotenB();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Kante#getIDRBC <em>IDRBC</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>IDRBC</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Kante#getIDRBC()
	 * @see #getETCS_Kante()
	 * @generated
	 */
	EReference getETCS_Kante_IDRBC();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Kante#getIDStrecke <em>ID Strecke</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Strecke</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Kante#getIDStrecke()
	 * @see #getETCS_Kante()
	 * @generated
	 */
	EReference getETCS_Kante_IDStrecke();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Kante#getIDTOPKante <em>IDTOP Kante</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>IDTOP Kante</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Kante#getIDTOPKante()
	 * @see #getETCS_Kante()
	 * @generated
	 */
	EReference getETCS_Kante_IDTOPKante();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Kante_Bezeichnung_AttributeGroup <em>ETCS Kante Bezeichnung Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ETCS Kante Bezeichnung Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Kante_Bezeichnung_AttributeGroup
	 * @generated
	 */
	EClass getETCS_Kante_Bezeichnung_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Kante_Bezeichnung_AttributeGroup#getBezeichnungETCSKante <em>Bezeichnung ETCS Kante</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Bezeichnung ETCS Kante</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Kante_Bezeichnung_AttributeGroup#getBezeichnungETCSKante()
	 * @see #getETCS_Kante_Bezeichnung_AttributeGroup()
	 * @generated
	 */
	EReference getETCS_Kante_Bezeichnung_AttributeGroup_BezeichnungETCSKante();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Knoten <em>ETCS Knoten</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ETCS Knoten</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Knoten
	 * @generated
	 */
	EClass getETCS_Knoten();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Knoten#getIDTOPKnoten <em>IDTOP Knoten</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>IDTOP Knoten</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Knoten#getIDTOPKnoten()
	 * @see #getETCS_Knoten()
	 * @generated
	 */
	EReference getETCS_Knoten_IDTOPKnoten();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Knoten#getKnotenAufTOPKante <em>Knoten Auf TOP Kante</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Knoten Auf TOP Kante</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Knoten#getKnotenAufTOPKante()
	 * @see #getETCS_Knoten()
	 * @generated
	 */
	EReference getETCS_Knoten_KnotenAufTOPKante();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Knoten_Art_Sonstige_TypeClass <em>ETCS Knoten Art Sonstige Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ETCS Knoten Art Sonstige Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Knoten_Art_Sonstige_TypeClass
	 * @generated
	 */
	EClass getETCS_Knoten_Art_Sonstige_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Knoten_Art_Sonstige_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Knoten_Art_Sonstige_TypeClass#getWert()
	 * @see #getETCS_Knoten_Art_Sonstige_TypeClass()
	 * @generated
	 */
	EAttribute getETCS_Knoten_Art_Sonstige_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Paketnummer_TypeClass <em>ETCS Paketnummer Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ETCS Paketnummer Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Paketnummer_TypeClass
	 * @generated
	 */
	EClass getETCS_Paketnummer_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Paketnummer_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Paketnummer_TypeClass#getWert()
	 * @see #getETCS_Paketnummer_TypeClass()
	 * @generated
	 */
	EAttribute getETCS_Paketnummer_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Par_Erlaeuterung_TypeClass <em>ETCS Par Erlaeuterung Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ETCS Par Erlaeuterung Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Par_Erlaeuterung_TypeClass
	 * @generated
	 */
	EClass getETCS_Par_Erlaeuterung_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Par_Erlaeuterung_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Par_Erlaeuterung_TypeClass#getWert()
	 * @see #getETCS_Par_Erlaeuterung_TypeClass()
	 * @generated
	 */
	EAttribute getETCS_Par_Erlaeuterung_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Parametername_TypeClass <em>ETCS Parametername Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ETCS Parametername Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Parametername_TypeClass
	 * @generated
	 */
	EClass getETCS_Parametername_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Parametername_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Parametername_TypeClass#getWert()
	 * @see #getETCS_Parametername_TypeClass()
	 * @generated
	 */
	EAttribute getETCS_Parametername_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Parameterwert_TypeClass <em>ETCS Parameterwert Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ETCS Parameterwert Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Parameterwert_TypeClass
	 * @generated
	 */
	EClass getETCS_Parameterwert_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Parameterwert_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Parameterwert_TypeClass#getWert()
	 * @see #getETCS_Parameterwert_TypeClass()
	 * @generated
	 */
	EAttribute getETCS_Parameterwert_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Richtungsanzeige <em>ETCS Richtungsanzeige</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ETCS Richtungsanzeige</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Richtungsanzeige
	 * @generated
	 */
	EClass getETCS_Richtungsanzeige();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Richtungsanzeige#getIDFstrFahrweg <em>ID Fstr Fahrweg</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Fstr Fahrweg</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Richtungsanzeige#getIDFstrFahrweg()
	 * @see #getETCS_Richtungsanzeige()
	 * @generated
	 */
	EReference getETCS_Richtungsanzeige_IDFstrFahrweg();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Richtungsanzeige#getIDOertlichkeitInRichtung <em>ID Oertlichkeit In Richtung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Oertlichkeit In Richtung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Richtungsanzeige#getIDOertlichkeitInRichtung()
	 * @see #getETCS_Richtungsanzeige()
	 * @generated
	 */
	EReference getETCS_Richtungsanzeige_IDOertlichkeitInRichtung();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Richtungsanzeige#getTextmeldung <em>Textmeldung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Textmeldung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Richtungsanzeige#getTextmeldung()
	 * @see #getETCS_Richtungsanzeige()
	 * @generated
	 */
	EReference getETCS_Richtungsanzeige_Textmeldung();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Signal <em>ETCS Signal</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ETCS Signal</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Signal
	 * @generated
	 */
	EClass getETCS_Signal();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Signal#getETCSGefahrpunktabstandAbweichend <em>ETCS Gefahrpunktabstand Abweichend</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>ETCS Gefahrpunktabstand Abweichend</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Signal#getETCSGefahrpunktabstandAbweichend()
	 * @see #getETCS_Signal()
	 * @generated
	 */
	EReference getETCS_Signal_ETCSGefahrpunktabstandAbweichend();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Signal#getETCSSignalAllg <em>ETCS Signal Allg</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>ETCS Signal Allg</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Signal#getETCSSignalAllg()
	 * @see #getETCS_Signal()
	 * @generated
	 */
	EReference getETCS_Signal_ETCSSignalAllg();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Signal#getETCSSignalDWeg <em>ETCS Signal DWeg</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>ETCS Signal DWeg</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Signal#getETCSSignalDWeg()
	 * @see #getETCS_Signal()
	 * @generated
	 */
	EReference getETCS_Signal_ETCSSignalDWeg();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Signal#getETCSSignalTBV <em>ETCS Signal TBV</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>ETCS Signal TBV</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Signal#getETCSSignalTBV()
	 * @see #getETCS_Signal()
	 * @generated
	 */
	EReference getETCS_Signal_ETCSSignalTBV();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Signal#getIDETCSGefahrpunkt <em>IDETCS Gefahrpunkt</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>IDETCS Gefahrpunkt</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Signal#getIDETCSGefahrpunkt()
	 * @see #getETCS_Signal()
	 * @generated
	 */
	EReference getETCS_Signal_IDETCSGefahrpunkt();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Signal#getIDETCSGefahrpunkt2 <em>IDETCS Gefahrpunkt2</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>IDETCS Gefahrpunkt2</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Signal#getIDETCSGefahrpunkt2()
	 * @see #getETCS_Signal()
	 * @generated
	 */
	EReference getETCS_Signal_IDETCSGefahrpunkt2();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Signal#getIDHOAFBOA <em>IDHOAFBOA</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>IDHOAFBOA</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Signal#getIDHOAFBOA()
	 * @see #getETCS_Signal()
	 * @generated
	 */
	EReference getETCS_Signal_IDHOAFBOA();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Signal#getIDRBC <em>IDRBC</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>IDRBC</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Signal#getIDRBC()
	 * @see #getETCS_Signal()
	 * @generated
	 */
	EReference getETCS_Signal_IDRBC();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Signal#getIDSignal <em>ID Signal</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Signal</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Signal#getIDSignal()
	 * @see #getETCS_Signal()
	 * @generated
	 */
	EReference getETCS_Signal_IDSignal();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Signal_Allg_AttributeGroup <em>ETCS Signal Allg Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ETCS Signal Allg Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Signal_Allg_AttributeGroup
	 * @generated
	 */
	EClass getETCS_Signal_Allg_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Signal_Allg_AttributeGroup#getAusstiegETCSSperre <em>Ausstieg ETCS Sperre</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Ausstieg ETCS Sperre</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Signal_Allg_AttributeGroup#getAusstiegETCSSperre()
	 * @see #getETCS_Signal_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getETCS_Signal_Allg_AttributeGroup_AusstiegETCSSperre();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Signal_Allg_AttributeGroup#getDunkelschaltanstoss <em>Dunkelschaltanstoss</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Dunkelschaltanstoss</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Signal_Allg_AttributeGroup#getDunkelschaltanstoss()
	 * @see #getETCS_Signal_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getETCS_Signal_Allg_AttributeGroup_Dunkelschaltanstoss();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Signal_Allg_AttributeGroup#getEinstiegErlaubt <em>Einstieg Erlaubt</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Einstieg Erlaubt</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Signal_Allg_AttributeGroup#getEinstiegErlaubt()
	 * @see #getETCS_Signal_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getETCS_Signal_Allg_AttributeGroup_EinstiegErlaubt();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Signal_Allg_AttributeGroup#getGruppenID <em>Gruppen ID</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Gruppen ID</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Signal_Allg_AttributeGroup#getGruppenID()
	 * @see #getETCS_Signal_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getETCS_Signal_Allg_AttributeGroup_GruppenID();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Signal_Allg_AttributeGroup#getUntergruppenID <em>Untergruppen ID</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Untergruppen ID</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Signal_Allg_AttributeGroup#getUntergruppenID()
	 * @see #getETCS_Signal_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getETCS_Signal_Allg_AttributeGroup_UntergruppenID();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Signal_DWeg_AttributeGroup <em>ETCS Signal DWeg Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ETCS Signal DWeg Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Signal_DWeg_AttributeGroup
	 * @generated
	 */
	EClass getETCS_Signal_DWeg_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Signal_DWeg_AttributeGroup#getDWegIntervall200 <em>DWeg Intervall200</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>DWeg Intervall200</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Signal_DWeg_AttributeGroup#getDWegIntervall200()
	 * @see #getETCS_Signal_DWeg_AttributeGroup()
	 * @generated
	 */
	EReference getETCS_Signal_DWeg_AttributeGroup_DWegIntervall200();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Signal_DWeg_AttributeGroup#getDWegIntervall50 <em>DWeg Intervall50</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>DWeg Intervall50</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Signal_DWeg_AttributeGroup#getDWegIntervall50()
	 * @see #getETCS_Signal_DWeg_AttributeGroup()
	 * @generated
	 */
	EReference getETCS_Signal_DWeg_AttributeGroup_DWegIntervall50();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Signal_DWeg_AttributeGroup#getDWegIntervall50200 <em>DWeg Intervall50200</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>DWeg Intervall50200</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Signal_DWeg_AttributeGroup#getDWegIntervall50200()
	 * @see #getETCS_Signal_DWeg_AttributeGroup()
	 * @generated
	 */
	EReference getETCS_Signal_DWeg_AttributeGroup_DWegIntervall50200();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Signal_TBV_AttributeGroup <em>ETCS Signal TBV Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ETCS Signal TBV Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Signal_TBV_AttributeGroup
	 * @generated
	 */
	EClass getETCS_Signal_TBV_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Signal_TBV_AttributeGroup#getTBVMeldepunkt <em>TBV Meldepunkt</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>TBV Meldepunkt</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Signal_TBV_AttributeGroup#getTBVMeldepunkt()
	 * @see #getETCS_Signal_TBV_AttributeGroup()
	 * @generated
	 */
	EReference getETCS_Signal_TBV_AttributeGroup_TBVMeldepunkt();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Signal_TBV_AttributeGroup#getTBVTunnelbereichLaenge <em>TBV Tunnelbereich Laenge</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>TBV Tunnelbereich Laenge</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Signal_TBV_AttributeGroup#getTBVTunnelbereichLaenge()
	 * @see #getETCS_Signal_TBV_AttributeGroup()
	 * @generated
	 */
	EReference getETCS_Signal_TBV_AttributeGroup_TBVTunnelbereichLaenge();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Signal_TBV_AttributeGroup#getTBVTunnelsignal <em>TBV Tunnelsignal</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>TBV Tunnelsignal</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_Signal_TBV_AttributeGroup#getTBVTunnelsignal()
	 * @see #getETCS_Signal_TBV_AttributeGroup()
	 * @generated
	 */
	EReference getETCS_Signal_TBV_AttributeGroup_TBVTunnelsignal();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_System_Version_TypeClass <em>ETCS System Version Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ETCS System Version Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_System_Version_TypeClass
	 * @generated
	 */
	EClass getETCS_System_Version_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_System_Version_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_System_Version_TypeClass#getWert()
	 * @see #getETCS_System_Version_TypeClass()
	 * @generated
	 */
	EAttribute getETCS_System_Version_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_W_Kr <em>ETCS WKr</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ETCS WKr</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_W_Kr
	 * @generated
	 */
	EClass getETCS_W_Kr();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_W_Kr#getETCSWKrMUKA <em>ETCSW Kr MUKA</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>ETCSW Kr MUKA</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_W_Kr#getETCSWKrMUKA()
	 * @see #getETCS_W_Kr()
	 * @generated
	 */
	EReference getETCS_W_Kr_ETCSWKrMUKA();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_W_Kr#getIDETCSGefahrpunktNebengleis <em>IDETCS Gefahrpunkt Nebengleis</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>IDETCS Gefahrpunkt Nebengleis</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_W_Kr#getIDETCSGefahrpunktNebengleis()
	 * @see #getETCS_W_Kr()
	 * @generated
	 */
	EReference getETCS_W_Kr_IDETCSGefahrpunktNebengleis();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_W_Kr#getIDETCSKnoten <em>IDETCS Knoten</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>IDETCS Knoten</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_W_Kr#getIDETCSKnoten()
	 * @see #getETCS_W_Kr()
	 * @generated
	 */
	EReference getETCS_W_Kr_IDETCSKnoten();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_W_Kr#getIDRBC <em>IDRBC</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>IDRBC</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_W_Kr#getIDRBC()
	 * @see #getETCS_W_Kr()
	 * @generated
	 */
	EReference getETCS_W_Kr_IDRBC();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_W_Kr#getIDWKrAnlage <em>IDW Kr Anlage</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>IDW Kr Anlage</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_W_Kr#getIDWKrAnlage()
	 * @see #getETCS_W_Kr()
	 * @generated
	 */
	EReference getETCS_W_Kr_IDWKrAnlage();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_W_Kr_MUKA_AttributeGroup <em>ETCS WKr MUKA Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ETCS WKr MUKA Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_W_Kr_MUKA_AttributeGroup
	 * @generated
	 */
	EClass getETCS_W_Kr_MUKA_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_W_Kr_MUKA_AttributeGroup#getGruppenID <em>Gruppen ID</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Gruppen ID</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_W_Kr_MUKA_AttributeGroup#getGruppenID()
	 * @see #getETCS_W_Kr_MUKA_AttributeGroup()
	 * @generated
	 */
	EReference getETCS_W_Kr_MUKA_AttributeGroup_GruppenID();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_W_Kr_MUKA_AttributeGroup#getUntergruppenID <em>Untergruppen ID</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Untergruppen ID</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ETCS_W_Kr_MUKA_AttributeGroup#getUntergruppenID()
	 * @see #getETCS_W_Kr_MUKA_AttributeGroup()
	 * @generated
	 */
	EReference getETCS_W_Kr_MUKA_AttributeGroup_UntergruppenID();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.EV_Modul <em>EV Modul</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>EV Modul</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.EV_Modul
	 * @generated
	 */
	EClass getEV_Modul();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.EV_Modul#getEVModulAusgang <em>EV Modul Ausgang</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>EV Modul Ausgang</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.EV_Modul#getEVModulAusgang()
	 * @see #getEV_Modul()
	 * @generated
	 */
	EReference getEV_Modul_EVModulAusgang();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.EV_Modul#getEVModulPhysisch <em>EV Modul Physisch</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>EV Modul Physisch</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.EV_Modul#getEVModulPhysisch()
	 * @see #getEV_Modul()
	 * @generated
	 */
	EReference getEV_Modul_EVModulPhysisch();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.EV_Modul#getEVModulVirtuell <em>EV Modul Virtuell</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>EV Modul Virtuell</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.EV_Modul#getEVModulVirtuell()
	 * @see #getEV_Modul()
	 * @generated
	 */
	EReference getEV_Modul_EVModulVirtuell();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.EV_Modul_Art_TypeClass <em>EV Modul Art Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>EV Modul Art Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.EV_Modul_Art_TypeClass
	 * @generated
	 */
	EClass getEV_Modul_Art_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.EV_Modul_Art_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.EV_Modul_Art_TypeClass#getWert()
	 * @see #getEV_Modul_Art_TypeClass()
	 * @generated
	 */
	EAttribute getEV_Modul_Art_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.EV_Modul_Ausgang_AttributeGroup <em>EV Modul Ausgang Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>EV Modul Ausgang Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.EV_Modul_Ausgang_AttributeGroup
	 * @generated
	 */
	EClass getEV_Modul_Ausgang_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.EV_Modul_Ausgang_AttributeGroup#getAusgangNr <em>Ausgang Nr</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Ausgang Nr</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.EV_Modul_Ausgang_AttributeGroup#getAusgangNr()
	 * @see #getEV_Modul_Ausgang_AttributeGroup()
	 * @generated
	 */
	EReference getEV_Modul_Ausgang_AttributeGroup_AusgangNr();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.EV_Modul_Ausgang_AttributeGroup#getMaxUnterbrechungszeit <em>Max Unterbrechungszeit</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Max Unterbrechungszeit</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.EV_Modul_Ausgang_AttributeGroup#getMaxUnterbrechungszeit()
	 * @see #getEV_Modul_Ausgang_AttributeGroup()
	 * @generated
	 */
	EReference getEV_Modul_Ausgang_AttributeGroup_MaxUnterbrechungszeit();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.EV_Modul_Ausgang_AttributeGroup#getNennleistung <em>Nennleistung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Nennleistung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.EV_Modul_Ausgang_AttributeGroup#getNennleistung()
	 * @see #getEV_Modul_Ausgang_AttributeGroup()
	 * @generated
	 */
	EReference getEV_Modul_Ausgang_AttributeGroup_Nennleistung();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.EV_Modul_Ausgang_AttributeGroup#getSpannungArt <em>Spannung Art</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Spannung Art</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.EV_Modul_Ausgang_AttributeGroup#getSpannungArt()
	 * @see #getEV_Modul_Ausgang_AttributeGroup()
	 * @generated
	 */
	EReference getEV_Modul_Ausgang_AttributeGroup_SpannungArt();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.EV_Modul_Ausgang_AttributeGroup#getSpannungToleranzObere <em>Spannung Toleranz Obere</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Spannung Toleranz Obere</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.EV_Modul_Ausgang_AttributeGroup#getSpannungToleranzObere()
	 * @see #getEV_Modul_Ausgang_AttributeGroup()
	 * @generated
	 */
	EReference getEV_Modul_Ausgang_AttributeGroup_SpannungToleranzObere();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.EV_Modul_Ausgang_AttributeGroup#getSpannungToleranzUntere <em>Spannung Toleranz Untere</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Spannung Toleranz Untere</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.EV_Modul_Ausgang_AttributeGroup#getSpannungToleranzUntere()
	 * @see #getEV_Modul_Ausgang_AttributeGroup()
	 * @generated
	 */
	EReference getEV_Modul_Ausgang_AttributeGroup_SpannungToleranzUntere();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.EV_Modul_Eingang_AttributeGroup <em>EV Modul Eingang Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>EV Modul Eingang Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.EV_Modul_Eingang_AttributeGroup
	 * @generated
	 */
	EClass getEV_Modul_Eingang_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.EV_Modul_Eingang_AttributeGroup#getEingangGepuffert <em>Eingang Gepuffert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Eingang Gepuffert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.EV_Modul_Eingang_AttributeGroup#getEingangGepuffert()
	 * @see #getEV_Modul_Eingang_AttributeGroup()
	 * @generated
	 */
	EReference getEV_Modul_Eingang_AttributeGroup_EingangGepuffert();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.EV_Modul_Eingang_AttributeGroup#getPrimaerquelle <em>Primaerquelle</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Primaerquelle</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.EV_Modul_Eingang_AttributeGroup#getPrimaerquelle()
	 * @see #getEV_Modul_Eingang_AttributeGroup()
	 * @generated
	 */
	EReference getEV_Modul_Eingang_AttributeGroup_Primaerquelle();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.EV_Modul_Eingang_AttributeGroup#getEnergieEingangArt <em>Energie Eingang Art</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Energie Eingang Art</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.EV_Modul_Eingang_AttributeGroup#getEnergieEingangArt()
	 * @see #getEV_Modul_Eingang_AttributeGroup()
	 * @generated
	 */
	EReference getEV_Modul_Eingang_AttributeGroup_EnergieEingangArt();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.EV_Modul_Eingang_AttributeGroup#getIDEnergieEingang <em>ID Energie Eingang</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Energie Eingang</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.EV_Modul_Eingang_AttributeGroup#getIDEnergieEingang()
	 * @see #getEV_Modul_Eingang_AttributeGroup()
	 * @generated
	 */
	EReference getEV_Modul_Eingang_AttributeGroup_IDEnergieEingang();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.EV_Modul_Physisch_AttributeGroup <em>EV Modul Physisch Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>EV Modul Physisch Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.EV_Modul_Physisch_AttributeGroup
	 * @generated
	 */
	EClass getEV_Modul_Physisch_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.EV_Modul_Physisch_AttributeGroup#getEVModulArt <em>EV Modul Art</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>EV Modul Art</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.EV_Modul_Physisch_AttributeGroup#getEVModulArt()
	 * @see #getEV_Modul_Physisch_AttributeGroup()
	 * @generated
	 */
	EReference getEV_Modul_Physisch_AttributeGroup_EVModulArt();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.EV_Modul_Physisch_AttributeGroup#getEVModulEingang <em>EV Modul Eingang</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>EV Modul Eingang</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.EV_Modul_Physisch_AttributeGroup#getEVModulEingang()
	 * @see #getEV_Modul_Physisch_AttributeGroup()
	 * @generated
	 */
	EReference getEV_Modul_Physisch_AttributeGroup_EVModulEingang();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.EV_Modul_Physisch_AttributeGroup#getEVModulTyp <em>EV Modul Typ</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>EV Modul Typ</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.EV_Modul_Physisch_AttributeGroup#getEVModulTyp()
	 * @see #getEV_Modul_Physisch_AttributeGroup()
	 * @generated
	 */
	EReference getEV_Modul_Physisch_AttributeGroup_EVModulTyp();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.EV_Modul_Physisch_AttributeGroup#getHersteller <em>Hersteller</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Hersteller</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.EV_Modul_Physisch_AttributeGroup#getHersteller()
	 * @see #getEV_Modul_Physisch_AttributeGroup()
	 * @generated
	 */
	EReference getEV_Modul_Physisch_AttributeGroup_Hersteller();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.EV_Modul_Physisch_AttributeGroup#getIDElementUnterbringung <em>ID Element Unterbringung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Element Unterbringung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.EV_Modul_Physisch_AttributeGroup#getIDElementUnterbringung()
	 * @see #getEV_Modul_Physisch_AttributeGroup()
	 * @generated
	 */
	EReference getEV_Modul_Physisch_AttributeGroup_IDElementUnterbringung();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.EV_Modul_Typ_TypeClass <em>EV Modul Typ Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>EV Modul Typ Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.EV_Modul_Typ_TypeClass
	 * @generated
	 */
	EClass getEV_Modul_Typ_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.EV_Modul_Typ_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.EV_Modul_Typ_TypeClass#getWert()
	 * @see #getEV_Modul_Typ_TypeClass()
	 * @generated
	 */
	EAttribute getEV_Modul_Typ_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.EV_Modul_Virtuell_AttributeGroup <em>EV Modul Virtuell Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>EV Modul Virtuell Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.EV_Modul_Virtuell_AttributeGroup
	 * @generated
	 */
	EClass getEV_Modul_Virtuell_AttributeGroup();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.EV_Modul_Virtuell_AttributeGroup#getIDQuellelement <em>ID Quellelement</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Quellelement</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.EV_Modul_Virtuell_AttributeGroup#getIDQuellelement()
	 * @see #getEV_Modul_Virtuell_AttributeGroup()
	 * @generated
	 */
	EReference getEV_Modul_Virtuell_AttributeGroup_IDQuellelement();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Fabrikat_TypeClass <em>Fabrikat Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Fabrikat Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Fabrikat_TypeClass
	 * @generated
	 */
	EClass getFabrikat_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Fabrikat_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Fabrikat_TypeClass#getWert()
	 * @see #getFabrikat_TypeClass()
	 * @generated
	 */
	EAttribute getFabrikat_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Fachtelegramm <em>Fachtelegramm</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Fachtelegramm</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Fachtelegramm
	 * @generated
	 */
	EClass getFachtelegramm();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Fachtelegramm#getFTFahrwegTeile <em>FT Fahrweg Teile</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>FT Fahrweg Teile</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Fachtelegramm#getFTFahrwegTeile()
	 * @see #getFachtelegramm()
	 * @generated
	 */
	EReference getFachtelegramm_FTFahrwegTeile();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Fachtelegramm#getIDDokuTelegrammkodierung <em>ID Doku Telegrammkodierung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Doku Telegrammkodierung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Fachtelegramm#getIDDokuTelegrammkodierung()
	 * @see #getFachtelegramm()
	 * @generated
	 */
	EReference getFachtelegramm_IDDokuTelegrammkodierung();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Fachtelegramm#getWirkrichtungInDatenpunkt <em>Wirkrichtung In Datenpunkt</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Wirkrichtung In Datenpunkt</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Fachtelegramm#getWirkrichtungInDatenpunkt()
	 * @see #getFachtelegramm()
	 * @generated
	 */
	EReference getFachtelegramm_WirkrichtungInDatenpunkt();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Fachtelegramm#getFTESGMerkmale <em>FTESG Merkmale</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>FTESG Merkmale</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Fachtelegramm#getFTESGMerkmale()
	 * @see #getFachtelegramm()
	 * @generated
	 */
	EReference getFachtelegramm_FTESGMerkmale();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Fachtelegramm#getFTETCSL2Merkmale <em>FTETCSL2 Merkmale</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>FTETCSL2 Merkmale</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Fachtelegramm#getFTETCSL2Merkmale()
	 * @see #getFachtelegramm()
	 * @generated
	 */
	EReference getFachtelegramm_FTETCSL2Merkmale();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Fachtelegramm#getFTETCSTransMerkmale <em>FTETCS Trans Merkmale</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>FTETCS Trans Merkmale</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Fachtelegramm#getFTETCSTransMerkmale()
	 * @see #getFachtelegramm()
	 * @generated
	 */
	EReference getFachtelegramm_FTETCSTransMerkmale();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Fachtelegramm#getFTGNTMerkmale <em>FTGNT Merkmale</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>FTGNT Merkmale</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Fachtelegramm#getFTGNTMerkmale()
	 * @see #getFachtelegramm()
	 * @generated
	 */
	EReference getFachtelegramm_FTGNTMerkmale();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Fachtelegramm#getFTZBSMerkmale <em>FTZBS Merkmale</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>FTZBS Merkmale</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Fachtelegramm#getFTZBSMerkmale()
	 * @see #getFachtelegramm()
	 * @generated
	 */
	EReference getFachtelegramm_FTZBSMerkmale();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_Anschaltbedingung <em>FT Anschaltbedingung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>FT Anschaltbedingung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_Anschaltbedingung
	 * @generated
	 */
	EClass getFT_Anschaltbedingung();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_Anschaltbedingung#getBedingungBesondere <em>Bedingung Besondere</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Bedingung Besondere</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_Anschaltbedingung#getBedingungBesondere()
	 * @see #getFT_Anschaltbedingung()
	 * @generated
	 */
	EReference getFT_Anschaltbedingung_BedingungBesondere();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_Anschaltbedingung#getBedingungPZB <em>Bedingung PZB</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Bedingung PZB</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_Anschaltbedingung#getBedingungPZB()
	 * @see #getFT_Anschaltbedingung()
	 * @generated
	 */
	EReference getFT_Anschaltbedingung_BedingungPZB();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_Anschaltbedingung#getBedingungSignal <em>Bedingung Signal</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Bedingung Signal</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_Anschaltbedingung#getBedingungSignal()
	 * @see #getFT_Anschaltbedingung()
	 * @generated
	 */
	EReference getFT_Anschaltbedingung_BedingungSignal();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_Anschaltbedingung#getBedingungSonstige <em>Bedingung Sonstige</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Bedingung Sonstige</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_Anschaltbedingung#getBedingungSonstige()
	 * @see #getFT_Anschaltbedingung()
	 * @generated
	 */
	EReference getFT_Anschaltbedingung_BedingungSonstige();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_Anschaltbedingung#getBedingungWeiche <em>Bedingung Weiche</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Bedingung Weiche</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_Anschaltbedingung#getBedingungWeiche()
	 * @see #getFT_Anschaltbedingung()
	 * @generated
	 */
	EReference getFT_Anschaltbedingung_BedingungWeiche();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ESG_Merkmale_AttributeGroup <em>FT ESG Merkmale Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>FT ESG Merkmale Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ESG_Merkmale_AttributeGroup
	 * @generated
	 */
	EClass getFT_ESG_Merkmale_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ESG_Merkmale_AttributeGroup#getAbstandBesLangerEinfahrweg <em>Abstand Bes Langer Einfahrweg</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Abstand Bes Langer Einfahrweg</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ESG_Merkmale_AttributeGroup#getAbstandBesLangerEinfahrweg()
	 * @see #getFT_ESG_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getFT_ESG_Merkmale_AttributeGroup_AbstandBesLangerEinfahrweg();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ESG_Merkmale_AttributeGroup#getDPTypVLa <em>DP Typ VLa</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>DP Typ VLa</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ESG_Merkmale_AttributeGroup#getDPTypVLa()
	 * @see #getFT_ESG_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getFT_ESG_Merkmale_AttributeGroup_DPTypVLa();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ESG_Merkmale_AttributeGroup#getESGIndividuelleMerkmale <em>ESG Individuelle Merkmale</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>ESG Individuelle Merkmale</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ESG_Merkmale_AttributeGroup#getESGIndividuelleMerkmale()
	 * @see #getFT_ESG_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getFT_ESG_Merkmale_AttributeGroup_ESGIndividuelleMerkmale();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ESG_Merkmale_AttributeGroup#getESGSpezifischeMerkmale <em>ESG Spezifische Merkmale</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>ESG Spezifische Merkmale</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ESG_Merkmale_AttributeGroup#getESGSpezifischeMerkmale()
	 * @see #getFT_ESG_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getFT_ESG_Merkmale_AttributeGroup_ESGSpezifischeMerkmale();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ESG_Merkmale_AttributeGroup#getIDMassgebendesZielsignal <em>ID Massgebendes Zielsignal</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Massgebendes Zielsignal</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ESG_Merkmale_AttributeGroup#getIDMassgebendesZielsignal()
	 * @see #getFT_ESG_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getFT_ESG_Merkmale_AttributeGroup_IDMassgebendesZielsignal();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ESG_Merkmale_AttributeGroup#getIndividualisierungWeitere <em>Individualisierung Weitere</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Individualisierung Weitere</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ESG_Merkmale_AttributeGroup#getIndividualisierungWeitere()
	 * @see #getFT_ESG_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getFT_ESG_Merkmale_AttributeGroup_IndividualisierungWeitere();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ESG_Merkmale_AttributeGroup#getLaengeGestufteVSignalisierung <em>Laenge Gestufte VSignalisierung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Laenge Gestufte VSignalisierung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ESG_Merkmale_AttributeGroup#getLaengeGestufteVSignalisierung()
	 * @see #getFT_ESG_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getFT_ESG_Merkmale_AttributeGroup_LaengeGestufteVSignalisierung();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ESG_Merkmale_AttributeGroup#getNIDTSR <em>NIDTSR</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>NIDTSR</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ESG_Merkmale_AttributeGroup#getNIDTSR()
	 * @see #getFT_ESG_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getFT_ESG_Merkmale_AttributeGroup_NIDTSR();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ESG_Merkmale_AttributeGroup#getProjektierungsfall <em>Projektierungsfall</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Projektierungsfall</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ESG_Merkmale_AttributeGroup#getProjektierungsfall()
	 * @see #getFT_ESG_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getFT_ESG_Merkmale_AttributeGroup_Projektierungsfall();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ESG_Merkmale_AttributeGroup#getTelegrammnummer <em>Telegrammnummer</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Telegrammnummer</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ESG_Merkmale_AttributeGroup#getTelegrammnummer()
	 * @see #getFT_ESG_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getFT_ESG_Merkmale_AttributeGroup_Telegrammnummer();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ESG_Merkmale_AttributeGroup#getUeberwachungLaenge <em>Ueberwachung Laenge</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Ueberwachung Laenge</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ESG_Merkmale_AttributeGroup#getUeberwachungLaenge()
	 * @see #getFT_ESG_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getFT_ESG_Merkmale_AttributeGroup_UeberwachungLaenge();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ESG_Merkmale_AttributeGroup#getVStart <em>VStart</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>VStart</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ESG_Merkmale_AttributeGroup#getVStart()
	 * @see #getFT_ESG_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getFT_ESG_Merkmale_AttributeGroup_VStart();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ESG_Merkmale_AttributeGroup#getVZiel <em>VZiel</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>VZiel</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ESG_Merkmale_AttributeGroup#getVZiel()
	 * @see #getFT_ESG_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getFT_ESG_Merkmale_AttributeGroup_VZiel();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ESG_Merkmale_AttributeGroup#getVorsignalabstand <em>Vorsignalabstand</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Vorsignalabstand</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ESG_Merkmale_AttributeGroup#getVorsignalabstand()
	 * @see #getFT_ESG_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getFT_ESG_Merkmale_AttributeGroup_Vorsignalabstand();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ESG_Subtyp_TypeClass <em>FT ESG Subtyp Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>FT ESG Subtyp Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ESG_Subtyp_TypeClass
	 * @generated
	 */
	EClass getFT_ESG_Subtyp_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ESG_Subtyp_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ESG_Subtyp_TypeClass#getWert()
	 * @see #getFT_ESG_Subtyp_TypeClass()
	 * @generated
	 */
	EAttribute getFT_ESG_Subtyp_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ESG_Typ_TypeClass <em>FT ESG Typ Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>FT ESG Typ Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ESG_Typ_TypeClass
	 * @generated
	 */
	EClass getFT_ESG_Typ_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ESG_Typ_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ESG_Typ_TypeClass#getWert()
	 * @see #getFT_ESG_Typ_TypeClass()
	 * @generated
	 */
	EAttribute getFT_ESG_Typ_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ETCS_L2_Merkmale_AttributeGroup <em>FT ETCS L2 Merkmale Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>FT ETCS L2 Merkmale Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ETCS_L2_Merkmale_AttributeGroup
	 * @generated
	 */
	EClass getFT_ETCS_L2_Merkmale_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ETCS_L2_Merkmale_AttributeGroup#getFTETCSL2Typ <em>FTETCSL2 Typ</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>FTETCSL2 Typ</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ETCS_L2_Merkmale_AttributeGroup#getFTETCSL2Typ()
	 * @see #getFT_ETCS_L2_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getFT_ETCS_L2_Merkmale_AttributeGroup_FTETCSL2Typ();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ETCS_L2_Merkmale_AttributeGroup#getVBCKennung <em>VBC Kennung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>VBC Kennung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ETCS_L2_Merkmale_AttributeGroup#getVBCKennung()
	 * @see #getFT_ETCS_L2_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getFT_ETCS_L2_Merkmale_AttributeGroup_VBCKennung();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ETCS_L2_Merkmale_AttributeGroup#getVBCNIDC <em>VBCNIDC</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>VBCNIDC</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ETCS_L2_Merkmale_AttributeGroup#getVBCNIDC()
	 * @see #getFT_ETCS_L2_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getFT_ETCS_L2_Merkmale_AttributeGroup_VBCNIDC();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ETCS_L2_Merkmale_AttributeGroup#getVBCSetzen <em>VBC Setzen</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>VBC Setzen</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ETCS_L2_Merkmale_AttributeGroup#getVBCSetzen()
	 * @see #getFT_ETCS_L2_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getFT_ETCS_L2_Merkmale_AttributeGroup_VBCSetzen();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ETCS_L2_Merkmale_AttributeGroup#getVBCTimer <em>VBC Timer</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>VBC Timer</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ETCS_L2_Merkmale_AttributeGroup#getVBCTimer()
	 * @see #getFT_ETCS_L2_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getFT_ETCS_L2_Merkmale_AttributeGroup_VBCTimer();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ETCS_L2_Typ_TypeClass <em>FT ETCS L2 Typ Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>FT ETCS L2 Typ Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ETCS_L2_Typ_TypeClass
	 * @generated
	 */
	EClass getFT_ETCS_L2_Typ_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ETCS_L2_Typ_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ETCS_L2_Typ_TypeClass#getWert()
	 * @see #getFT_ETCS_L2_Typ_TypeClass()
	 * @generated
	 */
	EAttribute getFT_ETCS_L2_Typ_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ETCS_Trans_Merkmale_AttributeGroup <em>FT ETCS Trans Merkmale Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>FT ETCS Trans Merkmale Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ETCS_Trans_Merkmale_AttributeGroup
	 * @generated
	 */
	EClass getFT_ETCS_Trans_Merkmale_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ETCS_Trans_Merkmale_AttributeGroup#getFTETCSTransPaket41 <em>FTETCS Trans Paket41</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>FTETCS Trans Paket41</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ETCS_Trans_Merkmale_AttributeGroup#getFTETCSTransPaket41()
	 * @see #getFT_ETCS_Trans_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getFT_ETCS_Trans_Merkmale_AttributeGroup_FTETCSTransPaket41();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ETCS_Trans_Merkmale_AttributeGroup#getFTETCSTransPaketN <em>FTETCS Trans Paket N</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>FTETCS Trans Paket N</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ETCS_Trans_Merkmale_AttributeGroup#getFTETCSTransPaketN()
	 * @see #getFT_ETCS_Trans_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getFT_ETCS_Trans_Merkmale_AttributeGroup_FTETCSTransPaketN();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ETCS_Trans_Paket_41_AttributeGroup <em>FT ETCS Trans Paket 41 Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>FT ETCS Trans Paket 41 Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ETCS_Trans_Paket_41_AttributeGroup
	 * @generated
	 */
	EClass getFT_ETCS_Trans_Paket_41_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ETCS_Trans_Paket_41_AttributeGroup#getDLEVELTR <em>DLEVELTR</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>DLEVELTR</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ETCS_Trans_Paket_41_AttributeGroup#getDLEVELTR()
	 * @see #getFT_ETCS_Trans_Paket_41_AttributeGroup()
	 * @generated
	 */
	EReference getFT_ETCS_Trans_Paket_41_AttributeGroup_DLEVELTR();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ETCS_Trans_Paket_41_AttributeGroup#getLACKLEVELTR <em>LACKLEVELTR</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>LACKLEVELTR</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ETCS_Trans_Paket_41_AttributeGroup#getLACKLEVELTR()
	 * @see #getFT_ETCS_Trans_Paket_41_AttributeGroup()
	 * @generated
	 */
	EReference getFT_ETCS_Trans_Paket_41_AttributeGroup_LACKLEVELTR();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ETCS_Trans_Paket_41_AttributeGroup#getMLEVELTR <em>MLEVELTR</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>MLEVELTR</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ETCS_Trans_Paket_41_AttributeGroup#getMLEVELTR()
	 * @see #getFT_ETCS_Trans_Paket_41_AttributeGroup()
	 * @generated
	 */
	EReference getFT_ETCS_Trans_Paket_41_AttributeGroup_MLEVELTR();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ETCS_Trans_Paket_41_AttributeGroup#getNIDSTM <em>NIDSTM</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>NIDSTM</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ETCS_Trans_Paket_41_AttributeGroup#getNIDSTM()
	 * @see #getFT_ETCS_Trans_Paket_41_AttributeGroup()
	 * @generated
	 */
	EReference getFT_ETCS_Trans_Paket_41_AttributeGroup_NIDSTM();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ETCS_Trans_Paket_N_AttributeGroup <em>FT ETCS Trans Paket NAttribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>FT ETCS Trans Paket NAttribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ETCS_Trans_Paket_N_AttributeGroup
	 * @generated
	 */
	EClass getFT_ETCS_Trans_Paket_N_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ETCS_Trans_Paket_N_AttributeGroup#getETCSPaketnummer <em>ETCS Paketnummer</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>ETCS Paketnummer</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ETCS_Trans_Paket_N_AttributeGroup#getETCSPaketnummer()
	 * @see #getFT_ETCS_Trans_Paket_N_AttributeGroup()
	 * @generated
	 */
	EReference getFT_ETCS_Trans_Paket_N_AttributeGroup_ETCSPaketnummer();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ETCS_Trans_Paket_N_AttributeGroup#getETCSParErlaeuterung <em>ETCS Par Erlaeuterung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>ETCS Par Erlaeuterung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ETCS_Trans_Paket_N_AttributeGroup#getETCSParErlaeuterung()
	 * @see #getFT_ETCS_Trans_Paket_N_AttributeGroup()
	 * @generated
	 */
	EReference getFT_ETCS_Trans_Paket_N_AttributeGroup_ETCSParErlaeuterung();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ETCS_Trans_Paket_N_AttributeGroup#getETCSParametername <em>ETCS Parametername</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>ETCS Parametername</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ETCS_Trans_Paket_N_AttributeGroup#getETCSParametername()
	 * @see #getFT_ETCS_Trans_Paket_N_AttributeGroup()
	 * @generated
	 */
	EReference getFT_ETCS_Trans_Paket_N_AttributeGroup_ETCSParametername();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ETCS_Trans_Paket_N_AttributeGroup#getETCSParameterwert <em>ETCS Parameterwert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>ETCS Parameterwert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ETCS_Trans_Paket_N_AttributeGroup#getETCSParameterwert()
	 * @see #getFT_ETCS_Trans_Paket_N_AttributeGroup()
	 * @generated
	 */
	EReference getFT_ETCS_Trans_Paket_N_AttributeGroup_ETCSParameterwert();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ETCS_Trans_Paket_N_AttributeGroup#getRekursion2Nr <em>Rekursion2 Nr</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Rekursion2 Nr</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ETCS_Trans_Paket_N_AttributeGroup#getRekursion2Nr()
	 * @see #getFT_ETCS_Trans_Paket_N_AttributeGroup()
	 * @generated
	 */
	EReference getFT_ETCS_Trans_Paket_N_AttributeGroup_Rekursion2Nr();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ETCS_Trans_Paket_N_AttributeGroup#getRekursionNr <em>Rekursion Nr</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Rekursion Nr</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ETCS_Trans_Paket_N_AttributeGroup#getRekursionNr()
	 * @see #getFT_ETCS_Trans_Paket_N_AttributeGroup()
	 * @generated
	 */
	EReference getFT_ETCS_Trans_Paket_N_AttributeGroup_RekursionNr();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_Fahrweg_Teil <em>FT Fahrweg Teil</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>FT Fahrweg Teil</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_Fahrweg_Teil
	 * @generated
	 */
	EClass getFT_Fahrweg_Teil();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_Fahrweg_Teil#getFTFahrwegTeilAllg <em>FT Fahrweg Teil Allg</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>FT Fahrweg Teil Allg</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_Fahrweg_Teil#getFTFahrwegTeilAllg()
	 * @see #getFT_Fahrweg_Teil()
	 * @generated
	 */
	EReference getFT_Fahrweg_Teil_FTFahrwegTeilAllg();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_Fahrweg_Teil#getIDZielDatenpunkt <em>ID Ziel Datenpunkt</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Ziel Datenpunkt</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_Fahrweg_Teil#getIDZielDatenpunkt()
	 * @see #getFT_Fahrweg_Teil()
	 * @generated
	 */
	EReference getFT_Fahrweg_Teil_IDZielDatenpunkt();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_Fahrweg_Teil#getIDZielSignal <em>ID Ziel Signal</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Ziel Signal</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_Fahrweg_Teil#getIDZielSignal()
	 * @see #getFT_Fahrweg_Teil()
	 * @generated
	 */
	EReference getFT_Fahrweg_Teil_IDZielSignal();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_Fahrweg_Teil#getZielWElement <em>Ziel WElement</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Ziel WElement</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_Fahrweg_Teil#getZielWElement()
	 * @see #getFT_Fahrweg_Teil()
	 * @generated
	 */
	EReference getFT_Fahrweg_Teil_ZielWElement();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_Fahrweg_Teil#getIDStartDatenpunkt <em>ID Start Datenpunkt</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Start Datenpunkt</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_Fahrweg_Teil#getIDStartDatenpunkt()
	 * @see #getFT_Fahrweg_Teil()
	 * @generated
	 */
	EReference getFT_Fahrweg_Teil_IDStartDatenpunkt();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_Fahrweg_Teil#getIDStartSignal <em>ID Start Signal</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Start Signal</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_Fahrweg_Teil#getIDStartSignal()
	 * @see #getFT_Fahrweg_Teil()
	 * @generated
	 */
	EReference getFT_Fahrweg_Teil_IDStartSignal();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_Fahrweg_Teil#getStartWElement <em>Start WElement</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Start WElement</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_Fahrweg_Teil#getStartWElement()
	 * @see #getFT_Fahrweg_Teil()
	 * @generated
	 */
	EReference getFT_Fahrweg_Teil_StartWElement();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_Fahrweg_Teil_Allg_AttributeGroup <em>FT Fahrweg Teil Allg Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>FT Fahrweg Teil Allg Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_Fahrweg_Teil_Allg_AttributeGroup
	 * @generated
	 */
	EClass getFT_Fahrweg_Teil_Allg_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_Fahrweg_Teil_Allg_AttributeGroup#getFWTeilNummer <em>FW Teil Nummer</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>FW Teil Nummer</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_Fahrweg_Teil_Allg_AttributeGroup#getFWTeilNummer()
	 * @see #getFT_Fahrweg_Teil_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getFT_Fahrweg_Teil_Allg_AttributeGroup_FWTeilNummer();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_Fahrweg_Teil_Allg_AttributeGroup#getUmfahrstrasse <em>Umfahrstrasse</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Umfahrstrasse</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_Fahrweg_Teil_Allg_AttributeGroup#getUmfahrstrasse()
	 * @see #getFT_Fahrweg_Teil_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getFT_Fahrweg_Teil_Allg_AttributeGroup_Umfahrstrasse();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_Fahrweg_Teil_Allg_AttributeGroup#getZielIstFahrwegende <em>Ziel Ist Fahrwegende</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Ziel Ist Fahrwegende</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_Fahrweg_Teil_Allg_AttributeGroup#getZielIstFahrwegende()
	 * @see #getFT_Fahrweg_Teil_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getFT_Fahrweg_Teil_Allg_AttributeGroup_ZielIstFahrwegende();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_Fahrweg_Teile_AttributeGroup <em>FT Fahrweg Teile Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>FT Fahrweg Teile Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_Fahrweg_Teile_AttributeGroup
	 * @generated
	 */
	EClass getFT_Fahrweg_Teile_AttributeGroup();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_Fahrweg_Teile_AttributeGroup#getIDFTFahrwegTeil <em>IDFT Fahrweg Teil</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>IDFT Fahrweg Teil</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_Fahrweg_Teile_AttributeGroup#getIDFTFahrwegTeil()
	 * @see #getFT_Fahrweg_Teile_AttributeGroup()
	 * @generated
	 */
	EReference getFT_Fahrweg_Teile_AttributeGroup_IDFTFahrwegTeil();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_Fahrweg_Teile_AttributeGroup#getIstBefahren <em>Ist Befahren</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Ist Befahren</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_Fahrweg_Teile_AttributeGroup#getIstBefahren()
	 * @see #getFT_Fahrweg_Teile_AttributeGroup()
	 * @generated
	 */
	EReference getFT_Fahrweg_Teile_AttributeGroup_IstBefahren();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_GNT_Merkmale_AttributeGroup <em>FT GNT Merkmale Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>FT GNT Merkmale Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_GNT_Merkmale_AttributeGroup
	 * @generated
	 */
	EClass getFT_GNT_Merkmale_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_GNT_Merkmale_AttributeGroup#getDeltaVGES <em>Delta VGES</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Delta VGES</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_GNT_Merkmale_AttributeGroup#getDeltaVGES()
	 * @see #getFT_GNT_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getFT_GNT_Merkmale_AttributeGroup_DeltaVGES();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_GNT_Merkmale_AttributeGroup#getDeltaVLES <em>Delta VLES</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Delta VLES</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_GNT_Merkmale_AttributeGroup#getDeltaVLES()
	 * @see #getFT_GNT_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getFT_GNT_Merkmale_AttributeGroup_DeltaVLES();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_GNT_Merkmale_AttributeGroup#getDeltaVZES <em>Delta VZES</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Delta VZES</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_GNT_Merkmale_AttributeGroup#getDeltaVZES()
	 * @see #getFT_GNT_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getFT_GNT_Merkmale_AttributeGroup_DeltaVZES();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_GNT_Merkmale_AttributeGroup#getFTGNTPunktart <em>FTGNT Punktart</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>FTGNT Punktart</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_GNT_Merkmale_AttributeGroup#getFTGNTPunktart()
	 * @see #getFT_GNT_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getFT_GNT_Merkmale_AttributeGroup_FTGNTPunktart();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_GNT_Merkmale_AttributeGroup#getLLA <em>LLA</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>LLA</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_GNT_Merkmale_AttributeGroup#getLLA()
	 * @see #getFT_GNT_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getFT_GNT_Merkmale_AttributeGroup_LLA();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_GNT_Merkmale_AttributeGroup#getNeigung <em>Neigung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Neigung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_GNT_Merkmale_AttributeGroup#getNeigung()
	 * @see #getFT_GNT_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getFT_GNT_Merkmale_AttributeGroup_Neigung();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_GNT_Merkmale_AttributeGroup#getSBE <em>SBE</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>SBE</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_GNT_Merkmale_AttributeGroup#getSBE()
	 * @see #getFT_GNT_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getFT_GNT_Merkmale_AttributeGroup_SBE();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_GNT_Merkmale_AttributeGroup#getSTZ <em>STZ</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>STZ</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_GNT_Merkmale_AttributeGroup#getSTZ()
	 * @see #getFT_GNT_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getFT_GNT_Merkmale_AttributeGroup_STZ();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_GNT_Merkmale_AttributeGroup#getVGR <em>VGR</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>VGR</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_GNT_Merkmale_AttributeGroup#getVGR()
	 * @see #getFT_GNT_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getFT_GNT_Merkmale_AttributeGroup_VGR();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_GNT_Merkmale_AttributeGroup#getVLA <em>VLA</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>VLA</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_GNT_Merkmale_AttributeGroup#getVLA()
	 * @see #getFT_GNT_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getFT_GNT_Merkmale_AttributeGroup_VLA();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_GNT_Merkmale_AttributeGroup#getVZ <em>VZ</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>VZ</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_GNT_Merkmale_AttributeGroup#getVZ()
	 * @see #getFT_GNT_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getFT_GNT_Merkmale_AttributeGroup_VZ();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_GNT_Merkmale_AttributeGroup#getZLA <em>ZLA</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>ZLA</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_GNT_Merkmale_AttributeGroup#getZLA()
	 * @see #getFT_GNT_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getFT_GNT_Merkmale_AttributeGroup_ZLA();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_GNT_Punktart_TypeClass <em>FT GNT Punktart Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>FT GNT Punktart Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_GNT_Punktart_TypeClass
	 * @generated
	 */
	EClass getFT_GNT_Punktart_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_GNT_Punktart_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_GNT_Punktart_TypeClass#getWert()
	 * @see #getFT_GNT_Punktart_TypeClass()
	 * @generated
	 */
	EAttribute getFT_GNT_Punktart_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_Hinweis_Funktion_TypeClass <em>FT Hinweis Funktion Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>FT Hinweis Funktion Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_Hinweis_Funktion_TypeClass
	 * @generated
	 */
	EClass getFT_Hinweis_Funktion_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_Hinweis_Funktion_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_Hinweis_Funktion_TypeClass#getWert()
	 * @see #getFT_Hinweis_Funktion_TypeClass()
	 * @generated
	 */
	EAttribute getFT_Hinweis_Funktion_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ZBS_Merkmale_AttributeGroup <em>FT ZBS Merkmale Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>FT ZBS Merkmale Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ZBS_Merkmale_AttributeGroup
	 * @generated
	 */
	EClass getFT_ZBS_Merkmale_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ZBS_Merkmale_AttributeGroup#getFTHinweisFunktion <em>FT Hinweis Funktion</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>FT Hinweis Funktion</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ZBS_Merkmale_AttributeGroup#getFTHinweisFunktion()
	 * @see #getFT_ZBS_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getFT_ZBS_Merkmale_AttributeGroup_FTHinweisFunktion();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ZBS_Merkmale_AttributeGroup#getFTZBSMerkmaleLa <em>FTZBS Merkmale La</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>FTZBS Merkmale La</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ZBS_Merkmale_AttributeGroup#getFTZBSMerkmaleLa()
	 * @see #getFT_ZBS_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getFT_ZBS_Merkmale_AttributeGroup_FTZBSMerkmaleLa();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ZBS_Merkmale_AttributeGroup#getFTZBSTyp <em>FTZBS Typ</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>FTZBS Typ</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ZBS_Merkmale_AttributeGroup#getFTZBSTyp()
	 * @see #getFT_ZBS_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getFT_ZBS_Merkmale_AttributeGroup_FTZBSTyp();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ZBS_Merkmale_AttributeGroup#getLaenge1 <em>Laenge1</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Laenge1</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ZBS_Merkmale_AttributeGroup#getLaenge1()
	 * @see #getFT_ZBS_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getFT_ZBS_Merkmale_AttributeGroup_Laenge1();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ZBS_Merkmale_AttributeGroup#getLMG <em>LMG</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>LMG</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ZBS_Merkmale_AttributeGroup#getLMG()
	 * @see #getFT_ZBS_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getFT_ZBS_Merkmale_AttributeGroup_LMG();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ZBS_Merkmale_AttributeGroup#getMassgebendeNeig1 <em>Massgebende Neig1</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Massgebende Neig1</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ZBS_Merkmale_AttributeGroup#getMassgebendeNeig1()
	 * @see #getFT_ZBS_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getFT_ZBS_Merkmale_AttributeGroup_MassgebendeNeig1();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ZBS_Merkmale_AttributeGroup#getMassgebendeNeigSchutzstrecke <em>Massgebende Neig Schutzstrecke</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Massgebende Neig Schutzstrecke</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ZBS_Merkmale_AttributeGroup#getMassgebendeNeigSchutzstrecke()
	 * @see #getFT_ZBS_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getFT_ZBS_Merkmale_AttributeGroup_MassgebendeNeigSchutzstrecke();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ZBS_Merkmale_AttributeGroup#getMastschild <em>Mastschild</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Mastschild</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ZBS_Merkmale_AttributeGroup#getMastschild()
	 * @see #getFT_ZBS_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getFT_ZBS_Merkmale_AttributeGroup_Mastschild();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ZBS_Merkmale_AttributeGroup#getSchutzstreckeErforderlich <em>Schutzstrecke Erforderlich</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Schutzstrecke Erforderlich</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ZBS_Merkmale_AttributeGroup#getSchutzstreckeErforderlich()
	 * @see #getFT_ZBS_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getFT_ZBS_Merkmale_AttributeGroup_SchutzstreckeErforderlich();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ZBS_Merkmale_AttributeGroup#getSchutzstreckeVorhanden <em>Schutzstrecke Vorhanden</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Schutzstrecke Vorhanden</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ZBS_Merkmale_AttributeGroup#getSchutzstreckeVorhanden()
	 * @see #getFT_ZBS_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getFT_ZBS_Merkmale_AttributeGroup_SchutzstreckeVorhanden();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ZBS_Merkmale_AttributeGroup#getTelegrammnummer <em>Telegrammnummer</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Telegrammnummer</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ZBS_Merkmale_AttributeGroup#getTelegrammnummer()
	 * @see #getFT_ZBS_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getFT_ZBS_Merkmale_AttributeGroup_Telegrammnummer();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ZBS_Merkmale_AttributeGroup#getUeberwachungLaenge <em>Ueberwachung Laenge</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Ueberwachung Laenge</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ZBS_Merkmale_AttributeGroup#getUeberwachungLaenge()
	 * @see #getFT_ZBS_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getFT_ZBS_Merkmale_AttributeGroup_UeberwachungLaenge();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ZBS_Merkmale_AttributeGroup#getVBefehlR <em>VBefehl R</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>VBefehl R</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ZBS_Merkmale_AttributeGroup#getVBefehlR()
	 * @see #getFT_ZBS_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getFT_ZBS_Merkmale_AttributeGroup_VBefehlR();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ZBS_Merkmale_AttributeGroup#getVBefehlZ <em>VBefehl Z</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>VBefehl Z</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ZBS_Merkmale_AttributeGroup#getVBefehlZ()
	 * @see #getFT_ZBS_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getFT_ZBS_Merkmale_AttributeGroup_VBefehlZ();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ZBS_Merkmale_AttributeGroup#getVFrei <em>VFrei</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>VFrei</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ZBS_Merkmale_AttributeGroup#getVFrei()
	 * @see #getFT_ZBS_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getFT_ZBS_Merkmale_AttributeGroup_VFrei();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ZBS_Merkmale_AttributeGroup#getVZulStrecke <em>VZul Strecke</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>VZul Strecke</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ZBS_Merkmale_AttributeGroup#getVZulStrecke()
	 * @see #getFT_ZBS_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getFT_ZBS_Merkmale_AttributeGroup_VZulStrecke();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ZBS_Merkmale_AttributeGroup#getVGR1 <em>VGR1</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>VGR1</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ZBS_Merkmale_AttributeGroup#getVGR1()
	 * @see #getFT_ZBS_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getFT_ZBS_Merkmale_AttributeGroup_VGR1();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ZBS_Merkmale_AttributeGroup#getVGR2 <em>VGR2</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>VGR2</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ZBS_Merkmale_AttributeGroup#getVGR2()
	 * @see #getFT_ZBS_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getFT_ZBS_Merkmale_AttributeGroup_VGR2();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ZBS_Merkmale_La_AttributeGroup <em>FT ZBS Merkmale La Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>FT ZBS Merkmale La Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ZBS_Merkmale_La_AttributeGroup
	 * @generated
	 */
	EClass getFT_ZBS_Merkmale_La_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ZBS_Merkmale_La_AttributeGroup#getZBSLaBereichDistanz <em>ZBS La Bereich Distanz</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>ZBS La Bereich Distanz</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ZBS_Merkmale_La_AttributeGroup#getZBSLaBereichDistanz()
	 * @see #getFT_ZBS_Merkmale_La_AttributeGroup()
	 * @generated
	 */
	EReference getFT_ZBS_Merkmale_La_AttributeGroup_ZBSLaBereichDistanz();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ZBS_Merkmale_La_AttributeGroup#getZBSLaBereichGeschwindigkeit <em>ZBS La Bereich Geschwindigkeit</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>ZBS La Bereich Geschwindigkeit</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ZBS_Merkmale_La_AttributeGroup#getZBSLaBereichGeschwindigkeit()
	 * @see #getFT_ZBS_Merkmale_La_AttributeGroup()
	 * @generated
	 */
	EReference getFT_ZBS_Merkmale_La_AttributeGroup_ZBSLaBereichGeschwindigkeit();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ZBS_Merkmale_La_AttributeGroup#getZBSLaBereichLaenge <em>ZBS La Bereich Laenge</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>ZBS La Bereich Laenge</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ZBS_Merkmale_La_AttributeGroup#getZBSLaBereichLaenge()
	 * @see #getFT_ZBS_Merkmale_La_AttributeGroup()
	 * @generated
	 */
	EReference getFT_ZBS_Merkmale_La_AttributeGroup_ZBSLaBereichLaenge();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ZBS_Merkmale_La_AttributeGroup#getZBSLaBereichNeigung <em>ZBS La Bereich Neigung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>ZBS La Bereich Neigung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ZBS_Merkmale_La_AttributeGroup#getZBSLaBereichNeigung()
	 * @see #getFT_ZBS_Merkmale_La_AttributeGroup()
	 * @generated
	 */
	EReference getFT_ZBS_Merkmale_La_AttributeGroup_ZBSLaBereichNeigung();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ZBS_Typ_TypeClass <em>FT ZBS Typ Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>FT ZBS Typ Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ZBS_Typ_TypeClass
	 * @generated
	 */
	EClass getFT_ZBS_Typ_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ZBS_Typ_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FT_ZBS_Typ_TypeClass#getWert()
	 * @see #getFT_ZBS_Typ_TypeClass()
	 * @generated
	 */
	EAttribute getFT_ZBS_Typ_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FW_Teil_Nummer_TypeClass <em>FW Teil Nummer Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>FW Teil Nummer Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FW_Teil_Nummer_TypeClass
	 * @generated
	 */
	EClass getFW_Teil_Nummer_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FW_Teil_Nummer_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.FW_Teil_Nummer_TypeClass#getWert()
	 * @see #getFW_Teil_Nummer_TypeClass()
	 * @generated
	 */
	EAttribute getFW_Teil_Nummer_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Gruppen_ID_TypeClass <em>Gruppen ID Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Gruppen ID Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Gruppen_ID_TypeClass
	 * @generated
	 */
	EClass getGruppen_ID_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Gruppen_ID_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Gruppen_ID_TypeClass#getWert()
	 * @see #getGruppen_ID_TypeClass()
	 * @generated
	 */
	EAttribute getGruppen_ID_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Harter_Ausstieg_Aus_L2_TypeClass <em>Harter Ausstieg Aus L2 Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Harter Ausstieg Aus L2 Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Harter_Ausstieg_Aus_L2_TypeClass
	 * @generated
	 */
	EClass getHarter_Ausstieg_Aus_L2_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Harter_Ausstieg_Aus_L2_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Harter_Ausstieg_Aus_L2_TypeClass#getWert()
	 * @see #getHarter_Ausstieg_Aus_L2_TypeClass()
	 * @generated
	 */
	EAttribute getHarter_Ausstieg_Aus_L2_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Hersteller_TypeClass <em>Hersteller Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Hersteller Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Hersteller_TypeClass
	 * @generated
	 */
	EClass getHersteller_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Hersteller_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Hersteller_TypeClass#getWert()
	 * @see #getHersteller_TypeClass()
	 * @generated
	 */
	EAttribute getHersteller_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Hinweis_Balisenbefestigung_TypeClass <em>Hinweis Balisenbefestigung Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Hinweis Balisenbefestigung Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Hinweis_Balisenbefestigung_TypeClass
	 * @generated
	 */
	EClass getHinweis_Balisenbefestigung_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Hinweis_Balisenbefestigung_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Hinweis_Balisenbefestigung_TypeClass#getWert()
	 * @see #getHinweis_Balisenbefestigung_TypeClass()
	 * @generated
	 */
	EAttribute getHinweis_Balisenbefestigung_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Individualisierung_Weitere_TypeClass <em>Individualisierung Weitere Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Individualisierung Weitere Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Individualisierung_Weitere_TypeClass
	 * @generated
	 */
	EClass getIndividualisierung_Weitere_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Individualisierung_Weitere_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Individualisierung_Weitere_TypeClass#getWert()
	 * @see #getIndividualisierung_Weitere_TypeClass()
	 * @generated
	 */
	EAttribute getIndividualisierung_Weitere_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Ist_Befahren_TypeClass <em>Ist Befahren Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Ist Befahren Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Ist_Befahren_TypeClass
	 * @generated
	 */
	EClass getIst_Befahren_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Ist_Befahren_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Ist_Befahren_TypeClass#getWert()
	 * @see #getIst_Befahren_TypeClass()
	 * @generated
	 */
	EAttribute getIst_Befahren_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Km_BTS_1_TypeClass <em>Km BTS 1Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Km BTS 1Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Km_BTS_1_TypeClass
	 * @generated
	 */
	EClass getKm_BTS_1_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Km_BTS_1_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Km_BTS_1_TypeClass#getWert()
	 * @see #getKm_BTS_1_TypeClass()
	 * @generated
	 */
	EAttribute getKm_BTS_1_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Km_BTS_2_TypeClass <em>Km BTS 2Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Km BTS 2Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Km_BTS_2_TypeClass
	 * @generated
	 */
	EClass getKm_BTS_2_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Km_BTS_2_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Km_BTS_2_TypeClass#getWert()
	 * @see #getKm_BTS_2_TypeClass()
	 * @generated
	 */
	EAttribute getKm_BTS_2_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Km_BTS_3_TypeClass <em>Km BTS 3Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Km BTS 3Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Km_BTS_3_TypeClass
	 * @generated
	 */
	EClass getKm_BTS_3_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Km_BTS_3_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Km_BTS_3_TypeClass#getWert()
	 * @see #getKm_BTS_3_TypeClass()
	 * @generated
	 */
	EAttribute getKm_BTS_3_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Knoten_Auf_TOP_Kante_AttributeGroup <em>Knoten Auf TOP Kante Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Knoten Auf TOP Kante Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Knoten_Auf_TOP_Kante_AttributeGroup
	 * @generated
	 */
	EClass getKnoten_Auf_TOP_Kante_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Knoten_Auf_TOP_Kante_AttributeGroup#getETCSKnotenArtSonstige <em>ETCS Knoten Art Sonstige</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>ETCS Knoten Art Sonstige</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Knoten_Auf_TOP_Kante_AttributeGroup#getETCSKnotenArtSonstige()
	 * @see #getKnoten_Auf_TOP_Kante_AttributeGroup()
	 * @generated
	 */
	EReference getKnoten_Auf_TOP_Kante_AttributeGroup_ETCSKnotenArtSonstige();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Knoten_Auf_TOP_Kante_AttributeGroup#getPunktObjektTOPKante <em>Punkt Objekt TOP Kante</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Punkt Objekt TOP Kante</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Knoten_Auf_TOP_Kante_AttributeGroup#getPunktObjektTOPKante()
	 * @see #getKnoten_Auf_TOP_Kante_AttributeGroup()
	 * @generated
	 */
	EReference getKnoten_Auf_TOP_Kante_AttributeGroup_PunktObjektTOPKante();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Konfigurationskennung_TypeClass <em>Konfigurationskennung Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Konfigurationskennung Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Konfigurationskennung_TypeClass
	 * @generated
	 */
	EClass getKonfigurationskennung_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Konfigurationskennung_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Konfigurationskennung_TypeClass#getWert()
	 * @see #getKonfigurationskennung_TypeClass()
	 * @generated
	 */
	EAttribute getKonfigurationskennung_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.L_ACKLEVELTR_TypeClass <em>LACKLEVELTR Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>LACKLEVELTR Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.L_ACKLEVELTR_TypeClass
	 * @generated
	 */
	EClass getL_ACKLEVELTR_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.L_ACKLEVELTR_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.L_ACKLEVELTR_TypeClass#getWert()
	 * @see #getL_ACKLEVELTR_TypeClass()
	 * @generated
	 */
	EAttribute getL_ACKLEVELTR_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Laenge_1_TypeClass <em>Laenge 1Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Laenge 1Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Laenge_1_TypeClass
	 * @generated
	 */
	EClass getLaenge_1_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Laenge_1_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Laenge_1_TypeClass#getWert()
	 * @see #getLaenge_1_TypeClass()
	 * @generated
	 */
	EAttribute getLaenge_1_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Laenge_Ausfuehrungsbereich_TypeClass <em>Laenge Ausfuehrungsbereich Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Laenge Ausfuehrungsbereich Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Laenge_Ausfuehrungsbereich_TypeClass
	 * @generated
	 */
	EClass getLaenge_Ausfuehrungsbereich_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Laenge_Ausfuehrungsbereich_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Laenge_Ausfuehrungsbereich_TypeClass#getWert()
	 * @see #getLaenge_Ausfuehrungsbereich_TypeClass()
	 * @generated
	 */
	EAttribute getLaenge_Ausfuehrungsbereich_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Laenge_Gestufte_V_Signalisierung_TypeClass <em>Laenge Gestufte VSignalisierung Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Laenge Gestufte VSignalisierung Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Laenge_Gestufte_V_Signalisierung_TypeClass
	 * @generated
	 */
	EClass getLaenge_Gestufte_V_Signalisierung_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Laenge_Gestufte_V_Signalisierung_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Laenge_Gestufte_V_Signalisierung_TypeClass#getWert()
	 * @see #getLaenge_Gestufte_V_Signalisierung_TypeClass()
	 * @generated
	 */
	EAttribute getLaenge_Gestufte_V_Signalisierung_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Laenge_Soll_Mind_150_TypeClass <em>Laenge Soll Mind 150 Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Laenge Soll Mind 150 Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Laenge_Soll_Mind_150_TypeClass
	 * @generated
	 */
	EClass getLaenge_Soll_Mind_150_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Laenge_Soll_Mind_150_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Laenge_Soll_Mind_150_TypeClass#getWert()
	 * @see #getLaenge_Soll_Mind_150_TypeClass()
	 * @generated
	 */
	EAttribute getLaenge_Soll_Mind_150_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Leistungsbedarf_TypeClass <em>Leistungsbedarf Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Leistungsbedarf Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Leistungsbedarf_TypeClass
	 * @generated
	 */
	EClass getLeistungsbedarf_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Leistungsbedarf_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Leistungsbedarf_TypeClass#getWert()
	 * @see #getLeistungsbedarf_TypeClass()
	 * @generated
	 */
	EAttribute getLeistungsbedarf_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Anlage <em>LEU Anlage</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>LEU Anlage</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Anlage
	 * @generated
	 */
	EClass getLEU_Anlage();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Anlage#getBezeichnung <em>Bezeichnung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Bezeichnung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Anlage#getBezeichnung()
	 * @see #getLEU_Anlage()
	 * @generated
	 */
	EReference getLEU_Anlage_Bezeichnung();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Anlage#getIDLEUBezugspunkt <em>IDLEU Bezugspunkt</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>IDLEU Bezugspunkt</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Anlage#getIDLEUBezugspunkt()
	 * @see #getLEU_Anlage()
	 * @generated
	 */
	EReference getLEU_Anlage_IDLEUBezugspunkt();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Anlage#getLEUAnlageAllg <em>LEU Anlage Allg</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>LEU Anlage Allg</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Anlage#getLEUAnlageAllg()
	 * @see #getLEU_Anlage()
	 * @generated
	 */
	EReference getLEU_Anlage_LEUAnlageAllg();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Anlage_Allg_AttributeGroup <em>LEU Anlage Allg Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>LEU Anlage Allg Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Anlage_Allg_AttributeGroup
	 * @generated
	 */
	EClass getLEU_Anlage_Allg_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Anlage_Allg_AttributeGroup#getLeistungsbedarf <em>Leistungsbedarf</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Leistungsbedarf</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Anlage_Allg_AttributeGroup#getLeistungsbedarf()
	 * @see #getLEU_Anlage_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getLEU_Anlage_Allg_AttributeGroup_Leistungsbedarf();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Anlage_Allg_AttributeGroup#getLEUAnlageArt <em>LEU Anlage Art</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>LEU Anlage Art</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Anlage_Allg_AttributeGroup#getLEUAnlageArt()
	 * @see #getLEU_Anlage_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getLEU_Anlage_Allg_AttributeGroup_LEUAnlageArt();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Anlage_Art_TypeClass <em>LEU Anlage Art Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>LEU Anlage Art Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Anlage_Art_TypeClass
	 * @generated
	 */
	EClass getLEU_Anlage_Art_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Anlage_Art_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Anlage_Art_TypeClass#getWert()
	 * @see #getLEU_Anlage_Art_TypeClass()
	 * @generated
	 */
	EAttribute getLEU_Anlage_Art_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Anlage_Bezeichnung_AttributeGroup <em>LEU Anlage Bezeichnung Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>LEU Anlage Bezeichnung Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Anlage_Bezeichnung_AttributeGroup
	 * @generated
	 */
	EClass getLEU_Anlage_Bezeichnung_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Anlage_Bezeichnung_AttributeGroup#getBezeichnungLEUAnlage <em>Bezeichnung LEU Anlage</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Bezeichnung LEU Anlage</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Anlage_Bezeichnung_AttributeGroup#getBezeichnungLEUAnlage()
	 * @see #getLEU_Anlage_Bezeichnung_AttributeGroup()
	 * @generated
	 */
	EReference getLEU_Anlage_Bezeichnung_AttributeGroup_BezeichnungLEUAnlage();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Ausgang_Nr_TypeClass <em>LEU Ausgang Nr Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>LEU Ausgang Nr Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Ausgang_Nr_TypeClass
	 * @generated
	 */
	EClass getLEU_Ausgang_Nr_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Ausgang_Nr_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Ausgang_Nr_TypeClass#getWert()
	 * @see #getLEU_Ausgang_Nr_TypeClass()
	 * @generated
	 */
	EAttribute getLEU_Ausgang_Nr_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Modul <em>LEU Modul</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>LEU Modul</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Modul
	 * @generated
	 */
	EClass getLEU_Modul();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Modul#getBezeichnung <em>Bezeichnung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Bezeichnung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Modul#getBezeichnung()
	 * @see #getLEU_Modul()
	 * @generated
	 */
	EReference getLEU_Modul_Bezeichnung();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Modul#getIDInformationEingang <em>ID Information Eingang</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>ID Information Eingang</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Modul#getIDInformationEingang()
	 * @see #getLEU_Modul()
	 * @generated
	 */
	EReference getLEU_Modul_IDInformationEingang();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Modul#getIDLEUAnlage <em>IDLEU Anlage</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>IDLEU Anlage</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Modul#getIDLEUAnlage()
	 * @see #getLEU_Modul()
	 * @generated
	 */
	EReference getLEU_Modul_IDLEUAnlage();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Modul#getIDLEUSchaltkasten <em>IDLEU Schaltkasten</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>IDLEU Schaltkasten</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Modul#getIDLEUSchaltkasten()
	 * @see #getLEU_Modul()
	 * @generated
	 */
	EReference getLEU_Modul_IDLEUSchaltkasten();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Modul#getLEUModulAllg <em>LEU Modul Allg</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>LEU Modul Allg</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Modul#getLEUModulAllg()
	 * @see #getLEU_Modul()
	 * @generated
	 */
	EReference getLEU_Modul_LEUModulAllg();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Modul#getLEUModulAusgang <em>LEU Modul Ausgang</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>LEU Modul Ausgang</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Modul#getLEUModulAusgang()
	 * @see #getLEU_Modul()
	 * @generated
	 */
	EReference getLEU_Modul_LEUModulAusgang();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Modul_Allg_AttributeGroup <em>LEU Modul Allg Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>LEU Modul Allg Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Modul_Allg_AttributeGroup
	 * @generated
	 */
	EClass getLEU_Modul_Allg_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Modul_Allg_AttributeGroup#getHersteller <em>Hersteller</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Hersteller</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Modul_Allg_AttributeGroup#getHersteller()
	 * @see #getLEU_Modul_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getLEU_Modul_Allg_AttributeGroup_Hersteller();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Modul_Allg_AttributeGroup#getLEUModulArt <em>LEU Modul Art</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>LEU Modul Art</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Modul_Allg_AttributeGroup#getLEUModulArt()
	 * @see #getLEU_Modul_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getLEU_Modul_Allg_AttributeGroup_LEUModulArt();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Modul_Allg_AttributeGroup#getLEUModulGeraetestand <em>LEU Modul Geraetestand</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>LEU Modul Geraetestand</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Modul_Allg_AttributeGroup#getLEUModulGeraetestand()
	 * @see #getLEU_Modul_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getLEU_Modul_Allg_AttributeGroup_LEUModulGeraetestand();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Modul_Allg_AttributeGroup#getLEUModulTyp <em>LEU Modul Typ</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>LEU Modul Typ</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Modul_Allg_AttributeGroup#getLEUModulTyp()
	 * @see #getLEU_Modul_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getLEU_Modul_Allg_AttributeGroup_LEUModulTyp();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Modul_Art_TypeClass <em>LEU Modul Art Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>LEU Modul Art Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Modul_Art_TypeClass
	 * @generated
	 */
	EClass getLEU_Modul_Art_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Modul_Art_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Modul_Art_TypeClass#getWert()
	 * @see #getLEU_Modul_Art_TypeClass()
	 * @generated
	 */
	EAttribute getLEU_Modul_Art_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Modul_Ausgang_AttributeGroup <em>LEU Modul Ausgang Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>LEU Modul Ausgang Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Modul_Ausgang_AttributeGroup
	 * @generated
	 */
	EClass getLEU_Modul_Ausgang_AttributeGroup();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Modul_Ausgang_AttributeGroup#getIDBalise <em>ID Balise</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Balise</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Modul_Ausgang_AttributeGroup#getIDBalise()
	 * @see #getLEU_Modul_Ausgang_AttributeGroup()
	 * @generated
	 */
	EReference getLEU_Modul_Ausgang_AttributeGroup_IDBalise();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Modul_Ausgang_AttributeGroup#getLEUAusgangNr <em>LEU Ausgang Nr</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>LEU Ausgang Nr</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Modul_Ausgang_AttributeGroup#getLEUAusgangNr()
	 * @see #getLEU_Modul_Ausgang_AttributeGroup()
	 * @generated
	 */
	EReference getLEU_Modul_Ausgang_AttributeGroup_LEUAusgangNr();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Modul_Ausgang_AttributeGroup#getPortNrAusgPhysisch <em>Port Nr Ausg Physisch</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Port Nr Ausg Physisch</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Modul_Ausgang_AttributeGroup#getPortNrAusgPhysisch()
	 * @see #getLEU_Modul_Ausgang_AttributeGroup()
	 * @generated
	 */
	EReference getLEU_Modul_Ausgang_AttributeGroup_PortNrAusgPhysisch();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Modul_Bezeichnung_AttributeGroup <em>LEU Modul Bezeichnung Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>LEU Modul Bezeichnung Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Modul_Bezeichnung_AttributeGroup
	 * @generated
	 */
	EClass getLEU_Modul_Bezeichnung_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Modul_Bezeichnung_AttributeGroup#getModulnummer <em>Modulnummer</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Modulnummer</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Modul_Bezeichnung_AttributeGroup#getModulnummer()
	 * @see #getLEU_Modul_Bezeichnung_AttributeGroup()
	 * @generated
	 */
	EReference getLEU_Modul_Bezeichnung_AttributeGroup_Modulnummer();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Modul_Geraetestand_TypeClass <em>LEU Modul Geraetestand Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>LEU Modul Geraetestand Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Modul_Geraetestand_TypeClass
	 * @generated
	 */
	EClass getLEU_Modul_Geraetestand_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Modul_Geraetestand_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Modul_Geraetestand_TypeClass#getWert()
	 * @see #getLEU_Modul_Geraetestand_TypeClass()
	 * @generated
	 */
	EAttribute getLEU_Modul_Geraetestand_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Modul_Typ_TypeClass <em>LEU Modul Typ Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>LEU Modul Typ Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Modul_Typ_TypeClass
	 * @generated
	 */
	EClass getLEU_Modul_Typ_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Modul_Typ_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Modul_Typ_TypeClass#getWert()
	 * @see #getLEU_Modul_Typ_TypeClass()
	 * @generated
	 */
	EAttribute getLEU_Modul_Typ_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Schaltkasten <em>LEU Schaltkasten</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>LEU Schaltkasten</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Schaltkasten
	 * @generated
	 */
	EClass getLEU_Schaltkasten();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Schaltkasten#getBezeichnung <em>Bezeichnung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Bezeichnung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Schaltkasten#getBezeichnung()
	 * @see #getLEU_Schaltkasten()
	 * @generated
	 */
	EReference getLEU_Schaltkasten_Bezeichnung();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Schaltkasten#getLEUSchaltkastenEnergie <em>LEU Schaltkasten Energie</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>LEU Schaltkasten Energie</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Schaltkasten#getLEUSchaltkastenEnergie()
	 * @see #getLEU_Schaltkasten()
	 * @generated
	 */
	EReference getLEU_Schaltkasten_LEUSchaltkastenEnergie();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Schaltkasten#getLEUSchaltkastenTyp <em>LEU Schaltkasten Typ</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>LEU Schaltkasten Typ</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Schaltkasten#getLEUSchaltkastenTyp()
	 * @see #getLEU_Schaltkasten()
	 * @generated
	 */
	EReference getLEU_Schaltkasten_LEUSchaltkastenTyp();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Schaltkasten#getIDUnterbringung <em>ID Unterbringung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Unterbringung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Schaltkasten#getIDUnterbringung()
	 * @see #getLEU_Schaltkasten()
	 * @generated
	 */
	EReference getLEU_Schaltkasten_IDUnterbringung();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Schaltkasten#getLEUSchaltkastenPosition <em>LEU Schaltkasten Position</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>LEU Schaltkasten Position</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Schaltkasten#getLEUSchaltkastenPosition()
	 * @see #getLEU_Schaltkasten()
	 * @generated
	 */
	EReference getLEU_Schaltkasten_LEUSchaltkastenPosition();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Schaltkasten_Bezeichnung_AttributeGroup <em>LEU Schaltkasten Bezeichnung Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>LEU Schaltkasten Bezeichnung Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Schaltkasten_Bezeichnung_AttributeGroup
	 * @generated
	 */
	EClass getLEU_Schaltkasten_Bezeichnung_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Schaltkasten_Bezeichnung_AttributeGroup#getNummerSchaltkasten <em>Nummer Schaltkasten</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Nummer Schaltkasten</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Schaltkasten_Bezeichnung_AttributeGroup#getNummerSchaltkasten()
	 * @see #getLEU_Schaltkasten_Bezeichnung_AttributeGroup()
	 * @generated
	 */
	EReference getLEU_Schaltkasten_Bezeichnung_AttributeGroup_NummerSchaltkasten();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Schaltkasten_Energie_AttributeGroup <em>LEU Schaltkasten Energie Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>LEU Schaltkasten Energie Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Schaltkasten_Energie_AttributeGroup
	 * @generated
	 */
	EClass getLEU_Schaltkasten_Energie_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Schaltkasten_Energie_AttributeGroup#getAnzahlVollLEUKalkuliert <em>Anzahl Voll LEU Kalkuliert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Anzahl Voll LEU Kalkuliert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Schaltkasten_Energie_AttributeGroup#getAnzahlVollLEUKalkuliert()
	 * @see #getLEU_Schaltkasten_Energie_AttributeGroup()
	 * @generated
	 */
	EReference getLEU_Schaltkasten_Energie_AttributeGroup_AnzahlVollLEUKalkuliert();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Schaltkasten_Energie_AttributeGroup#getIDEnergieLEUSchaltkasten <em>ID Energie LEU Schaltkasten</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Energie LEU Schaltkasten</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Schaltkasten_Energie_AttributeGroup#getIDEnergieLEUSchaltkasten()
	 * @see #getLEU_Schaltkasten_Energie_AttributeGroup()
	 * @generated
	 */
	EReference getLEU_Schaltkasten_Energie_AttributeGroup_IDEnergieLEUSchaltkasten();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Schaltkasten_Energie_AttributeGroup#getMaxLeistung <em>Max Leistung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Max Leistung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Schaltkasten_Energie_AttributeGroup#getMaxLeistung()
	 * @see #getLEU_Schaltkasten_Energie_AttributeGroup()
	 * @generated
	 */
	EReference getLEU_Schaltkasten_Energie_AttributeGroup_MaxLeistung();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Schaltkasten_Energie_AttributeGroup#getSpannungArt <em>Spannung Art</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Spannung Art</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Schaltkasten_Energie_AttributeGroup#getSpannungArt()
	 * @see #getLEU_Schaltkasten_Energie_AttributeGroup()
	 * @generated
	 */
	EReference getLEU_Schaltkasten_Energie_AttributeGroup_SpannungArt();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Schaltkasten_Energie_AttributeGroup#getUeberbrueckungEVUnterbrechung <em>Ueberbrueckung EV Unterbrechung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Ueberbrueckung EV Unterbrechung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Schaltkasten_Energie_AttributeGroup#getUeberbrueckungEVUnterbrechung()
	 * @see #getLEU_Schaltkasten_Energie_AttributeGroup()
	 * @generated
	 */
	EReference getLEU_Schaltkasten_Energie_AttributeGroup_UeberbrueckungEVUnterbrechung();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Schaltkasten_Position_AttributeGroup <em>LEU Schaltkasten Position Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>LEU Schaltkasten Position Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Schaltkasten_Position_AttributeGroup
	 * @generated
	 */
	EClass getLEU_Schaltkasten_Position_AttributeGroup();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Schaltkasten_Position_AttributeGroup#getIDBezugspunktPositionierung <em>ID Bezugspunkt Positionierung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Bezugspunkt Positionierung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Schaltkasten_Position_AttributeGroup#getIDBezugspunktPositionierung()
	 * @see #getLEU_Schaltkasten_Position_AttributeGroup()
	 * @generated
	 */
	EReference getLEU_Schaltkasten_Position_AttributeGroup_IDBezugspunktPositionierung();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Schaltkasten_Position_AttributeGroup#getPosition <em>Position</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Position</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Schaltkasten_Position_AttributeGroup#getPosition()
	 * @see #getLEU_Schaltkasten_Position_AttributeGroup()
	 * @generated
	 */
	EReference getLEU_Schaltkasten_Position_AttributeGroup_Position();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Schaltkasten_Position_AttributeGroup#getPositionSonstige <em>Position Sonstige</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Position Sonstige</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Schaltkasten_Position_AttributeGroup#getPositionSonstige()
	 * @see #getLEU_Schaltkasten_Position_AttributeGroup()
	 * @generated
	 */
	EReference getLEU_Schaltkasten_Position_AttributeGroup_PositionSonstige();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Schaltkasten_Typ_TypeClass <em>LEU Schaltkasten Typ Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>LEU Schaltkasten Typ Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Schaltkasten_Typ_TypeClass
	 * @generated
	 */
	EClass getLEU_Schaltkasten_Typ_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Schaltkasten_Typ_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Schaltkasten_Typ_TypeClass#getWert()
	 * @see #getLEU_Schaltkasten_Typ_TypeClass()
	 * @generated
	 */
	EAttribute getLEU_Schaltkasten_Typ_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Steuernde_AttributeGroup <em>LEU Steuernde Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>LEU Steuernde Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Steuernde_AttributeGroup
	 * @generated
	 */
	EClass getLEU_Steuernde_AttributeGroup();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Steuernde_AttributeGroup#getIDLEUAnlage <em>IDLEU Anlage</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>IDLEU Anlage</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Steuernde_AttributeGroup#getIDLEUAnlage()
	 * @see #getLEU_Steuernde_AttributeGroup()
	 * @generated
	 */
	EReference getLEU_Steuernde_AttributeGroup_IDLEUAnlage();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Steuernde_AttributeGroup#getLEUAusgangNr <em>LEU Ausgang Nr</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>LEU Ausgang Nr</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LEU_Steuernde_AttributeGroup#getLEUAusgangNr()
	 * @see #getLEU_Steuernde_AttributeGroup()
	 * @generated
	 */
	EReference getLEU_Steuernde_AttributeGroup_LEUAusgangNr();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Lfd_Nr_Am_Bezugspunkt_TypeClass <em>Lfd Nr Am Bezugspunkt Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Lfd Nr Am Bezugspunkt Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Lfd_Nr_Am_Bezugspunkt_TypeClass
	 * @generated
	 */
	EClass getLfd_Nr_Am_Bezugspunkt_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Lfd_Nr_Am_Bezugspunkt_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Lfd_Nr_Am_Bezugspunkt_TypeClass#getWert()
	 * @see #getLfd_Nr_Am_Bezugspunkt_TypeClass()
	 * @generated
	 */
	EAttribute getLfd_Nr_Am_Bezugspunkt_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Link_Distanz_TypeClass <em>Link Distanz Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Link Distanz Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Link_Distanz_TypeClass
	 * @generated
	 */
	EClass getLink_Distanz_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Link_Distanz_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Link_Distanz_TypeClass#getWert()
	 * @see #getLink_Distanz_TypeClass()
	 * @generated
	 */
	EAttribute getLink_Distanz_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LLA_TypeClass <em>LLA Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>LLA Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LLA_TypeClass
	 * @generated
	 */
	EClass getLLA_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LLA_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LLA_TypeClass#getWert()
	 * @see #getLLA_TypeClass()
	 * @generated
	 */
	EAttribute getLLA_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LM_G_TypeClass <em>LM GType Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>LM GType Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LM_G_TypeClass
	 * @generated
	 */
	EClass getLM_G_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LM_G_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LM_G_TypeClass#getWert()
	 * @see #getLM_G_TypeClass()
	 * @generated
	 */
	EAttribute getLM_G_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LT_Binaerdatei_Hilfe_AttributeGroup <em>LT Binaerdatei Hilfe Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>LT Binaerdatei Hilfe Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LT_Binaerdatei_Hilfe_AttributeGroup
	 * @generated
	 */
	EClass getLT_Binaerdatei_Hilfe_AttributeGroup();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LT_Binaerdatei_Hilfe_AttributeGroup#getIDBinaerdateiHilfe <em>ID Binaerdatei Hilfe</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Binaerdatei Hilfe</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LT_Binaerdatei_Hilfe_AttributeGroup#getIDBinaerdateiHilfe()
	 * @see #getLT_Binaerdatei_Hilfe_AttributeGroup()
	 * @generated
	 */
	EReference getLT_Binaerdatei_Hilfe_AttributeGroup_IDBinaerdateiHilfe();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LT_Binaerdatei_Hilfe_AttributeGroup#getPruefmerkmaleBinaerdateiHilfe <em>Pruefmerkmale Binaerdatei Hilfe</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Pruefmerkmale Binaerdatei Hilfe</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LT_Binaerdatei_Hilfe_AttributeGroup#getPruefmerkmaleBinaerdateiHilfe()
	 * @see #getLT_Binaerdatei_Hilfe_AttributeGroup()
	 * @generated
	 */
	EReference getLT_Binaerdatei_Hilfe_AttributeGroup_PruefmerkmaleBinaerdateiHilfe();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LT_Binaerdatei_Hilfe_AttributeGroup#getVerwendungHilfe <em>Verwendung Hilfe</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Verwendung Hilfe</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LT_Binaerdatei_Hilfe_AttributeGroup#getVerwendungHilfe()
	 * @see #getLT_Binaerdatei_Hilfe_AttributeGroup()
	 * @generated
	 */
	EReference getLT_Binaerdatei_Hilfe_AttributeGroup_VerwendungHilfe();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LT_Binaerdaten_AttributeGroup <em>LT Binaerdaten Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>LT Binaerdaten Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LT_Binaerdaten_AttributeGroup
	 * @generated
	 */
	EClass getLT_Binaerdaten_AttributeGroup();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LT_Binaerdaten_AttributeGroup#getIDAnhangEADoku <em>ID Anhang EA Doku</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Anhang EA Doku</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LT_Binaerdaten_AttributeGroup#getIDAnhangEADoku()
	 * @see #getLT_Binaerdaten_AttributeGroup()
	 * @generated
	 */
	EReference getLT_Binaerdaten_AttributeGroup_IDAnhangEADoku();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LT_Binaerdaten_AttributeGroup#getIDBinaerdaten <em>ID Binaerdaten</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Binaerdaten</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LT_Binaerdaten_AttributeGroup#getIDBinaerdaten()
	 * @see #getLT_Binaerdaten_AttributeGroup()
	 * @generated
	 */
	EReference getLT_Binaerdaten_AttributeGroup_IDBinaerdaten();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LT_Binaerdaten_AttributeGroup#getPruefmerkmaleBinaerdaten <em>Pruefmerkmale Binaerdaten</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Pruefmerkmale Binaerdaten</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.LT_Binaerdaten_AttributeGroup#getPruefmerkmaleBinaerdaten()
	 * @see #getLT_Binaerdaten_AttributeGroup()
	 * @generated
	 */
	EReference getLT_Binaerdaten_AttributeGroup_PruefmerkmaleBinaerdaten();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Luft_Telegramm <em>Luft Telegramm</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Luft Telegramm</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Luft_Telegramm
	 * @generated
	 */
	EClass getLuft_Telegramm();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Luft_Telegramm#getIDBaliseUebertragung <em>ID Balise Uebertragung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Balise Uebertragung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Luft_Telegramm#getIDBaliseUebertragung()
	 * @see #getLuft_Telegramm()
	 * @generated
	 */
	EReference getLuft_Telegramm_IDBaliseUebertragung();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Luft_Telegramm#getIDFachtelegramm <em>ID Fachtelegramm</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Fachtelegramm</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Luft_Telegramm#getIDFachtelegramm()
	 * @see #getLuft_Telegramm()
	 * @generated
	 */
	EReference getLuft_Telegramm_IDFachtelegramm();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Luft_Telegramm#getLTBinaerdateiHilfe <em>LT Binaerdatei Hilfe</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>LT Binaerdatei Hilfe</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Luft_Telegramm#getLTBinaerdateiHilfe()
	 * @see #getLuft_Telegramm()
	 * @generated
	 */
	EReference getLuft_Telegramm_LTBinaerdateiHilfe();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Luft_Telegramm#getLTBinaerdaten <em>LT Binaerdaten</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>LT Binaerdaten</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Luft_Telegramm#getLTBinaerdaten()
	 * @see #getLuft_Telegramm()
	 * @generated
	 */
	EReference getLuft_Telegramm_LTBinaerdaten();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Luft_Telegramm#getTelegrammIndex <em>Telegramm Index</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Telegramm Index</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Luft_Telegramm#getTelegrammIndex()
	 * @see #getLuft_Telegramm()
	 * @generated
	 */
	EReference getLuft_Telegramm_TelegrammIndex();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.M_LEVELTR_TypeClass <em>MLEVELTR Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>MLEVELTR Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.M_LEVELTR_TypeClass
	 * @generated
	 */
	EClass getM_LEVELTR_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.M_LEVELTR_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.M_LEVELTR_TypeClass#getWert()
	 * @see #getM_LEVELTR_TypeClass()
	 * @generated
	 */
	EAttribute getM_LEVELTR_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Massgebende_Neig_1_TypeClass <em>Massgebende Neig 1Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Massgebende Neig 1Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Massgebende_Neig_1_TypeClass
	 * @generated
	 */
	EClass getMassgebende_Neig_1_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Massgebende_Neig_1_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Massgebende_Neig_1_TypeClass#getWert()
	 * @see #getMassgebende_Neig_1_TypeClass()
	 * @generated
	 */
	EAttribute getMassgebende_Neig_1_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Massgebende_Neig_Schutzstrecke_TypeClass <em>Massgebende Neig Schutzstrecke Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Massgebende Neig Schutzstrecke Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Massgebende_Neig_Schutzstrecke_TypeClass
	 * @generated
	 */
	EClass getMassgebende_Neig_Schutzstrecke_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Massgebende_Neig_Schutzstrecke_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Massgebende_Neig_Schutzstrecke_TypeClass#getWert()
	 * @see #getMassgebende_Neig_Schutzstrecke_TypeClass()
	 * @generated
	 */
	EAttribute getMassgebende_Neig_Schutzstrecke_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Massgebende_Neigung_Mind_150_TypeClass <em>Massgebende Neigung Mind 150 Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Massgebende Neigung Mind 150 Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Massgebende_Neigung_Mind_150_TypeClass
	 * @generated
	 */
	EClass getMassgebende_Neigung_Mind_150_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Massgebende_Neigung_Mind_150_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Massgebende_Neigung_Mind_150_TypeClass#getWert()
	 * @see #getMassgebende_Neigung_Mind_150_TypeClass()
	 * @generated
	 */
	EAttribute getMassgebende_Neigung_Mind_150_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Massgebende_Neigung_Mind_Sig_150_TypeClass <em>Massgebende Neigung Mind Sig 150 Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Massgebende Neigung Mind Sig 150 Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Massgebende_Neigung_Mind_Sig_150_TypeClass
	 * @generated
	 */
	EClass getMassgebende_Neigung_Mind_Sig_150_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Massgebende_Neigung_Mind_Sig_150_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Massgebende_Neigung_Mind_Sig_150_TypeClass#getWert()
	 * @see #getMassgebende_Neigung_Mind_Sig_150_TypeClass()
	 * @generated
	 */
	EAttribute getMassgebende_Neigung_Mind_Sig_150_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Massgebende_Neigung_Mind_Sig_TypeClass <em>Massgebende Neigung Mind Sig Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Massgebende Neigung Mind Sig Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Massgebende_Neigung_Mind_Sig_TypeClass
	 * @generated
	 */
	EClass getMassgebende_Neigung_Mind_Sig_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Massgebende_Neigung_Mind_Sig_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Massgebende_Neigung_Mind_Sig_TypeClass#getWert()
	 * @see #getMassgebende_Neigung_Mind_Sig_TypeClass()
	 * @generated
	 */
	EAttribute getMassgebende_Neigung_Mind_Sig_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Mastschild_TypeClass <em>Mastschild Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Mastschild Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Mastschild_TypeClass
	 * @generated
	 */
	EClass getMastschild_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Mastschild_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Mastschild_TypeClass#getWert()
	 * @see #getMastschild_TypeClass()
	 * @generated
	 */
	EAttribute getMastschild_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Max_Leistung_TypeClass <em>Max Leistung Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Max Leistung Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Max_Leistung_TypeClass
	 * @generated
	 */
	EClass getMax_Leistung_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Max_Leistung_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Max_Leistung_TypeClass#getWert()
	 * @see #getMax_Leistung_TypeClass()
	 * @generated
	 */
	EAttribute getMax_Leistung_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Max_Unterbrechungszeit_TypeClass <em>Max Unterbrechungszeit Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Max Unterbrechungszeit Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Max_Unterbrechungszeit_TypeClass
	 * @generated
	 */
	EClass getMax_Unterbrechungszeit_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Max_Unterbrechungszeit_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Max_Unterbrechungszeit_TypeClass#getWert()
	 * @see #getMax_Unterbrechungszeit_TypeClass()
	 * @generated
	 */
	EAttribute getMax_Unterbrechungszeit_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Metallteil_AttributeGroup <em>Metallteil Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Metallteil Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Metallteil_AttributeGroup
	 * @generated
	 */
	EClass getMetallteil_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Metallteil_AttributeGroup#getMetallteilKategorie <em>Metallteil Kategorie</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Metallteil Kategorie</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Metallteil_AttributeGroup#getMetallteilKategorie()
	 * @see #getMetallteil_AttributeGroup()
	 * @generated
	 */
	EReference getMetallteil_AttributeGroup_MetallteilKategorie();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Metallteil_AttributeGroup#getMetallteilLaenge <em>Metallteil Laenge</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Metallteil Laenge</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Metallteil_AttributeGroup#getMetallteilLaenge()
	 * @see #getMetallteil_AttributeGroup()
	 * @generated
	 */
	EReference getMetallteil_AttributeGroup_MetallteilLaenge();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Metallteil_Kategorie_TypeClass <em>Metallteil Kategorie Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Metallteil Kategorie Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Metallteil_Kategorie_TypeClass
	 * @generated
	 */
	EClass getMetallteil_Kategorie_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Metallteil_Kategorie_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Metallteil_Kategorie_TypeClass#getWert()
	 * @see #getMetallteil_Kategorie_TypeClass()
	 * @generated
	 */
	EAttribute getMetallteil_Kategorie_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Metallteil_Laenge_TypeClass <em>Metallteil Laenge Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Metallteil Laenge Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Metallteil_Laenge_TypeClass
	 * @generated
	 */
	EClass getMetallteil_Laenge_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Metallteil_Laenge_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Metallteil_Laenge_TypeClass#getWert()
	 * @see #getMetallteil_Laenge_TypeClass()
	 * @generated
	 */
	EAttribute getMetallteil_Laenge_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Modulnummer_TypeClass <em>Modulnummer Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Modulnummer Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Modulnummer_TypeClass
	 * @generated
	 */
	EClass getModulnummer_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Modulnummer_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Modulnummer_TypeClass#getWert()
	 * @see #getModulnummer_TypeClass()
	 * @generated
	 */
	EAttribute getModulnummer_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Montageabweichung_TypeClass <em>Montageabweichung Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Montageabweichung Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Montageabweichung_TypeClass
	 * @generated
	 */
	EClass getMontageabweichung_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Montageabweichung_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Montageabweichung_TypeClass#getWert()
	 * @see #getMontageabweichung_TypeClass()
	 * @generated
	 */
	EAttribute getMontageabweichung_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Neigung_TypeClass <em>Neigung Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Neigung Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Neigung_TypeClass
	 * @generated
	 */
	EClass getNeigung_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Neigung_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Neigung_TypeClass#getWert()
	 * @see #getNeigung_TypeClass()
	 * @generated
	 */
	EAttribute getNeigung_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Nennleistung_TypeClass <em>Nennleistung Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Nennleistung Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Nennleistung_TypeClass
	 * @generated
	 */
	EClass getNennleistung_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Nennleistung_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Nennleistung_TypeClass#getWert()
	 * @see #getNennleistung_TypeClass()
	 * @generated
	 */
	EAttribute getNennleistung_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.NID_BG_TypeClass <em>NID BG Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>NID BG Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.NID_BG_TypeClass
	 * @generated
	 */
	EClass getNID_BG_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.NID_BG_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.NID_BG_TypeClass#getWert()
	 * @see #getNID_BG_TypeClass()
	 * @generated
	 */
	EAttribute getNID_BG_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.NID_C_TypeClass <em>NID CType Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>NID CType Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.NID_C_TypeClass
	 * @generated
	 */
	EClass getNID_C_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.NID_C_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.NID_C_TypeClass#getWert()
	 * @see #getNID_C_TypeClass()
	 * @generated
	 */
	EAttribute getNID_C_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.NID_RBC_TypeClass <em>NID RBC Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>NID RBC Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.NID_RBC_TypeClass
	 * @generated
	 */
	EClass getNID_RBC_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.NID_RBC_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.NID_RBC_TypeClass#getWert()
	 * @see #getNID_RBC_TypeClass()
	 * @generated
	 */
	EAttribute getNID_RBC_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.NID_STM_TypeClass <em>NID STM Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>NID STM Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.NID_STM_TypeClass
	 * @generated
	 */
	EClass getNID_STM_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.NID_STM_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.NID_STM_TypeClass#getWert()
	 * @see #getNID_STM_TypeClass()
	 * @generated
	 */
	EAttribute getNID_STM_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.NID_TSR_TypeClass <em>NID TSR Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>NID TSR Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.NID_TSR_TypeClass
	 * @generated
	 */
	EClass getNID_TSR_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.NID_TSR_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.NID_TSR_TypeClass#getWert()
	 * @see #getNID_TSR_TypeClass()
	 * @generated
	 */
	EAttribute getNID_TSR_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Nummer_Schaltkasten_TypeClass <em>Nummer Schaltkasten Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Nummer Schaltkasten Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Nummer_Schaltkasten_TypeClass
	 * @generated
	 */
	EClass getNummer_Schaltkasten_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Nummer_Schaltkasten_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Nummer_Schaltkasten_TypeClass#getWert()
	 * @see #getNummer_Schaltkasten_TypeClass()
	 * @generated
	 */
	EAttribute getNummer_Schaltkasten_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Oberstrombegrenzung_Gueterzug_TypeClass <em>Oberstrombegrenzung Gueterzug Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Oberstrombegrenzung Gueterzug Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Oberstrombegrenzung_Gueterzug_TypeClass
	 * @generated
	 */
	EClass getOberstrombegrenzung_Gueterzug_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Oberstrombegrenzung_Gueterzug_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Oberstrombegrenzung_Gueterzug_TypeClass#getWert()
	 * @see #getOberstrombegrenzung_Gueterzug_TypeClass()
	 * @generated
	 */
	EAttribute getOberstrombegrenzung_Gueterzug_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Oberstrombegrenzung_Reisezug_TypeClass <em>Oberstrombegrenzung Reisezug Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Oberstrombegrenzung Reisezug Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Oberstrombegrenzung_Reisezug_TypeClass
	 * @generated
	 */
	EClass getOberstrombegrenzung_Reisezug_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Oberstrombegrenzung_Reisezug_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Oberstrombegrenzung_Reisezug_TypeClass#getWert()
	 * @see #getOberstrombegrenzung_Reisezug_TypeClass()
	 * @generated
	 */
	EAttribute getOberstrombegrenzung_Reisezug_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Port_Nr_Ausg_Physisch_TypeClass <em>Port Nr Ausg Physisch Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Port Nr Ausg Physisch Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Port_Nr_Ausg_Physisch_TypeClass
	 * @generated
	 */
	EClass getPort_Nr_Ausg_Physisch_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Port_Nr_Ausg_Physisch_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Port_Nr_Ausg_Physisch_TypeClass#getWert()
	 * @see #getPort_Nr_Ausg_Physisch_TypeClass()
	 * @generated
	 */
	EAttribute getPort_Nr_Ausg_Physisch_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Position_Sonstige_TypeClass <em>Position Sonstige Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Position Sonstige Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Position_Sonstige_TypeClass
	 * @generated
	 */
	EClass getPosition_Sonstige_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Position_Sonstige_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Position_Sonstige_TypeClass#getWert()
	 * @see #getPosition_Sonstige_TypeClass()
	 * @generated
	 */
	EAttribute getPosition_Sonstige_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Position_TypeClass <em>Position Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Position Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Position_TypeClass
	 * @generated
	 */
	EClass getPosition_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Position_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Position_TypeClass#getWert()
	 * @see #getPosition_TypeClass()
	 * @generated
	 */
	EAttribute getPosition_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Primaerquelle_TypeClass <em>Primaerquelle Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Primaerquelle Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Primaerquelle_TypeClass
	 * @generated
	 */
	EClass getPrimaerquelle_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Primaerquelle_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Primaerquelle_TypeClass#getWert()
	 * @see #getPrimaerquelle_TypeClass()
	 * @generated
	 */
	EAttribute getPrimaerquelle_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Prioritaet_TypeClass <em>Prioritaet Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Prioritaet Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Prioritaet_TypeClass
	 * @generated
	 */
	EClass getPrioritaet_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Prioritaet_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Prioritaet_TypeClass#getWert()
	 * @see #getPrioritaet_TypeClass()
	 * @generated
	 */
	EAttribute getPrioritaet_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Prog_Datei_Einzel_AttributeGroup <em>Prog Datei Einzel Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Prog Datei Einzel Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Prog_Datei_Einzel_AttributeGroup
	 * @generated
	 */
	EClass getProg_Datei_Einzel_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Prog_Datei_Einzel_AttributeGroup#getAnzeigetext <em>Anzeigetext</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Anzeigetext</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Prog_Datei_Einzel_AttributeGroup#getAnzeigetext()
	 * @see #getProg_Datei_Einzel_AttributeGroup()
	 * @generated
	 */
	EReference getProg_Datei_Einzel_AttributeGroup_Anzeigetext();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Prog_Datei_Einzel_AttributeGroup#getEinzeldateiArt <em>Einzeldatei Art</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Einzeldatei Art</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Prog_Datei_Einzel_AttributeGroup#getEinzeldateiArt()
	 * @see #getProg_Datei_Einzel_AttributeGroup()
	 * @generated
	 */
	EReference getProg_Datei_Einzel_AttributeGroup_EinzeldateiArt();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Prog_Datei_Einzel_AttributeGroup#getIDBinaerdatei <em>ID Binaerdatei</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Binaerdatei</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Prog_Datei_Einzel_AttributeGroup#getIDBinaerdatei()
	 * @see #getProg_Datei_Einzel_AttributeGroup()
	 * @generated
	 */
	EReference getProg_Datei_Einzel_AttributeGroup_IDBinaerdatei();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Prog_Datei_Einzel_AttributeGroup#getKonfigurationskennung <em>Konfigurationskennung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Konfigurationskennung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Prog_Datei_Einzel_AttributeGroup#getKonfigurationskennung()
	 * @see #getProg_Datei_Einzel_AttributeGroup()
	 * @generated
	 */
	EReference getProg_Datei_Einzel_AttributeGroup_Konfigurationskennung();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Prog_Datei_Einzel_AttributeGroup#getPruefmerkmaleBinaerdatei <em>Pruefmerkmale Binaerdatei</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Pruefmerkmale Binaerdatei</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Prog_Datei_Einzel_AttributeGroup#getPruefmerkmaleBinaerdatei()
	 * @see #getProg_Datei_Einzel_AttributeGroup()
	 * @generated
	 */
	EReference getProg_Datei_Einzel_AttributeGroup_PruefmerkmaleBinaerdatei();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Prog_Datei_Einzel_AttributeGroup#getPruefmerkmaleProgKomponente <em>Pruefmerkmale Prog Komponente</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Pruefmerkmale Prog Komponente</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Prog_Datei_Einzel_AttributeGroup#getPruefmerkmaleProgKomponente()
	 * @see #getProg_Datei_Einzel_AttributeGroup()
	 * @generated
	 */
	EReference getProg_Datei_Einzel_AttributeGroup_PruefmerkmaleProgKomponente();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Prog_Datei_Einzel_AttributeGroup#getVerwendung <em>Verwendung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Verwendung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Prog_Datei_Einzel_AttributeGroup#getVerwendung()
	 * @see #getProg_Datei_Einzel_AttributeGroup()
	 * @generated
	 */
	EReference getProg_Datei_Einzel_AttributeGroup_Verwendung();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Prog_Datei_Gruppe <em>Prog Datei Gruppe</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Prog Datei Gruppe</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Prog_Datei_Gruppe
	 * @generated
	 */
	EClass getProg_Datei_Gruppe();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Prog_Datei_Gruppe#getIDKomponenteProgrammiert <em>ID Komponente Programmiert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>ID Komponente Programmiert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Prog_Datei_Gruppe#getIDKomponenteProgrammiert()
	 * @see #getProg_Datei_Gruppe()
	 * @generated
	 */
	EReference getProg_Datei_Gruppe_IDKomponenteProgrammiert();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Prog_Datei_Gruppe#getProgDateiEinzel <em>Prog Datei Einzel</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Prog Datei Einzel</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Prog_Datei_Gruppe#getProgDateiEinzel()
	 * @see #getProg_Datei_Gruppe()
	 * @generated
	 */
	EReference getProg_Datei_Gruppe_ProgDateiEinzel();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Projektierungsfall_TypeClass <em>Projektierungsfall Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Projektierungsfall Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Projektierungsfall_TypeClass
	 * @generated
	 */
	EClass getProjektierungsfall_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Projektierungsfall_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Projektierungsfall_TypeClass#getWert()
	 * @see #getProjektierungsfall_TypeClass()
	 * @generated
	 */
	EAttribute getProjektierungsfall_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.RBC <em>RBC</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>RBC</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.RBC
	 * @generated
	 */
	EClass getRBC();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.RBC#getETCSAdresse <em>ETCS Adresse</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>ETCS Adresse</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.RBC#getETCSAdresse()
	 * @see #getRBC()
	 * @generated
	 */
	EReference getRBC_ETCSAdresse();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.RBC#getIDESTWZentraleinheit <em>IDESTW Zentraleinheit</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>IDESTW Zentraleinheit</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.RBC#getIDESTWZentraleinheit()
	 * @see #getRBC()
	 * @generated
	 */
	EReference getRBC_IDESTWZentraleinheit();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.RBC#getIDUnterbringung <em>ID Unterbringung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Unterbringung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.RBC#getIDUnterbringung()
	 * @see #getRBC()
	 * @generated
	 */
	EReference getRBC_IDUnterbringung();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.RBC#getRBCAllg <em>RBC Allg</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>RBC Allg</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.RBC#getRBCAllg()
	 * @see #getRBC()
	 * @generated
	 */
	EReference getRBC_RBCAllg();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.RBC_Allg_AttributeGroup <em>RBC Allg Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>RBC Allg Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.RBC_Allg_AttributeGroup
	 * @generated
	 */
	EClass getRBC_Allg_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.RBC_Allg_AttributeGroup#getRBCETCSSystemVersion <em>RBCETCS System Version</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>RBCETCS System Version</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.RBC_Allg_AttributeGroup#getRBCETCSSystemVersion()
	 * @see #getRBC_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getRBC_Allg_AttributeGroup_RBCETCSSystemVersion();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.RBC_Allg_AttributeGroup#getRBCSRSVersion <em>RBCSRS Version</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>RBCSRS Version</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.RBC_Allg_AttributeGroup#getRBCSRSVersion()
	 * @see #getRBC_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getRBC_Allg_AttributeGroup_RBCSRSVersion();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.RBC_Allg_AttributeGroup#getRufnummer <em>Rufnummer</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Rufnummer</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.RBC_Allg_AttributeGroup#getRufnummer()
	 * @see #getRBC_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getRBC_Allg_AttributeGroup_Rufnummer();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.RBC_ETCS_System_Version_TypeClass <em>RBC ETCS System Version Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>RBC ETCS System Version Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.RBC_ETCS_System_Version_TypeClass
	 * @generated
	 */
	EClass getRBC_ETCS_System_Version_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.RBC_ETCS_System_Version_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.RBC_ETCS_System_Version_TypeClass#getWert()
	 * @see #getRBC_ETCS_System_Version_TypeClass()
	 * @generated
	 */
	EAttribute getRBC_ETCS_System_Version_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.RBC_SRS_Version_TypeClass <em>RBC SRS Version Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>RBC SRS Version Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.RBC_SRS_Version_TypeClass
	 * @generated
	 */
	EClass getRBC_SRS_Version_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.RBC_SRS_Version_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.RBC_SRS_Version_TypeClass#getWert()
	 * @see #getRBC_SRS_Version_TypeClass()
	 * @generated
	 */
	EAttribute getRBC_SRS_Version_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Rekursion_2_Nr_TypeClass <em>Rekursion 2Nr Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Rekursion 2Nr Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Rekursion_2_Nr_TypeClass
	 * @generated
	 */
	EClass getRekursion_2_Nr_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Rekursion_2_Nr_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Rekursion_2_Nr_TypeClass#getWert()
	 * @see #getRekursion_2_Nr_TypeClass()
	 * @generated
	 */
	EAttribute getRekursion_2_Nr_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Rekursion_Nr_TypeClass <em>Rekursion Nr Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Rekursion Nr Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Rekursion_Nr_TypeClass
	 * @generated
	 */
	EClass getRekursion_Nr_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Rekursion_Nr_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Rekursion_Nr_TypeClass#getWert()
	 * @see #getRekursion_Nr_TypeClass()
	 * @generated
	 */
	EAttribute getRekursion_Nr_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Rufnummer_TypeClass <em>Rufnummer Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Rufnummer Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Rufnummer_TypeClass
	 * @generated
	 */
	EClass getRufnummer_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Rufnummer_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Rufnummer_TypeClass#getWert()
	 * @see #getRufnummer_TypeClass()
	 * @generated
	 */
	EAttribute getRufnummer_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.SBE_TypeClass <em>SBE Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>SBE Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.SBE_TypeClass
	 * @generated
	 */
	EClass getSBE_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.SBE_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.SBE_TypeClass#getWert()
	 * @see #getSBE_TypeClass()
	 * @generated
	 */
	EAttribute getSBE_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Schutzstrecke_Erforderlich_TypeClass <em>Schutzstrecke Erforderlich Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Schutzstrecke Erforderlich Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Schutzstrecke_Erforderlich_TypeClass
	 * @generated
	 */
	EClass getSchutzstrecke_Erforderlich_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Schutzstrecke_Erforderlich_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Schutzstrecke_Erforderlich_TypeClass#getWert()
	 * @see #getSchutzstrecke_Erforderlich_TypeClass()
	 * @generated
	 */
	EAttribute getSchutzstrecke_Erforderlich_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Schutzstrecke_Vorhanden_TypeClass <em>Schutzstrecke Vorhanden Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Schutzstrecke Vorhanden Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Schutzstrecke_Vorhanden_TypeClass
	 * @generated
	 */
	EClass getSchutzstrecke_Vorhanden_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Schutzstrecke_Vorhanden_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Schutzstrecke_Vorhanden_TypeClass#getWert()
	 * @see #getSchutzstrecke_Vorhanden_TypeClass()
	 * @generated
	 */
	EAttribute getSchutzstrecke_Vorhanden_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Solllaenge_Mind_Sig_150_TypeClass <em>Solllaenge Mind Sig 150 Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Solllaenge Mind Sig 150 Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Solllaenge_Mind_Sig_150_TypeClass
	 * @generated
	 */
	EClass getSolllaenge_Mind_Sig_150_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Solllaenge_Mind_Sig_150_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Solllaenge_Mind_Sig_150_TypeClass#getWert()
	 * @see #getSolllaenge_Mind_Sig_150_TypeClass()
	 * @generated
	 */
	EAttribute getSolllaenge_Mind_Sig_150_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Solllaenge_Mind_Sig_TypeClass <em>Solllaenge Mind Sig Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Solllaenge Mind Sig Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Solllaenge_Mind_Sig_TypeClass
	 * @generated
	 */
	EClass getSolllaenge_Mind_Sig_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Solllaenge_Mind_Sig_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Solllaenge_Mind_Sig_TypeClass#getWert()
	 * @see #getSolllaenge_Mind_Sig_TypeClass()
	 * @generated
	 */
	EAttribute getSolllaenge_Mind_Sig_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Sonstige_Standortangabe_TypeClass <em>Sonstige Standortangabe Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Sonstige Standortangabe Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Sonstige_Standortangabe_TypeClass
	 * @generated
	 */
	EClass getSonstige_Standortangabe_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Sonstige_Standortangabe_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Sonstige_Standortangabe_TypeClass#getWert()
	 * @see #getSonstige_Standortangabe_TypeClass()
	 * @generated
	 */
	EAttribute getSonstige_Standortangabe_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Spannung_Art_TypeClass <em>Spannung Art Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Spannung Art Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Spannung_Art_TypeClass
	 * @generated
	 */
	EClass getSpannung_Art_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Spannung_Art_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Spannung_Art_TypeClass#getWert()
	 * @see #getSpannung_Art_TypeClass()
	 * @generated
	 */
	EAttribute getSpannung_Art_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Spannung_Toleranz_Obere_TypeClass <em>Spannung Toleranz Obere Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Spannung Toleranz Obere Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Spannung_Toleranz_Obere_TypeClass
	 * @generated
	 */
	EClass getSpannung_Toleranz_Obere_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Spannung_Toleranz_Obere_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Spannung_Toleranz_Obere_TypeClass#getWert()
	 * @see #getSpannung_Toleranz_Obere_TypeClass()
	 * @generated
	 */
	EAttribute getSpannung_Toleranz_Obere_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Spannung_Toleranz_Untere_TypeClass <em>Spannung Toleranz Untere Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Spannung Toleranz Untere Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Spannung_Toleranz_Untere_TypeClass
	 * @generated
	 */
	EClass getSpannung_Toleranz_Untere_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Spannung_Toleranz_Untere_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Spannung_Toleranz_Untere_TypeClass#getWert()
	 * @see #getSpannung_Toleranz_Untere_TypeClass()
	 * @generated
	 */
	EAttribute getSpannung_Toleranz_Untere_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.SRS_Version_TypeClass <em>SRS Version Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>SRS Version Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.SRS_Version_TypeClass
	 * @generated
	 */
	EClass getSRS_Version_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.SRS_Version_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.SRS_Version_TypeClass#getWert()
	 * @see #getSRS_Version_TypeClass()
	 * @generated
	 */
	EAttribute getSRS_Version_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Standortangabe_Balisenschild_TypeClass <em>Standortangabe Balisenschild Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Standortangabe Balisenschild Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Standortangabe_Balisenschild_TypeClass
	 * @generated
	 */
	EClass getStandortangabe_Balisenschild_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Standortangabe_Balisenschild_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Standortangabe_Balisenschild_TypeClass#getWert()
	 * @see #getStandortangabe_Balisenschild_TypeClass()
	 * @generated
	 */
	EAttribute getStandortangabe_Balisenschild_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Start_W_Element_AttributeGroup <em>Start WElement Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Start WElement Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Start_W_Element_AttributeGroup
	 * @generated
	 */
	EClass getStart_W_Element_AttributeGroup();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Start_W_Element_AttributeGroup#getIDStartWElement <em>ID Start WElement</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Start WElement</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Start_W_Element_AttributeGroup#getIDStartWElement()
	 * @see #getStart_W_Element_AttributeGroup()
	 * @generated
	 */
	EReference getStart_W_Element_AttributeGroup_IDStartWElement();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Start_W_Element_AttributeGroup#getWAnschluss <em>WAnschluss</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>WAnschluss</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Start_W_Element_AttributeGroup#getWAnschluss()
	 * @see #getStart_W_Element_AttributeGroup()
	 * @generated
	 */
	EReference getStart_W_Element_AttributeGroup_WAnschluss();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.STZ_TypeClass <em>STZ Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>STZ Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.STZ_TypeClass
	 * @generated
	 */
	EClass getSTZ_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.STZ_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.STZ_TypeClass#getWert()
	 * @see #getSTZ_TypeClass()
	 * @generated
	 */
	EAttribute getSTZ_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.System_Vor_Grenze_Besonders_TypeClass <em>System Vor Grenze Besonders Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>System Vor Grenze Besonders Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.System_Vor_Grenze_Besonders_TypeClass
	 * @generated
	 */
	EClass getSystem_Vor_Grenze_Besonders_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.System_Vor_Grenze_Besonders_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.System_Vor_Grenze_Besonders_TypeClass#getWert()
	 * @see #getSystem_Vor_Grenze_Besonders_TypeClass()
	 * @generated
	 */
	EAttribute getSystem_Vor_Grenze_Besonders_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.System_Vor_Grenze_TypeClass <em>System Vor Grenze Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>System Vor Grenze Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.System_Vor_Grenze_TypeClass
	 * @generated
	 */
	EClass getSystem_Vor_Grenze_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.System_Vor_Grenze_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.System_Vor_Grenze_TypeClass#getWert()
	 * @see #getSystem_Vor_Grenze_TypeClass()
	 * @generated
	 */
	EAttribute getSystem_Vor_Grenze_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.TBV_Meldepunkt_TypeClass <em>TBV Meldepunkt Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>TBV Meldepunkt Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.TBV_Meldepunkt_TypeClass
	 * @generated
	 */
	EClass getTBV_Meldepunkt_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.TBV_Meldepunkt_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.TBV_Meldepunkt_TypeClass#getWert()
	 * @see #getTBV_Meldepunkt_TypeClass()
	 * @generated
	 */
	EAttribute getTBV_Meldepunkt_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.TBV_Tunnelbereich_Laenge_TypeClass <em>TBV Tunnelbereich Laenge Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>TBV Tunnelbereich Laenge Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.TBV_Tunnelbereich_Laenge_TypeClass
	 * @generated
	 */
	EClass getTBV_Tunnelbereich_Laenge_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.TBV_Tunnelbereich_Laenge_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.TBV_Tunnelbereich_Laenge_TypeClass#getWert()
	 * @see #getTBV_Tunnelbereich_Laenge_TypeClass()
	 * @generated
	 */
	EAttribute getTBV_Tunnelbereich_Laenge_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.TBV_Tunnelsignal_TypeClass <em>TBV Tunnelsignal Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>TBV Tunnelsignal Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.TBV_Tunnelsignal_TypeClass
	 * @generated
	 */
	EClass getTBV_Tunnelsignal_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.TBV_Tunnelsignal_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.TBV_Tunnelsignal_TypeClass#getWert()
	 * @see #getTBV_Tunnelsignal_TypeClass()
	 * @generated
	 */
	EAttribute getTBV_Tunnelsignal_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Telegramm_Index_TypeClass <em>Telegramm Index Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Telegramm Index Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Telegramm_Index_TypeClass
	 * @generated
	 */
	EClass getTelegramm_Index_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Telegramm_Index_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Telegramm_Index_TypeClass#getWert()
	 * @see #getTelegramm_Index_TypeClass()
	 * @generated
	 */
	EAttribute getTelegramm_Index_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Telegrammnummer_TypeClass <em>Telegrammnummer Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Telegrammnummer Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Telegrammnummer_TypeClass
	 * @generated
	 */
	EClass getTelegrammnummer_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Telegrammnummer_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Telegrammnummer_TypeClass#getWert()
	 * @see #getTelegrammnummer_TypeClass()
	 * @generated
	 */
	EAttribute getTelegrammnummer_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Text_Bedingung_TypeClass <em>Text Bedingung Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Text Bedingung Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Text_Bedingung_TypeClass
	 * @generated
	 */
	EClass getText_Bedingung_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Text_Bedingung_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Text_Bedingung_TypeClass#getWert()
	 * @see #getText_Bedingung_TypeClass()
	 * @generated
	 */
	EAttribute getText_Bedingung_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Textmeldung_TypeClass <em>Textmeldung Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Textmeldung Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Textmeldung_TypeClass
	 * @generated
	 */
	EClass getTextmeldung_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Textmeldung_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Textmeldung_TypeClass#getWert()
	 * @see #getTextmeldung_TypeClass()
	 * @generated
	 */
	EAttribute getTextmeldung_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Ueberbrueckung_EV_Unterbrechung_TypeClass <em>Ueberbrueckung EV Unterbrechung Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Ueberbrueckung EV Unterbrechung Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Ueberbrueckung_EV_Unterbrechung_TypeClass
	 * @generated
	 */
	EClass getUeberbrueckung_EV_Unterbrechung_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Ueberbrueckung_EV_Unterbrechung_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Ueberbrueckung_EV_Unterbrechung_TypeClass#getWert()
	 * @see #getUeberbrueckung_EV_Unterbrechung_TypeClass()
	 * @generated
	 */
	EAttribute getUeberbrueckung_EV_Unterbrechung_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Ueberwachung_Laenge_TypeClass <em>Ueberwachung Laenge Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Ueberwachung Laenge Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Ueberwachung_Laenge_TypeClass
	 * @generated
	 */
	EClass getUeberwachung_Laenge_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Ueberwachung_Laenge_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Ueberwachung_Laenge_TypeClass#getWert()
	 * @see #getUeberwachung_Laenge_TypeClass()
	 * @generated
	 */
	EAttribute getUeberwachung_Laenge_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Umfahrstrasse_TypeClass <em>Umfahrstrasse Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Umfahrstrasse Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Umfahrstrasse_TypeClass
	 * @generated
	 */
	EClass getUmfahrstrasse_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Umfahrstrasse_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Umfahrstrasse_TypeClass#getWert()
	 * @see #getUmfahrstrasse_TypeClass()
	 * @generated
	 */
	EAttribute getUmfahrstrasse_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Untergruppen_ID_TypeClass <em>Untergruppen ID Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Untergruppen ID Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Untergruppen_ID_TypeClass
	 * @generated
	 */
	EClass getUntergruppen_ID_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Untergruppen_ID_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Untergruppen_ID_TypeClass#getWert()
	 * @see #getUntergruppen_ID_TypeClass()
	 * @generated
	 */
	EAttribute getUntergruppen_ID_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.V_Befehl_R_TypeClass <em>VBefehl RType Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>VBefehl RType Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.V_Befehl_R_TypeClass
	 * @generated
	 */
	EClass getV_Befehl_R_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.V_Befehl_R_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.V_Befehl_R_TypeClass#getWert()
	 * @see #getV_Befehl_R_TypeClass()
	 * @generated
	 */
	EAttribute getV_Befehl_R_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.V_Befehl_Z_TypeClass <em>VBefehl ZType Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>VBefehl ZType Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.V_Befehl_Z_TypeClass
	 * @generated
	 */
	EClass getV_Befehl_Z_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.V_Befehl_Z_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.V_Befehl_Z_TypeClass#getWert()
	 * @see #getV_Befehl_Z_TypeClass()
	 * @generated
	 */
	EAttribute getV_Befehl_Z_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.V_Frei_TypeClass <em>VFrei Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>VFrei Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.V_Frei_TypeClass
	 * @generated
	 */
	EClass getV_Frei_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.V_Frei_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.V_Frei_TypeClass#getWert()
	 * @see #getV_Frei_TypeClass()
	 * @generated
	 */
	EAttribute getV_Frei_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.V_Start_TypeClass <em>VStart Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>VStart Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.V_Start_TypeClass
	 * @generated
	 */
	EClass getV_Start_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.V_Start_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.V_Start_TypeClass#getWert()
	 * @see #getV_Start_TypeClass()
	 * @generated
	 */
	EAttribute getV_Start_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.V_Ziel_TypeClass <em>VZiel Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>VZiel Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.V_Ziel_TypeClass
	 * @generated
	 */
	EClass getV_Ziel_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.V_Ziel_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.V_Ziel_TypeClass#getWert()
	 * @see #getV_Ziel_TypeClass()
	 * @generated
	 */
	EAttribute getV_Ziel_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.V_Zul_Strecke_TypeClass <em>VZul Strecke Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>VZul Strecke Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.V_Zul_Strecke_TypeClass
	 * @generated
	 */
	EClass getV_Zul_Strecke_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.V_Zul_Strecke_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.V_Zul_Strecke_TypeClass#getWert()
	 * @see #getV_Zul_Strecke_TypeClass()
	 * @generated
	 */
	EAttribute getV_Zul_Strecke_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.VBC_Kennung_TypeClass <em>VBC Kennung Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>VBC Kennung Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.VBC_Kennung_TypeClass
	 * @generated
	 */
	EClass getVBC_Kennung_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.VBC_Kennung_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.VBC_Kennung_TypeClass#getWert()
	 * @see #getVBC_Kennung_TypeClass()
	 * @generated
	 */
	EAttribute getVBC_Kennung_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.VBC_NID_C_TypeClass <em>VBC NID CType Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>VBC NID CType Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.VBC_NID_C_TypeClass
	 * @generated
	 */
	EClass getVBC_NID_C_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.VBC_NID_C_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.VBC_NID_C_TypeClass#getWert()
	 * @see #getVBC_NID_C_TypeClass()
	 * @generated
	 */
	EAttribute getVBC_NID_C_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.VBC_Setzen_TypeClass <em>VBC Setzen Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>VBC Setzen Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.VBC_Setzen_TypeClass
	 * @generated
	 */
	EClass getVBC_Setzen_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.VBC_Setzen_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.VBC_Setzen_TypeClass#getWert()
	 * @see #getVBC_Setzen_TypeClass()
	 * @generated
	 */
	EAttribute getVBC_Setzen_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.VBC_Timer_TypeClass <em>VBC Timer Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>VBC Timer Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.VBC_Timer_TypeClass
	 * @generated
	 */
	EClass getVBC_Timer_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.VBC_Timer_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.VBC_Timer_TypeClass#getWert()
	 * @see #getVBC_Timer_TypeClass()
	 * @generated
	 */
	EAttribute getVBC_Timer_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Verbot_Anhalten_TypeClass <em>Verbot Anhalten Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Verbot Anhalten Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Verbot_Anhalten_TypeClass
	 * @generated
	 */
	EClass getVerbot_Anhalten_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Verbot_Anhalten_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Verbot_Anhalten_TypeClass#getWert()
	 * @see #getVerbot_Anhalten_TypeClass()
	 * @generated
	 */
	EAttribute getVerbot_Anhalten_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Verbot_Regenerative_Bremse_TypeClass <em>Verbot Regenerative Bremse Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Verbot Regenerative Bremse Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Verbot_Regenerative_Bremse_TypeClass
	 * @generated
	 */
	EClass getVerbot_Regenerative_Bremse_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Verbot_Regenerative_Bremse_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Verbot_Regenerative_Bremse_TypeClass#getWert()
	 * @see #getVerbot_Regenerative_Bremse_TypeClass()
	 * @generated
	 */
	EAttribute getVerbot_Regenerative_Bremse_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Verbot_WB_Art_TypeClass <em>Verbot WB Art Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Verbot WB Art Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Verbot_WB_Art_TypeClass
	 * @generated
	 */
	EClass getVerbot_WB_Art_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Verbot_WB_Art_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Verbot_WB_Art_TypeClass#getWert()
	 * @see #getVerbot_WB_Art_TypeClass()
	 * @generated
	 */
	EAttribute getVerbot_WB_Art_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Verkuerzter_Abstand_TypeClass <em>Verkuerzter Abstand Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Verkuerzter Abstand Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Verkuerzter_Abstand_TypeClass
	 * @generated
	 */
	EClass getVerkuerzter_Abstand_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Verkuerzter_Abstand_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Verkuerzter_Abstand_TypeClass#getWert()
	 * @see #getVerkuerzter_Abstand_TypeClass()
	 * @generated
	 */
	EAttribute getVerkuerzter_Abstand_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Verwendung_Als_Rueckfall_TypeClass <em>Verwendung Als Rueckfall Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Verwendung Als Rueckfall Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Verwendung_Als_Rueckfall_TypeClass
	 * @generated
	 */
	EClass getVerwendung_Als_Rueckfall_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Verwendung_Als_Rueckfall_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Verwendung_Als_Rueckfall_TypeClass#getWert()
	 * @see #getVerwendung_Als_Rueckfall_TypeClass()
	 * @generated
	 */
	EAttribute getVerwendung_Als_Rueckfall_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Verwendung_Hilfe_TypeClass <em>Verwendung Hilfe Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Verwendung Hilfe Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Verwendung_Hilfe_TypeClass
	 * @generated
	 */
	EClass getVerwendung_Hilfe_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Verwendung_Hilfe_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Verwendung_Hilfe_TypeClass#getWert()
	 * @see #getVerwendung_Hilfe_TypeClass()
	 * @generated
	 */
	EAttribute getVerwendung_Hilfe_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Verwendung_TypeClass <em>Verwendung Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Verwendung Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Verwendung_TypeClass
	 * @generated
	 */
	EClass getVerwendung_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Verwendung_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Verwendung_TypeClass#getWert()
	 * @see #getVerwendung_TypeClass()
	 * @generated
	 */
	EAttribute getVerwendung_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.VGR_1_TypeClass <em>VGR 1Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>VGR 1Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.VGR_1_TypeClass
	 * @generated
	 */
	EClass getVGR_1_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.VGR_1_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.VGR_1_TypeClass#getWert()
	 * @see #getVGR_1_TypeClass()
	 * @generated
	 */
	EAttribute getVGR_1_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.VGR_2_TypeClass <em>VGR 2Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>VGR 2Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.VGR_2_TypeClass
	 * @generated
	 */
	EClass getVGR_2_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.VGR_2_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.VGR_2_TypeClass#getWert()
	 * @see #getVGR_2_TypeClass()
	 * @generated
	 */
	EAttribute getVGR_2_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.VGR_TypeClass <em>VGR Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>VGR Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.VGR_TypeClass
	 * @generated
	 */
	EClass getVGR_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.VGR_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.VGR_TypeClass#getWert()
	 * @see #getVGR_TypeClass()
	 * @generated
	 */
	EAttribute getVGR_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.VLA_TypeClass <em>VLA Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>VLA Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.VLA_TypeClass
	 * @generated
	 */
	EClass getVLA_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.VLA_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.VLA_TypeClass#getWert()
	 * @see #getVLA_TypeClass()
	 * @generated
	 */
	EAttribute getVLA_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Vorsignalabstand_TypeClass <em>Vorsignalabstand Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Vorsignalabstand Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Vorsignalabstand_TypeClass
	 * @generated
	 */
	EClass getVorsignalabstand_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Vorsignalabstand_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Vorsignalabstand_TypeClass#getWert()
	 * @see #getVorsignalabstand_TypeClass()
	 * @generated
	 */
	EAttribute getVorsignalabstand_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.VZ_TypeClass <em>VZ Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>VZ Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.VZ_TypeClass
	 * @generated
	 */
	EClass getVZ_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.VZ_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.VZ_TypeClass#getWert()
	 * @see #getVZ_TypeClass()
	 * @generated
	 */
	EAttribute getVZ_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.W_Anschluss_TypeClass <em>WAnschluss Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>WAnschluss Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.W_Anschluss_TypeClass
	 * @generated
	 */
	EClass getW_Anschluss_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.W_Anschluss_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.W_Anschluss_TypeClass#getWert()
	 * @see #getW_Anschluss_TypeClass()
	 * @generated
	 */
	EAttribute getW_Anschluss_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.W_Lage_TypeClass <em>WLage Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>WLage Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.W_Lage_TypeClass
	 * @generated
	 */
	EClass getW_Lage_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.W_Lage_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.W_Lage_TypeClass#getWert()
	 * @see #getW_Lage_TypeClass()
	 * @generated
	 */
	EAttribute getW_Lage_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Wirkrichtung_In_Datenpunkt_TypeClass <em>Wirkrichtung In Datenpunkt Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Wirkrichtung In Datenpunkt Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Wirkrichtung_In_Datenpunkt_TypeClass
	 * @generated
	 */
	EClass getWirkrichtung_In_Datenpunkt_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Wirkrichtung_In_Datenpunkt_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Wirkrichtung_In_Datenpunkt_TypeClass#getWert()
	 * @see #getWirkrichtung_In_Datenpunkt_TypeClass()
	 * @generated
	 */
	EAttribute getWirkrichtung_In_Datenpunkt_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Wirksam_TypeClass <em>Wirksam Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Wirksam Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Wirksam_TypeClass
	 * @generated
	 */
	EClass getWirksam_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Wirksam_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Wirksam_TypeClass#getWert()
	 * @see #getWirksam_TypeClass()
	 * @generated
	 */
	EAttribute getWirksam_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZBS_La_Bereich_Distanz_TypeClass <em>ZBS La Bereich Distanz Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZBS La Bereich Distanz Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZBS_La_Bereich_Distanz_TypeClass
	 * @generated
	 */
	EClass getZBS_La_Bereich_Distanz_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZBS_La_Bereich_Distanz_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZBS_La_Bereich_Distanz_TypeClass#getWert()
	 * @see #getZBS_La_Bereich_Distanz_TypeClass()
	 * @generated
	 */
	EAttribute getZBS_La_Bereich_Distanz_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZBS_La_Bereich_Geschwindigkeit_TypeClass <em>ZBS La Bereich Geschwindigkeit Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZBS La Bereich Geschwindigkeit Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZBS_La_Bereich_Geschwindigkeit_TypeClass
	 * @generated
	 */
	EClass getZBS_La_Bereich_Geschwindigkeit_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZBS_La_Bereich_Geschwindigkeit_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZBS_La_Bereich_Geschwindigkeit_TypeClass#getWert()
	 * @see #getZBS_La_Bereich_Geschwindigkeit_TypeClass()
	 * @generated
	 */
	EAttribute getZBS_La_Bereich_Geschwindigkeit_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZBS_La_Bereich_Laenge_TypeClass <em>ZBS La Bereich Laenge Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZBS La Bereich Laenge Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZBS_La_Bereich_Laenge_TypeClass
	 * @generated
	 */
	EClass getZBS_La_Bereich_Laenge_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZBS_La_Bereich_Laenge_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZBS_La_Bereich_Laenge_TypeClass#getWert()
	 * @see #getZBS_La_Bereich_Laenge_TypeClass()
	 * @generated
	 */
	EAttribute getZBS_La_Bereich_Laenge_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZBS_La_Bereich_Neigung_TypeClass <em>ZBS La Bereich Neigung Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZBS La Bereich Neigung Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZBS_La_Bereich_Neigung_TypeClass
	 * @generated
	 */
	EClass getZBS_La_Bereich_Neigung_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZBS_La_Bereich_Neigung_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZBS_La_Bereich_Neigung_TypeClass#getWert()
	 * @see #getZBS_La_Bereich_Neigung_TypeClass()
	 * @generated
	 */
	EAttribute getZBS_La_Bereich_Neigung_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZBS_Merkmale_AttributeGroup <em>ZBS Merkmale Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZBS Merkmale Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZBS_Merkmale_AttributeGroup
	 * @generated
	 */
	EClass getZBS_Merkmale_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZBS_Merkmale_AttributeGroup#getDPLinkArt <em>DP Link Art</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>DP Link Art</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZBS_Merkmale_AttributeGroup#getDPLinkArt()
	 * @see #getZBS_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getZBS_Merkmale_AttributeGroup_DPLinkArt();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZBS_Merkmale_AttributeGroup#getZBSReaktion <em>ZBS Reaktion</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>ZBS Reaktion</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZBS_Merkmale_AttributeGroup#getZBSReaktion()
	 * @see #getZBS_Merkmale_AttributeGroup()
	 * @generated
	 */
	EReference getZBS_Merkmale_AttributeGroup_ZBSReaktion();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZBS_Reaktion_TypeClass <em>ZBS Reaktion Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZBS Reaktion Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZBS_Reaktion_TypeClass
	 * @generated
	 */
	EClass getZBS_Reaktion_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZBS_Reaktion_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZBS_Reaktion_TypeClass#getWert()
	 * @see #getZBS_Reaktion_TypeClass()
	 * @generated
	 */
	EAttribute getZBS_Reaktion_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZBS_Schutzstrecke <em>ZBS Schutzstrecke</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZBS Schutzstrecke</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZBS_Schutzstrecke
	 * @generated
	 */
	EClass getZBS_Schutzstrecke();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZBS_Schutzstrecke#getIDFstrDWeg <em>ID Fstr DWeg</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Fstr DWeg</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZBS_Schutzstrecke#getIDFstrDWeg()
	 * @see #getZBS_Schutzstrecke()
	 * @generated
	 */
	EReference getZBS_Schutzstrecke_IDFstrDWeg();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZBS_Schutzstrecke#getZBSSchutzstreckeAllg <em>ZBS Schutzstrecke Allg</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>ZBS Schutzstrecke Allg</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZBS_Schutzstrecke#getZBSSchutzstreckeAllg()
	 * @see #getZBS_Schutzstrecke()
	 * @generated
	 */
	EReference getZBS_Schutzstrecke_ZBSSchutzstreckeAllg();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZBS_Schutzstrecke_Allg_AttributeGroup <em>ZBS Schutzstrecke Allg Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZBS Schutzstrecke Allg Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZBS_Schutzstrecke_Allg_AttributeGroup
	 * @generated
	 */
	EClass getZBS_Schutzstrecke_Allg_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZBS_Schutzstrecke_Allg_AttributeGroup#getLaengeSollMind150 <em>Laenge Soll Mind150</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Laenge Soll Mind150</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZBS_Schutzstrecke_Allg_AttributeGroup#getLaengeSollMind150()
	 * @see #getZBS_Schutzstrecke_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getZBS_Schutzstrecke_Allg_AttributeGroup_LaengeSollMind150();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZBS_Schutzstrecke_Allg_AttributeGroup#getMassgebendeNeigungMind150 <em>Massgebende Neigung Mind150</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Massgebende Neigung Mind150</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZBS_Schutzstrecke_Allg_AttributeGroup#getMassgebendeNeigungMind150()
	 * @see #getZBS_Schutzstrecke_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getZBS_Schutzstrecke_Allg_AttributeGroup_MassgebendeNeigungMind150();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZBS_Schutzstrecke_Allg_AttributeGroup#getVFrei <em>VFrei</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>VFrei</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZBS_Schutzstrecke_Allg_AttributeGroup#getVFrei()
	 * @see #getZBS_Schutzstrecke_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getZBS_Schutzstrecke_Allg_AttributeGroup_VFrei();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZBS_Signal <em>ZBS Signal</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZBS Signal</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZBS_Signal
	 * @generated
	 */
	EClass getZBS_Signal();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZBS_Signal#getIDSignal <em>ID Signal</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Signal</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZBS_Signal#getIDSignal()
	 * @see #getZBS_Signal()
	 * @generated
	 */
	EReference getZBS_Signal_IDSignal();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZBS_Signal#getZBSSignalSignalabstand <em>ZBS Signal Signalabstand</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>ZBS Signal Signalabstand</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZBS_Signal#getZBSSignalSignalabstand()
	 * @see #getZBS_Signal()
	 * @generated
	 */
	EReference getZBS_Signal_ZBSSignalSignalabstand();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZBS_Signal_Signalabstand_AttributeGroup <em>ZBS Signal Signalabstand Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZBS Signal Signalabstand Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZBS_Signal_Signalabstand_AttributeGroup
	 * @generated
	 */
	EClass getZBS_Signal_Signalabstand_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZBS_Signal_Signalabstand_AttributeGroup#getAbstandReduziert <em>Abstand Reduziert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Abstand Reduziert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZBS_Signal_Signalabstand_AttributeGroup#getAbstandReduziert()
	 * @see #getZBS_Signal_Signalabstand_AttributeGroup()
	 * @generated
	 */
	EReference getZBS_Signal_Signalabstand_AttributeGroup_AbstandReduziert();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZBS_Signal_Signalabstand_AttributeGroup#getMassgebendeNeigungMindSig <em>Massgebende Neigung Mind Sig</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Massgebende Neigung Mind Sig</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZBS_Signal_Signalabstand_AttributeGroup#getMassgebendeNeigungMindSig()
	 * @see #getZBS_Signal_Signalabstand_AttributeGroup()
	 * @generated
	 */
	EReference getZBS_Signal_Signalabstand_AttributeGroup_MassgebendeNeigungMindSig();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZBS_Signal_Signalabstand_AttributeGroup#getMassgebendeNeigungMindSig150 <em>Massgebende Neigung Mind Sig150</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Massgebende Neigung Mind Sig150</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZBS_Signal_Signalabstand_AttributeGroup#getMassgebendeNeigungMindSig150()
	 * @see #getZBS_Signal_Signalabstand_AttributeGroup()
	 * @generated
	 */
	EReference getZBS_Signal_Signalabstand_AttributeGroup_MassgebendeNeigungMindSig150();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZBS_Signal_Signalabstand_AttributeGroup#getSolllaengeMindSig <em>Solllaenge Mind Sig</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Solllaenge Mind Sig</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZBS_Signal_Signalabstand_AttributeGroup#getSolllaengeMindSig()
	 * @see #getZBS_Signal_Signalabstand_AttributeGroup()
	 * @generated
	 */
	EReference getZBS_Signal_Signalabstand_AttributeGroup_SolllaengeMindSig();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZBS_Signal_Signalabstand_AttributeGroup#getSolllaengeMindSig150 <em>Solllaenge Mind Sig150</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Solllaenge Mind Sig150</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZBS_Signal_Signalabstand_AttributeGroup#getSolllaengeMindSig150()
	 * @see #getZBS_Signal_Signalabstand_AttributeGroup()
	 * @generated
	 */
	EReference getZBS_Signal_Signalabstand_AttributeGroup_SolllaengeMindSig150();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Ziel_DP_Ausrichtung_TypeClass <em>Ziel DP Ausrichtung Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Ziel DP Ausrichtung Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Ziel_DP_Ausrichtung_TypeClass
	 * @generated
	 */
	EClass getZiel_DP_Ausrichtung_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Ziel_DP_Ausrichtung_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Ziel_DP_Ausrichtung_TypeClass#getWert()
	 * @see #getZiel_DP_Ausrichtung_TypeClass()
	 * @generated
	 */
	EAttribute getZiel_DP_Ausrichtung_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Ziel_Ist_Fahrwegende_TypeClass <em>Ziel Ist Fahrwegende Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Ziel Ist Fahrwegende Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Ziel_Ist_Fahrwegende_TypeClass
	 * @generated
	 */
	EClass getZiel_Ist_Fahrwegende_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Ziel_Ist_Fahrwegende_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Ziel_Ist_Fahrwegende_TypeClass#getWert()
	 * @see #getZiel_Ist_Fahrwegende_TypeClass()
	 * @generated
	 */
	EAttribute getZiel_Ist_Fahrwegende_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Ziel_W_Element_AttributeGroup <em>Ziel WElement Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Ziel WElement Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Ziel_W_Element_AttributeGroup
	 * @generated
	 */
	EClass getZiel_W_Element_AttributeGroup();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Ziel_W_Element_AttributeGroup#getIDZielWElement <em>ID Ziel WElement</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Ziel WElement</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Ziel_W_Element_AttributeGroup#getIDZielWElement()
	 * @see #getZiel_W_Element_AttributeGroup()
	 * @generated
	 */
	EReference getZiel_W_Element_AttributeGroup_IDZielWElement();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Ziel_W_Element_AttributeGroup#getWAnschluss <em>WAnschluss</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>WAnschluss</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.Ziel_W_Element_AttributeGroup#getWAnschluss()
	 * @see #getZiel_W_Element_AttributeGroup()
	 * @generated
	 */
	EReference getZiel_W_Element_AttributeGroup_WAnschluss();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZLA_TypeClass <em>ZLA Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZLA Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZLA_TypeClass
	 * @generated
	 */
	EClass getZLA_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZLA_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZLA_TypeClass#getWert()
	 * @see #getZLA_TypeClass()
	 * @generated
	 */
	EAttribute getZLA_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze <em>ZUB Bereichsgrenze</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZUB Bereichsgrenze</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze
	 * @generated
	 */
	EClass getZUB_Bereichsgrenze();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze#getBezeichnung <em>Bezeichnung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Bezeichnung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze#getBezeichnung()
	 * @see #getZUB_Bereichsgrenze()
	 * @generated
	 */
	EReference getZUB_Bereichsgrenze_Bezeichnung();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze#getIDOertlichkeit <em>ID Oertlichkeit</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Oertlichkeit</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze#getIDOertlichkeit()
	 * @see #getZUB_Bereichsgrenze()
	 * @generated
	 */
	EReference getZUB_Bereichsgrenze_IDOertlichkeit();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze#getZUBBereichsgrenzeAllg <em>ZUB Bereichsgrenze Allg</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>ZUB Bereichsgrenze Allg</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze#getZUBBereichsgrenzeAllg()
	 * @see #getZUB_Bereichsgrenze()
	 * @generated
	 */
	EReference getZUB_Bereichsgrenze_ZUBBereichsgrenzeAllg();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze#getZUBBereichsgrenzeNachESG <em>ZUB Bereichsgrenze Nach ESG</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>ZUB Bereichsgrenze Nach ESG</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze#getZUBBereichsgrenzeNachESG()
	 * @see #getZUB_Bereichsgrenze()
	 * @generated
	 */
	EReference getZUB_Bereichsgrenze_ZUBBereichsgrenzeNachESG();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze#getZUBBereichsgrenzeNachGNT <em>ZUB Bereichsgrenze Nach GNT</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>ZUB Bereichsgrenze Nach GNT</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze#getZUBBereichsgrenzeNachGNT()
	 * @see #getZUB_Bereichsgrenze()
	 * @generated
	 */
	EReference getZUB_Bereichsgrenze_ZUBBereichsgrenzeNachGNT();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze#getZUBBereichsgrenzeNachL2 <em>ZUB Bereichsgrenze Nach L2</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>ZUB Bereichsgrenze Nach L2</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze#getZUBBereichsgrenzeNachL2()
	 * @see #getZUB_Bereichsgrenze()
	 * @generated
	 */
	EReference getZUB_Bereichsgrenze_ZUBBereichsgrenzeNachL2();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze#getZUBBereichsgrenzeNachLZB <em>ZUB Bereichsgrenze Nach LZB</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>ZUB Bereichsgrenze Nach LZB</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze#getZUBBereichsgrenzeNachLZB()
	 * @see #getZUB_Bereichsgrenze()
	 * @generated
	 */
	EReference getZUB_Bereichsgrenze_ZUBBereichsgrenzeNachLZB();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze#getZUBBereichsgrenzeNachOhne <em>ZUB Bereichsgrenze Nach Ohne</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>ZUB Bereichsgrenze Nach Ohne</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze#getZUBBereichsgrenzeNachOhne()
	 * @see #getZUB_Bereichsgrenze()
	 * @generated
	 */
	EReference getZUB_Bereichsgrenze_ZUBBereichsgrenzeNachOhne();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze#getZUBBereichsgrenzeNachPZB <em>ZUB Bereichsgrenze Nach PZB</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>ZUB Bereichsgrenze Nach PZB</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze#getZUBBereichsgrenzeNachPZB()
	 * @see #getZUB_Bereichsgrenze()
	 * @generated
	 */
	EReference getZUB_Bereichsgrenze_ZUBBereichsgrenzeNachPZB();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze#getZUBBereichsgrenzeNachSonstige <em>ZUB Bereichsgrenze Nach Sonstige</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>ZUB Bereichsgrenze Nach Sonstige</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze#getZUBBereichsgrenzeNachSonstige()
	 * @see #getZUB_Bereichsgrenze()
	 * @generated
	 */
	EReference getZUB_Bereichsgrenze_ZUBBereichsgrenzeNachSonstige();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze#getZUBBereichsgrenzeNachZBS <em>ZUB Bereichsgrenze Nach ZBS</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>ZUB Bereichsgrenze Nach ZBS</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze#getZUBBereichsgrenzeNachZBS()
	 * @see #getZUB_Bereichsgrenze()
	 * @generated
	 */
	EReference getZUB_Bereichsgrenze_ZUBBereichsgrenzeNachZBS();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze#getZUBBgrenzeRBCWechsel <em>ZUB Bgrenze RBC Wechsel</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>ZUB Bgrenze RBC Wechsel</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze#getZUBBgrenzeRBCWechsel()
	 * @see #getZUB_Bereichsgrenze()
	 * @generated
	 */
	EReference getZUB_Bereichsgrenze_ZUBBgrenzeRBCWechsel();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Allg_AttributeGroup <em>ZUB Bereichsgrenze Allg Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZUB Bereichsgrenze Allg Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Allg_AttributeGroup
	 * @generated
	 */
	EClass getZUB_Bereichsgrenze_Allg_AttributeGroup();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Allg_AttributeGroup#getIDElementGrenze <em>ID Element Grenze</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>ID Element Grenze</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Allg_AttributeGroup#getIDElementGrenze()
	 * @see #getZUB_Bereichsgrenze_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getZUB_Bereichsgrenze_Allg_AttributeGroup_IDElementGrenze();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Allg_AttributeGroup#getIDRBCVorGrenze <em>IDRBC Vor Grenze</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>IDRBC Vor Grenze</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Allg_AttributeGroup#getIDRBCVorGrenze()
	 * @see #getZUB_Bereichsgrenze_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getZUB_Bereichsgrenze_Allg_AttributeGroup_IDRBCVorGrenze();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Allg_AttributeGroup#getSystemVorGrenze <em>System Vor Grenze</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>System Vor Grenze</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Allg_AttributeGroup#getSystemVorGrenze()
	 * @see #getZUB_Bereichsgrenze_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getZUB_Bereichsgrenze_Allg_AttributeGroup_SystemVorGrenze();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Allg_AttributeGroup#getSystemVorGrenzeBesonders <em>System Vor Grenze Besonders</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>System Vor Grenze Besonders</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Allg_AttributeGroup#getSystemVorGrenzeBesonders()
	 * @see #getZUB_Bereichsgrenze_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getZUB_Bereichsgrenze_Allg_AttributeGroup_SystemVorGrenzeBesonders();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Bezeichnung_AttributeGroup <em>ZUB Bereichsgrenze Bezeichnung Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZUB Bereichsgrenze Bezeichnung Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Bezeichnung_AttributeGroup
	 * @generated
	 */
	EClass getZUB_Bereichsgrenze_Bezeichnung_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Bezeichnung_AttributeGroup#getBezZUBBereichsgrenze <em>Bez ZUB Bereichsgrenze</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Bez ZUB Bereichsgrenze</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Bezeichnung_AttributeGroup#getBezZUBBereichsgrenze()
	 * @see #getZUB_Bereichsgrenze_Bezeichnung_AttributeGroup()
	 * @generated
	 */
	EReference getZUB_Bereichsgrenze_Bezeichnung_AttributeGroup_BezZUBBereichsgrenze();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_ESG_AttributeGroup <em>ZUB Bereichsgrenze Nach ESG Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZUB Bereichsgrenze Nach ESG Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_ESG_AttributeGroup
	 * @generated
	 */
	EClass getZUB_Bereichsgrenze_Nach_ESG_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_ESG_AttributeGroup#getBgrenzeNachESGBedAusstieg <em>Bgrenze Nach ESG Bed Ausstieg</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Bgrenze Nach ESG Bed Ausstieg</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_ESG_AttributeGroup#getBgrenzeNachESGBedAusstieg()
	 * @see #getZUB_Bereichsgrenze_Nach_ESG_AttributeGroup()
	 * @generated
	 */
	EReference getZUB_Bereichsgrenze_Nach_ESG_AttributeGroup_BgrenzeNachESGBedAusstieg();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_ESG_AttributeGroup#getHarterAusstiegAusL2 <em>Harter Ausstieg Aus L2</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Harter Ausstieg Aus L2</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_ESG_AttributeGroup#getHarterAusstiegAusL2()
	 * @see #getZUB_Bereichsgrenze_Nach_ESG_AttributeGroup()
	 * @generated
	 */
	EReference getZUB_Bereichsgrenze_Nach_ESG_AttributeGroup_HarterAusstiegAusL2();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_ESG_AttributeGroup#getPrioritaet <em>Prioritaet</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Prioritaet</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_ESG_AttributeGroup#getPrioritaet()
	 * @see #getZUB_Bereichsgrenze_Nach_ESG_AttributeGroup()
	 * @generated
	 */
	EReference getZUB_Bereichsgrenze_Nach_ESG_AttributeGroup_Prioritaet();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_GNT_TypeClass <em>ZUB Bereichsgrenze Nach GNT Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZUB Bereichsgrenze Nach GNT Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_GNT_TypeClass
	 * @generated
	 */
	EClass getZUB_Bereichsgrenze_Nach_GNT_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_GNT_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_GNT_TypeClass#getWert()
	 * @see #getZUB_Bereichsgrenze_Nach_GNT_TypeClass()
	 * @generated
	 */
	EAttribute getZUB_Bereichsgrenze_Nach_GNT_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_L2_AttributeGroup <em>ZUB Bereichsgrenze Nach L2 Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZUB Bereichsgrenze Nach L2 Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_L2_AttributeGroup
	 * @generated
	 */
	EClass getZUB_Bereichsgrenze_Nach_L2_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_L2_AttributeGroup#getAbstandGrenzeBereichC <em>Abstand Grenze Bereich C</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Abstand Grenze Bereich C</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_L2_AttributeGroup#getAbstandGrenzeBereichC()
	 * @see #getZUB_Bereichsgrenze_Nach_L2_AttributeGroup()
	 * @generated
	 */
	EReference getZUB_Bereichsgrenze_Nach_L2_AttributeGroup_AbstandGrenzeBereichC();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_L2_AttributeGroup#getBaselineSystemVersion <em>Baseline System Version</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Baseline System Version</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_L2_AttributeGroup#getBaselineSystemVersion()
	 * @see #getZUB_Bereichsgrenze_Nach_L2_AttributeGroup()
	 * @generated
	 */
	EReference getZUB_Bereichsgrenze_Nach_L2_AttributeGroup_BaselineSystemVersion();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_L2_AttributeGroup#getBgrenzeNachL2BedEinstieg <em>Bgrenze Nach L2 Bed Einstieg</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Bgrenze Nach L2 Bed Einstieg</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_L2_AttributeGroup#getBgrenzeNachL2BedEinstieg()
	 * @see #getZUB_Bereichsgrenze_Nach_L2_AttributeGroup()
	 * @generated
	 */
	EReference getZUB_Bereichsgrenze_Nach_L2_AttributeGroup_BgrenzeNachL2BedEinstieg();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_L2_AttributeGroup#getEinstiegOhneRueckwSig <em>Einstieg Ohne Rueckw Sig</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Einstieg Ohne Rueckw Sig</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_L2_AttributeGroup#getEinstiegOhneRueckwSig()
	 * @see #getZUB_Bereichsgrenze_Nach_L2_AttributeGroup()
	 * @generated
	 */
	EReference getZUB_Bereichsgrenze_Nach_L2_AttributeGroup_EinstiegOhneRueckwSig();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_L2_AttributeGroup#getIDRBCNachGrenze <em>IDRBC Nach Grenze</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>IDRBC Nach Grenze</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_L2_AttributeGroup#getIDRBCNachGrenze()
	 * @see #getZUB_Bereichsgrenze_Nach_L2_AttributeGroup()
	 * @generated
	 */
	EReference getZUB_Bereichsgrenze_Nach_L2_AttributeGroup_IDRBCNachGrenze();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_L2_AttributeGroup#getIDSignalZufahrtsicherungL2oS <em>ID Signal Zufahrtsicherung L2o S</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>ID Signal Zufahrtsicherung L2o S</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_L2_AttributeGroup#getIDSignalZufahrtsicherungL2oS()
	 * @see #getZUB_Bereichsgrenze_Nach_L2_AttributeGroup()
	 * @generated
	 */
	EReference getZUB_Bereichsgrenze_Nach_L2_AttributeGroup_IDSignalZufahrtsicherungL2oS();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_L2_AttributeGroup#getPrioritaet <em>Prioritaet</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Prioritaet</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_L2_AttributeGroup#getPrioritaet()
	 * @see #getZUB_Bereichsgrenze_Nach_L2_AttributeGroup()
	 * @generated
	 */
	EReference getZUB_Bereichsgrenze_Nach_L2_AttributeGroup_Prioritaet();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_L2_AttributeGroup#getZUBBereichsgrenzeNachL2VonESG <em>ZUB Bereichsgrenze Nach L2 Von ESG</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>ZUB Bereichsgrenze Nach L2 Von ESG</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_L2_AttributeGroup#getZUBBereichsgrenzeNachL2VonESG()
	 * @see #getZUB_Bereichsgrenze_Nach_L2_AttributeGroup()
	 * @generated
	 */
	EReference getZUB_Bereichsgrenze_Nach_L2_AttributeGroup_ZUBBereichsgrenzeNachL2VonESG();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_L2_Von_ESG_AttributeGroup <em>ZUB Bereichsgrenze Nach L2 Von ESG Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZUB Bereichsgrenze Nach L2 Von ESG Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_L2_Von_ESG_AttributeGroup
	 * @generated
	 */
	EClass getZUB_Bereichsgrenze_Nach_L2_Von_ESG_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_L2_Von_ESG_AttributeGroup#getAbstandDatenpunktEHEMFolgesignal <em>Abstand Datenpunkt EHEM Folgesignal</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Abstand Datenpunkt EHEM Folgesignal</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_L2_Von_ESG_AttributeGroup#getAbstandDatenpunktEHEMFolgesignal()
	 * @see #getZUB_Bereichsgrenze_Nach_L2_Von_ESG_AttributeGroup()
	 * @generated
	 */
	EReference getZUB_Bereichsgrenze_Nach_L2_Von_ESG_AttributeGroup_AbstandDatenpunktEHEMFolgesignal();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_L2_Von_ESG_AttributeGroup#getAbstandDatenpunktEPTPI <em>Abstand Datenpunkt EPTPI</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Abstand Datenpunkt EPTPI</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_L2_Von_ESG_AttributeGroup#getAbstandDatenpunktEPTPI()
	 * @see #getZUB_Bereichsgrenze_Nach_L2_Von_ESG_AttributeGroup()
	 * @generated
	 */
	EReference getZUB_Bereichsgrenze_Nach_L2_Von_ESG_AttributeGroup_AbstandDatenpunktEPTPI();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_L2_Von_ESG_AttributeGroup#getAbstandDatenpunktTPIFolgesignal <em>Abstand Datenpunkt TPI Folgesignal</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Abstand Datenpunkt TPI Folgesignal</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_L2_Von_ESG_AttributeGroup#getAbstandDatenpunktTPIFolgesignal()
	 * @see #getZUB_Bereichsgrenze_Nach_L2_Von_ESG_AttributeGroup()
	 * @generated
	 */
	EReference getZUB_Bereichsgrenze_Nach_L2_Von_ESG_AttributeGroup_AbstandDatenpunktTPIFolgesignal();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_L2_Von_ESG_AttributeGroup#getIDFachtelegramm <em>ID Fachtelegramm</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>ID Fachtelegramm</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_L2_Von_ESG_AttributeGroup#getIDFachtelegramm()
	 * @see #getZUB_Bereichsgrenze_Nach_L2_Von_ESG_AttributeGroup()
	 * @generated
	 */
	EReference getZUB_Bereichsgrenze_Nach_L2_Von_ESG_AttributeGroup_IDFachtelegramm();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_L2_Von_ESG_AttributeGroup#getIDFolgesignal <em>ID Folgesignal</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Folgesignal</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_L2_Von_ESG_AttributeGroup#getIDFolgesignal()
	 * @see #getZUB_Bereichsgrenze_Nach_L2_Von_ESG_AttributeGroup()
	 * @generated
	 */
	EReference getZUB_Bereichsgrenze_Nach_L2_Von_ESG_AttributeGroup_IDFolgesignal();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_LZB_AttributeGroup <em>ZUB Bereichsgrenze Nach LZB Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZUB Bereichsgrenze Nach LZB Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_LZB_AttributeGroup
	 * @generated
	 */
	EClass getZUB_Bereichsgrenze_Nach_LZB_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_LZB_AttributeGroup#getBgrenzeNachLZBBedEinstieg <em>Bgrenze Nach LZB Bed Einstieg</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Bgrenze Nach LZB Bed Einstieg</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_LZB_AttributeGroup#getBgrenzeNachLZBBedEinstieg()
	 * @see #getZUB_Bereichsgrenze_Nach_LZB_AttributeGroup()
	 * @generated
	 */
	EReference getZUB_Bereichsgrenze_Nach_LZB_AttributeGroup_BgrenzeNachLZBBedEinstieg();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_LZB_AttributeGroup#getHarterAusstiegAusL2 <em>Harter Ausstieg Aus L2</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Harter Ausstieg Aus L2</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_LZB_AttributeGroup#getHarterAusstiegAusL2()
	 * @see #getZUB_Bereichsgrenze_Nach_LZB_AttributeGroup()
	 * @generated
	 */
	EReference getZUB_Bereichsgrenze_Nach_LZB_AttributeGroup_HarterAusstiegAusL2();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_LZB_AttributeGroup#getPrioritaet <em>Prioritaet</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Prioritaet</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_LZB_AttributeGroup#getPrioritaet()
	 * @see #getZUB_Bereichsgrenze_Nach_LZB_AttributeGroup()
	 * @generated
	 */
	EReference getZUB_Bereichsgrenze_Nach_LZB_AttributeGroup_Prioritaet();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_Ohne_AttributeGroup <em>ZUB Bereichsgrenze Nach Ohne Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZUB Bereichsgrenze Nach Ohne Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_Ohne_AttributeGroup
	 * @generated
	 */
	EClass getZUB_Bereichsgrenze_Nach_Ohne_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_Ohne_AttributeGroup#getBgrenzeNachOhneBedEinstieg <em>Bgrenze Nach Ohne Bed Einstieg</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Bgrenze Nach Ohne Bed Einstieg</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_Ohne_AttributeGroup#getBgrenzeNachOhneBedEinstieg()
	 * @see #getZUB_Bereichsgrenze_Nach_Ohne_AttributeGroup()
	 * @generated
	 */
	EReference getZUB_Bereichsgrenze_Nach_Ohne_AttributeGroup_BgrenzeNachOhneBedEinstieg();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_PZB_AttributeGroup <em>ZUB Bereichsgrenze Nach PZB Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZUB Bereichsgrenze Nach PZB Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_PZB_AttributeGroup
	 * @generated
	 */
	EClass getZUB_Bereichsgrenze_Nach_PZB_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_PZB_AttributeGroup#getBgrenzeNachPZBBedEinstieg <em>Bgrenze Nach PZB Bed Einstieg</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Bgrenze Nach PZB Bed Einstieg</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_PZB_AttributeGroup#getBgrenzeNachPZBBedEinstieg()
	 * @see #getZUB_Bereichsgrenze_Nach_PZB_AttributeGroup()
	 * @generated
	 */
	EReference getZUB_Bereichsgrenze_Nach_PZB_AttributeGroup_BgrenzeNachPZBBedEinstieg();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_PZB_AttributeGroup#getHarterAusstiegAusL2 <em>Harter Ausstieg Aus L2</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Harter Ausstieg Aus L2</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_PZB_AttributeGroup#getHarterAusstiegAusL2()
	 * @see #getZUB_Bereichsgrenze_Nach_PZB_AttributeGroup()
	 * @generated
	 */
	EReference getZUB_Bereichsgrenze_Nach_PZB_AttributeGroup_HarterAusstiegAusL2();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_PZB_AttributeGroup#getPrioritaet <em>Prioritaet</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Prioritaet</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_PZB_AttributeGroup#getPrioritaet()
	 * @see #getZUB_Bereichsgrenze_Nach_PZB_AttributeGroup()
	 * @generated
	 */
	EReference getZUB_Bereichsgrenze_Nach_PZB_AttributeGroup_Prioritaet();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_Sonstige_AttributeGroup <em>ZUB Bereichsgrenze Nach Sonstige Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZUB Bereichsgrenze Nach Sonstige Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_Sonstige_AttributeGroup
	 * @generated
	 */
	EClass getZUB_Bereichsgrenze_Nach_Sonstige_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_Sonstige_AttributeGroup#getBezeichnungZUB <em>Bezeichnung ZUB</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Bezeichnung ZUB</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_Sonstige_AttributeGroup#getBezeichnungZUB()
	 * @see #getZUB_Bereichsgrenze_Nach_Sonstige_AttributeGroup()
	 * @generated
	 */
	EReference getZUB_Bereichsgrenze_Nach_Sonstige_AttributeGroup_BezeichnungZUB();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_Sonstige_AttributeGroup#getLaengeAusfuehrungsbereich <em>Laenge Ausfuehrungsbereich</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Laenge Ausfuehrungsbereich</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_Sonstige_AttributeGroup#getLaengeAusfuehrungsbereich()
	 * @see #getZUB_Bereichsgrenze_Nach_Sonstige_AttributeGroup()
	 * @generated
	 */
	EReference getZUB_Bereichsgrenze_Nach_Sonstige_AttributeGroup_LaengeAusfuehrungsbereich();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_ZBS_AttributeGroup <em>ZUB Bereichsgrenze Nach ZBS Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZUB Bereichsgrenze Nach ZBS Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_ZBS_AttributeGroup
	 * @generated
	 */
	EClass getZUB_Bereichsgrenze_Nach_ZBS_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_ZBS_AttributeGroup#getBgrenzeNachZBSBedEinstieg <em>Bgrenze Nach ZBS Bed Einstieg</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Bgrenze Nach ZBS Bed Einstieg</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bereichsgrenze_Nach_ZBS_AttributeGroup#getBgrenzeNachZBSBedEinstieg()
	 * @see #getZUB_Bereichsgrenze_Nach_ZBS_AttributeGroup()
	 * @generated
	 */
	EReference getZUB_Bereichsgrenze_Nach_ZBS_AttributeGroup_BgrenzeNachZBSBedEinstieg();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bgrenze_RBC_Wechsel_AttributeGroup <em>ZUB Bgrenze RBC Wechsel Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZUB Bgrenze RBC Wechsel Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bgrenze_RBC_Wechsel_AttributeGroup
	 * @generated
	 */
	EClass getZUB_Bgrenze_RBC_Wechsel_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bgrenze_RBC_Wechsel_AttributeGroup#getBgrenzeRBCWechselBTSKette <em>Bgrenze RBC Wechsel BTS Kette</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Bgrenze RBC Wechsel BTS Kette</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bgrenze_RBC_Wechsel_AttributeGroup#getBgrenzeRBCWechselBTSKette()
	 * @see #getZUB_Bgrenze_RBC_Wechsel_AttributeGroup()
	 * @generated
	 */
	EReference getZUB_Bgrenze_RBC_Wechsel_AttributeGroup_BgrenzeRBCWechselBTSKette();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bgrenze_RBC_Wechsel_AttributeGroup#getIDRBCNachGrenze <em>IDRBC Nach Grenze</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>IDRBC Nach Grenze</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Bgrenze_RBC_Wechsel_AttributeGroup#getIDRBCNachGrenze()
	 * @see #getZUB_Bgrenze_RBC_Wechsel_AttributeGroup()
	 * @generated
	 */
	EReference getZUB_Bgrenze_RBC_Wechsel_AttributeGroup_IDRBCNachGrenze();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_SE_Ausruestung_AttributeGroup <em>ZUB SE Ausruestung Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZUB SE Ausruestung Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_SE_Ausruestung_AttributeGroup
	 * @generated
	 */
	EClass getZUB_SE_Ausruestung_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_SE_Ausruestung_AttributeGroup#getAnwendungssystem <em>Anwendungssystem</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Anwendungssystem</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_SE_Ausruestung_AttributeGroup#getAnwendungssystem()
	 * @see #getZUB_SE_Ausruestung_AttributeGroup()
	 * @generated
	 */
	EReference getZUB_SE_Ausruestung_AttributeGroup_Anwendungssystem();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_SE_Ausruestung_AttributeGroup#getBaselineSystemVersion <em>Baseline System Version</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Baseline System Version</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_SE_Ausruestung_AttributeGroup#getBaselineSystemVersion()
	 * @see #getZUB_SE_Ausruestung_AttributeGroup()
	 * @generated
	 */
	EReference getZUB_SE_Ausruestung_AttributeGroup_BaselineSystemVersion();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Streckeneigenschaft <em>ZUB Streckeneigenschaft</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZUB Streckeneigenschaft</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Streckeneigenschaft
	 * @generated
	 */
	EClass getZUB_Streckeneigenschaft();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Streckeneigenschaft#getBezeichnung <em>Bezeichnung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Bezeichnung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Streckeneigenschaft#getBezeichnung()
	 * @see #getZUB_Streckeneigenschaft()
	 * @generated
	 */
	EReference getZUB_Streckeneigenschaft_Bezeichnung();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Streckeneigenschaft#getMetallteil <em>Metallteil</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Metallteil</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Streckeneigenschaft#getMetallteil()
	 * @see #getZUB_Streckeneigenschaft()
	 * @generated
	 */
	EReference getZUB_Streckeneigenschaft_Metallteil();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Streckeneigenschaft#getOberstrombegrenzungGueterzug <em>Oberstrombegrenzung Gueterzug</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Oberstrombegrenzung Gueterzug</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Streckeneigenschaft#getOberstrombegrenzungGueterzug()
	 * @see #getZUB_Streckeneigenschaft()
	 * @generated
	 */
	EReference getZUB_Streckeneigenschaft_OberstrombegrenzungGueterzug();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Streckeneigenschaft#getOberstrombegrenzungReisezug <em>Oberstrombegrenzung Reisezug</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Oberstrombegrenzung Reisezug</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Streckeneigenschaft#getOberstrombegrenzungReisezug()
	 * @see #getZUB_Streckeneigenschaft()
	 * @generated
	 */
	EReference getZUB_Streckeneigenschaft_OberstrombegrenzungReisezug();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Streckeneigenschaft#getVerbotAnhalten <em>Verbot Anhalten</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Verbot Anhalten</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Streckeneigenschaft#getVerbotAnhalten()
	 * @see #getZUB_Streckeneigenschaft()
	 * @generated
	 */
	EReference getZUB_Streckeneigenschaft_VerbotAnhalten();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Streckeneigenschaft#getVerbotRegenerativeBremse <em>Verbot Regenerative Bremse</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Verbot Regenerative Bremse</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Streckeneigenschaft#getVerbotRegenerativeBremse()
	 * @see #getZUB_Streckeneigenschaft()
	 * @generated
	 */
	EReference getZUB_Streckeneigenschaft_VerbotRegenerativeBremse();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Streckeneigenschaft#getVerbotWBArt <em>Verbot WB Art</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Verbot WB Art</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Streckeneigenschaft#getVerbotWBArt()
	 * @see #getZUB_Streckeneigenschaft()
	 * @generated
	 */
	EReference getZUB_Streckeneigenschaft_VerbotWBArt();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Streckeneigenschaft#getZUBSEAusruestung <em>ZUBSE Ausruestung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>ZUBSE Ausruestung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Streckeneigenschaft#getZUBSEAusruestung()
	 * @see #getZUB_Streckeneigenschaft()
	 * @generated
	 */
	EReference getZUB_Streckeneigenschaft_ZUBSEAusruestung();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Streckeneigenschaft_Bezeichnung_AttributeGroup <em>ZUB Streckeneigenschaft Bezeichnung Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZUB Streckeneigenschaft Bezeichnung Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Streckeneigenschaft_Bezeichnung_AttributeGroup
	 * @generated
	 */
	EClass getZUB_Streckeneigenschaft_Bezeichnung_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Streckeneigenschaft_Bezeichnung_AttributeGroup#getBezeichnungZUBSE <em>Bezeichnung ZUBSE</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Bezeichnung ZUBSE</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ZUB_Streckeneigenschaft_Bezeichnung_AttributeGroup#getBezeichnungZUBSE()
	 * @see #getZUB_Streckeneigenschaft_Bezeichnung_AttributeGroup()
	 * @generated
	 */
	EReference getZUB_Streckeneigenschaft_Bezeichnung_AttributeGroup_BezeichnungZUBSE();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMArtBedingung <em>ENUM Art Bedingung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>ENUM Art Bedingung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMArtBedingung
	 * @generated
	 */
	EEnum getENUMArtBedingung();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMAusstiegETCSSperre <em>ENUM Ausstieg ETCS Sperre</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>ENUM Ausstieg ETCS Sperre</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMAusstiegETCSSperre
	 * @generated
	 */
	EEnum getENUMAusstiegETCSSperre();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMBalisenhalter <em>ENUM Balisenhalter</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>ENUM Balisenhalter</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMBalisenhalter
	 * @generated
	 */
	EEnum getENUMBalisenhalter();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPATO <em>ENUMDPATO</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>ENUMDPATO</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPATO
	 * @generated
	 */
	EEnum getENUMDPATO();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPBezugFunktionalArt <em>ENUMDP Bezug Funktional Art</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>ENUMDP Bezug Funktional Art</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPBezugFunktionalArt
	 * @generated
	 */
	EEnum getENUMDPBezugFunktionalArt();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPLinkArt <em>ENUMDP Link Art</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>ENUMDP Link Art</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPLinkArt
	 * @generated
	 */
	EEnum getENUMDPLinkArt();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPTypArt <em>ENUMDP Typ Art</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>ENUMDP Typ Art</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPTypArt
	 * @generated
	 */
	EEnum getENUMDPTypArt();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPTypESG <em>ENUMDP Typ ESG</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>ENUMDP Typ ESG</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPTypESG
	 * @generated
	 */
	EEnum getENUMDPTypESG();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPTypGNT <em>ENUMDP Typ GNT</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>ENUMDP Typ GNT</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPTypGNT
	 * @generated
	 */
	EEnum getENUMDPTypGNT();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPTypTrans <em>ENUMDP Typ Trans</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>ENUMDP Typ Trans</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPTypTrans
	 * @generated
	 */
	EEnum getENUMDPTypTrans();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPTypZBS <em>ENUMDP Typ ZBS</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>ENUMDP Typ ZBS</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPTypZBS
	 * @generated
	 */
	EEnum getENUMDPTypZBS();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMEinzeldateiArt <em>ENUM Einzeldatei Art</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>ENUM Einzeldatei Art</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMEinzeldateiArt
	 * @generated
	 */
	EEnum getENUMEinzeldateiArt();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMEnergieEingangArt <em>ENUM Energie Eingang Art</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>ENUM Energie Eingang Art</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMEnergieEingangArt
	 * @generated
	 */
	EEnum getENUMEnergieEingangArt();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMETCSKnotenArtSonstige <em>ENUMETCS Knoten Art Sonstige</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>ENUMETCS Knoten Art Sonstige</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMETCSKnotenArtSonstige
	 * @generated
	 */
	EEnum getENUMETCSKnotenArtSonstige();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMEVModulArt <em>ENUMEV Modul Art</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>ENUMEV Modul Art</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMEVModulArt
	 * @generated
	 */
	EEnum getENUMEVModulArt();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMFTGNTPunktart <em>ENUMFTGNT Punktart</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>ENUMFTGNT Punktart</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMFTGNTPunktart
	 * @generated
	 */
	EEnum getENUMFTGNTPunktart();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMFTHinweisFunktion <em>ENUMFT Hinweis Funktion</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>ENUMFT Hinweis Funktion</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMFTHinweisFunktion
	 * @generated
	 */
	EEnum getENUMFTHinweisFunktion();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMFTZBSTyp <em>ENUMFTZBS Typ</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>ENUMFTZBS Typ</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMFTZBSTyp
	 * @generated
	 */
	EEnum getENUMFTZBSTyp();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMLEUArt <em>ENUMLEU Art</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>ENUMLEU Art</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMLEUArt
	 * @generated
	 */
	EEnum getENUMLEUArt();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMMLEVELTR <em>ENUMMLEVELTR</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>ENUMMLEVELTR</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMMLEVELTR
	 * @generated
	 */
	EEnum getENUMMLEVELTR();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMNIDSTM <em>ENUMNIDSTM</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>ENUMNIDSTM</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMNIDSTM
	 * @generated
	 */
	EEnum getENUMNIDSTM();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMPosition <em>ENUM Position</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>ENUM Position</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMPosition
	 * @generated
	 */
	EEnum getENUMPosition();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMSBE <em>ENUMSBE</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>ENUMSBE</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMSBE
	 * @generated
	 */
	EEnum getENUMSBE();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMSpannungArt <em>ENUM Spannung Art</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>ENUM Spannung Art</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMSpannungArt
	 * @generated
	 */
	EEnum getENUMSpannungArt();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMStandortangabeBalisenschild <em>ENUM Standortangabe Balisenschild</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>ENUM Standortangabe Balisenschild</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMStandortangabeBalisenschild
	 * @generated
	 */
	EEnum getENUMStandortangabeBalisenschild();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMSTZ <em>ENUMSTZ</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>ENUMSTZ</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMSTZ
	 * @generated
	 */
	EEnum getENUMSTZ();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMVerbotWBArt <em>ENUM Verbot WB Art</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>ENUM Verbot WB Art</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMVerbotWBArt
	 * @generated
	 */
	EEnum getENUMVerbotWBArt();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMVerwendungAlsRueckfall <em>ENUM Verwendung Als Rueckfall</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>ENUM Verwendung Als Rueckfall</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMVerwendungAlsRueckfall
	 * @generated
	 */
	EEnum getENUMVerwendungAlsRueckfall();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMWAnschluss <em>ENUMW Anschluss</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>ENUMW Anschluss</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMWAnschluss
	 * @generated
	 */
	EEnum getENUMWAnschluss();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMZBSReaktion <em>ENUMZBS Reaktion</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>ENUMZBS Reaktion</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMZBSReaktion
	 * @generated
	 */
	EEnum getENUMZBSReaktion();

	/**
	 * Returns the meta object for data type '{@link java.math.BigDecimal <em>Abstand Bes Langer Einfahrweg Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Abstand Bes Langer Einfahrweg Type</em>'.
	 * @see java.math.BigDecimal
	 * @model instanceClass="java.math.BigDecimal"
	 *        extendedMetaData="name='TAbstand_Bes_Langer_Einfahrweg' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TMeter'"
	 * @generated
	 */
	EDataType getAbstand_Bes_Langer_Einfahrweg_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigDecimal <em>Abstand Datenpunkt EH EM Folgesignal Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Abstand Datenpunkt EH EM Folgesignal Type</em>'.
	 * @see java.math.BigDecimal
	 * @model instanceClass="java.math.BigDecimal"
	 *        extendedMetaData="name='TAbstand_Datenpunkt_EH_EM_Folgesignal' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TMeter'"
	 * @generated
	 */
	EDataType getAbstand_Datenpunkt_EH_EM_Folgesignal_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigDecimal <em>Abstand Datenpunkt EP TPI Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Abstand Datenpunkt EP TPI Type</em>'.
	 * @see java.math.BigDecimal
	 * @model instanceClass="java.math.BigDecimal"
	 *        extendedMetaData="name='TAbstand_Datenpunkt_EP_TPI' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TMeter'"
	 * @generated
	 */
	EDataType getAbstand_Datenpunkt_EP_TPI_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigDecimal <em>Abstand Datenpunkt TPI Folgesignal Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Abstand Datenpunkt TPI Folgesignal Type</em>'.
	 * @see java.math.BigDecimal
	 * @model instanceClass="java.math.BigDecimal"
	 *        extendedMetaData="name='TAbstand_Datenpunkt_TPI_Folgesignal' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TMeter'"
	 * @generated
	 */
	EDataType getAbstand_Datenpunkt_TPI_Folgesignal_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigDecimal <em>Abstand Einmesspunkt Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Abstand Einmesspunkt Type</em>'.
	 * @see java.math.BigDecimal
	 * @model instanceClass="java.math.BigDecimal"
	 *        extendedMetaData="name='TAbstand_Einmesspunkt' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TMeter'"
	 * @generated
	 */
	EDataType getAbstand_Einmesspunkt_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigDecimal <em>Abstand Grenze Bereich CType</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Abstand Grenze Bereich CType</em>'.
	 * @see java.math.BigDecimal
	 * @model instanceClass="java.math.BigDecimal"
	 *        extendedMetaData="name='TAbstand_Grenze_Bereich_C' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TMeter' pattern='[1-9]|[1-9][0-9]|[1-9][0-9][0-9]'"
	 * @generated
	 */
	EDataType getAbstand_Grenze_Bereich_C_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Anlagenteil Sonstige Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Anlagenteil Sonstige Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TAnlagenteil_Sonstige' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText'"
	 * @generated
	 */
	EDataType getAnlagenteil_Sonstige_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>Anordnung Im DP Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Anordnung Im DP Type</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TAnordnung_Im_DP' baseType='http://www.eclipse.org/emf/2003/XMLType#integer' pattern='1[0-6]|[1-9]'"
	 * @generated
	 */
	EDataType getAnordnung_Im_DP_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Anwendung Sonst Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Anwendung Sonst Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TAnwendung_Sonst' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText'"
	 * @generated
	 */
	EDataType getAnwendung_Sonst_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>Anzahl Voll LEU Kalkuliert Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Anzahl Voll LEU Kalkuliert Type</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TAnzahl_Voll_LEU_Kalkuliert' baseType='http://www.eclipse.org/emf/2003/XMLType#integer'"
	 * @generated
	 */
	EDataType getAnzahl_Voll_LEU_Kalkuliert_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Anzeigetext Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Anzeigetext Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TAnzeigetext' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText'"
	 * @generated
	 */
	EDataType getAnzeigetext_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>Ausgang Nr Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Ausgang Nr Type</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TAusgang_Nr' baseType='http://www.eclipse.org/emf/2003/XMLType#integer'"
	 * @generated
	 */
	EDataType getAusgang_Nr_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Balise Geraetestand Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Balise Geraetestand Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TBalise_Geraetestand' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText'"
	 * @generated
	 */
	EDataType getBalise_Geraetestand_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Baseline System Version Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Baseline System Version Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TBaseline_System_Version' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText' pattern='[0-9]'"
	 * @generated
	 */
	EDataType getBaseline_System_Version_Type();

	/**
	 * Returns the meta object for data type '{@link org.eclipse.set.toolboxmodel.BasisTypen.ENUMLinksRechts <em>Bedingung Weichenlage Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Bedingung Weichenlage Type</em>'.
	 * @see org.eclipse.set.toolboxmodel.BasisTypen.ENUMLinksRechts
	 * @model instanceClass="org.eclipse.set.toolboxmodel.BasisTypen.ENUMLinksRechts"
	 *        extendedMetaData="name='TBedingung_Weichenlage' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TLinksRechts'"
	 * @generated
	 */
	EDataType getBedingung_Weichenlage_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Bez Strecke BTS 1Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Bez Strecke BTS 1Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TBez_Strecke_BTS_1' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TZeichenkette'"
	 * @generated
	 */
	EDataType getBez_Strecke_BTS_1_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Bez Strecke BTS 2Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Bez Strecke BTS 2Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TBez_Strecke_BTS_2' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TZeichenkette'"
	 * @generated
	 */
	EDataType getBez_Strecke_BTS_2_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Bez Strecke BTS 3Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Bez Strecke BTS 3Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TBez_Strecke_BTS_3' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TZeichenkette'"
	 * @generated
	 */
	EDataType getBez_Strecke_BTS_3_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Bez ZUB Bereichsgrenze Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Bez ZUB Bereichsgrenze Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TBez_ZUB_Bereichsgrenze' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText' pattern='.{1,50}'"
	 * @generated
	 */
	EDataType getBez_ZUB_Bereichsgrenze_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Bezeichnung ETCS Kante Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Bezeichnung ETCS Kante Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TBezeichnung_ETCS_Kante' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TZeichenkette' pattern='.{1,10}'"
	 * @generated
	 */
	EDataType getBezeichnung_ETCS_Kante_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Bezeichnung LEU Anlage Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Bezeichnung LEU Anlage Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TBezeichnung_LEU_Anlage' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText'"
	 * @generated
	 */
	EDataType getBezeichnung_LEU_Anlage_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Bezeichnung ZUB SE Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Bezeichnung ZUB SE Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TBezeichnung_ZUB_SE' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText'"
	 * @generated
	 */
	EDataType getBezeichnung_ZUB_SE_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Bezeichnung ZUB Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Bezeichnung ZUB Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TBezeichnung_ZUB' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText'"
	 * @generated
	 */
	EDataType getBezeichnung_ZUB_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigDecimal <em>DLEVELTR Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>DLEVELTR Type</em>'.
	 * @see java.math.BigDecimal
	 * @model instanceClass="java.math.BigDecimal"
	 *        extendedMetaData="name='TD_LEVELTR' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TMeter'"
	 * @generated
	 */
	EDataType getD_LEVELTR_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Dateityp Binaerdatei Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Dateityp Binaerdatei Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TDateityp_Binaerdatei' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TZeichenkette' pattern='.{3,5}'"
	 * @generated
	 */
	EDataType getDateityp_Binaerdatei_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Datenpunkt Beschreibung Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Datenpunkt Beschreibung Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TDatenpunkt_Beschreibung' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText'"
	 * @generated
	 */
	EDataType getDatenpunkt_Beschreibung_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigDecimal <em>Datenpunkt Laenge Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Datenpunkt Laenge Type</em>'.
	 * @see java.math.BigDecimal
	 * @model instanceClass="java.math.BigDecimal"
	 *        extendedMetaData="name='TDatenpunkt_Laenge' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TMeter' pattern='(([0-9]|[1-7][0-9]|8[0-3])\\.[0-9])|84\\.0'"
	 * @generated
	 */
	EDataType getDatenpunkt_Laenge_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>Delta VGES Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Delta VGES Type</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TDelta_VGES' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TGeschwindigkeit'"
	 * @generated
	 */
	EDataType getDelta_VGES_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>Delta VLES Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Delta VLES Type</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TDelta_VLES' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TGeschwindigkeit'"
	 * @generated
	 */
	EDataType getDelta_VLES_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>Delta VZES Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Delta VZES Type</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TDelta_VZES' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TGeschwindigkeit'"
	 * @generated
	 */
	EDataType getDelta_VZES_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>DP Typ ETCS Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>DP Typ ETCS Type</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TDP_Typ_ETCS' baseType='http://www.eclipse.org/emf/2003/XMLType#integer' pattern='[1-9]|[1-6][0-9]'"
	 * @generated
	 */
	EDataType getDP_Typ_ETCS_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>DP Typ Sonst Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>DP Typ Sonst Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TDP_Typ_Sonst' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText'"
	 * @generated
	 */
	EDataType getDP_Typ_Sonst_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>DP Typ VLa Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>DP Typ VLa Type</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TDP_Typ_V_La' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TGeschwindigkeit' pattern='[1-9][0-9]|1[0-3][0-9]|140'"
	 * @generated
	 */
	EDataType getDP_Typ_V_La_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigDecimal <em>DWeg Intervall 200 Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>DWeg Intervall 200 Type</em>'.
	 * @see java.math.BigDecimal
	 * @model instanceClass="java.math.BigDecimal"
	 *        extendedMetaData="name='TDWeg_Intervall_200' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TMeter'"
	 * @generated
	 */
	EDataType getDWeg_Intervall_200_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigDecimal <em>DWeg Intervall 50 200 Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>DWeg Intervall 50 200 Type</em>'.
	 * @see java.math.BigDecimal
	 * @model instanceClass="java.math.BigDecimal"
	 *        extendedMetaData="name='TDWeg_Intervall_50_200' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TMeter'"
	 * @generated
	 */
	EDataType getDWeg_Intervall_50_200_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigDecimal <em>DWeg Intervall 50 Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>DWeg Intervall 50 Type</em>'.
	 * @see java.math.BigDecimal
	 * @model instanceClass="java.math.BigDecimal"
	 *        extendedMetaData="name='TDWeg_Intervall_50' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TMeter'"
	 * @generated
	 */
	EDataType getDWeg_Intervall_50_Type();

	/**
	 * Returns the meta object for data type '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMArtBedingung <em>ENUM Art Bedingung Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ENUM Art Bedingung Object</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMArtBedingung
	 * @model instanceClass="org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMArtBedingung"
	 *        extendedMetaData="name='ENUMArt_Bedingung:Object' baseType='ENUMArt_Bedingung'"
	 * @generated
	 */
	EDataType getENUMArtBedingungObject();

	/**
	 * Returns the meta object for data type '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMAusstiegETCSSperre <em>ENUM Ausstieg ETCS Sperre Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ENUM Ausstieg ETCS Sperre Object</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMAusstiegETCSSperre
	 * @model instanceClass="org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMAusstiegETCSSperre"
	 *        extendedMetaData="name='ENUMAusstieg_ETCS_Sperre:Object' baseType='ENUMAusstieg_ETCS_Sperre'"
	 * @generated
	 */
	EDataType getENUMAusstiegETCSSperreObject();

	/**
	 * Returns the meta object for data type '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMBalisenhalter <em>ENUM Balisenhalter Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ENUM Balisenhalter Object</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMBalisenhalter
	 * @model instanceClass="org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMBalisenhalter"
	 *        extendedMetaData="name='ENUMBalisenhalter:Object' baseType='ENUMBalisenhalter'"
	 * @generated
	 */
	EDataType getENUMBalisenhalterObject();

	/**
	 * Returns the meta object for data type '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPATO <em>ENUMDPATO Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ENUMDPATO Object</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPATO
	 * @model instanceClass="org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPATO"
	 *        extendedMetaData="name='ENUMDP_ATO:Object' baseType='ENUMDP_ATO'"
	 * @generated
	 */
	EDataType getENUMDPATOObject();

	/**
	 * Returns the meta object for data type '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPBezugFunktionalArt <em>ENUMDP Bezug Funktional Art Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ENUMDP Bezug Funktional Art Object</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPBezugFunktionalArt
	 * @model instanceClass="org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPBezugFunktionalArt"
	 *        extendedMetaData="name='ENUMDP_Bezug_Funktional_Art:Object' baseType='ENUMDP_Bezug_Funktional_Art'"
	 * @generated
	 */
	EDataType getENUMDPBezugFunktionalArtObject();

	/**
	 * Returns the meta object for data type '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPLinkArt <em>ENUMDP Link Art Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ENUMDP Link Art Object</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPLinkArt
	 * @model instanceClass="org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPLinkArt"
	 *        extendedMetaData="name='ENUMDP_Link_Art:Object' baseType='ENUMDP_Link_Art'"
	 * @generated
	 */
	EDataType getENUMDPLinkArtObject();

	/**
	 * Returns the meta object for data type '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPTypArt <em>ENUMDP Typ Art Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ENUMDP Typ Art Object</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPTypArt
	 * @model instanceClass="org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPTypArt"
	 *        extendedMetaData="name='ENUMDP_Typ_Art:Object' baseType='ENUMDP_Typ_Art'"
	 * @generated
	 */
	EDataType getENUMDPTypArtObject();

	/**
	 * Returns the meta object for data type '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPTypESG <em>ENUMDP Typ ESG Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ENUMDP Typ ESG Object</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPTypESG
	 * @model instanceClass="org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPTypESG"
	 *        extendedMetaData="name='ENUMDP_Typ_ESG:Object' baseType='ENUMDP_Typ_ESG'"
	 * @generated
	 */
	EDataType getENUMDPTypESGObject();

	/**
	 * Returns the meta object for data type '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPTypGNT <em>ENUMDP Typ GNT Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ENUMDP Typ GNT Object</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPTypGNT
	 * @model instanceClass="org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPTypGNT"
	 *        extendedMetaData="name='ENUMDP_Typ_GNT:Object' baseType='ENUMDP_Typ_GNT'"
	 * @generated
	 */
	EDataType getENUMDPTypGNTObject();

	/**
	 * Returns the meta object for data type '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPTypTrans <em>ENUMDP Typ Trans Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ENUMDP Typ Trans Object</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPTypTrans
	 * @model instanceClass="org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPTypTrans"
	 *        extendedMetaData="name='ENUMDP_Typ_Trans:Object' baseType='ENUMDP_Typ_Trans'"
	 * @generated
	 */
	EDataType getENUMDPTypTransObject();

	/**
	 * Returns the meta object for data type '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPTypZBS <em>ENUMDP Typ ZBS Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ENUMDP Typ ZBS Object</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPTypZBS
	 * @model instanceClass="org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMDPTypZBS"
	 *        extendedMetaData="name='ENUMDP_Typ_ZBS:Object' baseType='ENUMDP_Typ_ZBS'"
	 * @generated
	 */
	EDataType getENUMDPTypZBSObject();

	/**
	 * Returns the meta object for data type '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMEinzeldateiArt <em>ENUM Einzeldatei Art Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ENUM Einzeldatei Art Object</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMEinzeldateiArt
	 * @model instanceClass="org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMEinzeldateiArt"
	 *        extendedMetaData="name='ENUMEinzeldatei_Art:Object' baseType='ENUMEinzeldatei_Art'"
	 * @generated
	 */
	EDataType getENUMEinzeldateiArtObject();

	/**
	 * Returns the meta object for data type '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMEnergieEingangArt <em>ENUM Energie Eingang Art Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ENUM Energie Eingang Art Object</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMEnergieEingangArt
	 * @model instanceClass="org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMEnergieEingangArt"
	 *        extendedMetaData="name='ENUMEnergie_Eingang_Art:Object' baseType='ENUMEnergie_Eingang_Art'"
	 * @generated
	 */
	EDataType getENUMEnergieEingangArtObject();

	/**
	 * Returns the meta object for data type '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMETCSKnotenArtSonstige <em>ENUMETCS Knoten Art Sonstige Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ENUMETCS Knoten Art Sonstige Object</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMETCSKnotenArtSonstige
	 * @model instanceClass="org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMETCSKnotenArtSonstige"
	 *        extendedMetaData="name='ENUMETCS_Knoten_Art_Sonstige:Object' baseType='ENUMETCS_Knoten_Art_Sonstige'"
	 * @generated
	 */
	EDataType getENUMETCSKnotenArtSonstigeObject();

	/**
	 * Returns the meta object for data type '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMEVModulArt <em>ENUMEV Modul Art Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ENUMEV Modul Art Object</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMEVModulArt
	 * @model instanceClass="org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMEVModulArt"
	 *        extendedMetaData="name='ENUMEV_Modul_Art:Object' baseType='ENUMEV_Modul_Art'"
	 * @generated
	 */
	EDataType getENUMEVModulArtObject();

	/**
	 * Returns the meta object for data type '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMFTGNTPunktart <em>ENUMFTGNT Punktart Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ENUMFTGNT Punktart Object</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMFTGNTPunktart
	 * @model instanceClass="org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMFTGNTPunktart"
	 *        extendedMetaData="name='ENUMFT_GNT_Punktart:Object' baseType='ENUMFT_GNT_Punktart'"
	 * @generated
	 */
	EDataType getENUMFTGNTPunktartObject();

	/**
	 * Returns the meta object for data type '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMFTHinweisFunktion <em>ENUMFT Hinweis Funktion Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ENUMFT Hinweis Funktion Object</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMFTHinweisFunktion
	 * @model instanceClass="org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMFTHinweisFunktion"
	 *        extendedMetaData="name='ENUMFT_Hinweis_Funktion:Object' baseType='ENUMFT_Hinweis_Funktion'"
	 * @generated
	 */
	EDataType getENUMFTHinweisFunktionObject();

	/**
	 * Returns the meta object for data type '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMFTZBSTyp <em>ENUMFTZBS Typ Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ENUMFTZBS Typ Object</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMFTZBSTyp
	 * @model instanceClass="org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMFTZBSTyp"
	 *        extendedMetaData="name='ENUMFT_ZBS_Typ:Object' baseType='ENUMFT_ZBS_Typ'"
	 * @generated
	 */
	EDataType getENUMFTZBSTypObject();

	/**
	 * Returns the meta object for data type '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMLEUArt <em>ENUMLEU Art Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ENUMLEU Art Object</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMLEUArt
	 * @model instanceClass="org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMLEUArt"
	 *        extendedMetaData="name='ENUMLEU_Art:Object' baseType='ENUMLEU_Art'"
	 * @generated
	 */
	EDataType getENUMLEUArtObject();

	/**
	 * Returns the meta object for data type '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMMLEVELTR <em>ENUMMLEVELTR Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ENUMMLEVELTR Object</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMMLEVELTR
	 * @model instanceClass="org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMMLEVELTR"
	 *        extendedMetaData="name='ENUMM_LEVELTR:Object' baseType='ENUMM_LEVELTR'"
	 * @generated
	 */
	EDataType getENUMMLEVELTRObject();

	/**
	 * Returns the meta object for data type '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMNIDSTM <em>ENUMNIDSTM Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ENUMNIDSTM Object</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMNIDSTM
	 * @model instanceClass="org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMNIDSTM"
	 *        extendedMetaData="name='ENUMNID_STM:Object' baseType='ENUMNID_STM'"
	 * @generated
	 */
	EDataType getENUMNIDSTMObject();

	/**
	 * Returns the meta object for data type '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMPosition <em>ENUM Position Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ENUM Position Object</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMPosition
	 * @model instanceClass="org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMPosition"
	 *        extendedMetaData="name='ENUMPosition:Object' baseType='ENUMPosition'"
	 * @generated
	 */
	EDataType getENUMPositionObject();

	/**
	 * Returns the meta object for data type '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMSBE <em>ENUMSBE Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ENUMSBE Object</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMSBE
	 * @model instanceClass="org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMSBE"
	 *        extendedMetaData="name='ENUMSBE:Object' baseType='ENUMSBE'"
	 * @generated
	 */
	EDataType getENUMSBEObject();

	/**
	 * Returns the meta object for data type '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMSpannungArt <em>ENUM Spannung Art Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ENUM Spannung Art Object</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMSpannungArt
	 * @model instanceClass="org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMSpannungArt"
	 *        extendedMetaData="name='ENUMSpannung_Art:Object' baseType='ENUMSpannung_Art'"
	 * @generated
	 */
	EDataType getENUMSpannungArtObject();

	/**
	 * Returns the meta object for data type '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMStandortangabeBalisenschild <em>ENUM Standortangabe Balisenschild Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ENUM Standortangabe Balisenschild Object</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMStandortangabeBalisenschild
	 * @model instanceClass="org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMStandortangabeBalisenschild"
	 *        extendedMetaData="name='ENUMStandortangabe_Balisenschild:Object' baseType='ENUMStandortangabe_Balisenschild'"
	 * @generated
	 */
	EDataType getENUMStandortangabeBalisenschildObject();

	/**
	 * Returns the meta object for data type '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMSTZ <em>ENUMSTZ Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ENUMSTZ Object</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMSTZ
	 * @model instanceClass="org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMSTZ"
	 *        extendedMetaData="name='ENUMSTZ:Object' baseType='ENUMSTZ'"
	 * @generated
	 */
	EDataType getENUMSTZObject();

	/**
	 * Returns the meta object for data type '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMVerbotWBArt <em>ENUM Verbot WB Art Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ENUM Verbot WB Art Object</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMVerbotWBArt
	 * @model instanceClass="org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMVerbotWBArt"
	 *        extendedMetaData="name='ENUMVerbot_WB_Art:Object' baseType='ENUMVerbot_WB_Art'"
	 * @generated
	 */
	EDataType getENUMVerbotWBArtObject();

	/**
	 * Returns the meta object for data type '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMVerwendungAlsRueckfall <em>ENUM Verwendung Als Rueckfall Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ENUM Verwendung Als Rueckfall Object</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMVerwendungAlsRueckfall
	 * @model instanceClass="org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMVerwendungAlsRueckfall"
	 *        extendedMetaData="name='ENUMVerwendung_Als_Rueckfall:Object' baseType='ENUMVerwendung_Als_Rueckfall'"
	 * @generated
	 */
	EDataType getENUMVerwendungAlsRueckfallObject();

	/**
	 * Returns the meta object for data type '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMWAnschluss <em>ENUMW Anschluss Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ENUMW Anschluss Object</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMWAnschluss
	 * @model instanceClass="org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMWAnschluss"
	 *        extendedMetaData="name='ENUMW_Anschluss:Object' baseType='ENUMW_Anschluss'"
	 * @generated
	 */
	EDataType getENUMWAnschlussObject();

	/**
	 * Returns the meta object for data type '{@link org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMZBSReaktion <em>ENUMZBS Reaktion Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ENUMZBS Reaktion Object</em>'.
	 * @see org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMZBSReaktion
	 * @model instanceClass="org.eclipse.set.toolboxmodel.Balisentechnik_ETCS.ENUMZBSReaktion"
	 *        extendedMetaData="name='ENUMZBS_Reaktion:Object' baseType='ENUMZBS_Reaktion'"
	 * @generated
	 */
	EDataType getENUMZBSReaktionObject();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>ESG Ind Erlaeuterung Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ESG Ind Erlaeuterung Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TESG_Ind_Erlaeuterung' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText'"
	 * @generated
	 */
	EDataType getESG_Ind_Erlaeuterung_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>ESG Ind Parameter Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ESG Ind Parameter Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TESG_Ind_Parameter' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText' pattern='.{1,15}'"
	 * @generated
	 */
	EDataType getESG_Ind_Parameter_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>ESG Ind Parameterwert Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ESG Ind Parameterwert Type</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TESG_Ind_Parameterwert' baseType='http://www.eclipse.org/emf/2003/XMLType#integer'"
	 * @generated
	 */
	EDataType getESG_Ind_Parameterwert_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigDecimal <em>ETCS Gefahrpunktabstand Abweichend Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ETCS Gefahrpunktabstand Abweichend Type</em>'.
	 * @see java.math.BigDecimal
	 * @model instanceClass="java.math.BigDecimal"
	 *        extendedMetaData="name='TETCS_Gefahrpunktabstand_Abweichend' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TMeter'"
	 * @generated
	 */
	EDataType getETCS_Gefahrpunktabstand_Abweichend_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>ETCS Paketnummer Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ETCS Paketnummer Type</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TETCS_Paketnummer' baseType='http://www.eclipse.org/emf/2003/XMLType#integer'"
	 * @generated
	 */
	EDataType getETCS_Paketnummer_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>ETCS Par Erlaeuterung Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ETCS Par Erlaeuterung Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TETCS_Par_Erlaeuterung' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText'"
	 * @generated
	 */
	EDataType getETCS_Par_Erlaeuterung_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>ETCS Parametername Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ETCS Parametername Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TETCS_Parametername' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText'"
	 * @generated
	 */
	EDataType getETCS_Parametername_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>ETCS Parameterwert Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ETCS Parameterwert Type</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TETCS_Parameterwert' baseType='http://www.eclipse.org/emf/2003/XMLType#integer'"
	 * @generated
	 */
	EDataType getETCS_Parameterwert_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>ETCS System Version Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ETCS System Version Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TETCS_System_Version' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText'"
	 * @generated
	 */
	EDataType getETCS_System_Version_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>EV Modul Typ Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>EV Modul Typ Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TEV_Modul_Typ' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText'"
	 * @generated
	 */
	EDataType getEV_Modul_Typ_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Fabrikat Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Fabrikat Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TFabrikat' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText'"
	 * @generated
	 */
	EDataType getFabrikat_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>FT ESG Subtyp Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>FT ESG Subtyp Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TFT_ESG_Subtyp' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText' pattern='.{5}'"
	 * @generated
	 */
	EDataType getFT_ESG_Subtyp_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>FT ESG Typ Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>FT ESG Typ Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TFT_ESG_Typ' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TZeichenkette' pattern='.{2}'"
	 * @generated
	 */
	EDataType getFT_ESG_Typ_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>FT ETCS L2 Typ Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>FT ETCS L2 Typ Type</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TFT_ETCS_L2_Typ' baseType='http://www.eclipse.org/emf/2003/XMLType#integer' pattern='[1-9]|[1-9][0-9]'"
	 * @generated
	 */
	EDataType getFT_ETCS_L2_Typ_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>FW Teil Nummer Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>FW Teil Nummer Type</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TFW_Teil_Nummer' baseType='http://www.eclipse.org/emf/2003/XMLType#integer'"
	 * @generated
	 */
	EDataType getFW_Teil_Nummer_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Gruppen ID Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Gruppen ID Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TGruppen_ID' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText'"
	 * @generated
	 */
	EDataType getGruppen_ID_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Hinweis Balisenbefestigung Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Hinweis Balisenbefestigung Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='THinweis_Balisenbefestigung' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText'"
	 * @generated
	 */
	EDataType getHinweis_Balisenbefestigung_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Individualisierung Weitere Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Individualisierung Weitere Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TIndividualisierung_Weitere' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText'"
	 * @generated
	 */
	EDataType getIndividualisierung_Weitere_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Km BTS 1Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Km BTS 1Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TKm_BTS_1' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TKilometrierung'"
	 * @generated
	 */
	EDataType getKm_BTS_1_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Km BTS 2Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Km BTS 2Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TKm_BTS_2' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TKilometrierung'"
	 * @generated
	 */
	EDataType getKm_BTS_2_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Km BTS 3Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Km BTS 3Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TKm_BTS_3' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TKilometrierung'"
	 * @generated
	 */
	EDataType getKm_BTS_3_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Konfigurationskennung Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Konfigurationskennung Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TKonfigurationskennung' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText'"
	 * @generated
	 */
	EDataType getKonfigurationskennung_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigDecimal <em>LACKLEVELTR Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>LACKLEVELTR Type</em>'.
	 * @see java.math.BigDecimal
	 * @model instanceClass="java.math.BigDecimal"
	 *        extendedMetaData="name='TL_ACKLEVELTR' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TMeter'"
	 * @generated
	 */
	EDataType getL_ACKLEVELTR_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigDecimal <em>Laenge 1Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Laenge 1Type</em>'.
	 * @see java.math.BigDecimal
	 * @model instanceClass="java.math.BigDecimal"
	 *        extendedMetaData="name='TLaenge_1' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TMeter'"
	 * @generated
	 */
	EDataType getLaenge_1_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigDecimal <em>Laenge Ausfuehrungsbereich Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Laenge Ausfuehrungsbereich Type</em>'.
	 * @see java.math.BigDecimal
	 * @model instanceClass="java.math.BigDecimal"
	 *        extendedMetaData="name='TLaenge_Ausfuehrungsbereich' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TMeter' pattern='[1-9][0-9]{0,2}'"
	 * @generated
	 */
	EDataType getLaenge_Ausfuehrungsbereich_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigDecimal <em>Laenge Gestufte VSignalisierung Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Laenge Gestufte VSignalisierung Type</em>'.
	 * @see java.math.BigDecimal
	 * @model instanceClass="java.math.BigDecimal"
	 *        extendedMetaData="name='TLaenge_Gestufte_V_Signalisierung' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TMeter'"
	 * @generated
	 */
	EDataType getLaenge_Gestufte_V_Signalisierung_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigDecimal <em>Laenge Soll Mind 150 Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Laenge Soll Mind 150 Type</em>'.
	 * @see java.math.BigDecimal
	 * @model instanceClass="java.math.BigDecimal"
	 *        extendedMetaData="name='TLaenge_Soll_Mind_150' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TMeter'"
	 * @generated
	 */
	EDataType getLaenge_Soll_Mind_150_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>Leistungsbedarf Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Leistungsbedarf Type</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TLeistungsbedarf' baseType='http://www.eclipse.org/emf/2003/XMLType#integer'"
	 * @generated
	 */
	EDataType getLeistungsbedarf_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>LEU Ausgang Nr Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>LEU Ausgang Nr Type</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TLEU_Ausgang_Nr' baseType='http://www.eclipse.org/emf/2003/XMLType#integer'"
	 * @generated
	 */
	EDataType getLEU_Ausgang_Nr_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>LEU Modul Geraetestand Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>LEU Modul Geraetestand Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TLEU_Modul_Geraetestand' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText'"
	 * @generated
	 */
	EDataType getLEU_Modul_Geraetestand_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>LEU Modul Typ Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>LEU Modul Typ Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TLEU_Modul_Typ' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText'"
	 * @generated
	 */
	EDataType getLEU_Modul_Typ_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>LEU Schaltkasten Typ Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>LEU Schaltkasten Typ Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TLEU_Schaltkasten_Typ' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText'"
	 * @generated
	 */
	EDataType getLEU_Schaltkasten_Typ_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>Lfd Nr Am Bezugspunkt Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Lfd Nr Am Bezugspunkt Type</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TLfd_Nr_Am_Bezugspunkt' baseType='http://www.eclipse.org/emf/2003/XMLType#integer'"
	 * @generated
	 */
	EDataType getLfd_Nr_Am_Bezugspunkt_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigDecimal <em>Link Distanz Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Link Distanz Type</em>'.
	 * @see java.math.BigDecimal
	 * @model instanceClass="java.math.BigDecimal"
	 *        extendedMetaData="name='TLink_Distanz' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TMeter'"
	 * @generated
	 */
	EDataType getLink_Distanz_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigDecimal <em>LLA Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>LLA Type</em>'.
	 * @see java.math.BigDecimal
	 * @model instanceClass="java.math.BigDecimal"
	 *        extendedMetaData="name='TLLA' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TMeter'"
	 * @generated
	 */
	EDataType getLLA_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigDecimal <em>Massgebende Neig 1Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Massgebende Neig 1Type</em>'.
	 * @see java.math.BigDecimal
	 * @model instanceClass="java.math.BigDecimal"
	 *        extendedMetaData="name='TMassgebende_Neig_1' baseType='http://www.eclipse.org/emf/2003/XMLType#decimal' pattern='-([1-9]|[1-7][0-9]|80)\\.[0-9]{2}|-0\\.[1-9][0-9]|-0\\.0[1-9]|[0-9]\\.[0-9]{2}|[1-7][0-9]\\.[0-9]{2}|80\\.00'"
	 * @generated
	 */
	EDataType getMassgebende_Neig_1_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigDecimal <em>Massgebende Neig Schutzstrecke Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Massgebende Neig Schutzstrecke Type</em>'.
	 * @see java.math.BigDecimal
	 * @model instanceClass="java.math.BigDecimal"
	 *        extendedMetaData="name='TMassgebende_Neig_Schutzstrecke' baseType='http://www.eclipse.org/emf/2003/XMLType#decimal' pattern='-([1-9]|[1-7][0-9]|80)\\.[0-9]{2}|-0\\.[1-9][0-9]|-0\\.0[1-9]|[0-9]\\.[0-9]{2}|[1-7][0-9]\\.[0-9]{2}|80\\.00'"
	 * @generated
	 */
	EDataType getMassgebende_Neig_Schutzstrecke_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigDecimal <em>Massgebende Neigung Mind 150 Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Massgebende Neigung Mind 150 Type</em>'.
	 * @see java.math.BigDecimal
	 * @model instanceClass="java.math.BigDecimal"
	 *        extendedMetaData="name='TMassgebende_Neigung_Mind_150' baseType='http://www.eclipse.org/emf/2003/XMLType#decimal'"
	 * @generated
	 */
	EDataType getMassgebende_Neigung_Mind_150_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigDecimal <em>Massgebende Neigung Mind Sig 150 Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Massgebende Neigung Mind Sig 150 Type</em>'.
	 * @see java.math.BigDecimal
	 * @model instanceClass="java.math.BigDecimal"
	 *        extendedMetaData="name='TMassgebende_Neigung_Mind_Sig_150' baseType='http://www.eclipse.org/emf/2003/XMLType#decimal'"
	 * @generated
	 */
	EDataType getMassgebende_Neigung_Mind_Sig_150_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigDecimal <em>Massgebende Neigung Mind Sig Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Massgebende Neigung Mind Sig Type</em>'.
	 * @see java.math.BigDecimal
	 * @model instanceClass="java.math.BigDecimal"
	 *        extendedMetaData="name='TMassgebende_Neigung_Mind_Sig' baseType='http://www.eclipse.org/emf/2003/XMLType#decimal'"
	 * @generated
	 */
	EDataType getMassgebende_Neigung_Mind_Sig_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>Max Leistung Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Max Leistung Type</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TMax_Leistung' baseType='http://www.eclipse.org/emf/2003/XMLType#integer'"
	 * @generated
	 */
	EDataType getMax_Leistung_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigDecimal <em>Max Unterbrechungszeit Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Max Unterbrechungszeit Type</em>'.
	 * @see java.math.BigDecimal
	 * @model instanceClass="java.math.BigDecimal"
	 *        extendedMetaData="name='TMax_Unterbrechungszeit' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TSekunde' pattern='(([0-9]|[1-2][0-9])\\.[0-9]{2})|(30\\.00)'"
	 * @generated
	 */
	EDataType getMax_Unterbrechungszeit_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>Metallteil Kategorie Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Metallteil Kategorie Type</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TMetallteil_Kategorie' baseType='http://www.eclipse.org/emf/2003/XMLType#integer' pattern='[0]'"
	 * @generated
	 */
	EDataType getMetallteil_Kategorie_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigDecimal <em>Metallteil Laenge Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Metallteil Laenge Type</em>'.
	 * @see java.math.BigDecimal
	 * @model instanceClass="java.math.BigDecimal"
	 *        extendedMetaData="name='TMetallteil_Laenge' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TMeter'"
	 * @generated
	 */
	EDataType getMetallteil_Laenge_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>Modulnummer Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Modulnummer Type</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TModulnummer' baseType='http://www.eclipse.org/emf/2003/XMLType#integer'"
	 * @generated
	 */
	EDataType getModulnummer_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigDecimal <em>Montageabweichung Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Montageabweichung Type</em>'.
	 * @see java.math.BigDecimal
	 * @model instanceClass="java.math.BigDecimal"
	 *        extendedMetaData="name='TMontageabweichung' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TMeter'"
	 * @generated
	 */
	EDataType getMontageabweichung_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>Neigung Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Neigung Type</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TNeigung' baseType='http://www.eclipse.org/emf/2003/XMLType#integer' pattern='[5-9]|1[0-9]|2[0-4]'"
	 * @generated
	 */
	EDataType getNeigung_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>Nennleistung Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Nennleistung Type</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TNennleistung' baseType='http://www.eclipse.org/emf/2003/XMLType#integer'"
	 * @generated
	 */
	EDataType getNennleistung_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>NID BG Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>NID BG Type</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TNID_BG' baseType='http://www.eclipse.org/emf/2003/XMLType#integer' pattern='0|1[0-5][0-9]{3}|16[0-2][0-9]{2}|163[0-7][0-9]|1638[0-3]|[1-9][0-9]{0,3}'"
	 * @generated
	 */
	EDataType getNID_BG_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>NID CType</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>NID CType</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TNID_C' baseType='http://www.eclipse.org/emf/2003/XMLType#integer' pattern='102[0-3]|10[0-1][0-9]|[1-9][0-9]{2}|0|[1-9][0-9]{0,1}'"
	 * @generated
	 */
	EDataType getNID_C_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>NID RBC Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>NID RBC Type</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TNID_RBC' baseType='http://www.eclipse.org/emf/2003/XMLType#integer' pattern='0|1[0-5][0-9]{3}|16[0-2][0-9]{2}|163[0-7][0-9]|1638[0-3]|[1-9][0-9]{0,3}'"
	 * @generated
	 */
	EDataType getNID_RBC_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>NID TSR Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>NID TSR Type</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TNID_TSR' baseType='http://www.eclipse.org/emf/2003/XMLType#integer'"
	 * @generated
	 */
	EDataType getNID_TSR_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>Nummer Schaltkasten Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Nummer Schaltkasten Type</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TNummer_Schaltkasten' baseType='http://www.eclipse.org/emf/2003/XMLType#integer'"
	 * @generated
	 */
	EDataType getNummer_Schaltkasten_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>Oberstrombegrenzung Gueterzug Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Oberstrombegrenzung Gueterzug Type</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TOberstrombegrenzung_Gueterzug' baseType='http://www.eclipse.org/emf/2003/XMLType#integer' pattern='0|[1-9][0-9]{0,2}|1[0-9]{3}|2000'"
	 * @generated
	 */
	EDataType getOberstrombegrenzung_Gueterzug_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>Oberstrombegrenzung Reisezug Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Oberstrombegrenzung Reisezug Type</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TOberstrombegrenzung_Reisezug' baseType='http://www.eclipse.org/emf/2003/XMLType#integer' pattern='0|[1-9][0-9]{0,2}|1[0-9]{3}|2000'"
	 * @generated
	 */
	EDataType getOberstrombegrenzung_Reisezug_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>Port Nr Ausg Physisch Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Port Nr Ausg Physisch Type</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TPort_Nr_Ausg_Physisch' baseType='http://www.eclipse.org/emf/2003/XMLType#integer'"
	 * @generated
	 */
	EDataType getPort_Nr_Ausg_Physisch_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Position Sonstige Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Position Sonstige Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TPosition_Sonstige' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText'"
	 * @generated
	 */
	EDataType getPosition_Sonstige_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>Prioritaet Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Prioritaet Type</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TPrioritaet' baseType='http://www.eclipse.org/emf/2003/XMLType#integer' pattern='1[0-5]|[1-9]'"
	 * @generated
	 */
	EDataType getPrioritaet_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>Projektierungsfall Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Projektierungsfall Type</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TProjektierungsfall' baseType='http://www.eclipse.org/emf/2003/XMLType#integer'"
	 * @generated
	 */
	EDataType getProjektierungsfall_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>RBC ETCS System Version Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>RBC ETCS System Version Type</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TRBC_ETCS_System_Version' baseType='http://www.eclipse.org/emf/2003/XMLType#integer'"
	 * @generated
	 */
	EDataType getRBC_ETCS_System_Version_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>RBC SRS Version Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>RBC SRS Version Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TRBC_SRS_Version' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TZeichenkette' pattern='.{1}'"
	 * @generated
	 */
	EDataType getRBC_SRS_Version_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>Rekursion 2Nr Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Rekursion 2Nr Type</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TRekursion_2_Nr' baseType='http://www.eclipse.org/emf/2003/XMLType#integer'"
	 * @generated
	 */
	EDataType getRekursion_2_Nr_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>Rekursion Nr Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Rekursion Nr Type</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TRekursion_Nr' baseType='http://www.eclipse.org/emf/2003/XMLType#integer'"
	 * @generated
	 */
	EDataType getRekursion_Nr_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Rufnummer Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Rufnummer Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TRufnummer' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText'"
	 * @generated
	 */
	EDataType getRufnummer_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigDecimal <em>Schutzstrecke Erforderlich Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Schutzstrecke Erforderlich Type</em>'.
	 * @see java.math.BigDecimal
	 * @model instanceClass="java.math.BigDecimal"
	 *        extendedMetaData="name='TSchutzstrecke_Erforderlich' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TMeter'"
	 * @generated
	 */
	EDataType getSchutzstrecke_Erforderlich_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigDecimal <em>Schutzstrecke Vorhanden Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Schutzstrecke Vorhanden Type</em>'.
	 * @see java.math.BigDecimal
	 * @model instanceClass="java.math.BigDecimal"
	 *        extendedMetaData="name='TSchutzstrecke_Vorhanden' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TMeter'"
	 * @generated
	 */
	EDataType getSchutzstrecke_Vorhanden_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigDecimal <em>Solllaenge Mind Sig 150 Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Solllaenge Mind Sig 150 Type</em>'.
	 * @see java.math.BigDecimal
	 * @model instanceClass="java.math.BigDecimal"
	 *        extendedMetaData="name='TSolllaenge_Mind_Sig_150' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TMeter'"
	 * @generated
	 */
	EDataType getSolllaenge_Mind_Sig_150_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigDecimal <em>Solllaenge Mind Sig Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Solllaenge Mind Sig Type</em>'.
	 * @see java.math.BigDecimal
	 * @model instanceClass="java.math.BigDecimal"
	 *        extendedMetaData="name='TSolllaenge_Mind_Sig' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TMeter'"
	 * @generated
	 */
	EDataType getSolllaenge_Mind_Sig_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Sonstige Standortangabe Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Sonstige Standortangabe Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TSonstige_Standortangabe' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText'"
	 * @generated
	 */
	EDataType getSonstige_Standortangabe_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>Spannung Toleranz Obere Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Spannung Toleranz Obere Type</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TSpannung_Toleranz_Obere' baseType='http://www.eclipse.org/emf/2003/XMLType#integer'"
	 * @generated
	 */
	EDataType getSpannung_Toleranz_Obere_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>Spannung Toleranz Untere Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Spannung Toleranz Untere Type</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TSpannung_Toleranz_Untere' baseType='http://www.eclipse.org/emf/2003/XMLType#integer'"
	 * @generated
	 */
	EDataType getSpannung_Toleranz_Untere_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>SRS Version Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>SRS Version Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TSRS_Version' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TZeichenkette'"
	 * @generated
	 */
	EDataType getSRS_Version_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>System Vor Grenze Besonders Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>System Vor Grenze Besonders Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TSystem_Vor_Grenze_Besonders' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText' pattern='.{1,30}'"
	 * @generated
	 */
	EDataType getSystem_Vor_Grenze_Besonders_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigDecimal <em>TBV Tunnelbereich Laenge Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>TBV Tunnelbereich Laenge Type</em>'.
	 * @see java.math.BigDecimal
	 * @model instanceClass="java.math.BigDecimal"
	 *        extendedMetaData="name='TTBV_Tunnelbereich_Laenge' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TMeter'"
	 * @generated
	 */
	EDataType getTBV_Tunnelbereich_Laenge_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Telegramm Index Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Telegramm Index Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TTelegramm_Index' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText'"
	 * @generated
	 */
	EDataType getTelegramm_Index_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>Telegrammnummer Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Telegrammnummer Type</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TTelegrammnummer' baseType='http://www.eclipse.org/emf/2003/XMLType#integer'"
	 * @generated
	 */
	EDataType getTelegrammnummer_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Text Bedingung Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Text Bedingung Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TText_Bedingung' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText'"
	 * @generated
	 */
	EDataType getText_Bedingung_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Textmeldung Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Textmeldung Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TTextmeldung' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText'"
	 * @generated
	 */
	EDataType getTextmeldung_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigDecimal <em>Ueberbrueckung EV Unterbrechung Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Ueberbrueckung EV Unterbrechung Type</em>'.
	 * @see java.math.BigDecimal
	 * @model instanceClass="java.math.BigDecimal"
	 *        extendedMetaData="name='TUeberbrueckung_EV_Unterbrechung' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TSekunde' pattern='([0-1]\\.[0-9]{2})|(2\\.[0-4][0-9])|(2\\.50)'"
	 * @generated
	 */
	EDataType getUeberbrueckung_EV_Unterbrechung_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigDecimal <em>Ueberwachung Laenge Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Ueberwachung Laenge Type</em>'.
	 * @see java.math.BigDecimal
	 * @model instanceClass="java.math.BigDecimal"
	 *        extendedMetaData="name='TUeberwachung_Laenge' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TMeter'"
	 * @generated
	 */
	EDataType getUeberwachung_Laenge_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Untergruppen ID Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Untergruppen ID Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TUntergruppen_ID' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText'"
	 * @generated
	 */
	EDataType getUntergruppen_ID_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>VBefehl RType</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>VBefehl RType</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TV_Befehl_R' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TGeschwindigkeit'"
	 * @generated
	 */
	EDataType getV_Befehl_R_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>VBefehl ZType</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>VBefehl ZType</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TV_Befehl_Z' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TGeschwindigkeit'"
	 * @generated
	 */
	EDataType getV_Befehl_Z_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>VFrei Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>VFrei Type</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TV_Frei' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TGeschwindigkeit'"
	 * @generated
	 */
	EDataType getV_Frei_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>VStart Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>VStart Type</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TV_Start' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TGeschwindigkeit'"
	 * @generated
	 */
	EDataType getV_Start_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>VZiel Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>VZiel Type</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TV_Ziel' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TGeschwindigkeit'"
	 * @generated
	 */
	EDataType getV_Ziel_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>VZul Strecke Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>VZul Strecke Type</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TV_Zul_Strecke' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TGeschwindigkeit'"
	 * @generated
	 */
	EDataType getV_Zul_Strecke_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>VBC Kennung Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>VBC Kennung Type</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TVBC_Kennung' baseType='http://www.eclipse.org/emf/2003/XMLType#integer'"
	 * @generated
	 */
	EDataType getVBC_Kennung_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>VBC NID CType</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>VBC NID CType</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TVBC_NID_C' baseType='http://www.eclipse.org/emf/2003/XMLType#integer'"
	 * @generated
	 */
	EDataType getVBC_NID_C_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>VBC Timer Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>VBC Timer Type</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TVBC_Timer' baseType='http://www.eclipse.org/emf/2003/XMLType#integer'"
	 * @generated
	 */
	EDataType getVBC_Timer_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Verbot Anhalten Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Verbot Anhalten Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TVerbot_Anhalten' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText'"
	 * @generated
	 */
	EDataType getVerbot_Anhalten_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>Verkuerzter Abstand Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Verkuerzter Abstand Type</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TVerkuerzter_Abstand' baseType='http://www.eclipse.org/emf/2003/XMLType#integer'"
	 * @generated
	 */
	EDataType getVerkuerzter_Abstand_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Verwendung Hilfe Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Verwendung Hilfe Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TVerwendung_Hilfe' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TZeichenkette'"
	 * @generated
	 */
	EDataType getVerwendung_Hilfe_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Verwendung Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Verwendung Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TVerwendung' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TZeichenkette'"
	 * @generated
	 */
	EDataType getVerwendung_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>VGR 1Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>VGR 1Type</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TVGR_1' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TGeschwindigkeit'"
	 * @generated
	 */
	EDataType getVGR_1_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>VGR 2Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>VGR 2Type</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TVGR_2' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TGeschwindigkeit'"
	 * @generated
	 */
	EDataType getVGR_2_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>VGR Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>VGR Type</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TVGR' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TGeschwindigkeit'"
	 * @generated
	 */
	EDataType getVGR_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>VLA Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>VLA Type</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TVLA' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TGeschwindigkeit'"
	 * @generated
	 */
	EDataType getVLA_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigDecimal <em>Vorsignalabstand Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Vorsignalabstand Type</em>'.
	 * @see java.math.BigDecimal
	 * @model instanceClass="java.math.BigDecimal"
	 *        extendedMetaData="name='TVorsignalabstand' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TMeter'"
	 * @generated
	 */
	EDataType getVorsignalabstand_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>VZ Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>VZ Type</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TVZ' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TGeschwindigkeit'"
	 * @generated
	 */
	EDataType getVZ_Type();

	/**
	 * Returns the meta object for data type '{@link org.eclipse.set.toolboxmodel.BasisTypen.ENUMWirkrichtung <em>Wirkrichtung In Datenpunkt Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Wirkrichtung In Datenpunkt Type</em>'.
	 * @see org.eclipse.set.toolboxmodel.BasisTypen.ENUMWirkrichtung
	 * @model instanceClass="org.eclipse.set.toolboxmodel.BasisTypen.ENUMWirkrichtung"
	 *        extendedMetaData="name='TWirkrichtung_In_Datenpunkt' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TWirkrichtung'"
	 * @generated
	 */
	EDataType getWirkrichtung_In_Datenpunkt_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigDecimal <em>ZBS La Bereich Distanz Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ZBS La Bereich Distanz Type</em>'.
	 * @see java.math.BigDecimal
	 * @model instanceClass="java.math.BigDecimal"
	 *        extendedMetaData="name='TZBS_La_Bereich_Distanz' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TMeter'"
	 * @generated
	 */
	EDataType getZBS_La_Bereich_Distanz_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>ZBS La Bereich Geschwindigkeit Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ZBS La Bereich Geschwindigkeit Type</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TZBS_La_Bereich_Geschwindigkeit' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TGeschwindigkeit'"
	 * @generated
	 */
	EDataType getZBS_La_Bereich_Geschwindigkeit_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigDecimal <em>ZBS La Bereich Laenge Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ZBS La Bereich Laenge Type</em>'.
	 * @see java.math.BigDecimal
	 * @model instanceClass="java.math.BigDecimal"
	 *        extendedMetaData="name='TZBS_La_Bereich_Laenge' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TMeter'"
	 * @generated
	 */
	EDataType getZBS_La_Bereich_Laenge_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigDecimal <em>ZBS La Bereich Neigung Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ZBS La Bereich Neigung Type</em>'.
	 * @see java.math.BigDecimal
	 * @model instanceClass="java.math.BigDecimal"
	 *        extendedMetaData="name='TZBS_La_Bereich_Neigung' baseType='http://www.eclipse.org/emf/2003/XMLType#decimal' pattern='-([1-9]|[1-7][0-9]|80)\\.[0-9]{2}|-0\\.[1-9][0-9]|-0\\.0[1-9]|[0-9]\\.[0-9]{2}|[1-7][0-9]\\.[0-9]{2}|80\\.00'"
	 * @generated
	 */
	EDataType getZBS_La_Bereich_Neigung_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigDecimal <em>ZLA Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ZLA Type</em>'.
	 * @see java.math.BigDecimal
	 * @model instanceClass="java.math.BigDecimal"
	 *        extendedMetaData="name='TZLA' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TMeter'"
	 * @generated
	 */
	EDataType getZLA_Type();

	/**
	 * Returns the factory that creates the instances of the model.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the factory that creates the instances of the model.
	 * @generated
	 */
	Balisentechnik_ETCSFactory getBalisentechnik_ETCSFactory();

} //Balisentechnik_ETCSPackage
