/**
 * Copyright (c) 2023 DB Netz AG and others.
 *  
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 */
package org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EDataType;
import org.eclipse.emf.ecore.EEnum;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

import org.eclipse.set.toolboxmodel.BasisTypen.BasisTypenPackage;

import org.eclipse.set.toolboxmodel.Basisobjekte.BasisobjektePackage;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each operation of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * <!-- begin-model-doc -->
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * Dieses Werk ist lizenziert unter der Open Source Lizenz RailPL V1.0.
 * 
 * Weitere Informationen zur Lizenz finden Sie auf
 * http://www.dbnetze.com/planpro
 * 
 * Inhalt der Datei:
 * XML Schema für PlanPro Schnittstelle.
 * 
 * Bei Fragen zum Schema wenden Sie sich bitte an planpro@deutschebahn.com
 * 
 * --------------------------------------------------------------------------------
 * 
 * This Document is licensed under the open source license RailPL V1.0.
 * 
 * More information about the license can be found on
 * http://www.dbnetze.com/planpro
 * 
 * Contents of the file:
 * XML Schema for PlanPro interface.
 * <!-- end-model-doc -->
 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZugnummernmeldeanlageFactory
 * @model kind="package"
 * @generated
 */
public interface ZugnummernmeldeanlagePackage extends EPackage {
	/**
	 * The package name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNAME = "Zugnummernmeldeanlage";

	/**
	 * The package namespace URI.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_URI = "http://www.plan-pro.org/modell/Zugnummernmeldeanlage/toolbox";

	/**
	 * The package namespace name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_PREFIX = "nsZugnummernmeldeanlage";

	/**
	 * The singleton instance of the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	ZugnummernmeldeanlagePackage eINSTANCE = org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl.init();

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Akustikdauer_Anb_Ann_TypeClassImpl <em>Akustikdauer Anb Ann Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Akustikdauer_Anb_Ann_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getAkustikdauer_Anb_Ann_TypeClass()
	 * @generated
	 */
	int AKUSTIKDAUER_ANB_ANN_TYPE_CLASS = 0;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AKUSTIKDAUER_ANB_ANN_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AKUSTIKDAUER_ANB_ANN_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Akustikdauer Anb Ann Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AKUSTIKDAUER_ANB_ANN_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Akustikdauer Anb Ann Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AKUSTIKDAUER_ANB_ANN_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Akustikdauer_Sonst_TypeClassImpl <em>Akustikdauer Sonst Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Akustikdauer_Sonst_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getAkustikdauer_Sonst_TypeClass()
	 * @generated
	 */
	int AKUSTIKDAUER_SONST_TYPE_CLASS = 1;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AKUSTIKDAUER_SONST_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AKUSTIKDAUER_SONST_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Akustikdauer Sonst Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AKUSTIKDAUER_SONST_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Akustikdauer Sonst Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AKUSTIKDAUER_SONST_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Akustikdauer_Voranz_TypeClassImpl <em>Akustikdauer Voranz Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Akustikdauer_Voranz_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getAkustikdauer_Voranz_TypeClass()
	 * @generated
	 */
	int AKUSTIKDAUER_VORANZ_TYPE_CLASS = 2;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AKUSTIKDAUER_VORANZ_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AKUSTIKDAUER_VORANZ_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Akustikdauer Voranz Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AKUSTIKDAUER_VORANZ_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Akustikdauer Voranz Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AKUSTIKDAUER_VORANZ_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Anschlussnummer_TypeClassImpl <em>Anschlussnummer Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Anschlussnummer_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getAnschlussnummer_TypeClass()
	 * @generated
	 */
	int ANSCHLUSSNUMMER_TYPE_CLASS = 3;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ANSCHLUSSNUMMER_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ANSCHLUSSNUMMER_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Anschlussnummer Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ANSCHLUSSNUMMER_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Anschlussnummer Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ANSCHLUSSNUMMER_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Ausfahrdruck_Gegengleis_TypeClassImpl <em>Ausfahrdruck Gegengleis Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Ausfahrdruck_Gegengleis_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getAusfahrdruck_Gegengleis_TypeClass()
	 * @generated
	 */
	int AUSFAHRDRUCK_GEGENGLEIS_TYPE_CLASS = 4;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUSFAHRDRUCK_GEGENGLEIS_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUSFAHRDRUCK_GEGENGLEIS_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Ausfahrdruck Gegengleis Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUSFAHRDRUCK_GEGENGLEIS_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Ausfahrdruck Gegengleis Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUSFAHRDRUCK_GEGENGLEIS_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Ausfahrdruck_TypeClassImpl <em>Ausfahrdruck Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Ausfahrdruck_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getAusfahrdruck_TypeClass()
	 * @generated
	 */
	int AUSFAHRDRUCK_TYPE_CLASS = 5;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUSFAHRDRUCK_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUSFAHRDRUCK_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Ausfahrdruck Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUSFAHRDRUCK_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Ausfahrdruck Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUSFAHRDRUCK_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Bedienbarkeit_Anzeigefeld_TypeClassImpl <em>Bedienbarkeit Anzeigefeld Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Bedienbarkeit_Anzeigefeld_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getBedienbarkeit_Anzeigefeld_TypeClass()
	 * @generated
	 */
	int BEDIENBARKEIT_ANZEIGEFELD_TYPE_CLASS = 6;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEDIENBARKEIT_ANZEIGEFELD_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEDIENBARKEIT_ANZEIGEFELD_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Bedienbarkeit Anzeigefeld Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEDIENBARKEIT_ANZEIGEFELD_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Bedienbarkeit Anzeigefeld Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEDIENBARKEIT_ANZEIGEFELD_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Besonderes_Schaltkriterium_TypeClassImpl <em>Besonderes Schaltkriterium Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Besonderes_Schaltkriterium_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getBesonderes_Schaltkriterium_TypeClass()
	 * @generated
	 */
	int BESONDERES_SCHALTKRITERIUM_TYPE_CLASS = 7;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BESONDERES_SCHALTKRITERIUM_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BESONDERES_SCHALTKRITERIUM_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Besonderes Schaltkriterium Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BESONDERES_SCHALTKRITERIUM_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Besonderes Schaltkriterium Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BESONDERES_SCHALTKRITERIUM_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Bezeichnung_Besondere_Anlage_TypeClassImpl <em>Bezeichnung Besondere Anlage Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Bezeichnung_Besondere_Anlage_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getBezeichnung_Besondere_Anlage_TypeClass()
	 * @generated
	 */
	int BEZEICHNUNG_BESONDERE_ANLAGE_TYPE_CLASS = 8;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEZEICHNUNG_BESONDERE_ANLAGE_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEZEICHNUNG_BESONDERE_ANLAGE_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Bezeichnung Besondere Anlage Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEZEICHNUNG_BESONDERE_ANLAGE_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Bezeichnung Besondere Anlage Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEZEICHNUNG_BESONDERE_ANLAGE_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Bf_Kennung_TypeClassImpl <em>Bf Kennung Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Bf_Kennung_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getBf_Kennung_TypeClass()
	 * @generated
	 */
	int BF_KENNUNG_TYPE_CLASS = 9;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BF_KENNUNG_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BF_KENNUNG_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Bf Kennung Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BF_KENNUNG_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Bf Kennung Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BF_KENNUNG_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Bf_Nr_ANB_TypeClassImpl <em>Bf Nr ANB Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Bf_Nr_ANB_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getBf_Nr_ANB_TypeClass()
	 * @generated
	 */
	int BF_NR_ANB_TYPE_CLASS = 10;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BF_NR_ANB_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BF_NR_ANB_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Bf Nr ANB Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BF_NR_ANB_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Bf Nr ANB Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BF_NR_ANB_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Bf_Nr_TypeClassImpl <em>Bf Nr Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Bf_Nr_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getBf_Nr_TypeClass()
	 * @generated
	 */
	int BF_NR_TYPE_CLASS = 11;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BF_NR_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BF_NR_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Bf Nr Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BF_NR_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Bf Nr Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BF_NR_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Bf_Nr_ZN_A_TypeClassImpl <em>Bf Nr ZN AType Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Bf_Nr_ZN_A_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getBf_Nr_ZN_A_TypeClass()
	 * @generated
	 */
	int BF_NR_ZN_ATYPE_CLASS = 12;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BF_NR_ZN_ATYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BF_NR_ZN_ATYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Bf Nr ZN AType Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BF_NR_ZN_ATYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Bf Nr ZN AType Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BF_NR_ZN_ATYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Durchfahrdruck_TypeClassImpl <em>Durchfahrdruck Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Durchfahrdruck_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getDurchfahrdruck_TypeClass()
	 * @generated
	 */
	int DURCHFAHRDRUCK_TYPE_CLASS = 13;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DURCHFAHRDRUCK_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DURCHFAHRDRUCK_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Durchfahrdruck Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DURCHFAHRDRUCK_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Durchfahrdruck Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DURCHFAHRDRUCK_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Einfahrdruck_Gegengleis_TypeClassImpl <em>Einfahrdruck Gegengleis Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Einfahrdruck_Gegengleis_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getEinfahrdruck_Gegengleis_TypeClass()
	 * @generated
	 */
	int EINFAHRDRUCK_GEGENGLEIS_TYPE_CLASS = 14;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EINFAHRDRUCK_GEGENGLEIS_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EINFAHRDRUCK_GEGENGLEIS_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Einfahrdruck Gegengleis Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EINFAHRDRUCK_GEGENGLEIS_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Einfahrdruck Gegengleis Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EINFAHRDRUCK_GEGENGLEIS_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Einfahrdruck_TypeClassImpl <em>Einfahrdruck Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Einfahrdruck_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getEinfahrdruck_TypeClass()
	 * @generated
	 */
	int EINFAHRDRUCK_TYPE_CLASS = 15;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EINFAHRDRUCK_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EINFAHRDRUCK_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Einfahrdruck Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EINFAHRDRUCK_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Einfahrdruck Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EINFAHRDRUCK_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Einwahlstelle_TypeClassImpl <em>Einwahlstelle Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Einwahlstelle_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getEinwahlstelle_TypeClass()
	 * @generated
	 */
	int EINWAHLSTELLE_TYPE_CLASS = 16;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EINWAHLSTELLE_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EINWAHLSTELLE_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Einwahlstelle Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EINWAHLSTELLE_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Einwahlstelle Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EINWAHLSTELLE_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Funktionalitaet_Anzeigefeld_TypeClassImpl <em>Funktionalitaet Anzeigefeld Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Funktionalitaet_Anzeigefeld_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getFunktionalitaet_Anzeigefeld_TypeClass()
	 * @generated
	 */
	int FUNKTIONALITAET_ANZEIGEFELD_TYPE_CLASS = 17;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FUNKTIONALITAET_ANZEIGEFELD_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FUNKTIONALITAET_ANZEIGEFELD_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Funktionalitaet Anzeigefeld Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FUNKTIONALITAET_ANZEIGEFELD_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Funktionalitaet Anzeigefeld Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FUNKTIONALITAET_ANZEIGEFELD_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.HOA_TypeClassImpl <em>HOA Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.HOA_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getHOA_TypeClass()
	 * @generated
	 */
	int HOA_TYPE_CLASS = 18;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HOA_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HOA_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>HOA Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HOA_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>HOA Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HOA_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.IP_Adresse_TypeClassImpl <em>IP Adresse Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.IP_Adresse_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getIP_Adresse_TypeClass()
	 * @generated
	 */
	int IP_ADRESSE_TYPE_CLASS = 19;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IP_ADRESSE_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IP_ADRESSE_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>IP Adresse Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IP_ADRESSE_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>IP Adresse Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IP_ADRESSE_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Koppelunterstation_TypeClassImpl <em>Koppelunterstation Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Koppelunterstation_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getKoppelunterstation_TypeClass()
	 * @generated
	 */
	int KOPPELUNTERSTATION_TYPE_CLASS = 20;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KOPPELUNTERSTATION_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KOPPELUNTERSTATION_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Koppelunterstation Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KOPPELUNTERSTATION_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Koppelunterstation Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KOPPELUNTERSTATION_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.KUs_Zeittelegramm_TypeClassImpl <em>KUs Zeittelegramm Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.KUs_Zeittelegramm_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getKUs_Zeittelegramm_TypeClass()
	 * @generated
	 */
	int KUS_ZEITTELEGRAMM_TYPE_CLASS = 21;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KUS_ZEITTELEGRAMM_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KUS_ZEITTELEGRAMM_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>KUs Zeittelegramm Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KUS_ZEITTELEGRAMM_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>KUs Zeittelegramm Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KUS_ZEITTELEGRAMM_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Meldedruck_TypeClassImpl <em>Meldedruck Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Meldedruck_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getMeldedruck_TypeClass()
	 * @generated
	 */
	int MELDEDRUCK_TYPE_CLASS = 22;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MELDEDRUCK_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MELDEDRUCK_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Meldedruck Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MELDEDRUCK_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Meldedruck Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MELDEDRUCK_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Prioritaet_TypeClassImpl <em>Prioritaet Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Prioritaet_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getPrioritaet_TypeClass()
	 * @generated
	 */
	int PRIORITAET_TYPE_CLASS = 23;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRIORITAET_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRIORITAET_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Prioritaet Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRIORITAET_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Prioritaet Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRIORITAET_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Reaktivierungsfunktion_TypeClassImpl <em>Reaktivierungsfunktion Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Reaktivierungsfunktion_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getReaktivierungsfunktion_TypeClass()
	 * @generated
	 */
	int REAKTIVIERUNGSFUNKTION_TYPE_CLASS = 24;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REAKTIVIERUNGSFUNKTION_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REAKTIVIERUNGSFUNKTION_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Reaktivierungsfunktion Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REAKTIVIERUNGSFUNKTION_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Reaktivierungsfunktion Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REAKTIVIERUNGSFUNKTION_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Sichtbarkeit_Anzeigefeld_TypeClassImpl <em>Sichtbarkeit Anzeigefeld Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Sichtbarkeit_Anzeigefeld_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getSichtbarkeit_Anzeigefeld_TypeClass()
	 * @generated
	 */
	int SICHTBARKEIT_ANZEIGEFELD_TYPE_CLASS = 25;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SICHTBARKEIT_ANZEIGEFELD_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SICHTBARKEIT_ANZEIGEFELD_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Sichtbarkeit Anzeigefeld Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SICHTBARKEIT_ANZEIGEFELD_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Sichtbarkeit Anzeigefeld Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SICHTBARKEIT_ANZEIGEFELD_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Telegramm_02_TypeClassImpl <em>Telegramm 02 Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Telegramm_02_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getTelegramm_02_TypeClass()
	 * @generated
	 */
	int TELEGRAMM_02_TYPE_CLASS = 26;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMM_02_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMM_02_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Telegramm 02 Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMM_02_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Telegramm 02 Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMM_02_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Telegramm_03_TypeClassImpl <em>Telegramm 03 Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Telegramm_03_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getTelegramm_03_TypeClass()
	 * @generated
	 */
	int TELEGRAMM_03_TYPE_CLASS = 27;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMM_03_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMM_03_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Telegramm 03 Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMM_03_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Telegramm 03 Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMM_03_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Telegramm_04_TypeClassImpl <em>Telegramm 04 Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Telegramm_04_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getTelegramm_04_TypeClass()
	 * @generated
	 */
	int TELEGRAMM_04_TYPE_CLASS = 28;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMM_04_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMM_04_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Telegramm 04 Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMM_04_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Telegramm 04 Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMM_04_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Telegramm_10_TypeClassImpl <em>Telegramm 10 Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Telegramm_10_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getTelegramm_10_TypeClass()
	 * @generated
	 */
	int TELEGRAMM_10_TYPE_CLASS = 29;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMM_10_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMM_10_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Telegramm 10 Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMM_10_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Telegramm 10 Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMM_10_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Telegramm_21_TypeClassImpl <em>Telegramm 21 Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Telegramm_21_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getTelegramm_21_TypeClass()
	 * @generated
	 */
	int TELEGRAMM_21_TYPE_CLASS = 30;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMM_21_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMM_21_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Telegramm 21 Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMM_21_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Telegramm 21 Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMM_21_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Telegramm_30_TypeClassImpl <em>Telegramm 30 Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Telegramm_30_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getTelegramm_30_TypeClass()
	 * @generated
	 */
	int TELEGRAMM_30_TYPE_CLASS = 31;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMM_30_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMM_30_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Telegramm 30 Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMM_30_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Telegramm 30 Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMM_30_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Telegramm_84_Alle_Fstr_AttributeGroupImpl <em>Telegramm 84 Alle Fstr Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Telegramm_84_Alle_Fstr_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getTelegramm_84_Alle_Fstr_AttributeGroup()
	 * @generated
	 */
	int TELEGRAMM_84_ALLE_FSTR_ATTRIBUTE_GROUP = 32;

	/**
	 * The feature id for the '<em><b>IDZLV Bus</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMM_84_ALLE_FSTR_ATTRIBUTE_GROUP__IDZLV_BUS = 0;

	/**
	 * The feature id for the '<em><b>Telegramm84 Fuer Alle Fstr</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMM_84_ALLE_FSTR_ATTRIBUTE_GROUP__TELEGRAMM84_FUER_ALLE_FSTR = 1;

	/**
	 * The number of structural features of the '<em>Telegramm 84 Alle Fstr Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMM_84_ALLE_FSTR_ATTRIBUTE_GROUP_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>Telegramm 84 Alle Fstr Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMM_84_ALLE_FSTR_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Telegramm_84_Einzelne_Fstr_AttributeGroupImpl <em>Telegramm 84 Einzelne Fstr Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Telegramm_84_Einzelne_Fstr_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getTelegramm_84_Einzelne_Fstr_AttributeGroup()
	 * @generated
	 */
	int TELEGRAMM_84_EINZELNE_FSTR_ATTRIBUTE_GROUP = 33;

	/**
	 * The feature id for the '<em><b>ID Fstr Zug Rangier</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMM_84_EINZELNE_FSTR_ATTRIBUTE_GROUP__ID_FSTR_ZUG_RANGIER = 0;

	/**
	 * The feature id for the '<em><b>IDZLV Bus</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMM_84_EINZELNE_FSTR_ATTRIBUTE_GROUP__IDZLV_BUS = 1;

	/**
	 * The number of structural features of the '<em>Telegramm 84 Einzelne Fstr Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMM_84_EINZELNE_FSTR_ATTRIBUTE_GROUP_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>Telegramm 84 Einzelne Fstr Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMM_84_EINZELNE_FSTR_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Telegramm_84_Fuer_Alle_Fstr_TypeClassImpl <em>Telegramm 84 Fuer Alle Fstr Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Telegramm_84_Fuer_Alle_Fstr_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getTelegramm_84_Fuer_Alle_Fstr_TypeClass()
	 * @generated
	 */
	int TELEGRAMM_84_FUER_ALLE_FSTR_TYPE_CLASS = 34;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMM_84_FUER_ALLE_FSTR_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMM_84_FUER_ALLE_FSTR_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Telegramm 84 Fuer Alle Fstr Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMM_84_FUER_ALLE_FSTR_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Telegramm 84 Fuer Alle Fstr Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMM_84_FUER_ALLE_FSTR_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Telegramm_84_Verzicht_TypeClassImpl <em>Telegramm 84 Verzicht Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Telegramm_84_Verzicht_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getTelegramm_84_Verzicht_TypeClass()
	 * @generated
	 */
	int TELEGRAMM_84_VERZICHT_TYPE_CLASS = 35;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMM_84_VERZICHT_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMM_84_VERZICHT_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Telegramm 84 Verzicht Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMM_84_VERZICHT_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Telegramm 84 Verzicht Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMM_84_VERZICHT_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Telegramm_85_Alle_Fstr_AttributeGroupImpl <em>Telegramm 85 Alle Fstr Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Telegramm_85_Alle_Fstr_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getTelegramm_85_Alle_Fstr_AttributeGroup()
	 * @generated
	 */
	int TELEGRAMM_85_ALLE_FSTR_ATTRIBUTE_GROUP = 36;

	/**
	 * The feature id for the '<em><b>IDZLV Bus</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMM_85_ALLE_FSTR_ATTRIBUTE_GROUP__IDZLV_BUS = 0;

	/**
	 * The feature id for the '<em><b>Telegramm85 Fuer Alle Fstr</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMM_85_ALLE_FSTR_ATTRIBUTE_GROUP__TELEGRAMM85_FUER_ALLE_FSTR = 1;

	/**
	 * The number of structural features of the '<em>Telegramm 85 Alle Fstr Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMM_85_ALLE_FSTR_ATTRIBUTE_GROUP_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>Telegramm 85 Alle Fstr Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMM_85_ALLE_FSTR_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Telegramm_85_Einzelne_Fstr_AttributeGroupImpl <em>Telegramm 85 Einzelne Fstr Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Telegramm_85_Einzelne_Fstr_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getTelegramm_85_Einzelne_Fstr_AttributeGroup()
	 * @generated
	 */
	int TELEGRAMM_85_EINZELNE_FSTR_ATTRIBUTE_GROUP = 37;

	/**
	 * The feature id for the '<em><b>ID Fstr Zug Rangier</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMM_85_EINZELNE_FSTR_ATTRIBUTE_GROUP__ID_FSTR_ZUG_RANGIER = 0;

	/**
	 * The feature id for the '<em><b>IDZLV Bus</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMM_85_EINZELNE_FSTR_ATTRIBUTE_GROUP__IDZLV_BUS = 1;

	/**
	 * The number of structural features of the '<em>Telegramm 85 Einzelne Fstr Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMM_85_EINZELNE_FSTR_ATTRIBUTE_GROUP_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>Telegramm 85 Einzelne Fstr Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMM_85_EINZELNE_FSTR_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Telegramm_85_Fuer_Alle_Fstr_TypeClassImpl <em>Telegramm 85 Fuer Alle Fstr Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Telegramm_85_Fuer_Alle_Fstr_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getTelegramm_85_Fuer_Alle_Fstr_TypeClass()
	 * @generated
	 */
	int TELEGRAMM_85_FUER_ALLE_FSTR_TYPE_CLASS = 38;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMM_85_FUER_ALLE_FSTR_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMM_85_FUER_ALLE_FSTR_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Telegramm 85 Fuer Alle Fstr Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMM_85_FUER_ALLE_FSTR_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Telegramm 85 Fuer Alle Fstr Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMM_85_FUER_ALLE_FSTR_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Telegrammwiederholung_TypeClassImpl <em>Telegrammwiederholung Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Telegrammwiederholung_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getTelegrammwiederholung_TypeClass()
	 * @generated
	 */
	int TELEGRAMMWIEDERHOLUNG_TYPE_CLASS = 39;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMMWIEDERHOLUNG_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMMWIEDERHOLUNG_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Telegrammwiederholung Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMMWIEDERHOLUNG_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Telegrammwiederholung Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TELEGRAMMWIEDERHOLUNG_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Unterstation_Max_TypeClassImpl <em>Unterstation Max Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Unterstation_Max_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getUnterstation_Max_TypeClass()
	 * @generated
	 */
	int UNTERSTATION_MAX_TYPE_CLASS = 40;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UNTERSTATION_MAX_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UNTERSTATION_MAX_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Unterstation Max Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UNTERSTATION_MAX_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Unterstation Max Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UNTERSTATION_MAX_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Unterstation_Nr_TypeClassImpl <em>Unterstation Nr Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Unterstation_Nr_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getUnterstation_Nr_TypeClass()
	 * @generated
	 */
	int UNTERSTATION_NR_TYPE_CLASS = 41;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UNTERSTATION_NR_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UNTERSTATION_NR_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Unterstation Nr Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UNTERSTATION_NR_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Unterstation Nr Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UNTERSTATION_NR_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Verzoegerung_Manuell_Loeschung_TypeClassImpl <em>Verzoegerung Manuell Loeschung Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Verzoegerung_Manuell_Loeschung_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getVerzoegerung_Manuell_Loeschung_TypeClass()
	 * @generated
	 */
	int VERZOEGERUNG_MANUELL_LOESCHUNG_TYPE_CLASS = 42;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VERZOEGERUNG_MANUELL_LOESCHUNG_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VERZOEGERUNG_MANUELL_LOESCHUNG_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Verzoegerung Manuell Loeschung Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VERZOEGERUNG_MANUELL_LOESCHUNG_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Verzoegerung Manuell Loeschung Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VERZOEGERUNG_MANUELL_LOESCHUNG_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Vormeldestart_TypeClassImpl <em>Vormeldestart Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Vormeldestart_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getVormeldestart_TypeClass()
	 * @generated
	 */
	int VORMELDESTART_TYPE_CLASS = 43;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VORMELDESTART_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VORMELDESTART_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Vormeldestart Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VORMELDESTART_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Vormeldestart Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VORMELDESTART_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZBS_Adresse_TypeClassImpl <em>ZBS Adresse Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZBS_Adresse_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZBS_Adresse_TypeClass()
	 * @generated
	 */
	int ZBS_ADRESSE_TYPE_CLASS = 44;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_ADRESSE_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_ADRESSE_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>ZBS Adresse Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_ADRESSE_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>ZBS Adresse Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_ADRESSE_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZBS_Anbindung_TypeClassImpl <em>ZBS Anbindung Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZBS_Anbindung_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZBS_Anbindung_TypeClass()
	 * @generated
	 */
	int ZBS_ANBINDUNG_TYPE_CLASS = 45;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_ANBINDUNG_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_ANBINDUNG_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>ZBS Anbindung Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_ANBINDUNG_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>ZBS Anbindung Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_ANBINDUNG_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZBS_Schnittstelle_TypeClassImpl <em>ZBS Schnittstelle Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZBS_Schnittstelle_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZBS_Schnittstelle_TypeClass()
	 * @generated
	 */
	int ZBS_SCHNITTSTELLE_TYPE_CLASS = 46;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_SCHNITTSTELLE_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_SCHNITTSTELLE_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>ZBS Schnittstelle Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_SCHNITTSTELLE_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>ZBS Schnittstelle Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZBS_SCHNITTSTELLE_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Zeitsynchronisation_Funkuhr_TypeClassImpl <em>Zeitsynchronisation Funkuhr Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Zeitsynchronisation_Funkuhr_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZeitsynchronisation_Funkuhr_TypeClass()
	 * @generated
	 */
	int ZEITSYNCHRONISATION_FUNKUHR_TYPE_CLASS = 47;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZEITSYNCHRONISATION_FUNKUHR_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZEITSYNCHRONISATION_FUNKUHR_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Zeitsynchronisation Funkuhr Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZEITSYNCHRONISATION_FUNKUHR_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Zeitsynchronisation Funkuhr Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZEITSYNCHRONISATION_FUNKUHR_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZLV_BusImpl <em>ZLV Bus</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZLV_BusImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZLV_Bus()
	 * @generated
	 */
	int ZLV_BUS = 48;

	/**
	 * The feature id for the '<em><b>Identitaet</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLV_BUS__IDENTITAET = BasisobjektePackage.BASIS_OBJEKT__IDENTITAET;

	/**
	 * The feature id for the '<em><b>Basis Objekt Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLV_BUS__BASIS_OBJEKT_ALLG = BasisobjektePackage.BASIS_OBJEKT__BASIS_OBJEKT_ALLG;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLV_BUS__ID_BEARBEITUNGSVERMERK = BasisobjektePackage.BASIS_OBJEKT__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>ID Oertlichkeit Ausgabe</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLV_BUS__ID_OERTLICHKEIT_AUSGABE = BasisobjektePackage.BASIS_OBJEKT__ID_OERTLICHKEIT_AUSGABE;

	/**
	 * The feature id for the '<em><b>Objektreferenzen</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLV_BUS__OBJEKTREFERENZEN = BasisobjektePackage.BASIS_OBJEKT__OBJEKTREFERENZEN;

	/**
	 * The feature id for the '<em><b>Bezeichnung</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLV_BUS__BEZEICHNUNG = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>ZLV Bus Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLV_BUS__ZLV_BUS_ALLG = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>ZLV Bus</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLV_BUS_FEATURE_COUNT = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 2;

	/**
	 * The number of operations of the '<em>ZLV Bus</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLV_BUS_OPERATION_COUNT = BasisobjektePackage.BASIS_OBJEKT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZLV_Bus_Allg_AttributeGroupImpl <em>ZLV Bus Allg Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZLV_Bus_Allg_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZLV_Bus_Allg_AttributeGroup()
	 * @generated
	 */
	int ZLV_BUS_ALLG_ATTRIBUTE_GROUP = 49;

	/**
	 * The feature id for the '<em><b>Unterstation Max</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLV_BUS_ALLG_ATTRIBUTE_GROUP__UNTERSTATION_MAX = 0;

	/**
	 * The feature id for the '<em><b>ZN Modem</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLV_BUS_ALLG_ATTRIBUTE_GROUP__ZN_MODEM = 1;

	/**
	 * The number of structural features of the '<em>ZLV Bus Allg Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLV_BUS_ALLG_ATTRIBUTE_GROUP_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>ZLV Bus Allg Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLV_BUS_ALLG_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZLV_Bus_Besondere_AnlageImpl <em>ZLV Bus Besondere Anlage</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZLV_Bus_Besondere_AnlageImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZLV_Bus_Besondere_Anlage()
	 * @generated
	 */
	int ZLV_BUS_BESONDERE_ANLAGE = 50;

	/**
	 * The feature id for the '<em><b>Identitaet</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLV_BUS_BESONDERE_ANLAGE__IDENTITAET = BasisobjektePackage.BASIS_OBJEKT__IDENTITAET;

	/**
	 * The feature id for the '<em><b>Basis Objekt Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLV_BUS_BESONDERE_ANLAGE__BASIS_OBJEKT_ALLG = BasisobjektePackage.BASIS_OBJEKT__BASIS_OBJEKT_ALLG;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLV_BUS_BESONDERE_ANLAGE__ID_BEARBEITUNGSVERMERK = BasisobjektePackage.BASIS_OBJEKT__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>ID Oertlichkeit Ausgabe</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLV_BUS_BESONDERE_ANLAGE__ID_OERTLICHKEIT_AUSGABE = BasisobjektePackage.BASIS_OBJEKT__ID_OERTLICHKEIT_AUSGABE;

	/**
	 * The feature id for the '<em><b>Objektreferenzen</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLV_BUS_BESONDERE_ANLAGE__OBJEKTREFERENZEN = BasisobjektePackage.BASIS_OBJEKT__OBJEKTREFERENZEN;

	/**
	 * The feature id for the '<em><b>Bezeichnung</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLV_BUS_BESONDERE_ANLAGE__BEZEICHNUNG = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>IDZLV Bus</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLV_BUS_BESONDERE_ANLAGE__IDZLV_BUS = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>ZLV Bus Besondere Anlage</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLV_BUS_BESONDERE_ANLAGE_FEATURE_COUNT = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 2;

	/**
	 * The number of operations of the '<em>ZLV Bus Besondere Anlage</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLV_BUS_BESONDERE_ANLAGE_OPERATION_COUNT = BasisobjektePackage.BASIS_OBJEKT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZLV_Bus_Besondere_Anlage_Bezeichnung_AttributeGroupImpl <em>ZLV Bus Besondere Anlage Bezeichnung Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZLV_Bus_Besondere_Anlage_Bezeichnung_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZLV_Bus_Besondere_Anlage_Bezeichnung_AttributeGroup()
	 * @generated
	 */
	int ZLV_BUS_BESONDERE_ANLAGE_BEZEICHNUNG_ATTRIBUTE_GROUP = 51;

	/**
	 * The feature id for the '<em><b>Bezeichnung Besondere Anlage</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLV_BUS_BESONDERE_ANLAGE_BEZEICHNUNG_ATTRIBUTE_GROUP__BEZEICHNUNG_BESONDERE_ANLAGE = 0;

	/**
	 * The number of structural features of the '<em>ZLV Bus Besondere Anlage Bezeichnung Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLV_BUS_BESONDERE_ANLAGE_BEZEICHNUNG_ATTRIBUTE_GROUP_FEATURE_COUNT = 1;

	/**
	 * The number of operations of the '<em>ZLV Bus Besondere Anlage Bezeichnung Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLV_BUS_BESONDERE_ANLAGE_BEZEICHNUNG_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZLV_Bus_Bezeichnung_AttributeGroupImpl <em>ZLV Bus Bezeichnung Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZLV_Bus_Bezeichnung_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZLV_Bus_Bezeichnung_AttributeGroup()
	 * @generated
	 */
	int ZLV_BUS_BEZEICHNUNG_ATTRIBUTE_GROUP = 52;

	/**
	 * The feature id for the '<em><b>ZLV Bus Nr</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLV_BUS_BEZEICHNUNG_ATTRIBUTE_GROUP__ZLV_BUS_NR = 0;

	/**
	 * The number of structural features of the '<em>ZLV Bus Bezeichnung Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLV_BUS_BEZEICHNUNG_ATTRIBUTE_GROUP_FEATURE_COUNT = 1;

	/**
	 * The number of operations of the '<em>ZLV Bus Bezeichnung Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLV_BUS_BEZEICHNUNG_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZLV_Bus_Nr_TypeClassImpl <em>ZLV Bus Nr Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZLV_Bus_Nr_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZLV_Bus_Nr_TypeClass()
	 * @generated
	 */
	int ZLV_BUS_NR_TYPE_CLASS = 53;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLV_BUS_NR_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLV_BUS_NR_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>ZLV Bus Nr Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLV_BUS_NR_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>ZLV Bus Nr Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLV_BUS_NR_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZLV_Bus_US_ZuordnungImpl <em>ZLV Bus US Zuordnung</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZLV_Bus_US_ZuordnungImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZLV_Bus_US_Zuordnung()
	 * @generated
	 */
	int ZLV_BUS_US_ZUORDNUNG = 54;

	/**
	 * The feature id for the '<em><b>Identitaet</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLV_BUS_US_ZUORDNUNG__IDENTITAET = BasisobjektePackage.BASIS_OBJEKT__IDENTITAET;

	/**
	 * The feature id for the '<em><b>Basis Objekt Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLV_BUS_US_ZUORDNUNG__BASIS_OBJEKT_ALLG = BasisobjektePackage.BASIS_OBJEKT__BASIS_OBJEKT_ALLG;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLV_BUS_US_ZUORDNUNG__ID_BEARBEITUNGSVERMERK = BasisobjektePackage.BASIS_OBJEKT__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>ID Oertlichkeit Ausgabe</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLV_BUS_US_ZUORDNUNG__ID_OERTLICHKEIT_AUSGABE = BasisobjektePackage.BASIS_OBJEKT__ID_OERTLICHKEIT_AUSGABE;

	/**
	 * The feature id for the '<em><b>Objektreferenzen</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLV_BUS_US_ZUORDNUNG__OBJEKTREFERENZEN = BasisobjektePackage.BASIS_OBJEKT__OBJEKTREFERENZEN;

	/**
	 * The feature id for the '<em><b>IDZLV Bus</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLV_BUS_US_ZUORDNUNG__IDZLV_BUS = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>IDZN Unterstation</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLV_BUS_US_ZUORDNUNG__IDZN_UNTERSTATION = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>ZLV Bus US Zuordnung Telegramm</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLV_BUS_US_ZUORDNUNG__ZLV_BUS_US_ZUORDNUNG_TELEGRAMM = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>ZLV Bus Zuordnung Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLV_BUS_US_ZUORDNUNG__ZLV_BUS_ZUORDNUNG_ALLG = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>ZLV Bus US Zuordnung</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLV_BUS_US_ZUORDNUNG_FEATURE_COUNT = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 4;

	/**
	 * The number of operations of the '<em>ZLV Bus US Zuordnung</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLV_BUS_US_ZUORDNUNG_OPERATION_COUNT = BasisobjektePackage.BASIS_OBJEKT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZLV_Bus_US_Zuordnung_Telegramm_AttributeGroupImpl <em>ZLV Bus US Zuordnung Telegramm Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZLV_Bus_US_Zuordnung_Telegramm_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZLV_Bus_US_Zuordnung_Telegramm_AttributeGroup()
	 * @generated
	 */
	int ZLV_BUS_US_ZUORDNUNG_TELEGRAMM_ATTRIBUTE_GROUP = 55;

	/**
	 * The feature id for the '<em><b>Telegramm02</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLV_BUS_US_ZUORDNUNG_TELEGRAMM_ATTRIBUTE_GROUP__TELEGRAMM02 = 0;

	/**
	 * The feature id for the '<em><b>Telegramm03</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLV_BUS_US_ZUORDNUNG_TELEGRAMM_ATTRIBUTE_GROUP__TELEGRAMM03 = 1;

	/**
	 * The feature id for the '<em><b>Telegramm04</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLV_BUS_US_ZUORDNUNG_TELEGRAMM_ATTRIBUTE_GROUP__TELEGRAMM04 = 2;

	/**
	 * The feature id for the '<em><b>Telegramm10</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLV_BUS_US_ZUORDNUNG_TELEGRAMM_ATTRIBUTE_GROUP__TELEGRAMM10 = 3;

	/**
	 * The feature id for the '<em><b>Telegramm21</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLV_BUS_US_ZUORDNUNG_TELEGRAMM_ATTRIBUTE_GROUP__TELEGRAMM21 = 4;

	/**
	 * The feature id for the '<em><b>Telegramm30</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLV_BUS_US_ZUORDNUNG_TELEGRAMM_ATTRIBUTE_GROUP__TELEGRAMM30 = 5;

	/**
	 * The number of structural features of the '<em>ZLV Bus US Zuordnung Telegramm Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLV_BUS_US_ZUORDNUNG_TELEGRAMM_ATTRIBUTE_GROUP_FEATURE_COUNT = 6;

	/**
	 * The number of operations of the '<em>ZLV Bus US Zuordnung Telegramm Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLV_BUS_US_ZUORDNUNG_TELEGRAMM_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZLV_Bus_Zuordnung_Allg_AttributeGroupImpl <em>ZLV Bus Zuordnung Allg Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZLV_Bus_Zuordnung_Allg_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZLV_Bus_Zuordnung_Allg_AttributeGroup()
	 * @generated
	 */
	int ZLV_BUS_ZUORDNUNG_ALLG_ATTRIBUTE_GROUP = 56;

	/**
	 * The feature id for the '<em><b>Anschlussnummer</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLV_BUS_ZUORDNUNG_ALLG_ATTRIBUTE_GROUP__ANSCHLUSSNUMMER = 0;

	/**
	 * The feature id for the '<em><b>Unterstation Nr</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLV_BUS_ZUORDNUNG_ALLG_ATTRIBUTE_GROUP__UNTERSTATION_NR = 1;

	/**
	 * The number of structural features of the '<em>ZLV Bus Zuordnung Allg Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLV_BUS_ZUORDNUNG_ALLG_ATTRIBUTE_GROUP_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>ZLV Bus Zuordnung Allg Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZLV_BUS_ZUORDNUNG_ALLG_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZNImpl <em>ZN</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZNImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZN()
	 * @generated
	 */
	int ZN = 57;

	/**
	 * The feature id for the '<em><b>Identitaet</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN__IDENTITAET = BasisobjektePackage.BASIS_OBJEKT__IDENTITAET;

	/**
	 * The feature id for the '<em><b>Basis Objekt Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN__BASIS_OBJEKT_ALLG = BasisobjektePackage.BASIS_OBJEKT__BASIS_OBJEKT_ALLG;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN__ID_BEARBEITUNGSVERMERK = BasisobjektePackage.BASIS_OBJEKT__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>ID Oertlichkeit Ausgabe</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN__ID_OERTLICHKEIT_AUSGABE = BasisobjektePackage.BASIS_OBJEKT__ID_OERTLICHKEIT_AUSGABE;

	/**
	 * The feature id for the '<em><b>Objektreferenzen</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN__OBJEKTREFERENZEN = BasisobjektePackage.BASIS_OBJEKT__OBJEKTREFERENZEN;

	/**
	 * The feature id for the '<em><b>ID Anhang ZN Plan Bedienraum</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN__ID_ANHANG_ZN_PLAN_BEDIENRAUM = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>ID Anhang ZN Plan Rechnerraum</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN__ID_ANHANG_ZN_PLAN_RECHNERRAUM = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>ID Oertlichkeit</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN__ID_OERTLICHKEIT = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>ID Stellwerk</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN__ID_STELLWERK = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>ID Unterbringung</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN__ID_UNTERBRINGUNG = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>IDZN Unterstation</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN__IDZN_UNTERSTATION = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>ZN Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN__ZN_ALLG = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 6;

	/**
	 * The number of structural features of the '<em>ZN</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_FEATURE_COUNT = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 7;

	/**
	 * The number of operations of the '<em>ZN</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_OPERATION_COUNT = BasisobjektePackage.BASIS_OBJEKT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_A_Bedienbezeichner_Frei_TypeClassImpl <em>ZN ABedienbezeichner Frei Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_A_Bedienbezeichner_Frei_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZN_A_Bedienbezeichner_Frei_TypeClass()
	 * @generated
	 */
	int ZN_ABEDIENBEZEICHNER_FREI_TYPE_CLASS = 58;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ABEDIENBEZEICHNER_FREI_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ABEDIENBEZEICHNER_FREI_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>ZN ABedienbezeichner Frei Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ABEDIENBEZEICHNER_FREI_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>ZN ABedienbezeichner Frei Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ABEDIENBEZEICHNER_FREI_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_A_Bezeichner_TypeClassImpl <em>ZN ABezeichner Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_A_Bezeichner_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZN_A_Bezeichner_TypeClass()
	 * @generated
	 */
	int ZN_ABEZEICHNER_TYPE_CLASS = 59;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ABEZEICHNER_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ABEZEICHNER_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>ZN ABezeichner Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ABEZEICHNER_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>ZN ABezeichner Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ABEZEICHNER_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_AkustikImpl <em>ZN Akustik</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_AkustikImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZN_Akustik()
	 * @generated
	 */
	int ZN_AKUSTIK = 60;

	/**
	 * The feature id for the '<em><b>Identitaet</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_AKUSTIK__IDENTITAET = BasisobjektePackage.BASIS_OBJEKT__IDENTITAET;

	/**
	 * The feature id for the '<em><b>Basis Objekt Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_AKUSTIK__BASIS_OBJEKT_ALLG = BasisobjektePackage.BASIS_OBJEKT__BASIS_OBJEKT_ALLG;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_AKUSTIK__ID_BEARBEITUNGSVERMERK = BasisobjektePackage.BASIS_OBJEKT__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>ID Oertlichkeit Ausgabe</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_AKUSTIK__ID_OERTLICHKEIT_AUSGABE = BasisobjektePackage.BASIS_OBJEKT__ID_OERTLICHKEIT_AUSGABE;

	/**
	 * The feature id for the '<em><b>Objektreferenzen</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_AKUSTIK__OBJEKTREFERENZEN = BasisobjektePackage.BASIS_OBJEKT__OBJEKTREFERENZEN;

	/**
	 * The feature id for the '<em><b>ZN Akustik Anzeigefeld</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_AKUSTIK__ZN_AKUSTIK_ANZEIGEFELD = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>IDZN</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_AKUSTIK__IDZN = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>IDZN Anzeigefeld</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_AKUSTIK__IDZN_ANZEIGEFELD = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>ZN Akustik</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_AKUSTIK_FEATURE_COUNT = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 3;

	/**
	 * The number of operations of the '<em>ZN Akustik</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_AKUSTIK_OPERATION_COUNT = BasisobjektePackage.BASIS_OBJEKT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Akustik_Anzeigefeld_AttributeGroupImpl <em>ZN Akustik Anzeigefeld Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Akustik_Anzeigefeld_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZN_Akustik_Anzeigefeld_AttributeGroup()
	 * @generated
	 */
	int ZN_AKUSTIK_ANZEIGEFELD_ATTRIBUTE_GROUP = 61;

	/**
	 * The feature id for the '<em><b>Akustikdauer Anb Ann</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_AKUSTIK_ANZEIGEFELD_ATTRIBUTE_GROUP__AKUSTIKDAUER_ANB_ANN = 0;

	/**
	 * The feature id for the '<em><b>Akustikdauer Sonst</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_AKUSTIK_ANZEIGEFELD_ATTRIBUTE_GROUP__AKUSTIKDAUER_SONST = 1;

	/**
	 * The feature id for the '<em><b>Akustikdauer Voranz</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_AKUSTIK_ANZEIGEFELD_ATTRIBUTE_GROUP__AKUSTIKDAUER_VORANZ = 2;

	/**
	 * The number of structural features of the '<em>ZN Akustik Anzeigefeld Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_AKUSTIK_ANZEIGEFELD_ATTRIBUTE_GROUP_FEATURE_COUNT = 3;

	/**
	 * The number of operations of the '<em>ZN Akustik Anzeigefeld Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_AKUSTIK_ANZEIGEFELD_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Allg_AttributeGroupImpl <em>ZN Allg Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Allg_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZN_Allg_AttributeGroup()
	 * @generated
	 */
	int ZN_ALLG_ATTRIBUTE_GROUP = 62;

	/**
	 * The feature id for the '<em><b>Einwahlstelle</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ALLG_ATTRIBUTE_GROUP__EINWAHLSTELLE = 0;

	/**
	 * The feature id for the '<em><b>Reaktivierungsfunktion</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ALLG_ATTRIBUTE_GROUP__REAKTIVIERUNGSFUNKTION = 1;

	/**
	 * The feature id for the '<em><b>ZN Anlagentyp</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ALLG_ATTRIBUTE_GROUP__ZN_ANLAGENTYP = 2;

	/**
	 * The number of structural features of the '<em>ZN Allg Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ALLG_ATTRIBUTE_GROUP_FEATURE_COUNT = 3;

	/**
	 * The number of operations of the '<em>ZN Allg Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ALLG_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Anlagentyp_TypeClassImpl <em>ZN Anlagentyp Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Anlagentyp_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZN_Anlagentyp_TypeClass()
	 * @generated
	 */
	int ZN_ANLAGENTYP_TYPE_CLASS = 63;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ANLAGENTYP_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ANLAGENTYP_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>ZN Anlagentyp Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ANLAGENTYP_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>ZN Anlagentyp Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ANLAGENTYP_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_AnzeigefeldImpl <em>ZN Anzeigefeld</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_AnzeigefeldImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZN_Anzeigefeld()
	 * @generated
	 */
	int ZN_ANZEIGEFELD = 64;

	/**
	 * The feature id for the '<em><b>Identitaet</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ANZEIGEFELD__IDENTITAET = BasisobjektePackage.BASIS_OBJEKT__IDENTITAET;

	/**
	 * The feature id for the '<em><b>Basis Objekt Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ANZEIGEFELD__BASIS_OBJEKT_ALLG = BasisobjektePackage.BASIS_OBJEKT__BASIS_OBJEKT_ALLG;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ANZEIGEFELD__ID_BEARBEITUNGSVERMERK = BasisobjektePackage.BASIS_OBJEKT__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>ID Oertlichkeit Ausgabe</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ANZEIGEFELD__ID_OERTLICHKEIT_AUSGABE = BasisobjektePackage.BASIS_OBJEKT__ID_OERTLICHKEIT_AUSGABE;

	/**
	 * The feature id for the '<em><b>Objektreferenzen</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ANZEIGEFELD__OBJEKTREFERENZEN = BasisobjektePackage.BASIS_OBJEKT__OBJEKTREFERENZEN;

	/**
	 * The feature id for the '<em><b>ID Gleis Abschnitt</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ANZEIGEFELD__ID_GLEIS_ABSCHNITT = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>IDZLV Bus</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ANZEIGEFELD__IDZLV_BUS = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>IDZN</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ANZEIGEFELD__IDZN = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>IDZN Anzeigefeld</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ANZEIGEFELD__IDZN_ANZEIGEFELD = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>ZN Anzeigefeld Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ANZEIGEFELD__ZN_ANZEIGEFELD_ALLG = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>ZN Anzeigefeld Bezeichnung</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ANZEIGEFELD__ZN_ANZEIGEFELD_BEZEICHNUNG = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 5;

	/**
	 * The number of structural features of the '<em>ZN Anzeigefeld</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ANZEIGEFELD_FEATURE_COUNT = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 6;

	/**
	 * The number of operations of the '<em>ZN Anzeigefeld</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ANZEIGEFELD_OPERATION_COUNT = BasisobjektePackage.BASIS_OBJEKT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Anzeigefeld_Allg_AttributeGroupImpl <em>ZN Anzeigefeld Allg Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Anzeigefeld_Allg_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZN_Anzeigefeld_Allg_AttributeGroup()
	 * @generated
	 */
	int ZN_ANZEIGEFELD_ALLG_ATTRIBUTE_GROUP = 65;

	/**
	 * The feature id for the '<em><b>Bedienbarkeit Anzeigefeld</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ANZEIGEFELD_ALLG_ATTRIBUTE_GROUP__BEDIENBARKEIT_ANZEIGEFELD = 0;

	/**
	 * The feature id for the '<em><b>Bf Nr ANB</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ANZEIGEFELD_ALLG_ATTRIBUTE_GROUP__BF_NR_ANB = 1;

	/**
	 * The feature id for the '<em><b>Bf Nr ZNA</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ANZEIGEFELD_ALLG_ATTRIBUTE_GROUP__BF_NR_ZNA = 2;

	/**
	 * The feature id for the '<em><b>Funktionalitaet Anzeigefeld</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ANZEIGEFELD_ALLG_ATTRIBUTE_GROUP__FUNKTIONALITAET_ANZEIGEFELD = 3;

	/**
	 * The feature id for the '<em><b>HOA</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ANZEIGEFELD_ALLG_ATTRIBUTE_GROUP__HOA = 4;

	/**
	 * The feature id for the '<em><b>Sichtbarkeit Anzeigefeld</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ANZEIGEFELD_ALLG_ATTRIBUTE_GROUP__SICHTBARKEIT_ANZEIGEFELD = 5;

	/**
	 * The feature id for the '<em><b>Verzoegerung Manuell Loeschung</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ANZEIGEFELD_ALLG_ATTRIBUTE_GROUP__VERZOEGERUNG_MANUELL_LOESCHUNG = 6;

	/**
	 * The feature id for the '<em><b>Vormeldestart</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ANZEIGEFELD_ALLG_ATTRIBUTE_GROUP__VORMELDESTART = 7;

	/**
	 * The feature id for the '<em><b>ZN Anzeigefeld Loeschkriterium</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ANZEIGEFELD_ALLG_ATTRIBUTE_GROUP__ZN_ANZEIGEFELD_LOESCHKRITERIUM = 8;

	/**
	 * The feature id for the '<em><b>ZN Feld Ohne Anzeige</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ANZEIGEFELD_ALLG_ATTRIBUTE_GROUP__ZN_FELD_OHNE_ANZEIGE = 9;

	/**
	 * The feature id for the '<em><b>Zugvorbereitungsmeldung</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ANZEIGEFELD_ALLG_ATTRIBUTE_GROUP__ZUGVORBEREITUNGSMELDUNG = 10;

	/**
	 * The number of structural features of the '<em>ZN Anzeigefeld Allg Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ANZEIGEFELD_ALLG_ATTRIBUTE_GROUP_FEATURE_COUNT = 11;

	/**
	 * The number of operations of the '<em>ZN Anzeigefeld Allg Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ANZEIGEFELD_ALLG_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Anzeigefeld_Bezeichnung_AttributeGroupImpl <em>ZN Anzeigefeld Bezeichnung Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Anzeigefeld_Bezeichnung_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZN_Anzeigefeld_Bezeichnung_AttributeGroup()
	 * @generated
	 */
	int ZN_ANZEIGEFELD_BEZEICHNUNG_ATTRIBUTE_GROUP = 66;

	/**
	 * The feature id for the '<em><b>ZNA Bedienbezeichner Frei</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ANZEIGEFELD_BEZEICHNUNG_ATTRIBUTE_GROUP__ZNA_BEDIENBEZEICHNER_FREI = 0;

	/**
	 * The feature id for the '<em><b>ZNA Bezeichner</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ANZEIGEFELD_BEZEICHNUNG_ATTRIBUTE_GROUP__ZNA_BEZEICHNER = 1;

	/**
	 * The number of structural features of the '<em>ZN Anzeigefeld Bezeichnung Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ANZEIGEFELD_BEZEICHNUNG_ATTRIBUTE_GROUP_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>ZN Anzeigefeld Bezeichnung Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ANZEIGEFELD_BEZEICHNUNG_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Anzeigefeld_Loeschkriterium_TypeClassImpl <em>ZN Anzeigefeld Loeschkriterium Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Anzeigefeld_Loeschkriterium_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZN_Anzeigefeld_Loeschkriterium_TypeClass()
	 * @generated
	 */
	int ZN_ANZEIGEFELD_LOESCHKRITERIUM_TYPE_CLASS = 67;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ANZEIGEFELD_LOESCHKRITERIUM_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ANZEIGEFELD_LOESCHKRITERIUM_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>ZN Anzeigefeld Loeschkriterium Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ANZEIGEFELD_LOESCHKRITERIUM_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>ZN Anzeigefeld Loeschkriterium Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ANZEIGEFELD_LOESCHKRITERIUM_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Feld_Ohne_Anzeige_TypeClassImpl <em>ZN Feld Ohne Anzeige Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Feld_Ohne_Anzeige_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZN_Feld_Ohne_Anzeige_TypeClass()
	 * @generated
	 */
	int ZN_FELD_OHNE_ANZEIGE_TYPE_CLASS = 68;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_FELD_OHNE_ANZEIGE_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_FELD_OHNE_ANZEIGE_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>ZN Feld Ohne Anzeige Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_FELD_OHNE_ANZEIGE_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>ZN Feld Ohne Anzeige Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_FELD_OHNE_ANZEIGE_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Fortschalt_Krit_Druck_AttributeGroupImpl <em>ZN Fortschalt Krit Druck Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Fortschalt_Krit_Druck_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZN_Fortschalt_Krit_Druck_AttributeGroup()
	 * @generated
	 */
	int ZN_FORTSCHALT_KRIT_DRUCK_ATTRIBUTE_GROUP = 69;

	/**
	 * The feature id for the '<em><b>Ausfahrdruck</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_FORTSCHALT_KRIT_DRUCK_ATTRIBUTE_GROUP__AUSFAHRDRUCK = 0;

	/**
	 * The feature id for the '<em><b>Ausfahrdruck Gegengleis</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_FORTSCHALT_KRIT_DRUCK_ATTRIBUTE_GROUP__AUSFAHRDRUCK_GEGENGLEIS = 1;

	/**
	 * The feature id for the '<em><b>Durchfahrdruck</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_FORTSCHALT_KRIT_DRUCK_ATTRIBUTE_GROUP__DURCHFAHRDRUCK = 2;

	/**
	 * The feature id for the '<em><b>Einfahrdruck</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_FORTSCHALT_KRIT_DRUCK_ATTRIBUTE_GROUP__EINFAHRDRUCK = 3;

	/**
	 * The feature id for the '<em><b>Einfahrdruck Gegengleis</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_FORTSCHALT_KRIT_DRUCK_ATTRIBUTE_GROUP__EINFAHRDRUCK_GEGENGLEIS = 4;

	/**
	 * The feature id for the '<em><b>Meldedruck</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_FORTSCHALT_KRIT_DRUCK_ATTRIBUTE_GROUP__MELDEDRUCK = 5;

	/**
	 * The number of structural features of the '<em>ZN Fortschalt Krit Druck Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_FORTSCHALT_KRIT_DRUCK_ATTRIBUTE_GROUP_FEATURE_COUNT = 6;

	/**
	 * The number of operations of the '<em>ZN Fortschalt Krit Druck Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_FORTSCHALT_KRIT_DRUCK_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Fortschalt_Krit_Schalt_AttributeGroupImpl <em>ZN Fortschalt Krit Schalt Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Fortschalt_Krit_Schalt_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZN_Fortschalt_Krit_Schalt_AttributeGroup()
	 * @generated
	 */
	int ZN_FORTSCHALT_KRIT_SCHALT_ATTRIBUTE_GROUP = 70;

	/**
	 * The feature id for the '<em><b>Besonderes Schaltkriterium</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_FORTSCHALT_KRIT_SCHALT_ATTRIBUTE_GROUP__BESONDERES_SCHALTKRITERIUM = 0;

	/**
	 * The feature id for the '<em><b>ID Fortschaltung Start</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_FORTSCHALT_KRIT_SCHALT_ATTRIBUTE_GROUP__ID_FORTSCHALTUNG_START = 1;

	/**
	 * The feature id for the '<em><b>Telegrammwiederholung</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_FORTSCHALT_KRIT_SCHALT_ATTRIBUTE_GROUP__TELEGRAMMWIEDERHOLUNG = 2;

	/**
	 * The feature id for the '<em><b>ZN Schaltkriterium</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_FORTSCHALT_KRIT_SCHALT_ATTRIBUTE_GROUP__ZN_SCHALTKRITERIUM = 3;

	/**
	 * The number of structural features of the '<em>ZN Fortschalt Krit Schalt Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_FORTSCHALT_KRIT_SCHALT_ATTRIBUTE_GROUP_FEATURE_COUNT = 4;

	/**
	 * The number of operations of the '<em>ZN Fortschalt Krit Schalt Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_FORTSCHALT_KRIT_SCHALT_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Fortschalt_KriteriumImpl <em>ZN Fortschalt Kriterium</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Fortschalt_KriteriumImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZN_Fortschalt_Kriterium()
	 * @generated
	 */
	int ZN_FORTSCHALT_KRITERIUM = 71;

	/**
	 * The feature id for the '<em><b>Identitaet</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_FORTSCHALT_KRITERIUM__IDENTITAET = BasisobjektePackage.BASIS_OBJEKT__IDENTITAET;

	/**
	 * The feature id for the '<em><b>Basis Objekt Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_FORTSCHALT_KRITERIUM__BASIS_OBJEKT_ALLG = BasisobjektePackage.BASIS_OBJEKT__BASIS_OBJEKT_ALLG;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_FORTSCHALT_KRITERIUM__ID_BEARBEITUNGSVERMERK = BasisobjektePackage.BASIS_OBJEKT__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>ID Oertlichkeit Ausgabe</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_FORTSCHALT_KRITERIUM__ID_OERTLICHKEIT_AUSGABE = BasisobjektePackage.BASIS_OBJEKT__ID_OERTLICHKEIT_AUSGABE;

	/**
	 * The feature id for the '<em><b>Objektreferenzen</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_FORTSCHALT_KRITERIUM__OBJEKTREFERENZEN = BasisobjektePackage.BASIS_OBJEKT__OBJEKTREFERENZEN;

	/**
	 * The feature id for the '<em><b>IDZN</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_FORTSCHALT_KRITERIUM__IDZN = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>IDZN Fortschalt Krit Start</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_FORTSCHALT_KRITERIUM__IDZN_FORTSCHALT_KRIT_START = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>IDZN Fortschalt Krit Ziel</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_FORTSCHALT_KRITERIUM__IDZN_FORTSCHALT_KRIT_ZIEL = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>ZN Fortschalt Krit Druck</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_FORTSCHALT_KRITERIUM__ZN_FORTSCHALT_KRIT_DRUCK = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>ZN Fortschalt Krit Schalt</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_FORTSCHALT_KRITERIUM__ZN_FORTSCHALT_KRIT_SCHALT = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 4;

	/**
	 * The number of structural features of the '<em>ZN Fortschalt Kriterium</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_FORTSCHALT_KRITERIUM_FEATURE_COUNT = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 5;

	/**
	 * The number of operations of the '<em>ZN Fortschalt Kriterium</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_FORTSCHALT_KRITERIUM_OPERATION_COUNT = BasisobjektePackage.BASIS_OBJEKT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Modem_TypeClassImpl <em>ZN Modem Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Modem_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZN_Modem_TypeClass()
	 * @generated
	 */
	int ZN_MODEM_TYPE_CLASS = 72;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_MODEM_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_MODEM_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>ZN Modem Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_MODEM_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>ZN Modem Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_MODEM_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Schaltkriterium_TypeClassImpl <em>ZN Schaltkriterium Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Schaltkriterium_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZN_Schaltkriterium_TypeClass()
	 * @generated
	 */
	int ZN_SCHALTKRITERIUM_TYPE_CLASS = 73;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_SCHALTKRITERIUM_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_SCHALTKRITERIUM_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>ZN Schaltkriterium Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_SCHALTKRITERIUM_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>ZN Schaltkriterium Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_SCHALTKRITERIUM_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Telegramm_84_ZuordnungImpl <em>ZN Telegramm 84 Zuordnung</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Telegramm_84_ZuordnungImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZN_Telegramm_84_Zuordnung()
	 * @generated
	 */
	int ZN_TELEGRAMM_84_ZUORDNUNG = 74;

	/**
	 * The feature id for the '<em><b>Identitaet</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_TELEGRAMM_84_ZUORDNUNG__IDENTITAET = BasisobjektePackage.BASIS_OBJEKT__IDENTITAET;

	/**
	 * The feature id for the '<em><b>Basis Objekt Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_TELEGRAMM_84_ZUORDNUNG__BASIS_OBJEKT_ALLG = BasisobjektePackage.BASIS_OBJEKT__BASIS_OBJEKT_ALLG;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_TELEGRAMM_84_ZUORDNUNG__ID_BEARBEITUNGSVERMERK = BasisobjektePackage.BASIS_OBJEKT__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>ID Oertlichkeit Ausgabe</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_TELEGRAMM_84_ZUORDNUNG__ID_OERTLICHKEIT_AUSGABE = BasisobjektePackage.BASIS_OBJEKT__ID_OERTLICHKEIT_AUSGABE;

	/**
	 * The feature id for the '<em><b>Objektreferenzen</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_TELEGRAMM_84_ZUORDNUNG__OBJEKTREFERENZEN = BasisobjektePackage.BASIS_OBJEKT__OBJEKTREFERENZEN;

	/**
	 * The feature id for the '<em><b>IDZN</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_TELEGRAMM_84_ZUORDNUNG__IDZN = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Telegramm84 Alle Fstr</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_TELEGRAMM_84_ZUORDNUNG__TELEGRAMM84_ALLE_FSTR = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Telegramm84 Einzelne Fstr</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_TELEGRAMM_84_ZUORDNUNG__TELEGRAMM84_EINZELNE_FSTR = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Telegramm84 Verzicht</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_TELEGRAMM_84_ZUORDNUNG__TELEGRAMM84_VERZICHT = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>ZN Telegramm 84 Zuordnung</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_TELEGRAMM_84_ZUORDNUNG_FEATURE_COUNT = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 4;

	/**
	 * The number of operations of the '<em>ZN Telegramm 84 Zuordnung</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_TELEGRAMM_84_ZUORDNUNG_OPERATION_COUNT = BasisobjektePackage.BASIS_OBJEKT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Telegramm_85_ZuordnungImpl <em>ZN Telegramm 85 Zuordnung</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Telegramm_85_ZuordnungImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZN_Telegramm_85_Zuordnung()
	 * @generated
	 */
	int ZN_TELEGRAMM_85_ZUORDNUNG = 75;

	/**
	 * The feature id for the '<em><b>Identitaet</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_TELEGRAMM_85_ZUORDNUNG__IDENTITAET = BasisobjektePackage.BASIS_OBJEKT__IDENTITAET;

	/**
	 * The feature id for the '<em><b>Basis Objekt Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_TELEGRAMM_85_ZUORDNUNG__BASIS_OBJEKT_ALLG = BasisobjektePackage.BASIS_OBJEKT__BASIS_OBJEKT_ALLG;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_TELEGRAMM_85_ZUORDNUNG__ID_BEARBEITUNGSVERMERK = BasisobjektePackage.BASIS_OBJEKT__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>ID Oertlichkeit Ausgabe</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_TELEGRAMM_85_ZUORDNUNG__ID_OERTLICHKEIT_AUSGABE = BasisobjektePackage.BASIS_OBJEKT__ID_OERTLICHKEIT_AUSGABE;

	/**
	 * The feature id for the '<em><b>Objektreferenzen</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_TELEGRAMM_85_ZUORDNUNG__OBJEKTREFERENZEN = BasisobjektePackage.BASIS_OBJEKT__OBJEKTREFERENZEN;

	/**
	 * The feature id for the '<em><b>IDZN</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_TELEGRAMM_85_ZUORDNUNG__IDZN = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Telegramm85 Alle Fstr</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_TELEGRAMM_85_ZUORDNUNG__TELEGRAMM85_ALLE_FSTR = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Telegramm85 Einzelne Fstr</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_TELEGRAMM_85_ZUORDNUNG__TELEGRAMM85_EINZELNE_FSTR = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>ZN Telegramm 85 Zuordnung</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_TELEGRAMM_85_ZUORDNUNG_FEATURE_COUNT = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 3;

	/**
	 * The number of operations of the '<em>ZN Telegramm 85 Zuordnung</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_TELEGRAMM_85_ZUORDNUNG_OPERATION_COUNT = BasisobjektePackage.BASIS_OBJEKT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_UnterstationImpl <em>ZN Unterstation</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_UnterstationImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZN_Unterstation()
	 * @generated
	 */
	int ZN_UNTERSTATION = 76;

	/**
	 * The feature id for the '<em><b>Identitaet</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_UNTERSTATION__IDENTITAET = BasisobjektePackage.BASIS_OBJEKT__IDENTITAET;

	/**
	 * The feature id for the '<em><b>Basis Objekt Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_UNTERSTATION__BASIS_OBJEKT_ALLG = BasisobjektePackage.BASIS_OBJEKT__BASIS_OBJEKT_ALLG;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_UNTERSTATION__ID_BEARBEITUNGSVERMERK = BasisobjektePackage.BASIS_OBJEKT__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>ID Oertlichkeit Ausgabe</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_UNTERSTATION__ID_OERTLICHKEIT_AUSGABE = BasisobjektePackage.BASIS_OBJEKT__ID_OERTLICHKEIT_AUSGABE;

	/**
	 * The feature id for the '<em><b>Objektreferenzen</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_UNTERSTATION__OBJEKTREFERENZEN = BasisobjektePackage.BASIS_OBJEKT__OBJEKTREFERENZEN;

	/**
	 * The feature id for the '<em><b>IDZNZBS</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_UNTERSTATION__IDZNZBS = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>ZN Unterstation Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_UNTERSTATION__ZN_UNTERSTATION_ALLG = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>ZN Unterstation</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_UNTERSTATION_FEATURE_COUNT = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 2;

	/**
	 * The number of operations of the '<em>ZN Unterstation</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_UNTERSTATION_OPERATION_COUNT = BasisobjektePackage.BASIS_OBJEKT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Unterstation_Allg_AttributeGroupImpl <em>ZN Unterstation Allg Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Unterstation_Allg_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZN_Unterstation_Allg_AttributeGroup()
	 * @generated
	 */
	int ZN_UNTERSTATION_ALLG_ATTRIBUTE_GROUP = 77;

	/**
	 * The feature id for the '<em><b>Bf Kennung</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_UNTERSTATION_ALLG_ATTRIBUTE_GROUP__BF_KENNUNG = 0;

	/**
	 * The feature id for the '<em><b>Koppelunterstation</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_UNTERSTATION_ALLG_ATTRIBUTE_GROUP__KOPPELUNTERSTATION = 1;

	/**
	 * The feature id for the '<em><b>KUs Zeittelegramm</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_UNTERSTATION_ALLG_ATTRIBUTE_GROUP__KUS_ZEITTELEGRAMM = 2;

	/**
	 * The feature id for the '<em><b>ZBS Adresse</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_UNTERSTATION_ALLG_ATTRIBUTE_GROUP__ZBS_ADRESSE = 3;

	/**
	 * The feature id for the '<em><b>ZBS Anbindung</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_UNTERSTATION_ALLG_ATTRIBUTE_GROUP__ZBS_ANBINDUNG = 4;

	/**
	 * The feature id for the '<em><b>Zeitsynchronisation Funkuhr</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_UNTERSTATION_ALLG_ATTRIBUTE_GROUP__ZEITSYNCHRONISATION_FUNKUHR = 5;

	/**
	 * The feature id for the '<em><b>ZN Unterstation Bf Nr</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_UNTERSTATION_ALLG_ATTRIBUTE_GROUP__ZN_UNTERSTATION_BF_NR = 6;

	/**
	 * The number of structural features of the '<em>ZN Unterstation Allg Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_UNTERSTATION_ALLG_ATTRIBUTE_GROUP_FEATURE_COUNT = 7;

	/**
	 * The number of operations of the '<em>ZN Unterstation Allg Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_UNTERSTATION_ALLG_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Unterstation_Bf_Nr_AttributeGroupImpl <em>ZN Unterstation Bf Nr Attribute Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Unterstation_Bf_Nr_AttributeGroupImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZN_Unterstation_Bf_Nr_AttributeGroup()
	 * @generated
	 */
	int ZN_UNTERSTATION_BF_NR_ATTRIBUTE_GROUP = 78;

	/**
	 * The feature id for the '<em><b>Bf Nr</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_UNTERSTATION_BF_NR_ATTRIBUTE_GROUP__BF_NR = 0;

	/**
	 * The feature id for the '<em><b>ID Oertlichkeit</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_UNTERSTATION_BF_NR_ATTRIBUTE_GROUP__ID_OERTLICHKEIT = 1;

	/**
	 * The feature id for the '<em><b>Prioritaet</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_UNTERSTATION_BF_NR_ATTRIBUTE_GROUP__PRIORITAET = 2;

	/**
	 * The number of structural features of the '<em>ZN Unterstation Bf Nr Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_UNTERSTATION_BF_NR_ATTRIBUTE_GROUP_FEATURE_COUNT = 3;

	/**
	 * The number of operations of the '<em>ZN Unterstation Bf Nr Attribute Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_UNTERSTATION_BF_NR_ATTRIBUTE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_ZBSImpl <em>ZN ZBS</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_ZBSImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZN_ZBS()
	 * @generated
	 */
	int ZN_ZBS = 79;

	/**
	 * The feature id for the '<em><b>Identitaet</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ZBS__IDENTITAET = BasisobjektePackage.BASIS_OBJEKT__IDENTITAET;

	/**
	 * The feature id for the '<em><b>Basis Objekt Allg</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ZBS__BASIS_OBJEKT_ALLG = BasisobjektePackage.BASIS_OBJEKT__BASIS_OBJEKT_ALLG;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ZBS__ID_BEARBEITUNGSVERMERK = BasisobjektePackage.BASIS_OBJEKT__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>ID Oertlichkeit Ausgabe</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ZBS__ID_OERTLICHKEIT_AUSGABE = BasisobjektePackage.BASIS_OBJEKT__ID_OERTLICHKEIT_AUSGABE;

	/**
	 * The feature id for the '<em><b>Objektreferenzen</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ZBS__OBJEKTREFERENZEN = BasisobjektePackage.BASIS_OBJEKT__OBJEKTREFERENZEN;

	/**
	 * The feature id for the '<em><b>IDESTW Zentraleinheit</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ZBS__IDESTW_ZENTRALEINHEIT = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>IP Adresse</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ZBS__IP_ADRESSE = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>ZBS Schnittstelle</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ZBS__ZBS_SCHNITTSTELLE = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>ZN ZBS</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ZBS_FEATURE_COUNT = BasisobjektePackage.BASIS_OBJEKT_FEATURE_COUNT + 3;

	/**
	 * The number of operations of the '<em>ZN ZBS</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZN_ZBS_OPERATION_COUNT = BasisobjektePackage.BASIS_OBJEKT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Zugvorbereitungsmeldung_TypeClassImpl <em>Zugvorbereitungsmeldung Type Class</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Zugvorbereitungsmeldung_TypeClassImpl
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZugvorbereitungsmeldung_TypeClass()
	 * @generated
	 */
	int ZUGVORBEREITUNGSMELDUNG_TYPE_CLASS = 80;

	/**
	 * The feature id for the '<em><b>ID Bearbeitungsvermerk</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUGVORBEREITUNGSMELDUNG_TYPE_CLASS__ID_BEARBEITUNGSVERMERK = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP__ID_BEARBEITUNGSVERMERK;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUGVORBEREITUNGSMELDUNG_TYPE_CLASS__WERT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Zugvorbereitungsmeldung Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUGVORBEREITUNGSMELDUNG_TYPE_CLASS_FEATURE_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Zugvorbereitungsmeldung Type Class</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ZUGVORBEREITUNGSMELDUNG_TYPE_CLASS_OPERATION_COUNT = BasisTypenPackage.BASIS_ATTRIBUT_ATTRIBUTE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMAkustikAnbAnn <em>ENUM Akustik Anb Ann</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMAkustikAnbAnn
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getENUMAkustikAnbAnn()
	 * @generated
	 */
	int ENUM_AKUSTIK_ANB_ANN = 81;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMAkustikSonst <em>ENUM Akustik Sonst</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMAkustikSonst
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getENUMAkustikSonst()
	 * @generated
	 */
	int ENUM_AKUSTIK_SONST = 82;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMBfKennung <em>ENUM Bf Kennung</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMBfKennung
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getENUMBfKennung()
	 * @generated
	 */
	int ENUM_BF_KENNUNG = 83;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMFunktionalitaetAnzeigefeld <em>ENUM Funktionalitaet Anzeigefeld</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMFunktionalitaetAnzeigefeld
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getENUMFunktionalitaetAnzeigefeld()
	 * @generated
	 */
	int ENUM_FUNKTIONALITAET_ANZEIGEFELD = 84;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMZBSSchnittstelle <em>ENUMZBS Schnittstelle</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMZBSSchnittstelle
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getENUMZBSSchnittstelle()
	 * @generated
	 */
	int ENUMZBS_SCHNITTSTELLE = 85;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMZNAnlagentyp <em>ENUMZN Anlagentyp</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMZNAnlagentyp
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getENUMZNAnlagentyp()
	 * @generated
	 */
	int ENUMZN_ANLAGENTYP = 86;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMZNAnzeigefeldLoeschkriterium <em>ENUMZN Anzeigefeld Loeschkriterium</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMZNAnzeigefeldLoeschkriterium
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getENUMZNAnzeigefeldLoeschkriterium()
	 * @generated
	 */
	int ENUMZN_ANZEIGEFELD_LOESCHKRITERIUM = 87;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMZNModem <em>ENUMZN Modem</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMZNModem
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getENUMZNModem()
	 * @generated
	 */
	int ENUMZN_MODEM = 88;

	/**
	 * The meta object id for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMZNSchaltkriterium <em>ENUMZN Schaltkriterium</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMZNSchaltkriterium
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getENUMZNSchaltkriterium()
	 * @generated
	 */
	int ENUMZN_SCHALTKRITERIUM = 89;

	/**
	 * The meta object id for the '<em>Anschlussnummer Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getAnschlussnummer_Type()
	 * @generated
	 */
	int ANSCHLUSSNUMMER_TYPE = 90;

	/**
	 * The meta object id for the '<em>Besonderes Schaltkriterium Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getBesonderes_Schaltkriterium_Type()
	 * @generated
	 */
	int BESONDERES_SCHALTKRITERIUM_TYPE = 91;

	/**
	 * The meta object id for the '<em>Bezeichnung Besondere Anlage Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getBezeichnung_Besondere_Anlage_Type()
	 * @generated
	 */
	int BEZEICHNUNG_BESONDERE_ANLAGE_TYPE = 92;

	/**
	 * The meta object id for the '<em>Bf Nr Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getBf_Nr_Type()
	 * @generated
	 */
	int BF_NR_TYPE = 93;

	/**
	 * The meta object id for the '<em>ENUM Akustik Anb Ann Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMAkustikAnbAnn
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getENUMAkustikAnbAnnObject()
	 * @generated
	 */
	int ENUM_AKUSTIK_ANB_ANN_OBJECT = 94;

	/**
	 * The meta object id for the '<em>ENUM Akustik Sonst Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMAkustikSonst
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getENUMAkustikSonstObject()
	 * @generated
	 */
	int ENUM_AKUSTIK_SONST_OBJECT = 95;

	/**
	 * The meta object id for the '<em>ENUM Bf Kennung Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMBfKennung
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getENUMBfKennungObject()
	 * @generated
	 */
	int ENUM_BF_KENNUNG_OBJECT = 96;

	/**
	 * The meta object id for the '<em>ENUM Funktionalitaet Anzeigefeld Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMFunktionalitaetAnzeigefeld
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getENUMFunktionalitaetAnzeigefeldObject()
	 * @generated
	 */
	int ENUM_FUNKTIONALITAET_ANZEIGEFELD_OBJECT = 97;

	/**
	 * The meta object id for the '<em>ENUMZBS Schnittstelle Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMZBSSchnittstelle
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getENUMZBSSchnittstelleObject()
	 * @generated
	 */
	int ENUMZBS_SCHNITTSTELLE_OBJECT = 98;

	/**
	 * The meta object id for the '<em>ENUMZN Anlagentyp Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMZNAnlagentyp
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getENUMZNAnlagentypObject()
	 * @generated
	 */
	int ENUMZN_ANLAGENTYP_OBJECT = 99;

	/**
	 * The meta object id for the '<em>ENUMZN Anzeigefeld Loeschkriterium Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMZNAnzeigefeldLoeschkriterium
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getENUMZNAnzeigefeldLoeschkriteriumObject()
	 * @generated
	 */
	int ENUMZN_ANZEIGEFELD_LOESCHKRITERIUM_OBJECT = 100;

	/**
	 * The meta object id for the '<em>ENUMZN Modem Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMZNModem
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getENUMZNModemObject()
	 * @generated
	 */
	int ENUMZN_MODEM_OBJECT = 101;

	/**
	 * The meta object id for the '<em>ENUMZN Schaltkriterium Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMZNSchaltkriterium
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getENUMZNSchaltkriteriumObject()
	 * @generated
	 */
	int ENUMZN_SCHALTKRITERIUM_OBJECT = 102;

	/**
	 * The meta object id for the '<em>IP Adresse Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getIP_Adresse_Type()
	 * @generated
	 */
	int IP_ADRESSE_TYPE = 103;

	/**
	 * The meta object id for the '<em>Prioritaet Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getPrioritaet_Type()
	 * @generated
	 */
	int PRIORITAET_TYPE = 104;

	/**
	 * The meta object id for the '<em>Unterstation Max Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getUnterstation_Max_Type()
	 * @generated
	 */
	int UNTERSTATION_MAX_TYPE = 105;

	/**
	 * The meta object id for the '<em>Unterstation Nr Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getUnterstation_Nr_Type()
	 * @generated
	 */
	int UNTERSTATION_NR_TYPE = 106;

	/**
	 * The meta object id for the '<em>Verzoegerung Manuell Loeschung Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigDecimal
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getVerzoegerung_Manuell_Loeschung_Type()
	 * @generated
	 */
	int VERZOEGERUNG_MANUELL_LOESCHUNG_TYPE = 107;

	/**
	 * The meta object id for the '<em>ZBS Adresse Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZBS_Adresse_Type()
	 * @generated
	 */
	int ZBS_ADRESSE_TYPE = 108;

	/**
	 * The meta object id for the '<em>ZLV Bus Nr Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZLV_Bus_Nr_Type()
	 * @generated
	 */
	int ZLV_BUS_NR_TYPE = 109;

	/**
	 * The meta object id for the '<em>ZN ABedienbezeichner Frei Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZN_A_Bedienbezeichner_Frei_Type()
	 * @generated
	 */
	int ZN_ABEDIENBEZEICHNER_FREI_TYPE = 110;

	/**
	 * The meta object id for the '<em>ZN ABezeichner Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.math.BigInteger
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZN_A_Bezeichner_Type()
	 * @generated
	 */
	int ZN_ABEZEICHNER_TYPE = 111;


	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Akustikdauer_Anb_Ann_TypeClass <em>Akustikdauer Anb Ann Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Akustikdauer Anb Ann Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Akustikdauer_Anb_Ann_TypeClass
	 * @generated
	 */
	EClass getAkustikdauer_Anb_Ann_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Akustikdauer_Anb_Ann_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Akustikdauer_Anb_Ann_TypeClass#getWert()
	 * @see #getAkustikdauer_Anb_Ann_TypeClass()
	 * @generated
	 */
	EAttribute getAkustikdauer_Anb_Ann_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Akustikdauer_Sonst_TypeClass <em>Akustikdauer Sonst Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Akustikdauer Sonst Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Akustikdauer_Sonst_TypeClass
	 * @generated
	 */
	EClass getAkustikdauer_Sonst_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Akustikdauer_Sonst_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Akustikdauer_Sonst_TypeClass#getWert()
	 * @see #getAkustikdauer_Sonst_TypeClass()
	 * @generated
	 */
	EAttribute getAkustikdauer_Sonst_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Akustikdauer_Voranz_TypeClass <em>Akustikdauer Voranz Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Akustikdauer Voranz Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Akustikdauer_Voranz_TypeClass
	 * @generated
	 */
	EClass getAkustikdauer_Voranz_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Akustikdauer_Voranz_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Akustikdauer_Voranz_TypeClass#getWert()
	 * @see #getAkustikdauer_Voranz_TypeClass()
	 * @generated
	 */
	EAttribute getAkustikdauer_Voranz_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Anschlussnummer_TypeClass <em>Anschlussnummer Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Anschlussnummer Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Anschlussnummer_TypeClass
	 * @generated
	 */
	EClass getAnschlussnummer_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Anschlussnummer_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Anschlussnummer_TypeClass#getWert()
	 * @see #getAnschlussnummer_TypeClass()
	 * @generated
	 */
	EAttribute getAnschlussnummer_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Ausfahrdruck_Gegengleis_TypeClass <em>Ausfahrdruck Gegengleis Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Ausfahrdruck Gegengleis Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Ausfahrdruck_Gegengleis_TypeClass
	 * @generated
	 */
	EClass getAusfahrdruck_Gegengleis_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Ausfahrdruck_Gegengleis_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Ausfahrdruck_Gegengleis_TypeClass#getWert()
	 * @see #getAusfahrdruck_Gegengleis_TypeClass()
	 * @generated
	 */
	EAttribute getAusfahrdruck_Gegengleis_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Ausfahrdruck_TypeClass <em>Ausfahrdruck Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Ausfahrdruck Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Ausfahrdruck_TypeClass
	 * @generated
	 */
	EClass getAusfahrdruck_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Ausfahrdruck_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Ausfahrdruck_TypeClass#getWert()
	 * @see #getAusfahrdruck_TypeClass()
	 * @generated
	 */
	EAttribute getAusfahrdruck_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Bedienbarkeit_Anzeigefeld_TypeClass <em>Bedienbarkeit Anzeigefeld Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Bedienbarkeit Anzeigefeld Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Bedienbarkeit_Anzeigefeld_TypeClass
	 * @generated
	 */
	EClass getBedienbarkeit_Anzeigefeld_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Bedienbarkeit_Anzeigefeld_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Bedienbarkeit_Anzeigefeld_TypeClass#getWert()
	 * @see #getBedienbarkeit_Anzeigefeld_TypeClass()
	 * @generated
	 */
	EAttribute getBedienbarkeit_Anzeigefeld_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Besonderes_Schaltkriterium_TypeClass <em>Besonderes Schaltkriterium Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Besonderes Schaltkriterium Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Besonderes_Schaltkriterium_TypeClass
	 * @generated
	 */
	EClass getBesonderes_Schaltkriterium_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Besonderes_Schaltkriterium_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Besonderes_Schaltkriterium_TypeClass#getWert()
	 * @see #getBesonderes_Schaltkriterium_TypeClass()
	 * @generated
	 */
	EAttribute getBesonderes_Schaltkriterium_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Bezeichnung_Besondere_Anlage_TypeClass <em>Bezeichnung Besondere Anlage Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Bezeichnung Besondere Anlage Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Bezeichnung_Besondere_Anlage_TypeClass
	 * @generated
	 */
	EClass getBezeichnung_Besondere_Anlage_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Bezeichnung_Besondere_Anlage_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Bezeichnung_Besondere_Anlage_TypeClass#getWert()
	 * @see #getBezeichnung_Besondere_Anlage_TypeClass()
	 * @generated
	 */
	EAttribute getBezeichnung_Besondere_Anlage_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Bf_Kennung_TypeClass <em>Bf Kennung Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Bf Kennung Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Bf_Kennung_TypeClass
	 * @generated
	 */
	EClass getBf_Kennung_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Bf_Kennung_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Bf_Kennung_TypeClass#getWert()
	 * @see #getBf_Kennung_TypeClass()
	 * @generated
	 */
	EAttribute getBf_Kennung_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Bf_Nr_ANB_TypeClass <em>Bf Nr ANB Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Bf Nr ANB Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Bf_Nr_ANB_TypeClass
	 * @generated
	 */
	EClass getBf_Nr_ANB_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Bf_Nr_ANB_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Bf_Nr_ANB_TypeClass#getWert()
	 * @see #getBf_Nr_ANB_TypeClass()
	 * @generated
	 */
	EAttribute getBf_Nr_ANB_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Bf_Nr_TypeClass <em>Bf Nr Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Bf Nr Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Bf_Nr_TypeClass
	 * @generated
	 */
	EClass getBf_Nr_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Bf_Nr_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Bf_Nr_TypeClass#getWert()
	 * @see #getBf_Nr_TypeClass()
	 * @generated
	 */
	EAttribute getBf_Nr_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Bf_Nr_ZN_A_TypeClass <em>Bf Nr ZN AType Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Bf Nr ZN AType Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Bf_Nr_ZN_A_TypeClass
	 * @generated
	 */
	EClass getBf_Nr_ZN_A_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Bf_Nr_ZN_A_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Bf_Nr_ZN_A_TypeClass#getWert()
	 * @see #getBf_Nr_ZN_A_TypeClass()
	 * @generated
	 */
	EAttribute getBf_Nr_ZN_A_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Durchfahrdruck_TypeClass <em>Durchfahrdruck Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Durchfahrdruck Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Durchfahrdruck_TypeClass
	 * @generated
	 */
	EClass getDurchfahrdruck_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Durchfahrdruck_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Durchfahrdruck_TypeClass#getWert()
	 * @see #getDurchfahrdruck_TypeClass()
	 * @generated
	 */
	EAttribute getDurchfahrdruck_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Einfahrdruck_Gegengleis_TypeClass <em>Einfahrdruck Gegengleis Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Einfahrdruck Gegengleis Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Einfahrdruck_Gegengleis_TypeClass
	 * @generated
	 */
	EClass getEinfahrdruck_Gegengleis_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Einfahrdruck_Gegengleis_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Einfahrdruck_Gegengleis_TypeClass#getWert()
	 * @see #getEinfahrdruck_Gegengleis_TypeClass()
	 * @generated
	 */
	EAttribute getEinfahrdruck_Gegengleis_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Einfahrdruck_TypeClass <em>Einfahrdruck Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Einfahrdruck Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Einfahrdruck_TypeClass
	 * @generated
	 */
	EClass getEinfahrdruck_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Einfahrdruck_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Einfahrdruck_TypeClass#getWert()
	 * @see #getEinfahrdruck_TypeClass()
	 * @generated
	 */
	EAttribute getEinfahrdruck_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Einwahlstelle_TypeClass <em>Einwahlstelle Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Einwahlstelle Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Einwahlstelle_TypeClass
	 * @generated
	 */
	EClass getEinwahlstelle_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Einwahlstelle_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Einwahlstelle_TypeClass#getWert()
	 * @see #getEinwahlstelle_TypeClass()
	 * @generated
	 */
	EAttribute getEinwahlstelle_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Funktionalitaet_Anzeigefeld_TypeClass <em>Funktionalitaet Anzeigefeld Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Funktionalitaet Anzeigefeld Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Funktionalitaet_Anzeigefeld_TypeClass
	 * @generated
	 */
	EClass getFunktionalitaet_Anzeigefeld_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Funktionalitaet_Anzeigefeld_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Funktionalitaet_Anzeigefeld_TypeClass#getWert()
	 * @see #getFunktionalitaet_Anzeigefeld_TypeClass()
	 * @generated
	 */
	EAttribute getFunktionalitaet_Anzeigefeld_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.HOA_TypeClass <em>HOA Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>HOA Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.HOA_TypeClass
	 * @generated
	 */
	EClass getHOA_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.HOA_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.HOA_TypeClass#getWert()
	 * @see #getHOA_TypeClass()
	 * @generated
	 */
	EAttribute getHOA_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.IP_Adresse_TypeClass <em>IP Adresse Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>IP Adresse Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.IP_Adresse_TypeClass
	 * @generated
	 */
	EClass getIP_Adresse_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.IP_Adresse_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.IP_Adresse_TypeClass#getWert()
	 * @see #getIP_Adresse_TypeClass()
	 * @generated
	 */
	EAttribute getIP_Adresse_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Koppelunterstation_TypeClass <em>Koppelunterstation Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Koppelunterstation Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Koppelunterstation_TypeClass
	 * @generated
	 */
	EClass getKoppelunterstation_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Koppelunterstation_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Koppelunterstation_TypeClass#getWert()
	 * @see #getKoppelunterstation_TypeClass()
	 * @generated
	 */
	EAttribute getKoppelunterstation_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.KUs_Zeittelegramm_TypeClass <em>KUs Zeittelegramm Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>KUs Zeittelegramm Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.KUs_Zeittelegramm_TypeClass
	 * @generated
	 */
	EClass getKUs_Zeittelegramm_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.KUs_Zeittelegramm_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.KUs_Zeittelegramm_TypeClass#getWert()
	 * @see #getKUs_Zeittelegramm_TypeClass()
	 * @generated
	 */
	EAttribute getKUs_Zeittelegramm_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Meldedruck_TypeClass <em>Meldedruck Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Meldedruck Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Meldedruck_TypeClass
	 * @generated
	 */
	EClass getMeldedruck_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Meldedruck_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Meldedruck_TypeClass#getWert()
	 * @see #getMeldedruck_TypeClass()
	 * @generated
	 */
	EAttribute getMeldedruck_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Prioritaet_TypeClass <em>Prioritaet Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Prioritaet Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Prioritaet_TypeClass
	 * @generated
	 */
	EClass getPrioritaet_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Prioritaet_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Prioritaet_TypeClass#getWert()
	 * @see #getPrioritaet_TypeClass()
	 * @generated
	 */
	EAttribute getPrioritaet_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Reaktivierungsfunktion_TypeClass <em>Reaktivierungsfunktion Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Reaktivierungsfunktion Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Reaktivierungsfunktion_TypeClass
	 * @generated
	 */
	EClass getReaktivierungsfunktion_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Reaktivierungsfunktion_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Reaktivierungsfunktion_TypeClass#getWert()
	 * @see #getReaktivierungsfunktion_TypeClass()
	 * @generated
	 */
	EAttribute getReaktivierungsfunktion_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Sichtbarkeit_Anzeigefeld_TypeClass <em>Sichtbarkeit Anzeigefeld Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Sichtbarkeit Anzeigefeld Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Sichtbarkeit_Anzeigefeld_TypeClass
	 * @generated
	 */
	EClass getSichtbarkeit_Anzeigefeld_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Sichtbarkeit_Anzeigefeld_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Sichtbarkeit_Anzeigefeld_TypeClass#getWert()
	 * @see #getSichtbarkeit_Anzeigefeld_TypeClass()
	 * @generated
	 */
	EAttribute getSichtbarkeit_Anzeigefeld_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_02_TypeClass <em>Telegramm 02 Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Telegramm 02 Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_02_TypeClass
	 * @generated
	 */
	EClass getTelegramm_02_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_02_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_02_TypeClass#getWert()
	 * @see #getTelegramm_02_TypeClass()
	 * @generated
	 */
	EAttribute getTelegramm_02_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_03_TypeClass <em>Telegramm 03 Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Telegramm 03 Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_03_TypeClass
	 * @generated
	 */
	EClass getTelegramm_03_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_03_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_03_TypeClass#getWert()
	 * @see #getTelegramm_03_TypeClass()
	 * @generated
	 */
	EAttribute getTelegramm_03_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_04_TypeClass <em>Telegramm 04 Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Telegramm 04 Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_04_TypeClass
	 * @generated
	 */
	EClass getTelegramm_04_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_04_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_04_TypeClass#getWert()
	 * @see #getTelegramm_04_TypeClass()
	 * @generated
	 */
	EAttribute getTelegramm_04_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_10_TypeClass <em>Telegramm 10 Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Telegramm 10 Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_10_TypeClass
	 * @generated
	 */
	EClass getTelegramm_10_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_10_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_10_TypeClass#getWert()
	 * @see #getTelegramm_10_TypeClass()
	 * @generated
	 */
	EAttribute getTelegramm_10_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_21_TypeClass <em>Telegramm 21 Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Telegramm 21 Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_21_TypeClass
	 * @generated
	 */
	EClass getTelegramm_21_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_21_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_21_TypeClass#getWert()
	 * @see #getTelegramm_21_TypeClass()
	 * @generated
	 */
	EAttribute getTelegramm_21_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_30_TypeClass <em>Telegramm 30 Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Telegramm 30 Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_30_TypeClass
	 * @generated
	 */
	EClass getTelegramm_30_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_30_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_30_TypeClass#getWert()
	 * @see #getTelegramm_30_TypeClass()
	 * @generated
	 */
	EAttribute getTelegramm_30_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_84_Alle_Fstr_AttributeGroup <em>Telegramm 84 Alle Fstr Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Telegramm 84 Alle Fstr Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_84_Alle_Fstr_AttributeGroup
	 * @generated
	 */
	EClass getTelegramm_84_Alle_Fstr_AttributeGroup();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_84_Alle_Fstr_AttributeGroup#getIDZLVBus <em>IDZLV Bus</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>IDZLV Bus</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_84_Alle_Fstr_AttributeGroup#getIDZLVBus()
	 * @see #getTelegramm_84_Alle_Fstr_AttributeGroup()
	 * @generated
	 */
	EReference getTelegramm_84_Alle_Fstr_AttributeGroup_IDZLVBus();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_84_Alle_Fstr_AttributeGroup#getTelegramm84FuerAlleFstr <em>Telegramm84 Fuer Alle Fstr</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Telegramm84 Fuer Alle Fstr</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_84_Alle_Fstr_AttributeGroup#getTelegramm84FuerAlleFstr()
	 * @see #getTelegramm_84_Alle_Fstr_AttributeGroup()
	 * @generated
	 */
	EReference getTelegramm_84_Alle_Fstr_AttributeGroup_Telegramm84FuerAlleFstr();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_84_Einzelne_Fstr_AttributeGroup <em>Telegramm 84 Einzelne Fstr Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Telegramm 84 Einzelne Fstr Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_84_Einzelne_Fstr_AttributeGroup
	 * @generated
	 */
	EClass getTelegramm_84_Einzelne_Fstr_AttributeGroup();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_84_Einzelne_Fstr_AttributeGroup#getIDFstrZugRangier <em>ID Fstr Zug Rangier</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Fstr Zug Rangier</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_84_Einzelne_Fstr_AttributeGroup#getIDFstrZugRangier()
	 * @see #getTelegramm_84_Einzelne_Fstr_AttributeGroup()
	 * @generated
	 */
	EReference getTelegramm_84_Einzelne_Fstr_AttributeGroup_IDFstrZugRangier();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_84_Einzelne_Fstr_AttributeGroup#getIDZLVBus <em>IDZLV Bus</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>IDZLV Bus</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_84_Einzelne_Fstr_AttributeGroup#getIDZLVBus()
	 * @see #getTelegramm_84_Einzelne_Fstr_AttributeGroup()
	 * @generated
	 */
	EReference getTelegramm_84_Einzelne_Fstr_AttributeGroup_IDZLVBus();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_84_Fuer_Alle_Fstr_TypeClass <em>Telegramm 84 Fuer Alle Fstr Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Telegramm 84 Fuer Alle Fstr Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_84_Fuer_Alle_Fstr_TypeClass
	 * @generated
	 */
	EClass getTelegramm_84_Fuer_Alle_Fstr_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_84_Fuer_Alle_Fstr_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_84_Fuer_Alle_Fstr_TypeClass#getWert()
	 * @see #getTelegramm_84_Fuer_Alle_Fstr_TypeClass()
	 * @generated
	 */
	EAttribute getTelegramm_84_Fuer_Alle_Fstr_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_84_Verzicht_TypeClass <em>Telegramm 84 Verzicht Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Telegramm 84 Verzicht Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_84_Verzicht_TypeClass
	 * @generated
	 */
	EClass getTelegramm_84_Verzicht_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_84_Verzicht_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_84_Verzicht_TypeClass#getWert()
	 * @see #getTelegramm_84_Verzicht_TypeClass()
	 * @generated
	 */
	EAttribute getTelegramm_84_Verzicht_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_85_Alle_Fstr_AttributeGroup <em>Telegramm 85 Alle Fstr Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Telegramm 85 Alle Fstr Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_85_Alle_Fstr_AttributeGroup
	 * @generated
	 */
	EClass getTelegramm_85_Alle_Fstr_AttributeGroup();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_85_Alle_Fstr_AttributeGroup#getIDZLVBus <em>IDZLV Bus</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>IDZLV Bus</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_85_Alle_Fstr_AttributeGroup#getIDZLVBus()
	 * @see #getTelegramm_85_Alle_Fstr_AttributeGroup()
	 * @generated
	 */
	EReference getTelegramm_85_Alle_Fstr_AttributeGroup_IDZLVBus();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_85_Alle_Fstr_AttributeGroup#getTelegramm85FuerAlleFstr <em>Telegramm85 Fuer Alle Fstr</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Telegramm85 Fuer Alle Fstr</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_85_Alle_Fstr_AttributeGroup#getTelegramm85FuerAlleFstr()
	 * @see #getTelegramm_85_Alle_Fstr_AttributeGroup()
	 * @generated
	 */
	EReference getTelegramm_85_Alle_Fstr_AttributeGroup_Telegramm85FuerAlleFstr();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_85_Einzelne_Fstr_AttributeGroup <em>Telegramm 85 Einzelne Fstr Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Telegramm 85 Einzelne Fstr Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_85_Einzelne_Fstr_AttributeGroup
	 * @generated
	 */
	EClass getTelegramm_85_Einzelne_Fstr_AttributeGroup();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_85_Einzelne_Fstr_AttributeGroup#getIDFstrZugRangier <em>ID Fstr Zug Rangier</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Fstr Zug Rangier</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_85_Einzelne_Fstr_AttributeGroup#getIDFstrZugRangier()
	 * @see #getTelegramm_85_Einzelne_Fstr_AttributeGroup()
	 * @generated
	 */
	EReference getTelegramm_85_Einzelne_Fstr_AttributeGroup_IDFstrZugRangier();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_85_Einzelne_Fstr_AttributeGroup#getIDZLVBus <em>IDZLV Bus</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>IDZLV Bus</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_85_Einzelne_Fstr_AttributeGroup#getIDZLVBus()
	 * @see #getTelegramm_85_Einzelne_Fstr_AttributeGroup()
	 * @generated
	 */
	EReference getTelegramm_85_Einzelne_Fstr_AttributeGroup_IDZLVBus();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_85_Fuer_Alle_Fstr_TypeClass <em>Telegramm 85 Fuer Alle Fstr Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Telegramm 85 Fuer Alle Fstr Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_85_Fuer_Alle_Fstr_TypeClass
	 * @generated
	 */
	EClass getTelegramm_85_Fuer_Alle_Fstr_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_85_Fuer_Alle_Fstr_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegramm_85_Fuer_Alle_Fstr_TypeClass#getWert()
	 * @see #getTelegramm_85_Fuer_Alle_Fstr_TypeClass()
	 * @generated
	 */
	EAttribute getTelegramm_85_Fuer_Alle_Fstr_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegrammwiederholung_TypeClass <em>Telegrammwiederholung Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Telegrammwiederholung Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegrammwiederholung_TypeClass
	 * @generated
	 */
	EClass getTelegrammwiederholung_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegrammwiederholung_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Telegrammwiederholung_TypeClass#getWert()
	 * @see #getTelegrammwiederholung_TypeClass()
	 * @generated
	 */
	EAttribute getTelegrammwiederholung_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Unterstation_Max_TypeClass <em>Unterstation Max Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Unterstation Max Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Unterstation_Max_TypeClass
	 * @generated
	 */
	EClass getUnterstation_Max_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Unterstation_Max_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Unterstation_Max_TypeClass#getWert()
	 * @see #getUnterstation_Max_TypeClass()
	 * @generated
	 */
	EAttribute getUnterstation_Max_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Unterstation_Nr_TypeClass <em>Unterstation Nr Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Unterstation Nr Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Unterstation_Nr_TypeClass
	 * @generated
	 */
	EClass getUnterstation_Nr_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Unterstation_Nr_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Unterstation_Nr_TypeClass#getWert()
	 * @see #getUnterstation_Nr_TypeClass()
	 * @generated
	 */
	EAttribute getUnterstation_Nr_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Verzoegerung_Manuell_Loeschung_TypeClass <em>Verzoegerung Manuell Loeschung Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Verzoegerung Manuell Loeschung Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Verzoegerung_Manuell_Loeschung_TypeClass
	 * @generated
	 */
	EClass getVerzoegerung_Manuell_Loeschung_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Verzoegerung_Manuell_Loeschung_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Verzoegerung_Manuell_Loeschung_TypeClass#getWert()
	 * @see #getVerzoegerung_Manuell_Loeschung_TypeClass()
	 * @generated
	 */
	EAttribute getVerzoegerung_Manuell_Loeschung_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Vormeldestart_TypeClass <em>Vormeldestart Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Vormeldestart Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Vormeldestart_TypeClass
	 * @generated
	 */
	EClass getVormeldestart_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Vormeldestart_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Vormeldestart_TypeClass#getWert()
	 * @see #getVormeldestart_TypeClass()
	 * @generated
	 */
	EAttribute getVormeldestart_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZBS_Adresse_TypeClass <em>ZBS Adresse Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZBS Adresse Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZBS_Adresse_TypeClass
	 * @generated
	 */
	EClass getZBS_Adresse_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZBS_Adresse_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZBS_Adresse_TypeClass#getWert()
	 * @see #getZBS_Adresse_TypeClass()
	 * @generated
	 */
	EAttribute getZBS_Adresse_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZBS_Anbindung_TypeClass <em>ZBS Anbindung Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZBS Anbindung Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZBS_Anbindung_TypeClass
	 * @generated
	 */
	EClass getZBS_Anbindung_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZBS_Anbindung_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZBS_Anbindung_TypeClass#getWert()
	 * @see #getZBS_Anbindung_TypeClass()
	 * @generated
	 */
	EAttribute getZBS_Anbindung_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZBS_Schnittstelle_TypeClass <em>ZBS Schnittstelle Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZBS Schnittstelle Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZBS_Schnittstelle_TypeClass
	 * @generated
	 */
	EClass getZBS_Schnittstelle_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZBS_Schnittstelle_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZBS_Schnittstelle_TypeClass#getWert()
	 * @see #getZBS_Schnittstelle_TypeClass()
	 * @generated
	 */
	EAttribute getZBS_Schnittstelle_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Zeitsynchronisation_Funkuhr_TypeClass <em>Zeitsynchronisation Funkuhr Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Zeitsynchronisation Funkuhr Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Zeitsynchronisation_Funkuhr_TypeClass
	 * @generated
	 */
	EClass getZeitsynchronisation_Funkuhr_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Zeitsynchronisation_Funkuhr_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Zeitsynchronisation_Funkuhr_TypeClass#getWert()
	 * @see #getZeitsynchronisation_Funkuhr_TypeClass()
	 * @generated
	 */
	EAttribute getZeitsynchronisation_Funkuhr_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus <em>ZLV Bus</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZLV Bus</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus
	 * @generated
	 */
	EClass getZLV_Bus();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus#getBezeichnung <em>Bezeichnung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Bezeichnung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus#getBezeichnung()
	 * @see #getZLV_Bus()
	 * @generated
	 */
	EReference getZLV_Bus_Bezeichnung();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus#getZLVBusAllg <em>ZLV Bus Allg</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>ZLV Bus Allg</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus#getZLVBusAllg()
	 * @see #getZLV_Bus()
	 * @generated
	 */
	EReference getZLV_Bus_ZLVBusAllg();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus_Allg_AttributeGroup <em>ZLV Bus Allg Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZLV Bus Allg Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus_Allg_AttributeGroup
	 * @generated
	 */
	EClass getZLV_Bus_Allg_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus_Allg_AttributeGroup#getUnterstationMax <em>Unterstation Max</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Unterstation Max</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus_Allg_AttributeGroup#getUnterstationMax()
	 * @see #getZLV_Bus_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getZLV_Bus_Allg_AttributeGroup_UnterstationMax();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus_Allg_AttributeGroup#getZNModem <em>ZN Modem</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>ZN Modem</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus_Allg_AttributeGroup#getZNModem()
	 * @see #getZLV_Bus_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getZLV_Bus_Allg_AttributeGroup_ZNModem();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus_Besondere_Anlage <em>ZLV Bus Besondere Anlage</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZLV Bus Besondere Anlage</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus_Besondere_Anlage
	 * @generated
	 */
	EClass getZLV_Bus_Besondere_Anlage();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus_Besondere_Anlage#getBezeichnung <em>Bezeichnung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Bezeichnung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus_Besondere_Anlage#getBezeichnung()
	 * @see #getZLV_Bus_Besondere_Anlage()
	 * @generated
	 */
	EReference getZLV_Bus_Besondere_Anlage_Bezeichnung();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus_Besondere_Anlage#getIDZLVBus <em>IDZLV Bus</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>IDZLV Bus</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus_Besondere_Anlage#getIDZLVBus()
	 * @see #getZLV_Bus_Besondere_Anlage()
	 * @generated
	 */
	EReference getZLV_Bus_Besondere_Anlage_IDZLVBus();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus_Besondere_Anlage_Bezeichnung_AttributeGroup <em>ZLV Bus Besondere Anlage Bezeichnung Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZLV Bus Besondere Anlage Bezeichnung Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus_Besondere_Anlage_Bezeichnung_AttributeGroup
	 * @generated
	 */
	EClass getZLV_Bus_Besondere_Anlage_Bezeichnung_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus_Besondere_Anlage_Bezeichnung_AttributeGroup#getBezeichnungBesondereAnlage <em>Bezeichnung Besondere Anlage</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Bezeichnung Besondere Anlage</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus_Besondere_Anlage_Bezeichnung_AttributeGroup#getBezeichnungBesondereAnlage()
	 * @see #getZLV_Bus_Besondere_Anlage_Bezeichnung_AttributeGroup()
	 * @generated
	 */
	EReference getZLV_Bus_Besondere_Anlage_Bezeichnung_AttributeGroup_BezeichnungBesondereAnlage();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus_Bezeichnung_AttributeGroup <em>ZLV Bus Bezeichnung Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZLV Bus Bezeichnung Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus_Bezeichnung_AttributeGroup
	 * @generated
	 */
	EClass getZLV_Bus_Bezeichnung_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus_Bezeichnung_AttributeGroup#getZLVBusNr <em>ZLV Bus Nr</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>ZLV Bus Nr</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus_Bezeichnung_AttributeGroup#getZLVBusNr()
	 * @see #getZLV_Bus_Bezeichnung_AttributeGroup()
	 * @generated
	 */
	EReference getZLV_Bus_Bezeichnung_AttributeGroup_ZLVBusNr();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus_Nr_TypeClass <em>ZLV Bus Nr Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZLV Bus Nr Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus_Nr_TypeClass
	 * @generated
	 */
	EClass getZLV_Bus_Nr_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus_Nr_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus_Nr_TypeClass#getWert()
	 * @see #getZLV_Bus_Nr_TypeClass()
	 * @generated
	 */
	EAttribute getZLV_Bus_Nr_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus_US_Zuordnung <em>ZLV Bus US Zuordnung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZLV Bus US Zuordnung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus_US_Zuordnung
	 * @generated
	 */
	EClass getZLV_Bus_US_Zuordnung();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus_US_Zuordnung#getIDZLVBus <em>IDZLV Bus</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>IDZLV Bus</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus_US_Zuordnung#getIDZLVBus()
	 * @see #getZLV_Bus_US_Zuordnung()
	 * @generated
	 */
	EReference getZLV_Bus_US_Zuordnung_IDZLVBus();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus_US_Zuordnung#getIDZNUnterstation <em>IDZN Unterstation</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>IDZN Unterstation</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus_US_Zuordnung#getIDZNUnterstation()
	 * @see #getZLV_Bus_US_Zuordnung()
	 * @generated
	 */
	EReference getZLV_Bus_US_Zuordnung_IDZNUnterstation();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus_US_Zuordnung#getZLVBusUSZuordnungTelegramm <em>ZLV Bus US Zuordnung Telegramm</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>ZLV Bus US Zuordnung Telegramm</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus_US_Zuordnung#getZLVBusUSZuordnungTelegramm()
	 * @see #getZLV_Bus_US_Zuordnung()
	 * @generated
	 */
	EReference getZLV_Bus_US_Zuordnung_ZLVBusUSZuordnungTelegramm();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus_US_Zuordnung#getZLVBusZuordnungAllg <em>ZLV Bus Zuordnung Allg</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>ZLV Bus Zuordnung Allg</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus_US_Zuordnung#getZLVBusZuordnungAllg()
	 * @see #getZLV_Bus_US_Zuordnung()
	 * @generated
	 */
	EReference getZLV_Bus_US_Zuordnung_ZLVBusZuordnungAllg();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus_US_Zuordnung_Telegramm_AttributeGroup <em>ZLV Bus US Zuordnung Telegramm Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZLV Bus US Zuordnung Telegramm Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus_US_Zuordnung_Telegramm_AttributeGroup
	 * @generated
	 */
	EClass getZLV_Bus_US_Zuordnung_Telegramm_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus_US_Zuordnung_Telegramm_AttributeGroup#getTelegramm02 <em>Telegramm02</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Telegramm02</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus_US_Zuordnung_Telegramm_AttributeGroup#getTelegramm02()
	 * @see #getZLV_Bus_US_Zuordnung_Telegramm_AttributeGroup()
	 * @generated
	 */
	EReference getZLV_Bus_US_Zuordnung_Telegramm_AttributeGroup_Telegramm02();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus_US_Zuordnung_Telegramm_AttributeGroup#getTelegramm03 <em>Telegramm03</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Telegramm03</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus_US_Zuordnung_Telegramm_AttributeGroup#getTelegramm03()
	 * @see #getZLV_Bus_US_Zuordnung_Telegramm_AttributeGroup()
	 * @generated
	 */
	EReference getZLV_Bus_US_Zuordnung_Telegramm_AttributeGroup_Telegramm03();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus_US_Zuordnung_Telegramm_AttributeGroup#getTelegramm04 <em>Telegramm04</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Telegramm04</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus_US_Zuordnung_Telegramm_AttributeGroup#getTelegramm04()
	 * @see #getZLV_Bus_US_Zuordnung_Telegramm_AttributeGroup()
	 * @generated
	 */
	EReference getZLV_Bus_US_Zuordnung_Telegramm_AttributeGroup_Telegramm04();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus_US_Zuordnung_Telegramm_AttributeGroup#getTelegramm10 <em>Telegramm10</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Telegramm10</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus_US_Zuordnung_Telegramm_AttributeGroup#getTelegramm10()
	 * @see #getZLV_Bus_US_Zuordnung_Telegramm_AttributeGroup()
	 * @generated
	 */
	EReference getZLV_Bus_US_Zuordnung_Telegramm_AttributeGroup_Telegramm10();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus_US_Zuordnung_Telegramm_AttributeGroup#getTelegramm21 <em>Telegramm21</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Telegramm21</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus_US_Zuordnung_Telegramm_AttributeGroup#getTelegramm21()
	 * @see #getZLV_Bus_US_Zuordnung_Telegramm_AttributeGroup()
	 * @generated
	 */
	EReference getZLV_Bus_US_Zuordnung_Telegramm_AttributeGroup_Telegramm21();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus_US_Zuordnung_Telegramm_AttributeGroup#getTelegramm30 <em>Telegramm30</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Telegramm30</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus_US_Zuordnung_Telegramm_AttributeGroup#getTelegramm30()
	 * @see #getZLV_Bus_US_Zuordnung_Telegramm_AttributeGroup()
	 * @generated
	 */
	EReference getZLV_Bus_US_Zuordnung_Telegramm_AttributeGroup_Telegramm30();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus_Zuordnung_Allg_AttributeGroup <em>ZLV Bus Zuordnung Allg Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZLV Bus Zuordnung Allg Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus_Zuordnung_Allg_AttributeGroup
	 * @generated
	 */
	EClass getZLV_Bus_Zuordnung_Allg_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus_Zuordnung_Allg_AttributeGroup#getAnschlussnummer <em>Anschlussnummer</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Anschlussnummer</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus_Zuordnung_Allg_AttributeGroup#getAnschlussnummer()
	 * @see #getZLV_Bus_Zuordnung_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getZLV_Bus_Zuordnung_Allg_AttributeGroup_Anschlussnummer();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus_Zuordnung_Allg_AttributeGroup#getUnterstationNr <em>Unterstation Nr</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Unterstation Nr</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZLV_Bus_Zuordnung_Allg_AttributeGroup#getUnterstationNr()
	 * @see #getZLV_Bus_Zuordnung_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getZLV_Bus_Zuordnung_Allg_AttributeGroup_UnterstationNr();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN <em>ZN</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZN</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN
	 * @generated
	 */
	EClass getZN();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN#getIDAnhangZNPlanBedienraum <em>ID Anhang ZN Plan Bedienraum</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Anhang ZN Plan Bedienraum</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN#getIDAnhangZNPlanBedienraum()
	 * @see #getZN()
	 * @generated
	 */
	EReference getZN_IDAnhangZNPlanBedienraum();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN#getIDAnhangZNPlanRechnerraum <em>ID Anhang ZN Plan Rechnerraum</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Anhang ZN Plan Rechnerraum</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN#getIDAnhangZNPlanRechnerraum()
	 * @see #getZN()
	 * @generated
	 */
	EReference getZN_IDAnhangZNPlanRechnerraum();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN#getIDOertlichkeit <em>ID Oertlichkeit</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Oertlichkeit</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN#getIDOertlichkeit()
	 * @see #getZN()
	 * @generated
	 */
	EReference getZN_IDOertlichkeit();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN#getIDStellwerk <em>ID Stellwerk</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Stellwerk</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN#getIDStellwerk()
	 * @see #getZN()
	 * @generated
	 */
	EReference getZN_IDStellwerk();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN#getIDUnterbringung <em>ID Unterbringung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Unterbringung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN#getIDUnterbringung()
	 * @see #getZN()
	 * @generated
	 */
	EReference getZN_IDUnterbringung();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN#getIDZNUnterstation <em>IDZN Unterstation</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>IDZN Unterstation</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN#getIDZNUnterstation()
	 * @see #getZN()
	 * @generated
	 */
	EReference getZN_IDZNUnterstation();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN#getZNAllg <em>ZN Allg</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>ZN Allg</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN#getZNAllg()
	 * @see #getZN()
	 * @generated
	 */
	EReference getZN_ZNAllg();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_A_Bedienbezeichner_Frei_TypeClass <em>ZN ABedienbezeichner Frei Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZN ABedienbezeichner Frei Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_A_Bedienbezeichner_Frei_TypeClass
	 * @generated
	 */
	EClass getZN_A_Bedienbezeichner_Frei_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_A_Bedienbezeichner_Frei_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_A_Bedienbezeichner_Frei_TypeClass#getWert()
	 * @see #getZN_A_Bedienbezeichner_Frei_TypeClass()
	 * @generated
	 */
	EAttribute getZN_A_Bedienbezeichner_Frei_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_A_Bezeichner_TypeClass <em>ZN ABezeichner Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZN ABezeichner Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_A_Bezeichner_TypeClass
	 * @generated
	 */
	EClass getZN_A_Bezeichner_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_A_Bezeichner_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_A_Bezeichner_TypeClass#getWert()
	 * @see #getZN_A_Bezeichner_TypeClass()
	 * @generated
	 */
	EAttribute getZN_A_Bezeichner_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Akustik <em>ZN Akustik</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZN Akustik</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Akustik
	 * @generated
	 */
	EClass getZN_Akustik();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Akustik#getZNAkustikAnzeigefeld <em>ZN Akustik Anzeigefeld</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>ZN Akustik Anzeigefeld</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Akustik#getZNAkustikAnzeigefeld()
	 * @see #getZN_Akustik()
	 * @generated
	 */
	EReference getZN_Akustik_ZNAkustikAnzeigefeld();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Akustik#getIDZN <em>IDZN</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>IDZN</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Akustik#getIDZN()
	 * @see #getZN_Akustik()
	 * @generated
	 */
	EReference getZN_Akustik_IDZN();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Akustik#getIDZNAnzeigefeld <em>IDZN Anzeigefeld</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>IDZN Anzeigefeld</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Akustik#getIDZNAnzeigefeld()
	 * @see #getZN_Akustik()
	 * @generated
	 */
	EReference getZN_Akustik_IDZNAnzeigefeld();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Akustik_Anzeigefeld_AttributeGroup <em>ZN Akustik Anzeigefeld Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZN Akustik Anzeigefeld Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Akustik_Anzeigefeld_AttributeGroup
	 * @generated
	 */
	EClass getZN_Akustik_Anzeigefeld_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Akustik_Anzeigefeld_AttributeGroup#getAkustikdauerAnbAnn <em>Akustikdauer Anb Ann</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Akustikdauer Anb Ann</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Akustik_Anzeigefeld_AttributeGroup#getAkustikdauerAnbAnn()
	 * @see #getZN_Akustik_Anzeigefeld_AttributeGroup()
	 * @generated
	 */
	EReference getZN_Akustik_Anzeigefeld_AttributeGroup_AkustikdauerAnbAnn();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Akustik_Anzeigefeld_AttributeGroup#getAkustikdauerSonst <em>Akustikdauer Sonst</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Akustikdauer Sonst</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Akustik_Anzeigefeld_AttributeGroup#getAkustikdauerSonst()
	 * @see #getZN_Akustik_Anzeigefeld_AttributeGroup()
	 * @generated
	 */
	EReference getZN_Akustik_Anzeigefeld_AttributeGroup_AkustikdauerSonst();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Akustik_Anzeigefeld_AttributeGroup#getAkustikdauerVoranz <em>Akustikdauer Voranz</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Akustikdauer Voranz</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Akustik_Anzeigefeld_AttributeGroup#getAkustikdauerVoranz()
	 * @see #getZN_Akustik_Anzeigefeld_AttributeGroup()
	 * @generated
	 */
	EReference getZN_Akustik_Anzeigefeld_AttributeGroup_AkustikdauerVoranz();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Allg_AttributeGroup <em>ZN Allg Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZN Allg Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Allg_AttributeGroup
	 * @generated
	 */
	EClass getZN_Allg_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Allg_AttributeGroup#getEinwahlstelle <em>Einwahlstelle</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Einwahlstelle</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Allg_AttributeGroup#getEinwahlstelle()
	 * @see #getZN_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getZN_Allg_AttributeGroup_Einwahlstelle();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Allg_AttributeGroup#getReaktivierungsfunktion <em>Reaktivierungsfunktion</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Reaktivierungsfunktion</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Allg_AttributeGroup#getReaktivierungsfunktion()
	 * @see #getZN_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getZN_Allg_AttributeGroup_Reaktivierungsfunktion();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Allg_AttributeGroup#getZNAnlagentyp <em>ZN Anlagentyp</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>ZN Anlagentyp</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Allg_AttributeGroup#getZNAnlagentyp()
	 * @see #getZN_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getZN_Allg_AttributeGroup_ZNAnlagentyp();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Anlagentyp_TypeClass <em>ZN Anlagentyp Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZN Anlagentyp Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Anlagentyp_TypeClass
	 * @generated
	 */
	EClass getZN_Anlagentyp_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Anlagentyp_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Anlagentyp_TypeClass#getWert()
	 * @see #getZN_Anlagentyp_TypeClass()
	 * @generated
	 */
	EAttribute getZN_Anlagentyp_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Anzeigefeld <em>ZN Anzeigefeld</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZN Anzeigefeld</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Anzeigefeld
	 * @generated
	 */
	EClass getZN_Anzeigefeld();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Anzeigefeld#getIDGleisAbschnitt <em>ID Gleis Abschnitt</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Gleis Abschnitt</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Anzeigefeld#getIDGleisAbschnitt()
	 * @see #getZN_Anzeigefeld()
	 * @generated
	 */
	EReference getZN_Anzeigefeld_IDGleisAbschnitt();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Anzeigefeld#getIDZLVBus <em>IDZLV Bus</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>IDZLV Bus</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Anzeigefeld#getIDZLVBus()
	 * @see #getZN_Anzeigefeld()
	 * @generated
	 */
	EReference getZN_Anzeigefeld_IDZLVBus();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Anzeigefeld#getIDZN <em>IDZN</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>IDZN</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Anzeigefeld#getIDZN()
	 * @see #getZN_Anzeigefeld()
	 * @generated
	 */
	EReference getZN_Anzeigefeld_IDZN();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Anzeigefeld#getIDZNAnzeigefeld <em>IDZN Anzeigefeld</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>IDZN Anzeigefeld</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Anzeigefeld#getIDZNAnzeigefeld()
	 * @see #getZN_Anzeigefeld()
	 * @generated
	 */
	EReference getZN_Anzeigefeld_IDZNAnzeigefeld();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Anzeigefeld#getZNAnzeigefeldAllg <em>ZN Anzeigefeld Allg</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>ZN Anzeigefeld Allg</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Anzeigefeld#getZNAnzeigefeldAllg()
	 * @see #getZN_Anzeigefeld()
	 * @generated
	 */
	EReference getZN_Anzeigefeld_ZNAnzeigefeldAllg();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Anzeigefeld#getZNAnzeigefeldBezeichnung <em>ZN Anzeigefeld Bezeichnung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>ZN Anzeigefeld Bezeichnung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Anzeigefeld#getZNAnzeigefeldBezeichnung()
	 * @see #getZN_Anzeigefeld()
	 * @generated
	 */
	EReference getZN_Anzeigefeld_ZNAnzeigefeldBezeichnung();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Anzeigefeld_Allg_AttributeGroup <em>ZN Anzeigefeld Allg Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZN Anzeigefeld Allg Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Anzeigefeld_Allg_AttributeGroup
	 * @generated
	 */
	EClass getZN_Anzeigefeld_Allg_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Anzeigefeld_Allg_AttributeGroup#getBedienbarkeitAnzeigefeld <em>Bedienbarkeit Anzeigefeld</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Bedienbarkeit Anzeigefeld</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Anzeigefeld_Allg_AttributeGroup#getBedienbarkeitAnzeigefeld()
	 * @see #getZN_Anzeigefeld_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getZN_Anzeigefeld_Allg_AttributeGroup_BedienbarkeitAnzeigefeld();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Anzeigefeld_Allg_AttributeGroup#getBfNrANB <em>Bf Nr ANB</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Bf Nr ANB</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Anzeigefeld_Allg_AttributeGroup#getBfNrANB()
	 * @see #getZN_Anzeigefeld_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getZN_Anzeigefeld_Allg_AttributeGroup_BfNrANB();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Anzeigefeld_Allg_AttributeGroup#getBfNrZNA <em>Bf Nr ZNA</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Bf Nr ZNA</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Anzeigefeld_Allg_AttributeGroup#getBfNrZNA()
	 * @see #getZN_Anzeigefeld_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getZN_Anzeigefeld_Allg_AttributeGroup_BfNrZNA();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Anzeigefeld_Allg_AttributeGroup#getFunktionalitaetAnzeigefeld <em>Funktionalitaet Anzeigefeld</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Funktionalitaet Anzeigefeld</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Anzeigefeld_Allg_AttributeGroup#getFunktionalitaetAnzeigefeld()
	 * @see #getZN_Anzeigefeld_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getZN_Anzeigefeld_Allg_AttributeGroup_FunktionalitaetAnzeigefeld();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Anzeigefeld_Allg_AttributeGroup#getHOA <em>HOA</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>HOA</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Anzeigefeld_Allg_AttributeGroup#getHOA()
	 * @see #getZN_Anzeigefeld_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getZN_Anzeigefeld_Allg_AttributeGroup_HOA();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Anzeigefeld_Allg_AttributeGroup#getSichtbarkeitAnzeigefeld <em>Sichtbarkeit Anzeigefeld</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Sichtbarkeit Anzeigefeld</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Anzeigefeld_Allg_AttributeGroup#getSichtbarkeitAnzeigefeld()
	 * @see #getZN_Anzeigefeld_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getZN_Anzeigefeld_Allg_AttributeGroup_SichtbarkeitAnzeigefeld();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Anzeigefeld_Allg_AttributeGroup#getVerzoegerungManuellLoeschung <em>Verzoegerung Manuell Loeschung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Verzoegerung Manuell Loeschung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Anzeigefeld_Allg_AttributeGroup#getVerzoegerungManuellLoeschung()
	 * @see #getZN_Anzeigefeld_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getZN_Anzeigefeld_Allg_AttributeGroup_VerzoegerungManuellLoeschung();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Anzeigefeld_Allg_AttributeGroup#getVormeldestart <em>Vormeldestart</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Vormeldestart</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Anzeigefeld_Allg_AttributeGroup#getVormeldestart()
	 * @see #getZN_Anzeigefeld_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getZN_Anzeigefeld_Allg_AttributeGroup_Vormeldestart();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Anzeigefeld_Allg_AttributeGroup#getZNAnzeigefeldLoeschkriterium <em>ZN Anzeigefeld Loeschkriterium</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>ZN Anzeigefeld Loeschkriterium</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Anzeigefeld_Allg_AttributeGroup#getZNAnzeigefeldLoeschkriterium()
	 * @see #getZN_Anzeigefeld_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getZN_Anzeigefeld_Allg_AttributeGroup_ZNAnzeigefeldLoeschkriterium();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Anzeigefeld_Allg_AttributeGroup#getZNFeldOhneAnzeige <em>ZN Feld Ohne Anzeige</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>ZN Feld Ohne Anzeige</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Anzeigefeld_Allg_AttributeGroup#getZNFeldOhneAnzeige()
	 * @see #getZN_Anzeigefeld_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getZN_Anzeigefeld_Allg_AttributeGroup_ZNFeldOhneAnzeige();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Anzeigefeld_Allg_AttributeGroup#getZugvorbereitungsmeldung <em>Zugvorbereitungsmeldung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Zugvorbereitungsmeldung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Anzeigefeld_Allg_AttributeGroup#getZugvorbereitungsmeldung()
	 * @see #getZN_Anzeigefeld_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getZN_Anzeigefeld_Allg_AttributeGroup_Zugvorbereitungsmeldung();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Anzeigefeld_Bezeichnung_AttributeGroup <em>ZN Anzeigefeld Bezeichnung Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZN Anzeigefeld Bezeichnung Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Anzeigefeld_Bezeichnung_AttributeGroup
	 * @generated
	 */
	EClass getZN_Anzeigefeld_Bezeichnung_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Anzeigefeld_Bezeichnung_AttributeGroup#getZNABedienbezeichnerFrei <em>ZNA Bedienbezeichner Frei</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>ZNA Bedienbezeichner Frei</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Anzeigefeld_Bezeichnung_AttributeGroup#getZNABedienbezeichnerFrei()
	 * @see #getZN_Anzeigefeld_Bezeichnung_AttributeGroup()
	 * @generated
	 */
	EReference getZN_Anzeigefeld_Bezeichnung_AttributeGroup_ZNABedienbezeichnerFrei();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Anzeigefeld_Bezeichnung_AttributeGroup#getZNABezeichner <em>ZNA Bezeichner</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>ZNA Bezeichner</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Anzeigefeld_Bezeichnung_AttributeGroup#getZNABezeichner()
	 * @see #getZN_Anzeigefeld_Bezeichnung_AttributeGroup()
	 * @generated
	 */
	EReference getZN_Anzeigefeld_Bezeichnung_AttributeGroup_ZNABezeichner();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Anzeigefeld_Loeschkriterium_TypeClass <em>ZN Anzeigefeld Loeschkriterium Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZN Anzeigefeld Loeschkriterium Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Anzeigefeld_Loeschkriterium_TypeClass
	 * @generated
	 */
	EClass getZN_Anzeigefeld_Loeschkriterium_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Anzeigefeld_Loeschkriterium_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Anzeigefeld_Loeschkriterium_TypeClass#getWert()
	 * @see #getZN_Anzeigefeld_Loeschkriterium_TypeClass()
	 * @generated
	 */
	EAttribute getZN_Anzeigefeld_Loeschkriterium_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Feld_Ohne_Anzeige_TypeClass <em>ZN Feld Ohne Anzeige Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZN Feld Ohne Anzeige Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Feld_Ohne_Anzeige_TypeClass
	 * @generated
	 */
	EClass getZN_Feld_Ohne_Anzeige_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Feld_Ohne_Anzeige_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Feld_Ohne_Anzeige_TypeClass#getWert()
	 * @see #getZN_Feld_Ohne_Anzeige_TypeClass()
	 * @generated
	 */
	EAttribute getZN_Feld_Ohne_Anzeige_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Fortschalt_Krit_Druck_AttributeGroup <em>ZN Fortschalt Krit Druck Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZN Fortschalt Krit Druck Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Fortschalt_Krit_Druck_AttributeGroup
	 * @generated
	 */
	EClass getZN_Fortschalt_Krit_Druck_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Fortschalt_Krit_Druck_AttributeGroup#getAusfahrdruck <em>Ausfahrdruck</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Ausfahrdruck</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Fortschalt_Krit_Druck_AttributeGroup#getAusfahrdruck()
	 * @see #getZN_Fortschalt_Krit_Druck_AttributeGroup()
	 * @generated
	 */
	EReference getZN_Fortschalt_Krit_Druck_AttributeGroup_Ausfahrdruck();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Fortschalt_Krit_Druck_AttributeGroup#getAusfahrdruckGegengleis <em>Ausfahrdruck Gegengleis</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Ausfahrdruck Gegengleis</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Fortschalt_Krit_Druck_AttributeGroup#getAusfahrdruckGegengleis()
	 * @see #getZN_Fortschalt_Krit_Druck_AttributeGroup()
	 * @generated
	 */
	EReference getZN_Fortschalt_Krit_Druck_AttributeGroup_AusfahrdruckGegengleis();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Fortschalt_Krit_Druck_AttributeGroup#getDurchfahrdruck <em>Durchfahrdruck</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Durchfahrdruck</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Fortschalt_Krit_Druck_AttributeGroup#getDurchfahrdruck()
	 * @see #getZN_Fortschalt_Krit_Druck_AttributeGroup()
	 * @generated
	 */
	EReference getZN_Fortschalt_Krit_Druck_AttributeGroup_Durchfahrdruck();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Fortschalt_Krit_Druck_AttributeGroup#getEinfahrdruck <em>Einfahrdruck</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Einfahrdruck</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Fortschalt_Krit_Druck_AttributeGroup#getEinfahrdruck()
	 * @see #getZN_Fortschalt_Krit_Druck_AttributeGroup()
	 * @generated
	 */
	EReference getZN_Fortschalt_Krit_Druck_AttributeGroup_Einfahrdruck();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Fortschalt_Krit_Druck_AttributeGroup#getEinfahrdruckGegengleis <em>Einfahrdruck Gegengleis</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Einfahrdruck Gegengleis</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Fortschalt_Krit_Druck_AttributeGroup#getEinfahrdruckGegengleis()
	 * @see #getZN_Fortschalt_Krit_Druck_AttributeGroup()
	 * @generated
	 */
	EReference getZN_Fortschalt_Krit_Druck_AttributeGroup_EinfahrdruckGegengleis();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Fortschalt_Krit_Druck_AttributeGroup#getMeldedruck <em>Meldedruck</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Meldedruck</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Fortschalt_Krit_Druck_AttributeGroup#getMeldedruck()
	 * @see #getZN_Fortschalt_Krit_Druck_AttributeGroup()
	 * @generated
	 */
	EReference getZN_Fortschalt_Krit_Druck_AttributeGroup_Meldedruck();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Fortschalt_Krit_Schalt_AttributeGroup <em>ZN Fortschalt Krit Schalt Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZN Fortschalt Krit Schalt Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Fortschalt_Krit_Schalt_AttributeGroup
	 * @generated
	 */
	EClass getZN_Fortschalt_Krit_Schalt_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Fortschalt_Krit_Schalt_AttributeGroup#getBesonderesSchaltkriterium <em>Besonderes Schaltkriterium</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Besonderes Schaltkriterium</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Fortschalt_Krit_Schalt_AttributeGroup#getBesonderesSchaltkriterium()
	 * @see #getZN_Fortschalt_Krit_Schalt_AttributeGroup()
	 * @generated
	 */
	EReference getZN_Fortschalt_Krit_Schalt_AttributeGroup_BesonderesSchaltkriterium();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Fortschalt_Krit_Schalt_AttributeGroup#getIDFortschaltungStart <em>ID Fortschaltung Start</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Fortschaltung Start</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Fortschalt_Krit_Schalt_AttributeGroup#getIDFortschaltungStart()
	 * @see #getZN_Fortschalt_Krit_Schalt_AttributeGroup()
	 * @generated
	 */
	EReference getZN_Fortschalt_Krit_Schalt_AttributeGroup_IDFortschaltungStart();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Fortschalt_Krit_Schalt_AttributeGroup#getTelegrammwiederholung <em>Telegrammwiederholung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Telegrammwiederholung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Fortschalt_Krit_Schalt_AttributeGroup#getTelegrammwiederholung()
	 * @see #getZN_Fortschalt_Krit_Schalt_AttributeGroup()
	 * @generated
	 */
	EReference getZN_Fortschalt_Krit_Schalt_AttributeGroup_Telegrammwiederholung();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Fortschalt_Krit_Schalt_AttributeGroup#getZNSchaltkriterium <em>ZN Schaltkriterium</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>ZN Schaltkriterium</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Fortschalt_Krit_Schalt_AttributeGroup#getZNSchaltkriterium()
	 * @see #getZN_Fortschalt_Krit_Schalt_AttributeGroup()
	 * @generated
	 */
	EReference getZN_Fortschalt_Krit_Schalt_AttributeGroup_ZNSchaltkriterium();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Fortschalt_Kriterium <em>ZN Fortschalt Kriterium</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZN Fortschalt Kriterium</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Fortschalt_Kriterium
	 * @generated
	 */
	EClass getZN_Fortschalt_Kriterium();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Fortschalt_Kriterium#getIDZN <em>IDZN</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>IDZN</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Fortschalt_Kriterium#getIDZN()
	 * @see #getZN_Fortschalt_Kriterium()
	 * @generated
	 */
	EReference getZN_Fortschalt_Kriterium_IDZN();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Fortschalt_Kriterium#getIDZNFortschaltKritStart <em>IDZN Fortschalt Krit Start</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>IDZN Fortschalt Krit Start</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Fortschalt_Kriterium#getIDZNFortschaltKritStart()
	 * @see #getZN_Fortschalt_Kriterium()
	 * @generated
	 */
	EReference getZN_Fortschalt_Kriterium_IDZNFortschaltKritStart();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Fortschalt_Kriterium#getIDZNFortschaltKritZiel <em>IDZN Fortschalt Krit Ziel</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>IDZN Fortschalt Krit Ziel</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Fortschalt_Kriterium#getIDZNFortschaltKritZiel()
	 * @see #getZN_Fortschalt_Kriterium()
	 * @generated
	 */
	EReference getZN_Fortschalt_Kriterium_IDZNFortschaltKritZiel();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Fortschalt_Kriterium#getZNFortschaltKritDruck <em>ZN Fortschalt Krit Druck</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>ZN Fortschalt Krit Druck</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Fortschalt_Kriterium#getZNFortschaltKritDruck()
	 * @see #getZN_Fortschalt_Kriterium()
	 * @generated
	 */
	EReference getZN_Fortschalt_Kriterium_ZNFortschaltKritDruck();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Fortschalt_Kriterium#getZNFortschaltKritSchalt <em>ZN Fortschalt Krit Schalt</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>ZN Fortschalt Krit Schalt</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Fortschalt_Kriterium#getZNFortschaltKritSchalt()
	 * @see #getZN_Fortschalt_Kriterium()
	 * @generated
	 */
	EReference getZN_Fortschalt_Kriterium_ZNFortschaltKritSchalt();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Modem_TypeClass <em>ZN Modem Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZN Modem Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Modem_TypeClass
	 * @generated
	 */
	EClass getZN_Modem_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Modem_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Modem_TypeClass#getWert()
	 * @see #getZN_Modem_TypeClass()
	 * @generated
	 */
	EAttribute getZN_Modem_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Schaltkriterium_TypeClass <em>ZN Schaltkriterium Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZN Schaltkriterium Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Schaltkriterium_TypeClass
	 * @generated
	 */
	EClass getZN_Schaltkriterium_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Schaltkriterium_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Schaltkriterium_TypeClass#getWert()
	 * @see #getZN_Schaltkriterium_TypeClass()
	 * @generated
	 */
	EAttribute getZN_Schaltkriterium_TypeClass_Wert();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Telegramm_84_Zuordnung <em>ZN Telegramm 84 Zuordnung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZN Telegramm 84 Zuordnung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Telegramm_84_Zuordnung
	 * @generated
	 */
	EClass getZN_Telegramm_84_Zuordnung();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Telegramm_84_Zuordnung#getIDZN <em>IDZN</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>IDZN</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Telegramm_84_Zuordnung#getIDZN()
	 * @see #getZN_Telegramm_84_Zuordnung()
	 * @generated
	 */
	EReference getZN_Telegramm_84_Zuordnung_IDZN();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Telegramm_84_Zuordnung#getTelegramm84AlleFstr <em>Telegramm84 Alle Fstr</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Telegramm84 Alle Fstr</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Telegramm_84_Zuordnung#getTelegramm84AlleFstr()
	 * @see #getZN_Telegramm_84_Zuordnung()
	 * @generated
	 */
	EReference getZN_Telegramm_84_Zuordnung_Telegramm84AlleFstr();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Telegramm_84_Zuordnung#getTelegramm84EinzelneFstr <em>Telegramm84 Einzelne Fstr</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Telegramm84 Einzelne Fstr</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Telegramm_84_Zuordnung#getTelegramm84EinzelneFstr()
	 * @see #getZN_Telegramm_84_Zuordnung()
	 * @generated
	 */
	EReference getZN_Telegramm_84_Zuordnung_Telegramm84EinzelneFstr();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Telegramm_84_Zuordnung#getTelegramm84Verzicht <em>Telegramm84 Verzicht</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Telegramm84 Verzicht</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Telegramm_84_Zuordnung#getTelegramm84Verzicht()
	 * @see #getZN_Telegramm_84_Zuordnung()
	 * @generated
	 */
	EReference getZN_Telegramm_84_Zuordnung_Telegramm84Verzicht();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Telegramm_85_Zuordnung <em>ZN Telegramm 85 Zuordnung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZN Telegramm 85 Zuordnung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Telegramm_85_Zuordnung
	 * @generated
	 */
	EClass getZN_Telegramm_85_Zuordnung();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Telegramm_85_Zuordnung#getIDZN <em>IDZN</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>IDZN</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Telegramm_85_Zuordnung#getIDZN()
	 * @see #getZN_Telegramm_85_Zuordnung()
	 * @generated
	 */
	EReference getZN_Telegramm_85_Zuordnung_IDZN();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Telegramm_85_Zuordnung#getTelegramm85AlleFstr <em>Telegramm85 Alle Fstr</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Telegramm85 Alle Fstr</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Telegramm_85_Zuordnung#getTelegramm85AlleFstr()
	 * @see #getZN_Telegramm_85_Zuordnung()
	 * @generated
	 */
	EReference getZN_Telegramm_85_Zuordnung_Telegramm85AlleFstr();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Telegramm_85_Zuordnung#getTelegramm85EinzelneFstr <em>Telegramm85 Einzelne Fstr</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Telegramm85 Einzelne Fstr</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Telegramm_85_Zuordnung#getTelegramm85EinzelneFstr()
	 * @see #getZN_Telegramm_85_Zuordnung()
	 * @generated
	 */
	EReference getZN_Telegramm_85_Zuordnung_Telegramm85EinzelneFstr();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Unterstation <em>ZN Unterstation</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZN Unterstation</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Unterstation
	 * @generated
	 */
	EClass getZN_Unterstation();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Unterstation#getIDZNZBS <em>IDZNZBS</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>IDZNZBS</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Unterstation#getIDZNZBS()
	 * @see #getZN_Unterstation()
	 * @generated
	 */
	EReference getZN_Unterstation_IDZNZBS();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Unterstation#getZNUnterstationAllg <em>ZN Unterstation Allg</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>ZN Unterstation Allg</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Unterstation#getZNUnterstationAllg()
	 * @see #getZN_Unterstation()
	 * @generated
	 */
	EReference getZN_Unterstation_ZNUnterstationAllg();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Unterstation_Allg_AttributeGroup <em>ZN Unterstation Allg Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZN Unterstation Allg Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Unterstation_Allg_AttributeGroup
	 * @generated
	 */
	EClass getZN_Unterstation_Allg_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Unterstation_Allg_AttributeGroup#getBfKennung <em>Bf Kennung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Bf Kennung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Unterstation_Allg_AttributeGroup#getBfKennung()
	 * @see #getZN_Unterstation_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getZN_Unterstation_Allg_AttributeGroup_BfKennung();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Unterstation_Allg_AttributeGroup#getKoppelunterstation <em>Koppelunterstation</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Koppelunterstation</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Unterstation_Allg_AttributeGroup#getKoppelunterstation()
	 * @see #getZN_Unterstation_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getZN_Unterstation_Allg_AttributeGroup_Koppelunterstation();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Unterstation_Allg_AttributeGroup#getKUsZeittelegramm <em>KUs Zeittelegramm</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>KUs Zeittelegramm</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Unterstation_Allg_AttributeGroup#getKUsZeittelegramm()
	 * @see #getZN_Unterstation_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getZN_Unterstation_Allg_AttributeGroup_KUsZeittelegramm();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Unterstation_Allg_AttributeGroup#getZBSAdresse <em>ZBS Adresse</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>ZBS Adresse</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Unterstation_Allg_AttributeGroup#getZBSAdresse()
	 * @see #getZN_Unterstation_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getZN_Unterstation_Allg_AttributeGroup_ZBSAdresse();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Unterstation_Allg_AttributeGroup#getZBSAnbindung <em>ZBS Anbindung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>ZBS Anbindung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Unterstation_Allg_AttributeGroup#getZBSAnbindung()
	 * @see #getZN_Unterstation_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getZN_Unterstation_Allg_AttributeGroup_ZBSAnbindung();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Unterstation_Allg_AttributeGroup#getZeitsynchronisationFunkuhr <em>Zeitsynchronisation Funkuhr</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Zeitsynchronisation Funkuhr</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Unterstation_Allg_AttributeGroup#getZeitsynchronisationFunkuhr()
	 * @see #getZN_Unterstation_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getZN_Unterstation_Allg_AttributeGroup_ZeitsynchronisationFunkuhr();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Unterstation_Allg_AttributeGroup#getZNUnterstationBfNr <em>ZN Unterstation Bf Nr</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>ZN Unterstation Bf Nr</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Unterstation_Allg_AttributeGroup#getZNUnterstationBfNr()
	 * @see #getZN_Unterstation_Allg_AttributeGroup()
	 * @generated
	 */
	EReference getZN_Unterstation_Allg_AttributeGroup_ZNUnterstationBfNr();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Unterstation_Bf_Nr_AttributeGroup <em>ZN Unterstation Bf Nr Attribute Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZN Unterstation Bf Nr Attribute Group</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Unterstation_Bf_Nr_AttributeGroup
	 * @generated
	 */
	EClass getZN_Unterstation_Bf_Nr_AttributeGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Unterstation_Bf_Nr_AttributeGroup#getBfNr <em>Bf Nr</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Bf Nr</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Unterstation_Bf_Nr_AttributeGroup#getBfNr()
	 * @see #getZN_Unterstation_Bf_Nr_AttributeGroup()
	 * @generated
	 */
	EReference getZN_Unterstation_Bf_Nr_AttributeGroup_BfNr();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Unterstation_Bf_Nr_AttributeGroup#getIDOertlichkeit <em>ID Oertlichkeit</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>ID Oertlichkeit</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Unterstation_Bf_Nr_AttributeGroup#getIDOertlichkeit()
	 * @see #getZN_Unterstation_Bf_Nr_AttributeGroup()
	 * @generated
	 */
	EReference getZN_Unterstation_Bf_Nr_AttributeGroup_IDOertlichkeit();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Unterstation_Bf_Nr_AttributeGroup#getPrioritaet <em>Prioritaet</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Prioritaet</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_Unterstation_Bf_Nr_AttributeGroup#getPrioritaet()
	 * @see #getZN_Unterstation_Bf_Nr_AttributeGroup()
	 * @generated
	 */
	EReference getZN_Unterstation_Bf_Nr_AttributeGroup_Prioritaet();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_ZBS <em>ZN ZBS</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ZN ZBS</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_ZBS
	 * @generated
	 */
	EClass getZN_ZBS();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_ZBS#getIDESTWZentraleinheit <em>IDESTW Zentraleinheit</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>IDESTW Zentraleinheit</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_ZBS#getIDESTWZentraleinheit()
	 * @see #getZN_ZBS()
	 * @generated
	 */
	EReference getZN_ZBS_IDESTWZentraleinheit();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_ZBS#getIPAdresse <em>IP Adresse</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>IP Adresse</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_ZBS#getIPAdresse()
	 * @see #getZN_ZBS()
	 * @generated
	 */
	EReference getZN_ZBS_IPAdresse();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_ZBS#getZBSSchnittstelle <em>ZBS Schnittstelle</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>ZBS Schnittstelle</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ZN_ZBS#getZBSSchnittstelle()
	 * @see #getZN_ZBS()
	 * @generated
	 */
	EReference getZN_ZBS_ZBSSchnittstelle();

	/**
	 * Returns the meta object for class '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Zugvorbereitungsmeldung_TypeClass <em>Zugvorbereitungsmeldung Type Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Zugvorbereitungsmeldung Type Class</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Zugvorbereitungsmeldung_TypeClass
	 * @generated
	 */
	EClass getZugvorbereitungsmeldung_TypeClass();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Zugvorbereitungsmeldung_TypeClass#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.Zugvorbereitungsmeldung_TypeClass#getWert()
	 * @see #getZugvorbereitungsmeldung_TypeClass()
	 * @generated
	 */
	EAttribute getZugvorbereitungsmeldung_TypeClass_Wert();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMAkustikAnbAnn <em>ENUM Akustik Anb Ann</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>ENUM Akustik Anb Ann</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMAkustikAnbAnn
	 * @generated
	 */
	EEnum getENUMAkustikAnbAnn();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMAkustikSonst <em>ENUM Akustik Sonst</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>ENUM Akustik Sonst</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMAkustikSonst
	 * @generated
	 */
	EEnum getENUMAkustikSonst();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMBfKennung <em>ENUM Bf Kennung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>ENUM Bf Kennung</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMBfKennung
	 * @generated
	 */
	EEnum getENUMBfKennung();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMFunktionalitaetAnzeigefeld <em>ENUM Funktionalitaet Anzeigefeld</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>ENUM Funktionalitaet Anzeigefeld</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMFunktionalitaetAnzeigefeld
	 * @generated
	 */
	EEnum getENUMFunktionalitaetAnzeigefeld();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMZBSSchnittstelle <em>ENUMZBS Schnittstelle</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>ENUMZBS Schnittstelle</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMZBSSchnittstelle
	 * @generated
	 */
	EEnum getENUMZBSSchnittstelle();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMZNAnlagentyp <em>ENUMZN Anlagentyp</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>ENUMZN Anlagentyp</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMZNAnlagentyp
	 * @generated
	 */
	EEnum getENUMZNAnlagentyp();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMZNAnzeigefeldLoeschkriterium <em>ENUMZN Anzeigefeld Loeschkriterium</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>ENUMZN Anzeigefeld Loeschkriterium</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMZNAnzeigefeldLoeschkriterium
	 * @generated
	 */
	EEnum getENUMZNAnzeigefeldLoeschkriterium();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMZNModem <em>ENUMZN Modem</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>ENUMZN Modem</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMZNModem
	 * @generated
	 */
	EEnum getENUMZNModem();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMZNSchaltkriterium <em>ENUMZN Schaltkriterium</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>ENUMZN Schaltkriterium</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMZNSchaltkriterium
	 * @generated
	 */
	EEnum getENUMZNSchaltkriterium();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>Anschlussnummer Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Anschlussnummer Type</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TAnschlussnummer' baseType='http://www.eclipse.org/emf/2003/XMLType#integer'"
	 * @generated
	 */
	EDataType getAnschlussnummer_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Besonderes Schaltkriterium Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Besonderes Schaltkriterium Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TBesonderes_Schaltkriterium' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText'"
	 * @generated
	 */
	EDataType getBesonderes_Schaltkriterium_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Bezeichnung Besondere Anlage Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Bezeichnung Besondere Anlage Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TBezeichnung_Besondere_Anlage' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText'"
	 * @generated
	 */
	EDataType getBezeichnung_Besondere_Anlage_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>Bf Nr Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Bf Nr Type</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TBf_Nr' baseType='http://www.eclipse.org/emf/2003/XMLType#integer' pattern='0[1-9]|[1-9][0-9]'"
	 * @generated
	 */
	EDataType getBf_Nr_Type();

	/**
	 * Returns the meta object for data type '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMAkustikAnbAnn <em>ENUM Akustik Anb Ann Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ENUM Akustik Anb Ann Object</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMAkustikAnbAnn
	 * @model instanceClass="org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMAkustikAnbAnn"
	 *        extendedMetaData="name='ENUMAkustik_Anb_Ann:Object' baseType='ENUMAkustik_Anb_Ann'"
	 * @generated
	 */
	EDataType getENUMAkustikAnbAnnObject();

	/**
	 * Returns the meta object for data type '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMAkustikSonst <em>ENUM Akustik Sonst Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ENUM Akustik Sonst Object</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMAkustikSonst
	 * @model instanceClass="org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMAkustikSonst"
	 *        extendedMetaData="name='ENUMAkustik_Sonst:Object' baseType='ENUMAkustik_Sonst'"
	 * @generated
	 */
	EDataType getENUMAkustikSonstObject();

	/**
	 * Returns the meta object for data type '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMBfKennung <em>ENUM Bf Kennung Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ENUM Bf Kennung Object</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMBfKennung
	 * @model instanceClass="org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMBfKennung"
	 *        extendedMetaData="name='ENUMBf_Kennung:Object' baseType='ENUMBf_Kennung'"
	 * @generated
	 */
	EDataType getENUMBfKennungObject();

	/**
	 * Returns the meta object for data type '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMFunktionalitaetAnzeigefeld <em>ENUM Funktionalitaet Anzeigefeld Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ENUM Funktionalitaet Anzeigefeld Object</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMFunktionalitaetAnzeigefeld
	 * @model instanceClass="org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMFunktionalitaetAnzeigefeld"
	 *        extendedMetaData="name='ENUMFunktionalitaet_Anzeigefeld:Object' baseType='ENUMFunktionalitaet_Anzeigefeld'"
	 * @generated
	 */
	EDataType getENUMFunktionalitaetAnzeigefeldObject();

	/**
	 * Returns the meta object for data type '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMZBSSchnittstelle <em>ENUMZBS Schnittstelle Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ENUMZBS Schnittstelle Object</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMZBSSchnittstelle
	 * @model instanceClass="org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMZBSSchnittstelle"
	 *        extendedMetaData="name='ENUMZBS_Schnittstelle:Object' baseType='ENUMZBS_Schnittstelle'"
	 * @generated
	 */
	EDataType getENUMZBSSchnittstelleObject();

	/**
	 * Returns the meta object for data type '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMZNAnlagentyp <em>ENUMZN Anlagentyp Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ENUMZN Anlagentyp Object</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMZNAnlagentyp
	 * @model instanceClass="org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMZNAnlagentyp"
	 *        extendedMetaData="name='ENUMZN_Anlagentyp:Object' baseType='ENUMZN_Anlagentyp'"
	 * @generated
	 */
	EDataType getENUMZNAnlagentypObject();

	/**
	 * Returns the meta object for data type '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMZNAnzeigefeldLoeschkriterium <em>ENUMZN Anzeigefeld Loeschkriterium Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ENUMZN Anzeigefeld Loeschkriterium Object</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMZNAnzeigefeldLoeschkriterium
	 * @model instanceClass="org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMZNAnzeigefeldLoeschkriterium"
	 *        extendedMetaData="name='ENUMZN_Anzeigefeld_Loeschkriterium:Object' baseType='ENUMZN_Anzeigefeld_Loeschkriterium'"
	 * @generated
	 */
	EDataType getENUMZNAnzeigefeldLoeschkriteriumObject();

	/**
	 * Returns the meta object for data type '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMZNModem <em>ENUMZN Modem Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ENUMZN Modem Object</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMZNModem
	 * @model instanceClass="org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMZNModem"
	 *        extendedMetaData="name='ENUMZN_Modem:Object' baseType='ENUMZN_Modem'"
	 * @generated
	 */
	EDataType getENUMZNModemObject();

	/**
	 * Returns the meta object for data type '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMZNSchaltkriterium <em>ENUMZN Schaltkriterium Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ENUMZN Schaltkriterium Object</em>'.
	 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMZNSchaltkriterium
	 * @model instanceClass="org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMZNSchaltkriterium"
	 *        extendedMetaData="name='ENUMZN_Schaltkriterium:Object' baseType='ENUMZN_Schaltkriterium'"
	 * @generated
	 */
	EDataType getENUMZNSchaltkriteriumObject();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>IP Adresse Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>IP Adresse Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TIP_Adresse' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText' pattern='([0-9]{1,3}\\.){3}[0-9]{1,3}'"
	 * @generated
	 */
	EDataType getIP_Adresse_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>Prioritaet Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Prioritaet Type</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TPrioritaet' baseType='http://www.eclipse.org/emf/2003/XMLType#integer'"
	 * @generated
	 */
	EDataType getPrioritaet_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>Unterstation Max Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Unterstation Max Type</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TUnterstation_Max' baseType='http://www.eclipse.org/emf/2003/XMLType#integer' pattern='[1-9]|[1-3][0-9]|40'"
	 * @generated
	 */
	EDataType getUnterstation_Max_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Unterstation Nr Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Unterstation Nr Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TUnterstation_Nr' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TZeichenkette' pattern='0[1-9]|[1-3][0-9]|40'"
	 * @generated
	 */
	EDataType getUnterstation_Nr_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigDecimal <em>Verzoegerung Manuell Loeschung Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Verzoegerung Manuell Loeschung Type</em>'.
	 * @see java.math.BigDecimal
	 * @model instanceClass="java.math.BigDecimal"
	 *        extendedMetaData="name='TVerzoegerung_Manuell_Loeschung' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TSekunde'"
	 * @generated
	 */
	EDataType getVerzoegerung_Manuell_Loeschung_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>ZBS Adresse Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ZBS Adresse Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TZBS_Adresse' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText' pattern='[A-F][0-9]|[C-F][A-F]|[AB][C-F]|AB|BA'"
	 * @generated
	 */
	EDataType getZBS_Adresse_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>ZLV Bus Nr Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ZLV Bus Nr Type</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TZLV_Bus_Nr' baseType='http://www.eclipse.org/emf/2003/XMLType#integer' pattern='[1-9][0-9]{0,3}'"
	 * @generated
	 */
	EDataType getZLV_Bus_Nr_Type();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>ZN ABedienbezeichner Frei Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ZN ABedienbezeichner Frei Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='TZN_A_Bedienbezeichner_Frei' baseType='http://www.plan-pro.org/modell/BasisTypen/toolbox#TText' pattern='.{4,7}'"
	 * @generated
	 */
	EDataType getZN_A_Bedienbezeichner_Frei_Type();

	/**
	 * Returns the meta object for data type '{@link java.math.BigInteger <em>ZN ABezeichner Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>ZN ABezeichner Type</em>'.
	 * @see java.math.BigInteger
	 * @model instanceClass="java.math.BigInteger"
	 *        extendedMetaData="name='TZN_A_Bezeichner' baseType='http://www.eclipse.org/emf/2003/XMLType#integer'"
	 * @generated
	 */
	EDataType getZN_A_Bezeichner_Type();

	/**
	 * Returns the factory that creates the instances of the model.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the factory that creates the instances of the model.
	 * @generated
	 */
	ZugnummernmeldeanlageFactory getZugnummernmeldeanlageFactory();

	/**
	 * <!-- begin-user-doc -->
	 * Defines literals for the meta objects that represent
	 * <ul>
	 *   <li>each class,</li>
	 *   <li>each feature of each class,</li>
	 *   <li>each operation of each class,</li>
	 *   <li>each enum,</li>
	 *   <li>and each data type</li>
	 * </ul>
	 * <!-- end-user-doc -->
	 * @generated
	 */
	interface Literals {
		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Akustikdauer_Anb_Ann_TypeClassImpl <em>Akustikdauer Anb Ann Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Akustikdauer_Anb_Ann_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getAkustikdauer_Anb_Ann_TypeClass()
		 * @generated
		 */
		EClass AKUSTIKDAUER_ANB_ANN_TYPE_CLASS = eINSTANCE.getAkustikdauer_Anb_Ann_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute AKUSTIKDAUER_ANB_ANN_TYPE_CLASS__WERT = eINSTANCE.getAkustikdauer_Anb_Ann_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Akustikdauer_Sonst_TypeClassImpl <em>Akustikdauer Sonst Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Akustikdauer_Sonst_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getAkustikdauer_Sonst_TypeClass()
		 * @generated
		 */
		EClass AKUSTIKDAUER_SONST_TYPE_CLASS = eINSTANCE.getAkustikdauer_Sonst_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute AKUSTIKDAUER_SONST_TYPE_CLASS__WERT = eINSTANCE.getAkustikdauer_Sonst_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Akustikdauer_Voranz_TypeClassImpl <em>Akustikdauer Voranz Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Akustikdauer_Voranz_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getAkustikdauer_Voranz_TypeClass()
		 * @generated
		 */
		EClass AKUSTIKDAUER_VORANZ_TYPE_CLASS = eINSTANCE.getAkustikdauer_Voranz_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute AKUSTIKDAUER_VORANZ_TYPE_CLASS__WERT = eINSTANCE.getAkustikdauer_Voranz_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Anschlussnummer_TypeClassImpl <em>Anschlussnummer Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Anschlussnummer_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getAnschlussnummer_TypeClass()
		 * @generated
		 */
		EClass ANSCHLUSSNUMMER_TYPE_CLASS = eINSTANCE.getAnschlussnummer_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ANSCHLUSSNUMMER_TYPE_CLASS__WERT = eINSTANCE.getAnschlussnummer_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Ausfahrdruck_Gegengleis_TypeClassImpl <em>Ausfahrdruck Gegengleis Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Ausfahrdruck_Gegengleis_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getAusfahrdruck_Gegengleis_TypeClass()
		 * @generated
		 */
		EClass AUSFAHRDRUCK_GEGENGLEIS_TYPE_CLASS = eINSTANCE.getAusfahrdruck_Gegengleis_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute AUSFAHRDRUCK_GEGENGLEIS_TYPE_CLASS__WERT = eINSTANCE.getAusfahrdruck_Gegengleis_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Ausfahrdruck_TypeClassImpl <em>Ausfahrdruck Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Ausfahrdruck_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getAusfahrdruck_TypeClass()
		 * @generated
		 */
		EClass AUSFAHRDRUCK_TYPE_CLASS = eINSTANCE.getAusfahrdruck_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute AUSFAHRDRUCK_TYPE_CLASS__WERT = eINSTANCE.getAusfahrdruck_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Bedienbarkeit_Anzeigefeld_TypeClassImpl <em>Bedienbarkeit Anzeigefeld Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Bedienbarkeit_Anzeigefeld_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getBedienbarkeit_Anzeigefeld_TypeClass()
		 * @generated
		 */
		EClass BEDIENBARKEIT_ANZEIGEFELD_TYPE_CLASS = eINSTANCE.getBedienbarkeit_Anzeigefeld_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute BEDIENBARKEIT_ANZEIGEFELD_TYPE_CLASS__WERT = eINSTANCE.getBedienbarkeit_Anzeigefeld_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Besonderes_Schaltkriterium_TypeClassImpl <em>Besonderes Schaltkriterium Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Besonderes_Schaltkriterium_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getBesonderes_Schaltkriterium_TypeClass()
		 * @generated
		 */
		EClass BESONDERES_SCHALTKRITERIUM_TYPE_CLASS = eINSTANCE.getBesonderes_Schaltkriterium_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute BESONDERES_SCHALTKRITERIUM_TYPE_CLASS__WERT = eINSTANCE.getBesonderes_Schaltkriterium_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Bezeichnung_Besondere_Anlage_TypeClassImpl <em>Bezeichnung Besondere Anlage Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Bezeichnung_Besondere_Anlage_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getBezeichnung_Besondere_Anlage_TypeClass()
		 * @generated
		 */
		EClass BEZEICHNUNG_BESONDERE_ANLAGE_TYPE_CLASS = eINSTANCE.getBezeichnung_Besondere_Anlage_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute BEZEICHNUNG_BESONDERE_ANLAGE_TYPE_CLASS__WERT = eINSTANCE.getBezeichnung_Besondere_Anlage_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Bf_Kennung_TypeClassImpl <em>Bf Kennung Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Bf_Kennung_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getBf_Kennung_TypeClass()
		 * @generated
		 */
		EClass BF_KENNUNG_TYPE_CLASS = eINSTANCE.getBf_Kennung_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute BF_KENNUNG_TYPE_CLASS__WERT = eINSTANCE.getBf_Kennung_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Bf_Nr_ANB_TypeClassImpl <em>Bf Nr ANB Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Bf_Nr_ANB_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getBf_Nr_ANB_TypeClass()
		 * @generated
		 */
		EClass BF_NR_ANB_TYPE_CLASS = eINSTANCE.getBf_Nr_ANB_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute BF_NR_ANB_TYPE_CLASS__WERT = eINSTANCE.getBf_Nr_ANB_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Bf_Nr_TypeClassImpl <em>Bf Nr Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Bf_Nr_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getBf_Nr_TypeClass()
		 * @generated
		 */
		EClass BF_NR_TYPE_CLASS = eINSTANCE.getBf_Nr_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute BF_NR_TYPE_CLASS__WERT = eINSTANCE.getBf_Nr_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Bf_Nr_ZN_A_TypeClassImpl <em>Bf Nr ZN AType Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Bf_Nr_ZN_A_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getBf_Nr_ZN_A_TypeClass()
		 * @generated
		 */
		EClass BF_NR_ZN_ATYPE_CLASS = eINSTANCE.getBf_Nr_ZN_A_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute BF_NR_ZN_ATYPE_CLASS__WERT = eINSTANCE.getBf_Nr_ZN_A_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Durchfahrdruck_TypeClassImpl <em>Durchfahrdruck Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Durchfahrdruck_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getDurchfahrdruck_TypeClass()
		 * @generated
		 */
		EClass DURCHFAHRDRUCK_TYPE_CLASS = eINSTANCE.getDurchfahrdruck_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute DURCHFAHRDRUCK_TYPE_CLASS__WERT = eINSTANCE.getDurchfahrdruck_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Einfahrdruck_Gegengleis_TypeClassImpl <em>Einfahrdruck Gegengleis Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Einfahrdruck_Gegengleis_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getEinfahrdruck_Gegengleis_TypeClass()
		 * @generated
		 */
		EClass EINFAHRDRUCK_GEGENGLEIS_TYPE_CLASS = eINSTANCE.getEinfahrdruck_Gegengleis_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute EINFAHRDRUCK_GEGENGLEIS_TYPE_CLASS__WERT = eINSTANCE.getEinfahrdruck_Gegengleis_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Einfahrdruck_TypeClassImpl <em>Einfahrdruck Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Einfahrdruck_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getEinfahrdruck_TypeClass()
		 * @generated
		 */
		EClass EINFAHRDRUCK_TYPE_CLASS = eINSTANCE.getEinfahrdruck_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute EINFAHRDRUCK_TYPE_CLASS__WERT = eINSTANCE.getEinfahrdruck_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Einwahlstelle_TypeClassImpl <em>Einwahlstelle Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Einwahlstelle_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getEinwahlstelle_TypeClass()
		 * @generated
		 */
		EClass EINWAHLSTELLE_TYPE_CLASS = eINSTANCE.getEinwahlstelle_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute EINWAHLSTELLE_TYPE_CLASS__WERT = eINSTANCE.getEinwahlstelle_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Funktionalitaet_Anzeigefeld_TypeClassImpl <em>Funktionalitaet Anzeigefeld Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Funktionalitaet_Anzeigefeld_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getFunktionalitaet_Anzeigefeld_TypeClass()
		 * @generated
		 */
		EClass FUNKTIONALITAET_ANZEIGEFELD_TYPE_CLASS = eINSTANCE.getFunktionalitaet_Anzeigefeld_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute FUNKTIONALITAET_ANZEIGEFELD_TYPE_CLASS__WERT = eINSTANCE.getFunktionalitaet_Anzeigefeld_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.HOA_TypeClassImpl <em>HOA Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.HOA_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getHOA_TypeClass()
		 * @generated
		 */
		EClass HOA_TYPE_CLASS = eINSTANCE.getHOA_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute HOA_TYPE_CLASS__WERT = eINSTANCE.getHOA_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.IP_Adresse_TypeClassImpl <em>IP Adresse Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.IP_Adresse_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getIP_Adresse_TypeClass()
		 * @generated
		 */
		EClass IP_ADRESSE_TYPE_CLASS = eINSTANCE.getIP_Adresse_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute IP_ADRESSE_TYPE_CLASS__WERT = eINSTANCE.getIP_Adresse_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Koppelunterstation_TypeClassImpl <em>Koppelunterstation Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Koppelunterstation_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getKoppelunterstation_TypeClass()
		 * @generated
		 */
		EClass KOPPELUNTERSTATION_TYPE_CLASS = eINSTANCE.getKoppelunterstation_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute KOPPELUNTERSTATION_TYPE_CLASS__WERT = eINSTANCE.getKoppelunterstation_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.KUs_Zeittelegramm_TypeClassImpl <em>KUs Zeittelegramm Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.KUs_Zeittelegramm_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getKUs_Zeittelegramm_TypeClass()
		 * @generated
		 */
		EClass KUS_ZEITTELEGRAMM_TYPE_CLASS = eINSTANCE.getKUs_Zeittelegramm_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute KUS_ZEITTELEGRAMM_TYPE_CLASS__WERT = eINSTANCE.getKUs_Zeittelegramm_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Meldedruck_TypeClassImpl <em>Meldedruck Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Meldedruck_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getMeldedruck_TypeClass()
		 * @generated
		 */
		EClass MELDEDRUCK_TYPE_CLASS = eINSTANCE.getMeldedruck_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute MELDEDRUCK_TYPE_CLASS__WERT = eINSTANCE.getMeldedruck_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Prioritaet_TypeClassImpl <em>Prioritaet Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Prioritaet_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getPrioritaet_TypeClass()
		 * @generated
		 */
		EClass PRIORITAET_TYPE_CLASS = eINSTANCE.getPrioritaet_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRIORITAET_TYPE_CLASS__WERT = eINSTANCE.getPrioritaet_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Reaktivierungsfunktion_TypeClassImpl <em>Reaktivierungsfunktion Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Reaktivierungsfunktion_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getReaktivierungsfunktion_TypeClass()
		 * @generated
		 */
		EClass REAKTIVIERUNGSFUNKTION_TYPE_CLASS = eINSTANCE.getReaktivierungsfunktion_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute REAKTIVIERUNGSFUNKTION_TYPE_CLASS__WERT = eINSTANCE.getReaktivierungsfunktion_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Sichtbarkeit_Anzeigefeld_TypeClassImpl <em>Sichtbarkeit Anzeigefeld Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Sichtbarkeit_Anzeigefeld_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getSichtbarkeit_Anzeigefeld_TypeClass()
		 * @generated
		 */
		EClass SICHTBARKEIT_ANZEIGEFELD_TYPE_CLASS = eINSTANCE.getSichtbarkeit_Anzeigefeld_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SICHTBARKEIT_ANZEIGEFELD_TYPE_CLASS__WERT = eINSTANCE.getSichtbarkeit_Anzeigefeld_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Telegramm_02_TypeClassImpl <em>Telegramm 02 Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Telegramm_02_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getTelegramm_02_TypeClass()
		 * @generated
		 */
		EClass TELEGRAMM_02_TYPE_CLASS = eINSTANCE.getTelegramm_02_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TELEGRAMM_02_TYPE_CLASS__WERT = eINSTANCE.getTelegramm_02_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Telegramm_03_TypeClassImpl <em>Telegramm 03 Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Telegramm_03_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getTelegramm_03_TypeClass()
		 * @generated
		 */
		EClass TELEGRAMM_03_TYPE_CLASS = eINSTANCE.getTelegramm_03_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TELEGRAMM_03_TYPE_CLASS__WERT = eINSTANCE.getTelegramm_03_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Telegramm_04_TypeClassImpl <em>Telegramm 04 Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Telegramm_04_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getTelegramm_04_TypeClass()
		 * @generated
		 */
		EClass TELEGRAMM_04_TYPE_CLASS = eINSTANCE.getTelegramm_04_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TELEGRAMM_04_TYPE_CLASS__WERT = eINSTANCE.getTelegramm_04_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Telegramm_10_TypeClassImpl <em>Telegramm 10 Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Telegramm_10_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getTelegramm_10_TypeClass()
		 * @generated
		 */
		EClass TELEGRAMM_10_TYPE_CLASS = eINSTANCE.getTelegramm_10_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TELEGRAMM_10_TYPE_CLASS__WERT = eINSTANCE.getTelegramm_10_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Telegramm_21_TypeClassImpl <em>Telegramm 21 Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Telegramm_21_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getTelegramm_21_TypeClass()
		 * @generated
		 */
		EClass TELEGRAMM_21_TYPE_CLASS = eINSTANCE.getTelegramm_21_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TELEGRAMM_21_TYPE_CLASS__WERT = eINSTANCE.getTelegramm_21_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Telegramm_30_TypeClassImpl <em>Telegramm 30 Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Telegramm_30_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getTelegramm_30_TypeClass()
		 * @generated
		 */
		EClass TELEGRAMM_30_TYPE_CLASS = eINSTANCE.getTelegramm_30_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TELEGRAMM_30_TYPE_CLASS__WERT = eINSTANCE.getTelegramm_30_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Telegramm_84_Alle_Fstr_AttributeGroupImpl <em>Telegramm 84 Alle Fstr Attribute Group</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Telegramm_84_Alle_Fstr_AttributeGroupImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getTelegramm_84_Alle_Fstr_AttributeGroup()
		 * @generated
		 */
		EClass TELEGRAMM_84_ALLE_FSTR_ATTRIBUTE_GROUP = eINSTANCE.getTelegramm_84_Alle_Fstr_AttributeGroup();

		/**
		 * The meta object literal for the '<em><b>IDZLV Bus</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TELEGRAMM_84_ALLE_FSTR_ATTRIBUTE_GROUP__IDZLV_BUS = eINSTANCE.getTelegramm_84_Alle_Fstr_AttributeGroup_IDZLVBus();

		/**
		 * The meta object literal for the '<em><b>Telegramm84 Fuer Alle Fstr</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TELEGRAMM_84_ALLE_FSTR_ATTRIBUTE_GROUP__TELEGRAMM84_FUER_ALLE_FSTR = eINSTANCE.getTelegramm_84_Alle_Fstr_AttributeGroup_Telegramm84FuerAlleFstr();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Telegramm_84_Einzelne_Fstr_AttributeGroupImpl <em>Telegramm 84 Einzelne Fstr Attribute Group</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Telegramm_84_Einzelne_Fstr_AttributeGroupImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getTelegramm_84_Einzelne_Fstr_AttributeGroup()
		 * @generated
		 */
		EClass TELEGRAMM_84_EINZELNE_FSTR_ATTRIBUTE_GROUP = eINSTANCE.getTelegramm_84_Einzelne_Fstr_AttributeGroup();

		/**
		 * The meta object literal for the '<em><b>ID Fstr Zug Rangier</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TELEGRAMM_84_EINZELNE_FSTR_ATTRIBUTE_GROUP__ID_FSTR_ZUG_RANGIER = eINSTANCE.getTelegramm_84_Einzelne_Fstr_AttributeGroup_IDFstrZugRangier();

		/**
		 * The meta object literal for the '<em><b>IDZLV Bus</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TELEGRAMM_84_EINZELNE_FSTR_ATTRIBUTE_GROUP__IDZLV_BUS = eINSTANCE.getTelegramm_84_Einzelne_Fstr_AttributeGroup_IDZLVBus();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Telegramm_84_Fuer_Alle_Fstr_TypeClassImpl <em>Telegramm 84 Fuer Alle Fstr Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Telegramm_84_Fuer_Alle_Fstr_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getTelegramm_84_Fuer_Alle_Fstr_TypeClass()
		 * @generated
		 */
		EClass TELEGRAMM_84_FUER_ALLE_FSTR_TYPE_CLASS = eINSTANCE.getTelegramm_84_Fuer_Alle_Fstr_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TELEGRAMM_84_FUER_ALLE_FSTR_TYPE_CLASS__WERT = eINSTANCE.getTelegramm_84_Fuer_Alle_Fstr_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Telegramm_84_Verzicht_TypeClassImpl <em>Telegramm 84 Verzicht Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Telegramm_84_Verzicht_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getTelegramm_84_Verzicht_TypeClass()
		 * @generated
		 */
		EClass TELEGRAMM_84_VERZICHT_TYPE_CLASS = eINSTANCE.getTelegramm_84_Verzicht_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TELEGRAMM_84_VERZICHT_TYPE_CLASS__WERT = eINSTANCE.getTelegramm_84_Verzicht_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Telegramm_85_Alle_Fstr_AttributeGroupImpl <em>Telegramm 85 Alle Fstr Attribute Group</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Telegramm_85_Alle_Fstr_AttributeGroupImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getTelegramm_85_Alle_Fstr_AttributeGroup()
		 * @generated
		 */
		EClass TELEGRAMM_85_ALLE_FSTR_ATTRIBUTE_GROUP = eINSTANCE.getTelegramm_85_Alle_Fstr_AttributeGroup();

		/**
		 * The meta object literal for the '<em><b>IDZLV Bus</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TELEGRAMM_85_ALLE_FSTR_ATTRIBUTE_GROUP__IDZLV_BUS = eINSTANCE.getTelegramm_85_Alle_Fstr_AttributeGroup_IDZLVBus();

		/**
		 * The meta object literal for the '<em><b>Telegramm85 Fuer Alle Fstr</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TELEGRAMM_85_ALLE_FSTR_ATTRIBUTE_GROUP__TELEGRAMM85_FUER_ALLE_FSTR = eINSTANCE.getTelegramm_85_Alle_Fstr_AttributeGroup_Telegramm85FuerAlleFstr();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Telegramm_85_Einzelne_Fstr_AttributeGroupImpl <em>Telegramm 85 Einzelne Fstr Attribute Group</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Telegramm_85_Einzelne_Fstr_AttributeGroupImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getTelegramm_85_Einzelne_Fstr_AttributeGroup()
		 * @generated
		 */
		EClass TELEGRAMM_85_EINZELNE_FSTR_ATTRIBUTE_GROUP = eINSTANCE.getTelegramm_85_Einzelne_Fstr_AttributeGroup();

		/**
		 * The meta object literal for the '<em><b>ID Fstr Zug Rangier</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TELEGRAMM_85_EINZELNE_FSTR_ATTRIBUTE_GROUP__ID_FSTR_ZUG_RANGIER = eINSTANCE.getTelegramm_85_Einzelne_Fstr_AttributeGroup_IDFstrZugRangier();

		/**
		 * The meta object literal for the '<em><b>IDZLV Bus</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TELEGRAMM_85_EINZELNE_FSTR_ATTRIBUTE_GROUP__IDZLV_BUS = eINSTANCE.getTelegramm_85_Einzelne_Fstr_AttributeGroup_IDZLVBus();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Telegramm_85_Fuer_Alle_Fstr_TypeClassImpl <em>Telegramm 85 Fuer Alle Fstr Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Telegramm_85_Fuer_Alle_Fstr_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getTelegramm_85_Fuer_Alle_Fstr_TypeClass()
		 * @generated
		 */
		EClass TELEGRAMM_85_FUER_ALLE_FSTR_TYPE_CLASS = eINSTANCE.getTelegramm_85_Fuer_Alle_Fstr_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TELEGRAMM_85_FUER_ALLE_FSTR_TYPE_CLASS__WERT = eINSTANCE.getTelegramm_85_Fuer_Alle_Fstr_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Telegrammwiederholung_TypeClassImpl <em>Telegrammwiederholung Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Telegrammwiederholung_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getTelegrammwiederholung_TypeClass()
		 * @generated
		 */
		EClass TELEGRAMMWIEDERHOLUNG_TYPE_CLASS = eINSTANCE.getTelegrammwiederholung_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TELEGRAMMWIEDERHOLUNG_TYPE_CLASS__WERT = eINSTANCE.getTelegrammwiederholung_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Unterstation_Max_TypeClassImpl <em>Unterstation Max Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Unterstation_Max_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getUnterstation_Max_TypeClass()
		 * @generated
		 */
		EClass UNTERSTATION_MAX_TYPE_CLASS = eINSTANCE.getUnterstation_Max_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute UNTERSTATION_MAX_TYPE_CLASS__WERT = eINSTANCE.getUnterstation_Max_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Unterstation_Nr_TypeClassImpl <em>Unterstation Nr Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Unterstation_Nr_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getUnterstation_Nr_TypeClass()
		 * @generated
		 */
		EClass UNTERSTATION_NR_TYPE_CLASS = eINSTANCE.getUnterstation_Nr_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute UNTERSTATION_NR_TYPE_CLASS__WERT = eINSTANCE.getUnterstation_Nr_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Verzoegerung_Manuell_Loeschung_TypeClassImpl <em>Verzoegerung Manuell Loeschung Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Verzoegerung_Manuell_Loeschung_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getVerzoegerung_Manuell_Loeschung_TypeClass()
		 * @generated
		 */
		EClass VERZOEGERUNG_MANUELL_LOESCHUNG_TYPE_CLASS = eINSTANCE.getVerzoegerung_Manuell_Loeschung_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute VERZOEGERUNG_MANUELL_LOESCHUNG_TYPE_CLASS__WERT = eINSTANCE.getVerzoegerung_Manuell_Loeschung_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Vormeldestart_TypeClassImpl <em>Vormeldestart Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Vormeldestart_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getVormeldestart_TypeClass()
		 * @generated
		 */
		EClass VORMELDESTART_TYPE_CLASS = eINSTANCE.getVormeldestart_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute VORMELDESTART_TYPE_CLASS__WERT = eINSTANCE.getVormeldestart_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZBS_Adresse_TypeClassImpl <em>ZBS Adresse Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZBS_Adresse_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZBS_Adresse_TypeClass()
		 * @generated
		 */
		EClass ZBS_ADRESSE_TYPE_CLASS = eINSTANCE.getZBS_Adresse_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ZBS_ADRESSE_TYPE_CLASS__WERT = eINSTANCE.getZBS_Adresse_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZBS_Anbindung_TypeClassImpl <em>ZBS Anbindung Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZBS_Anbindung_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZBS_Anbindung_TypeClass()
		 * @generated
		 */
		EClass ZBS_ANBINDUNG_TYPE_CLASS = eINSTANCE.getZBS_Anbindung_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ZBS_ANBINDUNG_TYPE_CLASS__WERT = eINSTANCE.getZBS_Anbindung_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZBS_Schnittstelle_TypeClassImpl <em>ZBS Schnittstelle Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZBS_Schnittstelle_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZBS_Schnittstelle_TypeClass()
		 * @generated
		 */
		EClass ZBS_SCHNITTSTELLE_TYPE_CLASS = eINSTANCE.getZBS_Schnittstelle_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ZBS_SCHNITTSTELLE_TYPE_CLASS__WERT = eINSTANCE.getZBS_Schnittstelle_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Zeitsynchronisation_Funkuhr_TypeClassImpl <em>Zeitsynchronisation Funkuhr Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Zeitsynchronisation_Funkuhr_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZeitsynchronisation_Funkuhr_TypeClass()
		 * @generated
		 */
		EClass ZEITSYNCHRONISATION_FUNKUHR_TYPE_CLASS = eINSTANCE.getZeitsynchronisation_Funkuhr_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ZEITSYNCHRONISATION_FUNKUHR_TYPE_CLASS__WERT = eINSTANCE.getZeitsynchronisation_Funkuhr_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZLV_BusImpl <em>ZLV Bus</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZLV_BusImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZLV_Bus()
		 * @generated
		 */
		EClass ZLV_BUS = eINSTANCE.getZLV_Bus();

		/**
		 * The meta object literal for the '<em><b>Bezeichnung</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZLV_BUS__BEZEICHNUNG = eINSTANCE.getZLV_Bus_Bezeichnung();

		/**
		 * The meta object literal for the '<em><b>ZLV Bus Allg</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZLV_BUS__ZLV_BUS_ALLG = eINSTANCE.getZLV_Bus_ZLVBusAllg();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZLV_Bus_Allg_AttributeGroupImpl <em>ZLV Bus Allg Attribute Group</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZLV_Bus_Allg_AttributeGroupImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZLV_Bus_Allg_AttributeGroup()
		 * @generated
		 */
		EClass ZLV_BUS_ALLG_ATTRIBUTE_GROUP = eINSTANCE.getZLV_Bus_Allg_AttributeGroup();

		/**
		 * The meta object literal for the '<em><b>Unterstation Max</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZLV_BUS_ALLG_ATTRIBUTE_GROUP__UNTERSTATION_MAX = eINSTANCE.getZLV_Bus_Allg_AttributeGroup_UnterstationMax();

		/**
		 * The meta object literal for the '<em><b>ZN Modem</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZLV_BUS_ALLG_ATTRIBUTE_GROUP__ZN_MODEM = eINSTANCE.getZLV_Bus_Allg_AttributeGroup_ZNModem();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZLV_Bus_Besondere_AnlageImpl <em>ZLV Bus Besondere Anlage</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZLV_Bus_Besondere_AnlageImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZLV_Bus_Besondere_Anlage()
		 * @generated
		 */
		EClass ZLV_BUS_BESONDERE_ANLAGE = eINSTANCE.getZLV_Bus_Besondere_Anlage();

		/**
		 * The meta object literal for the '<em><b>Bezeichnung</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZLV_BUS_BESONDERE_ANLAGE__BEZEICHNUNG = eINSTANCE.getZLV_Bus_Besondere_Anlage_Bezeichnung();

		/**
		 * The meta object literal for the '<em><b>IDZLV Bus</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZLV_BUS_BESONDERE_ANLAGE__IDZLV_BUS = eINSTANCE.getZLV_Bus_Besondere_Anlage_IDZLVBus();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZLV_Bus_Besondere_Anlage_Bezeichnung_AttributeGroupImpl <em>ZLV Bus Besondere Anlage Bezeichnung Attribute Group</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZLV_Bus_Besondere_Anlage_Bezeichnung_AttributeGroupImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZLV_Bus_Besondere_Anlage_Bezeichnung_AttributeGroup()
		 * @generated
		 */
		EClass ZLV_BUS_BESONDERE_ANLAGE_BEZEICHNUNG_ATTRIBUTE_GROUP = eINSTANCE.getZLV_Bus_Besondere_Anlage_Bezeichnung_AttributeGroup();

		/**
		 * The meta object literal for the '<em><b>Bezeichnung Besondere Anlage</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZLV_BUS_BESONDERE_ANLAGE_BEZEICHNUNG_ATTRIBUTE_GROUP__BEZEICHNUNG_BESONDERE_ANLAGE = eINSTANCE.getZLV_Bus_Besondere_Anlage_Bezeichnung_AttributeGroup_BezeichnungBesondereAnlage();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZLV_Bus_Bezeichnung_AttributeGroupImpl <em>ZLV Bus Bezeichnung Attribute Group</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZLV_Bus_Bezeichnung_AttributeGroupImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZLV_Bus_Bezeichnung_AttributeGroup()
		 * @generated
		 */
		EClass ZLV_BUS_BEZEICHNUNG_ATTRIBUTE_GROUP = eINSTANCE.getZLV_Bus_Bezeichnung_AttributeGroup();

		/**
		 * The meta object literal for the '<em><b>ZLV Bus Nr</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZLV_BUS_BEZEICHNUNG_ATTRIBUTE_GROUP__ZLV_BUS_NR = eINSTANCE.getZLV_Bus_Bezeichnung_AttributeGroup_ZLVBusNr();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZLV_Bus_Nr_TypeClassImpl <em>ZLV Bus Nr Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZLV_Bus_Nr_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZLV_Bus_Nr_TypeClass()
		 * @generated
		 */
		EClass ZLV_BUS_NR_TYPE_CLASS = eINSTANCE.getZLV_Bus_Nr_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ZLV_BUS_NR_TYPE_CLASS__WERT = eINSTANCE.getZLV_Bus_Nr_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZLV_Bus_US_ZuordnungImpl <em>ZLV Bus US Zuordnung</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZLV_Bus_US_ZuordnungImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZLV_Bus_US_Zuordnung()
		 * @generated
		 */
		EClass ZLV_BUS_US_ZUORDNUNG = eINSTANCE.getZLV_Bus_US_Zuordnung();

		/**
		 * The meta object literal for the '<em><b>IDZLV Bus</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZLV_BUS_US_ZUORDNUNG__IDZLV_BUS = eINSTANCE.getZLV_Bus_US_Zuordnung_IDZLVBus();

		/**
		 * The meta object literal for the '<em><b>IDZN Unterstation</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZLV_BUS_US_ZUORDNUNG__IDZN_UNTERSTATION = eINSTANCE.getZLV_Bus_US_Zuordnung_IDZNUnterstation();

		/**
		 * The meta object literal for the '<em><b>ZLV Bus US Zuordnung Telegramm</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZLV_BUS_US_ZUORDNUNG__ZLV_BUS_US_ZUORDNUNG_TELEGRAMM = eINSTANCE.getZLV_Bus_US_Zuordnung_ZLVBusUSZuordnungTelegramm();

		/**
		 * The meta object literal for the '<em><b>ZLV Bus Zuordnung Allg</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZLV_BUS_US_ZUORDNUNG__ZLV_BUS_ZUORDNUNG_ALLG = eINSTANCE.getZLV_Bus_US_Zuordnung_ZLVBusZuordnungAllg();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZLV_Bus_US_Zuordnung_Telegramm_AttributeGroupImpl <em>ZLV Bus US Zuordnung Telegramm Attribute Group</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZLV_Bus_US_Zuordnung_Telegramm_AttributeGroupImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZLV_Bus_US_Zuordnung_Telegramm_AttributeGroup()
		 * @generated
		 */
		EClass ZLV_BUS_US_ZUORDNUNG_TELEGRAMM_ATTRIBUTE_GROUP = eINSTANCE.getZLV_Bus_US_Zuordnung_Telegramm_AttributeGroup();

		/**
		 * The meta object literal for the '<em><b>Telegramm02</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZLV_BUS_US_ZUORDNUNG_TELEGRAMM_ATTRIBUTE_GROUP__TELEGRAMM02 = eINSTANCE.getZLV_Bus_US_Zuordnung_Telegramm_AttributeGroup_Telegramm02();

		/**
		 * The meta object literal for the '<em><b>Telegramm03</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZLV_BUS_US_ZUORDNUNG_TELEGRAMM_ATTRIBUTE_GROUP__TELEGRAMM03 = eINSTANCE.getZLV_Bus_US_Zuordnung_Telegramm_AttributeGroup_Telegramm03();

		/**
		 * The meta object literal for the '<em><b>Telegramm04</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZLV_BUS_US_ZUORDNUNG_TELEGRAMM_ATTRIBUTE_GROUP__TELEGRAMM04 = eINSTANCE.getZLV_Bus_US_Zuordnung_Telegramm_AttributeGroup_Telegramm04();

		/**
		 * The meta object literal for the '<em><b>Telegramm10</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZLV_BUS_US_ZUORDNUNG_TELEGRAMM_ATTRIBUTE_GROUP__TELEGRAMM10 = eINSTANCE.getZLV_Bus_US_Zuordnung_Telegramm_AttributeGroup_Telegramm10();

		/**
		 * The meta object literal for the '<em><b>Telegramm21</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZLV_BUS_US_ZUORDNUNG_TELEGRAMM_ATTRIBUTE_GROUP__TELEGRAMM21 = eINSTANCE.getZLV_Bus_US_Zuordnung_Telegramm_AttributeGroup_Telegramm21();

		/**
		 * The meta object literal for the '<em><b>Telegramm30</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZLV_BUS_US_ZUORDNUNG_TELEGRAMM_ATTRIBUTE_GROUP__TELEGRAMM30 = eINSTANCE.getZLV_Bus_US_Zuordnung_Telegramm_AttributeGroup_Telegramm30();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZLV_Bus_Zuordnung_Allg_AttributeGroupImpl <em>ZLV Bus Zuordnung Allg Attribute Group</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZLV_Bus_Zuordnung_Allg_AttributeGroupImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZLV_Bus_Zuordnung_Allg_AttributeGroup()
		 * @generated
		 */
		EClass ZLV_BUS_ZUORDNUNG_ALLG_ATTRIBUTE_GROUP = eINSTANCE.getZLV_Bus_Zuordnung_Allg_AttributeGroup();

		/**
		 * The meta object literal for the '<em><b>Anschlussnummer</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZLV_BUS_ZUORDNUNG_ALLG_ATTRIBUTE_GROUP__ANSCHLUSSNUMMER = eINSTANCE.getZLV_Bus_Zuordnung_Allg_AttributeGroup_Anschlussnummer();

		/**
		 * The meta object literal for the '<em><b>Unterstation Nr</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZLV_BUS_ZUORDNUNG_ALLG_ATTRIBUTE_GROUP__UNTERSTATION_NR = eINSTANCE.getZLV_Bus_Zuordnung_Allg_AttributeGroup_UnterstationNr();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZNImpl <em>ZN</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZNImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZN()
		 * @generated
		 */
		EClass ZN = eINSTANCE.getZN();

		/**
		 * The meta object literal for the '<em><b>ID Anhang ZN Plan Bedienraum</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN__ID_ANHANG_ZN_PLAN_BEDIENRAUM = eINSTANCE.getZN_IDAnhangZNPlanBedienraum();

		/**
		 * The meta object literal for the '<em><b>ID Anhang ZN Plan Rechnerraum</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN__ID_ANHANG_ZN_PLAN_RECHNERRAUM = eINSTANCE.getZN_IDAnhangZNPlanRechnerraum();

		/**
		 * The meta object literal for the '<em><b>ID Oertlichkeit</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN__ID_OERTLICHKEIT = eINSTANCE.getZN_IDOertlichkeit();

		/**
		 * The meta object literal for the '<em><b>ID Stellwerk</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN__ID_STELLWERK = eINSTANCE.getZN_IDStellwerk();

		/**
		 * The meta object literal for the '<em><b>ID Unterbringung</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN__ID_UNTERBRINGUNG = eINSTANCE.getZN_IDUnterbringung();

		/**
		 * The meta object literal for the '<em><b>IDZN Unterstation</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN__IDZN_UNTERSTATION = eINSTANCE.getZN_IDZNUnterstation();

		/**
		 * The meta object literal for the '<em><b>ZN Allg</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN__ZN_ALLG = eINSTANCE.getZN_ZNAllg();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_A_Bedienbezeichner_Frei_TypeClassImpl <em>ZN ABedienbezeichner Frei Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_A_Bedienbezeichner_Frei_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZN_A_Bedienbezeichner_Frei_TypeClass()
		 * @generated
		 */
		EClass ZN_ABEDIENBEZEICHNER_FREI_TYPE_CLASS = eINSTANCE.getZN_A_Bedienbezeichner_Frei_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ZN_ABEDIENBEZEICHNER_FREI_TYPE_CLASS__WERT = eINSTANCE.getZN_A_Bedienbezeichner_Frei_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_A_Bezeichner_TypeClassImpl <em>ZN ABezeichner Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_A_Bezeichner_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZN_A_Bezeichner_TypeClass()
		 * @generated
		 */
		EClass ZN_ABEZEICHNER_TYPE_CLASS = eINSTANCE.getZN_A_Bezeichner_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ZN_ABEZEICHNER_TYPE_CLASS__WERT = eINSTANCE.getZN_A_Bezeichner_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_AkustikImpl <em>ZN Akustik</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_AkustikImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZN_Akustik()
		 * @generated
		 */
		EClass ZN_AKUSTIK = eINSTANCE.getZN_Akustik();

		/**
		 * The meta object literal for the '<em><b>ZN Akustik Anzeigefeld</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_AKUSTIK__ZN_AKUSTIK_ANZEIGEFELD = eINSTANCE.getZN_Akustik_ZNAkustikAnzeigefeld();

		/**
		 * The meta object literal for the '<em><b>IDZN</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_AKUSTIK__IDZN = eINSTANCE.getZN_Akustik_IDZN();

		/**
		 * The meta object literal for the '<em><b>IDZN Anzeigefeld</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_AKUSTIK__IDZN_ANZEIGEFELD = eINSTANCE.getZN_Akustik_IDZNAnzeigefeld();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Akustik_Anzeigefeld_AttributeGroupImpl <em>ZN Akustik Anzeigefeld Attribute Group</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Akustik_Anzeigefeld_AttributeGroupImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZN_Akustik_Anzeigefeld_AttributeGroup()
		 * @generated
		 */
		EClass ZN_AKUSTIK_ANZEIGEFELD_ATTRIBUTE_GROUP = eINSTANCE.getZN_Akustik_Anzeigefeld_AttributeGroup();

		/**
		 * The meta object literal for the '<em><b>Akustikdauer Anb Ann</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_AKUSTIK_ANZEIGEFELD_ATTRIBUTE_GROUP__AKUSTIKDAUER_ANB_ANN = eINSTANCE.getZN_Akustik_Anzeigefeld_AttributeGroup_AkustikdauerAnbAnn();

		/**
		 * The meta object literal for the '<em><b>Akustikdauer Sonst</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_AKUSTIK_ANZEIGEFELD_ATTRIBUTE_GROUP__AKUSTIKDAUER_SONST = eINSTANCE.getZN_Akustik_Anzeigefeld_AttributeGroup_AkustikdauerSonst();

		/**
		 * The meta object literal for the '<em><b>Akustikdauer Voranz</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_AKUSTIK_ANZEIGEFELD_ATTRIBUTE_GROUP__AKUSTIKDAUER_VORANZ = eINSTANCE.getZN_Akustik_Anzeigefeld_AttributeGroup_AkustikdauerVoranz();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Allg_AttributeGroupImpl <em>ZN Allg Attribute Group</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Allg_AttributeGroupImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZN_Allg_AttributeGroup()
		 * @generated
		 */
		EClass ZN_ALLG_ATTRIBUTE_GROUP = eINSTANCE.getZN_Allg_AttributeGroup();

		/**
		 * The meta object literal for the '<em><b>Einwahlstelle</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_ALLG_ATTRIBUTE_GROUP__EINWAHLSTELLE = eINSTANCE.getZN_Allg_AttributeGroup_Einwahlstelle();

		/**
		 * The meta object literal for the '<em><b>Reaktivierungsfunktion</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_ALLG_ATTRIBUTE_GROUP__REAKTIVIERUNGSFUNKTION = eINSTANCE.getZN_Allg_AttributeGroup_Reaktivierungsfunktion();

		/**
		 * The meta object literal for the '<em><b>ZN Anlagentyp</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_ALLG_ATTRIBUTE_GROUP__ZN_ANLAGENTYP = eINSTANCE.getZN_Allg_AttributeGroup_ZNAnlagentyp();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Anlagentyp_TypeClassImpl <em>ZN Anlagentyp Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Anlagentyp_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZN_Anlagentyp_TypeClass()
		 * @generated
		 */
		EClass ZN_ANLAGENTYP_TYPE_CLASS = eINSTANCE.getZN_Anlagentyp_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ZN_ANLAGENTYP_TYPE_CLASS__WERT = eINSTANCE.getZN_Anlagentyp_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_AnzeigefeldImpl <em>ZN Anzeigefeld</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_AnzeigefeldImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZN_Anzeigefeld()
		 * @generated
		 */
		EClass ZN_ANZEIGEFELD = eINSTANCE.getZN_Anzeigefeld();

		/**
		 * The meta object literal for the '<em><b>ID Gleis Abschnitt</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_ANZEIGEFELD__ID_GLEIS_ABSCHNITT = eINSTANCE.getZN_Anzeigefeld_IDGleisAbschnitt();

		/**
		 * The meta object literal for the '<em><b>IDZLV Bus</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_ANZEIGEFELD__IDZLV_BUS = eINSTANCE.getZN_Anzeigefeld_IDZLVBus();

		/**
		 * The meta object literal for the '<em><b>IDZN</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_ANZEIGEFELD__IDZN = eINSTANCE.getZN_Anzeigefeld_IDZN();

		/**
		 * The meta object literal for the '<em><b>IDZN Anzeigefeld</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_ANZEIGEFELD__IDZN_ANZEIGEFELD = eINSTANCE.getZN_Anzeigefeld_IDZNAnzeigefeld();

		/**
		 * The meta object literal for the '<em><b>ZN Anzeigefeld Allg</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_ANZEIGEFELD__ZN_ANZEIGEFELD_ALLG = eINSTANCE.getZN_Anzeigefeld_ZNAnzeigefeldAllg();

		/**
		 * The meta object literal for the '<em><b>ZN Anzeigefeld Bezeichnung</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_ANZEIGEFELD__ZN_ANZEIGEFELD_BEZEICHNUNG = eINSTANCE.getZN_Anzeigefeld_ZNAnzeigefeldBezeichnung();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Anzeigefeld_Allg_AttributeGroupImpl <em>ZN Anzeigefeld Allg Attribute Group</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Anzeigefeld_Allg_AttributeGroupImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZN_Anzeigefeld_Allg_AttributeGroup()
		 * @generated
		 */
		EClass ZN_ANZEIGEFELD_ALLG_ATTRIBUTE_GROUP = eINSTANCE.getZN_Anzeigefeld_Allg_AttributeGroup();

		/**
		 * The meta object literal for the '<em><b>Bedienbarkeit Anzeigefeld</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_ANZEIGEFELD_ALLG_ATTRIBUTE_GROUP__BEDIENBARKEIT_ANZEIGEFELD = eINSTANCE.getZN_Anzeigefeld_Allg_AttributeGroup_BedienbarkeitAnzeigefeld();

		/**
		 * The meta object literal for the '<em><b>Bf Nr ANB</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_ANZEIGEFELD_ALLG_ATTRIBUTE_GROUP__BF_NR_ANB = eINSTANCE.getZN_Anzeigefeld_Allg_AttributeGroup_BfNrANB();

		/**
		 * The meta object literal for the '<em><b>Bf Nr ZNA</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_ANZEIGEFELD_ALLG_ATTRIBUTE_GROUP__BF_NR_ZNA = eINSTANCE.getZN_Anzeigefeld_Allg_AttributeGroup_BfNrZNA();

		/**
		 * The meta object literal for the '<em><b>Funktionalitaet Anzeigefeld</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_ANZEIGEFELD_ALLG_ATTRIBUTE_GROUP__FUNKTIONALITAET_ANZEIGEFELD = eINSTANCE.getZN_Anzeigefeld_Allg_AttributeGroup_FunktionalitaetAnzeigefeld();

		/**
		 * The meta object literal for the '<em><b>HOA</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_ANZEIGEFELD_ALLG_ATTRIBUTE_GROUP__HOA = eINSTANCE.getZN_Anzeigefeld_Allg_AttributeGroup_HOA();

		/**
		 * The meta object literal for the '<em><b>Sichtbarkeit Anzeigefeld</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_ANZEIGEFELD_ALLG_ATTRIBUTE_GROUP__SICHTBARKEIT_ANZEIGEFELD = eINSTANCE.getZN_Anzeigefeld_Allg_AttributeGroup_SichtbarkeitAnzeigefeld();

		/**
		 * The meta object literal for the '<em><b>Verzoegerung Manuell Loeschung</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_ANZEIGEFELD_ALLG_ATTRIBUTE_GROUP__VERZOEGERUNG_MANUELL_LOESCHUNG = eINSTANCE.getZN_Anzeigefeld_Allg_AttributeGroup_VerzoegerungManuellLoeschung();

		/**
		 * The meta object literal for the '<em><b>Vormeldestart</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_ANZEIGEFELD_ALLG_ATTRIBUTE_GROUP__VORMELDESTART = eINSTANCE.getZN_Anzeigefeld_Allg_AttributeGroup_Vormeldestart();

		/**
		 * The meta object literal for the '<em><b>ZN Anzeigefeld Loeschkriterium</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_ANZEIGEFELD_ALLG_ATTRIBUTE_GROUP__ZN_ANZEIGEFELD_LOESCHKRITERIUM = eINSTANCE.getZN_Anzeigefeld_Allg_AttributeGroup_ZNAnzeigefeldLoeschkriterium();

		/**
		 * The meta object literal for the '<em><b>ZN Feld Ohne Anzeige</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_ANZEIGEFELD_ALLG_ATTRIBUTE_GROUP__ZN_FELD_OHNE_ANZEIGE = eINSTANCE.getZN_Anzeigefeld_Allg_AttributeGroup_ZNFeldOhneAnzeige();

		/**
		 * The meta object literal for the '<em><b>Zugvorbereitungsmeldung</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_ANZEIGEFELD_ALLG_ATTRIBUTE_GROUP__ZUGVORBEREITUNGSMELDUNG = eINSTANCE.getZN_Anzeigefeld_Allg_AttributeGroup_Zugvorbereitungsmeldung();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Anzeigefeld_Bezeichnung_AttributeGroupImpl <em>ZN Anzeigefeld Bezeichnung Attribute Group</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Anzeigefeld_Bezeichnung_AttributeGroupImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZN_Anzeigefeld_Bezeichnung_AttributeGroup()
		 * @generated
		 */
		EClass ZN_ANZEIGEFELD_BEZEICHNUNG_ATTRIBUTE_GROUP = eINSTANCE.getZN_Anzeigefeld_Bezeichnung_AttributeGroup();

		/**
		 * The meta object literal for the '<em><b>ZNA Bedienbezeichner Frei</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_ANZEIGEFELD_BEZEICHNUNG_ATTRIBUTE_GROUP__ZNA_BEDIENBEZEICHNER_FREI = eINSTANCE.getZN_Anzeigefeld_Bezeichnung_AttributeGroup_ZNABedienbezeichnerFrei();

		/**
		 * The meta object literal for the '<em><b>ZNA Bezeichner</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_ANZEIGEFELD_BEZEICHNUNG_ATTRIBUTE_GROUP__ZNA_BEZEICHNER = eINSTANCE.getZN_Anzeigefeld_Bezeichnung_AttributeGroup_ZNABezeichner();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Anzeigefeld_Loeschkriterium_TypeClassImpl <em>ZN Anzeigefeld Loeschkriterium Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Anzeigefeld_Loeschkriterium_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZN_Anzeigefeld_Loeschkriterium_TypeClass()
		 * @generated
		 */
		EClass ZN_ANZEIGEFELD_LOESCHKRITERIUM_TYPE_CLASS = eINSTANCE.getZN_Anzeigefeld_Loeschkriterium_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ZN_ANZEIGEFELD_LOESCHKRITERIUM_TYPE_CLASS__WERT = eINSTANCE.getZN_Anzeigefeld_Loeschkriterium_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Feld_Ohne_Anzeige_TypeClassImpl <em>ZN Feld Ohne Anzeige Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Feld_Ohne_Anzeige_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZN_Feld_Ohne_Anzeige_TypeClass()
		 * @generated
		 */
		EClass ZN_FELD_OHNE_ANZEIGE_TYPE_CLASS = eINSTANCE.getZN_Feld_Ohne_Anzeige_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ZN_FELD_OHNE_ANZEIGE_TYPE_CLASS__WERT = eINSTANCE.getZN_Feld_Ohne_Anzeige_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Fortschalt_Krit_Druck_AttributeGroupImpl <em>ZN Fortschalt Krit Druck Attribute Group</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Fortschalt_Krit_Druck_AttributeGroupImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZN_Fortschalt_Krit_Druck_AttributeGroup()
		 * @generated
		 */
		EClass ZN_FORTSCHALT_KRIT_DRUCK_ATTRIBUTE_GROUP = eINSTANCE.getZN_Fortschalt_Krit_Druck_AttributeGroup();

		/**
		 * The meta object literal for the '<em><b>Ausfahrdruck</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_FORTSCHALT_KRIT_DRUCK_ATTRIBUTE_GROUP__AUSFAHRDRUCK = eINSTANCE.getZN_Fortschalt_Krit_Druck_AttributeGroup_Ausfahrdruck();

		/**
		 * The meta object literal for the '<em><b>Ausfahrdruck Gegengleis</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_FORTSCHALT_KRIT_DRUCK_ATTRIBUTE_GROUP__AUSFAHRDRUCK_GEGENGLEIS = eINSTANCE.getZN_Fortschalt_Krit_Druck_AttributeGroup_AusfahrdruckGegengleis();

		/**
		 * The meta object literal for the '<em><b>Durchfahrdruck</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_FORTSCHALT_KRIT_DRUCK_ATTRIBUTE_GROUP__DURCHFAHRDRUCK = eINSTANCE.getZN_Fortschalt_Krit_Druck_AttributeGroup_Durchfahrdruck();

		/**
		 * The meta object literal for the '<em><b>Einfahrdruck</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_FORTSCHALT_KRIT_DRUCK_ATTRIBUTE_GROUP__EINFAHRDRUCK = eINSTANCE.getZN_Fortschalt_Krit_Druck_AttributeGroup_Einfahrdruck();

		/**
		 * The meta object literal for the '<em><b>Einfahrdruck Gegengleis</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_FORTSCHALT_KRIT_DRUCK_ATTRIBUTE_GROUP__EINFAHRDRUCK_GEGENGLEIS = eINSTANCE.getZN_Fortschalt_Krit_Druck_AttributeGroup_EinfahrdruckGegengleis();

		/**
		 * The meta object literal for the '<em><b>Meldedruck</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_FORTSCHALT_KRIT_DRUCK_ATTRIBUTE_GROUP__MELDEDRUCK = eINSTANCE.getZN_Fortschalt_Krit_Druck_AttributeGroup_Meldedruck();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Fortschalt_Krit_Schalt_AttributeGroupImpl <em>ZN Fortschalt Krit Schalt Attribute Group</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Fortschalt_Krit_Schalt_AttributeGroupImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZN_Fortschalt_Krit_Schalt_AttributeGroup()
		 * @generated
		 */
		EClass ZN_FORTSCHALT_KRIT_SCHALT_ATTRIBUTE_GROUP = eINSTANCE.getZN_Fortschalt_Krit_Schalt_AttributeGroup();

		/**
		 * The meta object literal for the '<em><b>Besonderes Schaltkriterium</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_FORTSCHALT_KRIT_SCHALT_ATTRIBUTE_GROUP__BESONDERES_SCHALTKRITERIUM = eINSTANCE.getZN_Fortschalt_Krit_Schalt_AttributeGroup_BesonderesSchaltkriterium();

		/**
		 * The meta object literal for the '<em><b>ID Fortschaltung Start</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_FORTSCHALT_KRIT_SCHALT_ATTRIBUTE_GROUP__ID_FORTSCHALTUNG_START = eINSTANCE.getZN_Fortschalt_Krit_Schalt_AttributeGroup_IDFortschaltungStart();

		/**
		 * The meta object literal for the '<em><b>Telegrammwiederholung</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_FORTSCHALT_KRIT_SCHALT_ATTRIBUTE_GROUP__TELEGRAMMWIEDERHOLUNG = eINSTANCE.getZN_Fortschalt_Krit_Schalt_AttributeGroup_Telegrammwiederholung();

		/**
		 * The meta object literal for the '<em><b>ZN Schaltkriterium</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_FORTSCHALT_KRIT_SCHALT_ATTRIBUTE_GROUP__ZN_SCHALTKRITERIUM = eINSTANCE.getZN_Fortschalt_Krit_Schalt_AttributeGroup_ZNSchaltkriterium();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Fortschalt_KriteriumImpl <em>ZN Fortschalt Kriterium</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Fortschalt_KriteriumImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZN_Fortschalt_Kriterium()
		 * @generated
		 */
		EClass ZN_FORTSCHALT_KRITERIUM = eINSTANCE.getZN_Fortschalt_Kriterium();

		/**
		 * The meta object literal for the '<em><b>IDZN</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_FORTSCHALT_KRITERIUM__IDZN = eINSTANCE.getZN_Fortschalt_Kriterium_IDZN();

		/**
		 * The meta object literal for the '<em><b>IDZN Fortschalt Krit Start</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_FORTSCHALT_KRITERIUM__IDZN_FORTSCHALT_KRIT_START = eINSTANCE.getZN_Fortschalt_Kriterium_IDZNFortschaltKritStart();

		/**
		 * The meta object literal for the '<em><b>IDZN Fortschalt Krit Ziel</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_FORTSCHALT_KRITERIUM__IDZN_FORTSCHALT_KRIT_ZIEL = eINSTANCE.getZN_Fortschalt_Kriterium_IDZNFortschaltKritZiel();

		/**
		 * The meta object literal for the '<em><b>ZN Fortschalt Krit Druck</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_FORTSCHALT_KRITERIUM__ZN_FORTSCHALT_KRIT_DRUCK = eINSTANCE.getZN_Fortschalt_Kriterium_ZNFortschaltKritDruck();

		/**
		 * The meta object literal for the '<em><b>ZN Fortschalt Krit Schalt</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_FORTSCHALT_KRITERIUM__ZN_FORTSCHALT_KRIT_SCHALT = eINSTANCE.getZN_Fortschalt_Kriterium_ZNFortschaltKritSchalt();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Modem_TypeClassImpl <em>ZN Modem Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Modem_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZN_Modem_TypeClass()
		 * @generated
		 */
		EClass ZN_MODEM_TYPE_CLASS = eINSTANCE.getZN_Modem_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ZN_MODEM_TYPE_CLASS__WERT = eINSTANCE.getZN_Modem_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Schaltkriterium_TypeClassImpl <em>ZN Schaltkriterium Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Schaltkriterium_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZN_Schaltkriterium_TypeClass()
		 * @generated
		 */
		EClass ZN_SCHALTKRITERIUM_TYPE_CLASS = eINSTANCE.getZN_Schaltkriterium_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ZN_SCHALTKRITERIUM_TYPE_CLASS__WERT = eINSTANCE.getZN_Schaltkriterium_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Telegramm_84_ZuordnungImpl <em>ZN Telegramm 84 Zuordnung</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Telegramm_84_ZuordnungImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZN_Telegramm_84_Zuordnung()
		 * @generated
		 */
		EClass ZN_TELEGRAMM_84_ZUORDNUNG = eINSTANCE.getZN_Telegramm_84_Zuordnung();

		/**
		 * The meta object literal for the '<em><b>IDZN</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_TELEGRAMM_84_ZUORDNUNG__IDZN = eINSTANCE.getZN_Telegramm_84_Zuordnung_IDZN();

		/**
		 * The meta object literal for the '<em><b>Telegramm84 Alle Fstr</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_TELEGRAMM_84_ZUORDNUNG__TELEGRAMM84_ALLE_FSTR = eINSTANCE.getZN_Telegramm_84_Zuordnung_Telegramm84AlleFstr();

		/**
		 * The meta object literal for the '<em><b>Telegramm84 Einzelne Fstr</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_TELEGRAMM_84_ZUORDNUNG__TELEGRAMM84_EINZELNE_FSTR = eINSTANCE.getZN_Telegramm_84_Zuordnung_Telegramm84EinzelneFstr();

		/**
		 * The meta object literal for the '<em><b>Telegramm84 Verzicht</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_TELEGRAMM_84_ZUORDNUNG__TELEGRAMM84_VERZICHT = eINSTANCE.getZN_Telegramm_84_Zuordnung_Telegramm84Verzicht();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Telegramm_85_ZuordnungImpl <em>ZN Telegramm 85 Zuordnung</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Telegramm_85_ZuordnungImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZN_Telegramm_85_Zuordnung()
		 * @generated
		 */
		EClass ZN_TELEGRAMM_85_ZUORDNUNG = eINSTANCE.getZN_Telegramm_85_Zuordnung();

		/**
		 * The meta object literal for the '<em><b>IDZN</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_TELEGRAMM_85_ZUORDNUNG__IDZN = eINSTANCE.getZN_Telegramm_85_Zuordnung_IDZN();

		/**
		 * The meta object literal for the '<em><b>Telegramm85 Alle Fstr</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_TELEGRAMM_85_ZUORDNUNG__TELEGRAMM85_ALLE_FSTR = eINSTANCE.getZN_Telegramm_85_Zuordnung_Telegramm85AlleFstr();

		/**
		 * The meta object literal for the '<em><b>Telegramm85 Einzelne Fstr</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_TELEGRAMM_85_ZUORDNUNG__TELEGRAMM85_EINZELNE_FSTR = eINSTANCE.getZN_Telegramm_85_Zuordnung_Telegramm85EinzelneFstr();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_UnterstationImpl <em>ZN Unterstation</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_UnterstationImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZN_Unterstation()
		 * @generated
		 */
		EClass ZN_UNTERSTATION = eINSTANCE.getZN_Unterstation();

		/**
		 * The meta object literal for the '<em><b>IDZNZBS</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_UNTERSTATION__IDZNZBS = eINSTANCE.getZN_Unterstation_IDZNZBS();

		/**
		 * The meta object literal for the '<em><b>ZN Unterstation Allg</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_UNTERSTATION__ZN_UNTERSTATION_ALLG = eINSTANCE.getZN_Unterstation_ZNUnterstationAllg();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Unterstation_Allg_AttributeGroupImpl <em>ZN Unterstation Allg Attribute Group</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Unterstation_Allg_AttributeGroupImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZN_Unterstation_Allg_AttributeGroup()
		 * @generated
		 */
		EClass ZN_UNTERSTATION_ALLG_ATTRIBUTE_GROUP = eINSTANCE.getZN_Unterstation_Allg_AttributeGroup();

		/**
		 * The meta object literal for the '<em><b>Bf Kennung</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_UNTERSTATION_ALLG_ATTRIBUTE_GROUP__BF_KENNUNG = eINSTANCE.getZN_Unterstation_Allg_AttributeGroup_BfKennung();

		/**
		 * The meta object literal for the '<em><b>Koppelunterstation</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_UNTERSTATION_ALLG_ATTRIBUTE_GROUP__KOPPELUNTERSTATION = eINSTANCE.getZN_Unterstation_Allg_AttributeGroup_Koppelunterstation();

		/**
		 * The meta object literal for the '<em><b>KUs Zeittelegramm</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_UNTERSTATION_ALLG_ATTRIBUTE_GROUP__KUS_ZEITTELEGRAMM = eINSTANCE.getZN_Unterstation_Allg_AttributeGroup_KUsZeittelegramm();

		/**
		 * The meta object literal for the '<em><b>ZBS Adresse</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_UNTERSTATION_ALLG_ATTRIBUTE_GROUP__ZBS_ADRESSE = eINSTANCE.getZN_Unterstation_Allg_AttributeGroup_ZBSAdresse();

		/**
		 * The meta object literal for the '<em><b>ZBS Anbindung</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_UNTERSTATION_ALLG_ATTRIBUTE_GROUP__ZBS_ANBINDUNG = eINSTANCE.getZN_Unterstation_Allg_AttributeGroup_ZBSAnbindung();

		/**
		 * The meta object literal for the '<em><b>Zeitsynchronisation Funkuhr</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_UNTERSTATION_ALLG_ATTRIBUTE_GROUP__ZEITSYNCHRONISATION_FUNKUHR = eINSTANCE.getZN_Unterstation_Allg_AttributeGroup_ZeitsynchronisationFunkuhr();

		/**
		 * The meta object literal for the '<em><b>ZN Unterstation Bf Nr</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_UNTERSTATION_ALLG_ATTRIBUTE_GROUP__ZN_UNTERSTATION_BF_NR = eINSTANCE.getZN_Unterstation_Allg_AttributeGroup_ZNUnterstationBfNr();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Unterstation_Bf_Nr_AttributeGroupImpl <em>ZN Unterstation Bf Nr Attribute Group</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_Unterstation_Bf_Nr_AttributeGroupImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZN_Unterstation_Bf_Nr_AttributeGroup()
		 * @generated
		 */
		EClass ZN_UNTERSTATION_BF_NR_ATTRIBUTE_GROUP = eINSTANCE.getZN_Unterstation_Bf_Nr_AttributeGroup();

		/**
		 * The meta object literal for the '<em><b>Bf Nr</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_UNTERSTATION_BF_NR_ATTRIBUTE_GROUP__BF_NR = eINSTANCE.getZN_Unterstation_Bf_Nr_AttributeGroup_BfNr();

		/**
		 * The meta object literal for the '<em><b>ID Oertlichkeit</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_UNTERSTATION_BF_NR_ATTRIBUTE_GROUP__ID_OERTLICHKEIT = eINSTANCE.getZN_Unterstation_Bf_Nr_AttributeGroup_IDOertlichkeit();

		/**
		 * The meta object literal for the '<em><b>Prioritaet</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_UNTERSTATION_BF_NR_ATTRIBUTE_GROUP__PRIORITAET = eINSTANCE.getZN_Unterstation_Bf_Nr_AttributeGroup_Prioritaet();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_ZBSImpl <em>ZN ZBS</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZN_ZBSImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZN_ZBS()
		 * @generated
		 */
		EClass ZN_ZBS = eINSTANCE.getZN_ZBS();

		/**
		 * The meta object literal for the '<em><b>IDESTW Zentraleinheit</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_ZBS__IDESTW_ZENTRALEINHEIT = eINSTANCE.getZN_ZBS_IDESTWZentraleinheit();

		/**
		 * The meta object literal for the '<em><b>IP Adresse</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_ZBS__IP_ADRESSE = eINSTANCE.getZN_ZBS_IPAdresse();

		/**
		 * The meta object literal for the '<em><b>ZBS Schnittstelle</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ZN_ZBS__ZBS_SCHNITTSTELLE = eINSTANCE.getZN_ZBS_ZBSSchnittstelle();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Zugvorbereitungsmeldung_TypeClassImpl <em>Zugvorbereitungsmeldung Type Class</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.Zugvorbereitungsmeldung_TypeClassImpl
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZugvorbereitungsmeldung_TypeClass()
		 * @generated
		 */
		EClass ZUGVORBEREITUNGSMELDUNG_TYPE_CLASS = eINSTANCE.getZugvorbereitungsmeldung_TypeClass();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ZUGVORBEREITUNGSMELDUNG_TYPE_CLASS__WERT = eINSTANCE.getZugvorbereitungsmeldung_TypeClass_Wert();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMAkustikAnbAnn <em>ENUM Akustik Anb Ann</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMAkustikAnbAnn
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getENUMAkustikAnbAnn()
		 * @generated
		 */
		EEnum ENUM_AKUSTIK_ANB_ANN = eINSTANCE.getENUMAkustikAnbAnn();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMAkustikSonst <em>ENUM Akustik Sonst</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMAkustikSonst
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getENUMAkustikSonst()
		 * @generated
		 */
		EEnum ENUM_AKUSTIK_SONST = eINSTANCE.getENUMAkustikSonst();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMBfKennung <em>ENUM Bf Kennung</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMBfKennung
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getENUMBfKennung()
		 * @generated
		 */
		EEnum ENUM_BF_KENNUNG = eINSTANCE.getENUMBfKennung();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMFunktionalitaetAnzeigefeld <em>ENUM Funktionalitaet Anzeigefeld</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMFunktionalitaetAnzeigefeld
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getENUMFunktionalitaetAnzeigefeld()
		 * @generated
		 */
		EEnum ENUM_FUNKTIONALITAET_ANZEIGEFELD = eINSTANCE.getENUMFunktionalitaetAnzeigefeld();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMZBSSchnittstelle <em>ENUMZBS Schnittstelle</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMZBSSchnittstelle
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getENUMZBSSchnittstelle()
		 * @generated
		 */
		EEnum ENUMZBS_SCHNITTSTELLE = eINSTANCE.getENUMZBSSchnittstelle();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMZNAnlagentyp <em>ENUMZN Anlagentyp</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMZNAnlagentyp
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getENUMZNAnlagentyp()
		 * @generated
		 */
		EEnum ENUMZN_ANLAGENTYP = eINSTANCE.getENUMZNAnlagentyp();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMZNAnzeigefeldLoeschkriterium <em>ENUMZN Anzeigefeld Loeschkriterium</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMZNAnzeigefeldLoeschkriterium
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getENUMZNAnzeigefeldLoeschkriterium()
		 * @generated
		 */
		EEnum ENUMZN_ANZEIGEFELD_LOESCHKRITERIUM = eINSTANCE.getENUMZNAnzeigefeldLoeschkriterium();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMZNModem <em>ENUMZN Modem</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMZNModem
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getENUMZNModem()
		 * @generated
		 */
		EEnum ENUMZN_MODEM = eINSTANCE.getENUMZNModem();

		/**
		 * The meta object literal for the '{@link org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMZNSchaltkriterium <em>ENUMZN Schaltkriterium</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMZNSchaltkriterium
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getENUMZNSchaltkriterium()
		 * @generated
		 */
		EEnum ENUMZN_SCHALTKRITERIUM = eINSTANCE.getENUMZNSchaltkriterium();

		/**
		 * The meta object literal for the '<em>Anschlussnummer Type</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.math.BigInteger
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getAnschlussnummer_Type()
		 * @generated
		 */
		EDataType ANSCHLUSSNUMMER_TYPE = eINSTANCE.getAnschlussnummer_Type();

		/**
		 * The meta object literal for the '<em>Besonderes Schaltkriterium Type</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getBesonderes_Schaltkriterium_Type()
		 * @generated
		 */
		EDataType BESONDERES_SCHALTKRITERIUM_TYPE = eINSTANCE.getBesonderes_Schaltkriterium_Type();

		/**
		 * The meta object literal for the '<em>Bezeichnung Besondere Anlage Type</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getBezeichnung_Besondere_Anlage_Type()
		 * @generated
		 */
		EDataType BEZEICHNUNG_BESONDERE_ANLAGE_TYPE = eINSTANCE.getBezeichnung_Besondere_Anlage_Type();

		/**
		 * The meta object literal for the '<em>Bf Nr Type</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.math.BigInteger
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getBf_Nr_Type()
		 * @generated
		 */
		EDataType BF_NR_TYPE = eINSTANCE.getBf_Nr_Type();

		/**
		 * The meta object literal for the '<em>ENUM Akustik Anb Ann Object</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMAkustikAnbAnn
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getENUMAkustikAnbAnnObject()
		 * @generated
		 */
		EDataType ENUM_AKUSTIK_ANB_ANN_OBJECT = eINSTANCE.getENUMAkustikAnbAnnObject();

		/**
		 * The meta object literal for the '<em>ENUM Akustik Sonst Object</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMAkustikSonst
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getENUMAkustikSonstObject()
		 * @generated
		 */
		EDataType ENUM_AKUSTIK_SONST_OBJECT = eINSTANCE.getENUMAkustikSonstObject();

		/**
		 * The meta object literal for the '<em>ENUM Bf Kennung Object</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMBfKennung
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getENUMBfKennungObject()
		 * @generated
		 */
		EDataType ENUM_BF_KENNUNG_OBJECT = eINSTANCE.getENUMBfKennungObject();

		/**
		 * The meta object literal for the '<em>ENUM Funktionalitaet Anzeigefeld Object</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMFunktionalitaetAnzeigefeld
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getENUMFunktionalitaetAnzeigefeldObject()
		 * @generated
		 */
		EDataType ENUM_FUNKTIONALITAET_ANZEIGEFELD_OBJECT = eINSTANCE.getENUMFunktionalitaetAnzeigefeldObject();

		/**
		 * The meta object literal for the '<em>ENUMZBS Schnittstelle Object</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMZBSSchnittstelle
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getENUMZBSSchnittstelleObject()
		 * @generated
		 */
		EDataType ENUMZBS_SCHNITTSTELLE_OBJECT = eINSTANCE.getENUMZBSSchnittstelleObject();

		/**
		 * The meta object literal for the '<em>ENUMZN Anlagentyp Object</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMZNAnlagentyp
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getENUMZNAnlagentypObject()
		 * @generated
		 */
		EDataType ENUMZN_ANLAGENTYP_OBJECT = eINSTANCE.getENUMZNAnlagentypObject();

		/**
		 * The meta object literal for the '<em>ENUMZN Anzeigefeld Loeschkriterium Object</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMZNAnzeigefeldLoeschkriterium
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getENUMZNAnzeigefeldLoeschkriteriumObject()
		 * @generated
		 */
		EDataType ENUMZN_ANZEIGEFELD_LOESCHKRITERIUM_OBJECT = eINSTANCE.getENUMZNAnzeigefeldLoeschkriteriumObject();

		/**
		 * The meta object literal for the '<em>ENUMZN Modem Object</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMZNModem
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getENUMZNModemObject()
		 * @generated
		 */
		EDataType ENUMZN_MODEM_OBJECT = eINSTANCE.getENUMZNModemObject();

		/**
		 * The meta object literal for the '<em>ENUMZN Schaltkriterium Object</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.ENUMZNSchaltkriterium
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getENUMZNSchaltkriteriumObject()
		 * @generated
		 */
		EDataType ENUMZN_SCHALTKRITERIUM_OBJECT = eINSTANCE.getENUMZNSchaltkriteriumObject();

		/**
		 * The meta object literal for the '<em>IP Adresse Type</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getIP_Adresse_Type()
		 * @generated
		 */
		EDataType IP_ADRESSE_TYPE = eINSTANCE.getIP_Adresse_Type();

		/**
		 * The meta object literal for the '<em>Prioritaet Type</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.math.BigInteger
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getPrioritaet_Type()
		 * @generated
		 */
		EDataType PRIORITAET_TYPE = eINSTANCE.getPrioritaet_Type();

		/**
		 * The meta object literal for the '<em>Unterstation Max Type</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.math.BigInteger
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getUnterstation_Max_Type()
		 * @generated
		 */
		EDataType UNTERSTATION_MAX_TYPE = eINSTANCE.getUnterstation_Max_Type();

		/**
		 * The meta object literal for the '<em>Unterstation Nr Type</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getUnterstation_Nr_Type()
		 * @generated
		 */
		EDataType UNTERSTATION_NR_TYPE = eINSTANCE.getUnterstation_Nr_Type();

		/**
		 * The meta object literal for the '<em>Verzoegerung Manuell Loeschung Type</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.math.BigDecimal
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getVerzoegerung_Manuell_Loeschung_Type()
		 * @generated
		 */
		EDataType VERZOEGERUNG_MANUELL_LOESCHUNG_TYPE = eINSTANCE.getVerzoegerung_Manuell_Loeschung_Type();

		/**
		 * The meta object literal for the '<em>ZBS Adresse Type</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZBS_Adresse_Type()
		 * @generated
		 */
		EDataType ZBS_ADRESSE_TYPE = eINSTANCE.getZBS_Adresse_Type();

		/**
		 * The meta object literal for the '<em>ZLV Bus Nr Type</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.math.BigInteger
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZLV_Bus_Nr_Type()
		 * @generated
		 */
		EDataType ZLV_BUS_NR_TYPE = eINSTANCE.getZLV_Bus_Nr_Type();

		/**
		 * The meta object literal for the '<em>ZN ABedienbezeichner Frei Type</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZN_A_Bedienbezeichner_Frei_Type()
		 * @generated
		 */
		EDataType ZN_ABEDIENBEZEICHNER_FREI_TYPE = eINSTANCE.getZN_A_Bedienbezeichner_Frei_Type();

		/**
		 * The meta object literal for the '<em>ZN ABezeichner Type</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.math.BigInteger
		 * @see org.eclipse.set.toolboxmodel.Zugnummernmeldeanlage.impl.ZugnummernmeldeanlagePackageImpl#getZN_A_Bezeichner_Type()
		 * @generated
		 */
		EDataType ZN_ABEZEICHNER_TYPE = eINSTANCE.getZN_A_Bezeichner_Type();

	}

} //ZugnummernmeldeanlagePackage
